#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 7559
#define LARGE_STATE_COUNT 1964
#define SYMBOL_COUNT 391
#define ALIAS_COUNT 7
#define TOKEN_COUNT 169
#define EXTERNAL_TOKEN_COUNT 7
#define FIELD_COUNT 44
#define MAX_ALIAS_SEQUENCE_LENGTH 10
#define PRODUCTION_ID_COUNT 345

enum ts_symbol_identifiers {
  sym_identifier = 1,
  sym_hash_bang_line = 2,
  anon_sym_export = 3,
  anon_sym_STAR = 4,
  anon_sym_default = 5,
  anon_sym_type = 6,
  anon_sym_EQ = 7,
  anon_sym_as = 8,
  anon_sym_namespace = 9,
  anon_sym_LBRACE = 10,
  anon_sym_COMMA = 11,
  anon_sym_RBRACE = 12,
  anon_sym_typeof = 13,
  anon_sym_import = 14,
  anon_sym_from = 15,
  anon_sym_var = 16,
  anon_sym_let = 17,
  anon_sym_const = 18,
  anon_sym_BANG = 19,
  anon_sym_else = 20,
  anon_sym_if = 21,
  anon_sym_switch = 22,
  anon_sym_for = 23,
  anon_sym_LPAREN = 24,
  anon_sym_RPAREN = 25,
  anon_sym_await = 26,
  anon_sym_in = 27,
  anon_sym_of = 28,
  anon_sym_while = 29,
  anon_sym_do = 30,
  anon_sym_try = 31,
  anon_sym_with = 32,
  anon_sym_break = 33,
  anon_sym_continue = 34,
  anon_sym_debugger = 35,
  anon_sym_return = 36,
  anon_sym_throw = 37,
  anon_sym_SEMI = 38,
  anon_sym_COLON = 39,
  anon_sym_case = 40,
  anon_sym_catch = 41,
  anon_sym_finally = 42,
  anon_sym_yield = 43,
  anon_sym_LBRACK = 44,
  anon_sym_RBRACK = 45,
  sym__glimmer_template_content = 46,
  anon_sym_LTtemplate_GT = 47,
  anon_sym_LT_SLASHtemplate_GT = 48,
  aux_sym_jsx_text_token1 = 49,
  aux_sym_jsx_text_token2 = 50,
  anon_sym_GT = 51,
  sym_jsx_identifier = 52,
  anon_sym_DOT = 53,
  anon_sym_LT_SLASH = 54,
  anon_sym_SLASH_GT = 55,
  anon_sym_class = 56,
  anon_sym_async = 57,
  anon_sym_function = 58,
  anon_sym_EQ_GT = 59,
  anon_sym_QMARK_DOT = 60,
  anon_sym_new = 61,
  anon_sym_using = 62,
  anon_sym_PLUS_EQ = 63,
  anon_sym_DASH_EQ = 64,
  anon_sym_STAR_EQ = 65,
  anon_sym_SLASH_EQ = 66,
  anon_sym_PERCENT_EQ = 67,
  anon_sym_CARET_EQ = 68,
  anon_sym_AMP_EQ = 69,
  anon_sym_PIPE_EQ = 70,
  anon_sym_GT_GT_EQ = 71,
  anon_sym_GT_GT_GT_EQ = 72,
  anon_sym_LT_LT_EQ = 73,
  anon_sym_STAR_STAR_EQ = 74,
  anon_sym_AMP_AMP_EQ = 75,
  anon_sym_PIPE_PIPE_EQ = 76,
  anon_sym_QMARK_QMARK_EQ = 77,
  anon_sym_DOT_DOT_DOT = 78,
  anon_sym_AMP_AMP = 79,
  anon_sym_PIPE_PIPE = 80,
  anon_sym_GT_GT = 81,
  anon_sym_GT_GT_GT = 82,
  anon_sym_LT_LT = 83,
  anon_sym_AMP = 84,
  anon_sym_CARET = 85,
  anon_sym_PIPE = 86,
  anon_sym_PLUS = 87,
  anon_sym_DASH = 88,
  anon_sym_SLASH = 89,
  anon_sym_PERCENT = 90,
  anon_sym_STAR_STAR = 91,
  anon_sym_LT = 92,
  anon_sym_LT_EQ = 93,
  anon_sym_EQ_EQ = 94,
  anon_sym_EQ_EQ_EQ = 95,
  anon_sym_BANG_EQ = 96,
  anon_sym_BANG_EQ_EQ = 97,
  anon_sym_GT_EQ = 98,
  anon_sym_QMARK_QMARK = 99,
  anon_sym_instanceof = 100,
  anon_sym_TILDE = 101,
  anon_sym_void = 102,
  anon_sym_delete = 103,
  anon_sym_PLUS_PLUS = 104,
  anon_sym_DASH_DASH = 105,
  anon_sym_DQUOTE = 106,
  anon_sym_SQUOTE = 107,
  sym_unescaped_double_string_fragment = 108,
  sym_unescaped_single_string_fragment = 109,
  sym_escape_sequence = 110,
  aux_sym_comment_token1 = 111,
  anon_sym_BQUOTE = 112,
  anon_sym_DOLLAR_LBRACE = 113,
  anon_sym_SLASH2 = 114,
  sym_regex_pattern = 115,
  sym_regex_flags = 116,
  sym_number = 117,
  sym_private_property_identifier = 118,
  anon_sym_target = 119,
  sym_this = 120,
  sym_super = 121,
  sym_true = 122,
  sym_false = 123,
  sym_null = 124,
  sym_undefined = 125,
  anon_sym_AT = 126,
  anon_sym_static = 127,
  anon_sym_readonly = 128,
  anon_sym_get = 129,
  anon_sym_set = 130,
  anon_sym_QMARK = 131,
  anon_sym_declare = 132,
  anon_sym_public = 133,
  anon_sym_private = 134,
  anon_sym_protected = 135,
  anon_sym_override = 136,
  anon_sym_module = 137,
  anon_sym_any = 138,
  anon_sym_number = 139,
  anon_sym_boolean = 140,
  anon_sym_string = 141,
  anon_sym_symbol = 142,
  anon_sym_object = 143,
  anon_sym_abstract = 144,
  anon_sym_satisfies = 145,
  anon_sym_require = 146,
  anon_sym_extends = 147,
  anon_sym_implements = 148,
  anon_sym_global = 149,
  anon_sym_interface = 150,
  anon_sym_enum = 151,
  anon_sym_DASH_QMARK_COLON = 152,
  anon_sym_PLUS_QMARK_COLON = 153,
  anon_sym_QMARK_COLON = 154,
  anon_sym_asserts = 155,
  anon_sym_infer = 156,
  anon_sym_is = 157,
  anon_sym_keyof = 158,
  anon_sym_unique = 159,
  anon_sym_unknown = 160,
  anon_sym_never = 161,
  anon_sym_LBRACE_PIPE = 162,
  anon_sym_PIPE_RBRACE = 163,
  sym__automatic_semicolon = 164,
  sym__template_chars = 165,
  sym__ternary_qmark = 166,
  sym_html_comment = 167,
  sym__function_signature_automatic_semicolon = 168,
  sym_program = 169,
  sym_export_statement = 170,
  sym_namespace_export = 171,
  sym_export_clause = 172,
  sym_export_specifier = 173,
  sym__module_export_name = 174,
  sym_declaration = 175,
  sym_import = 176,
  sym_import_statement = 177,
  sym_import_clause = 178,
  sym__from_clause = 179,
  sym_namespace_import = 180,
  sym_named_imports = 181,
  sym_import_specifier = 182,
  sym_expression_statement = 183,
  sym_variable_declaration = 184,
  sym_lexical_declaration = 185,
  sym_variable_declarator = 186,
  sym_statement_block = 187,
  sym_else_clause = 188,
  sym_if_statement = 189,
  sym_switch_statement = 190,
  sym_for_statement = 191,
  sym_for_in_statement = 192,
  sym__for_header = 193,
  sym_while_statement = 194,
  sym_do_statement = 195,
  sym_try_statement = 196,
  sym_with_statement = 197,
  sym_break_statement = 198,
  sym_continue_statement = 199,
  sym_debugger_statement = 200,
  sym_return_statement = 201,
  sym_throw_statement = 202,
  sym_empty_statement = 203,
  sym_labeled_statement = 204,
  sym_switch_body = 205,
  sym_switch_case = 206,
  sym_switch_default = 207,
  sym_catch_clause = 208,
  sym_finally_clause = 209,
  sym_parenthesized_expression = 210,
  sym_expression = 211,
  sym_primary_expression = 212,
  sym_yield_expression = 213,
  sym_object = 214,
  sym_object_pattern = 215,
  sym_assignment_pattern = 216,
  sym_object_assignment_pattern = 217,
  sym_array = 218,
  sym_array_pattern = 219,
  sym_glimmer_template = 220,
  sym_glimmer_opening_tag = 221,
  sym_glimmer_closing_tag = 222,
  sym_jsx_element = 223,
  sym_jsx_text = 224,
  sym_jsx_expression = 225,
  sym_jsx_opening_element = 226,
  sym_nested_identifier = 227,
  sym_jsx_namespace_name = 228,
  sym_jsx_closing_element = 229,
  sym_jsx_self_closing_element = 230,
  sym_jsx_attribute = 231,
  sym_class = 232,
  sym_class_declaration = 233,
  sym_class_heritage = 234,
  sym_function_expression = 235,
  sym_function_declaration = 236,
  sym_generator_function = 237,
  sym_generator_function_declaration = 238,
  sym_arrow_function = 239,
  sym__call_signature = 240,
  sym__formal_parameter = 241,
  sym_optional_chain = 242,
  sym_call_expression = 243,
  sym_new_expression = 244,
  sym_await_expression = 245,
  sym_member_expression = 246,
  sym_subscript_expression = 247,
  sym_assignment_expression = 248,
  sym__augmented_assignment_lhs = 249,
  sym_augmented_assignment_expression = 250,
  sym__initializer = 251,
  sym__destructuring_pattern = 252,
  sym_spread_element = 253,
  sym_ternary_expression = 254,
  sym_binary_expression = 255,
  sym_unary_expression = 256,
  sym_update_expression = 257,
  sym_sequence_expression = 258,
  sym_string = 259,
  sym_comment = 260,
  sym_template_string = 261,
  sym_template_substitution = 262,
  sym_regex = 263,
  sym_meta_property = 264,
  sym_arguments = 265,
  sym_decorator = 266,
  sym_decorator_member_expression = 267,
  sym_decorator_call_expression = 268,
  sym_class_body = 269,
  sym_formal_parameters = 270,
  sym_class_static_block = 271,
  sym_pattern = 272,
  sym_rest_pattern = 273,
  sym_method_definition = 274,
  sym_pair = 275,
  sym_pair_pattern = 276,
  sym__property_name = 277,
  sym_computed_property_name = 278,
  sym_public_field_definition = 279,
  sym__import_identifier = 280,
  sym_non_null_expression = 281,
  sym_method_signature = 282,
  sym_abstract_method_signature = 283,
  sym_function_signature = 284,
  sym_as_expression = 285,
  sym_satisfies_expression = 286,
  sym_instantiation_expression = 287,
  sym_import_require_clause = 288,
  sym_extends_clause = 289,
  sym__extends_clause_single = 290,
  sym_implements_clause = 291,
  sym_ambient_declaration = 292,
  sym_abstract_class_declaration = 293,
  sym_module = 294,
  sym_internal_module = 295,
  sym__module = 296,
  sym_import_alias = 297,
  sym_nested_type_identifier = 298,
  sym_interface_declaration = 299,
  sym_extends_type_clause = 300,
  sym_enum_declaration = 301,
  sym_enum_body = 302,
  sym_enum_assignment = 303,
  sym_type_alias_declaration = 304,
  sym_accessibility_modifier = 305,
  sym_override_modifier = 306,
  sym_required_parameter = 307,
  sym_optional_parameter = 308,
  sym__parameter_name = 309,
  sym_omitting_type_annotation = 310,
  sym_adding_type_annotation = 311,
  sym_opting_type_annotation = 312,
  sym_type_annotation = 313,
  sym__type_query_member_expression_in_type_annotation = 314,
  sym__type_query_call_expression_in_type_annotation = 315,
  sym_asserts = 316,
  sym_asserts_annotation = 317,
  sym__type = 318,
  sym_tuple_parameter = 319,
  sym_optional_tuple_parameter = 320,
  sym_optional_type = 321,
  sym_rest_type = 322,
  sym__tuple_type_member = 323,
  sym_constructor_type = 324,
  sym__primary_type = 325,
  sym_template_type = 326,
  sym_template_literal_type = 327,
  sym_infer_type = 328,
  sym_conditional_type = 329,
  sym_generic_type = 330,
  sym_type_predicate = 331,
  sym_type_predicate_annotation = 332,
  sym__type_query_member_expression = 333,
  sym__type_query_subscript_expression = 334,
  sym__type_query_call_expression = 335,
  sym__type_query_instantiation_expression = 336,
  sym_type_query = 337,
  sym_index_type_query = 338,
  sym_lookup_type = 339,
  sym_mapped_type_clause = 340,
  sym_literal_type = 341,
  sym__number = 342,
  sym_existential_type = 343,
  sym_flow_maybe_type = 344,
  sym_parenthesized_type = 345,
  sym_predefined_type = 346,
  sym_type_arguments = 347,
  sym_object_type = 348,
  sym_call_signature = 349,
  sym_property_signature = 350,
  sym_type_parameters = 351,
  sym_type_parameter = 352,
  sym_default_type = 353,
  sym_constraint = 354,
  sym_construct_signature = 355,
  sym_index_signature = 356,
  sym_array_type = 357,
  sym_tuple_type = 358,
  sym_readonly_type = 359,
  sym_union_type = 360,
  sym_intersection_type = 361,
  sym_function_type = 362,
  aux_sym_program_repeat1 = 363,
  aux_sym_export_statement_repeat1 = 364,
  aux_sym_export_clause_repeat1 = 365,
  aux_sym_named_imports_repeat1 = 366,
  aux_sym_variable_declaration_repeat1 = 367,
  aux_sym_switch_body_repeat1 = 368,
  aux_sym_object_repeat1 = 369,
  aux_sym_object_pattern_repeat1 = 370,
  aux_sym_array_repeat1 = 371,
  aux_sym_array_pattern_repeat1 = 372,
  aux_sym_glimmer_template_repeat1 = 373,
  aux_sym_jsx_element_repeat1 = 374,
  aux_sym_sequence_expression_repeat1 = 375,
  aux_sym_string_repeat1 = 376,
  aux_sym_string_repeat2 = 377,
  aux_sym_template_string_repeat1 = 378,
  aux_sym_class_body_repeat1 = 379,
  aux_sym_formal_parameters_repeat1 = 380,
  aux_sym__jsx_start_opening_element_repeat1 = 381,
  aux_sym_extends_clause_repeat1 = 382,
  aux_sym_implements_clause_repeat1 = 383,
  aux_sym_extends_type_clause_repeat1 = 384,
  aux_sym_enum_body_repeat1 = 385,
  aux_sym_template_literal_type_repeat1 = 386,
  aux_sym_type_arguments_repeat1 = 387,
  aux_sym_object_type_repeat1 = 388,
  aux_sym_type_parameters_repeat1 = 389,
  aux_sym_tuple_type_repeat1 = 390,
  alias_sym_interface_body = 391,
  alias_sym_property_identifier = 392,
  alias_sym_shorthand_property_identifier = 393,
  alias_sym_shorthand_property_identifier_pattern = 394,
  alias_sym_statement_identifier = 395,
  alias_sym_this_type = 396,
  alias_sym_type_identifier = 397,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [sym_hash_bang_line] = "hash_bang_line",
  [anon_sym_export] = "export",
  [anon_sym_STAR] = "*",
  [anon_sym_default] = "default",
  [anon_sym_type] = "type",
  [anon_sym_EQ] = "=",
  [anon_sym_as] = "as",
  [anon_sym_namespace] = "namespace",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_typeof] = "typeof",
  [anon_sym_import] = "import",
  [anon_sym_from] = "from",
  [anon_sym_var] = "var",
  [anon_sym_let] = "let",
  [anon_sym_const] = "const",
  [anon_sym_BANG] = "!",
  [anon_sym_else] = "else",
  [anon_sym_if] = "if",
  [anon_sym_switch] = "switch",
  [anon_sym_for] = "for",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_await] = "await",
  [anon_sym_in] = "in",
  [anon_sym_of] = "of",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_try] = "try",
  [anon_sym_with] = "with",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_debugger] = "debugger",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_SEMI] = ";",
  [anon_sym_COLON] = ":",
  [anon_sym_case] = "case",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_yield] = "yield",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [sym__glimmer_template_content] = "_glimmer_template_content",
  [anon_sym_LTtemplate_GT] = "<template>",
  [anon_sym_LT_SLASHtemplate_GT] = "</template>",
  [aux_sym_jsx_text_token1] = "jsx_text_token1",
  [aux_sym_jsx_text_token2] = "jsx_text_token2",
  [anon_sym_GT] = ">",
  [sym_jsx_identifier] = "identifier",
  [anon_sym_DOT] = ".",
  [anon_sym_LT_SLASH] = "</",
  [anon_sym_SLASH_GT] = "/>",
  [anon_sym_class] = "class",
  [anon_sym_async] = "async",
  [anon_sym_function] = "function",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_QMARK_DOT] = "\?.",
  [anon_sym_new] = "new",
  [anon_sym_using] = "using",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_AMP_AMP_EQ] = "&&=",
  [anon_sym_PIPE_PIPE_EQ] = "||=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_TILDE] = "~",
  [anon_sym_void] = "void",
  [anon_sym_delete] = "delete",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_SQUOTE] = "'",
  [sym_unescaped_double_string_fragment] = "string_fragment",
  [sym_unescaped_single_string_fragment] = "string_fragment",
  [sym_escape_sequence] = "escape_sequence",
  [aux_sym_comment_token1] = "comment_token1",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH2] = "/",
  [sym_regex_pattern] = "regex_pattern",
  [sym_regex_flags] = "regex_flags",
  [sym_number] = "number",
  [sym_private_property_identifier] = "private_property_identifier",
  [anon_sym_target] = "target",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_undefined] = "undefined",
  [anon_sym_AT] = "@",
  [anon_sym_static] = "static",
  [anon_sym_readonly] = "readonly",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [anon_sym_QMARK] = "\?",
  [anon_sym_declare] = "declare",
  [anon_sym_public] = "public",
  [anon_sym_private] = "private",
  [anon_sym_protected] = "protected",
  [anon_sym_override] = "override",
  [anon_sym_module] = "module",
  [anon_sym_any] = "any",
  [anon_sym_number] = "number",
  [anon_sym_boolean] = "boolean",
  [anon_sym_string] = "string",
  [anon_sym_symbol] = "symbol",
  [anon_sym_object] = "object",
  [anon_sym_abstract] = "abstract",
  [anon_sym_satisfies] = "satisfies",
  [anon_sym_require] = "require",
  [anon_sym_extends] = "extends",
  [anon_sym_implements] = "implements",
  [anon_sym_global] = "global",
  [anon_sym_interface] = "interface",
  [anon_sym_enum] = "enum",
  [anon_sym_DASH_QMARK_COLON] = "-\?:",
  [anon_sym_PLUS_QMARK_COLON] = "+\?:",
  [anon_sym_QMARK_COLON] = "\?:",
  [anon_sym_asserts] = "asserts",
  [anon_sym_infer] = "infer",
  [anon_sym_is] = "is",
  [anon_sym_keyof] = "keyof",
  [anon_sym_unique] = "unique symbol",
  [anon_sym_unknown] = "unknown",
  [anon_sym_never] = "never",
  [anon_sym_LBRACE_PIPE] = "{|",
  [anon_sym_PIPE_RBRACE] = "|}",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__template_chars] = "_template_chars",
  [sym__ternary_qmark] = "\?",
  [sym_html_comment] = "html_comment",
  [sym__function_signature_automatic_semicolon] = "_function_signature_automatic_semicolon",
  [sym_program] = "program",
  [sym_export_statement] = "export_statement",
  [sym_namespace_export] = "namespace_export",
  [sym_export_clause] = "export_clause",
  [sym_export_specifier] = "export_specifier",
  [sym__module_export_name] = "_module_export_name",
  [sym_declaration] = "declaration",
  [sym_import] = "import",
  [sym_import_statement] = "import_statement",
  [sym_import_clause] = "import_clause",
  [sym__from_clause] = "_from_clause",
  [sym_namespace_import] = "namespace_import",
  [sym_named_imports] = "named_imports",
  [sym_import_specifier] = "import_specifier",
  [sym_expression_statement] = "expression_statement",
  [sym_variable_declaration] = "variable_declaration",
  [sym_lexical_declaration] = "lexical_declaration",
  [sym_variable_declarator] = "variable_declarator",
  [sym_statement_block] = "statement_block",
  [sym_else_clause] = "else_clause",
  [sym_if_statement] = "if_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_in_statement] = "for_in_statement",
  [sym__for_header] = "_for_header",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_try_statement] = "try_statement",
  [sym_with_statement] = "with_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_debugger_statement] = "debugger_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_switch_body] = "switch_body",
  [sym_switch_case] = "switch_case",
  [sym_switch_default] = "switch_default",
  [sym_catch_clause] = "catch_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_yield_expression] = "yield_expression",
  [sym_object] = "object",
  [sym_object_pattern] = "object_pattern",
  [sym_assignment_pattern] = "assignment_pattern",
  [sym_object_assignment_pattern] = "object_assignment_pattern",
  [sym_array] = "array",
  [sym_array_pattern] = "array_pattern",
  [sym_glimmer_template] = "glimmer_template",
  [sym_glimmer_opening_tag] = "glimmer_opening_tag",
  [sym_glimmer_closing_tag] = "glimmer_closing_tag",
  [sym_jsx_element] = "jsx_element",
  [sym_jsx_text] = "jsx_text",
  [sym_jsx_expression] = "jsx_expression",
  [sym_jsx_opening_element] = "jsx_opening_element",
  [sym_nested_identifier] = "nested_identifier",
  [sym_jsx_namespace_name] = "jsx_namespace_name",
  [sym_jsx_closing_element] = "jsx_closing_element",
  [sym_jsx_self_closing_element] = "jsx_self_closing_element",
  [sym_jsx_attribute] = "jsx_attribute",
  [sym_class] = "class",
  [sym_class_declaration] = "class_declaration",
  [sym_class_heritage] = "class_heritage",
  [sym_function_expression] = "function_expression",
  [sym_function_declaration] = "function_declaration",
  [sym_generator_function] = "generator_function",
  [sym_generator_function_declaration] = "generator_function_declaration",
  [sym_arrow_function] = "arrow_function",
  [sym__call_signature] = "_call_signature",
  [sym__formal_parameter] = "_formal_parameter",
  [sym_optional_chain] = "optional_chain",
  [sym_call_expression] = "call_expression",
  [sym_new_expression] = "new_expression",
  [sym_await_expression] = "await_expression",
  [sym_member_expression] = "member_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym__augmented_assignment_lhs] = "_augmented_assignment_lhs",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__initializer] = "_initializer",
  [sym__destructuring_pattern] = "_destructuring_pattern",
  [sym_spread_element] = "spread_element",
  [sym_ternary_expression] = "ternary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_string] = "string",
  [sym_comment] = "comment",
  [sym_template_string] = "template_string",
  [sym_template_substitution] = "template_substitution",
  [sym_regex] = "regex",
  [sym_meta_property] = "meta_property",
  [sym_arguments] = "arguments",
  [sym_decorator] = "decorator",
  [sym_decorator_member_expression] = "member_expression",
  [sym_decorator_call_expression] = "call_expression",
  [sym_class_body] = "class_body",
  [sym_formal_parameters] = "formal_parameters",
  [sym_class_static_block] = "class_static_block",
  [sym_pattern] = "pattern",
  [sym_rest_pattern] = "rest_pattern",
  [sym_method_definition] = "method_definition",
  [sym_pair] = "pair",
  [sym_pair_pattern] = "pair_pattern",
  [sym__property_name] = "_property_name",
  [sym_computed_property_name] = "computed_property_name",
  [sym_public_field_definition] = "public_field_definition",
  [sym__import_identifier] = "_import_identifier",
  [sym_non_null_expression] = "non_null_expression",
  [sym_method_signature] = "method_signature",
  [sym_abstract_method_signature] = "abstract_method_signature",
  [sym_function_signature] = "function_signature",
  [sym_as_expression] = "as_expression",
  [sym_satisfies_expression] = "satisfies_expression",
  [sym_instantiation_expression] = "instantiation_expression",
  [sym_import_require_clause] = "import_require_clause",
  [sym_extends_clause] = "extends_clause",
  [sym__extends_clause_single] = "_extends_clause_single",
  [sym_implements_clause] = "implements_clause",
  [sym_ambient_declaration] = "ambient_declaration",
  [sym_abstract_class_declaration] = "abstract_class_declaration",
  [sym_module] = "module",
  [sym_internal_module] = "internal_module",
  [sym__module] = "_module",
  [sym_import_alias] = "import_alias",
  [sym_nested_type_identifier] = "nested_type_identifier",
  [sym_interface_declaration] = "interface_declaration",
  [sym_extends_type_clause] = "extends_type_clause",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_body] = "enum_body",
  [sym_enum_assignment] = "enum_assignment",
  [sym_type_alias_declaration] = "type_alias_declaration",
  [sym_accessibility_modifier] = "accessibility_modifier",
  [sym_override_modifier] = "override_modifier",
  [sym_required_parameter] = "required_parameter",
  [sym_optional_parameter] = "optional_parameter",
  [sym__parameter_name] = "_parameter_name",
  [sym_omitting_type_annotation] = "omitting_type_annotation",
  [sym_adding_type_annotation] = "adding_type_annotation",
  [sym_opting_type_annotation] = "opting_type_annotation",
  [sym_type_annotation] = "type_annotation",
  [sym__type_query_member_expression_in_type_annotation] = "member_expression",
  [sym__type_query_call_expression_in_type_annotation] = "call_expression",
  [sym_asserts] = "asserts",
  [sym_asserts_annotation] = "asserts_annotation",
  [sym__type] = "_type",
  [sym_tuple_parameter] = "required_parameter",
  [sym_optional_tuple_parameter] = "optional_parameter",
  [sym_optional_type] = "optional_type",
  [sym_rest_type] = "rest_type",
  [sym__tuple_type_member] = "_tuple_type_member",
  [sym_constructor_type] = "constructor_type",
  [sym__primary_type] = "_primary_type",
  [sym_template_type] = "template_type",
  [sym_template_literal_type] = "template_literal_type",
  [sym_infer_type] = "infer_type",
  [sym_conditional_type] = "conditional_type",
  [sym_generic_type] = "generic_type",
  [sym_type_predicate] = "type_predicate",
  [sym_type_predicate_annotation] = "type_predicate_annotation",
  [sym__type_query_member_expression] = "member_expression",
  [sym__type_query_subscript_expression] = "subscript_expression",
  [sym__type_query_call_expression] = "call_expression",
  [sym__type_query_instantiation_expression] = "instantiation_expression",
  [sym_type_query] = "type_query",
  [sym_index_type_query] = "index_type_query",
  [sym_lookup_type] = "lookup_type",
  [sym_mapped_type_clause] = "mapped_type_clause",
  [sym_literal_type] = "literal_type",
  [sym__number] = "unary_expression",
  [sym_existential_type] = "existential_type",
  [sym_flow_maybe_type] = "flow_maybe_type",
  [sym_parenthesized_type] = "parenthesized_type",
  [sym_predefined_type] = "predefined_type",
  [sym_type_arguments] = "type_arguments",
  [sym_object_type] = "object_type",
  [sym_call_signature] = "call_signature",
  [sym_property_signature] = "property_signature",
  [sym_type_parameters] = "type_parameters",
  [sym_type_parameter] = "type_parameter",
  [sym_default_type] = "default_type",
  [sym_constraint] = "constraint",
  [sym_construct_signature] = "construct_signature",
  [sym_index_signature] = "index_signature",
  [sym_array_type] = "array_type",
  [sym_tuple_type] = "tuple_type",
  [sym_readonly_type] = "readonly_type",
  [sym_union_type] = "union_type",
  [sym_intersection_type] = "intersection_type",
  [sym_function_type] = "function_type",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_export_statement_repeat1] = "export_statement_repeat1",
  [aux_sym_export_clause_repeat1] = "export_clause_repeat1",
  [aux_sym_named_imports_repeat1] = "named_imports_repeat1",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_object_pattern_repeat1] = "object_pattern_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_array_pattern_repeat1] = "array_pattern_repeat1",
  [aux_sym_glimmer_template_repeat1] = "glimmer_template_repeat1",
  [aux_sym_jsx_element_repeat1] = "jsx_element_repeat1",
  [aux_sym_sequence_expression_repeat1] = "sequence_expression_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_template_string_repeat1] = "template_string_repeat1",
  [aux_sym_class_body_repeat1] = "class_body_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym__jsx_start_opening_element_repeat1] = "_jsx_start_opening_element_repeat1",
  [aux_sym_extends_clause_repeat1] = "extends_clause_repeat1",
  [aux_sym_implements_clause_repeat1] = "implements_clause_repeat1",
  [aux_sym_extends_type_clause_repeat1] = "extends_type_clause_repeat1",
  [aux_sym_enum_body_repeat1] = "enum_body_repeat1",
  [aux_sym_template_literal_type_repeat1] = "template_literal_type_repeat1",
  [aux_sym_type_arguments_repeat1] = "type_arguments_repeat1",
  [aux_sym_object_type_repeat1] = "object_type_repeat1",
  [aux_sym_type_parameters_repeat1] = "type_parameters_repeat1",
  [aux_sym_tuple_type_repeat1] = "tuple_type_repeat1",
  [alias_sym_interface_body] = "interface_body",
  [alias_sym_property_identifier] = "property_identifier",
  [alias_sym_shorthand_property_identifier] = "shorthand_property_identifier",
  [alias_sym_shorthand_property_identifier_pattern] = "shorthand_property_identifier_pattern",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_this_type] = "this_type",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [sym_hash_bang_line] = sym_hash_bang_line,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_namespace] = anon_sym_namespace,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_typeof] = anon_sym_typeof,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_from] = anon_sym_from,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_debugger] = anon_sym_debugger,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [sym__glimmer_template_content] = sym__glimmer_template_content,
  [anon_sym_LTtemplate_GT] = anon_sym_LTtemplate_GT,
  [anon_sym_LT_SLASHtemplate_GT] = anon_sym_LT_SLASHtemplate_GT,
  [aux_sym_jsx_text_token1] = aux_sym_jsx_text_token1,
  [aux_sym_jsx_text_token2] = aux_sym_jsx_text_token2,
  [anon_sym_GT] = anon_sym_GT,
  [sym_jsx_identifier] = sym_identifier,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_LT_SLASH] = anon_sym_LT_SLASH,
  [anon_sym_SLASH_GT] = anon_sym_SLASH_GT,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_QMARK_DOT] = anon_sym_QMARK_DOT,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_using] = anon_sym_using,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_GT_GT_GT_EQ] = anon_sym_GT_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_AMP_AMP_EQ] = anon_sym_AMP_AMP_EQ,
  [anon_sym_PIPE_PIPE_EQ] = anon_sym_PIPE_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_instanceof] = anon_sym_instanceof,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [sym_unescaped_double_string_fragment] = sym_unescaped_double_string_fragment,
  [sym_unescaped_single_string_fragment] = sym_unescaped_double_string_fragment,
  [sym_escape_sequence] = sym_escape_sequence,
  [aux_sym_comment_token1] = aux_sym_comment_token1,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SLASH2] = anon_sym_SLASH,
  [sym_regex_pattern] = sym_regex_pattern,
  [sym_regex_flags] = sym_regex_flags,
  [sym_number] = sym_number,
  [sym_private_property_identifier] = sym_private_property_identifier,
  [anon_sym_target] = anon_sym_target,
  [sym_this] = sym_this,
  [sym_super] = sym_super,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_null] = sym_null,
  [sym_undefined] = sym_undefined,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_readonly] = anon_sym_readonly,
  [anon_sym_get] = anon_sym_get,
  [anon_sym_set] = anon_sym_set,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_declare] = anon_sym_declare,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_override] = anon_sym_override,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_any] = anon_sym_any,
  [anon_sym_number] = anon_sym_number,
  [anon_sym_boolean] = anon_sym_boolean,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_symbol] = anon_sym_symbol,
  [anon_sym_object] = anon_sym_object,
  [anon_sym_abstract] = anon_sym_abstract,
  [anon_sym_satisfies] = anon_sym_satisfies,
  [anon_sym_require] = anon_sym_require,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_implements] = anon_sym_implements,
  [anon_sym_global] = anon_sym_global,
  [anon_sym_interface] = anon_sym_interface,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_DASH_QMARK_COLON] = anon_sym_DASH_QMARK_COLON,
  [anon_sym_PLUS_QMARK_COLON] = anon_sym_PLUS_QMARK_COLON,
  [anon_sym_QMARK_COLON] = anon_sym_QMARK_COLON,
  [anon_sym_asserts] = anon_sym_asserts,
  [anon_sym_infer] = anon_sym_infer,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_keyof] = anon_sym_keyof,
  [anon_sym_unique] = anon_sym_unique,
  [anon_sym_unknown] = anon_sym_unknown,
  [anon_sym_never] = anon_sym_never,
  [anon_sym_LBRACE_PIPE] = anon_sym_LBRACE_PIPE,
  [anon_sym_PIPE_RBRACE] = anon_sym_PIPE_RBRACE,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym__template_chars] = sym__template_chars,
  [sym__ternary_qmark] = anon_sym_QMARK,
  [sym_html_comment] = sym_html_comment,
  [sym__function_signature_automatic_semicolon] = sym__function_signature_automatic_semicolon,
  [sym_program] = sym_program,
  [sym_export_statement] = sym_export_statement,
  [sym_namespace_export] = sym_namespace_export,
  [sym_export_clause] = sym_export_clause,
  [sym_export_specifier] = sym_export_specifier,
  [sym__module_export_name] = sym__module_export_name,
  [sym_declaration] = sym_declaration,
  [sym_import] = sym_import,
  [sym_import_statement] = sym_import_statement,
  [sym_import_clause] = sym_import_clause,
  [sym__from_clause] = sym__from_clause,
  [sym_namespace_import] = sym_namespace_import,
  [sym_named_imports] = sym_named_imports,
  [sym_import_specifier] = sym_import_specifier,
  [sym_expression_statement] = sym_expression_statement,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_lexical_declaration] = sym_lexical_declaration,
  [sym_variable_declarator] = sym_variable_declarator,
  [sym_statement_block] = sym_statement_block,
  [sym_else_clause] = sym_else_clause,
  [sym_if_statement] = sym_if_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_in_statement] = sym_for_in_statement,
  [sym__for_header] = sym__for_header,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_with_statement] = sym_with_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_debugger_statement] = sym_debugger_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_switch_body] = sym_switch_body,
  [sym_switch_case] = sym_switch_case,
  [sym_switch_default] = sym_switch_default,
  [sym_catch_clause] = sym_catch_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_yield_expression] = sym_yield_expression,
  [sym_object] = sym_object,
  [sym_object_pattern] = sym_object_pattern,
  [sym_assignment_pattern] = sym_assignment_pattern,
  [sym_object_assignment_pattern] = sym_object_assignment_pattern,
  [sym_array] = sym_array,
  [sym_array_pattern] = sym_array_pattern,
  [sym_glimmer_template] = sym_glimmer_template,
  [sym_glimmer_opening_tag] = sym_glimmer_opening_tag,
  [sym_glimmer_closing_tag] = sym_glimmer_closing_tag,
  [sym_jsx_element] = sym_jsx_element,
  [sym_jsx_text] = sym_jsx_text,
  [sym_jsx_expression] = sym_jsx_expression,
  [sym_jsx_opening_element] = sym_jsx_opening_element,
  [sym_nested_identifier] = sym_nested_identifier,
  [sym_jsx_namespace_name] = sym_jsx_namespace_name,
  [sym_jsx_closing_element] = sym_jsx_closing_element,
  [sym_jsx_self_closing_element] = sym_jsx_self_closing_element,
  [sym_jsx_attribute] = sym_jsx_attribute,
  [sym_class] = sym_class,
  [sym_class_declaration] = sym_class_declaration,
  [sym_class_heritage] = sym_class_heritage,
  [sym_function_expression] = sym_function_expression,
  [sym_function_declaration] = sym_function_declaration,
  [sym_generator_function] = sym_generator_function,
  [sym_generator_function_declaration] = sym_generator_function_declaration,
  [sym_arrow_function] = sym_arrow_function,
  [sym__call_signature] = sym__call_signature,
  [sym__formal_parameter] = sym__formal_parameter,
  [sym_optional_chain] = sym_optional_chain,
  [sym_call_expression] = sym_call_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_await_expression] = sym_await_expression,
  [sym_member_expression] = sym_member_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym__augmented_assignment_lhs] = sym__augmented_assignment_lhs,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym__initializer] = sym__initializer,
  [sym__destructuring_pattern] = sym__destructuring_pattern,
  [sym_spread_element] = sym_spread_element,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_string] = sym_string,
  [sym_comment] = sym_comment,
  [sym_template_string] = sym_template_string,
  [sym_template_substitution] = sym_template_substitution,
  [sym_regex] = sym_regex,
  [sym_meta_property] = sym_meta_property,
  [sym_arguments] = sym_arguments,
  [sym_decorator] = sym_decorator,
  [sym_decorator_member_expression] = sym_member_expression,
  [sym_decorator_call_expression] = sym_call_expression,
  [sym_class_body] = sym_class_body,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_class_static_block] = sym_class_static_block,
  [sym_pattern] = sym_pattern,
  [sym_rest_pattern] = sym_rest_pattern,
  [sym_method_definition] = sym_method_definition,
  [sym_pair] = sym_pair,
  [sym_pair_pattern] = sym_pair_pattern,
  [sym__property_name] = sym__property_name,
  [sym_computed_property_name] = sym_computed_property_name,
  [sym_public_field_definition] = sym_public_field_definition,
  [sym__import_identifier] = sym__import_identifier,
  [sym_non_null_expression] = sym_non_null_expression,
  [sym_method_signature] = sym_method_signature,
  [sym_abstract_method_signature] = sym_abstract_method_signature,
  [sym_function_signature] = sym_function_signature,
  [sym_as_expression] = sym_as_expression,
  [sym_satisfies_expression] = sym_satisfies_expression,
  [sym_instantiation_expression] = sym_instantiation_expression,
  [sym_import_require_clause] = sym_import_require_clause,
  [sym_extends_clause] = sym_extends_clause,
  [sym__extends_clause_single] = sym__extends_clause_single,
  [sym_implements_clause] = sym_implements_clause,
  [sym_ambient_declaration] = sym_ambient_declaration,
  [sym_abstract_class_declaration] = sym_abstract_class_declaration,
  [sym_module] = sym_module,
  [sym_internal_module] = sym_internal_module,
  [sym__module] = sym__module,
  [sym_import_alias] = sym_import_alias,
  [sym_nested_type_identifier] = sym_nested_type_identifier,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_extends_type_clause] = sym_extends_type_clause,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_body] = sym_enum_body,
  [sym_enum_assignment] = sym_enum_assignment,
  [sym_type_alias_declaration] = sym_type_alias_declaration,
  [sym_accessibility_modifier] = sym_accessibility_modifier,
  [sym_override_modifier] = sym_override_modifier,
  [sym_required_parameter] = sym_required_parameter,
  [sym_optional_parameter] = sym_optional_parameter,
  [sym__parameter_name] = sym__parameter_name,
  [sym_omitting_type_annotation] = sym_omitting_type_annotation,
  [sym_adding_type_annotation] = sym_adding_type_annotation,
  [sym_opting_type_annotation] = sym_opting_type_annotation,
  [sym_type_annotation] = sym_type_annotation,
  [sym__type_query_member_expression_in_type_annotation] = sym_member_expression,
  [sym__type_query_call_expression_in_type_annotation] = sym_call_expression,
  [sym_asserts] = sym_asserts,
  [sym_asserts_annotation] = sym_asserts_annotation,
  [sym__type] = sym__type,
  [sym_tuple_parameter] = sym_required_parameter,
  [sym_optional_tuple_parameter] = sym_optional_parameter,
  [sym_optional_type] = sym_optional_type,
  [sym_rest_type] = sym_rest_type,
  [sym__tuple_type_member] = sym__tuple_type_member,
  [sym_constructor_type] = sym_constructor_type,
  [sym__primary_type] = sym__primary_type,
  [sym_template_type] = sym_template_type,
  [sym_template_literal_type] = sym_template_literal_type,
  [sym_infer_type] = sym_infer_type,
  [sym_conditional_type] = sym_conditional_type,
  [sym_generic_type] = sym_generic_type,
  [sym_type_predicate] = sym_type_predicate,
  [sym_type_predicate_annotation] = sym_type_predicate_annotation,
  [sym__type_query_member_expression] = sym_member_expression,
  [sym__type_query_subscript_expression] = sym_subscript_expression,
  [sym__type_query_call_expression] = sym_call_expression,
  [sym__type_query_instantiation_expression] = sym_instantiation_expression,
  [sym_type_query] = sym_type_query,
  [sym_index_type_query] = sym_index_type_query,
  [sym_lookup_type] = sym_lookup_type,
  [sym_mapped_type_clause] = sym_mapped_type_clause,
  [sym_literal_type] = sym_literal_type,
  [sym__number] = sym_unary_expression,
  [sym_existential_type] = sym_existential_type,
  [sym_flow_maybe_type] = sym_flow_maybe_type,
  [sym_parenthesized_type] = sym_parenthesized_type,
  [sym_predefined_type] = sym_predefined_type,
  [sym_type_arguments] = sym_type_arguments,
  [sym_object_type] = sym_object_type,
  [sym_call_signature] = sym_call_signature,
  [sym_property_signature] = sym_property_signature,
  [sym_type_parameters] = sym_type_parameters,
  [sym_type_parameter] = sym_type_parameter,
  [sym_default_type] = sym_default_type,
  [sym_constraint] = sym_constraint,
  [sym_construct_signature] = sym_construct_signature,
  [sym_index_signature] = sym_index_signature,
  [sym_array_type] = sym_array_type,
  [sym_tuple_type] = sym_tuple_type,
  [sym_readonly_type] = sym_readonly_type,
  [sym_union_type] = sym_union_type,
  [sym_intersection_type] = sym_intersection_type,
  [sym_function_type] = sym_function_type,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_export_statement_repeat1] = aux_sym_export_statement_repeat1,
  [aux_sym_export_clause_repeat1] = aux_sym_export_clause_repeat1,
  [aux_sym_named_imports_repeat1] = aux_sym_named_imports_repeat1,
  [aux_sym_variable_declaration_repeat1] = aux_sym_variable_declaration_repeat1,
  [aux_sym_switch_body_repeat1] = aux_sym_switch_body_repeat1,
  [aux_sym_object_repeat1] = aux_sym_object_repeat1,
  [aux_sym_object_pattern_repeat1] = aux_sym_object_pattern_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_array_pattern_repeat1] = aux_sym_array_pattern_repeat1,
  [aux_sym_glimmer_template_repeat1] = aux_sym_glimmer_template_repeat1,
  [aux_sym_jsx_element_repeat1] = aux_sym_jsx_element_repeat1,
  [aux_sym_sequence_expression_repeat1] = aux_sym_sequence_expression_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym_template_string_repeat1] = aux_sym_template_string_repeat1,
  [aux_sym_class_body_repeat1] = aux_sym_class_body_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym__jsx_start_opening_element_repeat1] = aux_sym__jsx_start_opening_element_repeat1,
  [aux_sym_extends_clause_repeat1] = aux_sym_extends_clause_repeat1,
  [aux_sym_implements_clause_repeat1] = aux_sym_implements_clause_repeat1,
  [aux_sym_extends_type_clause_repeat1] = aux_sym_extends_type_clause_repeat1,
  [aux_sym_enum_body_repeat1] = aux_sym_enum_body_repeat1,
  [aux_sym_template_literal_type_repeat1] = aux_sym_template_literal_type_repeat1,
  [aux_sym_type_arguments_repeat1] = aux_sym_type_arguments_repeat1,
  [aux_sym_object_type_repeat1] = aux_sym_object_type_repeat1,
  [aux_sym_type_parameters_repeat1] = aux_sym_type_parameters_repeat1,
  [aux_sym_tuple_type_repeat1] = aux_sym_tuple_type_repeat1,
  [alias_sym_interface_body] = alias_sym_interface_body,
  [alias_sym_property_identifier] = alias_sym_property_identifier,
  [alias_sym_shorthand_property_identifier] = alias_sym_shorthand_property_identifier,
  [alias_sym_shorthand_property_identifier_pattern] = alias_sym_shorthand_property_identifier_pattern,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_this_type] = alias_sym_this_type,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_bang_line] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_namespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_debugger] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym__glimmer_template_content] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_LTtemplate_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASHtemplate_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_jsx_text_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_text_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_jsx_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_using] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_comment_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH2] = {
    .visible = true,
    .named = false,
  },
  [sym_regex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_regex_flags] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_private_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_target] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_undefined] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readonly] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_declare] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_any] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_number] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_boolean] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_symbol] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_object] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_abstract] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_satisfies] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_require] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_implements] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asserts] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_infer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_keyof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unique] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unknown] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_never] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars] = {
    .visible = false,
    .named = true,
  },
  [sym__ternary_qmark] = {
    .visible = true,
    .named = false,
  },
  [sym_html_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__function_signature_automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_export_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_export] = {
    .visible = true,
    .named = true,
  },
  [sym_export_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_export_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__module_export_name] = {
    .visible = false,
    .named = true,
  },
  [sym_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__from_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_import] = {
    .visible = true,
    .named = true,
  },
  [sym_named_imports] = {
    .visible = true,
    .named = true,
  },
  [sym_import_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_lexical_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_header] = {
    .visible = false,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_debugger_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_default] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_object_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_object_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_template] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_opening_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_closing_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_text] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_opening_element] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_self_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_class] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_class_heritage] = {
    .visible = true,
    .named = true,
  },
  [sym_function_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym__call_signature] = {
    .visible = false,
    .named = true,
  },
  [sym__formal_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym_optional_chain] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__augmented_assignment_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__initializer] = {
    .visible = false,
    .named = true,
  },
  [sym__destructuring_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_spread_element] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_template_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_meta_property] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_class_static_block] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_rest_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_pair_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__property_name] = {
    .visible = false,
    .named = true,
  },
  [sym_computed_property_name] = {
    .visible = true,
    .named = true,
  },
  [sym_public_field_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__import_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_non_null_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_method_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_method_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_function_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_as_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_satisfies_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_instantiation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_import_require_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__extends_clause_single] = {
    .visible = false,
    .named = true,
  },
  [sym_implements_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_ambient_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym_internal_module] = {
    .visible = true,
    .named = true,
  },
  [sym__module] = {
    .visible = false,
    .named = true,
  },
  [sym_import_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_type_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_body] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_type_alias_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_accessibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_override_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_required_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__parameter_name] = {
    .visible = false,
    .named = true,
  },
  [sym_omitting_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_adding_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_opting_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_member_expression_in_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_call_expression_in_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_asserts] = {
    .visible = true,
    .named = true,
  },
  [sym_asserts_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
  },
  [sym_tuple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_tuple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_rest_type] = {
    .visible = true,
    .named = true,
  },
  [sym__tuple_type_member] = {
    .visible = false,
    .named = true,
  },
  [sym_constructor_type] = {
    .visible = true,
    .named = true,
  },
  [sym__primary_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_template_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_literal_type] = {
    .visible = true,
    .named = true,
  },
  [sym_infer_type] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_predicate] = {
    .visible = true,
    .named = true,
  },
  [sym_type_predicate_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_instantiation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_query] = {
    .visible = true,
    .named = true,
  },
  [sym_index_type_query] = {
    .visible = true,
    .named = true,
  },
  [sym_lookup_type] = {
    .visible = true,
    .named = true,
  },
  [sym_mapped_type_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_type] = {
    .visible = true,
    .named = true,
  },
  [sym__number] = {
    .visible = true,
    .named = true,
  },
  [sym_existential_type] = {
    .visible = true,
    .named = true,
  },
  [sym_flow_maybe_type] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type] = {
    .visible = true,
    .named = true,
  },
  [sym_predefined_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_object_type] = {
    .visible = true,
    .named = true,
  },
  [sym_call_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_property_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_default_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_construct_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_index_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_readonly_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_intersection_type] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_imports_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_glimmer_template_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sequence_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__jsx_start_opening_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_extends_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_implements_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_extends_type_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_literal_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_interface_body] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_this_type] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attribute = 5,
  field_body = 6,
  field_close_tag = 7,
  field_condition = 8,
  field_consequence = 9,
  field_constraint = 10,
  field_constructor = 11,
  field_content = 12,
  field_declaration = 13,
  field_decorator = 14,
  field_finalizer = 15,
  field_flags = 16,
  field_function = 17,
  field_handler = 18,
  field_increment = 19,
  field_index = 20,
  field_index_type = 21,
  field_initializer = 22,
  field_key = 23,
  field_kind = 24,
  field_label = 25,
  field_left = 26,
  field_module = 27,
  field_name = 28,
  field_object = 29,
  field_open_tag = 30,
  field_operator = 31,
  field_optional_chain = 32,
  field_parameter = 33,
  field_parameters = 34,
  field_pattern = 35,
  field_property = 36,
  field_return_type = 37,
  field_right = 38,
  field_sign = 39,
  field_source = 40,
  field_type = 41,
  field_type_arguments = 42,
  field_type_parameters = 43,
  field_value = 44,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_close_tag] = "close_tag",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_constructor] = "constructor",
  [field_content] = "content",
  [field_declaration] = "declaration",
  [field_decorator] = "decorator",
  [field_finalizer] = "finalizer",
  [field_flags] = "flags",
  [field_function] = "function",
  [field_handler] = "handler",
  [field_increment] = "increment",
  [field_index] = "index",
  [field_index_type] = "index_type",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_kind] = "kind",
  [field_label] = "label",
  [field_left] = "left",
  [field_module] = "module",
  [field_name] = "name",
  [field_object] = "object",
  [field_open_tag] = "open_tag",
  [field_operator] = "operator",
  [field_optional_chain] = "optional_chain",
  [field_parameter] = "parameter",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_property] = "property",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_sign] = "sign",
  [field_source] = "source",
  [field_type] = "type",
  [field_type_arguments] = "type_arguments",
  [field_type_parameters] = "type_parameters",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 1},
  [5] = {.index = 3, .length = 1},
  [6] = {.index = 4, .length = 2},
  [8] = {.index = 6, .length = 2},
  [9] = {.index = 8, .length = 1},
  [10] = {.index = 9, .length = 2},
  [11] = {.index = 11, .length = 1},
  [12] = {.index = 12, .length = 1},
  [13] = {.index = 3, .length = 1},
  [15] = {.index = 13, .length = 2},
  [16] = {.index = 15, .length = 2},
  [17] = {.index = 17, .length = 1},
  [18] = {.index = 18, .length = 2},
  [19] = {.index = 20, .length = 2},
  [20] = {.index = 22, .length = 2},
  [21] = {.index = 24, .length = 2},
  [22] = {.index = 26, .length = 1},
  [23] = {.index = 27, .length = 2},
  [24] = {.index = 29, .length = 2},
  [25] = {.index = 31, .length = 2},
  [26] = {.index = 33, .length = 2},
  [30] = {.index = 35, .length = 1},
  [31] = {.index = 36, .length = 2},
  [32] = {.index = 38, .length = 2},
  [33] = {.index = 40, .length = 1},
  [34] = {.index = 41, .length = 2},
  [35] = {.index = 43, .length = 2},
  [36] = {.index = 45, .length = 6},
  [37] = {.index = 51, .length = 1},
  [38] = {.index = 52, .length = 3},
  [39] = {.index = 55, .length = 3},
  [40] = {.index = 58, .length = 2},
  [41] = {.index = 60, .length = 2},
  [42] = {.index = 62, .length = 2},
  [43] = {.index = 64, .length = 2},
  [44] = {.index = 66, .length = 2},
  [45] = {.index = 68, .length = 1},
  [46] = {.index = 69, .length = 2},
  [47] = {.index = 71, .length = 1},
  [48] = {.index = 72, .length = 2},
  [51] = {.index = 74, .length = 2},
  [52] = {.index = 76, .length = 1},
  [53] = {.index = 77, .length = 2},
  [54] = {.index = 79, .length = 4},
  [55] = {.index = 83, .length = 2},
  [56] = {.index = 85, .length = 2},
  [57] = {.index = 87, .length = 1},
  [58] = {.index = 87, .length = 1},
  [59] = {.index = 88, .length = 1},
  [60] = {.index = 89, .length = 2},
  [61] = {.index = 91, .length = 2},
  [62] = {.index = 87, .length = 1},
  [63] = {.index = 27, .length = 2},
  [64] = {.index = 31, .length = 2},
  [65] = {.index = 93, .length = 3},
  [66] = {.index = 69, .length = 2},
  [67] = {.index = 69, .length = 2},
  [68] = {.index = 96, .length = 2},
  [69] = {.index = 96, .length = 2},
  [70] = {.index = 98, .length = 3},
  [71] = {.index = 98, .length = 3},
  [72] = {.index = 101, .length = 3},
  [73] = {.index = 104, .length = 2},
  [74] = {.index = 106, .length = 3},
  [75] = {.index = 109, .length = 2},
  [76] = {.index = 111, .length = 4},
  [77] = {.index = 115, .length = 2},
  [78] = {.index = 117, .length = 2},
  [79] = {.index = 119, .length = 3},
  [80] = {.index = 122, .length = 2},
  [81] = {.index = 124, .length = 2},
  [82] = {.index = 126, .length = 1},
  [83] = {.index = 127, .length = 1},
  [86] = {.index = 27, .length = 2},
  [87] = {.index = 128, .length = 2},
  [88] = {.index = 130, .length = 5},
  [89] = {.index = 135, .length = 1},
  [90] = {.index = 136, .length = 1},
  [91] = {.index = 137, .length = 2},
  [92] = {.index = 139, .length = 3},
  [93] = {.index = 142, .length = 2},
  [94] = {.index = 144, .length = 3},
  [95] = {.index = 147, .length = 6},
  [96] = {.index = 153, .length = 1},
  [97] = {.index = 154, .length = 1},
  [98] = {.index = 155, .length = 3},
  [99] = {.index = 158, .length = 3},
  [100] = {.index = 161, .length = 4},
  [101] = {.index = 165, .length = 2},
  [102] = {.index = 167, .length = 2},
  [103] = {.index = 169, .length = 3},
  [104] = {.index = 172, .length = 4},
  [105] = {.index = 176, .length = 1},
  [106] = {.index = 177, .length = 2},
  [107] = {.index = 179, .length = 1},
  [108] = {.index = 180, .length = 2},
  [109] = {.index = 182, .length = 3},
  [110] = {.index = 185, .length = 2},
  [111] = {.index = 187, .length = 4},
  [112] = {.index = 191, .length = 3},
  [113] = {.index = 194, .length = 2},
  [114] = {.index = 196, .length = 2},
  [115] = {.index = 198, .length = 2},
  [118] = {.index = 198, .length = 2},
  [119] = {.index = 200, .length = 2},
  [120] = {.index = 202, .length = 2},
  [121] = {.index = 204, .length = 4},
  [122] = {.index = 202, .length = 2},
  [123] = {.index = 208, .length = 4},
  [124] = {.index = 212, .length = 4},
  [125] = {.index = 216, .length = 5},
  [126] = {.index = 221, .length = 3},
  [127] = {.index = 224, .length = 2},
  [128] = {.index = 224, .length = 2},
  [129] = {.index = 226, .length = 2},
  [130] = {.index = 228, .length = 2},
  [131] = {.index = 230, .length = 2},
  [132] = {.index = 232, .length = 2},
  [133] = {.index = 234, .length = 2},
  [134] = {.index = 236, .length = 2},
  [135] = {.index = 238, .length = 3},
  [136] = {.index = 236, .length = 2},
  [137] = {.index = 232, .length = 2},
  [138] = {.index = 142, .length = 2},
  [139] = {.index = 241, .length = 1},
  [140] = {.index = 241, .length = 1},
  [141] = {.index = 180, .length = 2},
  [142] = {.index = 182, .length = 3},
  [143] = {.index = 242, .length = 4},
  [144] = {.index = 246, .length = 2},
  [145] = {.index = 248, .length = 3},
  [146] = {.index = 251, .length = 2},
  [147] = {.index = 253, .length = 3},
  [148] = {.index = 256, .length = 2},
  [149] = {.index = 258, .length = 3},
  [150] = {.index = 261, .length = 1},
  [151] = {.index = 262, .length = 2},
  [152] = {.index = 264, .length = 2},
  [153] = {.index = 266, .length = 5},
  [154] = {.index = 262, .length = 2},
  [155] = {.index = 271, .length = 1},
  [156] = {.index = 272, .length = 4},
  [157] = {.index = 276, .length = 2},
  [158] = {.index = 278, .length = 1},
  [159] = {.index = 279, .length = 2},
  [160] = {.index = 281, .length = 2},
  [161] = {.index = 283, .length = 2},
  [162] = {.index = 285, .length = 4},
  [163] = {.index = 289, .length = 2},
  [164] = {.index = 291, .length = 3},
  [165] = {.index = 294, .length = 3},
  [166] = {.index = 297, .length = 3},
  [167] = {.index = 300, .length = 4},
  [168] = {.index = 304, .length = 1},
  [169] = {.index = 305, .length = 2},
  [170] = {.index = 307, .length = 4},
  [171] = {.index = 311, .length = 4},
  [172] = {.index = 315, .length = 4},
  [173] = {.index = 319, .length = 2},
  [174] = {.index = 321, .length = 2},
  [175] = {.index = 323, .length = 4},
  [176] = {.index = 327, .length = 4},
  [177] = {.index = 331, .length = 5},
  [178] = {.index = 336, .length = 3},
  [179] = {.index = 339, .length = 3},
  [180] = {.index = 339, .length = 3},
  [181] = {.index = 342, .length = 2},
  [182] = {.index = 344, .length = 3},
  [183] = {.index = 347, .length = 2},
  [184] = {.index = 347, .length = 2},
  [185] = {.index = 297, .length = 3},
  [186] = {.index = 349, .length = 4},
  [187] = {.index = 349, .length = 4},
  [188] = {.index = 353, .length = 4},
  [189] = {.index = 353, .length = 4},
  [190] = {.index = 357, .length = 3},
  [191] = {.index = 360, .length = 3},
  [192] = {.index = 137, .length = 2},
  [193] = {.index = 363, .length = 2},
  [194] = {.index = 365, .length = 3},
  [195] = {.index = 368, .length = 4},
  [196] = {.index = 372, .length = 3},
  [197] = {.index = 375, .length = 3},
  [198] = {.index = 378, .length = 2},
  [199] = {.index = 380, .length = 3},
  [200] = {.index = 383, .length = 5},
  [201] = {.index = 378, .length = 2},
  [202] = {.index = 388, .length = 3},
  [203] = {.index = 388, .length = 3},
  [204] = {.index = 391, .length = 3},
  [205] = {.index = 394, .length = 2},
  [206] = {.index = 396, .length = 4},
  [207] = {.index = 137, .length = 2},
  [208] = {.index = 400, .length = 1},
  [209] = {.index = 401, .length = 2},
  [210] = {.index = 403, .length = 2},
  [211] = {.index = 405, .length = 2},
  [212] = {.index = 407, .length = 2},
  [213] = {.index = 409, .length = 3},
  [214] = {.index = 412, .length = 1},
  [215] = {.index = 413, .length = 3},
  [216] = {.index = 416, .length = 2},
  [217] = {.index = 418, .length = 3},
  [218] = {.index = 421, .length = 3},
  [219] = {.index = 424, .length = 3},
  [220] = {.index = 427, .length = 3},
  [221] = {.index = 430, .length = 4},
  [222] = {.index = 434, .length = 2},
  [223] = {.index = 436, .length = 2},
  [224] = {.index = 438, .length = 1},
  [225] = {.index = 439, .length = 4},
  [226] = {.index = 439, .length = 4},
  [227] = {.index = 443, .length = 2},
  [228] = {.index = 445, .length = 3},
  [229] = {.index = 448, .length = 5},
  [230] = {.index = 453, .length = 3},
  [231] = {.index = 456, .length = 2},
  [232] = {.index = 458, .length = 2},
  [233] = {.index = 460, .length = 2},
  [234] = {.index = 462, .length = 1},
  [235] = {.index = 463, .length = 4},
  [236] = {.index = 467, .length = 3},
  [237] = {.index = 470, .length = 4},
  [238] = {.index = 474, .length = 5},
  [239] = {.index = 479, .length = 1},
  [240] = {.index = 480, .length = 2},
  [241] = {.index = 482, .length = 4},
  [242] = {.index = 486, .length = 4},
  [243] = {.index = 490, .length = 2},
  [244] = {.index = 492, .length = 4},
  [245] = {.index = 496, .length = 4},
  [246] = {.index = 500, .length = 2},
  [247] = {.index = 502, .length = 2},
  [248] = {.index = 504, .length = 3},
  [249] = {.index = 507, .length = 3},
  [250] = {.index = 510, .length = 2},
  [251] = {.index = 512, .length = 2},
  [252] = {.index = 514, .length = 1},
  [253] = {.index = 515, .length = 1},
  [254] = {.index = 516, .length = 3},
  [255] = {.index = 519, .length = 3},
  [256] = {.index = 522, .length = 3},
  [257] = {.index = 525, .length = 3},
  [258] = {.index = 528, .length = 4},
  [259] = {.index = 532, .length = 2},
  [260] = {.index = 534, .length = 4},
  [261] = {.index = 538, .length = 3},
  [262] = {.index = 541, .length = 2},
  [263] = {.index = 543, .length = 2},
  [264] = {.index = 545, .length = 4},
  [265] = {.index = 549, .length = 4},
  [266] = {.index = 553, .length = 4},
  [267] = {.index = 557, .length = 3},
  [268] = {.index = 560, .length = 2},
  [270] = {.index = 562, .length = 4},
  [271] = {.index = 566, .length = 5},
  [272] = {.index = 571, .length = 5},
  [273] = {.index = 576, .length = 5},
  [274] = {.index = 581, .length = 3},
  [275] = {.index = 584, .length = 3},
  [276] = {.index = 587, .length = 3},
  [277] = {.index = 584, .length = 3},
  [278] = {.index = 590, .length = 2},
  [279] = {.index = 592, .length = 4},
  [280] = {.index = 596, .length = 4},
  [281] = {.index = 600, .length = 3},
  [282] = {.index = 603, .length = 2},
  [283] = {.index = 605, .length = 2},
  [284] = {.index = 607, .length = 3},
  [285] = {.index = 610, .length = 2},
  [286] = {.index = 612, .length = 2},
  [287] = {.index = 614, .length = 1},
  [288] = {.index = 615, .length = 3},
  [289] = {.index = 618, .length = 3},
  [290] = {.index = 621, .length = 4},
  [291] = {.index = 625, .length = 4},
  [292] = {.index = 629, .length = 3},
  [293] = {.index = 632, .length = 3},
  [294] = {.index = 635, .length = 2},
  [295] = {.index = 637, .length = 3},
  [296] = {.index = 640, .length = 2},
  [297] = {.index = 642, .length = 4},
  [298] = {.index = 646, .length = 4},
  [299] = {.index = 650, .length = 4},
  [300] = {.index = 654, .length = 3},
  [301] = {.index = 657, .length = 5},
  [302] = {.index = 662, .length = 5},
  [303] = {.index = 667, .length = 4},
  [304] = {.index = 671, .length = 4},
  [305] = {.index = 675, .length = 3},
  [306] = {.index = 678, .length = 3},
  [307] = {.index = 678, .length = 3},
  [308] = {.index = 681, .length = 2},
  [309] = {.index = 683, .length = 2},
  [310] = {.index = 685, .length = 3},
  [311] = {.index = 688, .length = 2},
  [312] = {.index = 690, .length = 2},
  [313] = {.index = 692, .length = 4},
  [314] = {.index = 696, .length = 3},
  [315] = {.index = 699, .length = 3},
  [316] = {.index = 702, .length = 4},
  [317] = {.index = 706, .length = 3},
  [318] = {.index = 709, .length = 3},
  [319] = {.index = 712, .length = 2},
  [320] = {.index = 714, .length = 4},
  [321] = {.index = 718, .length = 5},
  [322] = {.index = 723, .length = 5},
  [323] = {.index = 728, .length = 4},
  [324] = {.index = 728, .length = 4},
  [325] = {.index = 732, .length = 4},
  [326] = {.index = 736, .length = 3},
  [327] = {.index = 739, .length = 2},
  [328] = {.index = 741, .length = 2},
  [329] = {.index = 743, .length = 3},
  [330] = {.index = 746, .length = 4},
  [331] = {.index = 750, .length = 4},
  [332] = {.index = 754, .length = 3},
  [333] = {.index = 757, .length = 3},
  [334] = {.index = 760, .length = 4},
  [335] = {.index = 764, .length = 3},
  [336] = {.index = 767, .length = 3},
  [337] = {.index = 770, .length = 5},
  [338] = {.index = 775, .length = 3},
  [339] = {.index = 778, .length = 4},
  [340] = {.index = 782, .length = 4},
  [341] = {.index = 786, .length = 3},
  [342] = {.index = 789, .length = 3},
  [343] = {.index = 792, .length = 4},
  [344] = {.index = 796, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_decorator, 0},
  [1] =
    {field_parameters, 0},
  [2] =
    {field_declaration, 1},
  [3] =
    {field_name, 0},
  [4] =
    {field_body, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [6] =
    {field_argument, 1},
    {field_operator, 0},
  [8] =
    {field_pattern, 0},
  [9] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
  [11] =
    {field_body, 1},
  [12] =
    {field_constructor, 1},
  [13] =
    {field_arguments, 1},
    {field_function, 0},
  [15] =
    {field_argument, 0},
    {field_operator, 1},
  [17] =
    {field_type_arguments, 1},
  [18] =
    {field_close_tag, 1},
    {field_open_tag, 0},
  [20] =
    {field_parameters, 0},
    {field_return_type, 1},
  [22] =
    {field_parameters, 1},
    {field_type_parameters, 0},
  [24] =
    {field_decorator, 0, .inherited = true},
    {field_decorator, 1, .inherited = true},
  [26] =
    {field_declaration, 2},
  [27] =
    {field_left, 0},
    {field_right, 2},
  [29] =
    {field_body, 2},
    {field_label, 0},
  [31] =
    {field_body, 2},
    {field_parameter, 0},
  [33] =
    {field_body, 1},
    {field_name, 0},
  [35] =
    {field_source, 1},
  [36] =
    {field_name, 0},
    {field_value, 1, .inherited = true},
  [38] =
    {field_name, 0},
    {field_type, 1},
  [40] =
    {field_kind, 0},
  [41] =
    {field_condition, 1},
    {field_consequence, 2},
  [43] =
    {field_body, 2},
    {field_value, 1},
  [45] =
    {field_body, 2},
    {field_kind, 1, .inherited = true},
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [51] =
    {field_pattern, 1},
  [52] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [55] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 1},
  [58] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 1},
  [60] =
    {field_body, 2},
    {field_condition, 1},
  [62] =
    {field_body, 1},
    {field_handler, 2},
  [64] =
    {field_body, 1},
    {field_finalizer, 2},
  [66] =
    {field_body, 2},
    {field_object, 1},
  [68] =
    {field_label, 1},
  [69] =
    {field_body, 2},
    {field_name, 1},
  [71] =
    {field_value, 0},
  [72] =
    {field_type_arguments, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [74] =
    {field_argument, 0, .inherited = true},
    {field_operator, 0, .inherited = true},
  [76] =
    {field_body, 2},
  [77] =
    {field_body, 2},
    {field_type_parameters, 1},
  [79] =
    {field_body, 2},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [83] =
    {field_arguments, 2},
    {field_constructor, 1},
  [85] =
    {field_constructor, 1},
    {field_type_arguments, 2},
  [87] =
    {field_name, 1},
  [88] =
    {field_attribute, 0},
  [89] =
    {field_name, 0},
    {field_value, 1},
  [91] =
    {field_constraint, 1},
    {field_name, 0},
  [93] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [96] =
    {field_object, 0},
    {field_property, 2},
  [98] =
    {field_object, 0},
    {field_optional_chain, 1},
    {field_property, 2},
  [101] =
    {field_arguments, 2},
    {field_function, 0},
    {field_type_arguments, 1},
  [104] =
    {field_arguments, 2},
    {field_function, 0},
  [106] =
    {field_close_tag, 2},
    {field_content, 1},
    {field_open_tag, 0},
  [109] =
    {field_close_tag, 2},
    {field_open_tag, 0},
  [111] =
    {field_body, 2},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [115] =
    {field_object, 1, .inherited = true},
    {field_property, 1, .inherited = true},
  [117] =
    {field_arguments, 1, .inherited = true},
    {field_function, 1, .inherited = true},
  [119] =
    {field_parameters, 1},
    {field_return_type, 2},
    {field_type_parameters, 0},
  [122] =
    {field_declaration, 2},
    {field_decorator, 0, .inherited = true},
  [124] =
    {field_body, 2},
    {field_decorator, 0, .inherited = true},
  [126] =
    {field_source, 2, .inherited = true},
  [127] =
    {field_value, 2},
  [128] =
    {field_key, 0},
    {field_value, 2},
  [130] =
    {field_body, 2},
    {field_name, 0},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [135] =
    {field_source, 2},
  [136] =
    {field_value, 1},
  [137] =
    {field_name, 0},
    {field_type, 2},
  [139] =
    {field_name, 0},
    {field_type, 1},
    {field_value, 2, .inherited = true},
  [142] =
    {field_body, 3},
    {field_name, 2},
  [144] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [147] =
    {field_body, 3},
    {field_kind, 2, .inherited = true},
    {field_left, 2, .inherited = true},
    {field_operator, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_value, 2, .inherited = true},
  [153] =
    {field_type, 2},
  [154] =
    {field_pattern, 2},
  [155] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_value, 2, .inherited = true},
  [158] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 2},
  [161] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 1},
    {field_value, 2, .inherited = true},
  [165] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 2},
  [167] =
    {field_body, 1},
    {field_condition, 3},
  [169] =
    {field_body, 1},
    {field_finalizer, 3},
    {field_handler, 2},
  [172] =
    {field_name, 0},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [176] =
    {field_decorator, 0, .inherited = true},
  [177] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
  [179] =
    {field_decorator, 1, .inherited = true},
  [180] =
    {field_body, 3},
    {field_name, 1},
  [182] =
    {field_body, 3},
    {field_name, 1},
    {field_type_parameters, 2},
  [185] =
    {field_type_arguments, 1},
    {field_value, 0},
  [187] =
    {field_type_arguments, 1, .inherited = true},
    {field_type_arguments, 2, .inherited = true},
    {field_value, 1, .inherited = true},
    {field_value, 2, .inherited = true},
  [191] =
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [194] =
    {field_index, 1, .inherited = true},
    {field_object, 1, .inherited = true},
  [196] =
    {field_function, 1, .inherited = true},
    {field_type_arguments, 1, .inherited = true},
  [198] =
    {field_name, 0},
    {field_type_arguments, 1},
  [200] =
    {field_body, 3},
    {field_type_parameters, 1},
  [202] =
    {field_body, 3},
    {field_parameter, 1},
  [204] =
    {field_body, 3},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [208] =
    {field_body, 3},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [212] =
    {field_name, 1},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [216] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [221] =
    {field_arguments, 3},
    {field_constructor, 1},
    {field_type_arguments, 2},
  [224] =
    {field_left, 1},
    {field_right, 3},
  [226] =
    {field_flags, 3},
    {field_pattern, 1},
  [228] =
    {field_name, 1},
    {field_value, 2},
  [230] =
    {field_constraint, 2},
    {field_name, 1},
  [232] =
    {field_attribute, 2, .inherited = true},
    {field_name, 1},
  [234] =
    {field_attribute, 0, .inherited = true},
    {field_attribute, 1, .inherited = true},
  [236] =
    {field_name, 1},
    {field_type_arguments, 2},
  [238] =
    {field_constraint, 1},
    {field_name, 0},
    {field_value, 2},
  [241] =
    {field_type, 1},
  [242] =
    {field_arguments, 1},
    {field_function, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [246] =
    {field_index, 2},
    {field_object, 0},
  [248] =
    {field_arguments, 3},
    {field_function, 0},
    {field_type_arguments, 2},
  [251] =
    {field_declaration, 3},
    {field_decorator, 0, .inherited = true},
  [253] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [256] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
  [258] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_type_parameters, 2},
  [261] =
    {field_source, 3, .inherited = true},
  [262] =
    {field_alias, 2},
    {field_name, 0},
  [264] =
    {field_name, 1},
    {field_value, 3},
  [266] =
    {field_body, 3},
    {field_name, 0},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [271] =
    {field_pattern, 3},
  [272] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [276] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 3},
  [278] =
    {field_name, 2},
  [279] =
    {field_name, 1},
    {field_value, 2, .inherited = true},
  [281] =
    {field_name, 1},
    {field_type, 2},
  [283] =
    {field_name, 0},
    {field_value, 2, .inherited = true},
  [285] =
    {field_name, 0},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [289] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [291] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_value, 2, .inherited = true},
  [294] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 2},
  [297] =
    {field_body, 4},
    {field_name, 1},
    {field_type_parameters, 2},
  [300] =
    {field_type_arguments, 0, .inherited = true},
    {field_type_arguments, 1, .inherited = true},
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [304] =
    {field_parameters, 1},
  [305] =
    {field_function, 0},
    {field_type_arguments, 1},
  [307] =
    {field_function, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
    {field_type_arguments, 1},
  [311] =
    {field_arguments, 1},
    {field_function, 0},
    {field_index, 0, .inherited = true},
    {field_object, 0, .inherited = true},
  [315] =
    {field_function, 0},
    {field_index, 0, .inherited = true},
    {field_object, 0, .inherited = true},
    {field_type_arguments, 1},
  [319] =
    {field_module, 0},
    {field_name, 2},
  [321] =
    {field_parameters, 0},
    {field_return_type, 2},
  [323] =
    {field_body, 4},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [327] =
    {field_name, 2},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [331] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [336] =
    {field_constraint, 2},
    {field_name, 1},
    {field_value, 3},
  [339] =
    {field_attribute, 3, .inherited = true},
    {field_name, 1},
    {field_type_arguments, 2},
  [342] =
    {field_body, 4},
    {field_name, 2},
  [344] =
    {field_body, 4},
    {field_name, 2},
    {field_type_parameters, 3},
  [347] =
    {field_type, 1},
    {field_type, 2, .inherited = true},
  [349] =
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
    {field_property, 2},
  [353] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_object, 0},
    {field_property, 2},
  [357] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [360] =
    {field_index, 3},
    {field_object, 0},
    {field_optional_chain, 1},
  [363] =
    {field_decorator, 0, .inherited = true},
    {field_value, 3},
  [365] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [368] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type_parameters, 3},
  [372] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_type_parameters, 2},
  [375] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [378] =
    {field_alias, 3},
    {field_name, 1},
  [380] =
    {field_name, 1},
    {field_type_parameters, 2},
    {field_value, 4},
  [383] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [388] =
    {field_left, 1},
    {field_operator, 2},
    {field_right, 3},
  [391] =
    {field_body, 5},
    {field_condition, 3},
    {field_initializer, 2},
  [394] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 4},
  [396] =
    {field_name, 1},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [400] =
    {field_type, 3},
  [401] =
    {field_name, 2},
    {field_value, 3, .inherited = true},
  [403] =
    {field_name, 2},
    {field_type, 3},
  [405] =
    {field_name, 1},
    {field_value, 3, .inherited = true},
  [407] =
    {field_name, 1},
    {field_type, 3},
  [409] =
    {field_name, 1},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [412] =
    {field_name, 3},
  [413] =
    {field_name, 0},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [416] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [418] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_value, 3, .inherited = true},
  [421] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 3},
  [424] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_value, 3, .inherited = true},
  [427] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 3},
  [430] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [434] =
    {field_parameters, 1},
    {field_type, 2},
  [436] =
    {field_parameters, 2},
    {field_type_parameters, 1},
  [438] =
    {field_parameters, 2},
  [439] =
    {field_index, 0, .inherited = true},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 2},
  [443] =
    {field_parameters, 1},
    {field_type, 3},
  [445] =
    {field_parameters, 1},
    {field_return_type, 3},
    {field_type_parameters, 0},
  [448] =
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [453] =
    {field_body, 5},
    {field_name, 2},
    {field_type_parameters, 3},
  [456] =
    {field_type, 0, .inherited = true},
    {field_type, 1, .inherited = true},
  [458] =
    {field_name, 1},
    {field_name, 2, .inherited = true},
  [460] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [462] =
    {field_name, 2, .inherited = true},
  [463] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type_parameters, 3},
  [467] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [470] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type_parameters, 4},
  [474] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [479] =
    {field_source, 4},
  [480] =
    {field_body, 3},
    {field_value, 1},
  [482] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 3},
    {field_right, 4},
  [486] =
    {field_body, 6},
    {field_condition, 3},
    {field_increment, 4},
    {field_initializer, 2},
  [490] =
    {field_body, 4},
    {field_parameter, 2},
  [492] =
    {field_name, 2},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [496] =
    {field_name, 3},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [500] =
    {field_name, 2},
    {field_value, 4, .inherited = true},
  [502] =
    {field_name, 2},
    {field_type, 4},
  [504] =
    {field_name, 2},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [507] =
    {field_name, 1},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [510] =
    {field_name, 3},
    {field_value, 4, .inherited = true},
  [512] =
    {field_name, 3},
    {field_type, 4},
  [514] =
    {field_type, 4},
  [515] =
    {field_name, 4},
  [516] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_value, 4, .inherited = true},
  [519] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 4},
  [522] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_value, 4, .inherited = true},
  [525] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 4},
  [528] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [532] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
  [534] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [538] =
    {field_parameters, 2},
    {field_type, 3},
    {field_type_parameters, 1},
  [541] =
    {field_parameters, 2},
    {field_type, 3},
  [543] =
    {field_parameters, 3},
    {field_type_parameters, 2},
  [545] =
    {field_index, 2},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [549] =
    {field_index, 0, .inherited = true},
    {field_index, 2},
    {field_object, 0},
    {field_object, 0, .inherited = true},
  [553] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_index, 2},
    {field_object, 0},
  [557] =
    {field_parameters, 2},
    {field_type, 4},
    {field_type_parameters, 1},
  [560] =
    {field_parameters, 2},
    {field_type, 4},
  [562] =
    {field_body, 6},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type_parameters, 4},
  [566] =
    {field_body, 6},
    {field_name, 3},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [571] =
    {field_body, 6},
    {field_name, 4},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [576] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 4},
    {field_right, 5},
    {field_value, 3, .inherited = true},
  [581] =
    {field_body, 5},
    {field_parameter, 2},
    {field_type, 3},
  [584] =
    {field_index_type, 3},
    {field_name, 1},
    {field_type, 5},
  [587] =
    {field_alias, 4},
    {field_name, 0},
    {field_type, 2},
  [590] =
    {field_sign, 0},
    {field_type, 5},
  [592] =
    {field_name, 3},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [596] =
    {field_name, 4},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [600] =
    {field_name, 2},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [603] =
    {field_name, 3},
    {field_value, 5, .inherited = true},
  [605] =
    {field_name, 3},
    {field_type, 5},
  [607] =
    {field_name, 3},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [610] =
    {field_name, 4},
    {field_value, 5, .inherited = true},
  [612] =
    {field_name, 4},
    {field_type, 5},
  [614] =
    {field_name, 5},
  [615] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_value, 5, .inherited = true},
  [618] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 5},
  [621] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [625] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [629] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_value, 5, .inherited = true},
  [632] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 5},
  [635] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
  [637] =
    {field_parameters, 3},
    {field_type, 4},
    {field_type_parameters, 2},
  [640] =
    {field_index, 3},
    {field_object, 0},
  [642] =
    {field_index, 3},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [646] =
    {field_index, 0, .inherited = true},
    {field_index, 3},
    {field_object, 0},
    {field_object, 0, .inherited = true},
  [650] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_index, 3},
    {field_object, 0},
  [654] =
    {field_parameters, 3},
    {field_type, 5},
    {field_type_parameters, 2},
  [657] =
    {field_body, 7},
    {field_name, 4},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [662] =
    {field_body, 7},
    {field_name, 5},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [667] =
    {field_name, 4},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [671] =
    {field_name, 5},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [675] =
    {field_name, 3},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [678] =
    {field_index_type, 4},
    {field_name, 2},
    {field_type, 6},
  [681] =
    {field_name, 4},
    {field_value, 6, .inherited = true},
  [683] =
    {field_name, 4},
    {field_type, 6},
  [685] =
    {field_name, 4},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [688] =
    {field_name, 5},
    {field_value, 6, .inherited = true},
  [690] =
    {field_name, 5},
    {field_type, 6},
  [692] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [696] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_value, 6, .inherited = true},
  [699] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 6},
  [702] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [706] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_value, 6, .inherited = true},
  [709] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 6},
  [712] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
  [714] =
    {field_alternative, 6},
    {field_consequence, 4},
    {field_left, 0},
    {field_right, 2},
  [718] =
    {field_body, 8},
    {field_name, 5},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [723] =
    {field_body, 8},
    {field_name, 6},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [728] =
    {field_index_type, 5},
    {field_name, 3},
    {field_sign, 0},
    {field_type, 7},
  [732] =
    {field_name, 5},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [736] =
    {field_name, 4},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [739] =
    {field_name, 5},
    {field_value, 7, .inherited = true},
  [741] =
    {field_name, 5},
    {field_type, 7},
  [743] =
    {field_name, 5},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [746] =
    {field_name, 6},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [750] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [754] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_value, 7, .inherited = true},
  [757] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 7},
  [760] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [764] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_value, 7, .inherited = true},
  [767] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 7},
  [770] =
    {field_body, 9},
    {field_name, 6},
    {field_parameters, 8, .inherited = true},
    {field_return_type, 8, .inherited = true},
    {field_type_parameters, 8, .inherited = true},
  [775] =
    {field_name, 5},
    {field_type, 7},
    {field_value, 8, .inherited = true},
  [778] =
    {field_name, 6},
    {field_parameters, 8, .inherited = true},
    {field_return_type, 8, .inherited = true},
    {field_type_parameters, 8, .inherited = true},
  [782] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 7},
    {field_value, 8, .inherited = true},
  [786] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_value, 8, .inherited = true},
  [789] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 8},
  [792] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 7},
    {field_value, 8, .inherited = true},
  [796] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 8},
    {field_value, 9, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [7] = {
    [0] = alias_sym_property_identifier,
  },
  [13] = {
    [0] = alias_sym_type_identifier,
  },
  [14] = {
    [0] = sym_unescaped_double_string_fragment,
  },
  [23] = {
    [0] = sym_identifier,
  },
  [24] = {
    [0] = alias_sym_statement_identifier,
  },
  [25] = {
    [0] = sym_identifier,
  },
  [27] = {
    [1] = alias_sym_shorthand_property_identifier,
  },
  [28] = {
    [1] = alias_sym_shorthand_property_identifier_pattern,
  },
  [29] = {
    [1] = sym_identifier,
  },
  [45] = {
    [1] = alias_sym_statement_identifier,
  },
  [46] = {
    [1] = alias_sym_type_identifier,
  },
  [49] = {
    [0] = alias_sym_type_identifier,
  },
  [50] = {
    [0] = alias_sym_this_type,
  },
  [57] = {
    [1] = alias_sym_type_identifier,
  },
  [60] = {
    [0] = alias_sym_type_identifier,
  },
  [61] = {
    [0] = alias_sym_type_identifier,
  },
  [62] = {
    [1] = sym_member_expression,
  },
  [66] = {
    [1] = alias_sym_type_identifier,
    [2] = alias_sym_interface_body,
  },
  [68] = {
    [2] = alias_sym_property_identifier,
  },
  [70] = {
    [2] = alias_sym_property_identifier,
  },
  [84] = {
    [2] = alias_sym_property_identifier,
  },
  [85] = {
    [0] = sym_member_expression,
    [2] = alias_sym_property_identifier,
  },
  [86] = {
    [0] = alias_sym_shorthand_property_identifier_pattern,
  },
  [108] = {
    [1] = alias_sym_type_identifier,
  },
  [109] = {
    [1] = alias_sym_type_identifier,
  },
  [115] = {
    [0] = alias_sym_type_identifier,
  },
  [116] = {
    [1] = alias_sym_type_identifier,
  },
  [117] = {
    [1] = anon_sym_unique,
  },
  [120] = {
    [1] = sym_identifier,
  },
  [127] = {
    [1] = sym_identifier,
  },
  [130] = {
    [1] = alias_sym_type_identifier,
  },
  [131] = {
    [1] = alias_sym_type_identifier,
  },
  [135] = {
    [0] = alias_sym_type_identifier,
  },
  [136] = {
    [1] = sym_member_expression,
  },
  [137] = {
    [1] = sym_member_expression,
  },
  [138] = {
    [2] = alias_sym_type_identifier,
  },
  [139] = {
    [1] = alias_sym_type_identifier,
  },
  [141] = {
    [1] = alias_sym_type_identifier,
    [3] = alias_sym_interface_body,
  },
  [142] = {
    [1] = alias_sym_type_identifier,
    [3] = alias_sym_interface_body,
  },
  [147] = {
    [2] = alias_sym_type_identifier,
  },
  [152] = {
    [1] = alias_sym_type_identifier,
  },
  [154] = {
    [0] = sym_identifier,
  },
  [166] = {
    [1] = alias_sym_type_identifier,
  },
  [173] = {
    [2] = alias_sym_type_identifier,
  },
  [178] = {
    [1] = alias_sym_type_identifier,
  },
  [180] = {
    [1] = sym_member_expression,
  },
  [181] = {
    [2] = alias_sym_type_identifier,
  },
  [182] = {
    [2] = alias_sym_type_identifier,
  },
  [183] = {
    [1] = alias_sym_type_identifier,
  },
  [185] = {
    [1] = alias_sym_type_identifier,
    [4] = alias_sym_interface_body,
  },
  [186] = {
    [2] = alias_sym_property_identifier,
  },
  [188] = {
    [2] = alias_sym_property_identifier,
  },
  [192] = {
    [0] = sym_identifier,
  },
  [194] = {
    [2] = alias_sym_type_identifier,
  },
  [195] = {
    [2] = alias_sym_type_identifier,
  },
  [197] = {
    [3] = alias_sym_type_identifier,
  },
  [199] = {
    [1] = alias_sym_type_identifier,
  },
  [201] = {
    [1] = sym_identifier,
  },
  [202] = {
    [1] = sym_identifier,
  },
  [207] = {
    [0] = alias_sym_type_identifier,
  },
  [225] = {
    [2] = alias_sym_property_identifier,
  },
  [230] = {
    [2] = alias_sym_type_identifier,
  },
  [235] = {
    [2] = alias_sym_type_identifier,
  },
  [236] = {
    [3] = alias_sym_type_identifier,
  },
  [237] = {
    [3] = alias_sym_type_identifier,
  },
  [269] = {
    [3] = alias_sym_property_identifier,
  },
  [270] = {
    [3] = alias_sym_type_identifier,
  },
  [275] = {
    [1] = sym_identifier,
  },
  [276] = {
    [0] = alias_sym_type_identifier,
  },
  [306] = {
    [2] = sym_identifier,
  },
  [323] = {
    [3] = sym_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_nested_identifier, 2,
    sym_nested_identifier,
    sym_member_expression,
  sym_predefined_type, 2,
    sym_predefined_type,
    sym_identifier,
  sym_object_type, 2,
    sym_object_type,
    alias_sym_interface_body,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 4,
  [5] = 4,
  [6] = 4,
  [7] = 4,
  [8] = 4,
  [9] = 4,
  [10] = 4,
  [11] = 4,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 16,
  [18] = 18,
  [19] = 19,
  [20] = 19,
  [21] = 19,
  [22] = 19,
  [23] = 19,
  [24] = 19,
  [25] = 18,
  [26] = 18,
  [27] = 18,
  [28] = 19,
  [29] = 19,
  [30] = 18,
  [31] = 19,
  [32] = 18,
  [33] = 19,
  [34] = 18,
  [35] = 18,
  [36] = 19,
  [37] = 19,
  [38] = 18,
  [39] = 18,
  [40] = 18,
  [41] = 19,
  [42] = 18,
  [43] = 19,
  [44] = 18,
  [45] = 19,
  [46] = 18,
  [47] = 19,
  [48] = 18,
  [49] = 19,
  [50] = 19,
  [51] = 18,
  [52] = 18,
  [53] = 19,
  [54] = 18,
  [55] = 18,
  [56] = 18,
  [57] = 19,
  [58] = 19,
  [59] = 18,
  [60] = 18,
  [61] = 19,
  [62] = 18,
  [63] = 63,
  [64] = 19,
  [65] = 19,
  [66] = 19,
  [67] = 19,
  [68] = 18,
  [69] = 18,
  [70] = 18,
  [71] = 71,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 74,
  [79] = 79,
  [80] = 76,
  [81] = 81,
  [82] = 79,
  [83] = 83,
  [84] = 77,
  [85] = 75,
  [86] = 79,
  [87] = 87,
  [88] = 73,
  [89] = 74,
  [90] = 83,
  [91] = 81,
  [92] = 92,
  [93] = 73,
  [94] = 77,
  [95] = 75,
  [96] = 87,
  [97] = 92,
  [98] = 77,
  [99] = 76,
  [100] = 73,
  [101] = 83,
  [102] = 81,
  [103] = 83,
  [104] = 87,
  [105] = 92,
  [106] = 81,
  [107] = 75,
  [108] = 74,
  [109] = 87,
  [110] = 75,
  [111] = 92,
  [112] = 83,
  [113] = 81,
  [114] = 77,
  [115] = 92,
  [116] = 87,
  [117] = 79,
  [118] = 79,
  [119] = 74,
  [120] = 76,
  [121] = 73,
  [122] = 76,
  [123] = 123,
  [124] = 124,
  [125] = 123,
  [126] = 123,
  [127] = 123,
  [128] = 123,
  [129] = 124,
  [130] = 123,
  [131] = 123,
  [132] = 123,
  [133] = 124,
  [134] = 123,
  [135] = 123,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 140,
  [142] = 142,
  [143] = 143,
  [144] = 144,
  [145] = 144,
  [146] = 146,
  [147] = 147,
  [148] = 147,
  [149] = 149,
  [150] = 149,
  [151] = 151,
  [152] = 149,
  [153] = 153,
  [154] = 154,
  [155] = 147,
  [156] = 156,
  [157] = 151,
  [158] = 154,
  [159] = 153,
  [160] = 156,
  [161] = 156,
  [162] = 147,
  [163] = 156,
  [164] = 153,
  [165] = 165,
  [166] = 154,
  [167] = 154,
  [168] = 156,
  [169] = 147,
  [170] = 147,
  [171] = 154,
  [172] = 172,
  [173] = 173,
  [174] = 146,
  [175] = 147,
  [176] = 147,
  [177] = 153,
  [178] = 178,
  [179] = 144,
  [180] = 147,
  [181] = 153,
  [182] = 151,
  [183] = 147,
  [184] = 147,
  [185] = 185,
  [186] = 153,
  [187] = 147,
  [188] = 147,
  [189] = 153,
  [190] = 147,
  [191] = 147,
  [192] = 165,
  [193] = 153,
  [194] = 172,
  [195] = 147,
  [196] = 153,
  [197] = 197,
  [198] = 197,
  [199] = 197,
  [200] = 197,
  [201] = 147,
  [202] = 197,
  [203] = 197,
  [204] = 204,
  [205] = 197,
  [206] = 197,
  [207] = 197,
  [208] = 208,
  [209] = 208,
  [210] = 208,
  [211] = 208,
  [212] = 208,
  [213] = 208,
  [214] = 208,
  [215] = 208,
  [216] = 208,
  [217] = 217,
  [218] = 218,
  [219] = 219,
  [220] = 220,
  [221] = 220,
  [222] = 220,
  [223] = 220,
  [224] = 220,
  [225] = 220,
  [226] = 220,
  [227] = 220,
  [228] = 220,
  [229] = 229,
  [230] = 229,
  [231] = 229,
  [232] = 229,
  [233] = 229,
  [234] = 234,
  [235] = 234,
  [236] = 234,
  [237] = 234,
  [238] = 234,
  [239] = 234,
  [240] = 229,
  [241] = 241,
  [242] = 241,
  [243] = 241,
  [244] = 244,
  [245] = 245,
  [246] = 244,
  [247] = 244,
  [248] = 248,
  [249] = 248,
  [250] = 241,
  [251] = 241,
  [252] = 241,
  [253] = 253,
  [254] = 254,
  [255] = 241,
  [256] = 253,
  [257] = 257,
  [258] = 241,
  [259] = 257,
  [260] = 253,
  [261] = 245,
  [262] = 257,
  [263] = 254,
  [264] = 254,
  [265] = 265,
  [266] = 265,
  [267] = 267,
  [268] = 265,
  [269] = 265,
  [270] = 270,
  [271] = 265,
  [272] = 241,
  [273] = 265,
  [274] = 274,
  [275] = 265,
  [276] = 276,
  [277] = 276,
  [278] = 278,
  [279] = 276,
  [280] = 276,
  [281] = 267,
  [282] = 276,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 285,
  [287] = 287,
  [288] = 284,
  [289] = 267,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 290,
  [300] = 300,
  [301] = 291,
  [302] = 267,
  [303] = 303,
  [304] = 292,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 305,
  [312] = 312,
  [313] = 305,
  [314] = 314,
  [315] = 267,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 267,
  [324] = 267,
  [325] = 267,
  [326] = 293,
  [327] = 267,
  [328] = 328,
  [329] = 329,
  [330] = 267,
  [331] = 331,
  [332] = 305,
  [333] = 333,
  [334] = 293,
  [335] = 292,
  [336] = 290,
  [337] = 291,
  [338] = 305,
  [339] = 339,
  [340] = 305,
  [341] = 341,
  [342] = 305,
  [343] = 343,
  [344] = 300,
  [345] = 290,
  [346] = 314,
  [347] = 319,
  [348] = 348,
  [349] = 317,
  [350] = 348,
  [351] = 348,
  [352] = 352,
  [353] = 300,
  [354] = 298,
  [355] = 343,
  [356] = 341,
  [357] = 312,
  [358] = 316,
  [359] = 359,
  [360] = 333,
  [361] = 307,
  [362] = 312,
  [363] = 307,
  [364] = 331,
  [365] = 297,
  [366] = 329,
  [367] = 295,
  [368] = 318,
  [369] = 322,
  [370] = 318,
  [371] = 321,
  [372] = 317,
  [373] = 320,
  [374] = 320,
  [375] = 319,
  [376] = 316,
  [377] = 310,
  [378] = 291,
  [379] = 296,
  [380] = 380,
  [381] = 292,
  [382] = 348,
  [383] = 293,
  [384] = 308,
  [385] = 321,
  [386] = 380,
  [387] = 303,
  [388] = 309,
  [389] = 314,
  [390] = 348,
  [391] = 380,
  [392] = 306,
  [393] = 297,
  [394] = 348,
  [395] = 348,
  [396] = 322,
  [397] = 295,
  [398] = 348,
  [399] = 380,
  [400] = 348,
  [401] = 329,
  [402] = 331,
  [403] = 308,
  [404] = 298,
  [405] = 333,
  [406] = 309,
  [407] = 306,
  [408] = 348,
  [409] = 348,
  [410] = 296,
  [411] = 348,
  [412] = 348,
  [413] = 413,
  [414] = 359,
  [415] = 380,
  [416] = 348,
  [417] = 341,
  [418] = 418,
  [419] = 303,
  [420] = 420,
  [421] = 310,
  [422] = 343,
  [423] = 333,
  [424] = 322,
  [425] = 329,
  [426] = 307,
  [427] = 316,
  [428] = 321,
  [429] = 300,
  [430] = 297,
  [431] = 431,
  [432] = 306,
  [433] = 343,
  [434] = 317,
  [435] = 312,
  [436] = 318,
  [437] = 320,
  [438] = 438,
  [439] = 310,
  [440] = 314,
  [441] = 296,
  [442] = 431,
  [443] = 295,
  [444] = 444,
  [445] = 445,
  [446] = 308,
  [447] = 309,
  [448] = 448,
  [449] = 431,
  [450] = 450,
  [451] = 303,
  [452] = 331,
  [453] = 431,
  [454] = 448,
  [455] = 450,
  [456] = 298,
  [457] = 431,
  [458] = 341,
  [459] = 319,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 462,
  [464] = 462,
  [465] = 462,
  [466] = 462,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 469,
  [471] = 471,
  [472] = 467,
  [473] = 468,
  [474] = 469,
  [475] = 475,
  [476] = 476,
  [477] = 477,
  [478] = 476,
  [479] = 479,
  [480] = 477,
  [481] = 481,
  [482] = 482,
  [483] = 468,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 471,
  [488] = 488,
  [489] = 467,
  [490] = 467,
  [491] = 471,
  [492] = 479,
  [493] = 484,
  [494] = 484,
  [495] = 484,
  [496] = 469,
  [497] = 477,
  [498] = 479,
  [499] = 479,
  [500] = 500,
  [501] = 479,
  [502] = 502,
  [503] = 484,
  [504] = 469,
  [505] = 468,
  [506] = 469,
  [507] = 484,
  [508] = 471,
  [509] = 468,
  [510] = 467,
  [511] = 477,
  [512] = 468,
  [513] = 513,
  [514] = 468,
  [515] = 468,
  [516] = 476,
  [517] = 517,
  [518] = 469,
  [519] = 471,
  [520] = 484,
  [521] = 467,
  [522] = 467,
  [523] = 523,
  [524] = 471,
  [525] = 479,
  [526] = 479,
  [527] = 513,
  [528] = 528,
  [529] = 471,
  [530] = 468,
  [531] = 467,
  [532] = 479,
  [533] = 469,
  [534] = 469,
  [535] = 484,
  [536] = 536,
  [537] = 537,
  [538] = 479,
  [539] = 476,
  [540] = 471,
  [541] = 477,
  [542] = 542,
  [543] = 481,
  [544] = 476,
  [545] = 471,
  [546] = 467,
  [547] = 484,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 565,
  [566] = 566,
  [567] = 556,
  [568] = 568,
  [569] = 555,
  [570] = 559,
  [571] = 571,
  [572] = 559,
  [573] = 561,
  [574] = 562,
  [575] = 558,
  [576] = 557,
  [577] = 560,
  [578] = 554,
  [579] = 563,
  [580] = 553,
  [581] = 551,
  [582] = 563,
  [583] = 583,
  [584] = 583,
  [585] = 548,
  [586] = 586,
  [587] = 563,
  [588] = 560,
  [589] = 589,
  [590] = 550,
  [591] = 568,
  [592] = 583,
  [593] = 548,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 586,
  [598] = 598,
  [599] = 589,
  [600] = 600,
  [601] = 594,
  [602] = 560,
  [603] = 595,
  [604] = 596,
  [605] = 555,
  [606] = 562,
  [607] = 571,
  [608] = 571,
  [609] = 555,
  [610] = 564,
  [611] = 565,
  [612] = 555,
  [613] = 566,
  [614] = 571,
  [615] = 560,
  [616] = 555,
  [617] = 563,
  [618] = 555,
  [619] = 565,
  [620] = 600,
  [621] = 564,
  [622] = 565,
  [623] = 564,
  [624] = 561,
  [625] = 562,
  [626] = 555,
  [627] = 564,
  [628] = 565,
  [629] = 562,
  [630] = 558,
  [631] = 566,
  [632] = 557,
  [633] = 554,
  [634] = 553,
  [635] = 635,
  [636] = 561,
  [637] = 558,
  [638] = 551,
  [639] = 557,
  [640] = 555,
  [641] = 641,
  [642] = 550,
  [643] = 583,
  [644] = 548,
  [645] = 586,
  [646] = 589,
  [647] = 594,
  [648] = 595,
  [649] = 554,
  [650] = 596,
  [651] = 571,
  [652] = 553,
  [653] = 600,
  [654] = 551,
  [655] = 549,
  [656] = 550,
  [657] = 568,
  [658] = 563,
  [659] = 560,
  [660] = 586,
  [661] = 562,
  [662] = 562,
  [663] = 563,
  [664] = 600,
  [665] = 555,
  [666] = 560,
  [667] = 548,
  [668] = 571,
  [669] = 556,
  [670] = 670,
  [671] = 671,
  [672] = 565,
  [673] = 564,
  [674] = 674,
  [675] = 600,
  [676] = 676,
  [677] = 559,
  [678] = 589,
  [679] = 556,
  [680] = 680,
  [681] = 559,
  [682] = 556,
  [683] = 549,
  [684] = 559,
  [685] = 568,
  [686] = 686,
  [687] = 556,
  [688] = 688,
  [689] = 594,
  [690] = 566,
  [691] = 549,
  [692] = 595,
  [693] = 559,
  [694] = 561,
  [695] = 563,
  [696] = 560,
  [697] = 571,
  [698] = 555,
  [699] = 558,
  [700] = 557,
  [701] = 565,
  [702] = 554,
  [703] = 564,
  [704] = 559,
  [705] = 549,
  [706] = 600,
  [707] = 561,
  [708] = 596,
  [709] = 555,
  [710] = 561,
  [711] = 558,
  [712] = 557,
  [713] = 713,
  [714] = 596,
  [715] = 595,
  [716] = 594,
  [717] = 553,
  [718] = 551,
  [719] = 556,
  [720] = 589,
  [721] = 553,
  [722] = 551,
  [723] = 550,
  [724] = 586,
  [725] = 568,
  [726] = 583,
  [727] = 548,
  [728] = 583,
  [729] = 548,
  [730] = 586,
  [731] = 568,
  [732] = 589,
  [733] = 550,
  [734] = 558,
  [735] = 557,
  [736] = 554,
  [737] = 594,
  [738] = 550,
  [739] = 595,
  [740] = 553,
  [741] = 596,
  [742] = 551,
  [743] = 568,
  [744] = 583,
  [745] = 548,
  [746] = 586,
  [747] = 550,
  [748] = 568,
  [749] = 589,
  [750] = 594,
  [751] = 583,
  [752] = 595,
  [753] = 586,
  [754] = 551,
  [755] = 670,
  [756] = 596,
  [757] = 553,
  [758] = 589,
  [759] = 556,
  [760] = 554,
  [761] = 557,
  [762] = 558,
  [763] = 571,
  [764] = 561,
  [765] = 674,
  [766] = 564,
  [767] = 565,
  [768] = 594,
  [769] = 595,
  [770] = 676,
  [771] = 600,
  [772] = 600,
  [773] = 555,
  [774] = 556,
  [775] = 596,
  [776] = 559,
  [777] = 562,
  [778] = 563,
  [779] = 560,
  [780] = 571,
  [781] = 555,
  [782] = 782,
  [783] = 565,
  [784] = 562,
  [785] = 600,
  [786] = 564,
  [787] = 561,
  [788] = 558,
  [789] = 554,
  [790] = 596,
  [791] = 557,
  [792] = 595,
  [793] = 554,
  [794] = 553,
  [795] = 551,
  [796] = 594,
  [797] = 589,
  [798] = 798,
  [799] = 799,
  [800] = 586,
  [801] = 550,
  [802] = 548,
  [803] = 583,
  [804] = 568,
  [805] = 805,
  [806] = 805,
  [807] = 805,
  [808] = 808,
  [809] = 808,
  [810] = 808,
  [811] = 811,
  [812] = 811,
  [813] = 811,
  [814] = 814,
  [815] = 814,
  [816] = 814,
  [817] = 814,
  [818] = 814,
  [819] = 819,
  [820] = 819,
  [821] = 819,
  [822] = 822,
  [823] = 822,
  [824] = 824,
  [825] = 824,
  [826] = 824,
  [827] = 822,
  [828] = 828,
  [829] = 828,
  [830] = 828,
  [831] = 828,
  [832] = 828,
  [833] = 833,
  [834] = 834,
  [835] = 833,
  [836] = 836,
  [837] = 836,
  [838] = 836,
  [839] = 836,
  [840] = 834,
  [841] = 836,
  [842] = 834,
  [843] = 833,
  [844] = 836,
  [845] = 845,
  [846] = 846,
  [847] = 846,
  [848] = 848,
  [849] = 848,
  [850] = 850,
  [851] = 851,
  [852] = 845,
  [853] = 848,
  [854] = 851,
  [855] = 848,
  [856] = 848,
  [857] = 851,
  [858] = 851,
  [859] = 851,
  [860] = 848,
  [861] = 848,
  [862] = 862,
  [863] = 848,
  [864] = 864,
  [865] = 865,
  [866] = 865,
  [867] = 867,
  [868] = 848,
  [869] = 846,
  [870] = 870,
  [871] = 865,
  [872] = 865,
  [873] = 848,
  [874] = 865,
  [875] = 848,
  [876] = 865,
  [877] = 848,
  [878] = 850,
  [879] = 848,
  [880] = 317,
  [881] = 845,
  [882] = 864,
  [883] = 307,
  [884] = 848,
  [885] = 864,
  [886] = 848,
  [887] = 848,
  [888] = 888,
  [889] = 317,
  [890] = 317,
  [891] = 888,
  [892] = 307,
  [893] = 290,
  [894] = 291,
  [895] = 888,
  [896] = 888,
  [897] = 888,
  [898] = 864,
  [899] = 317,
  [900] = 888,
  [901] = 888,
  [902] = 318,
  [903] = 888,
  [904] = 848,
  [905] = 307,
  [906] = 888,
  [907] = 312,
  [908] = 307,
  [909] = 909,
  [910] = 910,
  [911] = 312,
  [912] = 912,
  [913] = 318,
  [914] = 914,
  [915] = 306,
  [916] = 307,
  [917] = 312,
  [918] = 297,
  [919] = 309,
  [920] = 920,
  [921] = 317,
  [922] = 922,
  [923] = 300,
  [924] = 292,
  [925] = 307,
  [926] = 926,
  [927] = 927,
  [928] = 307,
  [929] = 318,
  [930] = 909,
  [931] = 931,
  [932] = 317,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 317,
  [939] = 290,
  [940] = 936,
  [941] = 312,
  [942] = 291,
  [943] = 318,
  [944] = 944,
  [945] = 945,
  [946] = 946,
  [947] = 307,
  [948] = 317,
  [949] = 909,
  [950] = 291,
  [951] = 290,
  [952] = 312,
  [953] = 318,
  [954] = 317,
  [955] = 307,
  [956] = 956,
  [957] = 957,
  [958] = 958,
  [959] = 290,
  [960] = 960,
  [961] = 961,
  [962] = 962,
  [963] = 963,
  [964] = 964,
  [965] = 965,
  [966] = 966,
  [967] = 967,
  [968] = 968,
  [969] = 969,
  [970] = 970,
  [971] = 971,
  [972] = 312,
  [973] = 973,
  [974] = 974,
  [975] = 975,
  [976] = 976,
  [977] = 318,
  [978] = 978,
  [979] = 291,
  [980] = 980,
  [981] = 981,
  [982] = 982,
  [983] = 318,
  [984] = 984,
  [985] = 317,
  [986] = 986,
  [987] = 307,
  [988] = 988,
  [989] = 989,
  [990] = 990,
  [991] = 309,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 307,
  [997] = 997,
  [998] = 312,
  [999] = 312,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 318,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 300,
  [1006] = 312,
  [1007] = 297,
  [1008] = 318,
  [1009] = 1009,
  [1010] = 1010,
  [1011] = 1011,
  [1012] = 1012,
  [1013] = 307,
  [1014] = 1014,
  [1015] = 1015,
  [1016] = 944,
  [1017] = 1017,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 1021,
  [1022] = 1022,
  [1023] = 1023,
  [1024] = 945,
  [1025] = 1025,
  [1026] = 318,
  [1027] = 296,
  [1028] = 1028,
  [1029] = 312,
  [1030] = 310,
  [1031] = 1031,
  [1032] = 935,
  [1033] = 910,
  [1034] = 931,
  [1035] = 945,
  [1036] = 300,
  [1037] = 926,
  [1038] = 297,
  [1039] = 307,
  [1040] = 317,
  [1041] = 308,
  [1042] = 298,
  [1043] = 926,
  [1044] = 306,
  [1045] = 920,
  [1046] = 922,
  [1047] = 1047,
  [1048] = 1048,
  [1049] = 1049,
  [1050] = 1050,
  [1051] = 912,
  [1052] = 914,
  [1053] = 318,
  [1054] = 927,
  [1055] = 1055,
  [1056] = 1056,
  [1057] = 936,
  [1058] = 1058,
  [1059] = 1059,
  [1060] = 946,
  [1061] = 933,
  [1062] = 1062,
  [1063] = 934,
  [1064] = 937,
  [1065] = 1065,
  [1066] = 937,
  [1067] = 1067,
  [1068] = 934,
  [1069] = 935,
  [1070] = 933,
  [1071] = 1071,
  [1072] = 292,
  [1073] = 936,
  [1074] = 1074,
  [1075] = 1075,
  [1076] = 1076,
  [1077] = 1077,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 1081,
  [1082] = 1082,
  [1083] = 927,
  [1084] = 1084,
  [1085] = 1085,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 914,
  [1089] = 1089,
  [1090] = 1090,
  [1091] = 1091,
  [1092] = 1092,
  [1093] = 1093,
  [1094] = 1094,
  [1095] = 1095,
  [1096] = 1096,
  [1097] = 1097,
  [1098] = 1098,
  [1099] = 1099,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 1102,
  [1103] = 1103,
  [1104] = 1104,
  [1105] = 1105,
  [1106] = 1106,
  [1107] = 1107,
  [1108] = 1108,
  [1109] = 1109,
  [1110] = 1110,
  [1111] = 317,
  [1112] = 1112,
  [1113] = 317,
  [1114] = 1114,
  [1115] = 1115,
  [1116] = 1116,
  [1117] = 1117,
  [1118] = 1118,
  [1119] = 1119,
  [1120] = 1120,
  [1121] = 1121,
  [1122] = 1122,
  [1123] = 944,
  [1124] = 912,
  [1125] = 292,
  [1126] = 1126,
  [1127] = 946,
  [1128] = 1128,
  [1129] = 1129,
  [1130] = 1130,
  [1131] = 1131,
  [1132] = 1132,
  [1133] = 1133,
  [1134] = 1134,
  [1135] = 1135,
  [1136] = 1136,
  [1137] = 1137,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 300,
  [1141] = 909,
  [1142] = 309,
  [1143] = 317,
  [1144] = 312,
  [1145] = 307,
  [1146] = 910,
  [1147] = 306,
  [1148] = 297,
  [1149] = 1149,
  [1150] = 1150,
  [1151] = 1151,
  [1152] = 1152,
  [1153] = 1153,
  [1154] = 1154,
  [1155] = 931,
  [1156] = 922,
  [1157] = 1157,
  [1158] = 1158,
  [1159] = 1159,
  [1160] = 1160,
  [1161] = 1161,
  [1162] = 1162,
  [1163] = 1163,
  [1164] = 1164,
  [1165] = 1165,
  [1166] = 1166,
  [1167] = 1167,
  [1168] = 1168,
  [1169] = 1169,
  [1170] = 920,
  [1171] = 1171,
  [1172] = 1172,
  [1173] = 1173,
  [1174] = 1174,
  [1175] = 1175,
  [1176] = 1176,
  [1177] = 1177,
  [1178] = 1178,
  [1179] = 1179,
  [1180] = 1164,
  [1181] = 976,
  [1182] = 974,
  [1183] = 914,
  [1184] = 944,
  [1185] = 912,
  [1186] = 927,
  [1187] = 975,
  [1188] = 307,
  [1189] = 1189,
  [1190] = 1135,
  [1191] = 292,
  [1192] = 1010,
  [1193] = 937,
  [1194] = 971,
  [1195] = 934,
  [1196] = 970,
  [1197] = 989,
  [1198] = 969,
  [1199] = 935,
  [1200] = 990,
  [1201] = 933,
  [1202] = 317,
  [1203] = 1004,
  [1204] = 968,
  [1205] = 967,
  [1206] = 1003,
  [1207] = 965,
  [1208] = 964,
  [1209] = 963,
  [1210] = 962,
  [1211] = 1001,
  [1212] = 958,
  [1213] = 1000,
  [1214] = 1075,
  [1215] = 1076,
  [1216] = 1077,
  [1217] = 1139,
  [1218] = 956,
  [1219] = 992,
  [1220] = 993,
  [1221] = 1078,
  [1222] = 986,
  [1223] = 993,
  [1224] = 992,
  [1225] = 982,
  [1226] = 981,
  [1227] = 980,
  [1228] = 966,
  [1229] = 956,
  [1230] = 990,
  [1231] = 961,
  [1232] = 960,
  [1233] = 1067,
  [1234] = 988,
  [1235] = 978,
  [1236] = 976,
  [1237] = 1130,
  [1238] = 1000,
  [1239] = 1001,
  [1240] = 989,
  [1241] = 1134,
  [1242] = 1048,
  [1243] = 1131,
  [1244] = 1003,
  [1245] = 984,
  [1246] = 1132,
  [1247] = 994,
  [1248] = 1004,
  [1249] = 995,
  [1250] = 997,
  [1251] = 1009,
  [1252] = 1015,
  [1253] = 1179,
  [1254] = 1023,
  [1255] = 1011,
  [1256] = 1012,
  [1257] = 1014,
  [1258] = 1031,
  [1259] = 1017,
  [1260] = 1018,
  [1261] = 1019,
  [1262] = 1178,
  [1263] = 1020,
  [1264] = 1021,
  [1265] = 1022,
  [1266] = 1177,
  [1267] = 1133,
  [1268] = 1025,
  [1269] = 1055,
  [1270] = 1056,
  [1271] = 1058,
  [1272] = 1059,
  [1273] = 1028,
  [1274] = 1047,
  [1275] = 1049,
  [1276] = 1050,
  [1277] = 1062,
  [1278] = 1176,
  [1279] = 1065,
  [1280] = 957,
  [1281] = 300,
  [1282] = 1084,
  [1283] = 1085,
  [1284] = 1071,
  [1285] = 1087,
  [1286] = 1089,
  [1287] = 1090,
  [1288] = 1091,
  [1289] = 1092,
  [1290] = 1093,
  [1291] = 1094,
  [1292] = 1095,
  [1293] = 1096,
  [1294] = 1097,
  [1295] = 1098,
  [1296] = 1099,
  [1297] = 1100,
  [1298] = 1101,
  [1299] = 1074,
  [1300] = 1079,
  [1301] = 1102,
  [1302] = 1103,
  [1303] = 1104,
  [1304] = 1105,
  [1305] = 1107,
  [1306] = 1108,
  [1307] = 1109,
  [1308] = 1110,
  [1309] = 1112,
  [1310] = 1080,
  [1311] = 1116,
  [1312] = 1117,
  [1313] = 1118,
  [1314] = 1119,
  [1315] = 1081,
  [1316] = 1082,
  [1317] = 1086,
  [1318] = 1106,
  [1319] = 1114,
  [1320] = 1115,
  [1321] = 1120,
  [1322] = 1121,
  [1323] = 1122,
  [1324] = 312,
  [1325] = 1131,
  [1326] = 297,
  [1327] = 1149,
  [1328] = 1150,
  [1329] = 1151,
  [1330] = 1152,
  [1331] = 1153,
  [1332] = 1154,
  [1333] = 1175,
  [1334] = 1157,
  [1335] = 1158,
  [1336] = 1159,
  [1337] = 1160,
  [1338] = 1161,
  [1339] = 1162,
  [1340] = 1163,
  [1341] = 1132,
  [1342] = 1165,
  [1343] = 1166,
  [1344] = 1167,
  [1345] = 1168,
  [1346] = 1169,
  [1347] = 1171,
  [1348] = 1172,
  [1349] = 1173,
  [1350] = 1174,
  [1351] = 1174,
  [1352] = 1135,
  [1353] = 1173,
  [1354] = 1175,
  [1355] = 1176,
  [1356] = 318,
  [1357] = 1177,
  [1358] = 1178,
  [1359] = 1137,
  [1360] = 1179,
  [1361] = 1138,
  [1362] = 1048,
  [1363] = 1134,
  [1364] = 1130,
  [1365] = 1139,
  [1366] = 1136,
  [1367] = 1172,
  [1368] = 1171,
  [1369] = 945,
  [1370] = 1169,
  [1371] = 1168,
  [1372] = 1167,
  [1373] = 1166,
  [1374] = 1165,
  [1375] = 1164,
  [1376] = 1163,
  [1377] = 1162,
  [1378] = 1161,
  [1379] = 1160,
  [1380] = 1159,
  [1381] = 1158,
  [1382] = 1157,
  [1383] = 1078,
  [1384] = 1077,
  [1385] = 1076,
  [1386] = 1075,
  [1387] = 1154,
  [1388] = 1153,
  [1389] = 1152,
  [1390] = 1151,
  [1391] = 1150,
  [1392] = 1149,
  [1393] = 975,
  [1394] = 974,
  [1395] = 312,
  [1396] = 1129,
  [1397] = 973,
  [1398] = 971,
  [1399] = 970,
  [1400] = 969,
  [1401] = 968,
  [1402] = 967,
  [1403] = 965,
  [1404] = 1122,
  [1405] = 1121,
  [1406] = 1120,
  [1407] = 1115,
  [1408] = 1114,
  [1409] = 1106,
  [1410] = 964,
  [1411] = 1015,
  [1412] = 1128,
  [1413] = 1126,
  [1414] = 1086,
  [1415] = 1082,
  [1416] = 1081,
  [1417] = 963,
  [1418] = 1080,
  [1419] = 1079,
  [1420] = 1074,
  [1421] = 1071,
  [1422] = 957,
  [1423] = 962,
  [1424] = 1065,
  [1425] = 1062,
  [1426] = 306,
  [1427] = 309,
  [1428] = 317,
  [1429] = 1119,
  [1430] = 298,
  [1431] = 1118,
  [1432] = 1050,
  [1433] = 308,
  [1434] = 1049,
  [1435] = 1117,
  [1436] = 1031,
  [1437] = 1047,
  [1438] = 310,
  [1439] = 296,
  [1440] = 1136,
  [1441] = 1133,
  [1442] = 1116,
  [1443] = 1129,
  [1444] = 1137,
  [1445] = 1028,
  [1446] = 1128,
  [1447] = 1025,
  [1448] = 1126,
  [1449] = 1138,
  [1450] = 1023,
  [1451] = 318,
  [1452] = 1022,
  [1453] = 1021,
  [1454] = 1020,
  [1455] = 958,
  [1456] = 1019,
  [1457] = 1018,
  [1458] = 1017,
  [1459] = 1014,
  [1460] = 300,
  [1461] = 318,
  [1462] = 1012,
  [1463] = 1011,
  [1464] = 1010,
  [1465] = 312,
  [1466] = 1112,
  [1467] = 1009,
  [1468] = 1110,
  [1469] = 997,
  [1470] = 1109,
  [1471] = 1055,
  [1472] = 1108,
  [1473] = 1056,
  [1474] = 995,
  [1475] = 1107,
  [1476] = 1058,
  [1477] = 1105,
  [1478] = 1059,
  [1479] = 994,
  [1480] = 1104,
  [1481] = 946,
  [1482] = 298,
  [1483] = 308,
  [1484] = 984,
  [1485] = 973,
  [1486] = 307,
  [1487] = 297,
  [1488] = 978,
  [1489] = 300,
  [1490] = 988,
  [1491] = 1103,
  [1492] = 1102,
  [1493] = 1101,
  [1494] = 1067,
  [1495] = 960,
  [1496] = 961,
  [1497] = 966,
  [1498] = 1100,
  [1499] = 980,
  [1500] = 981,
  [1501] = 982,
  [1502] = 1099,
  [1503] = 1098,
  [1504] = 1097,
  [1505] = 312,
  [1506] = 1096,
  [1507] = 1095,
  [1508] = 318,
  [1509] = 986,
  [1510] = 310,
  [1511] = 1094,
  [1512] = 296,
  [1513] = 1084,
  [1514] = 1085,
  [1515] = 297,
  [1516] = 926,
  [1517] = 1087,
  [1518] = 920,
  [1519] = 922,
  [1520] = 931,
  [1521] = 1089,
  [1522] = 910,
  [1523] = 1093,
  [1524] = 1090,
  [1525] = 1091,
  [1526] = 1092,
  [1527] = 1167,
  [1528] = 982,
  [1529] = 971,
  [1530] = 1025,
  [1531] = 1023,
  [1532] = 1022,
  [1533] = 957,
  [1534] = 1047,
  [1535] = 969,
  [1536] = 968,
  [1537] = 967,
  [1538] = 965,
  [1539] = 964,
  [1540] = 1015,
  [1541] = 988,
  [1542] = 963,
  [1543] = 962,
  [1544] = 1001,
  [1545] = 975,
  [1546] = 1106,
  [1547] = 297,
  [1548] = 1114,
  [1549] = 1021,
  [1550] = 1020,
  [1551] = 973,
  [1552] = 974,
  [1553] = 1151,
  [1554] = 1000,
  [1555] = 1031,
  [1556] = 1065,
  [1557] = 1019,
  [1558] = 1018,
  [1559] = 1017,
  [1560] = 318,
  [1561] = 1014,
  [1562] = 1119,
  [1563] = 1012,
  [1564] = 1011,
  [1565] = 1010,
  [1566] = 978,
  [1567] = 1118,
  [1568] = 1117,
  [1569] = 1116,
  [1570] = 976,
  [1571] = 1137,
  [1572] = 1062,
  [1573] = 1138,
  [1574] = 958,
  [1575] = 1112,
  [1576] = 1050,
  [1577] = 1086,
  [1578] = 1115,
  [1579] = 1082,
  [1580] = 1081,
  [1581] = 1110,
  [1582] = 1108,
  [1583] = 1107,
  [1584] = 1004,
  [1585] = 1189,
  [1586] = 1080,
  [1587] = 1120,
  [1588] = 296,
  [1589] = 298,
  [1590] = 1076,
  [1591] = 1105,
  [1592] = 1104,
  [1593] = 1103,
  [1594] = 1102,
  [1595] = 1101,
  [1596] = 1100,
  [1597] = 1077,
  [1598] = 1099,
  [1599] = 1098,
  [1600] = 1097,
  [1601] = 1096,
  [1602] = 1095,
  [1603] = 1094,
  [1604] = 1093,
  [1605] = 1092,
  [1606] = 1091,
  [1607] = 1090,
  [1608] = 1089,
  [1609] = 1109,
  [1610] = 1087,
  [1611] = 1085,
  [1612] = 1084,
  [1613] = 1009,
  [1614] = 997,
  [1615] = 986,
  [1616] = 1121,
  [1617] = 1122,
  [1618] = 1078,
  [1619] = 993,
  [1620] = 992,
  [1621] = 1075,
  [1622] = 1055,
  [1623] = 1003,
  [1624] = 956,
  [1625] = 1056,
  [1626] = 981,
  [1627] = 1079,
  [1628] = 990,
  [1629] = 995,
  [1630] = 980,
  [1631] = 1058,
  [1632] = 1130,
  [1633] = 1074,
  [1634] = 989,
  [1635] = 312,
  [1636] = 1149,
  [1637] = 1150,
  [1638] = 1163,
  [1639] = 1152,
  [1640] = 1153,
  [1641] = 1154,
  [1642] = 1157,
  [1643] = 1158,
  [1644] = 1159,
  [1645] = 1160,
  [1646] = 1059,
  [1647] = 310,
  [1648] = 1071,
  [1649] = 1161,
  [1650] = 1162,
  [1651] = 960,
  [1652] = 1164,
  [1653] = 1165,
  [1654] = 300,
  [1655] = 966,
  [1656] = 961,
  [1657] = 1028,
  [1658] = 984,
  [1659] = 970,
  [1660] = 1168,
  [1661] = 1169,
  [1662] = 1171,
  [1663] = 1172,
  [1664] = 1173,
  [1665] = 1174,
  [1666] = 1175,
  [1667] = 1067,
  [1668] = 1176,
  [1669] = 1177,
  [1670] = 1178,
  [1671] = 1166,
  [1672] = 994,
  [1673] = 1126,
  [1674] = 1128,
  [1675] = 1129,
  [1676] = 1133,
  [1677] = 1049,
  [1678] = 1179,
  [1679] = 308,
  [1680] = 1132,
  [1681] = 1136,
  [1682] = 1139,
  [1683] = 1131,
  [1684] = 1135,
  [1685] = 1048,
  [1686] = 1134,
  [1687] = 1687,
  [1688] = 1687,
  [1689] = 1687,
  [1690] = 1687,
  [1691] = 1687,
  [1692] = 1692,
  [1693] = 1693,
  [1694] = 1694,
  [1695] = 1695,
  [1696] = 1696,
  [1697] = 1693,
  [1698] = 1698,
  [1699] = 1699,
  [1700] = 1694,
  [1701] = 1693,
  [1702] = 1702,
  [1703] = 1703,
  [1704] = 1704,
  [1705] = 1705,
  [1706] = 1706,
  [1707] = 1694,
  [1708] = 1694,
  [1709] = 1693,
  [1710] = 1694,
  [1711] = 1693,
  [1712] = 1712,
  [1713] = 1713,
  [1714] = 1713,
  [1715] = 1715,
  [1716] = 1713,
  [1717] = 1717,
  [1718] = 1718,
  [1719] = 1717,
  [1720] = 1718,
  [1721] = 1721,
  [1722] = 1722,
  [1723] = 1723,
  [1724] = 1724,
  [1725] = 1717,
  [1726] = 1721,
  [1727] = 1724,
  [1728] = 1723,
  [1729] = 1718,
  [1730] = 1721,
  [1731] = 1722,
  [1732] = 1721,
  [1733] = 1723,
  [1734] = 1722,
  [1735] = 1724,
  [1736] = 1717,
  [1737] = 1718,
  [1738] = 1724,
  [1739] = 1718,
  [1740] = 1721,
  [1741] = 1722,
  [1742] = 1721,
  [1743] = 1722,
  [1744] = 1718,
  [1745] = 1723,
  [1746] = 1724,
  [1747] = 1717,
  [1748] = 1723,
  [1749] = 1724,
  [1750] = 1717,
  [1751] = 1722,
  [1752] = 1723,
  [1753] = 1717,
  [1754] = 1723,
  [1755] = 1718,
  [1756] = 1721,
  [1757] = 1722,
  [1758] = 1724,
  [1759] = 1759,
  [1760] = 1760,
  [1761] = 1761,
  [1762] = 1759,
  [1763] = 1761,
  [1764] = 1759,
  [1765] = 1759,
  [1766] = 1759,
  [1767] = 1759,
  [1768] = 1759,
  [1769] = 1769,
  [1770] = 1769,
  [1771] = 1771,
  [1772] = 1771,
  [1773] = 1771,
  [1774] = 1769,
  [1775] = 1771,
  [1776] = 1769,
  [1777] = 1771,
  [1778] = 1769,
  [1779] = 1779,
  [1780] = 1779,
  [1781] = 1779,
  [1782] = 1779,
  [1783] = 1779,
  [1784] = 1779,
  [1785] = 1779,
  [1786] = 1779,
  [1787] = 1779,
  [1788] = 1779,
  [1789] = 1779,
  [1790] = 1779,
  [1791] = 1791,
  [1792] = 1791,
  [1793] = 1793,
  [1794] = 1793,
  [1795] = 1795,
  [1796] = 1796,
  [1797] = 1793,
  [1798] = 1796,
  [1799] = 1795,
  [1800] = 1791,
  [1801] = 1796,
  [1802] = 1795,
  [1803] = 1803,
  [1804] = 1793,
  [1805] = 1793,
  [1806] = 1806,
  [1807] = 1807,
  [1808] = 1808,
  [1809] = 1809,
  [1810] = 1810,
  [1811] = 1811,
  [1812] = 1812,
  [1813] = 1813,
  [1814] = 1814,
  [1815] = 1815,
  [1816] = 1808,
  [1817] = 1817,
  [1818] = 1818,
  [1819] = 1819,
  [1820] = 1820,
  [1821] = 1821,
  [1822] = 1822,
  [1823] = 1823,
  [1824] = 1824,
  [1825] = 1818,
  [1826] = 1826,
  [1827] = 1827,
  [1828] = 1828,
  [1829] = 1829,
  [1830] = 1830,
  [1831] = 1831,
  [1832] = 1829,
  [1833] = 1812,
  [1834] = 1827,
  [1835] = 1835,
  [1836] = 1836,
  [1837] = 1808,
  [1838] = 1838,
  [1839] = 1817,
  [1840] = 1812,
  [1841] = 1828,
  [1842] = 1812,
  [1843] = 1827,
  [1844] = 1817,
  [1845] = 1819,
  [1846] = 1808,
  [1847] = 1847,
  [1848] = 1818,
  [1849] = 1809,
  [1850] = 1807,
  [1851] = 1819,
  [1852] = 1819,
  [1853] = 1853,
  [1854] = 1817,
  [1855] = 1818,
  [1856] = 1856,
  [1857] = 1838,
  [1858] = 1858,
  [1859] = 1811,
  [1860] = 1810,
  [1861] = 1806,
  [1862] = 1858,
  [1863] = 1827,
  [1864] = 1806,
  [1865] = 1822,
  [1866] = 1822,
  [1867] = 1858,
  [1868] = 1807,
  [1869] = 1869,
  [1870] = 1819,
  [1871] = 1856,
  [1872] = 1836,
  [1873] = 1811,
  [1874] = 1838,
  [1875] = 1875,
  [1876] = 1809,
  [1877] = 1877,
  [1878] = 1869,
  [1879] = 1869,
  [1880] = 1869,
  [1881] = 1853,
  [1882] = 1818,
  [1883] = 1806,
  [1884] = 1858,
  [1885] = 1812,
  [1886] = 1810,
  [1887] = 1810,
  [1888] = 1877,
  [1889] = 1827,
  [1890] = 1877,
  [1891] = 1836,
  [1892] = 1828,
  [1893] = 1877,
  [1894] = 1836,
  [1895] = 1831,
  [1896] = 1827,
  [1897] = 1807,
  [1898] = 1828,
  [1899] = 1829,
  [1900] = 1856,
  [1901] = 1812,
  [1902] = 1836,
  [1903] = 1869,
  [1904] = 1828,
  [1905] = 1829,
  [1906] = 1808,
  [1907] = 1838,
  [1908] = 1808,
  [1909] = 1858,
  [1910] = 1910,
  [1911] = 1811,
  [1912] = 1809,
  [1913] = 1809,
  [1914] = 1807,
  [1915] = 1829,
  [1916] = 1916,
  [1917] = 1811,
  [1918] = 1877,
  [1919] = 1822,
  [1920] = 1810,
  [1921] = 1921,
  [1922] = 1806,
  [1923] = 1817,
  [1924] = 1822,
  [1925] = 1856,
  [1926] = 1926,
  [1927] = 1856,
  [1928] = 1838,
  [1929] = 1929,
  [1930] = 1930,
  [1931] = 1929,
  [1932] = 1932,
  [1933] = 1933,
  [1934] = 1933,
  [1935] = 1932,
  [1936] = 1936,
  [1937] = 1937,
  [1938] = 1938,
  [1939] = 1939,
  [1940] = 1940,
  [1941] = 1940,
  [1942] = 1940,
  [1943] = 1933,
  [1944] = 1938,
  [1945] = 1933,
  [1946] = 1939,
  [1947] = 1940,
  [1948] = 1940,
  [1949] = 1939,
  [1950] = 1933,
  [1951] = 1933,
  [1952] = 1930,
  [1953] = 1938,
  [1954] = 1939,
  [1955] = 1939,
  [1956] = 1938,
  [1957] = 1938,
  [1958] = 1933,
  [1959] = 1933,
  [1960] = 1960,
  [1961] = 1960,
  [1962] = 1960,
  [1963] = 1963,
  [1964] = 1933,
  [1965] = 1929,
  [1966] = 1966,
  [1967] = 1967,
  [1968] = 1966,
  [1969] = 1969,
  [1970] = 1933,
  [1971] = 1966,
  [1972] = 1969,
  [1973] = 1966,
  [1974] = 1974,
  [1975] = 1933,
  [1976] = 1933,
  [1977] = 1977,
  [1978] = 1974,
  [1979] = 1977,
  [1980] = 1980,
  [1981] = 1977,
  [1982] = 1982,
  [1983] = 1969,
  [1984] = 1977,
  [1985] = 1985,
  [1986] = 1977,
  [1987] = 1987,
  [1988] = 1988,
  [1989] = 1989,
  [1990] = 1990,
  [1991] = 1991,
  [1992] = 1967,
  [1993] = 1966,
  [1994] = 1994,
  [1995] = 1933,
  [1996] = 1967,
  [1997] = 1977,
  [1998] = 1933,
  [1999] = 1966,
  [2000] = 1933,
  [2001] = 1933,
  [2002] = 1933,
  [2003] = 2003,
  [2004] = 1930,
  [2005] = 2005,
  [2006] = 1933,
  [2007] = 1936,
  [2008] = 1933,
  [2009] = 2009,
  [2010] = 1933,
  [2011] = 1974,
  [2012] = 1974,
  [2013] = 1135,
  [2014] = 1139,
  [2015] = 2015,
  [2016] = 1974,
  [2017] = 2005,
  [2018] = 1974,
  [2019] = 1974,
  [2020] = 2020,
  [2021] = 2021,
  [2022] = 1974,
  [2023] = 2023,
  [2024] = 2024,
  [2025] = 1974,
  [2026] = 2026,
  [2027] = 2027,
  [2028] = 2021,
  [2029] = 2021,
  [2030] = 2030,
  [2031] = 2005,
  [2032] = 2020,
  [2033] = 2033,
  [2034] = 2003,
  [2035] = 2035,
  [2036] = 2036,
  [2037] = 2021,
  [2038] = 2038,
  [2039] = 2024,
  [2040] = 2040,
  [2041] = 2021,
  [2042] = 2042,
  [2043] = 2003,
  [2044] = 1933,
  [2045] = 2021,
  [2046] = 2021,
  [2047] = 2021,
  [2048] = 2021,
  [2049] = 2049,
  [2050] = 2049,
  [2051] = 1974,
  [2052] = 2040,
  [2053] = 2026,
  [2054] = 956,
  [2055] = 2055,
  [2056] = 2049,
  [2057] = 2057,
  [2058] = 1974,
  [2059] = 2057,
  [2060] = 2049,
  [2061] = 2040,
  [2062] = 2026,
  [2063] = 2063,
  [2064] = 2064,
  [2065] = 2065,
  [2066] = 1974,
  [2067] = 2067,
  [2068] = 1004,
  [2069] = 2067,
  [2070] = 2049,
  [2071] = 2065,
  [2072] = 2003,
  [2073] = 2003,
  [2074] = 2055,
  [2075] = 2003,
  [2076] = 2015,
  [2077] = 2055,
  [2078] = 1139,
  [2079] = 2027,
  [2080] = 2055,
  [2081] = 2035,
  [2082] = 2027,
  [2083] = 1982,
  [2084] = 2084,
  [2085] = 2057,
  [2086] = 2015,
  [2087] = 1985,
  [2088] = 2088,
  [2089] = 1135,
  [2090] = 2055,
  [2091] = 2026,
  [2092] = 1990,
  [2093] = 2003,
  [2094] = 2094,
  [2095] = 2084,
  [2096] = 2084,
  [2097] = 2094,
  [2098] = 2098,
  [2099] = 2094,
  [2100] = 2057,
  [2101] = 1974,
  [2102] = 2057,
  [2103] = 2103,
  [2104] = 1974,
  [2105] = 1989,
  [2106] = 2003,
  [2107] = 2023,
  [2108] = 2108,
  [2109] = 2035,
  [2110] = 1132,
  [2111] = 1988,
  [2112] = 1131,
  [2113] = 2084,
  [2114] = 2026,
  [2115] = 1987,
  [2116] = 2027,
  [2117] = 2094,
  [2118] = 1994,
  [2119] = 2094,
  [2120] = 2003,
  [2121] = 2057,
  [2122] = 1137,
  [2123] = 1138,
  [2124] = 2040,
  [2125] = 2125,
  [2126] = 2126,
  [2127] = 2035,
  [2128] = 2026,
  [2129] = 2129,
  [2130] = 2130,
  [2131] = 2084,
  [2132] = 2055,
  [2133] = 2133,
  [2134] = 2125,
  [2135] = 2026,
  [2136] = 2057,
  [2137] = 2137,
  [2138] = 2003,
  [2139] = 2139,
  [2140] = 2015,
  [2141] = 2141,
  [2142] = 2026,
  [2143] = 2015,
  [2144] = 2030,
  [2145] = 2064,
  [2146] = 2146,
  [2147] = 2146,
  [2148] = 2146,
  [2149] = 2026,
  [2150] = 2146,
  [2151] = 2055,
  [2152] = 2055,
  [2153] = 2146,
  [2154] = 2057,
  [2155] = 2146,
  [2156] = 2057,
  [2157] = 2157,
  [2158] = 2055,
  [2159] = 2157,
  [2160] = 2057,
  [2161] = 2157,
  [2162] = 2055,
  [2163] = 2055,
  [2164] = 2157,
  [2165] = 2055,
  [2166] = 2035,
  [2167] = 2157,
  [2168] = 2157,
  [2169] = 2027,
  [2170] = 2170,
  [2171] = 2157,
  [2172] = 2172,
  [2173] = 2026,
  [2174] = 2020,
  [2175] = 2015,
  [2176] = 2157,
  [2177] = 2057,
  [2178] = 2178,
  [2179] = 2157,
  [2180] = 2024,
  [2181] = 2057,
  [2182] = 2182,
  [2183] = 2055,
  [2184] = 2023,
  [2185] = 2055,
  [2186] = 2055,
  [2187] = 2057,
  [2188] = 2126,
  [2189] = 2055,
  [2190] = 2015,
  [2191] = 2103,
  [2192] = 2057,
  [2193] = 2015,
  [2194] = 2057,
  [2195] = 2067,
  [2196] = 2057,
  [2197] = 2197,
  [2198] = 2197,
  [2199] = 2199,
  [2200] = 2200,
  [2201] = 2200,
  [2202] = 2202,
  [2203] = 2203,
  [2204] = 2202,
  [2205] = 2202,
  [2206] = 2197,
  [2207] = 2197,
  [2208] = 2199,
  [2209] = 2202,
  [2210] = 2200,
  [2211] = 2064,
  [2212] = 2203,
  [2213] = 2202,
  [2214] = 2197,
  [2215] = 2199,
  [2216] = 2199,
  [2217] = 2202,
  [2218] = 2199,
  [2219] = 2203,
  [2220] = 2203,
  [2221] = 2199,
  [2222] = 2200,
  [2223] = 2202,
  [2224] = 2197,
  [2225] = 2197,
  [2226] = 2199,
  [2227] = 2197,
  [2228] = 2057,
  [2229] = 2199,
  [2230] = 2200,
  [2231] = 2137,
  [2232] = 2202,
  [2233] = 2055,
  [2234] = 2197,
  [2235] = 2203,
  [2236] = 2200,
  [2237] = 2200,
  [2238] = 2199,
  [2239] = 2203,
  [2240] = 2202,
  [2241] = 2015,
  [2242] = 2203,
  [2243] = 2200,
  [2244] = 2200,
  [2245] = 2203,
  [2246] = 2203,
  [2247] = 2015,
  [2248] = 2248,
  [2249] = 2248,
  [2250] = 2248,
  [2251] = 2248,
  [2252] = 2248,
  [2253] = 2248,
  [2254] = 2248,
  [2255] = 2248,
  [2256] = 2248,
  [2257] = 2257,
  [2258] = 2257,
  [2259] = 2257,
  [2260] = 2257,
  [2261] = 2257,
  [2262] = 2257,
  [2263] = 2257,
  [2264] = 2264,
  [2265] = 2257,
  [2266] = 2257,
  [2267] = 2267,
  [2268] = 2267,
  [2269] = 2267,
  [2270] = 2267,
  [2271] = 2267,
  [2272] = 2272,
  [2273] = 2273,
  [2274] = 2273,
  [2275] = 2273,
  [2276] = 2272,
  [2277] = 2273,
  [2278] = 2272,
  [2279] = 2273,
  [2280] = 2272,
  [2281] = 2273,
  [2282] = 2272,
  [2283] = 2272,
  [2284] = 2273,
  [2285] = 2272,
  [2286] = 2273,
  [2287] = 2272,
  [2288] = 2273,
  [2289] = 2272,
  [2290] = 2290,
  [2291] = 2272,
  [2292] = 2273,
  [2293] = 2272,
  [2294] = 2294,
  [2295] = 2272,
  [2296] = 2273,
  [2297] = 2273,
  [2298] = 2272,
  [2299] = 2294,
  [2300] = 2273,
  [2301] = 2272,
  [2302] = 2272,
  [2303] = 2273,
  [2304] = 2272,
  [2305] = 2273,
  [2306] = 2294,
  [2307] = 2294,
  [2308] = 2294,
  [2309] = 2294,
  [2310] = 2273,
  [2311] = 2294,
  [2312] = 310,
  [2313] = 296,
  [2314] = 2314,
  [2315] = 2315,
  [2316] = 2316,
  [2317] = 2317,
  [2318] = 2318,
  [2319] = 2319,
  [2320] = 2320,
  [2321] = 2321,
  [2322] = 2108,
  [2323] = 2323,
  [2324] = 2324,
  [2325] = 2325,
  [2326] = 2129,
  [2327] = 296,
  [2328] = 2328,
  [2329] = 2329,
  [2330] = 292,
  [2331] = 2331,
  [2332] = 290,
  [2333] = 2333,
  [2334] = 293,
  [2335] = 291,
  [2336] = 310,
  [2337] = 2133,
  [2338] = 2338,
  [2339] = 2339,
  [2340] = 2340,
  [2341] = 2341,
  [2342] = 2342,
  [2343] = 2343,
  [2344] = 2344,
  [2345] = 2345,
  [2346] = 2346,
  [2347] = 2347,
  [2348] = 2348,
  [2349] = 2349,
  [2350] = 2350,
  [2351] = 2351,
  [2352] = 2352,
  [2353] = 2353,
  [2354] = 2354,
  [2355] = 2355,
  [2356] = 2356,
  [2357] = 1136,
  [2358] = 2358,
  [2359] = 2359,
  [2360] = 2360,
  [2361] = 2361,
  [2362] = 2362,
  [2363] = 2363,
  [2364] = 2364,
  [2365] = 2365,
  [2366] = 2366,
  [2367] = 2342,
  [2368] = 2342,
  [2369] = 2342,
  [2370] = 2370,
  [2371] = 2371,
  [2372] = 2372,
  [2373] = 2373,
  [2374] = 2374,
  [2375] = 2375,
  [2376] = 2376,
  [2377] = 2377,
  [2378] = 2378,
  [2379] = 2379,
  [2380] = 2380,
  [2381] = 2381,
  [2382] = 2382,
  [2383] = 2342,
  [2384] = 2384,
  [2385] = 2385,
  [2386] = 2386,
  [2387] = 2387,
  [2388] = 2388,
  [2389] = 2389,
  [2390] = 2390,
  [2391] = 2391,
  [2392] = 2392,
  [2393] = 2393,
  [2394] = 2394,
  [2395] = 2395,
  [2396] = 2396,
  [2397] = 2397,
  [2398] = 2398,
  [2399] = 2399,
  [2400] = 2400,
  [2401] = 2401,
  [2402] = 2402,
  [2403] = 2403,
  [2404] = 2404,
  [2405] = 2405,
  [2406] = 2406,
  [2407] = 2407,
  [2408] = 2408,
  [2409] = 2409,
  [2410] = 2410,
  [2411] = 2411,
  [2412] = 2412,
  [2413] = 2413,
  [2414] = 2414,
  [2415] = 2415,
  [2416] = 2416,
  [2417] = 2417,
  [2418] = 2418,
  [2419] = 1133,
  [2420] = 2420,
  [2421] = 2421,
  [2422] = 2422,
  [2423] = 2423,
  [2424] = 2424,
  [2425] = 2425,
  [2426] = 2426,
  [2427] = 2427,
  [2428] = 2428,
  [2429] = 2429,
  [2430] = 307,
  [2431] = 2431,
  [2432] = 2432,
  [2433] = 2433,
  [2434] = 2434,
  [2435] = 2435,
  [2436] = 2390,
  [2437] = 2437,
  [2438] = 2438,
  [2439] = 2439,
  [2440] = 2390,
  [2441] = 2441,
  [2442] = 2442,
  [2443] = 2443,
  [2444] = 2342,
  [2445] = 2445,
  [2446] = 2446,
  [2447] = 2342,
  [2448] = 1129,
  [2449] = 2449,
  [2450] = 2450,
  [2451] = 2451,
  [2452] = 309,
  [2453] = 306,
  [2454] = 2454,
  [2455] = 2455,
  [2456] = 2456,
  [2457] = 2457,
  [2458] = 2458,
  [2459] = 2459,
  [2460] = 2460,
  [2461] = 2390,
  [2462] = 2462,
  [2463] = 1126,
  [2464] = 2464,
  [2465] = 2465,
  [2466] = 2466,
  [2467] = 2467,
  [2468] = 2468,
  [2469] = 2469,
  [2470] = 2470,
  [2471] = 2471,
  [2472] = 2472,
  [2473] = 2473,
  [2474] = 2474,
  [2475] = 2475,
  [2476] = 2476,
  [2477] = 2477,
  [2478] = 2478,
  [2479] = 2479,
  [2480] = 2480,
  [2481] = 2481,
  [2482] = 2482,
  [2483] = 2483,
  [2484] = 2484,
  [2485] = 2485,
  [2486] = 317,
  [2487] = 2487,
  [2488] = 2488,
  [2489] = 291,
  [2490] = 290,
  [2491] = 292,
  [2492] = 2492,
  [2493] = 2493,
  [2494] = 2494,
  [2495] = 2495,
  [2496] = 1128,
  [2497] = 2390,
  [2498] = 2498,
  [2499] = 2499,
  [2500] = 2500,
  [2501] = 298,
  [2502] = 2502,
  [2503] = 2503,
  [2504] = 2504,
  [2505] = 2505,
  [2506] = 2506,
  [2507] = 2339,
  [2508] = 2454,
  [2509] = 2450,
  [2510] = 2449,
  [2511] = 317,
  [2512] = 312,
  [2513] = 2513,
  [2514] = 2514,
  [2515] = 308,
  [2516] = 2516,
  [2517] = 2517,
  [2518] = 300,
  [2519] = 2316,
  [2520] = 2454,
  [2521] = 2505,
  [2522] = 2450,
  [2523] = 2321,
  [2524] = 2317,
  [2525] = 2525,
  [2526] = 2426,
  [2527] = 300,
  [2528] = 2423,
  [2529] = 307,
  [2530] = 2449,
  [2531] = 2531,
  [2532] = 2532,
  [2533] = 2533,
  [2534] = 2534,
  [2535] = 2535,
  [2536] = 2536,
  [2537] = 318,
  [2538] = 2445,
  [2539] = 2533,
  [2540] = 2443,
  [2541] = 2541,
  [2542] = 2542,
  [2543] = 2506,
  [2544] = 2544,
  [2545] = 2545,
  [2546] = 2546,
  [2547] = 2547,
  [2548] = 298,
  [2549] = 2549,
  [2550] = 2446,
  [2551] = 2551,
  [2552] = 2552,
  [2553] = 2532,
  [2554] = 2554,
  [2555] = 2555,
  [2556] = 308,
  [2557] = 2557,
  [2558] = 2558,
  [2559] = 2559,
  [2560] = 2560,
  [2561] = 2455,
  [2562] = 2456,
  [2563] = 2457,
  [2564] = 2464,
  [2565] = 2565,
  [2566] = 2468,
  [2567] = 2567,
  [2568] = 2469,
  [2569] = 2470,
  [2570] = 2319,
  [2571] = 2471,
  [2572] = 2472,
  [2573] = 2573,
  [2574] = 312,
  [2575] = 2575,
  [2576] = 2473,
  [2577] = 2474,
  [2578] = 2578,
  [2579] = 2513,
  [2580] = 2580,
  [2581] = 2488,
  [2582] = 2492,
  [2583] = 2494,
  [2584] = 2584,
  [2585] = 2445,
  [2586] = 2586,
  [2587] = 2587,
  [2588] = 2495,
  [2589] = 2589,
  [2590] = 2590,
  [2591] = 2591,
  [2592] = 2592,
  [2593] = 2593,
  [2594] = 2594,
  [2595] = 318,
  [2596] = 2596,
  [2597] = 2370,
  [2598] = 2598,
  [2599] = 2443,
  [2600] = 2600,
  [2601] = 2601,
  [2602] = 2426,
  [2603] = 2603,
  [2604] = 2604,
  [2605] = 2605,
  [2606] = 2606,
  [2607] = 2339,
  [2608] = 2366,
  [2609] = 2609,
  [2610] = 297,
  [2611] = 2611,
  [2612] = 2612,
  [2613] = 2613,
  [2614] = 2446,
  [2615] = 2506,
  [2616] = 2505,
  [2617] = 2617,
  [2618] = 2366,
  [2619] = 2500,
  [2620] = 2620,
  [2621] = 2414,
  [2622] = 2573,
  [2623] = 2565,
  [2624] = 2533,
  [2625] = 2394,
  [2626] = 2565,
  [2627] = 2627,
  [2628] = 2370,
  [2629] = 2573,
  [2630] = 2630,
  [2631] = 2631,
  [2632] = 2632,
  [2633] = 2633,
  [2634] = 2318,
  [2635] = 2482,
  [2636] = 2636,
  [2637] = 2533,
  [2638] = 2565,
  [2639] = 2639,
  [2640] = 2573,
  [2641] = 297,
  [2642] = 2533,
  [2643] = 2505,
  [2644] = 2423,
  [2645] = 2533,
  [2646] = 2646,
  [2647] = 2647,
  [2648] = 2506,
  [2649] = 2394,
  [2650] = 2650,
  [2651] = 2455,
  [2652] = 2652,
  [2653] = 2414,
  [2654] = 2654,
  [2655] = 2456,
  [2656] = 2457,
  [2657] = 2657,
  [2658] = 2658,
  [2659] = 2659,
  [2660] = 2660,
  [2661] = 2495,
  [2662] = 2662,
  [2663] = 2494,
  [2664] = 2664,
  [2665] = 2665,
  [2666] = 309,
  [2667] = 2464,
  [2668] = 306,
  [2669] = 2669,
  [2670] = 2573,
  [2671] = 2565,
  [2672] = 2468,
  [2673] = 2469,
  [2674] = 2470,
  [2675] = 2471,
  [2676] = 2472,
  [2677] = 2473,
  [2678] = 2474,
  [2679] = 2482,
  [2680] = 2680,
  [2681] = 2506,
  [2682] = 2682,
  [2683] = 2683,
  [2684] = 2505,
  [2685] = 2488,
  [2686] = 2492,
  [2687] = 2324,
  [2688] = 2688,
  [2689] = 2605,
  [2690] = 2690,
  [2691] = 2691,
  [2692] = 2467,
  [2693] = 2693,
  [2694] = 2694,
  [2695] = 2472,
  [2696] = 2133,
  [2697] = 2469,
  [2698] = 2698,
  [2699] = 2468,
  [2700] = 2700,
  [2701] = 2698,
  [2702] = 2129,
  [2703] = 2464,
  [2704] = 2338,
  [2705] = 2457,
  [2706] = 2473,
  [2707] = 2432,
  [2708] = 2437,
  [2709] = 2709,
  [2710] = 2474,
  [2711] = 2482,
  [2712] = 2712,
  [2713] = 2488,
  [2714] = 2492,
  [2715] = 2715,
  [2716] = 2716,
  [2717] = 2717,
  [2718] = 2456,
  [2719] = 2449,
  [2720] = 2455,
  [2721] = 2721,
  [2722] = 2494,
  [2723] = 2495,
  [2724] = 2709,
  [2725] = 2694,
  [2726] = 2726,
  [2727] = 2698,
  [2728] = 2698,
  [2729] = 2700,
  [2730] = 2333,
  [2731] = 2323,
  [2732] = 2446,
  [2733] = 2331,
  [2734] = 2715,
  [2735] = 2698,
  [2736] = 2694,
  [2737] = 2329,
  [2738] = 2709,
  [2739] = 2470,
  [2740] = 2471,
  [2741] = 2741,
  [2742] = 2698,
  [2743] = 2743,
  [2744] = 2744,
  [2745] = 2745,
  [2746] = 2746,
  [2747] = 2747,
  [2748] = 2700,
  [2749] = 2700,
  [2750] = 2698,
  [2751] = 2108,
  [2752] = 2700,
  [2753] = 2690,
  [2754] = 2712,
  [2755] = 2366,
  [2756] = 2364,
  [2757] = 2709,
  [2758] = 2443,
  [2759] = 2500,
  [2760] = 2691,
  [2761] = 2513,
  [2762] = 2445,
  [2763] = 2763,
  [2764] = 2328,
  [2765] = 2763,
  [2766] = 2709,
  [2767] = 2767,
  [2768] = 2325,
  [2769] = 2426,
  [2770] = 2423,
  [2771] = 2437,
  [2772] = 2772,
  [2773] = 2532,
  [2774] = 2432,
  [2775] = 2437,
  [2776] = 2370,
  [2777] = 2394,
  [2778] = 2414,
  [2779] = 2339,
  [2780] = 2780,
  [2781] = 2781,
  [2782] = 2694,
  [2783] = 2605,
  [2784] = 2784,
  [2785] = 2432,
  [2786] = 2786,
  [2787] = 2694,
  [2788] = 2454,
  [2789] = 2450,
  [2790] = 2790,
  [2791] = 2791,
  [2792] = 2388,
  [2793] = 2412,
  [2794] = 2794,
  [2795] = 1136,
  [2796] = 2400,
  [2797] = 2399,
  [2798] = 2402,
  [2799] = 2532,
  [2800] = 2405,
  [2801] = 2429,
  [2802] = 2555,
  [2803] = 2409,
  [2804] = 2410,
  [2805] = 2411,
  [2806] = 2384,
  [2807] = 2393,
  [2808] = 2392,
  [2809] = 2339,
  [2810] = 2414,
  [2811] = 2391,
  [2812] = 2387,
  [2813] = 2386,
  [2814] = 2394,
  [2815] = 2370,
  [2816] = 2423,
  [2817] = 2426,
  [2818] = 2446,
  [2819] = 2819,
  [2820] = 2385,
  [2821] = 2455,
  [2822] = 2456,
  [2823] = 2457,
  [2824] = 2362,
  [2825] = 2633,
  [2826] = 2464,
  [2827] = 2468,
  [2828] = 2828,
  [2829] = 2469,
  [2830] = 2470,
  [2831] = 2633,
  [2832] = 2471,
  [2833] = 2364,
  [2834] = 2472,
  [2835] = 2473,
  [2836] = 2474,
  [2837] = 2513,
  [2838] = 2482,
  [2839] = 2767,
  [2840] = 293,
  [2841] = 2488,
  [2842] = 2842,
  [2843] = 2843,
  [2844] = 2432,
  [2845] = 2492,
  [2846] = 2828,
  [2847] = 2437,
  [2848] = 2494,
  [2849] = 2558,
  [2850] = 2458,
  [2851] = 2495,
  [2852] = 2454,
  [2853] = 2450,
  [2854] = 2449,
  [2855] = 2445,
  [2856] = 2443,
  [2857] = 2366,
  [2858] = 2459,
  [2859] = 2460,
  [2860] = 2364,
  [2861] = 2462,
  [2862] = 2475,
  [2863] = 2434,
  [2864] = 2500,
  [2865] = 2842,
  [2866] = 2842,
  [2867] = 2555,
  [2868] = 2843,
  [2869] = 2439,
  [2870] = 2382,
  [2871] = 2871,
  [2872] = 2380,
  [2873] = 2437,
  [2874] = 2438,
  [2875] = 2435,
  [2876] = 2379,
  [2877] = 2378,
  [2878] = 2493,
  [2879] = 2767,
  [2880] = 2555,
  [2881] = 2558,
  [2882] = 2466,
  [2883] = 2465,
  [2884] = 2432,
  [2885] = 2375,
  [2886] = 2370,
  [2887] = 2374,
  [2888] = 2373,
  [2889] = 2394,
  [2890] = 2372,
  [2891] = 2828,
  [2892] = 2432,
  [2893] = 2371,
  [2894] = 2437,
  [2895] = 2414,
  [2896] = 2339,
  [2897] = 2365,
  [2898] = 2377,
  [2899] = 2475,
  [2900] = 2828,
  [2901] = 2361,
  [2902] = 2487,
  [2903] = 2485,
  [2904] = 2904,
  [2905] = 2843,
  [2906] = 2360,
  [2907] = 2484,
  [2908] = 293,
  [2909] = 2483,
  [2910] = 2910,
  [2911] = 2911,
  [2912] = 2911,
  [2913] = 2359,
  [2914] = 2481,
  [2915] = 2477,
  [2916] = 2476,
  [2917] = 2356,
  [2918] = 2843,
  [2919] = 2355,
  [2920] = 1133,
  [2921] = 2354,
  [2922] = 2353,
  [2923] = 2828,
  [2924] = 2828,
  [2925] = 2423,
  [2926] = 2426,
  [2927] = 2352,
  [2928] = 2928,
  [2929] = 2446,
  [2930] = 2930,
  [2931] = 2451,
  [2932] = 2455,
  [2933] = 2456,
  [2934] = 2457,
  [2935] = 2351,
  [2936] = 2842,
  [2937] = 2464,
  [2938] = 2468,
  [2939] = 2469,
  [2940] = 2470,
  [2941] = 2415,
  [2942] = 2471,
  [2943] = 2428,
  [2944] = 2431,
  [2945] = 2558,
  [2946] = 2842,
  [2947] = 2472,
  [2948] = 2473,
  [2949] = 2474,
  [2950] = 2482,
  [2951] = 2488,
  [2952] = 2492,
  [2953] = 2494,
  [2954] = 2495,
  [2955] = 2478,
  [2956] = 1129,
  [2957] = 2454,
  [2958] = 2450,
  [2959] = 2449,
  [2960] = 2445,
  [2961] = 2416,
  [2962] = 2418,
  [2963] = 2963,
  [2964] = 2443,
  [2965] = 1128,
  [2966] = 2843,
  [2967] = 2479,
  [2968] = 2420,
  [2969] = 2969,
  [2970] = 1126,
  [2971] = 2480,
  [2972] = 2366,
  [2973] = 2973,
  [2974] = 2974,
  [2975] = 2975,
  [2976] = 2976,
  [2977] = 2842,
  [2978] = 2843,
  [2979] = 2341,
  [2980] = 2348,
  [2981] = 2343,
  [2982] = 2421,
  [2983] = 2422,
  [2984] = 2984,
  [2985] = 2985,
  [2986] = 2424,
  [2987] = 2987,
  [2988] = 2425,
  [2989] = 2427,
  [2990] = 2347,
  [2991] = 2433,
  [2992] = 2389,
  [2993] = 2340,
  [2994] = 2344,
  [2995] = 2345,
  [2996] = 2996,
  [2997] = 2717,
  [2998] = 2998,
  [2999] = 2999,
  [3000] = 2346,
  [3001] = 2441,
  [3002] = 2349,
  [3003] = 2350,
  [3004] = 2442,
  [3005] = 2358,
  [3006] = 2363,
  [3007] = 2376,
  [3008] = 2381,
  [3009] = 2395,
  [3010] = 2396,
  [3011] = 2397,
  [3012] = 2398,
  [3013] = 2401,
  [3014] = 2403,
  [3015] = 2842,
  [3016] = 2404,
  [3017] = 2717,
  [3018] = 2406,
  [3019] = 2407,
  [3020] = 2998,
  [3021] = 2408,
  [3022] = 2413,
  [3023] = 2417,
  [3024] = 2429,
  [3025] = 3025,
  [3026] = 3026,
  [3027] = 2633,
  [3028] = 2741,
  [3029] = 333,
  [3030] = 3030,
  [3031] = 3031,
  [3032] = 3032,
  [3033] = 2549,
  [3034] = 3034,
  [3035] = 2414,
  [3036] = 2394,
  [3037] = 2370,
  [3038] = 2499,
  [3039] = 3039,
  [3040] = 3040,
  [3041] = 3041,
  [3042] = 3040,
  [3043] = 3043,
  [3044] = 303,
  [3045] = 3045,
  [3046] = 2554,
  [3047] = 3034,
  [3048] = 3031,
  [3049] = 2532,
  [3050] = 343,
  [3051] = 2647,
  [3052] = 2557,
  [3053] = 3053,
  [3054] = 2559,
  [3055] = 2475,
  [3056] = 3056,
  [3057] = 316,
  [3058] = 3058,
  [3059] = 319,
  [3060] = 341,
  [3061] = 3061,
  [3062] = 3062,
  [3063] = 3031,
  [3064] = 3064,
  [3065] = 3065,
  [3066] = 3034,
  [3067] = 2636,
  [3068] = 3068,
  [3069] = 2339,
  [3070] = 2414,
  [3071] = 2394,
  [3072] = 2370,
  [3073] = 2560,
  [3074] = 2366,
  [3075] = 2423,
  [3076] = 2426,
  [3077] = 2513,
  [3078] = 3078,
  [3079] = 2443,
  [3080] = 3080,
  [3081] = 2500,
  [3082] = 3034,
  [3083] = 3031,
  [3084] = 2517,
  [3085] = 2580,
  [3086] = 2587,
  [3087] = 2445,
  [3088] = 2449,
  [3089] = 2450,
  [3090] = 2627,
  [3091] = 3091,
  [3092] = 2454,
  [3093] = 2495,
  [3094] = 2494,
  [3095] = 314,
  [3096] = 3096,
  [3097] = 2492,
  [3098] = 2488,
  [3099] = 320,
  [3100] = 2482,
  [3101] = 3101,
  [3102] = 3102,
  [3103] = 3103,
  [3104] = 2474,
  [3105] = 2473,
  [3106] = 2472,
  [3107] = 2471,
  [3108] = 2516,
  [3109] = 3109,
  [3110] = 3110,
  [3111] = 2470,
  [3112] = 3112,
  [3113] = 2469,
  [3114] = 333,
  [3115] = 2468,
  [3116] = 331,
  [3117] = 3117,
  [3118] = 2464,
  [3119] = 2457,
  [3120] = 2456,
  [3121] = 3121,
  [3122] = 3122,
  [3123] = 2475,
  [3124] = 2631,
  [3125] = 3040,
  [3126] = 3034,
  [3127] = 3031,
  [3128] = 2455,
  [3129] = 2632,
  [3130] = 3130,
  [3131] = 3040,
  [3132] = 2446,
  [3133] = 2575,
  [3134] = 2558,
  [3135] = 2514,
  [3136] = 2426,
  [3137] = 2423,
  [3138] = 2446,
  [3139] = 314,
  [3140] = 3140,
  [3141] = 3031,
  [3142] = 3031,
  [3143] = 3034,
  [3144] = 2437,
  [3145] = 3034,
  [3146] = 2613,
  [3147] = 321,
  [3148] = 3148,
  [3149] = 2432,
  [3150] = 2366,
  [3151] = 2767,
  [3152] = 3152,
  [3153] = 3153,
  [3154] = 2584,
  [3155] = 329,
  [3156] = 295,
  [3157] = 2455,
  [3158] = 2590,
  [3159] = 3159,
  [3160] = 2456,
  [3161] = 3161,
  [3162] = 2928,
  [3163] = 2551,
  [3164] = 2457,
  [3165] = 2464,
  [3166] = 2547,
  [3167] = 3167,
  [3168] = 2468,
  [3169] = 2606,
  [3170] = 2591,
  [3171] = 322,
  [3172] = 2617,
  [3173] = 2596,
  [3174] = 2603,
  [3175] = 2469,
  [3176] = 3040,
  [3177] = 2470,
  [3178] = 2604,
  [3179] = 2471,
  [3180] = 322,
  [3181] = 2639,
  [3182] = 2472,
  [3183] = 2473,
  [3184] = 2474,
  [3185] = 2482,
  [3186] = 2664,
  [3187] = 2660,
  [3188] = 3188,
  [3189] = 2659,
  [3190] = 2658,
  [3191] = 2545,
  [3192] = 3192,
  [3193] = 3068,
  [3194] = 2654,
  [3195] = 2502,
  [3196] = 2558,
  [3197] = 2767,
  [3198] = 2503,
  [3199] = 2437,
  [3200] = 2432,
  [3201] = 2767,
  [3202] = 2612,
  [3203] = 2605,
  [3204] = 2504,
  [3205] = 2652,
  [3206] = 2536,
  [3207] = 3207,
  [3208] = 2609,
  [3209] = 321,
  [3210] = 295,
  [3211] = 329,
  [3212] = 2657,
  [3213] = 3040,
  [3214] = 3214,
  [3215] = 3215,
  [3216] = 2488,
  [3217] = 2741,
  [3218] = 2633,
  [3219] = 2492,
  [3220] = 3220,
  [3221] = 3221,
  [3222] = 3222,
  [3223] = 3061,
  [3224] = 3064,
  [3225] = 2443,
  [3226] = 2445,
  [3227] = 303,
  [3228] = 3228,
  [3229] = 320,
  [3230] = 2662,
  [3231] = 3231,
  [3232] = 2525,
  [3233] = 2494,
  [3234] = 3207,
  [3235] = 2449,
  [3236] = 343,
  [3237] = 3237,
  [3238] = 3061,
  [3239] = 2450,
  [3240] = 2454,
  [3241] = 3064,
  [3242] = 3242,
  [3243] = 331,
  [3244] = 2741,
  [3245] = 2339,
  [3246] = 2531,
  [3247] = 2633,
  [3248] = 2429,
  [3249] = 3061,
  [3250] = 319,
  [3251] = 3251,
  [3252] = 316,
  [3253] = 2665,
  [3254] = 3254,
  [3255] = 3040,
  [3256] = 2495,
  [3257] = 3257,
  [3258] = 3064,
  [3259] = 2611,
  [3260] = 2552,
  [3261] = 3261,
  [3262] = 3262,
  [3263] = 2669,
  [3264] = 2680,
  [3265] = 2682,
  [3266] = 2683,
  [3267] = 2601,
  [3268] = 2534,
  [3269] = 3061,
  [3270] = 2600,
  [3271] = 3064,
  [3272] = 2535,
  [3273] = 2598,
  [3274] = 2544,
  [3275] = 2542,
  [3276] = 2546,
  [3277] = 3040,
  [3278] = 3278,
  [3279] = 3040,
  [3280] = 2578,
  [3281] = 3053,
  [3282] = 3101,
  [3283] = 2586,
  [3284] = 2589,
  [3285] = 2541,
  [3286] = 3215,
  [3287] = 2592,
  [3288] = 2717,
  [3289] = 341,
  [3290] = 2928,
  [3291] = 3103,
  [3292] = 2650,
  [3293] = 2593,
  [3294] = 3231,
  [3295] = 2747,
  [3296] = 3296,
  [3297] = 3296,
  [3298] = 3298,
  [3299] = 2370,
  [3300] = 2394,
  [3301] = 3301,
  [3302] = 2414,
  [3303] = 3303,
  [3304] = 2339,
  [3305] = 2767,
  [3306] = 3306,
  [3307] = 3307,
  [3308] = 2432,
  [3309] = 2437,
  [3310] = 2429,
  [3311] = 3311,
  [3312] = 3312,
  [3313] = 3311,
  [3314] = 3314,
  [3315] = 3315,
  [3316] = 2558,
  [3317] = 2767,
  [3318] = 3318,
  [3319] = 2555,
  [3320] = 3311,
  [3321] = 3321,
  [3322] = 3322,
  [3323] = 2555,
  [3324] = 2633,
  [3325] = 3325,
  [3326] = 2475,
  [3327] = 2928,
  [3328] = 3328,
  [3329] = 3311,
  [3330] = 2767,
  [3331] = 3331,
  [3332] = 3325,
  [3333] = 3303,
  [3334] = 2423,
  [3335] = 2426,
  [3336] = 2446,
  [3337] = 2455,
  [3338] = 2456,
  [3339] = 3339,
  [3340] = 2457,
  [3341] = 2464,
  [3342] = 3311,
  [3343] = 2366,
  [3344] = 3344,
  [3345] = 2443,
  [3346] = 3346,
  [3347] = 3311,
  [3348] = 3348,
  [3349] = 3311,
  [3350] = 2445,
  [3351] = 3344,
  [3352] = 3352,
  [3353] = 2449,
  [3354] = 2468,
  [3355] = 2469,
  [3356] = 2450,
  [3357] = 3357,
  [3358] = 2513,
  [3359] = 3359,
  [3360] = 2454,
  [3361] = 2470,
  [3362] = 2471,
  [3363] = 2472,
  [3364] = 2473,
  [3365] = 2474,
  [3366] = 2482,
  [3367] = 3367,
  [3368] = 3312,
  [3369] = 2488,
  [3370] = 2492,
  [3371] = 2494,
  [3372] = 2364,
  [3373] = 2495,
  [3374] = 3374,
  [3375] = 3375,
  [3376] = 3376,
  [3377] = 3377,
  [3378] = 2532,
  [3379] = 3379,
  [3380] = 2475,
  [3381] = 2741,
  [3382] = 3382,
  [3383] = 3383,
  [3384] = 2513,
  [3385] = 2500,
  [3386] = 3386,
  [3387] = 3387,
  [3388] = 3388,
  [3389] = 3389,
  [3390] = 3390,
  [3391] = 2555,
  [3392] = 2767,
  [3393] = 2633,
  [3394] = 2555,
  [3395] = 2558,
  [3396] = 3396,
  [3397] = 3397,
  [3398] = 3398,
  [3399] = 3399,
  [3400] = 3400,
  [3401] = 3401,
  [3402] = 3402,
  [3403] = 3403,
  [3404] = 3404,
  [3405] = 3405,
  [3406] = 3406,
  [3407] = 2475,
  [3408] = 3408,
  [3409] = 2712,
  [3410] = 3410,
  [3411] = 2364,
  [3412] = 3412,
  [3413] = 3413,
  [3414] = 3414,
  [3415] = 3415,
  [3416] = 2500,
  [3417] = 2513,
  [3418] = 2532,
  [3419] = 3419,
  [3420] = 3403,
  [3421] = 2928,
  [3422] = 3422,
  [3423] = 3061,
  [3424] = 3424,
  [3425] = 3425,
  [3426] = 3064,
  [3427] = 3061,
  [3428] = 3428,
  [3429] = 2475,
  [3430] = 3430,
  [3431] = 3064,
  [3432] = 3064,
  [3433] = 2325,
  [3434] = 3434,
  [3435] = 3061,
  [3436] = 3436,
  [3437] = 3117,
  [3438] = 3064,
  [3439] = 3439,
  [3440] = 3440,
  [3441] = 3441,
  [3442] = 3064,
  [3443] = 3061,
  [3444] = 2475,
  [3445] = 3061,
  [3446] = 3064,
  [3447] = 3061,
  [3448] = 3448,
  [3449] = 3449,
  [3450] = 3450,
  [3451] = 3451,
  [3452] = 3064,
  [3453] = 3061,
  [3454] = 3454,
  [3455] = 3454,
  [3456] = 3454,
  [3457] = 3457,
  [3458] = 3454,
  [3459] = 3454,
  [3460] = 3454,
  [3461] = 3454,
  [3462] = 3454,
  [3463] = 3454,
  [3464] = 3464,
  [3465] = 3465,
  [3466] = 317,
  [3467] = 307,
  [3468] = 317,
  [3469] = 3469,
  [3470] = 3470,
  [3471] = 3471,
  [3472] = 3472,
  [3473] = 3473,
  [3474] = 3474,
  [3475] = 3475,
  [3476] = 3476,
  [3477] = 3477,
  [3478] = 312,
  [3479] = 318,
  [3480] = 3480,
  [3481] = 3481,
  [3482] = 3482,
  [3483] = 3483,
  [3484] = 3484,
  [3485] = 3485,
  [3486] = 3486,
  [3487] = 3487,
  [3488] = 3488,
  [3489] = 3489,
  [3490] = 3490,
  [3491] = 3374,
  [3492] = 3492,
  [3493] = 3493,
  [3494] = 3494,
  [3495] = 3495,
  [3496] = 3496,
  [3497] = 3497,
  [3498] = 3498,
  [3499] = 3499,
  [3500] = 3500,
  [3501] = 3501,
  [3502] = 3502,
  [3503] = 3503,
  [3504] = 3504,
  [3505] = 3397,
  [3506] = 3506,
  [3507] = 3507,
  [3508] = 3508,
  [3509] = 3509,
  [3510] = 3510,
  [3511] = 3511,
  [3512] = 3512,
  [3513] = 3513,
  [3514] = 3514,
  [3515] = 3515,
  [3516] = 3516,
  [3517] = 307,
  [3518] = 3518,
  [3519] = 3519,
  [3520] = 3148,
  [3521] = 3521,
  [3522] = 3522,
  [3523] = 3523,
  [3524] = 3524,
  [3525] = 3525,
  [3526] = 3526,
  [3527] = 3527,
  [3528] = 3257,
  [3529] = 3161,
  [3530] = 3530,
  [3531] = 3531,
  [3532] = 3532,
  [3533] = 3062,
  [3534] = 312,
  [3535] = 318,
  [3536] = 3303,
  [3537] = 3537,
  [3538] = 3344,
  [3539] = 3315,
  [3540] = 3348,
  [3541] = 3541,
  [3542] = 3542,
  [3543] = 3543,
  [3544] = 3357,
  [3545] = 3346,
  [3546] = 3367,
  [3547] = 3547,
  [3548] = 3542,
  [3549] = 3325,
  [3550] = 3301,
  [3551] = 3315,
  [3552] = 3328,
  [3553] = 3553,
  [3554] = 3344,
  [3555] = 3357,
  [3556] = 3307,
  [3557] = 3359,
  [3558] = 3312,
  [3559] = 3543,
  [3560] = 3325,
  [3561] = 3307,
  [3562] = 3367,
  [3563] = 2038,
  [3564] = 3303,
  [3565] = 3312,
  [3566] = 3566,
  [3567] = 3567,
  [3568] = 3568,
  [3569] = 3569,
  [3570] = 3570,
  [3571] = 3571,
  [3572] = 3567,
  [3573] = 3573,
  [3574] = 3574,
  [3575] = 3573,
  [3576] = 3566,
  [3577] = 3566,
  [3578] = 3578,
  [3579] = 3578,
  [3580] = 3574,
  [3581] = 3574,
  [3582] = 3567,
  [3583] = 3569,
  [3584] = 3574,
  [3585] = 3571,
  [3586] = 3573,
  [3587] = 3587,
  [3588] = 3566,
  [3589] = 3578,
  [3590] = 3571,
  [3591] = 3591,
  [3592] = 3574,
  [3593] = 3569,
  [3594] = 3571,
  [3595] = 3574,
  [3596] = 3596,
  [3597] = 3567,
  [3598] = 3573,
  [3599] = 3599,
  [3600] = 3573,
  [3601] = 3573,
  [3602] = 3567,
  [3603] = 3571,
  [3604] = 3578,
  [3605] = 3566,
  [3606] = 3567,
  [3607] = 3566,
  [3608] = 3608,
  [3609] = 3569,
  [3610] = 2063,
  [3611] = 3571,
  [3612] = 3578,
  [3613] = 3578,
  [3614] = 2033,
  [3615] = 3569,
  [3616] = 3569,
  [3617] = 3617,
  [3618] = 3618,
  [3619] = 3619,
  [3620] = 3620,
  [3621] = 3621,
  [3622] = 3622,
  [3623] = 3623,
  [3624] = 3624,
  [3625] = 3625,
  [3626] = 3626,
  [3627] = 3352,
  [3628] = 3628,
  [3629] = 3629,
  [3630] = 3630,
  [3631] = 3631,
  [3632] = 3632,
  [3633] = 3633,
  [3634] = 3634,
  [3635] = 3635,
  [3636] = 3636,
  [3637] = 3637,
  [3638] = 3638,
  [3639] = 3639,
  [3640] = 3640,
  [3641] = 3641,
  [3642] = 3642,
  [3643] = 3643,
  [3644] = 3644,
  [3645] = 2098,
  [3646] = 3646,
  [3647] = 3647,
  [3648] = 3648,
  [3649] = 3649,
  [3650] = 3650,
  [3651] = 3651,
  [3652] = 3652,
  [3653] = 3653,
  [3654] = 3654,
  [3655] = 2129,
  [3656] = 3656,
  [3657] = 3657,
  [3658] = 3653,
  [3659] = 3643,
  [3660] = 3660,
  [3661] = 3661,
  [3662] = 3662,
  [3663] = 3663,
  [3664] = 3664,
  [3665] = 3664,
  [3666] = 3666,
  [3667] = 3667,
  [3668] = 3668,
  [3669] = 3669,
  [3670] = 2130,
  [3671] = 3671,
  [3672] = 3654,
  [3673] = 3673,
  [3674] = 2108,
  [3675] = 3675,
  [3676] = 3676,
  [3677] = 3651,
  [3678] = 3644,
  [3679] = 3679,
  [3680] = 3680,
  [3681] = 3652,
  [3682] = 3667,
  [3683] = 2133,
  [3684] = 3662,
  [3685] = 3685,
  [3686] = 3686,
  [3687] = 3687,
  [3688] = 3688,
  [3689] = 3689,
  [3690] = 3637,
  [3691] = 3691,
  [3692] = 3692,
  [3693] = 3693,
  [3694] = 3649,
  [3695] = 3695,
  [3696] = 2088,
  [3697] = 3639,
  [3698] = 3698,
  [3699] = 2316,
  [3700] = 2108,
  [3701] = 2133,
  [3702] = 2129,
  [3703] = 2321,
  [3704] = 2317,
  [3705] = 310,
  [3706] = 296,
  [3707] = 2406,
  [3708] = 2382,
  [3709] = 2346,
  [3710] = 2379,
  [3711] = 2345,
  [3712] = 2371,
  [3713] = 2344,
  [3714] = 2340,
  [3715] = 2347,
  [3716] = 2343,
  [3717] = 2341,
  [3718] = 2407,
  [3719] = 2318,
  [3720] = 2378,
  [3721] = 2365,
  [3722] = 2362,
  [3723] = 2361,
  [3724] = 2380,
  [3725] = 2408,
  [3726] = 2375,
  [3727] = 2349,
  [3728] = 2401,
  [3729] = 2372,
  [3730] = 2374,
  [3731] = 2404,
  [3732] = 2360,
  [3733] = 2403,
  [3734] = 2350,
  [3735] = 2359,
  [3736] = 2398,
  [3737] = 2358,
  [3738] = 2397,
  [3739] = 2396,
  [3740] = 2395,
  [3741] = 2373,
  [3742] = 3742,
  [3743] = 3742,
  [3744] = 3742,
  [3745] = 2331,
  [3746] = 3746,
  [3747] = 3742,
  [3748] = 3742,
  [3749] = 3746,
  [3750] = 1128,
  [3751] = 2317,
  [3752] = 2435,
  [3753] = 2478,
  [3754] = 2458,
  [3755] = 2391,
  [3756] = 2480,
  [3757] = 2479,
  [3758] = 2392,
  [3759] = 2329,
  [3760] = 1129,
  [3761] = 2459,
  [3762] = 2439,
  [3763] = 2434,
  [3764] = 2442,
  [3765] = 1126,
  [3766] = 2405,
  [3767] = 2410,
  [3768] = 1136,
  [3769] = 2412,
  [3770] = 2321,
  [3771] = 1133,
  [3772] = 2316,
  [3773] = 2438,
  [3774] = 2460,
  [3775] = 2462,
  [3776] = 310,
  [3777] = 2323,
  [3778] = 2324,
  [3779] = 2328,
  [3780] = 296,
  [3781] = 2333,
  [3782] = 2338,
  [3783] = 2356,
  [3784] = 2397,
  [3785] = 3785,
  [3786] = 3786,
  [3787] = 2377,
  [3788] = 3786,
  [3789] = 2317,
  [3790] = 3790,
  [3791] = 3791,
  [3792] = 3791,
  [3793] = 3785,
  [3794] = 2428,
  [3795] = 2431,
  [3796] = 3786,
  [3797] = 3785,
  [3798] = 2382,
  [3799] = 2380,
  [3800] = 2379,
  [3801] = 2378,
  [3802] = 2375,
  [3803] = 2374,
  [3804] = 2373,
  [3805] = 2372,
  [3806] = 2371,
  [3807] = 2365,
  [3808] = 2362,
  [3809] = 2361,
  [3810] = 2360,
  [3811] = 2359,
  [3812] = 3790,
  [3813] = 3813,
  [3814] = 2481,
  [3815] = 3791,
  [3816] = 2441,
  [3817] = 3791,
  [3818] = 2487,
  [3819] = 3791,
  [3820] = 2384,
  [3821] = 2415,
  [3822] = 2417,
  [3823] = 3813,
  [3824] = 2387,
  [3825] = 2385,
  [3826] = 2386,
  [3827] = 3813,
  [3828] = 3791,
  [3829] = 2388,
  [3830] = 3791,
  [3831] = 2413,
  [3832] = 2476,
  [3833] = 2416,
  [3834] = 2341,
  [3835] = 2343,
  [3836] = 2347,
  [3837] = 2340,
  [3838] = 2344,
  [3839] = 2345,
  [3840] = 2346,
  [3841] = 2349,
  [3842] = 2350,
  [3843] = 2358,
  [3844] = 2418,
  [3845] = 2351,
  [3846] = 2420,
  [3847] = 2421,
  [3848] = 2318,
  [3849] = 2363,
  [3850] = 3786,
  [3851] = 2393,
  [3852] = 2411,
  [3853] = 2422,
  [3854] = 2477,
  [3855] = 2321,
  [3856] = 2395,
  [3857] = 2396,
  [3858] = 3790,
  [3859] = 2398,
  [3860] = 2401,
  [3861] = 2403,
  [3862] = 2404,
  [3863] = 2406,
  [3864] = 2407,
  [3865] = 2408,
  [3866] = 2424,
  [3867] = 3791,
  [3868] = 3813,
  [3869] = 2352,
  [3870] = 2389,
  [3871] = 2353,
  [3872] = 2483,
  [3873] = 3790,
  [3874] = 2409,
  [3875] = 2433,
  [3876] = 3785,
  [3877] = 2484,
  [3878] = 3785,
  [3879] = 2427,
  [3880] = 3790,
  [3881] = 2355,
  [3882] = 3786,
  [3883] = 2381,
  [3884] = 2376,
  [3885] = 2316,
  [3886] = 2425,
  [3887] = 3791,
  [3888] = 2399,
  [3889] = 2400,
  [3890] = 3813,
  [3891] = 2485,
  [3892] = 2354,
  [3893] = 2402,
  [3894] = 3894,
  [3895] = 3895,
  [3896] = 3896,
  [3897] = 3897,
  [3898] = 3898,
  [3899] = 3899,
  [3900] = 3900,
  [3901] = 3901,
  [3902] = 3902,
  [3903] = 3903,
  [3904] = 3904,
  [3905] = 3905,
  [3906] = 3906,
  [3907] = 3907,
  [3908] = 3901,
  [3909] = 3909,
  [3910] = 3909,
  [3911] = 3909,
  [3912] = 2331,
  [3913] = 3899,
  [3914] = 3914,
  [3915] = 3901,
  [3916] = 3909,
  [3917] = 3917,
  [3918] = 3918,
  [3919] = 3919,
  [3920] = 3920,
  [3921] = 3901,
  [3922] = 3922,
  [3923] = 3901,
  [3924] = 3924,
  [3925] = 3925,
  [3926] = 3899,
  [3927] = 3909,
  [3928] = 3899,
  [3929] = 3929,
  [3930] = 3930,
  [3931] = 3931,
  [3932] = 3932,
  [3933] = 3933,
  [3934] = 3899,
  [3935] = 2344,
  [3936] = 2380,
  [3937] = 3937,
  [3938] = 2401,
  [3939] = 2403,
  [3940] = 3940,
  [3941] = 3941,
  [3942] = 3942,
  [3943] = 2129,
  [3944] = 2396,
  [3945] = 3945,
  [3946] = 2397,
  [3947] = 3947,
  [3948] = 2398,
  [3949] = 2404,
  [3950] = 2406,
  [3951] = 2407,
  [3952] = 2442,
  [3953] = 2408,
  [3954] = 2395,
  [3955] = 3955,
  [3956] = 3956,
  [3957] = 2318,
  [3958] = 3958,
  [3959] = 2358,
  [3960] = 2350,
  [3961] = 2349,
  [3962] = 3962,
  [3963] = 3924,
  [3964] = 2346,
  [3965] = 2133,
  [3966] = 2435,
  [3967] = 3967,
  [3968] = 2438,
  [3969] = 2439,
  [3970] = 2345,
  [3971] = 2340,
  [3972] = 2347,
  [3973] = 2343,
  [3974] = 2341,
  [3975] = 2412,
  [3976] = 2410,
  [3977] = 2405,
  [3978] = 2480,
  [3979] = 2392,
  [3980] = 2391,
  [3981] = 2479,
  [3982] = 2478,
  [3983] = 2359,
  [3984] = 2360,
  [3985] = 2361,
  [3986] = 2379,
  [3987] = 2459,
  [3988] = 2378,
  [3989] = 2329,
  [3990] = 3956,
  [3991] = 2460,
  [3992] = 2374,
  [3993] = 2462,
  [3994] = 2373,
  [3995] = 2434,
  [3996] = 2108,
  [3997] = 2458,
  [3998] = 2371,
  [3999] = 2365,
  [4000] = 2362,
  [4001] = 2372,
  [4002] = 2375,
  [4003] = 2382,
  [4004] = 4004,
  [4005] = 4005,
  [4006] = 4006,
  [4007] = 4007,
  [4008] = 4008,
  [4009] = 4009,
  [4010] = 2338,
  [4011] = 4011,
  [4012] = 4012,
  [4013] = 4013,
  [4014] = 4014,
  [4015] = 4015,
  [4016] = 4016,
  [4017] = 2331,
  [4018] = 4018,
  [4019] = 4019,
  [4020] = 4020,
  [4021] = 4021,
  [4022] = 4022,
  [4023] = 4014,
  [4024] = 4024,
  [4025] = 4024,
  [4026] = 4026,
  [4027] = 4027,
  [4028] = 4028,
  [4029] = 4029,
  [4030] = 4024,
  [4031] = 2328,
  [4032] = 2333,
  [4033] = 4033,
  [4034] = 4034,
  [4035] = 4008,
  [4036] = 4014,
  [4037] = 4004,
  [4038] = 4038,
  [4039] = 4039,
  [4040] = 4040,
  [4041] = 4041,
  [4042] = 2323,
  [4043] = 2324,
  [4044] = 4014,
  [4045] = 4045,
  [4046] = 4004,
  [4047] = 4047,
  [4048] = 4029,
  [4049] = 4049,
  [4050] = 4029,
  [4051] = 4051,
  [4052] = 4052,
  [4053] = 4014,
  [4054] = 4054,
  [4055] = 4024,
  [4056] = 4056,
  [4057] = 4057,
  [4058] = 4058,
  [4059] = 4004,
  [4060] = 4008,
  [4061] = 4061,
  [4062] = 4008,
  [4063] = 4008,
  [4064] = 4064,
  [4065] = 4065,
  [4066] = 4029,
  [4067] = 2477,
  [4068] = 2476,
  [4069] = 2413,
  [4070] = 2393,
  [4071] = 2399,
  [4072] = 2417,
  [4073] = 4073,
  [4074] = 2410,
  [4075] = 2388,
  [4076] = 2387,
  [4077] = 2400,
  [4078] = 2402,
  [4079] = 2386,
  [4080] = 2409,
  [4081] = 2412,
  [4082] = 2411,
  [4083] = 2405,
  [4084] = 2385,
  [4085] = 2384,
  [4086] = 4086,
  [4087] = 4087,
  [4088] = 1136,
  [4089] = 2363,
  [4090] = 2381,
  [4091] = 2329,
  [4092] = 2392,
  [4093] = 2431,
  [4094] = 2391,
  [4095] = 2428,
  [4096] = 2376,
  [4097] = 4097,
  [4098] = 1133,
  [4099] = 1128,
  [4100] = 1129,
  [4101] = 2481,
  [4102] = 2415,
  [4103] = 2483,
  [4104] = 2484,
  [4105] = 2416,
  [4106] = 2418,
  [4107] = 2420,
  [4108] = 2421,
  [4109] = 2422,
  [4110] = 2485,
  [4111] = 4111,
  [4112] = 2487,
  [4113] = 2424,
  [4114] = 2425,
  [4115] = 1126,
  [4116] = 2442,
  [4117] = 4117,
  [4118] = 2356,
  [4119] = 2355,
  [4120] = 2427,
  [4121] = 2354,
  [4122] = 2433,
  [4123] = 2389,
  [4124] = 2441,
  [4125] = 2353,
  [4126] = 2352,
  [4127] = 2108,
  [4128] = 2351,
  [4129] = 2133,
  [4130] = 2377,
  [4131] = 2129,
  [4132] = 4132,
  [4133] = 2333,
  [4134] = 2324,
  [4135] = 3924,
  [4136] = 4136,
  [4137] = 2323,
  [4138] = 4138,
  [4139] = 4139,
  [4140] = 4138,
  [4141] = 2328,
  [4142] = 4142,
  [4143] = 4138,
  [4144] = 4144,
  [4145] = 4142,
  [4146] = 4146,
  [4147] = 4136,
  [4148] = 4148,
  [4149] = 4149,
  [4150] = 4150,
  [4151] = 4142,
  [4152] = 4152,
  [4153] = 4142,
  [4154] = 4154,
  [4155] = 4136,
  [4156] = 4150,
  [4157] = 4138,
  [4158] = 4158,
  [4159] = 4159,
  [4160] = 4138,
  [4161] = 4136,
  [4162] = 4146,
  [4163] = 4138,
  [4164] = 4142,
  [4165] = 2338,
  [4166] = 4166,
  [4167] = 4167,
  [4168] = 4142,
  [4169] = 4169,
  [4170] = 4170,
  [4171] = 4171,
  [4172] = 4172,
  [4173] = 4173,
  [4174] = 4174,
  [4175] = 4175,
  [4176] = 4176,
  [4177] = 1128,
  [4178] = 4178,
  [4179] = 1136,
  [4180] = 4152,
  [4181] = 2417,
  [4182] = 2413,
  [4183] = 4183,
  [4184] = 4184,
  [4185] = 1129,
  [4186] = 4186,
  [4187] = 4187,
  [4188] = 4188,
  [4189] = 4189,
  [4190] = 4190,
  [4191] = 4191,
  [4192] = 4178,
  [4193] = 4193,
  [4194] = 4194,
  [4195] = 4186,
  [4196] = 2381,
  [4197] = 2376,
  [4198] = 2363,
  [4199] = 4187,
  [4200] = 4176,
  [4201] = 4201,
  [4202] = 4202,
  [4203] = 4203,
  [4204] = 4204,
  [4205] = 4172,
  [4206] = 4184,
  [4207] = 4207,
  [4208] = 4208,
  [4209] = 4209,
  [4210] = 4210,
  [4211] = 4211,
  [4212] = 2422,
  [4213] = 4213,
  [4214] = 2415,
  [4215] = 4186,
  [4216] = 4216,
  [4217] = 4217,
  [4218] = 4218,
  [4219] = 4204,
  [4220] = 4220,
  [4221] = 4171,
  [4222] = 2435,
  [4223] = 4223,
  [4224] = 2438,
  [4225] = 4189,
  [4226] = 2351,
  [4227] = 2352,
  [4228] = 4008,
  [4229] = 2353,
  [4230] = 2354,
  [4231] = 4175,
  [4232] = 2355,
  [4233] = 2356,
  [4234] = 2439,
  [4235] = 4235,
  [4236] = 4236,
  [4237] = 4237,
  [4238] = 4189,
  [4239] = 4174,
  [4240] = 4240,
  [4241] = 4241,
  [4242] = 4242,
  [4243] = 4204,
  [4244] = 4244,
  [4245] = 4245,
  [4246] = 4246,
  [4247] = 4247,
  [4248] = 4248,
  [4249] = 4249,
  [4250] = 4186,
  [4251] = 4251,
  [4252] = 4218,
  [4253] = 4253,
  [4254] = 4171,
  [4255] = 4255,
  [4256] = 4256,
  [4257] = 4171,
  [4258] = 4218,
  [4259] = 4217,
  [4260] = 4217,
  [4261] = 4008,
  [4262] = 2458,
  [4263] = 4211,
  [4264] = 2459,
  [4265] = 2460,
  [4266] = 2462,
  [4267] = 2434,
  [4268] = 4211,
  [4269] = 4269,
  [4270] = 4270,
  [4271] = 4209,
  [4272] = 4207,
  [4273] = 4209,
  [4274] = 4207,
  [4275] = 4175,
  [4276] = 4276,
  [4277] = 4189,
  [4278] = 4184,
  [4279] = 4172,
  [4280] = 4190,
  [4281] = 4187,
  [4282] = 4187,
  [4283] = 4283,
  [4284] = 4284,
  [4285] = 4285,
  [4286] = 2377,
  [4287] = 4190,
  [4288] = 4172,
  [4289] = 4176,
  [4290] = 4290,
  [4291] = 4291,
  [4292] = 4292,
  [4293] = 4284,
  [4294] = 4184,
  [4295] = 2478,
  [4296] = 4296,
  [4297] = 4174,
  [4298] = 4175,
  [4299] = 4299,
  [4300] = 4176,
  [4301] = 2479,
  [4302] = 4178,
  [4303] = 2480,
  [4304] = 2384,
  [4305] = 4174,
  [4306] = 2476,
  [4307] = 4187,
  [4308] = 2385,
  [4309] = 2386,
  [4310] = 2387,
  [4311] = 2388,
  [4312] = 2393,
  [4313] = 2399,
  [4314] = 2477,
  [4315] = 2400,
  [4316] = 2402,
  [4317] = 4317,
  [4318] = 1126,
  [4319] = 4319,
  [4320] = 2409,
  [4321] = 4139,
  [4322] = 4144,
  [4323] = 2411,
  [4324] = 4324,
  [4325] = 4325,
  [4326] = 4190,
  [4327] = 4327,
  [4328] = 4328,
  [4329] = 4008,
  [4330] = 4330,
  [4331] = 4172,
  [4332] = 4332,
  [4333] = 4173,
  [4334] = 4186,
  [4335] = 2481,
  [4336] = 4336,
  [4337] = 4204,
  [4338] = 4338,
  [4339] = 4339,
  [4340] = 4253,
  [4341] = 4246,
  [4342] = 4236,
  [4343] = 4343,
  [4344] = 4344,
  [4345] = 4178,
  [4346] = 4148,
  [4347] = 4347,
  [4348] = 4348,
  [4349] = 4184,
  [4350] = 4176,
  [4351] = 296,
  [4352] = 4008,
  [4353] = 4353,
  [4354] = 4354,
  [4355] = 4235,
  [4356] = 4356,
  [4357] = 4357,
  [4358] = 4358,
  [4359] = 4213,
  [4360] = 4223,
  [4361] = 4172,
  [4362] = 4189,
  [4363] = 4190,
  [4364] = 4207,
  [4365] = 4365,
  [4366] = 1133,
  [4367] = 4367,
  [4368] = 4184,
  [4369] = 4178,
  [4370] = 2428,
  [4371] = 2431,
  [4372] = 4190,
  [4373] = 2483,
  [4374] = 2416,
  [4375] = 4189,
  [4376] = 2418,
  [4377] = 2420,
  [4378] = 4186,
  [4379] = 2421,
  [4380] = 4218,
  [4381] = 4008,
  [4382] = 2424,
  [4383] = 4008,
  [4384] = 2425,
  [4385] = 2427,
  [4386] = 4386,
  [4387] = 2433,
  [4388] = 4237,
  [4389] = 2389,
  [4390] = 4390,
  [4391] = 2441,
  [4392] = 310,
  [4393] = 4217,
  [4394] = 4211,
  [4395] = 4395,
  [4396] = 4178,
  [4397] = 4209,
  [4398] = 2487,
  [4399] = 2485,
  [4400] = 4176,
  [4401] = 4008,
  [4402] = 2484,
  [4403] = 4403,
  [4404] = 4404,
  [4405] = 4405,
  [4406] = 4406,
  [4407] = 4407,
  [4408] = 4408,
  [4409] = 4409,
  [4410] = 4410,
  [4411] = 4407,
  [4412] = 4407,
  [4413] = 4407,
  [4414] = 4407,
  [4415] = 4403,
  [4416] = 4407,
  [4417] = 4417,
  [4418] = 4418,
  [4419] = 4139,
  [4420] = 4408,
  [4421] = 290,
  [4422] = 4422,
  [4423] = 4423,
  [4424] = 4408,
  [4425] = 4407,
  [4426] = 4144,
  [4427] = 4427,
  [4428] = 4428,
  [4429] = 4418,
  [4430] = 4408,
  [4431] = 4431,
  [4432] = 4407,
  [4433] = 4417,
  [4434] = 4434,
  [4435] = 4435,
  [4436] = 4436,
  [4437] = 291,
  [4438] = 4408,
  [4439] = 4439,
  [4440] = 4440,
  [4441] = 4408,
  [4442] = 4442,
  [4443] = 4443,
  [4444] = 4444,
  [4445] = 4445,
  [4446] = 4446,
  [4447] = 4339,
  [4448] = 4448,
  [4449] = 4449,
  [4450] = 4450,
  [4451] = 4451,
  [4452] = 4452,
  [4453] = 4453,
  [4454] = 4454,
  [4455] = 4455,
  [4456] = 317,
  [4457] = 300,
  [4458] = 4458,
  [4459] = 309,
  [4460] = 306,
  [4461] = 4461,
  [4462] = 4462,
  [4463] = 4463,
  [4464] = 4464,
  [4465] = 4465,
  [4466] = 292,
  [4467] = 4467,
  [4468] = 297,
  [4469] = 4469,
  [4470] = 4470,
  [4471] = 4471,
  [4472] = 4442,
  [4473] = 4473,
  [4474] = 4474,
  [4475] = 4475,
  [4476] = 4476,
  [4477] = 4477,
  [4478] = 4478,
  [4479] = 4479,
  [4480] = 4480,
  [4481] = 4461,
  [4482] = 4465,
  [4483] = 4478,
  [4484] = 4484,
  [4485] = 4485,
  [4486] = 4486,
  [4487] = 4487,
  [4488] = 4488,
  [4489] = 4489,
  [4490] = 4292,
  [4491] = 4491,
  [4492] = 4492,
  [4493] = 4493,
  [4494] = 4480,
  [4495] = 4480,
  [4496] = 4496,
  [4497] = 4461,
  [4498] = 4498,
  [4499] = 4499,
  [4500] = 4500,
  [4501] = 4465,
  [4502] = 4427,
  [4503] = 4503,
  [4504] = 4478,
  [4505] = 4505,
  [4506] = 4479,
  [4507] = 4474,
  [4508] = 4461,
  [4509] = 4509,
  [4510] = 4465,
  [4511] = 307,
  [4512] = 4471,
  [4513] = 4513,
  [4514] = 4514,
  [4515] = 4515,
  [4516] = 4465,
  [4517] = 4517,
  [4518] = 4450,
  [4519] = 4449,
  [4520] = 4520,
  [4521] = 4479,
  [4522] = 4452,
  [4523] = 4446,
  [4524] = 312,
  [4525] = 318,
  [4526] = 4446,
  [4527] = 4527,
  [4528] = 4528,
  [4529] = 4529,
  [4530] = 4530,
  [4531] = 4480,
  [4532] = 4532,
  [4533] = 4533,
  [4534] = 4478,
  [4535] = 4535,
  [4536] = 4536,
  [4537] = 4537,
  [4538] = 4538,
  [4539] = 4539,
  [4540] = 4479,
  [4541] = 4474,
  [4542] = 4542,
  [4543] = 4474,
  [4544] = 4544,
  [4545] = 4073,
  [4546] = 4449,
  [4547] = 4450,
  [4548] = 4548,
  [4549] = 4549,
  [4550] = 4471,
  [4551] = 4551,
  [4552] = 4223,
  [4553] = 4213,
  [4554] = 4554,
  [4555] = 4235,
  [4556] = 4236,
  [4557] = 4557,
  [4558] = 4558,
  [4559] = 4559,
  [4560] = 4560,
  [4561] = 4561,
  [4562] = 4562,
  [4563] = 4563,
  [4564] = 4564,
  [4565] = 4565,
  [4566] = 4246,
  [4567] = 4567,
  [4568] = 4568,
  [4569] = 4253,
  [4570] = 4570,
  [4571] = 4571,
  [4572] = 4572,
  [4573] = 4573,
  [4574] = 4574,
  [4575] = 4575,
  [4576] = 4576,
  [4577] = 4577,
  [4578] = 4578,
  [4579] = 4579,
  [4580] = 4471,
  [4581] = 4581,
  [4582] = 4582,
  [4583] = 4583,
  [4584] = 4584,
  [4585] = 4585,
  [4586] = 4586,
  [4587] = 4587,
  [4588] = 4588,
  [4589] = 4474,
  [4590] = 4590,
  [4591] = 4591,
  [4592] = 4479,
  [4593] = 4593,
  [4594] = 4594,
  [4595] = 4478,
  [4596] = 4450,
  [4597] = 4597,
  [4598] = 4449,
  [4599] = 4599,
  [4600] = 4600,
  [4601] = 4601,
  [4602] = 4461,
  [4603] = 4603,
  [4604] = 4577,
  [4605] = 4605,
  [4606] = 4299,
  [4607] = 4480,
  [4608] = 4159,
  [4609] = 4446,
  [4610] = 4610,
  [4611] = 307,
  [4612] = 4452,
  [4613] = 4613,
  [4614] = 4614,
  [4615] = 4615,
  [4616] = 4616,
  [4617] = 4617,
  [4618] = 4618,
  [4619] = 4619,
  [4620] = 4620,
  [4621] = 4465,
  [4622] = 4442,
  [4623] = 4623,
  [4624] = 4624,
  [4625] = 4625,
  [4626] = 4452,
  [4627] = 4583,
  [4628] = 4628,
  [4629] = 4583,
  [4630] = 4630,
  [4631] = 4631,
  [4632] = 4632,
  [4633] = 4633,
  [4634] = 4442,
  [4635] = 4599,
  [4636] = 4636,
  [4637] = 4637,
  [4638] = 4638,
  [4639] = 4639,
  [4640] = 4640,
  [4641] = 4641,
  [4642] = 4448,
  [4643] = 309,
  [4644] = 4644,
  [4645] = 4645,
  [4646] = 4646,
  [4647] = 4647,
  [4648] = 4449,
  [4649] = 4649,
  [4650] = 4446,
  [4651] = 4583,
  [4652] = 4111,
  [4653] = 4653,
  [4654] = 4241,
  [4655] = 4450,
  [4656] = 4449,
  [4657] = 4584,
  [4658] = 2038,
  [4659] = 4442,
  [4660] = 4450,
  [4661] = 4661,
  [4662] = 4662,
  [4663] = 4500,
  [4664] = 4664,
  [4665] = 4665,
  [4666] = 4480,
  [4667] = 4667,
  [4668] = 4471,
  [4669] = 4669,
  [4670] = 4670,
  [4671] = 4671,
  [4672] = 4672,
  [4673] = 4673,
  [4674] = 4473,
  [4675] = 4630,
  [4676] = 4676,
  [4677] = 4583,
  [4678] = 4678,
  [4679] = 4478,
  [4680] = 4680,
  [4681] = 306,
  [4682] = 4461,
  [4683] = 4683,
  [4684] = 4446,
  [4685] = 4442,
  [4686] = 4336,
  [4687] = 4687,
  [4688] = 4688,
  [4689] = 4689,
  [4690] = 4452,
  [4691] = 4691,
  [4692] = 4395,
  [4693] = 4693,
  [4694] = 4479,
  [4695] = 4474,
  [4696] = 4575,
  [4697] = 4697,
  [4698] = 4698,
  [4699] = 4471,
  [4700] = 4700,
  [4701] = 4583,
  [4702] = 4702,
  [4703] = 4703,
  [4704] = 4704,
  [4705] = 4705,
  [4706] = 4706,
  [4707] = 4707,
  [4708] = 4708,
  [4709] = 4709,
  [4710] = 4710,
  [4711] = 4711,
  [4712] = 4712,
  [4713] = 317,
  [4714] = 4714,
  [4715] = 4715,
  [4716] = 4716,
  [4717] = 4717,
  [4718] = 4117,
  [4719] = 4719,
  [4720] = 4720,
  [4721] = 4721,
  [4722] = 4722,
  [4723] = 4498,
  [4724] = 4724,
  [4725] = 4725,
  [4726] = 4714,
  [4727] = 4503,
  [4728] = 4728,
  [4729] = 4729,
  [4730] = 4730,
  [4731] = 4731,
  [4732] = 4470,
  [4733] = 4475,
  [4734] = 4734,
  [4735] = 4720,
  [4736] = 318,
  [4737] = 4484,
  [4738] = 4485,
  [4739] = 4739,
  [4740] = 4740,
  [4741] = 4741,
  [4742] = 4742,
  [4743] = 4730,
  [4744] = 4492,
  [4745] = 4715,
  [4746] = 4746,
  [4747] = 4747,
  [4748] = 4748,
  [4749] = 4749,
  [4750] = 4702,
  [4751] = 4722,
  [4752] = 4752,
  [4753] = 4753,
  [4754] = 4754,
  [4755] = 4755,
  [4756] = 4730,
  [4757] = 4757,
  [4758] = 4758,
  [4759] = 4759,
  [4760] = 4760,
  [4761] = 4761,
  [4762] = 4762,
  [4763] = 4427,
  [4764] = 4764,
  [4765] = 4724,
  [4766] = 4766,
  [4767] = 4653,
  [4768] = 4768,
  [4769] = 4725,
  [4770] = 4455,
  [4771] = 4771,
  [4772] = 4772,
  [4773] = 4152,
  [4774] = 4418,
  [4775] = 4417,
  [4776] = 2033,
  [4777] = 4562,
  [4778] = 4730,
  [4779] = 4469,
  [4780] = 4731,
  [4781] = 4781,
  [4782] = 4772,
  [4783] = 4561,
  [4784] = 4766,
  [4785] = 4785,
  [4786] = 4772,
  [4787] = 4768,
  [4788] = 4741,
  [4789] = 4781,
  [4790] = 4724,
  [4791] = 4759,
  [4792] = 4728,
  [4793] = 4793,
  [4794] = 4794,
  [4795] = 4742,
  [4796] = 4729,
  [4797] = 4715,
  [4798] = 4771,
  [4799] = 4724,
  [4800] = 4800,
  [4801] = 4747,
  [4802] = 4610,
  [4803] = 4715,
  [4804] = 4746,
  [4805] = 4757,
  [4806] = 4806,
  [4807] = 4728,
  [4808] = 4808,
  [4809] = 4729,
  [4810] = 4715,
  [4811] = 4729,
  [4812] = 4739,
  [4813] = 4724,
  [4814] = 4808,
  [4815] = 4728,
  [4816] = 4729,
  [4817] = 4728,
  [4818] = 4715,
  [4819] = 4766,
  [4820] = 4759,
  [4821] = 4489,
  [4822] = 4740,
  [4823] = 4724,
  [4824] = 4623,
  [4825] = 4825,
  [4826] = 4752,
  [4827] = 4740,
  [4828] = 4741,
  [4829] = 4724,
  [4830] = 4560,
  [4831] = 4741,
  [4832] = 4740,
  [4833] = 4833,
  [4834] = 4728,
  [4835] = 4835,
  [4836] = 4729,
  [4837] = 4837,
  [4838] = 4838,
  [4839] = 4839,
  [4840] = 4840,
  [4841] = 4715,
  [4842] = 4730,
  [4843] = 4148,
  [4844] = 4747,
  [4845] = 4766,
  [4846] = 4772,
  [4847] = 4766,
  [4848] = 4848,
  [4849] = 4849,
  [4850] = 4835,
  [4851] = 4453,
  [4852] = 4505,
  [4853] = 4772,
  [4854] = 4759,
  [4855] = 4496,
  [4856] = 4741,
  [4857] = 4740,
  [4858] = 4724,
  [4859] = 4764,
  [4860] = 4728,
  [4861] = 4742,
  [4862] = 4739,
  [4863] = 4808,
  [4864] = 4729,
  [4865] = 4676,
  [4866] = 4721,
  [4867] = 4772,
  [4868] = 4766,
  [4869] = 4869,
  [4870] = 4742,
  [4871] = 4715,
  [4872] = 4444,
  [4873] = 4739,
  [4874] = 4747,
  [4875] = 4808,
  [4876] = 4445,
  [4877] = 4747,
  [4878] = 4715,
  [4879] = 4753,
  [4880] = 4759,
  [4881] = 4881,
  [4882] = 4882,
  [4883] = 4755,
  [4884] = 4729,
  [4885] = 4514,
  [4886] = 864,
  [4887] = 2063,
  [4888] = 4888,
  [4889] = 4889,
  [4890] = 4742,
  [4891] = 4729,
  [4892] = 4728,
  [4893] = 4739,
  [4894] = 4808,
  [4895] = 4724,
  [4896] = 4728,
  [4897] = 312,
  [4898] = 4766,
  [4899] = 4719,
  [4900] = 4772,
  [4901] = 4493,
  [4902] = 4742,
  [4903] = 4739,
  [4904] = 4749,
  [4905] = 4740,
  [4906] = 4491,
  [4907] = 4781,
  [4908] = 4781,
  [4909] = 4909,
  [4910] = 4781,
  [4911] = 4781,
  [4912] = 4741,
  [4913] = 4913,
  [4914] = 4914,
  [4915] = 957,
  [4916] = 4916,
  [4917] = 2542,
  [4918] = 4463,
  [4919] = 4462,
  [4920] = 993,
  [4921] = 992,
  [4922] = 4922,
  [4923] = 4923,
  [4924] = 4924,
  [4925] = 2545,
  [4926] = 990,
  [4927] = 989,
  [4928] = 4928,
  [4929] = 4923,
  [4930] = 1000,
  [4931] = 4931,
  [4932] = 4932,
  [4933] = 4933,
  [4934] = 1001,
  [4935] = 4935,
  [4936] = 4936,
  [4937] = 1003,
  [4938] = 4923,
  [4939] = 298,
  [4940] = 4940,
  [4941] = 308,
  [4942] = 4942,
  [4943] = 4943,
  [4944] = 4944,
  [4945] = 4833,
  [4946] = 4946,
  [4947] = 4947,
  [4948] = 4948,
  [4949] = 4949,
  [4950] = 4923,
  [4951] = 4951,
  [4952] = 4952,
  [4953] = 4953,
  [4954] = 4954,
  [4955] = 4955,
  [4956] = 4956,
  [4957] = 4957,
  [4958] = 4958,
  [4959] = 4959,
  [4960] = 4960,
  [4961] = 2593,
  [4962] = 2592,
  [4963] = 4963,
  [4964] = 975,
  [4965] = 4965,
  [4966] = 974,
  [4967] = 973,
  [4968] = 4968,
  [4969] = 4969,
  [4970] = 4970,
  [4971] = 4971,
  [4972] = 4972,
  [4973] = 4973,
  [4974] = 4974,
  [4975] = 4975,
  [4976] = 4976,
  [4977] = 4977,
  [4978] = 4957,
  [4979] = 4979,
  [4980] = 4980,
  [4981] = 4981,
  [4982] = 4982,
  [4983] = 4983,
  [4984] = 4984,
  [4985] = 4985,
  [4986] = 4986,
  [4987] = 4987,
  [4988] = 4988,
  [4989] = 4989,
  [4990] = 4990,
  [4991] = 4991,
  [4992] = 4977,
  [4993] = 4993,
  [4994] = 4973,
  [4995] = 4995,
  [4996] = 4996,
  [4997] = 2544,
  [4998] = 2535,
  [4999] = 4999,
  [5000] = 310,
  [5001] = 971,
  [5002] = 970,
  [5003] = 969,
  [5004] = 5004,
  [5005] = 5005,
  [5006] = 5006,
  [5007] = 5007,
  [5008] = 968,
  [5009] = 296,
  [5010] = 5010,
  [5011] = 5011,
  [5012] = 967,
  [5013] = 946,
  [5014] = 5014,
  [5015] = 5015,
  [5016] = 965,
  [5017] = 964,
  [5018] = 963,
  [5019] = 962,
  [5020] = 2617,
  [5021] = 5021,
  [5022] = 5022,
  [5023] = 5023,
  [5024] = 5024,
  [5025] = 5025,
  [5026] = 5026,
  [5027] = 958,
  [5028] = 2606,
  [5029] = 5029,
  [5030] = 4923,
  [5031] = 5031,
  [5032] = 5032,
  [5033] = 5033,
  [5034] = 4923,
  [5035] = 5035,
  [5036] = 2627,
  [5037] = 2631,
  [5038] = 5038,
  [5039] = 5039,
  [5040] = 5040,
  [5041] = 4995,
  [5042] = 4996,
  [5043] = 5043,
  [5044] = 5044,
  [5045] = 5045,
  [5046] = 5046,
  [5047] = 2391,
  [5048] = 5048,
  [5049] = 2683,
  [5050] = 2682,
  [5051] = 2680,
  [5052] = 5052,
  [5053] = 2669,
  [5054] = 2665,
  [5055] = 5055,
  [5056] = 2662,
  [5057] = 5057,
  [5058] = 5058,
  [5059] = 5059,
  [5060] = 982,
  [5061] = 5061,
  [5062] = 981,
  [5063] = 980,
  [5064] = 5064,
  [5065] = 5038,
  [5066] = 5039,
  [5067] = 5067,
  [5068] = 2392,
  [5069] = 2662,
  [5070] = 2665,
  [5071] = 4995,
  [5072] = 4996,
  [5073] = 5044,
  [5074] = 5046,
  [5075] = 5075,
  [5076] = 4975,
  [5077] = 2669,
  [5078] = 5078,
  [5079] = 2680,
  [5080] = 5048,
  [5081] = 4954,
  [5082] = 2682,
  [5083] = 5052,
  [5084] = 966,
  [5085] = 5085,
  [5086] = 961,
  [5087] = 960,
  [5088] = 1067,
  [5089] = 5089,
  [5090] = 5090,
  [5091] = 5091,
  [5092] = 5092,
  [5093] = 5093,
  [5094] = 5094,
  [5095] = 2435,
  [5096] = 5096,
  [5097] = 5097,
  [5098] = 2438,
  [5099] = 2439,
  [5100] = 5100,
  [5101] = 5101,
  [5102] = 5102,
  [5103] = 5103,
  [5104] = 5038,
  [5105] = 5039,
  [5106] = 4959,
  [5107] = 5107,
  [5108] = 2631,
  [5109] = 2627,
  [5110] = 4995,
  [5111] = 5111,
  [5112] = 4996,
  [5113] = 5044,
  [5114] = 5046,
  [5115] = 5115,
  [5116] = 5116,
  [5117] = 5117,
  [5118] = 5118,
  [5119] = 5048,
  [5120] = 4954,
  [5121] = 988,
  [5122] = 5122,
  [5123] = 5052,
  [5124] = 978,
  [5125] = 976,
  [5126] = 984,
  [5127] = 5127,
  [5128] = 937,
  [5129] = 934,
  [5130] = 5130,
  [5131] = 5131,
  [5132] = 5132,
  [5133] = 5133,
  [5134] = 5134,
  [5135] = 933,
  [5136] = 5136,
  [5137] = 5137,
  [5138] = 5138,
  [5139] = 5139,
  [5140] = 5140,
  [5141] = 5039,
  [5142] = 5142,
  [5143] = 5143,
  [5144] = 994,
  [5145] = 5145,
  [5146] = 5146,
  [5147] = 5147,
  [5148] = 995,
  [5149] = 5149,
  [5150] = 5150,
  [5151] = 5151,
  [5152] = 5152,
  [5153] = 5153,
  [5154] = 5154,
  [5155] = 4982,
  [5156] = 5156,
  [5157] = 5157,
  [5158] = 2683,
  [5159] = 5159,
  [5160] = 5160,
  [5161] = 5161,
  [5162] = 5162,
  [5163] = 5163,
  [5164] = 5164,
  [5165] = 5165,
  [5166] = 5166,
  [5167] = 5167,
  [5168] = 5038,
  [5169] = 5169,
  [5170] = 5039,
  [5171] = 5171,
  [5172] = 5172,
  [5173] = 4995,
  [5174] = 4996,
  [5175] = 5175,
  [5176] = 5044,
  [5177] = 5046,
  [5178] = 5178,
  [5179] = 5179,
  [5180] = 5048,
  [5181] = 4954,
  [5182] = 5182,
  [5183] = 5052,
  [5184] = 5184,
  [5185] = 5185,
  [5186] = 5186,
  [5187] = 5187,
  [5188] = 5188,
  [5189] = 5189,
  [5190] = 5190,
  [5191] = 5191,
  [5192] = 5192,
  [5193] = 1010,
  [5194] = 5194,
  [5195] = 1011,
  [5196] = 5196,
  [5197] = 1012,
  [5198] = 5198,
  [5199] = 1014,
  [5200] = 2606,
  [5201] = 5201,
  [5202] = 5202,
  [5203] = 2617,
  [5204] = 1017,
  [5205] = 1018,
  [5206] = 5206,
  [5207] = 4943,
  [5208] = 5208,
  [5209] = 5209,
  [5210] = 5210,
  [5211] = 5211,
  [5212] = 1019,
  [5213] = 1021,
  [5214] = 5214,
  [5215] = 2458,
  [5216] = 2459,
  [5217] = 2460,
  [5218] = 5052,
  [5219] = 5219,
  [5220] = 5220,
  [5221] = 5221,
  [5222] = 5222,
  [5223] = 2462,
  [5224] = 5224,
  [5225] = 5225,
  [5226] = 5226,
  [5227] = 2434,
  [5228] = 1138,
  [5229] = 5229,
  [5230] = 5230,
  [5231] = 1022,
  [5232] = 5232,
  [5233] = 5233,
  [5234] = 5234,
  [5235] = 5235,
  [5236] = 4946,
  [5237] = 5237,
  [5238] = 1023,
  [5239] = 5182,
  [5240] = 5240,
  [5241] = 4916,
  [5242] = 4946,
  [5243] = 5243,
  [5244] = 1028,
  [5245] = 5245,
  [5246] = 926,
  [5247] = 5247,
  [5248] = 931,
  [5249] = 5166,
  [5250] = 5250,
  [5251] = 5251,
  [5252] = 4943,
  [5253] = 5253,
  [5254] = 5254,
  [5255] = 5255,
  [5256] = 5256,
  [5257] = 910,
  [5258] = 5258,
  [5259] = 5038,
  [5260] = 5260,
  [5261] = 1047,
  [5262] = 5235,
  [5263] = 5263,
  [5264] = 5264,
  [5265] = 5039,
  [5266] = 4959,
  [5267] = 5267,
  [5268] = 4986,
  [5269] = 4983,
  [5270] = 5270,
  [5271] = 5271,
  [5272] = 4984,
  [5273] = 5273,
  [5274] = 4995,
  [5275] = 4996,
  [5276] = 5276,
  [5277] = 5277,
  [5278] = 5278,
  [5279] = 5279,
  [5280] = 5280,
  [5281] = 5281,
  [5282] = 5282,
  [5283] = 5044,
  [5284] = 5284,
  [5285] = 4973,
  [5286] = 5286,
  [5287] = 5046,
  [5288] = 4977,
  [5289] = 2535,
  [5290] = 5290,
  [5291] = 5291,
  [5292] = 2544,
  [5293] = 1020,
  [5294] = 5048,
  [5295] = 4954,
  [5296] = 2592,
  [5297] = 5297,
  [5298] = 5298,
  [5299] = 2593,
  [5300] = 5300,
  [5301] = 5301,
  [5302] = 5302,
  [5303] = 5303,
  [5304] = 5304,
  [5305] = 5235,
  [5306] = 1050,
  [5307] = 1062,
  [5308] = 5308,
  [5309] = 4943,
  [5310] = 1065,
  [5311] = 5235,
  [5312] = 4946,
  [5313] = 5052,
  [5314] = 5314,
  [5315] = 1071,
  [5316] = 5316,
  [5317] = 5317,
  [5318] = 5318,
  [5319] = 1074,
  [5320] = 5320,
  [5321] = 1079,
  [5322] = 2478,
  [5323] = 5323,
  [5324] = 2479,
  [5325] = 2480,
  [5326] = 1082,
  [5327] = 5327,
  [5328] = 4959,
  [5329] = 1086,
  [5330] = 5330,
  [5331] = 944,
  [5332] = 5332,
  [5333] = 5333,
  [5334] = 5334,
  [5335] = 912,
  [5336] = 5336,
  [5337] = 5337,
  [5338] = 5338,
  [5339] = 5339,
  [5340] = 4954,
  [5341] = 5341,
  [5342] = 5342,
  [5343] = 1106,
  [5344] = 5344,
  [5345] = 5345,
  [5346] = 5346,
  [5347] = 922,
  [5348] = 309,
  [5349] = 306,
  [5350] = 1114,
  [5351] = 1115,
  [5352] = 1120,
  [5353] = 5353,
  [5354] = 5067,
  [5355] = 5048,
  [5356] = 5356,
  [5357] = 1122,
  [5358] = 920,
  [5359] = 5359,
  [5360] = 5360,
  [5361] = 935,
  [5362] = 4957,
  [5363] = 5363,
  [5364] = 5055,
  [5365] = 5365,
  [5366] = 4982,
  [5367] = 5367,
  [5368] = 4761,
  [5369] = 5369,
  [5370] = 4748,
  [5371] = 5371,
  [5372] = 4989,
  [5373] = 5373,
  [5374] = 4758,
  [5375] = 4973,
  [5376] = 5376,
  [5377] = 4977,
  [5378] = 4990,
  [5379] = 5379,
  [5380] = 5380,
  [5381] = 5381,
  [5382] = 5006,
  [5383] = 5383,
  [5384] = 4989,
  [5385] = 5385,
  [5386] = 5386,
  [5387] = 5387,
  [5388] = 1137,
  [5389] = 4975,
  [5390] = 5390,
  [5391] = 5391,
  [5392] = 5392,
  [5393] = 5393,
  [5394] = 5394,
  [5395] = 5395,
  [5396] = 5282,
  [5397] = 5397,
  [5398] = 5398,
  [5399] = 4957,
  [5400] = 5400,
  [5401] = 5401,
  [5402] = 291,
  [5403] = 290,
  [5404] = 5404,
  [5405] = 5405,
  [5406] = 5406,
  [5407] = 4982,
  [5408] = 5408,
  [5409] = 5409,
  [5410] = 5410,
  [5411] = 5411,
  [5412] = 5412,
  [5413] = 5413,
  [5414] = 5414,
  [5415] = 5415,
  [5416] = 5416,
  [5417] = 5417,
  [5418] = 5418,
  [5419] = 4989,
  [5420] = 5234,
  [5421] = 5421,
  [5422] = 5422,
  [5423] = 5044,
  [5424] = 5424,
  [5425] = 5425,
  [5426] = 5411,
  [5427] = 5427,
  [5428] = 5256,
  [5429] = 5046,
  [5430] = 5430,
  [5431] = 5431,
  [5432] = 5432,
  [5433] = 5433,
  [5434] = 4588,
  [5435] = 5435,
  [5436] = 5194,
  [5437] = 5437,
  [5438] = 5438,
  [5439] = 5439,
  [5440] = 4975,
  [5441] = 5258,
  [5442] = 5442,
  [5443] = 5443,
  [5444] = 5444,
  [5445] = 4990,
  [5446] = 5006,
  [5447] = 5447,
  [5448] = 5006,
  [5449] = 5006,
  [5450] = 2545,
  [5451] = 4990,
  [5452] = 4990,
  [5453] = 5038,
  [5454] = 4989,
  [5455] = 4982,
  [5456] = 4977,
  [5457] = 1131,
  [5458] = 4973,
  [5459] = 5059,
  [5460] = 1132,
  [5461] = 4517,
  [5462] = 5462,
  [5463] = 5463,
  [5464] = 5464,
  [5465] = 5465,
  [5466] = 5466,
  [5467] = 4959,
  [5468] = 4946,
  [5469] = 5469,
  [5470] = 5235,
  [5471] = 4946,
  [5472] = 4959,
  [5473] = 5473,
  [5474] = 5474,
  [5475] = 5475,
  [5476] = 2542,
  [5477] = 5477,
  [5478] = 5478,
  [5479] = 5479,
  [5480] = 5480,
  [5481] = 5481,
  [5482] = 5424,
  [5483] = 4935,
  [5484] = 5032,
  [5485] = 4973,
  [5486] = 5486,
  [5487] = 4977,
  [5488] = 4957,
  [5489] = 5163,
  [5490] = 5490,
  [5491] = 5491,
  [5492] = 4975,
  [5493] = 5493,
  [5494] = 4975,
  [5495] = 5280,
  [5496] = 5435,
  [5497] = 5497,
  [5498] = 5498,
  [5499] = 5499,
  [5500] = 4982,
  [5501] = 5501,
  [5502] = 5502,
  [5503] = 5433,
  [5504] = 5006,
  [5505] = 4990,
  [5506] = 5506,
  [5507] = 5291,
  [5508] = 4989,
  [5509] = 5509,
  [5510] = 5510,
  [5511] = 5511,
  [5512] = 5512,
  [5513] = 5513,
  [5514] = 5514,
  [5515] = 5513,
  [5516] = 5516,
  [5517] = 5517,
  [5518] = 5518,
  [5519] = 5519,
  [5520] = 5520,
  [5521] = 5521,
  [5522] = 5522,
  [5523] = 5523,
  [5524] = 5510,
  [5525] = 5525,
  [5526] = 5526,
  [5527] = 5522,
  [5528] = 5528,
  [5529] = 5526,
  [5530] = 5525,
  [5531] = 5511,
  [5532] = 5523,
  [5533] = 5512,
  [5534] = 5516,
  [5535] = 5518,
  [5536] = 5519,
  [5537] = 5521,
  [5538] = 5520,
  [5539] = 5520,
  [5540] = 5521,
  [5541] = 5525,
  [5542] = 5526,
  [5543] = 5522,
  [5544] = 5519,
  [5545] = 5518,
  [5546] = 5517,
  [5547] = 5547,
  [5548] = 5548,
  [5549] = 5549,
  [5550] = 5512,
  [5551] = 5516,
  [5552] = 5520,
  [5553] = 5521,
  [5554] = 292,
  [5555] = 5512,
  [5556] = 5516,
  [5557] = 5516,
  [5558] = 5512,
  [5559] = 5559,
  [5560] = 5520,
  [5561] = 5514,
  [5562] = 5513,
  [5563] = 5521,
  [5564] = 5511,
  [5565] = 5512,
  [5566] = 5516,
  [5567] = 5567,
  [5568] = 5520,
  [5569] = 5525,
  [5570] = 5521,
  [5571] = 5526,
  [5572] = 5512,
  [5573] = 5510,
  [5574] = 5516,
  [5575] = 5520,
  [5576] = 5521,
  [5577] = 5577,
  [5578] = 5512,
  [5579] = 5516,
  [5580] = 5520,
  [5581] = 5581,
  [5582] = 5521,
  [5583] = 5512,
  [5584] = 5547,
  [5585] = 5516,
  [5586] = 5520,
  [5587] = 5521,
  [5588] = 5512,
  [5589] = 5516,
  [5590] = 5520,
  [5591] = 5514,
  [5592] = 5521,
  [5593] = 5593,
  [5594] = 5523,
  [5595] = 5522,
  [5596] = 5513,
  [5597] = 5597,
  [5598] = 5598,
  [5599] = 4909,
  [5600] = 5600,
  [5601] = 5601,
  [5602] = 5526,
  [5603] = 5525,
  [5604] = 2130,
  [5605] = 5605,
  [5606] = 5606,
  [5607] = 5521,
  [5608] = 5522,
  [5609] = 5609,
  [5610] = 5610,
  [5611] = 5520,
  [5612] = 5523,
  [5613] = 5613,
  [5614] = 5600,
  [5615] = 5521,
  [5616] = 5520,
  [5617] = 5617,
  [5618] = 5526,
  [5619] = 5525,
  [5620] = 5620,
  [5621] = 5523,
  [5622] = 5622,
  [5623] = 5622,
  [5624] = 5521,
  [5625] = 5520,
  [5626] = 5626,
  [5627] = 5601,
  [5628] = 5628,
  [5629] = 5519,
  [5630] = 5518,
  [5631] = 5512,
  [5632] = 5516,
  [5633] = 5633,
  [5634] = 5601,
  [5635] = 5519,
  [5636] = 5518,
  [5637] = 5637,
  [5638] = 5610,
  [5639] = 5517,
  [5640] = 5640,
  [5641] = 5598,
  [5642] = 5511,
  [5643] = 5516,
  [5644] = 5512,
  [5645] = 5645,
  [5646] = 5517,
  [5647] = 5519,
  [5648] = 5648,
  [5649] = 909,
  [5650] = 5518,
  [5651] = 5651,
  [5652] = 5517,
  [5653] = 5653,
  [5654] = 5516,
  [5655] = 5512,
  [5656] = 5656,
  [5657] = 5597,
  [5658] = 5601,
  [5659] = 2098,
  [5660] = 5610,
  [5661] = 5511,
  [5662] = 5662,
  [5663] = 5522,
  [5664] = 5601,
  [5665] = 5665,
  [5666] = 5610,
  [5667] = 4762,
  [5668] = 5668,
  [5669] = 5517,
  [5670] = 5510,
  [5671] = 5671,
  [5672] = 5672,
  [5673] = 5671,
  [5674] = 5518,
  [5675] = 5519,
  [5676] = 5676,
  [5677] = 5677,
  [5678] = 5678,
  [5679] = 5679,
  [5680] = 5680,
  [5681] = 5514,
  [5682] = 5513,
  [5683] = 5683,
  [5684] = 5684,
  [5685] = 2088,
  [5686] = 5651,
  [5687] = 5610,
  [5688] = 5522,
  [5689] = 5689,
  [5690] = 5514,
  [5691] = 5516,
  [5692] = 5512,
  [5693] = 5693,
  [5694] = 5523,
  [5695] = 5695,
  [5696] = 5510,
  [5697] = 5671,
  [5698] = 5567,
  [5699] = 5699,
  [5700] = 5525,
  [5701] = 5526,
  [5702] = 5671,
  [5703] = 5703,
  [5704] = 5704,
  [5705] = 5671,
  [5706] = 5520,
  [5707] = 5521,
  [5708] = 5708,
  [5709] = 5709,
  [5710] = 5710,
  [5711] = 5711,
  [5712] = 5712,
  [5713] = 5713,
  [5714] = 5714,
  [5715] = 5715,
  [5716] = 5716,
  [5717] = 5717,
  [5718] = 5718,
  [5719] = 2435,
  [5720] = 2438,
  [5721] = 2439,
  [5722] = 2458,
  [5723] = 5723,
  [5724] = 5724,
  [5725] = 5725,
  [5726] = 5726,
  [5727] = 2459,
  [5728] = 5728,
  [5729] = 5729,
  [5730] = 5730,
  [5731] = 5731,
  [5732] = 5717,
  [5733] = 2460,
  [5734] = 5734,
  [5735] = 2462,
  [5736] = 2434,
  [5737] = 2478,
  [5738] = 2479,
  [5739] = 2480,
  [5740] = 5740,
  [5741] = 5731,
  [5742] = 5717,
  [5743] = 5743,
  [5744] = 5744,
  [5745] = 5745,
  [5746] = 5746,
  [5747] = 5747,
  [5748] = 5748,
  [5749] = 5749,
  [5750] = 5750,
  [5751] = 5751,
  [5752] = 5752,
  [5753] = 4577,
  [5754] = 5754,
  [5755] = 5731,
  [5756] = 5717,
  [5757] = 5757,
  [5758] = 5758,
  [5759] = 5371,
  [5760] = 5760,
  [5761] = 5761,
  [5762] = 5762,
  [5763] = 5763,
  [5764] = 936,
  [5765] = 5765,
  [5766] = 5766,
  [5767] = 5767,
  [5768] = 5768,
  [5769] = 5769,
  [5770] = 5770,
  [5771] = 5771,
  [5772] = 5772,
  [5773] = 5773,
  [5774] = 5774,
  [5775] = 5775,
  [5776] = 5776,
  [5777] = 5777,
  [5778] = 5778,
  [5779] = 5779,
  [5780] = 5780,
  [5781] = 5781,
  [5782] = 5782,
  [5783] = 5783,
  [5784] = 5784,
  [5785] = 5785,
  [5786] = 5786,
  [5787] = 5787,
  [5788] = 5788,
  [5789] = 5789,
  [5790] = 5790,
  [5791] = 5791,
  [5792] = 5792,
  [5793] = 5793,
  [5794] = 5794,
  [5795] = 5795,
  [5796] = 5796,
  [5797] = 5797,
  [5798] = 5798,
  [5799] = 5799,
  [5800] = 5800,
  [5801] = 5801,
  [5802] = 5725,
  [5803] = 5803,
  [5804] = 5804,
  [5805] = 5805,
  [5806] = 5806,
  [5807] = 5807,
  [5808] = 5808,
  [5809] = 5809,
  [5810] = 945,
  [5811] = 5811,
  [5812] = 5812,
  [5813] = 937,
  [5814] = 5814,
  [5815] = 5815,
  [5816] = 5816,
  [5817] = 5817,
  [5818] = 5818,
  [5819] = 5819,
  [5820] = 5820,
  [5821] = 5821,
  [5822] = 5822,
  [5823] = 5823,
  [5824] = 934,
  [5825] = 5825,
  [5826] = 5826,
  [5827] = 5827,
  [5828] = 5828,
  [5829] = 935,
  [5830] = 5830,
  [5831] = 5831,
  [5832] = 5832,
  [5833] = 5833,
  [5834] = 933,
  [5835] = 5835,
  [5836] = 5836,
  [5837] = 5837,
  [5838] = 5838,
  [5839] = 5839,
  [5840] = 5840,
  [5841] = 5841,
  [5842] = 5842,
  [5843] = 5843,
  [5844] = 5844,
  [5845] = 5845,
  [5846] = 5846,
  [5847] = 5847,
  [5848] = 5716,
  [5849] = 5731,
  [5850] = 5715,
  [5851] = 5851,
  [5852] = 5711,
  [5853] = 5853,
  [5854] = 5752,
  [5855] = 5717,
  [5856] = 5740,
  [5857] = 5857,
  [5858] = 5858,
  [5859] = 5859,
  [5860] = 5860,
  [5861] = 5717,
  [5862] = 5862,
  [5863] = 5804,
  [5864] = 5864,
  [5865] = 5811,
  [5866] = 5866,
  [5867] = 5867,
  [5868] = 5868,
  [5869] = 5869,
  [5870] = 5870,
  [5871] = 5871,
  [5872] = 5872,
  [5873] = 5873,
  [5874] = 5874,
  [5875] = 5875,
  [5876] = 5876,
  [5877] = 5877,
  [5878] = 5878,
  [5879] = 5879,
  [5880] = 5880,
  [5881] = 5779,
  [5882] = 5882,
  [5883] = 5883,
  [5884] = 5884,
  [5885] = 5786,
  [5886] = 5784,
  [5887] = 5887,
  [5888] = 5888,
  [5889] = 5889,
  [5890] = 5890,
  [5891] = 5891,
  [5892] = 5892,
  [5893] = 5893,
  [5894] = 5894,
  [5895] = 5895,
  [5896] = 5896,
  [5897] = 5897,
  [5898] = 5898,
  [5899] = 5899,
  [5900] = 5792,
  [5901] = 5898,
  [5902] = 5902,
  [5903] = 5903,
  [5904] = 5904,
  [5905] = 5905,
  [5906] = 5906,
  [5907] = 5907,
  [5908] = 5908,
  [5909] = 5909,
  [5910] = 5910,
  [5911] = 5911,
  [5912] = 5793,
  [5913] = 5913,
  [5914] = 5914,
  [5915] = 5745,
  [5916] = 5916,
  [5917] = 5917,
  [5918] = 5918,
  [5919] = 5919,
  [5920] = 5920,
  [5921] = 5921,
  [5922] = 5922,
  [5923] = 5923,
  [5924] = 5924,
  [5925] = 5925,
  [5926] = 5926,
  [5927] = 5927,
  [5928] = 5928,
  [5929] = 5929,
  [5930] = 5744,
  [5931] = 5931,
  [5932] = 5932,
  [5933] = 5933,
  [5934] = 5934,
  [5935] = 5754,
  [5936] = 5758,
  [5937] = 5786,
  [5938] = 5784,
  [5939] = 5939,
  [5940] = 5768,
  [5941] = 5941,
  [5942] = 5942,
  [5943] = 5943,
  [5944] = 5944,
  [5945] = 5945,
  [5946] = 5946,
  [5947] = 5743,
  [5948] = 5767,
  [5949] = 5949,
  [5950] = 5950,
  [5951] = 5951,
  [5952] = 5952,
  [5953] = 5766,
  [5954] = 5954,
  [5955] = 4610,
  [5956] = 5956,
  [5957] = 5957,
  [5958] = 5958,
  [5959] = 5806,
  [5960] = 5960,
  [5961] = 5961,
  [5962] = 5962,
  [5963] = 5963,
  [5964] = 5964,
  [5965] = 5898,
  [5966] = 5966,
  [5967] = 5772,
  [5968] = 5968,
  [5969] = 5969,
  [5970] = 5762,
  [5971] = 5971,
  [5972] = 5972,
  [5973] = 5973,
  [5974] = 5974,
  [5975] = 5975,
  [5976] = 5976,
  [5977] = 5977,
  [5978] = 5978,
  [5979] = 5922,
  [5980] = 5980,
  [5981] = 5981,
  [5982] = 5744,
  [5983] = 5983,
  [5984] = 5754,
  [5985] = 5985,
  [5986] = 5758,
  [5987] = 5987,
  [5988] = 5780,
  [5989] = 5989,
  [5990] = 5990,
  [5991] = 5991,
  [5992] = 5992,
  [5993] = 5786,
  [5994] = 4972,
  [5995] = 5784,
  [5996] = 5996,
  [5997] = 5997,
  [5998] = 5758,
  [5999] = 5999,
  [6000] = 6000,
  [6001] = 6001,
  [6002] = 6002,
  [6003] = 5772,
  [6004] = 5754,
  [6005] = 6005,
  [6006] = 6006,
  [6007] = 4702,
  [6008] = 6008,
  [6009] = 6009,
  [6010] = 6010,
  [6011] = 6011,
  [6012] = 6012,
  [6013] = 6013,
  [6014] = 6014,
  [6015] = 5731,
  [6016] = 6016,
  [6017] = 6017,
  [6018] = 6018,
  [6019] = 4514,
  [6020] = 5808,
  [6021] = 6021,
  [6022] = 6022,
  [6023] = 5744,
  [6024] = 6024,
  [6025] = 6025,
  [6026] = 5898,
  [6027] = 6027,
  [6028] = 5745,
  [6029] = 5918,
  [6030] = 5929,
  [6031] = 5950,
  [6032] = 5951,
  [6033] = 6033,
  [6034] = 6034,
  [6035] = 6035,
  [6036] = 5922,
  [6037] = 5786,
  [6038] = 5784,
  [6039] = 6039,
  [6040] = 6040,
  [6041] = 6041,
  [6042] = 2415,
  [6043] = 6043,
  [6044] = 2422,
  [6045] = 5808,
  [6046] = 926,
  [6047] = 920,
  [6048] = 922,
  [6049] = 5762,
  [6050] = 6050,
  [6051] = 6051,
  [6052] = 6052,
  [6053] = 5766,
  [6054] = 5767,
  [6055] = 931,
  [6056] = 6056,
  [6057] = 910,
  [6058] = 6058,
  [6059] = 6059,
  [6060] = 6060,
  [6061] = 6061,
  [6062] = 6062,
  [6063] = 6063,
  [6064] = 5779,
  [6065] = 6065,
  [6066] = 6066,
  [6067] = 6067,
  [6068] = 6068,
  [6069] = 6069,
  [6070] = 6070,
  [6071] = 6071,
  [6072] = 6072,
  [6073] = 6073,
  [6074] = 6074,
  [6075] = 6075,
  [6076] = 6076,
  [6077] = 5792,
  [6078] = 5793,
  [6079] = 6072,
  [6080] = 6080,
  [6081] = 6081,
  [6082] = 6082,
  [6083] = 6083,
  [6084] = 6084,
  [6085] = 6075,
  [6086] = 5725,
  [6087] = 6087,
  [6088] = 6088,
  [6089] = 6089,
  [6090] = 5806,
  [6091] = 6091,
  [6092] = 6092,
  [6093] = 6080,
  [6094] = 6094,
  [6095] = 6083,
  [6096] = 6096,
  [6097] = 6097,
  [6098] = 6098,
  [6099] = 6099,
  [6100] = 5816,
  [6101] = 6101,
  [6102] = 5818,
  [6103] = 5819,
  [6104] = 1139,
  [6105] = 5823,
  [6106] = 6106,
  [6107] = 5826,
  [6108] = 6108,
  [6109] = 5828,
  [6110] = 6110,
  [6111] = 6111,
  [6112] = 6112,
  [6113] = 6113,
  [6114] = 6114,
  [6115] = 6115,
  [6116] = 6116,
  [6117] = 6117,
  [6118] = 6118,
  [6119] = 6119,
  [6120] = 6120,
  [6121] = 6121,
  [6122] = 6122,
  [6123] = 6123,
  [6124] = 6124,
  [6125] = 5816,
  [6126] = 6126,
  [6127] = 6127,
  [6128] = 6128,
  [6129] = 6129,
  [6130] = 6130,
  [6131] = 6131,
  [6132] = 6132,
  [6133] = 5740,
  [6134] = 6134,
  [6135] = 6134,
  [6136] = 6136,
  [6137] = 6137,
  [6138] = 6138,
  [6139] = 6139,
  [6140] = 5804,
  [6141] = 6141,
  [6142] = 5811,
  [6143] = 6143,
  [6144] = 6144,
  [6145] = 6145,
  [6146] = 6146,
  [6147] = 6147,
  [6148] = 5818,
  [6149] = 6149,
  [6150] = 6150,
  [6151] = 6151,
  [6152] = 4623,
  [6153] = 6153,
  [6154] = 6154,
  [6155] = 6155,
  [6156] = 6156,
  [6157] = 6157,
  [6158] = 6158,
  [6159] = 6159,
  [6160] = 5898,
  [6161] = 6161,
  [6162] = 6162,
  [6163] = 6163,
  [6164] = 6164,
  [6165] = 6165,
  [6166] = 6166,
  [6167] = 6167,
  [6168] = 6168,
  [6169] = 6169,
  [6170] = 6170,
  [6171] = 6171,
  [6172] = 6172,
  [6173] = 6173,
  [6174] = 6174,
  [6175] = 6175,
  [6176] = 6176,
  [6177] = 6177,
  [6178] = 5743,
  [6179] = 5922,
  [6180] = 5745,
  [6181] = 6181,
  [6182] = 6182,
  [6183] = 6183,
  [6184] = 6184,
  [6185] = 6185,
  [6186] = 5827,
  [6187] = 6187,
  [6188] = 6188,
  [6189] = 6189,
  [6190] = 6190,
  [6191] = 5821,
  [6192] = 6192,
  [6193] = 5744,
  [6194] = 6194,
  [6195] = 6195,
  [6196] = 6196,
  [6197] = 6197,
  [6198] = 5754,
  [6199] = 5758,
  [6200] = 6155,
  [6201] = 6201,
  [6202] = 6202,
  [6203] = 5922,
  [6204] = 6106,
  [6205] = 6205,
  [6206] = 6206,
  [6207] = 5162,
  [6208] = 6208,
  [6209] = 6017,
  [6210] = 6210,
  [6211] = 6211,
  [6212] = 6212,
  [6213] = 6213,
  [6214] = 6214,
  [6215] = 6215,
  [6216] = 5762,
  [6217] = 6217,
  [6218] = 5823,
  [6219] = 6219,
  [6220] = 5766,
  [6221] = 5767,
  [6222] = 6222,
  [6223] = 5826,
  [6224] = 5786,
  [6225] = 5784,
  [6226] = 5768,
  [6227] = 6227,
  [6228] = 6228,
  [6229] = 6229,
  [6230] = 6230,
  [6231] = 6231,
  [6232] = 5828,
  [6233] = 6233,
  [6234] = 6234,
  [6235] = 6235,
  [6236] = 6236,
  [6237] = 6237,
  [6238] = 6238,
  [6239] = 6239,
  [6240] = 6240,
  [6241] = 6241,
  [6242] = 6242,
  [6243] = 6243,
  [6244] = 6244,
  [6245] = 6245,
  [6246] = 6246,
  [6247] = 6247,
  [6248] = 6248,
  [6249] = 6249,
  [6250] = 6250,
  [6251] = 6251,
  [6252] = 5779,
  [6253] = 6253,
  [6254] = 6254,
  [6255] = 6255,
  [6256] = 6256,
  [6257] = 6257,
  [6258] = 6258,
  [6259] = 944,
  [6260] = 6260,
  [6261] = 6261,
  [6262] = 6170,
  [6263] = 6172,
  [6264] = 1135,
  [6265] = 5793,
  [6266] = 6266,
  [6267] = 912,
  [6268] = 6268,
  [6269] = 6269,
  [6270] = 6270,
  [6271] = 6271,
  [6272] = 6272,
  [6273] = 6273,
  [6274] = 6274,
  [6275] = 6275,
  [6276] = 6276,
  [6277] = 946,
  [6278] = 6278,
  [6279] = 5725,
  [6280] = 6280,
  [6281] = 5745,
  [6282] = 5806,
  [6283] = 6283,
  [6284] = 6284,
  [6285] = 6285,
  [6286] = 6286,
  [6287] = 914,
  [6288] = 6288,
  [6289] = 6289,
  [6290] = 6290,
  [6291] = 6291,
  [6292] = 6292,
  [6293] = 6293,
  [6294] = 6294,
  [6295] = 6295,
  [6296] = 5762,
  [6297] = 5828,
  [6298] = 5816,
  [6299] = 5826,
  [6300] = 5766,
  [6301] = 5767,
  [6302] = 5823,
  [6303] = 6303,
  [6304] = 5819,
  [6305] = 6305,
  [6306] = 5818,
  [6307] = 6307,
  [6308] = 6308,
  [6309] = 5819,
  [6310] = 6310,
  [6311] = 5767,
  [6312] = 5766,
  [6313] = 5823,
  [6314] = 6314,
  [6315] = 927,
  [6316] = 5792,
  [6317] = 5828,
  [6318] = 6318,
  [6319] = 6319,
  [6320] = 5792,
  [6321] = 5793,
  [6322] = 6322,
  [6323] = 6323,
  [6324] = 6324,
  [6325] = 6325,
  [6326] = 5811,
  [6327] = 6327,
  [6328] = 5804,
  [6329] = 5725,
  [6330] = 5826,
  [6331] = 5828,
  [6332] = 6173,
  [6333] = 5806,
  [6334] = 5826,
  [6335] = 6335,
  [6336] = 6336,
  [6337] = 6337,
  [6338] = 5823,
  [6339] = 5819,
  [6340] = 5818,
  [6341] = 5816,
  [6342] = 5816,
  [6343] = 5818,
  [6344] = 5819,
  [6345] = 5793,
  [6346] = 5823,
  [6347] = 5792,
  [6348] = 5826,
  [6349] = 6349,
  [6350] = 5828,
  [6351] = 6351,
  [6352] = 6352,
  [6353] = 6174,
  [6354] = 6354,
  [6355] = 6355,
  [6356] = 6356,
  [6357] = 5767,
  [6358] = 5766,
  [6359] = 6359,
  [6360] = 6360,
  [6361] = 5762,
  [6362] = 5819,
  [6363] = 5740,
  [6364] = 6364,
  [6365] = 6365,
  [6366] = 6366,
  [6367] = 6367,
  [6368] = 6368,
  [6369] = 6369,
  [6370] = 5716,
  [6371] = 5804,
  [6372] = 5715,
  [6373] = 6373,
  [6374] = 5711,
  [6375] = 5811,
  [6376] = 5752,
  [6377] = 6377,
  [6378] = 5740,
  [6379] = 6379,
  [6380] = 6380,
  [6381] = 6381,
  [6382] = 6382,
  [6383] = 6383,
  [6384] = 6384,
  [6385] = 5804,
  [6386] = 6386,
  [6387] = 5811,
  [6388] = 6388,
  [6389] = 6389,
  [6390] = 6390,
  [6391] = 6391,
  [6392] = 6392,
  [6393] = 6393,
  [6394] = 6394,
  [6395] = 6395,
  [6396] = 4761,
  [6397] = 6397,
  [6398] = 1112,
  [6399] = 6399,
  [6400] = 1131,
  [6401] = 6401,
  [6402] = 1048,
  [6403] = 1134,
  [6404] = 6404,
  [6405] = 6405,
  [6406] = 3482,
  [6407] = 6407,
  [6408] = 6408,
  [6409] = 6409,
  [6410] = 6410,
  [6411] = 1118,
  [6412] = 6412,
  [6413] = 6413,
  [6414] = 6414,
  [6415] = 6405,
  [6416] = 6397,
  [6417] = 1085,
  [6418] = 6418,
  [6419] = 6419,
  [6420] = 6420,
  [6421] = 1084,
  [6422] = 6422,
  [6423] = 6423,
  [6424] = 6408,
  [6425] = 6425,
  [6426] = 6426,
  [6427] = 6427,
  [6428] = 6428,
  [6429] = 6429,
  [6430] = 6430,
  [6431] = 6431,
  [6432] = 6432,
  [6433] = 6433,
  [6434] = 6434,
  [6435] = 6412,
  [6436] = 6436,
  [6437] = 6437,
  [6438] = 6438,
  [6439] = 1138,
  [6440] = 6440,
  [6441] = 6441,
  [6442] = 6430,
  [6443] = 6443,
  [6444] = 6444,
  [6445] = 6436,
  [6446] = 6446,
  [6447] = 1137,
  [6448] = 6419,
  [6449] = 6449,
  [6450] = 6450,
  [6451] = 6451,
  [6452] = 6452,
  [6453] = 6453,
  [6454] = 6399,
  [6455] = 6422,
  [6456] = 6456,
  [6457] = 6426,
  [6458] = 6401,
  [6459] = 6407,
  [6460] = 6428,
  [6461] = 6461,
  [6462] = 6409,
  [6463] = 6463,
  [6464] = 6443,
  [6465] = 6465,
  [6466] = 6440,
  [6467] = 6446,
  [6468] = 6468,
  [6469] = 6408,
  [6470] = 6444,
  [6471] = 6471,
  [6472] = 6456,
  [6473] = 986,
  [6474] = 6474,
  [6475] = 6475,
  [6476] = 6476,
  [6477] = 6477,
  [6478] = 989,
  [6479] = 6479,
  [6480] = 6419,
  [6481] = 6481,
  [6482] = 6399,
  [6483] = 6483,
  [6484] = 1130,
  [6485] = 6485,
  [6486] = 6401,
  [6487] = 6407,
  [6488] = 6488,
  [6489] = 6409,
  [6490] = 6476,
  [6491] = 6491,
  [6492] = 6492,
  [6493] = 6493,
  [6494] = 6494,
  [6495] = 6495,
  [6496] = 6438,
  [6497] = 1116,
  [6498] = 990,
  [6499] = 6414,
  [6500] = 6475,
  [6501] = 3488,
  [6502] = 6502,
  [6503] = 6503,
  [6504] = 297,
  [6505] = 6505,
  [6506] = 1117,
  [6507] = 6507,
  [6508] = 6508,
  [6509] = 6485,
  [6510] = 6510,
  [6511] = 6511,
  [6512] = 6512,
  [6513] = 3518,
  [6514] = 1106,
  [6515] = 6508,
  [6516] = 6507,
  [6517] = 6408,
  [6518] = 6518,
  [6519] = 6519,
  [6520] = 6520,
  [6521] = 6521,
  [6522] = 6476,
  [6523] = 308,
  [6524] = 6483,
  [6525] = 6485,
  [6526] = 6526,
  [6527] = 6483,
  [6528] = 6481,
  [6529] = 6529,
  [6530] = 6530,
  [6531] = 6481,
  [6532] = 1086,
  [6533] = 6481,
  [6534] = 6444,
  [6535] = 6443,
  [6536] = 6483,
  [6537] = 981,
  [6538] = 980,
  [6539] = 6539,
  [6540] = 6520,
  [6541] = 6485,
  [6542] = 6404,
  [6543] = 6436,
  [6544] = 6430,
  [6545] = 3486,
  [6546] = 6412,
  [6547] = 6434,
  [6548] = 1119,
  [6549] = 6479,
  [6550] = 6502,
  [6551] = 3510,
  [6552] = 6529,
  [6553] = 6414,
  [6554] = 6554,
  [6555] = 3493,
  [6556] = 6476,
  [6557] = 6502,
  [6558] = 3475,
  [6559] = 1132,
  [6560] = 6419,
  [6561] = 6561,
  [6562] = 6526,
  [6563] = 6438,
  [6564] = 962,
  [6565] = 6565,
  [6566] = 6566,
  [6567] = 6405,
  [6568] = 3474,
  [6569] = 6569,
  [6570] = 6570,
  [6571] = 1109,
  [6572] = 6572,
  [6573] = 6444,
  [6574] = 6495,
  [6575] = 6575,
  [6576] = 6576,
  [6577] = 6521,
  [6578] = 6578,
  [6579] = 6511,
  [6580] = 6494,
  [6581] = 6493,
  [6582] = 1122,
  [6583] = 956,
  [6584] = 6584,
  [6585] = 1121,
  [6586] = 1120,
  [6587] = 6587,
  [6588] = 6588,
  [6589] = 966,
  [6590] = 1115,
  [6591] = 992,
  [6592] = 6592,
  [6593] = 1114,
  [6594] = 300,
  [6595] = 3501,
  [6596] = 6596,
  [6597] = 993,
  [6598] = 963,
  [6599] = 6508,
  [6600] = 964,
  [6601] = 965,
  [6602] = 3489,
  [6603] = 6603,
  [6604] = 1078,
  [6605] = 6605,
  [6606] = 1077,
  [6607] = 6507,
  [6608] = 6608,
  [6609] = 1076,
  [6610] = 6610,
  [6611] = 1075,
  [6612] = 6612,
  [6613] = 995,
  [6614] = 961,
  [6615] = 6615,
  [6616] = 6616,
  [6617] = 6617,
  [6618] = 960,
  [6619] = 1179,
  [6620] = 6449,
  [6621] = 6621,
  [6622] = 1015,
  [6623] = 6623,
  [6624] = 6475,
  [6625] = 1067,
  [6626] = 6626,
  [6627] = 6627,
  [6628] = 6628,
  [6629] = 6492,
  [6630] = 6630,
  [6631] = 1178,
  [6632] = 6477,
  [6633] = 982,
  [6634] = 6437,
  [6635] = 1177,
  [6636] = 6493,
  [6637] = 6637,
  [6638] = 6456,
  [6639] = 6639,
  [6640] = 6443,
  [6641] = 1176,
  [6642] = 958,
  [6643] = 6453,
  [6644] = 6450,
  [6645] = 6449,
  [6646] = 6646,
  [6647] = 6502,
  [6648] = 967,
  [6649] = 6649,
  [6650] = 6494,
  [6651] = 6446,
  [6652] = 6652,
  [6653] = 968,
  [6654] = 6495,
  [6655] = 1000,
  [6656] = 6440,
  [6657] = 6657,
  [6658] = 6658,
  [6659] = 1149,
  [6660] = 6561,
  [6661] = 1108,
  [6662] = 6662,
  [6663] = 969,
  [6664] = 6664,
  [6665] = 1110,
  [6666] = 988,
  [6667] = 6667,
  [6668] = 1082,
  [6669] = 6669,
  [6670] = 6410,
  [6671] = 6671,
  [6672] = 1175,
  [6673] = 1001,
  [6674] = 6428,
  [6675] = 6675,
  [6676] = 971,
  [6677] = 6677,
  [6678] = 978,
  [6679] = 6426,
  [6680] = 6561,
  [6681] = 6495,
  [6682] = 6494,
  [6683] = 6493,
  [6684] = 1080,
  [6685] = 6685,
  [6686] = 6422,
  [6687] = 1079,
  [6688] = 976,
  [6689] = 1174,
  [6690] = 1107,
  [6691] = 6691,
  [6692] = 6628,
  [6693] = 6664,
  [6694] = 6446,
  [6695] = 6695,
  [6696] = 6626,
  [6697] = 6502,
  [6698] = 1003,
  [6699] = 6440,
  [6700] = 6700,
  [6701] = 1004,
  [6702] = 1074,
  [6703] = 3476,
  [6704] = 6704,
  [6705] = 1071,
  [6706] = 6706,
  [6707] = 1173,
  [6708] = 6408,
  [6709] = 6709,
  [6710] = 1168,
  [6711] = 3508,
  [6712] = 6662,
  [6713] = 6507,
  [6714] = 6495,
  [6715] = 984,
  [6716] = 6508,
  [6717] = 6717,
  [6718] = 957,
  [6719] = 3509,
  [6720] = 6615,
  [6721] = 6695,
  [6722] = 6722,
  [6723] = 6667,
  [6724] = 6675,
  [6725] = 6610,
  [6726] = 6706,
  [6727] = 1172,
  [6728] = 1065,
  [6729] = 6471,
  [6730] = 6474,
  [6731] = 6428,
  [6732] = 6732,
  [6733] = 6733,
  [6734] = 1171,
  [6735] = 6732,
  [6736] = 6578,
  [6737] = 6575,
  [6738] = 3515,
  [6739] = 1105,
  [6740] = 6740,
  [6741] = 1050,
  [6742] = 6569,
  [6743] = 6438,
  [6744] = 6476,
  [6745] = 6745,
  [6746] = 1104,
  [6747] = 6569,
  [6748] = 1062,
  [6749] = 994,
  [6750] = 6437,
  [6751] = 973,
  [6752] = 4833,
  [6753] = 6494,
  [6754] = 6493,
  [6755] = 1103,
  [6756] = 6756,
  [6757] = 6757,
  [6758] = 6685,
  [6759] = 6575,
  [6760] = 974,
  [6761] = 1102,
  [6762] = 6485,
  [6763] = 975,
  [6764] = 6733,
  [6765] = 6765,
  [6766] = 6766,
  [6767] = 6767,
  [6768] = 6649,
  [6769] = 6570,
  [6770] = 6452,
  [6771] = 6408,
  [6772] = 6772,
  [6773] = 6483,
  [6774] = 1087,
  [6775] = 6775,
  [6776] = 6740,
  [6777] = 6419,
  [6778] = 1059,
  [6779] = 6453,
  [6780] = 6566,
  [6781] = 6518,
  [6782] = 6510,
  [6783] = 6505,
  [6784] = 6475,
  [6785] = 6438,
  [6786] = 6786,
  [6787] = 4758,
  [6788] = 6409,
  [6789] = 6789,
  [6790] = 6407,
  [6791] = 6791,
  [6792] = 4748,
  [6793] = 6793,
  [6794] = 6794,
  [6795] = 6492,
  [6796] = 1049,
  [6797] = 6797,
  [6798] = 6401,
  [6799] = 6477,
  [6800] = 6588,
  [6801] = 6399,
  [6802] = 6426,
  [6803] = 6657,
  [6804] = 6419,
  [6805] = 6805,
  [6806] = 6444,
  [6807] = 6652,
  [6808] = 6434,
  [6809] = 1150,
  [6810] = 6422,
  [6811] = 1151,
  [6812] = 6456,
  [6813] = 6745,
  [6814] = 6767,
  [6815] = 6427,
  [6816] = 6453,
  [6817] = 6817,
  [6818] = 6450,
  [6819] = 6449,
  [6820] = 1152,
  [6821] = 6821,
  [6822] = 6443,
  [6823] = 6823,
  [6824] = 6717,
  [6825] = 1153,
  [6826] = 6461,
  [6827] = 6471,
  [6828] = 6436,
  [6829] = 6430,
  [6830] = 1058,
  [6831] = 6412,
  [6832] = 6434,
  [6833] = 6405,
  [6834] = 6414,
  [6835] = 6578,
  [6836] = 6836,
  [6837] = 6722,
  [6838] = 6446,
  [6839] = 6440,
  [6840] = 6397,
  [6841] = 1154,
  [6842] = 3512,
  [6843] = 6463,
  [6844] = 1056,
  [6845] = 6845,
  [6846] = 6561,
  [6847] = 6428,
  [6848] = 6717,
  [6849] = 6628,
  [6850] = 6626,
  [6851] = 6745,
  [6852] = 6852,
  [6853] = 6512,
  [6854] = 970,
  [6855] = 1097,
  [6856] = 6436,
  [6857] = 6414,
  [6858] = 6704,
  [6859] = 6405,
  [6860] = 6530,
  [6861] = 1081,
  [6862] = 6397,
  [6863] = 1157,
  [6864] = 6434,
  [6865] = 6786,
  [6866] = 6794,
  [6867] = 6867,
  [6868] = 6412,
  [6869] = 6426,
  [6870] = 6430,
  [6871] = 1158,
  [6872] = 6422,
  [6873] = 1159,
  [6874] = 6436,
  [6875] = 1160,
  [6876] = 1101,
  [6877] = 6443,
  [6878] = 6444,
  [6879] = 6512,
  [6880] = 1161,
  [6881] = 6821,
  [6882] = 6722,
  [6883] = 6450,
  [6884] = 6399,
  [6885] = 6401,
  [6886] = 1089,
  [6887] = 6407,
  [6888] = 6409,
  [6889] = 6889,
  [6890] = 1055,
  [6891] = 6475,
  [6892] = 6717,
  [6893] = 6492,
  [6894] = 6481,
  [6895] = 6483,
  [6896] = 6485,
  [6897] = 6669,
  [6898] = 6898,
  [6899] = 6508,
  [6900] = 6706,
  [6901] = 6652,
  [6902] = 6902,
  [6903] = 1090,
  [6904] = 6612,
  [6905] = 1091,
  [6906] = 6477,
  [6907] = 6902,
  [6908] = 6588,
  [6909] = 1169,
  [6910] = 1092,
  [6911] = 6476,
  [6912] = 6637,
  [6913] = 6913,
  [6914] = 997,
  [6915] = 6505,
  [6916] = 6507,
  [6917] = 6917,
  [6918] = 6510,
  [6919] = 1162,
  [6920] = 298,
  [6921] = 6921,
  [6922] = 6508,
  [6923] = 6923,
  [6924] = 1095,
  [6925] = 6757,
  [6926] = 6518,
  [6927] = 6745,
  [6928] = 6481,
  [6929] = 6913,
  [6930] = 3513,
  [6931] = 1009,
  [6932] = 6437,
  [6933] = 6671,
  [6934] = 6934,
  [6935] = 6935,
  [6936] = 6507,
  [6937] = 6474,
  [6938] = 1093,
  [6939] = 6939,
  [6940] = 1094,
  [6941] = 6502,
  [6942] = 6437,
  [6943] = 1100,
  [6944] = 6561,
  [6945] = 1010,
  [6946] = 1011,
  [6947] = 6495,
  [6948] = 6494,
  [6949] = 6493,
  [6950] = 6615,
  [6951] = 6667,
  [6952] = 6952,
  [6953] = 6953,
  [6954] = 6430,
  [6955] = 6397,
  [6956] = 6628,
  [6957] = 6626,
  [6958] = 6610,
  [6959] = 1031,
  [6960] = 6706,
  [6961] = 1047,
  [6962] = 6962,
  [6963] = 1099,
  [6964] = 1028,
  [6965] = 6732,
  [6966] = 6733,
  [6967] = 1163,
  [6968] = 1164,
  [6969] = 6657,
  [6970] = 6740,
  [6971] = 6971,
  [6972] = 6471,
  [6973] = 6474,
  [6974] = 6512,
  [6975] = 6975,
  [6976] = 6566,
  [6977] = 6732,
  [6978] = 6978,
  [6979] = 6722,
  [6980] = 6717,
  [6981] = 6706,
  [6982] = 6610,
  [6983] = 6652,
  [6984] = 6984,
  [6985] = 6667,
  [6986] = 6745,
  [6987] = 6658,
  [6988] = 6988,
  [6989] = 6757,
  [6990] = 6990,
  [6991] = 6615,
  [6992] = 6615,
  [6993] = 6740,
  [6994] = 1012,
  [6995] = 6657,
  [6996] = 6667,
  [6997] = 6429,
  [6998] = 6998,
  [6999] = 6588,
  [7000] = 7000,
  [7001] = 6505,
  [7002] = 3504,
  [7003] = 6588,
  [7004] = 1098,
  [7005] = 6765,
  [7006] = 6610,
  [7007] = 1165,
  [7008] = 6510,
  [7009] = 6652,
  [7010] = 7010,
  [7011] = 1025,
  [7012] = 6518,
  [7013] = 6717,
  [7014] = 1023,
  [7015] = 6475,
  [7016] = 3503,
  [7017] = 6432,
  [7018] = 6722,
  [7019] = 1022,
  [7020] = 6492,
  [7021] = 1166,
  [7022] = 6477,
  [7023] = 6512,
  [7024] = 1096,
  [7025] = 6757,
  [7026] = 6414,
  [7027] = 7027,
  [7028] = 6539,
  [7029] = 3492,
  [7030] = 7030,
  [7031] = 3490,
  [7032] = 1014,
  [7033] = 6745,
  [7034] = 6566,
  [7035] = 1017,
  [7036] = 1018,
  [7037] = 6566,
  [7038] = 3484,
  [7039] = 7039,
  [7040] = 6433,
  [7041] = 6733,
  [7042] = 1019,
  [7043] = 3464,
  [7044] = 6456,
  [7045] = 6453,
  [7046] = 6474,
  [7047] = 6471,
  [7048] = 6422,
  [7049] = 1020,
  [7050] = 6450,
  [7051] = 6449,
  [7052] = 6426,
  [7053] = 6732,
  [7054] = 6733,
  [7055] = 1021,
  [7056] = 1167,
  [7057] = 6434,
  [7058] = 7058,
  [7059] = 7059,
  [7060] = 6412,
  [7061] = 6740,
  [7062] = 7062,
  [7063] = 6657,
  [7064] = 6428,
  [7065] = 6637,
  [7066] = 6437,
  [7067] = 6757,
  [7068] = 6446,
  [7069] = 6456,
  [7070] = 6440,
  [7071] = 6518,
  [7072] = 6510,
  [7073] = 6505,
  [7074] = 7074,
  [7075] = 7075,
  [7076] = 7076,
  [7077] = 7077,
  [7078] = 7078,
  [7079] = 7079,
  [7080] = 7078,
  [7081] = 7081,
  [7082] = 7082,
  [7083] = 7083,
  [7084] = 7084,
  [7085] = 7085,
  [7086] = 7086,
  [7087] = 7087,
  [7088] = 7088,
  [7089] = 7079,
  [7090] = 7090,
  [7091] = 7091,
  [7092] = 7092,
  [7093] = 7093,
  [7094] = 7094,
  [7095] = 7077,
  [7096] = 7096,
  [7097] = 7097,
  [7098] = 7098,
  [7099] = 7099,
  [7100] = 7100,
  [7101] = 7101,
  [7102] = 7102,
  [7103] = 7103,
  [7104] = 7104,
  [7105] = 7105,
  [7106] = 7085,
  [7107] = 7107,
  [7108] = 7108,
  [7109] = 7086,
  [7110] = 7110,
  [7111] = 7107,
  [7112] = 7112,
  [7113] = 7113,
  [7114] = 7114,
  [7115] = 7115,
  [7116] = 7116,
  [7117] = 7077,
  [7118] = 7118,
  [7119] = 7119,
  [7120] = 7116,
  [7121] = 7121,
  [7122] = 7118,
  [7123] = 7113,
  [7124] = 7107,
  [7125] = 7086,
  [7126] = 7104,
  [7127] = 7115,
  [7128] = 7128,
  [7129] = 7129,
  [7130] = 7130,
  [7131] = 7112,
  [7132] = 7132,
  [7133] = 7079,
  [7134] = 7134,
  [7135] = 7135,
  [7136] = 7136,
  [7137] = 7098,
  [7138] = 7097,
  [7139] = 7093,
  [7140] = 7096,
  [7141] = 7141,
  [7142] = 7142,
  [7143] = 7143,
  [7144] = 7108,
  [7145] = 7114,
  [7146] = 7093,
  [7147] = 7147,
  [7148] = 7148,
  [7149] = 7129,
  [7150] = 7130,
  [7151] = 7082,
  [7152] = 7085,
  [7153] = 7078,
  [7154] = 7115,
  [7155] = 7143,
  [7156] = 7078,
  [7157] = 7079,
  [7158] = 7158,
  [7159] = 7082,
  [7160] = 7160,
  [7161] = 7161,
  [7162] = 7096,
  [7163] = 7097,
  [7164] = 7098,
  [7165] = 7165,
  [7166] = 7077,
  [7167] = 7119,
  [7168] = 7121,
  [7169] = 7082,
  [7170] = 7104,
  [7171] = 7171,
  [7172] = 7078,
  [7173] = 7173,
  [7174] = 7079,
  [7175] = 7086,
  [7176] = 7176,
  [7177] = 7107,
  [7178] = 7178,
  [7179] = 7113,
  [7180] = 7108,
  [7181] = 7181,
  [7182] = 7119,
  [7183] = 7183,
  [7184] = 7118,
  [7185] = 7185,
  [7186] = 7116,
  [7187] = 7077,
  [7188] = 7121,
  [7189] = 7119,
  [7190] = 7077,
  [7191] = 7191,
  [7192] = 7075,
  [7193] = 7115,
  [7194] = 7191,
  [7195] = 7195,
  [7196] = 7085,
  [7197] = 7112,
  [7198] = 7102,
  [7199] = 7199,
  [7200] = 7200,
  [7201] = 7085,
  [7202] = 7105,
  [7203] = 7102,
  [7204] = 7103,
  [7205] = 7205,
  [7206] = 7206,
  [7207] = 7101,
  [7208] = 7208,
  [7209] = 7100,
  [7210] = 7108,
  [7211] = 7094,
  [7212] = 7142,
  [7213] = 7092,
  [7214] = 7091,
  [7215] = 7090,
  [7216] = 7088,
  [7217] = 7217,
  [7218] = 7218,
  [7219] = 7108,
  [7220] = 7220,
  [7221] = 7221,
  [7222] = 7222,
  [7223] = 7223,
  [7224] = 7097,
  [7225] = 7098,
  [7226] = 7110,
  [7227] = 7227,
  [7228] = 7228,
  [7229] = 7104,
  [7230] = 7230,
  [7231] = 7086,
  [7232] = 7232,
  [7233] = 7113,
  [7234] = 7076,
  [7235] = 7235,
  [7236] = 7236,
  [7237] = 7118,
  [7238] = 7236,
  [7239] = 7116,
  [7240] = 7235,
  [7241] = 7115,
  [7242] = 7147,
  [7243] = 7230,
  [7244] = 7112,
  [7245] = 7232,
  [7246] = 7228,
  [7247] = 7223,
  [7248] = 7248,
  [7249] = 7220,
  [7250] = 7218,
  [7251] = 7217,
  [7252] = 7252,
  [7253] = 7227,
  [7254] = 7222,
  [7255] = 7084,
  [7256] = 7087,
  [7257] = 7088,
  [7258] = 7090,
  [7259] = 7091,
  [7260] = 7092,
  [7261] = 7112,
  [7262] = 7142,
  [7263] = 7094,
  [7264] = 7264,
  [7265] = 7265,
  [7266] = 7079,
  [7267] = 7113,
  [7268] = 7121,
  [7269] = 7115,
  [7270] = 7078,
  [7271] = 7110,
  [7272] = 7082,
  [7273] = 7273,
  [7274] = 7100,
  [7275] = 7208,
  [7276] = 7206,
  [7277] = 7101,
  [7278] = 7103,
  [7279] = 7105,
  [7280] = 7116,
  [7281] = 7118,
  [7282] = 7121,
  [7283] = 7121,
  [7284] = 7119,
  [7285] = 7077,
  [7286] = 7286,
  [7287] = 7114,
  [7288] = 7171,
  [7289] = 7200,
  [7290] = 7129,
  [7291] = 7200,
  [7292] = 7130,
  [7293] = 7143,
  [7294] = 7085,
  [7295] = 7265,
  [7296] = 7296,
  [7297] = 4840,
  [7298] = 7298,
  [7299] = 7299,
  [7300] = 7113,
  [7301] = 7301,
  [7302] = 7302,
  [7303] = 7079,
  [7304] = 7232,
  [7305] = 7107,
  [7306] = 7104,
  [7307] = 7086,
  [7308] = 7308,
  [7309] = 7112,
  [7310] = 7148,
  [7311] = 7311,
  [7312] = 7078,
  [7313] = 7313,
  [7314] = 7082,
  [7315] = 7084,
  [7316] = 7119,
  [7317] = 7317,
  [7318] = 7296,
  [7319] = 7183,
  [7320] = 7223,
  [7321] = 7104,
  [7322] = 7322,
  [7323] = 7098,
  [7324] = 7097,
  [7325] = 7096,
  [7326] = 7326,
  [7327] = 7093,
  [7328] = 7173,
  [7329] = 7118,
  [7330] = 7121,
  [7331] = 7331,
  [7332] = 7119,
  [7333] = 7077,
  [7334] = 7082,
  [7335] = 7171,
  [7336] = 7299,
  [7337] = 7165,
  [7338] = 7161,
  [7339] = 7339,
  [7340] = 7313,
  [7341] = 7093,
  [7342] = 7301,
  [7343] = 7160,
  [7344] = 7158,
  [7345] = 7345,
  [7346] = 7085,
  [7347] = 7165,
  [7348] = 7348,
  [7349] = 7102,
  [7350] = 7350,
  [7351] = 7116,
  [7352] = 7147,
  [7353] = 7087,
  [7354] = 7084,
  [7355] = 7302,
  [7356] = 7087,
  [7357] = 7084,
  [7358] = 7084,
  [7359] = 7087,
  [7360] = 7087,
  [7361] = 7273,
  [7362] = 7084,
  [7363] = 7087,
  [7364] = 7134,
  [7365] = 7084,
  [7366] = 7087,
  [7367] = 7105,
  [7368] = 7368,
  [7369] = 7369,
  [7370] = 7110,
  [7371] = 7087,
  [7372] = 7084,
  [7373] = 7082,
  [7374] = 7158,
  [7375] = 7078,
  [7376] = 7160,
  [7377] = 7217,
  [7378] = 7222,
  [7379] = 7147,
  [7380] = 7161,
  [7381] = 7103,
  [7382] = 7165,
  [7383] = 7383,
  [7384] = 7384,
  [7385] = 7098,
  [7386] = 7097,
  [7387] = 7317,
  [7388] = 7101,
  [7389] = 7171,
  [7390] = 7114,
  [7391] = 7100,
  [7392] = 7079,
  [7393] = 7087,
  [7394] = 7121,
  [7395] = 7084,
  [7396] = 7129,
  [7397] = 7079,
  [7398] = 7078,
  [7399] = 7119,
  [7400] = 7121,
  [7401] = 7119,
  [7402] = 7077,
  [7403] = 7403,
  [7404] = 7130,
  [7405] = 7405,
  [7406] = 7143,
  [7407] = 7407,
  [7408] = 7094,
  [7409] = 7142,
  [7410] = 7085,
  [7411] = 7092,
  [7412] = 7091,
  [7413] = 7090,
  [7414] = 7135,
  [7415] = 7096,
  [7416] = 7088,
  [7417] = 7227,
  [7418] = 7110,
  [7419] = 7087,
  [7420] = 7084,
  [7421] = 7093,
  [7422] = 7228,
  [7423] = 7134,
  [7424] = 7161,
  [7425] = 7317,
  [7426] = 7273,
  [7427] = 7369,
  [7428] = 7183,
  [7429] = 7429,
  [7430] = 7158,
  [7431] = 7160,
  [7432] = 7143,
  [7433] = 7130,
  [7434] = 7235,
  [7435] = 7265,
  [7436] = 7296,
  [7437] = 7161,
  [7438] = 7165,
  [7439] = 7299,
  [7440] = 7171,
  [7441] = 7301,
  [7442] = 7302,
  [7443] = 7148,
  [7444] = 7208,
  [7445] = 7313,
  [7446] = 7222,
  [7447] = 7075,
  [7448] = 7236,
  [7449] = 7449,
  [7450] = 7165,
  [7451] = 7129,
  [7452] = 7114,
  [7453] = 7230,
  [7454] = 7161,
  [7455] = 7227,
  [7456] = 7200,
  [7457] = 7082,
  [7458] = 7183,
  [7459] = 7232,
  [7460] = 7317,
  [7461] = 7273,
  [7462] = 7235,
  [7463] = 7200,
  [7464] = 7236,
  [7465] = 7465,
  [7466] = 7206,
  [7467] = 7206,
  [7468] = 7110,
  [7469] = 7265,
  [7470] = 7296,
  [7471] = 7110,
  [7472] = 7208,
  [7473] = 7299,
  [7474] = 7087,
  [7475] = 7301,
  [7476] = 7302,
  [7477] = 7148,
  [7478] = 7084,
  [7479] = 7313,
  [7480] = 7230,
  [7481] = 7075,
  [7482] = 7183,
  [7483] = 7223,
  [7484] = 7484,
  [7485] = 7206,
  [7486] = 7208,
  [7487] = 7087,
  [7488] = 7317,
  [7489] = 7273,
  [7490] = 7093,
  [7491] = 7084,
  [7492] = 7220,
  [7493] = 7218,
  [7494] = 7160,
  [7495] = 7217,
  [7496] = 7105,
  [7497] = 7265,
  [7498] = 7296,
  [7499] = 7103,
  [7500] = 7220,
  [7501] = 7299,
  [7502] = 7101,
  [7503] = 7301,
  [7504] = 7302,
  [7505] = 7148,
  [7506] = 7218,
  [7507] = 7313,
  [7508] = 7100,
  [7509] = 7075,
  [7510] = 7094,
  [7511] = 7142,
  [7512] = 7092,
  [7513] = 7317,
  [7514] = 7273,
  [7515] = 7091,
  [7516] = 7090,
  [7517] = 7088,
  [7518] = 7222,
  [7519] = 7228,
  [7520] = 7265,
  [7521] = 7296,
  [7522] = 7158,
  [7523] = 7299,
  [7524] = 7227,
  [7525] = 7301,
  [7526] = 7302,
  [7527] = 7228,
  [7528] = 7313,
  [7529] = 7075,
  [7530] = 7232,
  [7531] = 7235,
  [7532] = 7236,
  [7533] = 7326,
  [7534] = 7298,
  [7535] = 7230,
  [7536] = 7102,
  [7537] = 7135,
  [7538] = 7538,
  [7539] = 7539,
  [7540] = 7326,
  [7541] = 7298,
  [7542] = 7223,
  [7543] = 7135,
  [7544] = 7544,
  [7545] = 7326,
  [7546] = 7298,
  [7547] = 7220,
  [7548] = 7135,
  [7549] = 7549,
  [7550] = 7326,
  [7551] = 7298,
  [7552] = 7085,
  [7553] = 7135,
  [7554] = 7218,
  [7555] = 7326,
  [7556] = 7298,
  [7557] = 7217,
  [7558] = 7558,
};

static inline bool anon_sym_BANG_character_set_1(int32_t c) {
  return (c < 8192
    ? (c < 160
      ? (c < ' '
        ? (c >= '\t' && c <= '\r')
        : c <= ' ')
      : (c <= 160 || c == 5760))
    : (c <= 8203 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool sym__glimmer_template_content_character_set_1(int32_t c) {
  return (c < 8232
    ? (c < 160
      ? (c < ' '
        ? (c >= '\t' && c <= '\r')
        : c <= ' ')
      : (c <= 160 || (c < 8192
        ? c == 5760
        : c <= 8203)))
    : (c <= 8233 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool sym__glimmer_template_content_character_set_2(int32_t c) {
  return (c < 8192
    ? (c < ' '
      ? (c < 11
        ? c == '\t'
        : c <= '\r')
      : (c <= ' ' || (c < 5760
        ? c == 160
        : c <= 5760)))
    : (c <= 8203 || (c < 8287
      ? (c < 8239
        ? (c >= 8232 && c <= 8233)
        : c <= 8239)
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool aux_sym_jsx_text_token1_character_set_1(int32_t c) {
  return (c < 8232
    ? (c < 5760
      ? (c < 160
        ? (c >= '\t' && c <= '\r')
        : c <= 160)
      : (c <= 5760 || (c >= 8192 && c <= 8203)))
    : (c <= 8233 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool aux_sym_jsx_text_token1_character_set_2(int32_t c) {
  return (c < 8232
    ? (c < 160
      ? (c < 11
        ? c == '\t'
        : c <= '\r')
      : (c <= 160 || (c < 8192
        ? c == 5760
        : c <= 8203)))
    : (c <= 8233 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool sym_identifier_character_set_1(int32_t c) {
  return (c < 160
    ? (c < ':'
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '/')))
      : (c <= '@' || (c < '`'
        ? (c >= '[' && c <= '^')
        : (c <= '`' || (c >= '{' && c <= '~')))))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_2(int32_t c) {
  return (c < 8192
    ? (c < 160
      ? (c < 0
        ? c == 0
        : c <= '~')
      : (c <= 160 || c == 5760))
    : (c <= 8203 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool sym_identifier_character_set_3(int32_t c) {
  return (c < 5760
    ? (c < '['
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '@')))
      : (c <= '`' || (c < 160
        ? (c >= '{' && c <= '~')
        : c <= 160)))
    : (c <= 5760 || (c < 8287
      ? (c < 8239
        ? (c >= 8192 && c <= 8203)
        : c <= 8239)
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_4(int32_t c) {
  return (c < 160
    ? (c < ':'
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '/')))
      : (c <= '@' || (c < '{'
        ? (c >= '[' && c <= '`')
        : c <= '~')))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_5(int32_t c) {
  return (c < 5760
    ? (c < '`'
      ? (c < 0
        ? c == 0
        : (c <= '@' || (c >= '[' && c <= '^')))
      : (c <= '`' || (c < 160
        ? (c >= '{' && c <= '~')
        : c <= 160)))
    : (c <= 5760 || (c < 8287
      ? (c < 8239
        ? (c >= 8192 && c <= 8203)
        : c <= 8239)
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_6(int32_t c) {
  return (c < 160
    ? (c < ':'
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '/')))
      : (c <= '@' || (c < '`'
        ? (c >= '[' && c <= '^')
        : (c <= '`' || (c >= '|' && c <= '~')))))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_private_property_identifier_character_set_1(int32_t c) {
  return (c < 160
    ? (c < '['
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '@')))
      : (c <= '^' || (c < '{'
        ? c == '`'
        : c <= '~')))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(359);
      if (lookahead == '!') ADVANCE(397);
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '#') ADVANCE(34);
      if (lookahead == '$') ADVANCE(959);
      if (lookahead == '%') ADVANCE(507);
      if (lookahead == '&') ADVANCE(486);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(364);
      if (lookahead == '+') ADVANCE(499);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '-') ADVANCE(503);
      if (lookahead == '.') ADVANCE(444);
      if (lookahead == '/') ADVANCE(557);
      if (lookahead == '0') ADVANCE(589);
      if (lookahead == ':') ADVANCE(416);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(512);
      if (lookahead == '=') ADVANCE(372);
      if (lookahead == '>') ADVANCE(440);
      if (lookahead == '?') ADVANCE(979);
      if (lookahead == '@') ADVANCE(973);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(294);
      if (lookahead == ']') ADVANCE(424);
      if (lookahead == '^') ADVANCE(489);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(739);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(708);
      if (lookahead == 'd') ADVANCE(765);
      if (lookahead == 'e') ADVANCE(822);
      if (lookahead == 'f') ADVANCE(808);
      if (lookahead == 'g') ADVANCE(828);
      if (lookahead == 'i') ADVANCE(837);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(709);
      if (lookahead == 'o') ADVANCE(744);
      if (lookahead == 'r') ADVANCE(768);
      if (lookahead == 's') ADVANCE(714);
      if (lookahead == 't') ADVANCE(718);
      if (lookahead == 'u') ADVANCE(858);
      if (lookahead == 'v') ADVANCE(721);
      if (lookahead == 'w') ADVANCE(806);
      if (lookahead == '{') ADVANCE(382);
      if (lookahead == '|') ADVANCE(492);
      if (lookahead == '}') ADVANCE(384);
      if (lookahead == '~') ADVANCE(529);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(606);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(348)
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(968);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(82)
      if (lookahead == ' ') ADVANCE(1);
      if (lookahead == '/') ADVANCE(431);
      if (lookahead == '<') ADVANCE(511);
      if (lookahead == '{') ADVANCE(381);
      if (aux_sym_jsx_text_token1_character_set_1(lookahead)) ADVANCE(433);
      if (lookahead != 0 &&
          lookahead != '>' &&
          lookahead != '}') ADVANCE(432);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(2)
      if (lookahead == '/') ADVANCE(426);
      if (lookahead == '<') ADVANCE(428);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(427);
      if (lookahead != 0) ADVANCE(425);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(80)
      if (lookahead == '/') ADVANCE(62);
      if (lookahead == '[') ADVANCE(92);
      if (lookahead == '\\') ADVANCE(347);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(558);
      if (lookahead != 0) ADVANCE(559);
      END_STATE();
    case 4:
      if (lookahead == ' ') ADVANCE(4);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(432);
      END_STATE();
    case 5:
      if (lookahead == ' ') ADVANCE(5);
      if (lookahead == '*') ADVANCE(434);
      if (lookahead == '\n' ||
          lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(65);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 6:
      if (lookahead == '!') ADVANCE(397);
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '#') ADVANCE(91);
      if (lookahead == '%') ADVANCE(507);
      if (lookahead == '&') ADVANCE(486);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(364);
      if (lookahead == '+') ADVANCE(498);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '-') ADVANCE(502);
      if (lookahead == '.') ADVANCE(444);
      if (lookahead == '/') ADVANCE(505);
      if (lookahead == '0') ADVANCE(589);
      if (lookahead == ':') ADVANCE(416);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(514);
      if (lookahead == '=') ADVANCE(372);
      if (lookahead == '>') ADVANCE(440);
      if (lookahead == '?') ADVANCE(979);
      if (lookahead == '@') ADVANCE(973);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == ']') ADVANCE(424);
      if (lookahead == '^') ADVANCE(489);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(851);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(826);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(952);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(848);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(714);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(874);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '}') ADVANCE(384);
      if (lookahead == '~') ADVANCE(529);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(679);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(6)
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(968);
      END_STATE();
    case 7:
      if (lookahead == '!') ADVANCE(397);
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '#') ADVANCE(91);
      if (lookahead == '%') ADVANCE(507);
      if (lookahead == '&') ADVANCE(486);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(364);
      if (lookahead == '+') ADVANCE(498);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '-') ADVANCE(502);
      if (lookahead == '.') ADVANCE(444);
      if (lookahead == '/') ADVANCE(505);
      if (lookahead == '0') ADVANCE(589);
      if (lookahead == ':') ADVANCE(416);
      if (lookahead == '<') ADVANCE(514);
      if (lookahead == '=') ADVANCE(372);
      if (lookahead == '>') ADVANCE(440);
      if (lookahead == '?') ADVANCE(979);
      if (lookahead == '@') ADVANCE(973);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '^') ADVANCE(489);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(739);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(825);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(952);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(848);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(709);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(714);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'u') ADVANCE(858);
      if (lookahead == 'v') ADVANCE(874);
      if (lookahead == '{') ADVANCE(382);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '~') ADVANCE(529);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(676);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(7)
      if (lookahead != 0 &&
          lookahead > 31 &&
          lookahead != ';' &&
          lookahead != ']' &&
          lookahead != '}') ADVANCE(968);
      END_STATE();
    case 8:
      if (lookahead == '!') ADVANCE(397);
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '#') ADVANCE(91);
      if (lookahead == '%') ADVANCE(507);
      if (lookahead == '&') ADVANCE(486);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == '*') ADVANCE(364);
      if (lookahead == '+') ADVANCE(498);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '-') ADVANCE(502);
      if (lookahead == '.') ADVANCE(445);
      if (lookahead == '/') ADVANCE(505);
      if (lookahead == '0') ADVANCE(589);
      if (lookahead == ':') ADVANCE(416);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(372);
      if (lookahead == '>') ADVANCE(440);
      if (lookahead == '?') ADVANCE(979);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '^') ADVANCE(489);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(852);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(952);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(862);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(714);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '}') ADVANCE(384);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(684);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(8)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(968);
      END_STATE();
    case 9:
      if (lookahead == '!') ADVANCE(397);
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '#') ADVANCE(91);
      if (lookahead == '%') ADVANCE(507);
      if (lookahead == '&') ADVANCE(486);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == '*') ADVANCE(364);
      if (lookahead == '+') ADVANCE(498);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '-') ADVANCE(502);
      if (lookahead == '.') ADVANCE(445);
      if (lookahead == '/') ADVANCE(505);
      if (lookahead == '0') ADVANCE(589);
      if (lookahead == ':') ADVANCE(416);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(372);
      if (lookahead == '>') ADVANCE(440);
      if (lookahead == '?') ADVANCE(979);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '^') ADVANCE(489);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(852);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(952);
      if (lookahead == 'i') ADVANCE(862);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(714);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '}') ADVANCE(384);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(685);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(9)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(968);
      END_STATE();
    case 10:
      if (lookahead == '!') ADVANCE(397);
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '#') ADVANCE(91);
      if (lookahead == '%') ADVANCE(507);
      if (lookahead == '&') ADVANCE(486);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == '*') ADVANCE(364);
      if (lookahead == '+') ADVANCE(498);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '-') ADVANCE(502);
      if (lookahead == '.') ADVANCE(445);
      if (lookahead == '/') ADVANCE(505);
      if (lookahead == '0') ADVANCE(589);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(514);
      if (lookahead == '=') ADVANCE(372);
      if (lookahead == '>') ADVANCE(440);
      if (lookahead == '?') ADVANCE(69);
      if (lookahead == '@') ADVANCE(973);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '^') ADVANCE(489);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(851);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(826);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(952);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(848);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(744);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(714);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(874);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '~') ADVANCE(529);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(678);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(10)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}') ADVANCE(968);
      END_STATE();
    case 11:
      if (lookahead == '!') ADVANCE(397);
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '#') ADVANCE(91);
      if (lookahead == '%') ADVANCE(507);
      if (lookahead == '&') ADVANCE(486);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == '*') ADVANCE(364);
      if (lookahead == '+') ADVANCE(498);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '-') ADVANCE(502);
      if (lookahead == '.') ADVANCE(445);
      if (lookahead == '/') ADVANCE(505);
      if (lookahead == '0') ADVANCE(589);
      if (lookahead == '<') ADVANCE(514);
      if (lookahead == '=') ADVANCE(372);
      if (lookahead == '>') ADVANCE(440);
      if (lookahead == '?') ADVANCE(69);
      if (lookahead == '@') ADVANCE(973);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '^') ADVANCE(489);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(851);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(826);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(952);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(838);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(714);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(874);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '~') ADVANCE(529);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(680);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(11)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ';' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}') ADVANCE(968);
      END_STATE();
    case 12:
      if (lookahead == '!') ADVANCE(397);
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '#') ADVANCE(91);
      if (lookahead == '%') ADVANCE(506);
      if (lookahead == '&') ADVANCE(487);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(365);
      if (lookahead == '+') ADVANCE(497);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '-') ADVANCE(501);
      if (lookahead == '.') ADVANCE(445);
      if (lookahead == '/') ADVANCE(504);
      if (lookahead == '0') ADVANCE(589);
      if (lookahead == ':') ADVANCE(416);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(516);
      if (lookahead == '=') ADVANCE(86);
      if (lookahead == '>') ADVANCE(441);
      if (lookahead == '?') ADVANCE(70);
      if (lookahead == '@') ADVANCE(973);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == ']') ADVANCE(424);
      if (lookahead == '^') ADVANCE(488);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(851);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(826);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(952);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(848);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(714);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(874);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '|') ADVANCE(493);
      if (lookahead == '}') ADVANCE(384);
      if (lookahead == '~') ADVANCE(529);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(679);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(12)
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(968);
      END_STATE();
    case 13:
      if (lookahead == '!') ADVANCE(397);
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '#') ADVANCE(91);
      if (lookahead == '%') ADVANCE(506);
      if (lookahead == '&') ADVANCE(487);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == '*') ADVANCE(365);
      if (lookahead == '+') ADVANCE(497);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '-') ADVANCE(501);
      if (lookahead == '.') ADVANCE(445);
      if (lookahead == '/') ADVANCE(504);
      if (lookahead == '0') ADVANCE(589);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(516);
      if (lookahead == '=') ADVANCE(86);
      if (lookahead == '>') ADVANCE(441);
      if (lookahead == '?') ADVANCE(70);
      if (lookahead == '@') ADVANCE(973);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '^') ADVANCE(488);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(851);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(826);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(952);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(848);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(744);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(714);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(874);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '|') ADVANCE(493);
      if (lookahead == '~') ADVANCE(529);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(678);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(13)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}') ADVANCE(968);
      END_STATE();
    case 14:
      if (lookahead == '!') ADVANCE(397);
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '#') ADVANCE(91);
      if (lookahead == '%') ADVANCE(506);
      if (lookahead == '&') ADVANCE(487);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == '*') ADVANCE(365);
      if (lookahead == '+') ADVANCE(497);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '-') ADVANCE(501);
      if (lookahead == '.') ADVANCE(445);
      if (lookahead == '/') ADVANCE(504);
      if (lookahead == '0') ADVANCE(589);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(516);
      if (lookahead == '=') ADVANCE(371);
      if (lookahead == '>') ADVANCE(441);
      if (lookahead == '?') ADVANCE(70);
      if (lookahead == '@') ADVANCE(973);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '^') ADVANCE(488);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(739);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(735);
      if (lookahead == 'd') ADVANCE(765);
      if (lookahead == 'e') ADVANCE(856);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(847);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(714);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(721);
      if (lookahead == 'w') ADVANCE(806);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '|') ADVANCE(493);
      if (lookahead == '}') ADVANCE(384);
      if (lookahead == '~') ADVANCE(529);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(673);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(14)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']') ADVANCE(968);
      END_STATE();
    case 15:
      if (lookahead == '!') ADVANCE(397);
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '#') ADVANCE(91);
      if (lookahead == '%') ADVANCE(506);
      if (lookahead == '&') ADVANCE(487);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == '*') ADVANCE(365);
      if (lookahead == '+') ADVANCE(497);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '-') ADVANCE(501);
      if (lookahead == '.') ADVANCE(445);
      if (lookahead == '/') ADVANCE(504);
      if (lookahead == '0') ADVANCE(589);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(516);
      if (lookahead == '=') ADVANCE(371);
      if (lookahead == '>') ADVANCE(441);
      if (lookahead == '?') ADVANCE(70);
      if (lookahead == '@') ADVANCE(973);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '^') ADVANCE(488);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(739);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(735);
      if (lookahead == 'd') ADVANCE(765);
      if (lookahead == 'e') ADVANCE(823);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(847);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(714);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(721);
      if (lookahead == 'w') ADVANCE(806);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '|') ADVANCE(493);
      if (lookahead == '}') ADVANCE(384);
      if (lookahead == '~') ADVANCE(529);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(674);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(15)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']') ADVANCE(968);
      END_STATE();
    case 16:
      if (lookahead == '!') ADVANCE(397);
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '#') ADVANCE(91);
      if (lookahead == '%') ADVANCE(506);
      if (lookahead == '&') ADVANCE(487);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == '*') ADVANCE(365);
      if (lookahead == '+') ADVANCE(497);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '-') ADVANCE(501);
      if (lookahead == '.') ADVANCE(445);
      if (lookahead == '/') ADVANCE(504);
      if (lookahead == '0') ADVANCE(589);
      if (lookahead == '<') ADVANCE(516);
      if (lookahead == '=') ADVANCE(86);
      if (lookahead == '>') ADVANCE(441);
      if (lookahead == '?') ADVANCE(70);
      if (lookahead == '@') ADVANCE(973);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '^') ADVANCE(488);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(851);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(826);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(952);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(838);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(714);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(874);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '|') ADVANCE(493);
      if (lookahead == '~') ADVANCE(529);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(680);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(16)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ';' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}') ADVANCE(968);
      END_STATE();
    case 17:
      if (lookahead == '!') ADVANCE(397);
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '%') ADVANCE(507);
      if (lookahead == '&') ADVANCE(486);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(364);
      if (lookahead == '+') ADVANCE(498);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '-') ADVANCE(502);
      if (lookahead == '.') ADVANCE(445);
      if (lookahead == '/') ADVANCE(505);
      if (lookahead == '0') ADVANCE(589);
      if (lookahead == ':') ADVANCE(416);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(372);
      if (lookahead == '>') ADVANCE(440);
      if (lookahead == '?') ADVANCE(979);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == ']') ADVANCE(424);
      if (lookahead == '^') ADVANCE(489);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(740);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(878);
      if (lookahead == 'i') ADVANCE(862);
      if (lookahead == 'n') ADVANCE(767);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(714);
      if (lookahead == 'u') ADVANCE(858);
      if (lookahead == 'v') ADVANCE(874);
      if (lookahead == '{') ADVANCE(382);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '}') ADVANCE(384);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(682);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(17)
      if (lookahead != 0 &&
          lookahead > '#' &&
          lookahead != '@' &&
          lookahead != '~') ADVANCE(968);
      END_STATE();
    case 18:
      if (lookahead == '!') ADVANCE(397);
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '%') ADVANCE(507);
      if (lookahead == '&') ADVANCE(486);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(364);
      if (lookahead == '+') ADVANCE(498);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '-') ADVANCE(502);
      if (lookahead == '.') ADVANCE(443);
      if (lookahead == '/') ADVANCE(505);
      if (lookahead == ':') ADVANCE(416);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(372);
      if (lookahead == '>') ADVANCE(440);
      if (lookahead == '?') ADVANCE(979);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == ']') ADVANCE(424);
      if (lookahead == '^') ADVANCE(489);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(913);
      if (lookahead == 'i') ADVANCE(862);
      if (lookahead == 's') ADVANCE(715);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '}') ADVANCE(384);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(729);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(18)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '0' || '@' < lookahead) &&
          lookahead != '~') ADVANCE(968);
      END_STATE();
    case 19:
      if (lookahead == '!') ADVANCE(397);
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '%') ADVANCE(507);
      if (lookahead == '&') ADVANCE(486);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == '*') ADVANCE(364);
      if (lookahead == '+') ADVANCE(498);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '-') ADVANCE(502);
      if (lookahead == '.') ADVANCE(445);
      if (lookahead == '/') ADVANCE(505);
      if (lookahead == '0') ADVANCE(589);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(372);
      if (lookahead == '>') ADVANCE(440);
      if (lookahead == '?') ADVANCE(979);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '^') ADVANCE(489);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(740);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(878);
      if (lookahead == 'i') ADVANCE(862);
      if (lookahead == 'n') ADVANCE(767);
      if (lookahead == 'o') ADVANCE(744);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(714);
      if (lookahead == 'u') ADVANCE(858);
      if (lookahead == 'v') ADVANCE(874);
      if (lookahead == '{') ADVANCE(382);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(681);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(19)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(968);
      END_STATE();
    case 20:
      if (lookahead == '!') ADVANCE(397);
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '%') ADVANCE(507);
      if (lookahead == '&') ADVANCE(486);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == '*') ADVANCE(364);
      if (lookahead == '+') ADVANCE(498);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '-') ADVANCE(502);
      if (lookahead == '.') ADVANCE(445);
      if (lookahead == '/') ADVANCE(505);
      if (lookahead == '0') ADVANCE(589);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(372);
      if (lookahead == '>') ADVANCE(440);
      if (lookahead == '?') ADVANCE(979);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '^') ADVANCE(489);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(740);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(878);
      if (lookahead == 'i') ADVANCE(843);
      if (lookahead == 'n') ADVANCE(767);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(714);
      if (lookahead == 'u') ADVANCE(858);
      if (lookahead == 'v') ADVANCE(874);
      if (lookahead == '{') ADVANCE(382);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(683);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(20)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(968);
      END_STATE();
    case 21:
      if (lookahead == '!') ADVANCE(397);
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '%') ADVANCE(507);
      if (lookahead == '&') ADVANCE(486);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == '*') ADVANCE(364);
      if (lookahead == '+') ADVANCE(498);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '-') ADVANCE(502);
      if (lookahead == '.') ADVANCE(443);
      if (lookahead == '/') ADVANCE(505);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(372);
      if (lookahead == '>') ADVANCE(440);
      if (lookahead == '?') ADVANCE(69);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '^') ADVANCE(489);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(913);
      if (lookahead == 'i') ADVANCE(862);
      if (lookahead == 'o') ADVANCE(798);
      if (lookahead == 's') ADVANCE(715);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(728);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(21)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(968);
      END_STATE();
    case 22:
      if (lookahead == '!') ADVANCE(397);
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '%') ADVANCE(507);
      if (lookahead == '&') ADVANCE(486);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == '*') ADVANCE(364);
      if (lookahead == '+') ADVANCE(498);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '-') ADVANCE(502);
      if (lookahead == '.') ADVANCE(443);
      if (lookahead == '/') ADVANCE(505);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(372);
      if (lookahead == '>') ADVANCE(440);
      if (lookahead == '?') ADVANCE(69);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '^') ADVANCE(489);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(913);
      if (lookahead == 'i') ADVANCE(843);
      if (lookahead == 's') ADVANCE(715);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(730);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(22)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(968);
      END_STATE();
    case 23:
      if (lookahead == '!') ADVANCE(397);
      if (lookahead == '%') ADVANCE(507);
      if (lookahead == '&') ADVANCE(486);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(364);
      if (lookahead == '+') ADVANCE(498);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '-') ADVANCE(502);
      if (lookahead == '.') ADVANCE(443);
      if (lookahead == '/') ADVANCE(505);
      if (lookahead == ':') ADVANCE(416);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(372);
      if (lookahead == '>') ADVANCE(440);
      if (lookahead == '?') ADVANCE(979);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == ']') ADVANCE(424);
      if (lookahead == '^') ADVANCE(489);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(852);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(952);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(862);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(714);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '}') ADVANCE(384);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(712);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(23)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(968);
      END_STATE();
    case 24:
      if (lookahead == '!') ADVANCE(397);
      if (lookahead == '%') ADVANCE(507);
      if (lookahead == '&') ADVANCE(486);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(364);
      if (lookahead == '+') ADVANCE(498);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '-') ADVANCE(502);
      if (lookahead == '.') ADVANCE(443);
      if (lookahead == '/') ADVANCE(505);
      if (lookahead == ':') ADVANCE(416);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(372);
      if (lookahead == '>') ADVANCE(440);
      if (lookahead == '?') ADVANCE(979);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == ']') ADVANCE(424);
      if (lookahead == '^') ADVANCE(489);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(267);
      if (lookahead == 'e') ADVANCE(307);
      if (lookahead == 'f') ADVANCE(256);
      if (lookahead == 'i') ADVANCE(212);
      if (lookahead == 'o') ADVANCE(165);
      if (lookahead == 's') ADVANCE(99);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '|') ADVANCE(492);
      if (lookahead == '}') ADVANCE(384);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(24)
      END_STATE();
    case 25:
      if (lookahead == '!') ADVANCE(397);
      if (lookahead == '%') ADVANCE(507);
      if (lookahead == '&') ADVANCE(486);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == '*') ADVANCE(364);
      if (lookahead == '+') ADVANCE(498);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '-') ADVANCE(502);
      if (lookahead == '.') ADVANCE(443);
      if (lookahead == '/') ADVANCE(505);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(372);
      if (lookahead == '>') ADVANCE(440);
      if (lookahead == '?') ADVANCE(69);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '^') ADVANCE(489);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(852);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(952);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(862);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(744);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(714);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(711);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(25)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(968);
      END_STATE();
    case 26:
      if (lookahead == '!') ADVANCE(397);
      if (lookahead == '%') ADVANCE(507);
      if (lookahead == '&') ADVANCE(486);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == '*') ADVANCE(364);
      if (lookahead == '+') ADVANCE(498);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '-') ADVANCE(502);
      if (lookahead == '.') ADVANCE(443);
      if (lookahead == '/') ADVANCE(505);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(372);
      if (lookahead == '>') ADVANCE(440);
      if (lookahead == '?') ADVANCE(69);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '^') ADVANCE(489);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(852);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(952);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(843);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(714);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(713);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(26)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(968);
      END_STATE();
    case 27:
      if (lookahead == '!') ADVANCE(397);
      if (lookahead == '%') ADVANCE(506);
      if (lookahead == '&') ADVANCE(487);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(365);
      if (lookahead == '+') ADVANCE(497);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '-') ADVANCE(501);
      if (lookahead == '.') ADVANCE(443);
      if (lookahead == '/') ADVANCE(504);
      if (lookahead == ':') ADVANCE(416);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(515);
      if (lookahead == '=') ADVANCE(86);
      if (lookahead == '>') ADVANCE(441);
      if (lookahead == '?') ADVANCE(70);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == ']') ADVANCE(424);
      if (lookahead == '^') ADVANCE(488);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(580);
      if (lookahead == 'i') ADVANCE(575);
      if (lookahead == 's') ADVANCE(560);
      if (lookahead == '{') ADVANCE(382);
      if (lookahead == '|') ADVANCE(493);
      if (lookahead == '}') ADVANCE(384);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(28)
      END_STATE();
    case 28:
      if (lookahead == '!') ADVANCE(397);
      if (lookahead == '%') ADVANCE(506);
      if (lookahead == '&') ADVANCE(487);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(365);
      if (lookahead == '+') ADVANCE(497);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '-') ADVANCE(501);
      if (lookahead == '.') ADVANCE(443);
      if (lookahead == '/') ADVANCE(504);
      if (lookahead == ':') ADVANCE(416);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(515);
      if (lookahead == '=') ADVANCE(86);
      if (lookahead == '>') ADVANCE(441);
      if (lookahead == '?') ADVANCE(70);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == ']') ADVANCE(424);
      if (lookahead == '^') ADVANCE(488);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(267);
      if (lookahead == 'i') ADVANCE(219);
      if (lookahead == 's') ADVANCE(99);
      if (lookahead == '{') ADVANCE(382);
      if (lookahead == '|') ADVANCE(493);
      if (lookahead == '}') ADVANCE(384);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(28)
      END_STATE();
    case 29:
      if (lookahead == '!') ADVANCE(397);
      if (lookahead == '%') ADVANCE(506);
      if (lookahead == '&') ADVANCE(487);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(365);
      if (lookahead == '+') ADVANCE(497);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '-') ADVANCE(501);
      if (lookahead == '.') ADVANCE(443);
      if (lookahead == '/') ADVANCE(504);
      if (lookahead == ':') ADVANCE(416);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(515);
      if (lookahead == '=') ADVANCE(371);
      if (lookahead == '>') ADVANCE(441);
      if (lookahead == '?') ADVANCE(980);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == ']') ADVANCE(424);
      if (lookahead == '^') ADVANCE(488);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(267);
      if (lookahead == 'e') ADVANCE(188);
      if (lookahead == 'i') ADVANCE(213);
      if (lookahead == 'o') ADVANCE(165);
      if (lookahead == 's') ADVANCE(99);
      if (lookahead == 'w') ADVANCE(171);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '|') ADVANCE(494);
      if (lookahead == '}') ADVANCE(384);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(29)
      END_STATE();
    case 30:
      if (lookahead == '!') ADVANCE(397);
      if (lookahead == '%') ADVANCE(506);
      if (lookahead == '&') ADVANCE(487);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == '*') ADVANCE(365);
      if (lookahead == '+') ADVANCE(497);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '-') ADVANCE(501);
      if (lookahead == '.') ADVANCE(443);
      if (lookahead == '/') ADVANCE(504);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(515);
      if (lookahead == '=') ADVANCE(86);
      if (lookahead == '>') ADVANCE(441);
      if (lookahead == '?') ADVANCE(70);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '^') ADVANCE(488);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(580);
      if (lookahead == 'i') ADVANCE(575);
      if (lookahead == 'o') ADVANCE(568);
      if (lookahead == 's') ADVANCE(560);
      if (lookahead == '|') ADVANCE(493);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(31)
      END_STATE();
    case 31:
      if (lookahead == '!') ADVANCE(397);
      if (lookahead == '%') ADVANCE(506);
      if (lookahead == '&') ADVANCE(487);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == '*') ADVANCE(365);
      if (lookahead == '+') ADVANCE(497);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '-') ADVANCE(501);
      if (lookahead == '.') ADVANCE(443);
      if (lookahead == '/') ADVANCE(504);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(515);
      if (lookahead == '=') ADVANCE(86);
      if (lookahead == '>') ADVANCE(441);
      if (lookahead == '?') ADVANCE(70);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '^') ADVANCE(488);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(267);
      if (lookahead == 'i') ADVANCE(219);
      if (lookahead == 'o') ADVANCE(165);
      if (lookahead == 's') ADVANCE(99);
      if (lookahead == '|') ADVANCE(493);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(31)
      END_STATE();
    case 32:
      if (lookahead == '!') ADVANCE(397);
      if (lookahead == '%') ADVANCE(506);
      if (lookahead == '&') ADVANCE(487);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == '*') ADVANCE(365);
      if (lookahead == '+') ADVANCE(497);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '-') ADVANCE(501);
      if (lookahead == '.') ADVANCE(443);
      if (lookahead == '/') ADVANCE(504);
      if (lookahead == '<') ADVANCE(515);
      if (lookahead == '=') ADVANCE(86);
      if (lookahead == '>') ADVANCE(441);
      if (lookahead == '?') ADVANCE(70);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '^') ADVANCE(488);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(580);
      if (lookahead == 'i') ADVANCE(573);
      if (lookahead == 's') ADVANCE(560);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '|') ADVANCE(493);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(33)
      END_STATE();
    case 33:
      if (lookahead == '!') ADVANCE(397);
      if (lookahead == '%') ADVANCE(506);
      if (lookahead == '&') ADVANCE(487);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == '*') ADVANCE(365);
      if (lookahead == '+') ADVANCE(497);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '-') ADVANCE(501);
      if (lookahead == '.') ADVANCE(443);
      if (lookahead == '/') ADVANCE(504);
      if (lookahead == '<') ADVANCE(515);
      if (lookahead == '=') ADVANCE(86);
      if (lookahead == '>') ADVANCE(441);
      if (lookahead == '?') ADVANCE(70);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '^') ADVANCE(488);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(267);
      if (lookahead == 'i') ADVANCE(212);
      if (lookahead == 's') ADVANCE(99);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '|') ADVANCE(493);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(33)
      END_STATE();
    case 34:
      if (lookahead == '!') ADVANCE(360);
      if (lookahead == '\\') ADVANCE(300);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(970);
      END_STATE();
    case 35:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '#') ADVANCE(91);
      if (lookahead == '&') ADVANCE(485);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(363);
      if (lookahead == '+') ADVANCE(497);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '-') ADVANCE(501);
      if (lookahead == '.') ADVANCE(67);
      if (lookahead == '/') ADVANCE(504);
      if (lookahead == '0') ADVANCE(589);
      if (lookahead == '<') ADVANCE(517);
      if (lookahead == '?') ADVANCE(977);
      if (lookahead == '@') ADVANCE(973);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == ']') ADVANCE(424);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(741);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(825);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(952);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(850);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(709);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'u') ADVANCE(858);
      if (lookahead == 'v') ADVANCE(874);
      if (lookahead == '{') ADVANCE(382);
      if (lookahead == '|') ADVANCE(490);
      if (lookahead == '~') ADVANCE(529);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(698);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(35)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '>' < lookahead) &&
          lookahead != '^' &&
          lookahead != '}') ADVANCE(968);
      END_STATE();
    case 36:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '#') ADVANCE(91);
      if (lookahead == '&') ADVANCE(485);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '+') ADVANCE(497);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '-') ADVANCE(501);
      if (lookahead == '.') ADVANCE(326);
      if (lookahead == '/') ADVANCE(504);
      if (lookahead == '0') ADVANCE(589);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(517);
      if (lookahead == '>') ADVANCE(439);
      if (lookahead == '?') ADVANCE(977);
      if (lookahead == '@') ADVANCE(973);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == ']') ADVANCE(424);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(853);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(826);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(951);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(850);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(874);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '|') ADVANCE(495);
      if (lookahead == '}') ADVANCE(384);
      if (lookahead == '~') ADVANCE(529);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(705);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(36)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '=' < lookahead) &&
          lookahead != '^') ADVANCE(968);
      END_STATE();
    case 37:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '#') ADVANCE(91);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '+') ADVANCE(497);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '-') ADVANCE(501);
      if (lookahead == '.') ADVANCE(444);
      if (lookahead == '/') ADVANCE(504);
      if (lookahead == '0') ADVANCE(589);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(517);
      if (lookahead == '@') ADVANCE(973);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == ']') ADVANCE(424);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(853);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(826);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(952);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(850);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(874);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '}') ADVANCE(384);
      if (lookahead == '~') ADVANCE(529);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(704);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(37)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(968);
      END_STATE();
    case 38:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '#') ADVANCE(91);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == '*') ADVANCE(363);
      if (lookahead == '+') ADVANCE(496);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '.') ADVANCE(444);
      if (lookahead == '/') ADVANCE(62);
      if (lookahead == '0') ADVANCE(589);
      if (lookahead == ':') ADVANCE(416);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(510);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '?') ADVANCE(977);
      if (lookahead == '@') ADVANCE(973);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(742);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(952);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '|') ADVANCE(320);
      if (lookahead == '}') ADVANCE(384);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(706);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(38)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '>' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '`' &&
          lookahead != '~') ADVANCE(968);
      END_STATE();
    case 39:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '#') ADVANCE(91);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == '*') ADVANCE(363);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '.') ADVANCE(67);
      if (lookahead == '/') ADVANCE(62);
      if (lookahead == '0') ADVANCE(589);
      if (lookahead == ':') ADVANCE(416);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(510);
      if (lookahead == '=') ADVANCE(373);
      if (lookahead == '?') ADVANCE(977);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(854);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(952);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '|') ADVANCE(320);
      if (lookahead == '}') ADVANCE(384);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(707);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(39)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '`' &&
          lookahead != '~') ADVANCE(968);
      END_STATE();
    case 40:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '#') ADVANCE(91);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == '+') ADVANCE(497);
      if (lookahead == '-') ADVANCE(501);
      if (lookahead == '.') ADVANCE(445);
      if (lookahead == '/') ADVANCE(504);
      if (lookahead == '0') ADVANCE(589);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(517);
      if (lookahead == '@') ADVANCE(973);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(741);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(735);
      if (lookahead == 'd') ADVANCE(765);
      if (lookahead == 'e') ADVANCE(856);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(849);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(721);
      if (lookahead == 'w') ADVANCE(806);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '}') ADVANCE(384);
      if (lookahead == '~') ADVANCE(529);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(692);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(40)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(968);
      END_STATE();
    case 41:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '#') ADVANCE(91);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == '+') ADVANCE(497);
      if (lookahead == '-') ADVANCE(501);
      if (lookahead == '.') ADVANCE(445);
      if (lookahead == '/') ADVANCE(504);
      if (lookahead == '0') ADVANCE(589);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(517);
      if (lookahead == '@') ADVANCE(973);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(741);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(735);
      if (lookahead == 'd') ADVANCE(765);
      if (lookahead == 'e') ADVANCE(823);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(849);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(721);
      if (lookahead == 'w') ADVANCE(806);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '}') ADVANCE(384);
      if (lookahead == '~') ADVANCE(529);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(694);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(41)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(968);
      END_STATE();
    case 42:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '#') ADVANCE(91);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == '+') ADVANCE(497);
      if (lookahead == '-') ADVANCE(501);
      if (lookahead == '.') ADVANCE(326);
      if (lookahead == '/') ADVANCE(504);
      if (lookahead == '0') ADVANCE(589);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(517);
      if (lookahead == '@') ADVANCE(973);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(741);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(708);
      if (lookahead == 'd') ADVANCE(765);
      if (lookahead == 'e') ADVANCE(856);
      if (lookahead == 'f') ADVANCE(809);
      if (lookahead == 'i') ADVANCE(849);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(721);
      if (lookahead == 'w') ADVANCE(806);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '}') ADVANCE(384);
      if (lookahead == '~') ADVANCE(529);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(689);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(42)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(968);
      END_STATE();
    case 43:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '#') ADVANCE(91);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == '+') ADVANCE(497);
      if (lookahead == '-') ADVANCE(501);
      if (lookahead == '.') ADVANCE(326);
      if (lookahead == '/') ADVANCE(504);
      if (lookahead == '0') ADVANCE(589);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(517);
      if (lookahead == '@') ADVANCE(973);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(741);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(708);
      if (lookahead == 'd') ADVANCE(765);
      if (lookahead == 'e') ADVANCE(823);
      if (lookahead == 'f') ADVANCE(809);
      if (lookahead == 'i') ADVANCE(849);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(721);
      if (lookahead == 'w') ADVANCE(806);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '}') ADVANCE(384);
      if (lookahead == '~') ADVANCE(529);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(690);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(43)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(968);
      END_STATE();
    case 44:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '#') ADVANCE(91);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == '+') ADVANCE(497);
      if (lookahead == '-') ADVANCE(501);
      if (lookahead == '.') ADVANCE(326);
      if (lookahead == '/') ADVANCE(504);
      if (lookahead == '0') ADVANCE(589);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(517);
      if (lookahead == '@') ADVANCE(973);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(741);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(735);
      if (lookahead == 'd') ADVANCE(765);
      if (lookahead == 'e') ADVANCE(856);
      if (lookahead == 'f') ADVANCE(809);
      if (lookahead == 'i') ADVANCE(849);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(721);
      if (lookahead == 'w') ADVANCE(806);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '}') ADVANCE(384);
      if (lookahead == '~') ADVANCE(529);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(691);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(44)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(968);
      END_STATE();
    case 45:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '#') ADVANCE(91);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == '+') ADVANCE(497);
      if (lookahead == '-') ADVANCE(501);
      if (lookahead == '.') ADVANCE(326);
      if (lookahead == '/') ADVANCE(504);
      if (lookahead == '0') ADVANCE(589);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(517);
      if (lookahead == '@') ADVANCE(973);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(741);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(735);
      if (lookahead == 'd') ADVANCE(765);
      if (lookahead == 'e') ADVANCE(823);
      if (lookahead == 'f') ADVANCE(809);
      if (lookahead == 'i') ADVANCE(849);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(721);
      if (lookahead == 'w') ADVANCE(806);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '}') ADVANCE(384);
      if (lookahead == '~') ADVANCE(529);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(693);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(45)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(968);
      END_STATE();
    case 46:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '#') ADVANCE(91);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == '+') ADVANCE(497);
      if (lookahead == '-') ADVANCE(501);
      if (lookahead == '.') ADVANCE(326);
      if (lookahead == '/') ADVANCE(504);
      if (lookahead == '0') ADVANCE(589);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(517);
      if (lookahead == '@') ADVANCE(973);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(853);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(825);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(952);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(850);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(721);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '~') ADVANCE(529);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(703);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(46)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(968);
      END_STATE();
    case 47:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '#') ADVANCE(91);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == '+') ADVANCE(497);
      if (lookahead == '-') ADVANCE(501);
      if (lookahead == '.') ADVANCE(326);
      if (lookahead == '/') ADVANCE(504);
      if (lookahead == '0') ADVANCE(589);
      if (lookahead == '<') ADVANCE(517);
      if (lookahead == '@') ADVANCE(973);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(741);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(825);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(856);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(849);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(721);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '~') ADVANCE(529);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(697);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(47)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(968);
      END_STATE();
    case 48:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '&') ADVANCE(485);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(363);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '.') ADVANCE(443);
      if (lookahead == '/') ADVANCE(557);
      if (lookahead == ':') ADVANCE(416);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(510);
      if (lookahead == '=') ADVANCE(373);
      if (lookahead == '>') ADVANCE(439);
      if (lookahead == '?') ADVANCE(977);
      if (lookahead == '@') ADVANCE(973);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == ']') ADVANCE(424);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(116);
      if (lookahead == 'c') ADVANCE(191);
      if (lookahead == 'd') ADVANCE(137);
      if (lookahead == 'e') ADVANCE(187);
      if (lookahead == 'f') ADVANCE(296);
      if (lookahead == 'i') ADVANCE(207);
      if (lookahead == 'l') ADVANCE(149);
      if (lookahead == 'm') ADVANCE(232);
      if (lookahead == 'n') ADVANCE(95);
      if (lookahead == 't') ADVANCE(311);
      if (lookahead == 'v') ADVANCE(102);
      if (lookahead == 'w') ADVANCE(171);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '|') ADVANCE(495);
      if (lookahead == '}') ADVANCE(384);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(49)
      END_STATE();
    case 49:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '&') ADVANCE(485);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(363);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '.') ADVANCE(443);
      if (lookahead == '/') ADVANCE(62);
      if (lookahead == ':') ADVANCE(416);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(510);
      if (lookahead == '=') ADVANCE(373);
      if (lookahead == '>') ADVANCE(439);
      if (lookahead == '?') ADVANCE(977);
      if (lookahead == '@') ADVANCE(973);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == ']') ADVANCE(424);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(116);
      if (lookahead == 'c') ADVANCE(191);
      if (lookahead == 'd') ADVANCE(137);
      if (lookahead == 'e') ADVANCE(187);
      if (lookahead == 'f') ADVANCE(296);
      if (lookahead == 'i') ADVANCE(207);
      if (lookahead == 'l') ADVANCE(149);
      if (lookahead == 'm') ADVANCE(232);
      if (lookahead == 'n') ADVANCE(95);
      if (lookahead == 't') ADVANCE(311);
      if (lookahead == 'v') ADVANCE(102);
      if (lookahead == 'w') ADVANCE(171);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '|') ADVANCE(495);
      if (lookahead == '}') ADVANCE(384);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(49)
      END_STATE();
    case 50:
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '&') ADVANCE(485);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '.') ADVANCE(443);
      if (lookahead == '/') ADVANCE(62);
      if (lookahead == ':') ADVANCE(416);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(510);
      if (lookahead == '=') ADVANCE(373);
      if (lookahead == '>') ADVANCE(439);
      if (lookahead == '?') ADVANCE(978);
      if (lookahead == '@') ADVANCE(973);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == ']') ADVANCE(424);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(117);
      if (lookahead == 'c') ADVANCE(190);
      if (lookahead == 'e') ADVANCE(306);
      if (lookahead == 'i') ADVANCE(220);
      if (lookahead == 'o') ADVANCE(165);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '|') ADVANCE(495);
      if (lookahead == '}') ADVANCE(384);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(50)
      END_STATE();
    case 51:
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '#') ADVANCE(91);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == '*') ADVANCE(363);
      if (lookahead == '.') ADVANCE(443);
      if (lookahead == '/') ADVANCE(62);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(510);
      if (lookahead == '?') ADVANCE(68);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(962);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(51)
      if (lookahead != 0 &&
          lookahead > '!' &&
          (lookahead < '%' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          (lookahead < '|' || '~' < lookahead)) ADVANCE(968);
      END_STATE();
    case 52:
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '&') ADVANCE(485);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == '*') ADVANCE(363);
      if (lookahead == '+') ADVANCE(496);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '.') ADVANCE(67);
      if (lookahead == '/') ADVANCE(62);
      if (lookahead == '0') ADVANCE(589);
      if (lookahead == '<') ADVANCE(510);
      if (lookahead == '?') ADVANCE(977);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == ']') ADVANCE(424);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(743);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(878);
      if (lookahead == 'n') ADVANCE(767);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 'u') ADVANCE(858);
      if (lookahead == 'v') ADVANCE(874);
      if (lookahead == '{') ADVANCE(382);
      if (lookahead == '|') ADVANCE(490);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(687);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(52)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          lookahead != '^' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(968);
      END_STATE();
    case 53:
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '&') ADVANCE(485);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == '*') ADVANCE(363);
      if (lookahead == '+') ADVANCE(496);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '.') ADVANCE(326);
      if (lookahead == '/') ADVANCE(62);
      if (lookahead == '0') ADVANCE(589);
      if (lookahead == '<') ADVANCE(510);
      if (lookahead == '>') ADVANCE(439);
      if (lookahead == '?') ADVANCE(977);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(743);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(878);
      if (lookahead == 'i') ADVANCE(850);
      if (lookahead == 'n') ADVANCE(767);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 'u') ADVANCE(858);
      if (lookahead == 'v') ADVANCE(874);
      if (lookahead == '{') ADVANCE(382);
      if (lookahead == '|') ADVANCE(490);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(686);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(53)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(968);
      END_STATE();
    case 54:
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '&') ADVANCE(485);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == '*') ADVANCE(363);
      if (lookahead == '+') ADVANCE(496);
      if (lookahead == '-') ADVANCE(500);
      if (lookahead == '.') ADVANCE(326);
      if (lookahead == '/') ADVANCE(62);
      if (lookahead == '0') ADVANCE(589);
      if (lookahead == '<') ADVANCE(510);
      if (lookahead == '?') ADVANCE(977);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(610);
      if (lookahead == 'b') ADVANCE(650);
      if (lookahead == 'c') ADVANCE(648);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(611);
      if (lookahead == 'r') ADVANCE(620);
      if (lookahead == 's') ADVANCE(660);
      if (lookahead == 'u') ADVANCE(637);
      if (lookahead == 'v') ADVANCE(645);
      if (lookahead == '{') ADVANCE(382);
      if (lookahead == '|') ADVANCE(490);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(688);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(54)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (lookahead != 0 &&
          lookahead > '~') ADVANCE(968);
      END_STATE();
    case 55:
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == '*') ADVANCE(363);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '.') ADVANCE(443);
      if (lookahead == '/') ADVANCE(62);
      if (lookahead == '<') ADVANCE(510);
      if (lookahead == '?') ADVANCE(68);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '}') ADVANCE(384);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(933);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(55)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '|' || '~' < lookahead)) ADVANCE(968);
      END_STATE();
    case 56:
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '*') ADVANCE(363);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '/') ADVANCE(62);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'f') ADVANCE(901);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(802);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(56)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '|' || '~' < lookahead)) ADVANCE(968);
      END_STATE();
    case 57:
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '/') ADVANCE(62);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(913);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == '}') ADVANCE(384);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(731);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(57)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(968);
      END_STATE();
    case 58:
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '/') ADVANCE(538);
      if (lookahead == '\\') ADVANCE(303);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(541);
      if (lookahead != 0) ADVANCE(542);
      END_STATE();
    case 59:
      if (lookahead == '&') ADVANCE(485);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '.') ADVANCE(443);
      if (lookahead == '/') ADVANCE(62);
      if (lookahead == ':') ADVANCE(416);
      if (lookahead == '<') ADVANCE(510);
      if (lookahead == '=') ADVANCE(373);
      if (lookahead == '>') ADVANCE(439);
      if (lookahead == '?') ADVANCE(977);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == ']') ADVANCE(424);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(267);
      if (lookahead == 'e') ADVANCE(188);
      if (lookahead == 'f') ADVANCE(256);
      if (lookahead == 'i') ADVANCE(221);
      if (lookahead == 'o') ADVANCE(165);
      if (lookahead == 'w') ADVANCE(171);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '|') ADVANCE(490);
      if (lookahead == '}') ADVANCE(384);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(59)
      END_STATE();
    case 60:
      if (lookahead == '&') ADVANCE(485);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '.') ADVANCE(443);
      if (lookahead == '/') ADVANCE(63);
      if (lookahead == ':') ADVANCE(416);
      if (lookahead == '<') ADVANCE(510);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '>') ADVANCE(439);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(669);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '|') ADVANCE(490);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(779);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(60)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (lookahead != 0 &&
          lookahead > '~') ADVANCE(968);
      END_STATE();
    case 61:
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '/') ADVANCE(544);
      if (lookahead == '\\') ADVANCE(303);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(547);
      if (lookahead != 0) ADVANCE(548);
      END_STATE();
    case 62:
      if (lookahead == '*') ADVANCE(65);
      if (lookahead == '/') ADVANCE(554);
      END_STATE();
    case 63:
      if (lookahead == '*') ADVANCE(65);
      if (lookahead == '/') ADVANCE(554);
      if (lookahead == '>') ADVANCE(447);
      END_STATE();
    case 64:
      if (lookahead == '*') ADVANCE(64);
      if (lookahead == '/') ADVANCE(553);
      if (lookahead != 0) ADVANCE(65);
      END_STATE();
    case 65:
      if (lookahead == '*') ADVANCE(64);
      if (lookahead != 0) ADVANCE(65);
      END_STATE();
    case 66:
      if (lookahead == '+') ADVANCE(89);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '-') ADVANCE(90);
      if (lookahead == '.') ADVANCE(443);
      if (lookahead == '/') ADVANCE(62);
      if (lookahead == ':') ADVANCE(416);
      if (lookahead == '<') ADVANCE(510);
      if (lookahead == '?') ADVANCE(85);
      if (lookahead == 'e') ADVANCE(307);
      if (lookahead == '{') ADVANCE(382);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(66)
      END_STATE();
    case 67:
      if (lookahead == '.') ADVANCE(71);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(604);
      END_STATE();
    case 68:
      if (lookahead == '.') ADVANCE(455);
      END_STATE();
    case 69:
      if (lookahead == '.') ADVANCE(455);
      if (lookahead == '?') ADVANCE(525);
      END_STATE();
    case 70:
      if (lookahead == '.') ADVANCE(455);
      if (lookahead == '?') ADVANCE(524);
      END_STATE();
    case 71:
      if (lookahead == '.') ADVANCE(474);
      END_STATE();
    case 72:
      if (lookahead == '.') ADVANCE(443);
      if (lookahead == '/') ADVANCE(63);
      if (lookahead == ':') ADVANCE(416);
      if (lookahead == '<') ADVANCE(510);
      if (lookahead == '=') ADVANCE(370);
      if (lookahead == '>') ADVANCE(439);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(961);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(72)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (lookahead != 0 &&
          lookahead > '~') ADVANCE(968);
      END_STATE();
    case 73:
      if (lookahead == '/') ADVANCE(62);
      if (lookahead == '<') ADVANCE(510);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(953);
      if (lookahead == 'i') ADVANCE(844);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(781);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(73)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '|' || '~' < lookahead)) ADVANCE(968);
      END_STATE();
    case 74:
      if (lookahead == '/') ADVANCE(62);
      if (lookahead == '>') ADVANCE(439);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'c') ADVANCE(878);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(755);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(74)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(968);
      END_STATE();
    case 75:
      if (lookahead == '/') ADVANCE(62);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(857);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(794);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(75)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '`' &&
          (lookahead < '|' || '~' < lookahead)) ADVANCE(968);
      END_STATE();
    case 76:
      if (lookahead == '/') ADVANCE(62);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(854);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(952);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(719);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(76)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(968);
      END_STATE();
    case 77:
      if (lookahead == '/') ADVANCE(62);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(855);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'n') ADVANCE(780);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 'u') ADVANCE(858);
      if (lookahead == 'v') ADVANCE(874);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(734);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(77)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(968);
      END_STATE();
    case 78:
      if (lookahead == '/') ADVANCE(62);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'i') ADVANCE(850);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(812);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(78)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(968);
      END_STATE();
    case 79:
      if (lookahead == '/') ADVANCE(62);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'r') ADVANCE(796);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(908);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(79)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(968);
      END_STATE();
    case 80:
      if (lookahead == '/') ADVANCE(62);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(80)
      END_STATE();
    case 81:
      if (lookahead == '/') ADVANCE(63);
      if (lookahead == '>') ADVANCE(439);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'c') ADVANCE(648);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(751);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(81)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (lookahead != 0 &&
          lookahead > '~') ADVANCE(968);
      END_STATE();
    case 82:
      if (lookahead == '/') ADVANCE(431);
      if (lookahead == '<') ADVANCE(511);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '\n' ||
          lookahead == ' ') SKIP(82)
      if (aux_sym_jsx_text_token1_character_set_1(lookahead)) ADVANCE(433);
      if (lookahead != 0 &&
          lookahead != '>' &&
          lookahead != '}') ADVANCE(432);
      END_STATE();
    case 83:
      if (lookahead == ':') ADVANCE(1024);
      END_STATE();
    case 84:
      if (lookahead == ':') ADVANCE(1023);
      END_STATE();
    case 85:
      if (lookahead == ':') ADVANCE(1025);
      END_STATE();
    case 86:
      if (lookahead == '=') ADVANCE(519);
      END_STATE();
    case 87:
      if (lookahead == '>') ADVANCE(429);
      END_STATE();
    case 88:
      if (lookahead == '>') ADVANCE(430);
      END_STATE();
    case 89:
      if (lookahead == '?') ADVANCE(83);
      END_STATE();
    case 90:
      if (lookahead == '?') ADVANCE(84);
      END_STATE();
    case 91:
      if (lookahead == '\\') ADVANCE(300);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(970);
      END_STATE();
    case 92:
      if (lookahead == '\\') ADVANCE(346);
      if (lookahead == ']') ADVANCE(559);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(92);
      END_STATE();
    case 93:
      if (lookahead == 'a') ADVANCE(284);
      END_STATE();
    case 94:
      if (lookahead == 'a') ADVANCE(272);
      if (lookahead == 'l') ADVANCE(101);
      if (lookahead == 'o') ADVANCE(231);
      END_STATE();
    case 95:
      if (lookahead == 'a') ADVANCE(210);
      END_STATE();
    case 96:
      if (lookahead == 'a') ADVANCE(210);
      if (lookahead == 'e') ADVANCE(304);
      if (lookahead == 'u') ADVANCE(208);
      END_STATE();
    case 97:
      if (lookahead == 'a') ADVANCE(133);
      if (lookahead == 'q') ADVANCE(298);
      END_STATE();
    case 98:
      if (lookahead == 'a') ADVANCE(251);
      if (lookahead == 'y') ADVANCE(247);
      END_STATE();
    case 99:
      if (lookahead == 'a') ADVANCE(286);
      END_STATE();
    case 100:
      if (lookahead == 'a') ADVANCE(286);
      if (lookahead == 't') ADVANCE(257);
      if (lookahead == 'y') ADVANCE(209);
      END_STATE();
    case 101:
      if (lookahead == 'a') ADVANCE(271);
      END_STATE();
    case 102:
      if (lookahead == 'a') ADVANCE(252);
      END_STATE();
    case 103:
      if (lookahead == 'a') ADVANCE(252);
      if (lookahead == 'o') ADVANCE(174);
      END_STATE();
    case 104:
      if (lookahead == 'a') ADVANCE(175);
      END_STATE();
    case 105:
      if (lookahead == 'a') ADVANCE(194);
      END_STATE();
    case 106:
      if (lookahead == 'a') ADVANCE(184);
      END_STATE();
    case 107:
      if (lookahead == 'a') ADVANCE(261);
      END_STATE();
    case 108:
      if (lookahead == 'a') ADVANCE(226);
      END_STATE();
    case 109:
      if (lookahead == 'a') ADVANCE(216);
      END_STATE();
    case 110:
      if (lookahead == 'a') ADVANCE(297);
      END_STATE();
    case 111:
      if (lookahead == 'a') ADVANCE(127);
      END_STATE();
    case 112:
      if (lookahead == 'a') ADVANCE(125);
      END_STATE();
    case 113:
      if (lookahead == 'a') ADVANCE(128);
      END_STATE();
    case 114:
      if (lookahead == 'a') ADVANCE(292);
      END_STATE();
    case 115:
      if (lookahead == 'b') ADVANCE(270);
      if (lookahead == 'n') ADVANCE(308);
      if (lookahead == 's') ADVANCE(377);
      if (lookahead == 'w') ADVANCE(104);
      END_STATE();
    case 116:
      if (lookahead == 'b') ADVANCE(270);
      if (lookahead == 's') ADVANCE(377);
      END_STATE();
    case 117:
      if (lookahead == 'b') ADVANCE(270);
      if (lookahead == 's') ADVANCE(374);
      END_STATE();
    case 118:
      if (lookahead == 'b') ADVANCE(182);
      END_STATE();
    case 119:
      if (lookahead == 'b') ADVANCE(106);
      END_STATE();
    case 120:
      if (lookahead == 'b') ADVANCE(240);
      END_STATE();
    case 121:
      if (lookahead == 'b') ADVANCE(156);
      END_STATE();
    case 122:
      if (lookahead == 'c') ADVANCE(450);
      END_STATE();
    case 123:
      if (lookahead == 'c') ADVANCE(170);
      END_STATE();
    case 124:
      if (lookahead == 'c') ADVANCE(280);
      END_STATE();
    case 125:
      if (lookahead == 'c') ADVANCE(283);
      END_STATE();
    case 126:
      if (lookahead == 'c') ADVANCE(157);
      END_STATE();
    case 127:
      if (lookahead == 'c') ADVANCE(147);
      END_STATE();
    case 128:
      if (lookahead == 'c') ADVANCE(148);
      END_STATE();
    case 129:
      if (lookahead == 'c') ADVANCE(195);
      if (lookahead == 'f') ADVANCE(110);
      END_STATE();
    case 130:
      if (lookahead == 'c') ADVANCE(287);
      END_STATE();
    case 131:
      if (lookahead == 'd') ADVANCE(530);
      END_STATE();
    case 132:
      if (lookahead == 'd') ADVANCE(302);
      END_STATE();
    case 133:
      if (lookahead == 'd') ADVANCE(241);
      END_STATE();
    case 134:
      if (lookahead == 'd') ADVANCE(264);
      END_STATE();
    case 135:
      if (lookahead == 'e') ADVANCE(203);
      END_STATE();
    case 136:
      if (lookahead == 'e') ADVANCE(87);
      END_STATE();
    case 137:
      if (lookahead == 'e') ADVANCE(129);
      END_STATE();
    case 138:
      if (lookahead == 'e') ADVANCE(97);
      END_STATE();
    case 139:
      if (lookahead == 'e') ADVANCE(417);
      END_STATE();
    case 140:
      if (lookahead == 'e') ADVANCE(398);
      END_STATE();
    case 141:
      if (lookahead == 'e') ADVANCE(368);
      END_STATE();
    case 142:
      if (lookahead == 'e') ADVANCE(413);
      END_STATE();
    case 143:
      if (lookahead == 'e') ADVANCE(983);
      END_STATE();
    case 144:
      if (lookahead == 'e') ADVANCE(1028);
      END_STATE();
    case 145:
      if (lookahead == 'e') ADVANCE(981);
      END_STATE();
    case 146:
      if (lookahead == 'e') ADVANCE(1009);
      END_STATE();
    case 147:
      if (lookahead == 'e') ADVANCE(1019);
      END_STATE();
    case 148:
      if (lookahead == 'e') ADVANCE(379);
      END_STATE();
    case 149:
      if (lookahead == 'e') ADVANCE(275);
      END_STATE();
    case 150:
      if (lookahead == 'e') ADVANCE(88);
      END_STATE();
    case 151:
      if (lookahead == 'e') ADVANCE(269);
      END_STATE();
    case 152:
      if (lookahead == 'e') ADVANCE(253);
      END_STATE();
    case 153:
      if (lookahead == 'e') ADVANCE(225);
      END_STATE();
    case 154:
      if (lookahead == 'e') ADVANCE(254);
      END_STATE();
    case 155:
      if (lookahead == 'e') ADVANCE(265);
      END_STATE();
    case 156:
      if (lookahead == 'e') ADVANCE(255);
      END_STATE();
    case 157:
      if (lookahead == 'e') ADVANCE(237);
      END_STATE();
    case 158:
      if (lookahead == 'e') ADVANCE(281);
      END_STATE();
    case 159:
      if (lookahead == 'e') ADVANCE(230);
      END_STATE();
    case 160:
      if (lookahead == 'e') ADVANCE(211);
      END_STATE();
    case 161:
      if (lookahead == 'e') ADVANCE(124);
      END_STATE();
    case 162:
      if (lookahead == 'e') ADVANCE(109);
      END_STATE();
    case 163:
      if (lookahead == 'e') ADVANCE(214);
      END_STATE();
    case 164:
      if (lookahead == 'f') ADVANCE(526);
      END_STATE();
    case 165:
      if (lookahead == 'f') ADVANCE(410);
      END_STATE();
    case 166:
      if (lookahead == 'f') ADVANCE(178);
      END_STATE();
    case 167:
      if (lookahead == 'f') ADVANCE(111);
      END_STATE();
    case 168:
      if (lookahead == 'g') ADVANCE(994);
      END_STATE();
    case 169:
      if (lookahead == 'g') ADVANCE(158);
      END_STATE();
    case 170:
      if (lookahead == 'h') ADVANCE(419);
      END_STATE();
    case 171:
      if (lookahead == 'h') ADVANCE(179);
      END_STATE();
    case 172:
      if (lookahead == 'i') ADVANCE(250);
      if (lookahead == 'k') ADVANCE(229);
      END_STATE();
    case 173:
      if (lookahead == 'i') ADVANCE(227);
      if (lookahead == 'r') ADVANCE(238);
      if (lookahead == 'u') ADVANCE(222);
      END_STATE();
    case 174:
      if (lookahead == 'i') ADVANCE(131);
      END_STATE();
    case 175:
      if (lookahead == 'i') ADVANCE(276);
      END_STATE();
    case 176:
      if (lookahead == 'i') ADVANCE(268);
      END_STATE();
    case 177:
      if (lookahead == 'i') ADVANCE(223);
      END_STATE();
    case 178:
      if (lookahead == 'i') ADVANCE(155);
      END_STATE();
    case 179:
      if (lookahead == 'i') ADVANCE(198);
      END_STATE();
    case 180:
      if (lookahead == 'i') ADVANCE(242);
      END_STATE();
    case 181:
      if (lookahead == 'i') ADVANCE(262);
      END_STATE();
    case 182:
      if (lookahead == 'j') ADVANCE(161);
      END_STATE();
    case 183:
      if (lookahead == 'l') ADVANCE(93);
      END_STATE();
    case 184:
      if (lookahead == 'l') ADVANCE(1017);
      END_STATE();
    case 185:
      if (lookahead == 'l') ADVANCE(997);
      END_STATE();
    case 186:
      if (lookahead == 'l') ADVANCE(273);
      if (lookahead == 'n') ADVANCE(295);
      if (lookahead == 'x') ADVANCE(245);
      END_STATE();
    case 187:
      if (lookahead == 'l') ADVANCE(273);
      if (lookahead == 'n') ADVANCE(295);
      if (lookahead == 'x') ADVANCE(288);
      END_STATE();
    case 188:
      if (lookahead == 'l') ADVANCE(273);
      if (lookahead == 'x') ADVANCE(288);
      END_STATE();
    case 189:
      if (lookahead == 'l') ADVANCE(309);
      END_STATE();
    case 190:
      if (lookahead == 'l') ADVANCE(101);
      END_STATE();
    case 191:
      if (lookahead == 'l') ADVANCE(101);
      if (lookahead == 'o') ADVANCE(231);
      END_STATE();
    case 192:
      if (lookahead == 'l') ADVANCE(310);
      END_STATE();
    case 193:
      if (lookahead == 'l') ADVANCE(234);
      END_STATE();
    case 194:
      if (lookahead == 'l') ADVANCE(189);
      END_STATE();
    case 195:
      if (lookahead == 'l') ADVANCE(107);
      END_STATE();
    case 196:
      if (lookahead == 'l') ADVANCE(282);
      END_STATE();
    case 197:
      if (lookahead == 'l') ADVANCE(162);
      END_STATE();
    case 198:
      if (lookahead == 'l') ADVANCE(142);
      END_STATE();
    case 199:
      if (lookahead == 'l') ADVANCE(143);
      END_STATE();
    case 200:
      if (lookahead == 'l') ADVANCE(160);
      END_STATE();
    case 201:
      if (lookahead == 'l') ADVANCE(160);
      if (lookahead == 'o') ADVANCE(260);
      END_STATE();
    case 202:
      if (lookahead == 'l') ADVANCE(114);
      END_STATE();
    case 203:
      if (lookahead == 'm') ADVANCE(243);
      END_STATE();
    case 204:
      if (lookahead == 'm') ADVANCE(1021);
      END_STATE();
    case 205:
      if (lookahead == 'm') ADVANCE(387);
      END_STATE();
    case 206:
      if (lookahead == 'm') ADVANCE(244);
      if (lookahead == 'n') ADVANCE(409);
      if (lookahead == 's') ADVANCE(1026);
      END_STATE();
    case 207:
      if (lookahead == 'm') ADVANCE(244);
      if (lookahead == 'n') ADVANCE(290);
      if (lookahead == 's') ADVANCE(1026);
      END_STATE();
    case 208:
      if (lookahead == 'm') ADVANCE(121);
      END_STATE();
    case 209:
      if (lookahead == 'm') ADVANCE(120);
      END_STATE();
    case 210:
      if (lookahead == 'm') ADVANCE(151);
      END_STATE();
    case 211:
      if (lookahead == 'm') ADVANCE(159);
      END_STATE();
    case 212:
      if (lookahead == 'm') ADVANCE(246);
      if (lookahead == 'n') ADVANCE(408);
      END_STATE();
    case 213:
      if (lookahead == 'm') ADVANCE(246);
      if (lookahead == 'n') ADVANCE(408);
      if (lookahead == 's') ADVANCE(1026);
      END_STATE();
    case 214:
      if (lookahead == 'm') ADVANCE(249);
      END_STATE();
    case 215:
      if (lookahead == 'n') ADVANCE(172);
      END_STATE();
    case 216:
      if (lookahead == 'n') ADVANCE(991);
      END_STATE();
    case 217:
      if (lookahead == 'n') ADVANCE(1031);
      END_STATE();
    case 218:
      if (lookahead == 'n') ADVANCE(452);
      END_STATE();
    case 219:
      if (lookahead == 'n') ADVANCE(408);
      END_STATE();
    case 220:
      if (lookahead == 'n') ADVANCE(404);
      END_STATE();
    case 221:
      if (lookahead == 'n') ADVANCE(404);
      if (lookahead == 's') ADVANCE(1026);
      END_STATE();
    case 222:
      if (lookahead == 'n') ADVANCE(130);
      END_STATE();
    case 223:
      if (lookahead == 'n') ADVANCE(168);
      END_STATE();
    case 224:
      if (lookahead == 'n') ADVANCE(122);
      END_STATE();
    case 225:
      if (lookahead == 'n') ADVANCE(134);
      END_STATE();
    case 226:
      if (lookahead == 'n') ADVANCE(126);
      END_STATE();
    case 227:
      if (lookahead == 'n') ADVANCE(105);
      END_STATE();
    case 228:
      if (lookahead == 'n') ADVANCE(192);
      END_STATE();
    case 229:
      if (lookahead == 'n') ADVANCE(233);
      END_STATE();
    case 230:
      if (lookahead == 'n') ADVANCE(291);
      END_STATE();
    case 231:
      if (lookahead == 'n') ADVANCE(274);
      END_STATE();
    case 232:
      if (lookahead == 'o') ADVANCE(132);
      END_STATE();
    case 233:
      if (lookahead == 'o') ADVANCE(305);
      END_STATE();
    case 234:
      if (lookahead == 'o') ADVANCE(119);
      END_STATE();
    case 235:
      if (lookahead == 'o') ADVANCE(197);
      END_STATE();
    case 236:
      if (lookahead == 'o') ADVANCE(235);
      END_STATE();
    case 237:
      if (lookahead == 'o') ADVANCE(164);
      END_STATE();
    case 238:
      if (lookahead == 'o') ADVANCE(205);
      END_STATE();
    case 239:
      if (lookahead == 'o') ADVANCE(258);
      END_STATE();
    case 240:
      if (lookahead == 'o') ADVANCE(185);
      END_STATE();
    case 241:
      if (lookahead == 'o') ADVANCE(228);
      END_STATE();
    case 242:
      if (lookahead == 'o') ADVANCE(218);
      END_STATE();
    case 243:
      if (lookahead == 'p') ADVANCE(183);
      END_STATE();
    case 244:
      if (lookahead == 'p') ADVANCE(201);
      END_STATE();
    case 245:
      if (lookahead == 'p') ADVANCE(239);
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 246:
      if (lookahead == 'p') ADVANCE(200);
      END_STATE();
    case 247:
      if (lookahead == 'p') ADVANCE(141);
      END_STATE();
    case 248:
      if (lookahead == 'p') ADVANCE(113);
      END_STATE();
    case 249:
      if (lookahead == 'p') ADVANCE(202);
      END_STATE();
    case 250:
      if (lookahead == 'q') ADVANCE(299);
      END_STATE();
    case 251:
      if (lookahead == 'r') ADVANCE(169);
      END_STATE();
    case 252:
      if (lookahead == 'r') ADVANCE(389);
      END_STATE();
    case 253:
      if (lookahead == 'r') ADVANCE(167);
      END_STATE();
    case 254:
      if (lookahead == 'r') ADVANCE(1034);
      END_STATE();
    case 255:
      if (lookahead == 'r') ADVANCE(988);
      END_STATE();
    case 256:
      if (lookahead == 'r') ADVANCE(238);
      END_STATE();
    case 257:
      if (lookahead == 'r') ADVANCE(177);
      END_STATE();
    case 258:
      if (lookahead == 'r') ADVANCE(278);
      END_STATE();
    case 259:
      if (lookahead == 'r') ADVANCE(112);
      END_STATE();
    case 260:
      if (lookahead == 'r') ADVANCE(279);
      END_STATE();
    case 261:
      if (lookahead == 'r') ADVANCE(145);
      END_STATE();
    case 262:
      if (lookahead == 'r') ADVANCE(146);
      END_STATE();
    case 263:
      if (lookahead == 's') ADVANCE(448);
      END_STATE();
    case 264:
      if (lookahead == 's') ADVANCE(1011);
      END_STATE();
    case 265:
      if (lookahead == 's') ADVANCE(1006);
      END_STATE();
    case 266:
      if (lookahead == 's') ADVANCE(1014);
      END_STATE();
    case 267:
      if (lookahead == 's') ADVANCE(374);
      END_STATE();
    case 268:
      if (lookahead == 's') ADVANCE(166);
      END_STATE();
    case 269:
      if (lookahead == 's') ADVANCE(248);
      END_STATE();
    case 270:
      if (lookahead == 's') ADVANCE(285);
      END_STATE();
    case 271:
      if (lookahead == 's') ADVANCE(263);
      END_STATE();
    case 272:
      if (lookahead == 's') ADVANCE(139);
      if (lookahead == 't') ADVANCE(123);
      END_STATE();
    case 273:
      if (lookahead == 's') ADVANCE(140);
      END_STATE();
    case 274:
      if (lookahead == 's') ADVANCE(277);
      END_STATE();
    case 275:
      if (lookahead == 't') ADVANCE(391);
      END_STATE();
    case 276:
      if (lookahead == 't') ADVANCE(402);
      END_STATE();
    case 277:
      if (lookahead == 't') ADVANCE(393);
      END_STATE();
    case 278:
      if (lookahead == 't') ADVANCE(361);
      END_STATE();
    case 279:
      if (lookahead == 't') ADVANCE(385);
      END_STATE();
    case 280:
      if (lookahead == 't') ADVANCE(1000);
      END_STATE();
    case 281:
      if (lookahead == 't') ADVANCE(971);
      END_STATE();
    case 282:
      if (lookahead == 't') ADVANCE(366);
      END_STATE();
    case 283:
      if (lookahead == 't') ADVANCE(1003);
      END_STATE();
    case 284:
      if (lookahead == 't') ADVANCE(136);
      END_STATE();
    case 285:
      if (lookahead == 't') ADVANCE(259);
      END_STATE();
    case 286:
      if (lookahead == 't') ADVANCE(176);
      END_STATE();
    case 287:
      if (lookahead == 't') ADVANCE(180);
      END_STATE();
    case 288:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 289:
      if (lookahead == 't') ADVANCE(108);
      END_STATE();
    case 290:
      if (lookahead == 't') ADVANCE(152);
      END_STATE();
    case 291:
      if (lookahead == 't') ADVANCE(266);
      END_STATE();
    case 292:
      if (lookahead == 't') ADVANCE(150);
      END_STATE();
    case 293:
      if (lookahead == 't') ADVANCE(163);
      END_STATE();
    case 294:
      if (lookahead == 'u') ADVANCE(313);
      if (lookahead == 'x') ADVANCE(338);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(552);
      if (lookahead != 0) ADVANCE(549);
      END_STATE();
    case 295:
      if (lookahead == 'u') ADVANCE(204);
      END_STATE();
    case 296:
      if (lookahead == 'u') ADVANCE(222);
      END_STATE();
    case 297:
      if (lookahead == 'u') ADVANCE(196);
      END_STATE();
    case 298:
      if (lookahead == 'u') ADVANCE(181);
      END_STATE();
    case 299:
      if (lookahead == 'u') ADVANCE(144);
      END_STATE();
    case 300:
      if (lookahead == 'u') ADVANCE(314);
      END_STATE();
    case 301:
      if (lookahead == 'u') ADVANCE(315);
      END_STATE();
    case 302:
      if (lookahead == 'u') ADVANCE(199);
      END_STATE();
    case 303:
      if (lookahead == 'u') ADVANCE(316);
      if (lookahead == 'x') ADVANCE(338);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(552);
      if (lookahead != 0) ADVANCE(549);
      END_STATE();
    case 304:
      if (lookahead == 'v') ADVANCE(154);
      if (lookahead == 'w') ADVANCE(456);
      END_STATE();
    case 305:
      if (lookahead == 'w') ADVANCE(217);
      END_STATE();
    case 306:
      if (lookahead == 'x') ADVANCE(245);
      END_STATE();
    case 307:
      if (lookahead == 'x') ADVANCE(288);
      END_STATE();
    case 308:
      if (lookahead == 'y') ADVANCE(985);
      END_STATE();
    case 309:
      if (lookahead == 'y') ADVANCE(421);
      END_STATE();
    case 310:
      if (lookahead == 'y') ADVANCE(974);
      END_STATE();
    case 311:
      if (lookahead == 'y') ADVANCE(247);
      END_STATE();
    case 312:
      if (lookahead == '{') ADVANCE(556);
      END_STATE();
    case 313:
      if (lookahead == '{') ADVANCE(333);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(343);
      END_STATE();
    case 314:
      if (lookahead == '{') ADVANCE(336);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(344);
      END_STATE();
    case 315:
      if (lookahead == '{') ADVANCE(337);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(345);
      END_STATE();
    case 316:
      if (lookahead == '{') ADVANCE(339);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(335);
      END_STATE();
    case 317:
      if (lookahead == '}') ADVANCE(968);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(317);
      END_STATE();
    case 318:
      if (lookahead == '}') ADVANCE(970);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(318);
      END_STATE();
    case 319:
      if (lookahead == '}') ADVANCE(549);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(319);
      END_STATE();
    case 320:
      if (lookahead == '}') ADVANCE(1038);
      END_STATE();
    case 321:
      if (lookahead == '}') ADVANCE(550);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(321);
      END_STATE();
    case 322:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(328);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(603);
      END_STATE();
    case 323:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(599);
      END_STATE();
    case 324:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(600);
      END_STATE();
    case 325:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(591);
      END_STATE();
    case 326:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(604);
      END_STATE();
    case 327:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(602);
      END_STATE();
    case 328:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(603);
      END_STATE();
    case 329:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(968);
      END_STATE();
    case 330:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(970);
      END_STATE();
    case 331:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(549);
      END_STATE();
    case 332:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(601);
      END_STATE();
    case 333:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(321);
      END_STATE();
    case 334:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(550);
      END_STATE();
    case 335:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(338);
      END_STATE();
    case 336:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(318);
      END_STATE();
    case 337:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(317);
      END_STATE();
    case 338:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(331);
      END_STATE();
    case 339:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(319);
      END_STATE();
    case 340:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(334);
      END_STATE();
    case 341:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(330);
      END_STATE();
    case 342:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(329);
      END_STATE();
    case 343:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(340);
      END_STATE();
    case 344:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(341);
      END_STATE();
    case 345:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(342);
      END_STATE();
    case 346:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(92);
      END_STATE();
    case 347:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(559);
      END_STATE();
    case 348:
      if (eof) ADVANCE(359);
      if (lookahead == '!') ADVANCE(397);
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '#') ADVANCE(34);
      if (lookahead == '$') ADVANCE(959);
      if (lookahead == '%') ADVANCE(507);
      if (lookahead == '&') ADVANCE(486);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(364);
      if (lookahead == '+') ADVANCE(499);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '-') ADVANCE(503);
      if (lookahead == '.') ADVANCE(444);
      if (lookahead == '/') ADVANCE(504);
      if (lookahead == '0') ADVANCE(589);
      if (lookahead == ':') ADVANCE(416);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(512);
      if (lookahead == '=') ADVANCE(372);
      if (lookahead == '>') ADVANCE(440);
      if (lookahead == '?') ADVANCE(979);
      if (lookahead == '@') ADVANCE(973);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == ']') ADVANCE(424);
      if (lookahead == '^') ADVANCE(489);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(739);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(708);
      if (lookahead == 'd') ADVANCE(765);
      if (lookahead == 'e') ADVANCE(822);
      if (lookahead == 'f') ADVANCE(808);
      if (lookahead == 'g') ADVANCE(828);
      if (lookahead == 'i') ADVANCE(837);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(709);
      if (lookahead == 'o') ADVANCE(744);
      if (lookahead == 'r') ADVANCE(768);
      if (lookahead == 's') ADVANCE(714);
      if (lookahead == 't') ADVANCE(718);
      if (lookahead == 'u') ADVANCE(858);
      if (lookahead == 'v') ADVANCE(721);
      if (lookahead == 'w') ADVANCE(806);
      if (lookahead == '{') ADVANCE(382);
      if (lookahead == '|') ADVANCE(492);
      if (lookahead == '}') ADVANCE(384);
      if (lookahead == '~') ADVANCE(529);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(606);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(348)
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(968);
      END_STATE();
    case 349:
      if (eof) ADVANCE(359);
      if (lookahead == '!') ADVANCE(397);
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '#') ADVANCE(91);
      if (lookahead == '%') ADVANCE(506);
      if (lookahead == '&') ADVANCE(487);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == '*') ADVANCE(365);
      if (lookahead == '+') ADVANCE(497);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '-') ADVANCE(501);
      if (lookahead == '.') ADVANCE(445);
      if (lookahead == '/') ADVANCE(504);
      if (lookahead == '0') ADVANCE(589);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(516);
      if (lookahead == '=') ADVANCE(371);
      if (lookahead == '>') ADVANCE(441);
      if (lookahead == '?') ADVANCE(70);
      if (lookahead == '@') ADVANCE(973);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '^') ADVANCE(488);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(739);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(825);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(856);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(847);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(714);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(721);
      if (lookahead == 'w') ADVANCE(806);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '|') ADVANCE(493);
      if (lookahead == '}') ADVANCE(384);
      if (lookahead == '~') ADVANCE(529);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(675);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(349)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']') ADVANCE(968);
      END_STATE();
    case 350:
      if (eof) ADVANCE(359);
      if (lookahead == '!') ADVANCE(397);
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '#') ADVANCE(91);
      if (lookahead == '%') ADVANCE(506);
      if (lookahead == '&') ADVANCE(487);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == '*') ADVANCE(365);
      if (lookahead == '+') ADVANCE(497);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '-') ADVANCE(501);
      if (lookahead == '.') ADVANCE(445);
      if (lookahead == '/') ADVANCE(504);
      if (lookahead == '0') ADVANCE(589);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(516);
      if (lookahead == '=') ADVANCE(371);
      if (lookahead == '>') ADVANCE(441);
      if (lookahead == '?') ADVANCE(70);
      if (lookahead == '@') ADVANCE(973);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '^') ADVANCE(488);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(739);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(825);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(823);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(847);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(714);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(721);
      if (lookahead == 'w') ADVANCE(806);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '|') ADVANCE(493);
      if (lookahead == '}') ADVANCE(384);
      if (lookahead == '~') ADVANCE(529);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(677);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(350)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']') ADVANCE(968);
      END_STATE();
    case 351:
      if (eof) ADVANCE(359);
      if (lookahead == '!') ADVANCE(397);
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '$') ADVANCE(312);
      if (lookahead == '%') ADVANCE(507);
      if (lookahead == '&') ADVANCE(486);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(364);
      if (lookahead == '+') ADVANCE(498);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '-') ADVANCE(502);
      if (lookahead == '.') ADVANCE(445);
      if (lookahead == '/') ADVANCE(505);
      if (lookahead == '0') ADVANCE(589);
      if (lookahead == ':') ADVANCE(416);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(372);
      if (lookahead == '>') ADVANCE(440);
      if (lookahead == '?') ADVANCE(979);
      if (lookahead == '@') ADVANCE(973);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead == ']') ADVANCE(424);
      if (lookahead == '^') ADVANCE(489);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(115);
      if (lookahead == 'b') ADVANCE(236);
      if (lookahead == 'c') ADVANCE(94);
      if (lookahead == 'd') ADVANCE(137);
      if (lookahead == 'e') ADVANCE(186);
      if (lookahead == 'f') ADVANCE(173);
      if (lookahead == 'g') ADVANCE(193);
      if (lookahead == 'i') ADVANCE(206);
      if (lookahead == 'l') ADVANCE(149);
      if (lookahead == 'm') ADVANCE(232);
      if (lookahead == 'n') ADVANCE(96);
      if (lookahead == 'o') ADVANCE(118);
      if (lookahead == 'r') ADVANCE(138);
      if (lookahead == 's') ADVANCE(100);
      if (lookahead == 't') ADVANCE(98);
      if (lookahead == 'u') ADVANCE(215);
      if (lookahead == 'v') ADVANCE(103);
      if (lookahead == 'w') ADVANCE(171);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '|') ADVANCE(492);
      if (lookahead == '}') ADVANCE(384);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(352)
      END_STATE();
    case 352:
      if (eof) ADVANCE(359);
      if (lookahead == '!') ADVANCE(397);
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '$') ADVANCE(312);
      if (lookahead == '%') ADVANCE(507);
      if (lookahead == '&') ADVANCE(486);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(364);
      if (lookahead == '+') ADVANCE(498);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '-') ADVANCE(502);
      if (lookahead == '.') ADVANCE(445);
      if (lookahead == '/') ADVANCE(505);
      if (lookahead == '0') ADVANCE(589);
      if (lookahead == ':') ADVANCE(416);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(372);
      if (lookahead == '>') ADVANCE(440);
      if (lookahead == '?') ADVANCE(979);
      if (lookahead == '@') ADVANCE(973);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == ']') ADVANCE(424);
      if (lookahead == '^') ADVANCE(489);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(115);
      if (lookahead == 'b') ADVANCE(236);
      if (lookahead == 'c') ADVANCE(94);
      if (lookahead == 'd') ADVANCE(137);
      if (lookahead == 'e') ADVANCE(186);
      if (lookahead == 'f') ADVANCE(173);
      if (lookahead == 'g') ADVANCE(193);
      if (lookahead == 'i') ADVANCE(206);
      if (lookahead == 'l') ADVANCE(149);
      if (lookahead == 'm') ADVANCE(232);
      if (lookahead == 'n') ADVANCE(96);
      if (lookahead == 'o') ADVANCE(118);
      if (lookahead == 'r') ADVANCE(138);
      if (lookahead == 's') ADVANCE(100);
      if (lookahead == 't') ADVANCE(98);
      if (lookahead == 'u') ADVANCE(215);
      if (lookahead == 'v') ADVANCE(103);
      if (lookahead == 'w') ADVANCE(171);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '|') ADVANCE(492);
      if (lookahead == '}') ADVANCE(384);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(352)
      END_STATE();
    case 353:
      if (eof) ADVANCE(359);
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '#') ADVANCE(34);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == '*') ADVANCE(363);
      if (lookahead == '+') ADVANCE(497);
      if (lookahead == ',') ADVANCE(383);
      if (lookahead == '-') ADVANCE(501);
      if (lookahead == '.') ADVANCE(444);
      if (lookahead == '/') ADVANCE(504);
      if (lookahead == '0') ADVANCE(589);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(517);
      if (lookahead == '@') ADVANCE(973);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(741);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(825);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(856);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(849);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(721);
      if (lookahead == 'w') ADVANCE(806);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '}') ADVANCE(384);
      if (lookahead == '~') ADVANCE(529);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(696);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(353)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(968);
      END_STATE();
    case 354:
      if (eof) ADVANCE(359);
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '#') ADVANCE(91);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == '+') ADVANCE(497);
      if (lookahead == '-') ADVANCE(501);
      if (lookahead == '.') ADVANCE(445);
      if (lookahead == '/') ADVANCE(504);
      if (lookahead == '0') ADVANCE(589);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(517);
      if (lookahead == '@') ADVANCE(973);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(741);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(825);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(823);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(849);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(721);
      if (lookahead == 'w') ADVANCE(806);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '}') ADVANCE(384);
      if (lookahead == '~') ADVANCE(529);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(700);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(354)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(968);
      END_STATE();
    case 355:
      if (eof) ADVANCE(359);
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '#') ADVANCE(91);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == '+') ADVANCE(497);
      if (lookahead == '-') ADVANCE(501);
      if (lookahead == '.') ADVANCE(326);
      if (lookahead == '/') ADVANCE(504);
      if (lookahead == '0') ADVANCE(589);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(517);
      if (lookahead == '@') ADVANCE(973);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(741);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(825);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(856);
      if (lookahead == 'f') ADVANCE(809);
      if (lookahead == 'i') ADVANCE(849);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(721);
      if (lookahead == 'w') ADVANCE(806);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '}') ADVANCE(384);
      if (lookahead == '~') ADVANCE(529);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(695);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(355)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(968);
      END_STATE();
    case 356:
      if (eof) ADVANCE(359);
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '#') ADVANCE(91);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == '+') ADVANCE(497);
      if (lookahead == '-') ADVANCE(501);
      if (lookahead == '.') ADVANCE(326);
      if (lookahead == '/') ADVANCE(504);
      if (lookahead == '0') ADVANCE(589);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(517);
      if (lookahead == '@') ADVANCE(973);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(741);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(825);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(823);
      if (lookahead == 'f') ADVANCE(809);
      if (lookahead == 'i') ADVANCE(849);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(721);
      if (lookahead == 'w') ADVANCE(806);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '}') ADVANCE(384);
      if (lookahead == '~') ADVANCE(529);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(699);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(356)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(968);
      END_STATE();
    case 357:
      if (eof) ADVANCE(359);
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '#') ADVANCE(91);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == '+') ADVANCE(497);
      if (lookahead == '-') ADVANCE(501);
      if (lookahead == '.') ADVANCE(326);
      if (lookahead == '/') ADVANCE(504);
      if (lookahead == '0') ADVANCE(589);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(517);
      if (lookahead == '@') ADVANCE(973);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(741);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(733);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(856);
      if (lookahead == 'f') ADVANCE(809);
      if (lookahead == 'i') ADVANCE(849);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(721);
      if (lookahead == 'w') ADVANCE(806);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '}') ADVANCE(384);
      if (lookahead == '~') ADVANCE(529);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(701);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(357)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(968);
      END_STATE();
    case 358:
      if (eof) ADVANCE(359);
      if (lookahead == '!') ADVANCE(396);
      if (lookahead == '"') ADVANCE(535);
      if (lookahead == '#') ADVANCE(91);
      if (lookahead == '\'') ADVANCE(536);
      if (lookahead == '(') ADVANCE(400);
      if (lookahead == '+') ADVANCE(497);
      if (lookahead == '-') ADVANCE(501);
      if (lookahead == '.') ADVANCE(326);
      if (lookahead == '/') ADVANCE(504);
      if (lookahead == '0') ADVANCE(589);
      if (lookahead == ';') ADVANCE(415);
      if (lookahead == '<') ADVANCE(517);
      if (lookahead == '@') ADVANCE(973);
      if (lookahead == '[') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '`') ADVANCE(555);
      if (lookahead == 'a') ADVANCE(741);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(733);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(823);
      if (lookahead == 'f') ADVANCE(809);
      if (lookahead == 'i') ADVANCE(849);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(721);
      if (lookahead == 'w') ADVANCE(806);
      if (lookahead == '{') ADVANCE(381);
      if (lookahead == '}') ADVANCE(384);
      if (lookahead == '~') ADVANCE(529);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(702);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(358)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(968);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(sym_hash_bang_line);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(360);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(anon_sym_export);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(509);
      if (lookahead == '=') ADVANCE(461);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(508);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(anon_sym_default);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(anon_sym_type);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(519);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(519);
      if (lookahead == '>') ADVANCE(454);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(454);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'y') ADVANCE(865);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 'y') ADVANCE(224);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(anon_sym_as);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(anon_sym_namespace);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(anon_sym_namespace);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '|') ADVANCE(1037);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(anon_sym_import);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(anon_sym_from);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(anon_sym_var);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(anon_sym_let);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(521);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(anon_sym_await);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 's') ADVANCE(938);
      if (lookahead == 't') ADVANCE(784);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 's') ADVANCE(938);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(585);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(289);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(289);
      if (lookahead == 't') ADVANCE(152);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(anon_sym_of);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(anon_sym_of);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym_while);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(anon_sym_case);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym_catch);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(anon_sym_finally);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '*') ADVANCE(65);
      if (lookahead == '/') ADVANCE(554);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(426);
      if (lookahead == '<') ADVANCE(428);
      if (sym__glimmer_template_content_character_set_2(lookahead)) ADVANCE(427);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(425);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(293);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(anon_sym_LTtemplate_GT);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(anon_sym_LT_SLASHtemplate_GT);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(4);
      if (lookahead == '*') ADVANCE(435);
      if (lookahead == '/') ADVANCE(436);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(432);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(4);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(432);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(1);
      if (lookahead == '/') ADVANCE(431);
      if (aux_sym_jsx_text_token1_character_set_2(lookahead)) ADVANCE(433);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(432);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(5);
      if (lookahead == '*') ADVANCE(434);
      if (lookahead == '/') ADVANCE(432);
      if (lookahead == '\n' ||
          lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(65);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(5);
      if (lookahead == '*') ADVANCE(434);
      if (lookahead == '\n' ||
          lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(65);
      if (lookahead != 0) ADVANCE(435);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(437);
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(438);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(436);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(aux_sym_jsx_text_token2);
      if (lookahead == ' ') ADVANCE(437);
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(438);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(436);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(aux_sym_jsx_text_token2);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(438);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(479);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(480);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(sym_jsx_identifier);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(442);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(71);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(604);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(604);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_LT_SLASH);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_SLASH_GT);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(anon_sym_class);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym_async);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym_function);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_QMARK_DOT);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_new);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_new);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_AMP_AMP_EQ);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE_EQ);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      if (lookahead == '=') ADVANCE(471);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if (lookahead == '=') ADVANCE(472);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(467);
      if (lookahead == '>') ADVANCE(482);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(481);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(468);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(469);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(476);
      if (lookahead == '=') ADVANCE(465);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(475);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(464);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(466);
      if (lookahead == '|') ADVANCE(478);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(466);
      if (lookahead == '|') ADVANCE(478);
      if (lookahead == '}') ADVANCE(1038);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(477);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(477);
      if (lookahead == '}') ADVANCE(1038);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '}') ADVANCE(1038);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(533);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(533);
      if (lookahead == '=') ADVANCE(459);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(533);
      if (lookahead == '=') ADVANCE(459);
      if (lookahead == '?') ADVANCE(83);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(534);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(534);
      if (lookahead == '=') ADVANCE(460);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(534);
      if (lookahead == '=') ADVANCE(460);
      if (lookahead == '?') ADVANCE(84);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(65);
      if (lookahead == '/') ADVANCE(554);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(65);
      if (lookahead == '/') ADVANCE(554);
      if (lookahead == '=') ADVANCE(462);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(463);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(470);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '/') ADVANCE(446);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '/') ADVANCE(446);
      if (lookahead == '<') ADVANCE(484);
      if (lookahead == '=') ADVANCE(518);
      if (lookahead == 't') ADVANCE(135);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(484);
      if (lookahead == '=') ADVANCE(518);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(484);
      if (lookahead == '=') ADVANCE(518);
      if (lookahead == 't') ADVANCE(135);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(483);
      if (lookahead == '=') ADVANCE(518);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(483);
      if (lookahead == '=') ADVANCE(518);
      if (lookahead == 't') ADVANCE(135);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == 't') ADVANCE(135);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(520);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(522);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(473);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(anon_sym_instanceof);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(anon_sym_instanceof);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(anon_sym_void);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(anon_sym_void);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '\n') ADVANCE(542);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(537);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(540);
      if (lookahead == '/') ADVANCE(537);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(542);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(539);
      if (lookahead == '/') ADVANCE(542);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(540);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(539);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(540);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '/') ADVANCE(538);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(541);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(542);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(542);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '\n') ADVANCE(548);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(543);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(546);
      if (lookahead == '/') ADVANCE(543);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(548);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(545);
      if (lookahead == '/') ADVANCE(548);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(546);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(545);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(546);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '/') ADVANCE(544);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(547);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(548);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(548);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(549);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(551);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(554);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(anon_sym_SLASH2);
      if (lookahead == '*') ADVANCE(65);
      if (lookahead == '/') ADVANCE(554);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '\n') SKIP(80)
      if (lookahead == '/') ADVANCE(62);
      if (lookahead == '[') ADVANCE(92);
      if (lookahead == '\\') ADVANCE(347);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(558);
      if (lookahead != 0) ADVANCE(559);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '[') ADVANCE(92);
      if (lookahead == '\\') ADVANCE(347);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(559);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'a') ADVANCE(584);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'a') ADVANCE(576);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'c') ADVANCE(563);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'e') ADVANCE(578);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'e') ADVANCE(574);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'e') ADVANCE(582);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'e') ADVANCE(577);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'f') ADVANCE(528);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'f') ADVANCE(412);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'f') ADVANCE(571);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'i') ADVANCE(581);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'i') ADVANCE(565);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'l') ADVANCE(564);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'm') ADVANCE(579);
      if (lookahead == 'n') ADVANCE(407);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'm') ADVANCE(566);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'n') ADVANCE(407);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'n') ADVANCE(562);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'n') ADVANCE(586);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'o') ADVANCE(567);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'p') ADVANCE(572);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 's') ADVANCE(378);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 's') ADVANCE(569);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 's') ADVANCE(1008);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 's') ADVANCE(1016);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 't') ADVANCE(570);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 't') ADVANCE(561);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 't') ADVANCE(583);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(sym_regex_flags);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(sym_number);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(605);
      if (lookahead == '0') ADVANCE(602);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(323);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(322);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(324);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(332);
      if (lookahead == '_') ADVANCE(327);
      if (lookahead == 'n') ADVANCE(588);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(605);
      if (lookahead == '0') ADVANCE(596);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(960);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(969);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(963);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(967);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '_') ADVANCE(965);
      if (lookahead == 'n') ADVANCE(598);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (!sym_identifier_character_set_3(lookahead)) ADVANCE(968);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(605);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(322);
      if (lookahead == '_') ADVANCE(325);
      if (lookahead == 'n') ADVANCE(588);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(591);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(605);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(969);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '_') ADVANCE(964);
      if (lookahead == 'n') ADVANCE(598);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (!sym_identifier_character_set_3(lookahead)) ADVANCE(968);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '_') ADVANCE(960);
      if (lookahead == 'n') ADVANCE(598);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(593);
      if (!sym_identifier_character_set_4(lookahead)) ADVANCE(968);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '_') ADVANCE(963);
      if (lookahead == 'n') ADVANCE(598);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(594);
      if (!sym_identifier_character_set_4(lookahead)) ADVANCE(968);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '_') ADVANCE(967);
      if (lookahead == 'n') ADVANCE(598);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(595);
      if (!sym_identifier_character_set_3(lookahead)) ADVANCE(968);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '_') ADVANCE(965);
      if (lookahead == 'n') ADVANCE(598);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(596);
      if (!sym_identifier_character_set_3(lookahead)) ADVANCE(968);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '_') ADVANCE(966);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(597);
      if (!sym_identifier_character_set_3(lookahead)) ADVANCE(968);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(323);
      if (lookahead == 'n') ADVANCE(588);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(599);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(324);
      if (lookahead == 'n') ADVANCE(588);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(600);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(332);
      if (lookahead == 'n') ADVANCE(588);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(601);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(327);
      if (lookahead == 'n') ADVANCE(588);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(602);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(328);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(603);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(322);
      if (lookahead == '_') ADVANCE(326);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(604);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(322);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(604);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '$') ADVANCE(959);
      if (lookahead == '0') ADVANCE(590);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(739);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(708);
      if (lookahead == 'd') ADVANCE(765);
      if (lookahead == 'e') ADVANCE(822);
      if (lookahead == 'f') ADVANCE(808);
      if (lookahead == 'g') ADVANCE(828);
      if (lookahead == 'i') ADVANCE(837);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(709);
      if (lookahead == 'o') ADVANCE(744);
      if (lookahead == 'r') ADVANCE(768);
      if (lookahead == 's') ADVANCE(714);
      if (lookahead == 't') ADVANCE(718);
      if (lookahead == 'u') ADVANCE(858);
      if (lookahead == 'v') ADVANCE(721);
      if (lookahead == 'w') ADVANCE(806);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(606);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (!sym_identifier_character_set_5(lookahead)) ADVANCE(968);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(618);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(639);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(615);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'b') ADVANCE(657);
      if (lookahead == 'n') ADVANCE(670);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'b') ADVANCE(631);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'b') ADVANCE(649);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'b') ADVANCE(625);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'c') ADVANCE(662);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'c') ADVANCE(663);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'd') ADVANCE(531);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'd') ADVANCE(658);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(667);
      if (lookahead == 'u') ADVANCE(635);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(607);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(614);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(1029);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(608);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(653);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(654);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(642);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'g') ADVANCE(995);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'i') ADVANCE(652);
      if (lookahead == 'k') ADVANCE(643);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'i') ADVANCE(616);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'i') ADVANCE(638);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'j') ADVANCE(621);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'l') ADVANCE(998);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'l') ADVANCE(671);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'l') ADVANCE(623);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'm') ADVANCE(613);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'm') ADVANCE(612);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'n') ADVANCE(628);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'n') ADVANCE(627);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'n') ADVANCE(992);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'n') ADVANCE(1032);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'n') ADVANCE(633);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'n') ADVANCE(617);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'n') ADVANCE(647);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'n') ADVANCE(659);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'o') ADVANCE(629);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'o') ADVANCE(634);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'o') ADVANCE(668);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'o') ADVANCE(644);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'o') ADVANCE(632);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'o') ADVANCE(646);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'o') ADVANCE(641);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'q') ADVANCE(666);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'r') ADVANCE(1035);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'r') ADVANCE(989);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'r') ADVANCE(609);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'r') ADVANCE(630);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 's') ADVANCE(664);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 's') ADVANCE(1012);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 's') ADVANCE(661);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 't') ADVANCE(656);
      if (lookahead == 'y') ADVANCE(636);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 't') ADVANCE(394);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 't') ADVANCE(1001);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 't') ADVANCE(1004);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 't') ADVANCE(655);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 't') ADVANCE(626);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'u') ADVANCE(622);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'v') ADVANCE(624);
      if (lookahead == 'w') ADVANCE(457);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'w') ADVANCE(640);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'x') ADVANCE(665);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'y') ADVANCE(986);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'y') ADVANCE(975);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(590);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(739);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(735);
      if (lookahead == 'd') ADVANCE(765);
      if (lookahead == 'e') ADVANCE(856);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(847);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(714);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(721);
      if (lookahead == 'w') ADVANCE(806);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(673);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(590);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(739);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(735);
      if (lookahead == 'd') ADVANCE(765);
      if (lookahead == 'e') ADVANCE(823);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(847);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(714);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(721);
      if (lookahead == 'w') ADVANCE(806);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(674);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(590);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(739);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(825);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(856);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(847);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(714);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(721);
      if (lookahead == 'w') ADVANCE(806);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(675);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(590);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(739);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(825);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(952);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(848);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(709);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(714);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'u') ADVANCE(858);
      if (lookahead == 'v') ADVANCE(874);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(676);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(590);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(739);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(825);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(823);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(847);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(714);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(721);
      if (lookahead == 'w') ADVANCE(806);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(677);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(590);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(851);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(826);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(952);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(848);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(744);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(714);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(874);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(678);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(590);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(851);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(826);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(952);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(848);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(714);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(874);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(679);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(590);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(851);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(826);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(952);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(838);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(714);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(874);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(680);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(590);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(740);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(878);
      if (lookahead == 'i') ADVANCE(862);
      if (lookahead == 'n') ADVANCE(767);
      if (lookahead == 'o') ADVANCE(744);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(714);
      if (lookahead == 'u') ADVANCE(858);
      if (lookahead == 'v') ADVANCE(874);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(681);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(590);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(740);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(878);
      if (lookahead == 'i') ADVANCE(862);
      if (lookahead == 'n') ADVANCE(767);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(714);
      if (lookahead == 'u') ADVANCE(858);
      if (lookahead == 'v') ADVANCE(874);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(682);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(590);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(740);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(878);
      if (lookahead == 'i') ADVANCE(843);
      if (lookahead == 'n') ADVANCE(767);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(714);
      if (lookahead == 'u') ADVANCE(858);
      if (lookahead == 'v') ADVANCE(874);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(683);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(590);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(852);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(952);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(862);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(714);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(684);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(590);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(852);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(952);
      if (lookahead == 'i') ADVANCE(862);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(714);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(685);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(590);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(743);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(878);
      if (lookahead == 'i') ADVANCE(850);
      if (lookahead == 'n') ADVANCE(767);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 'u') ADVANCE(858);
      if (lookahead == 'v') ADVANCE(874);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(686);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(590);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(743);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(878);
      if (lookahead == 'n') ADVANCE(767);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 'u') ADVANCE(858);
      if (lookahead == 'v') ADVANCE(874);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(687);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(590);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(610);
      if (lookahead == 'b') ADVANCE(650);
      if (lookahead == 'c') ADVANCE(648);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(611);
      if (lookahead == 'r') ADVANCE(620);
      if (lookahead == 's') ADVANCE(660);
      if (lookahead == 'u') ADVANCE(637);
      if (lookahead == 'v') ADVANCE(645);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(688);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('d' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(590);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(741);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(708);
      if (lookahead == 'd') ADVANCE(765);
      if (lookahead == 'e') ADVANCE(856);
      if (lookahead == 'f') ADVANCE(809);
      if (lookahead == 'i') ADVANCE(849);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(721);
      if (lookahead == 'w') ADVANCE(806);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(689);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(590);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(741);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(708);
      if (lookahead == 'd') ADVANCE(765);
      if (lookahead == 'e') ADVANCE(823);
      if (lookahead == 'f') ADVANCE(809);
      if (lookahead == 'i') ADVANCE(849);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(721);
      if (lookahead == 'w') ADVANCE(806);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(690);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(590);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(741);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(735);
      if (lookahead == 'd') ADVANCE(765);
      if (lookahead == 'e') ADVANCE(856);
      if (lookahead == 'f') ADVANCE(809);
      if (lookahead == 'i') ADVANCE(849);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(721);
      if (lookahead == 'w') ADVANCE(806);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(691);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(590);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(741);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(735);
      if (lookahead == 'd') ADVANCE(765);
      if (lookahead == 'e') ADVANCE(856);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(849);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(721);
      if (lookahead == 'w') ADVANCE(806);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(692);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(590);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(741);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(735);
      if (lookahead == 'd') ADVANCE(765);
      if (lookahead == 'e') ADVANCE(823);
      if (lookahead == 'f') ADVANCE(809);
      if (lookahead == 'i') ADVANCE(849);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(721);
      if (lookahead == 'w') ADVANCE(806);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(693);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(590);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(741);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(735);
      if (lookahead == 'd') ADVANCE(765);
      if (lookahead == 'e') ADVANCE(823);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(849);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(721);
      if (lookahead == 'w') ADVANCE(806);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(694);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(590);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(741);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(825);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(856);
      if (lookahead == 'f') ADVANCE(809);
      if (lookahead == 'i') ADVANCE(849);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(721);
      if (lookahead == 'w') ADVANCE(806);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(695);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(590);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(741);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(825);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(856);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(849);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(721);
      if (lookahead == 'w') ADVANCE(806);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(696);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(590);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(741);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(825);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(856);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(849);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(721);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(697);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(590);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(741);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(825);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(952);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(850);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(709);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'u') ADVANCE(858);
      if (lookahead == 'v') ADVANCE(874);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(698);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(590);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(741);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(825);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(823);
      if (lookahead == 'f') ADVANCE(809);
      if (lookahead == 'i') ADVANCE(849);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(721);
      if (lookahead == 'w') ADVANCE(806);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(699);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(590);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(741);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(825);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(823);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(849);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(721);
      if (lookahead == 'w') ADVANCE(806);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(700);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(590);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(741);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(733);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(856);
      if (lookahead == 'f') ADVANCE(809);
      if (lookahead == 'i') ADVANCE(849);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(721);
      if (lookahead == 'w') ADVANCE(806);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(701);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(590);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(741);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(733);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(823);
      if (lookahead == 'f') ADVANCE(809);
      if (lookahead == 'i') ADVANCE(849);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(721);
      if (lookahead == 'w') ADVANCE(806);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(702);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(590);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(853);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(825);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(952);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(850);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(721);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(703);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(590);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(853);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(826);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(952);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(850);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(874);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(704);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(590);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(853);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'c') ADVANCE(826);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(951);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(850);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(874);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(705);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(590);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(742);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(952);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(706);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(590);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(854);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(952);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(707);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(917);
      if (lookahead == 'l') ADVANCE(720);
      if (lookahead == 'o') ADVANCE(872);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(845);
      if (lookahead == 'e') ADVANCE(947);
      if (lookahead == 'u') ADVANCE(841);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(845);
      if (lookahead == 'e') ADVANCE(949);
      if (lookahead == 'u') ADVANCE(841);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(852);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(952);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(862);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(744);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(714);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(711);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(968);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(852);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(952);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(862);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(714);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(712);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(968);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(852);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(952);
      if (lookahead == 'f') ADVANCE(942);
      if (lookahead == 'i') ADVANCE(843);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(714);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(713);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(968);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(935);
      if (lookahead == 't') ADVANCE(902);
      if (lookahead == 'y') ADVANCE(842);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 715:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(935);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 716:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(763);
      if (lookahead == 'q') ADVANCE(944);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 717:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(763);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 718:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(896);
      if (lookahead == 'y') ADVANCE(890);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(854);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'd') ADVANCE(785);
      if (lookahead == 'e') ADVANCE(952);
      if (lookahead == 'l') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(873);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(791);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(719);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(968);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 720:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(919);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 721:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(897);
      if (lookahead == 'o') ADVANCE(810);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 722:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(811);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 723:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(830);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 724:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(943);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 725:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(820);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 726:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(906);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 727:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(868);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 728:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(913);
      if (lookahead == 'i') ADVANCE(862);
      if (lookahead == 'o') ADVANCE(798);
      if (lookahead == 's') ADVANCE(715);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(728);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(968);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 729:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(913);
      if (lookahead == 'i') ADVANCE(862);
      if (lookahead == 's') ADVANCE(715);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(729);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(968);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 730:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(913);
      if (lookahead == 'i') ADVANCE(843);
      if (lookahead == 's') ADVANCE(715);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(730);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(968);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 731:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(913);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(731);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(968);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 732:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(859);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 733:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(923);
      if (lookahead == 'l') ADVANCE(720);
      if (lookahead == 'o') ADVANCE(872);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 734:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(855);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'n') ADVANCE(780);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == 's') ADVANCE(922);
      if (lookahead == 'u') ADVANCE(858);
      if (lookahead == 'v') ADVANCE(874);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(734);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(968);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 735:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(918);
      if (lookahead == 'l') ADVANCE(720);
      if (lookahead == 'o') ADVANCE(872);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 736:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(756);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 737:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(758);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 738:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'a') ADVANCE(759);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 739:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'b') ADVANCE(916);
      if (lookahead == 'n') ADVANCE(954);
      if (lookahead == 's') ADVANCE(375);
      if (lookahead == 'w') ADVANCE(722);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 740:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'b') ADVANCE(916);
      if (lookahead == 'n') ADVANCE(954);
      if (lookahead == 's') ADVANCE(376);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 741:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'b') ADVANCE(916);
      if (lookahead == 'n') ADVANCE(954);
      if (lookahead == 's') ADVANCE(958);
      if (lookahead == 'w') ADVANCE(722);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 742:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'b') ADVANCE(916);
      if (lookahead == 'n') ADVANCE(954);
      if (lookahead == 's') ADVANCE(958);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 743:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'b') ADVANCE(916);
      if (lookahead == 'n') ADVANCE(954);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 744:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'b') ADVANCE(819);
      if (lookahead == 'f') ADVANCE(411);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 745:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'b') ADVANCE(819);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 746:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'b') ADVANCE(725);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 747:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'b') ADVANCE(883);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 748:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'b') ADVANCE(789);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 749:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'c') ADVANCE(451);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 750:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'c') ADVANCE(805);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 751:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'c') ADVANCE(648);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(751);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(968);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 752:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'c') ADVANCE(829);
      if (lookahead == 'f') ADVANCE(724);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 753:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'c') ADVANCE(829);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 754:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'c') ADVANCE(929);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 755:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'c') ADVANCE(878);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(755);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(968);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 756:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'c') ADVANCE(932);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 757:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'c') ADVANCE(790);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 758:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'c') ADVANCE(777);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 759:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'c') ADVANCE(778);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 760:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'c') ADVANCE(939);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 761:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'd') ADVANCE(532);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 762:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'd') ADVANCE(946);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 763:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'd') ADVANCE(884);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 764:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'd') ADVANCE(910);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 765:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(752);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 766:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(924);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 767:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(947);
      if (lookahead == 'u') ADVANCE(841);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 768:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(716);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 769:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(418);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 770:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(399);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 771:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(369);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 772:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(414);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 773:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(984);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 774:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(1030);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 775:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(982);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 776:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(1010);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 777:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(1020);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 778:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(380);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 779:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(669);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(779);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(968);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 780:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(948);
      if (lookahead == 'u') ADVANCE(841);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 781:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(953);
      if (lookahead == 'i') ADVANCE(844);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(781);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(968);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 782:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(754);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 783:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(915);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 784:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(898);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 785:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(753);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 786:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(867);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 787:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(899);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 788:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(911);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 789:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(900);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 790:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(880);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 791:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(717);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 792:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(930);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 793:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(871);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 794:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(857);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(794);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(968);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 795:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(846);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 796:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(894);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 797:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'e') ADVANCE(732);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 798:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'f') ADVANCE(411);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 799:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'f') ADVANCE(527);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 800:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'f') ADVANCE(815);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 801:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'f') ADVANCE(737);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 802:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'f') ADVANCE(901);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(802);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(968);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 803:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'g') ADVANCE(996);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 804:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'g') ADVANCE(792);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 805:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'h') ADVANCE(420);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 806:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'h') ADVANCE(816);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 807:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'i') ADVANCE(895);
      if (lookahead == 'k') ADVANCE(869);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 808:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'i') ADVANCE(866);
      if (lookahead == 'r') ADVANCE(881);
      if (lookahead == 'u') ADVANCE(863);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 809:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'i') ADVANCE(866);
      if (lookahead == 'u') ADVANCE(863);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 810:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'i') ADVANCE(761);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 811:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'i') ADVANCE(925);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 812:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'i') ADVANCE(850);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(812);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(968);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 813:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'i') ADVANCE(914);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 814:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'i') ADVANCE(864);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 815:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'i') ADVANCE(788);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 816:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'i') ADVANCE(835);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 817:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'i') ADVANCE(885);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 818:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'i') ADVANCE(907);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 819:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'j') ADVANCE(782);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 820:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'l') ADVANCE(1018);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 821:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'l') ADVANCE(999);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 822:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'l') ADVANCE(920);
      if (lookahead == 'n') ADVANCE(941);
      if (lookahead == 'x') ADVANCE(888);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 823:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'l') ADVANCE(920);
      if (lookahead == 'n') ADVANCE(941);
      if (lookahead == 'x') ADVANCE(889);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 824:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'l') ADVANCE(955);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 825:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'l') ADVANCE(720);
      if (lookahead == 'o') ADVANCE(872);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 826:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'l') ADVANCE(720);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 827:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'l') ADVANCE(956);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 828:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'l') ADVANCE(875);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 829:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'l') ADVANCE(726);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 830:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'l') ADVANCE(824);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 831:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'l') ADVANCE(931);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 832:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'l') ADVANCE(797);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 833:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'l') ADVANCE(795);
      if (lookahead == 'o') ADVANCE(905);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 834:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'l') ADVANCE(795);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 835:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'l') ADVANCE(772);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 836:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'l') ADVANCE(773);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 837:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'm') ADVANCE(887);
      if (lookahead == 'n') ADVANCE(405);
      if (lookahead == 's') ADVANCE(1027);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 838:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'm') ADVANCE(887);
      if (lookahead == 'n') ADVANCE(406);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 839:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'm') ADVANCE(1022);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 840:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'm') ADVANCE(388);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 841:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'm') ADVANCE(748);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 842:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'm') ADVANCE(747);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 843:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'm') ADVANCE(892);
      if (lookahead == 'n') ADVANCE(406);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 844:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'm') ADVANCE(892);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 845:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'm') ADVANCE(783);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 846:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'm') ADVANCE(793);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 847:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'm') ADVANCE(891);
      if (lookahead == 'n') ADVANCE(405);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 848:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'm') ADVANCE(891);
      if (lookahead == 'n') ADVANCE(406);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 849:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'm') ADVANCE(891);
      if (lookahead == 'n') ADVANCE(937);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 850:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'm') ADVANCE(891);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 851:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'n') ADVANCE(954);
      if (lookahead == 's') ADVANCE(375);
      if (lookahead == 'w') ADVANCE(722);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 852:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'n') ADVANCE(954);
      if (lookahead == 's') ADVANCE(375);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 853:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'n') ADVANCE(954);
      if (lookahead == 's') ADVANCE(958);
      if (lookahead == 'w') ADVANCE(722);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 854:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'n') ADVANCE(954);
      if (lookahead == 's') ADVANCE(958);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 855:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'n') ADVANCE(954);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 856:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'n') ADVANCE(941);
      if (lookahead == 'x') ADVANCE(889);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 857:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'n') ADVANCE(941);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 858:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'n') ADVANCE(807);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 859:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'n') ADVANCE(993);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 860:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'n') ADVANCE(1033);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 861:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'n') ADVANCE(453);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 862:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'n') ADVANCE(406);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 863:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'n') ADVANCE(760);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 864:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'n') ADVANCE(803);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 865:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'n') ADVANCE(749);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 866:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'n') ADVANCE(723);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 867:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'n') ADVANCE(764);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 868:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'n') ADVANCE(757);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 869:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'n') ADVANCE(876);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 870:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'n') ADVANCE(827);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 871:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'n') ADVANCE(940);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 872:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'n') ADVANCE(921);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 873:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'o') ADVANCE(762);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 874:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'o') ADVANCE(810);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 875:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'o') ADVANCE(746);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 876:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'o') ADVANCE(950);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 877:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'o') ADVANCE(832);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 878:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'o') ADVANCE(872);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 879:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'o') ADVANCE(877);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 880:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'o') ADVANCE(799);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 881:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'o') ADVANCE(840);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 882:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'o') ADVANCE(903);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 883:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'o') ADVANCE(821);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 884:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'o') ADVANCE(870);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 885:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'o') ADVANCE(861);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 886:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'o') ADVANCE(905);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 887:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'p') ADVANCE(833);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 888:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'p') ADVANCE(882);
      if (lookahead == 't') ADVANCE(786);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 889:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'p') ADVANCE(882);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 890:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'p') ADVANCE(771);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 891:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'p') ADVANCE(886);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 892:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'p') ADVANCE(834);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 893:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'p') ADVANCE(738);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 894:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'q') ADVANCE(944);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 895:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'q') ADVANCE(945);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 896:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'r') ADVANCE(804);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 897:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'r') ADVANCE(390);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 898:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'r') ADVANCE(801);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 899:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'r') ADVANCE(1036);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 900:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'r') ADVANCE(990);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 901:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'r') ADVANCE(881);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 902:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'r') ADVANCE(814);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 903:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'r') ADVANCE(927);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 904:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'r') ADVANCE(736);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 905:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'r') ADVANCE(928);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 906:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'r') ADVANCE(775);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 907:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'r') ADVANCE(776);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 908:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'r') ADVANCE(796);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(908);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(968);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 909:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 's') ADVANCE(449);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 910:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 's') ADVANCE(1013);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 911:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 's') ADVANCE(1007);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 912:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 's') ADVANCE(1015);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 913:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 's') ADVANCE(376);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 914:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 's') ADVANCE(800);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 915:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 's') ADVANCE(893);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 916:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 's') ADVANCE(934);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 917:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 's') ADVANCE(769);
      if (lookahead == 't') ADVANCE(750);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 918:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 's') ADVANCE(769);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 919:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 's') ADVANCE(909);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 920:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 's') ADVANCE(770);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 921:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 's') ADVANCE(926);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 922:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 't') ADVANCE(902);
      if (lookahead == 'y') ADVANCE(842);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 923:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 't') ADVANCE(750);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 924:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 't') ADVANCE(392);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 925:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 't') ADVANCE(403);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 926:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 't') ADVANCE(395);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 927:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 't') ADVANCE(362);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 928:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 't') ADVANCE(386);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 929:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 't') ADVANCE(1002);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 930:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 't') ADVANCE(972);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 931:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 't') ADVANCE(367);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 932:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 't') ADVANCE(1005);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 933:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 't') ADVANCE(957);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(933);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(968);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 934:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 't') ADVANCE(904);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 935:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 't') ADVANCE(813);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 936:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 't') ADVANCE(786);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 937:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 't') ADVANCE(784);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 938:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 't') ADVANCE(727);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 939:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 't') ADVANCE(817);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 940:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 't') ADVANCE(912);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 941:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'u') ADVANCE(839);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 942:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'u') ADVANCE(863);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 943:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'u') ADVANCE(831);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 944:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'u') ADVANCE(818);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 945:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'u') ADVANCE(774);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 946:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'u') ADVANCE(836);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 947:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'v') ADVANCE(787);
      if (lookahead == 'w') ADVANCE(458);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 948:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'v') ADVANCE(787);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 949:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'w') ADVANCE(458);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 950:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'w') ADVANCE(860);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 951:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'x') ADVANCE(888);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 952:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'x') ADVANCE(889);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 953:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'x') ADVANCE(936);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 954:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'y') ADVANCE(987);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 955:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'y') ADVANCE(422);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 956:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'y') ADVANCE(976);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 957:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'y') ADVANCE(890);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 958:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 'y') ADVANCE(865);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 959:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '{') ADVANCE(556);
      if (!sym_identifier_character_set_6(lookahead)) ADVANCE(968);
      END_STATE();
    case 960:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(593);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 961:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(961);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(968);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 962:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(962);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(968);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 963:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(594);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 964:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(592);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 965:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(596);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 966:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(597);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 967:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(595);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 968:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 969:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(328);
      if (lookahead == '\\') ADVANCE(301);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(597);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 970:
      ACCEPT_TOKEN(sym_private_property_identifier);
      if (lookahead == '\\') ADVANCE(300);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(970);
      END_STATE();
    case 971:
      ACCEPT_TOKEN(anon_sym_target);
      END_STATE();
    case 972:
      ACCEPT_TOKEN(anon_sym_target);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 973:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 974:
      ACCEPT_TOKEN(anon_sym_readonly);
      END_STATE();
    case 975:
      ACCEPT_TOKEN(anon_sym_readonly);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 976:
      ACCEPT_TOKEN(anon_sym_readonly);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 977:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 978:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(455);
      END_STATE();
    case 979:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(455);
      if (lookahead == '?') ADVANCE(525);
      END_STATE();
    case 980:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(455);
      if (lookahead == '?') ADVANCE(524);
      END_STATE();
    case 981:
      ACCEPT_TOKEN(anon_sym_declare);
      END_STATE();
    case 982:
      ACCEPT_TOKEN(anon_sym_declare);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 983:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 984:
      ACCEPT_TOKEN(anon_sym_module);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 985:
      ACCEPT_TOKEN(anon_sym_any);
      END_STATE();
    case 986:
      ACCEPT_TOKEN(anon_sym_any);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 987:
      ACCEPT_TOKEN(anon_sym_any);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 988:
      ACCEPT_TOKEN(anon_sym_number);
      END_STATE();
    case 989:
      ACCEPT_TOKEN(anon_sym_number);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 990:
      ACCEPT_TOKEN(anon_sym_number);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 991:
      ACCEPT_TOKEN(anon_sym_boolean);
      END_STATE();
    case 992:
      ACCEPT_TOKEN(anon_sym_boolean);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 993:
      ACCEPT_TOKEN(anon_sym_boolean);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 994:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 995:
      ACCEPT_TOKEN(anon_sym_string);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 996:
      ACCEPT_TOKEN(anon_sym_string);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 997:
      ACCEPT_TOKEN(anon_sym_symbol);
      END_STATE();
    case 998:
      ACCEPT_TOKEN(anon_sym_symbol);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 999:
      ACCEPT_TOKEN(anon_sym_symbol);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 1000:
      ACCEPT_TOKEN(anon_sym_object);
      END_STATE();
    case 1001:
      ACCEPT_TOKEN(anon_sym_object);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 1002:
      ACCEPT_TOKEN(anon_sym_object);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 1003:
      ACCEPT_TOKEN(anon_sym_abstract);
      END_STATE();
    case 1004:
      ACCEPT_TOKEN(anon_sym_abstract);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 1005:
      ACCEPT_TOKEN(anon_sym_abstract);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 1006:
      ACCEPT_TOKEN(anon_sym_satisfies);
      END_STATE();
    case 1007:
      ACCEPT_TOKEN(anon_sym_satisfies);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 1008:
      ACCEPT_TOKEN(anon_sym_satisfies);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 1009:
      ACCEPT_TOKEN(anon_sym_require);
      END_STATE();
    case 1010:
      ACCEPT_TOKEN(anon_sym_require);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 1011:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 1012:
      ACCEPT_TOKEN(anon_sym_extends);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 1013:
      ACCEPT_TOKEN(anon_sym_extends);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 1014:
      ACCEPT_TOKEN(anon_sym_implements);
      END_STATE();
    case 1015:
      ACCEPT_TOKEN(anon_sym_implements);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 1016:
      ACCEPT_TOKEN(anon_sym_implements);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 1017:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 1018:
      ACCEPT_TOKEN(anon_sym_global);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 1019:
      ACCEPT_TOKEN(anon_sym_interface);
      END_STATE();
    case 1020:
      ACCEPT_TOKEN(anon_sym_interface);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 1021:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 1022:
      ACCEPT_TOKEN(anon_sym_enum);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 1023:
      ACCEPT_TOKEN(anon_sym_DASH_QMARK_COLON);
      END_STATE();
    case 1024:
      ACCEPT_TOKEN(anon_sym_PLUS_QMARK_COLON);
      END_STATE();
    case 1025:
      ACCEPT_TOKEN(anon_sym_QMARK_COLON);
      END_STATE();
    case 1026:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 1027:
      ACCEPT_TOKEN(anon_sym_is);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 1028:
      ACCEPT_TOKEN(anon_sym_unique);
      END_STATE();
    case 1029:
      ACCEPT_TOKEN(anon_sym_unique);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 1030:
      ACCEPT_TOKEN(anon_sym_unique);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 1031:
      ACCEPT_TOKEN(anon_sym_unknown);
      END_STATE();
    case 1032:
      ACCEPT_TOKEN(anon_sym_unknown);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 1033:
      ACCEPT_TOKEN(anon_sym_unknown);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 1034:
      ACCEPT_TOKEN(anon_sym_never);
      END_STATE();
    case 1035:
      ACCEPT_TOKEN(anon_sym_never);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == '\\') ADVANCE(301);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(672);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(968);
      END_STATE();
    case 1036:
      ACCEPT_TOKEN(anon_sym_never);
      if (lookahead == '\\') ADVANCE(301);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(968);
      END_STATE();
    case 1037:
      ACCEPT_TOKEN(anon_sym_LBRACE_PIPE);
      END_STATE();
    case 1038:
      ACCEPT_TOKEN(anon_sym_PIPE_RBRACE);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'a') ADVANCE(1);
      if (lookahead == 'b') ADVANCE(2);
      if (lookahead == 'c') ADVANCE(3);
      if (lookahead == 'd') ADVANCE(4);
      if (lookahead == 'f') ADVANCE(5);
      if (lookahead == 'g') ADVANCE(6);
      if (lookahead == 'i') ADVANCE(7);
      if (lookahead == 'k') ADVANCE(8);
      if (lookahead == 'n') ADVANCE(9);
      if (lookahead == 'o') ADVANCE(10);
      if (lookahead == 'p') ADVANCE(11);
      if (lookahead == 'r') ADVANCE(12);
      if (lookahead == 's') ADVANCE(13);
      if (lookahead == 't') ADVANCE(14);
      if (lookahead == 'u') ADVANCE(15);
      if (lookahead == 'w') ADVANCE(16);
      if (lookahead == 'y') ADVANCE(17);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 5760 ||
          (8192 <= lookahead && lookahead <= 8203) ||
          lookahead == 8232 ||
          lookahead == 8233 ||
          lookahead == 8239 ||
          lookahead == 8287 ||
          lookahead == 8288 ||
          lookahead == 12288 ||
          lookahead == 65279) SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 's') ADVANCE(18);
      END_STATE();
    case 2:
      if (lookahead == 'r') ADVANCE(19);
      END_STATE();
    case 3:
      if (lookahead == 'o') ADVANCE(20);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(21);
      if (lookahead == 'o') ADVANCE(22);
      END_STATE();
    case 5:
      if (lookahead == 'a') ADVANCE(23);
      if (lookahead == 'o') ADVANCE(24);
      END_STATE();
    case 6:
      if (lookahead == 'e') ADVANCE(25);
      END_STATE();
    case 7:
      if (lookahead == 'f') ADVANCE(26);
      if (lookahead == 'n') ADVANCE(27);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(28);
      END_STATE();
    case 9:
      if (lookahead == 'u') ADVANCE(29);
      END_STATE();
    case 10:
      if (lookahead == 'v') ADVANCE(30);
      END_STATE();
    case 11:
      if (lookahead == 'r') ADVANCE(31);
      if (lookahead == 'u') ADVANCE(32);
      END_STATE();
    case 12:
      if (lookahead == 'e') ADVANCE(33);
      END_STATE();
    case 13:
      if (lookahead == 'e') ADVANCE(34);
      if (lookahead == 't') ADVANCE(35);
      if (lookahead == 'u') ADVANCE(36);
      if (lookahead == 'w') ADVANCE(37);
      END_STATE();
    case 14:
      if (lookahead == 'h') ADVANCE(38);
      if (lookahead == 'r') ADVANCE(39);
      if (lookahead == 'y') ADVANCE(40);
      END_STATE();
    case 15:
      if (lookahead == 'n') ADVANCE(41);
      if (lookahead == 's') ADVANCE(42);
      END_STATE();
    case 16:
      if (lookahead == 'i') ADVANCE(43);
      END_STATE();
    case 17:
      if (lookahead == 'i') ADVANCE(44);
      END_STATE();
    case 18:
      if (lookahead == 's') ADVANCE(45);
      END_STATE();
    case 19:
      if (lookahead == 'e') ADVANCE(46);
      END_STATE();
    case 20:
      if (lookahead == 'n') ADVANCE(47);
      END_STATE();
    case 21:
      if (lookahead == 'b') ADVANCE(48);
      if (lookahead == 'l') ADVANCE(49);
      END_STATE();
    case 22:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 23:
      if (lookahead == 'l') ADVANCE(50);
      END_STATE();
    case 24:
      if (lookahead == 'r') ADVANCE(51);
      END_STATE();
    case 25:
      if (lookahead == 't') ADVANCE(52);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 27:
      if (lookahead == 'f') ADVANCE(53);
      END_STATE();
    case 28:
      if (lookahead == 'y') ADVANCE(54);
      END_STATE();
    case 29:
      if (lookahead == 'l') ADVANCE(55);
      END_STATE();
    case 30:
      if (lookahead == 'e') ADVANCE(56);
      END_STATE();
    case 31:
      if (lookahead == 'i') ADVANCE(57);
      if (lookahead == 'o') ADVANCE(58);
      END_STATE();
    case 32:
      if (lookahead == 'b') ADVANCE(59);
      END_STATE();
    case 33:
      if (lookahead == 't') ADVANCE(60);
      END_STATE();
    case 34:
      if (lookahead == 't') ADVANCE(61);
      END_STATE();
    case 35:
      if (lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 36:
      if (lookahead == 'p') ADVANCE(63);
      END_STATE();
    case 37:
      if (lookahead == 'i') ADVANCE(64);
      END_STATE();
    case 38:
      if (lookahead == 'i') ADVANCE(65);
      if (lookahead == 'r') ADVANCE(66);
      END_STATE();
    case 39:
      if (lookahead == 'u') ADVANCE(67);
      if (lookahead == 'y') ADVANCE(68);
      END_STATE();
    case 40:
      if (lookahead == 'p') ADVANCE(69);
      END_STATE();
    case 41:
      if (lookahead == 'd') ADVANCE(70);
      END_STATE();
    case 42:
      if (lookahead == 'i') ADVANCE(71);
      END_STATE();
    case 43:
      if (lookahead == 't') ADVANCE(72);
      END_STATE();
    case 44:
      if (lookahead == 'e') ADVANCE(73);
      END_STATE();
    case 45:
      if (lookahead == 'e') ADVANCE(74);
      END_STATE();
    case 46:
      if (lookahead == 'a') ADVANCE(75);
      END_STATE();
    case 47:
      if (lookahead == 't') ADVANCE(76);
      END_STATE();
    case 48:
      if (lookahead == 'u') ADVANCE(77);
      END_STATE();
    case 49:
      if (lookahead == 'e') ADVANCE(78);
      END_STATE();
    case 50:
      if (lookahead == 's') ADVANCE(79);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 53:
      if (lookahead == 'e') ADVANCE(80);
      END_STATE();
    case 54:
      if (lookahead == 'o') ADVANCE(81);
      END_STATE();
    case 55:
      if (lookahead == 'l') ADVANCE(82);
      END_STATE();
    case 56:
      if (lookahead == 'r') ADVANCE(83);
      END_STATE();
    case 57:
      if (lookahead == 'v') ADVANCE(84);
      END_STATE();
    case 58:
      if (lookahead == 't') ADVANCE(85);
      END_STATE();
    case 59:
      if (lookahead == 'l') ADVANCE(86);
      END_STATE();
    case 60:
      if (lookahead == 'u') ADVANCE(87);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 62:
      if (lookahead == 't') ADVANCE(88);
      END_STATE();
    case 63:
      if (lookahead == 'e') ADVANCE(89);
      END_STATE();
    case 64:
      if (lookahead == 't') ADVANCE(90);
      END_STATE();
    case 65:
      if (lookahead == 's') ADVANCE(91);
      END_STATE();
    case 66:
      if (lookahead == 'o') ADVANCE(92);
      END_STATE();
    case 67:
      if (lookahead == 'e') ADVANCE(93);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(94);
      END_STATE();
    case 70:
      if (lookahead == 'e') ADVANCE(95);
      END_STATE();
    case 71:
      if (lookahead == 'n') ADVANCE(96);
      END_STATE();
    case 72:
      if (lookahead == 'h') ADVANCE(97);
      END_STATE();
    case 73:
      if (lookahead == 'l') ADVANCE(98);
      END_STATE();
    case 74:
      if (lookahead == 'r') ADVANCE(99);
      END_STATE();
    case 75:
      if (lookahead == 'k') ADVANCE(100);
      END_STATE();
    case 76:
      if (lookahead == 'i') ADVANCE(101);
      END_STATE();
    case 77:
      if (lookahead == 'g') ADVANCE(102);
      END_STATE();
    case 78:
      if (lookahead == 't') ADVANCE(103);
      END_STATE();
    case 79:
      if (lookahead == 'e') ADVANCE(104);
      END_STATE();
    case 80:
      if (lookahead == 'r') ADVANCE(105);
      END_STATE();
    case 81:
      if (lookahead == 'f') ADVANCE(106);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 83:
      if (lookahead == 'r') ADVANCE(107);
      END_STATE();
    case 84:
      if (lookahead == 'a') ADVANCE(108);
      END_STATE();
    case 85:
      if (lookahead == 'e') ADVANCE(109);
      END_STATE();
    case 86:
      if (lookahead == 'i') ADVANCE(110);
      END_STATE();
    case 87:
      if (lookahead == 'r') ADVANCE(111);
      END_STATE();
    case 88:
      if (lookahead == 'i') ADVANCE(112);
      END_STATE();
    case 89:
      if (lookahead == 'r') ADVANCE(113);
      END_STATE();
    case 90:
      if (lookahead == 'c') ADVANCE(114);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 92:
      if (lookahead == 'w') ADVANCE(115);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 94:
      if (lookahead == 'o') ADVANCE(116);
      END_STATE();
    case 95:
      if (lookahead == 'f') ADVANCE(117);
      END_STATE();
    case 96:
      if (lookahead == 'g') ADVANCE(118);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 98:
      if (lookahead == 'd') ADVANCE(119);
      END_STATE();
    case 99:
      if (lookahead == 't') ADVANCE(120);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 101:
      if (lookahead == 'n') ADVANCE(121);
      END_STATE();
    case 102:
      if (lookahead == 'g') ADVANCE(122);
      END_STATE();
    case 103:
      if (lookahead == 'e') ADVANCE(123);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_infer);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_keyof);
      END_STATE();
    case 107:
      if (lookahead == 'i') ADVANCE(124);
      END_STATE();
    case 108:
      if (lookahead == 't') ADVANCE(125);
      END_STATE();
    case 109:
      if (lookahead == 'c') ADVANCE(126);
      END_STATE();
    case 110:
      if (lookahead == 'c') ADVANCE(127);
      END_STATE();
    case 111:
      if (lookahead == 'n') ADVANCE(128);
      END_STATE();
    case 112:
      if (lookahead == 'c') ADVANCE(129);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 114:
      if (lookahead == 'h') ADVANCE(130);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 116:
      if (lookahead == 'f') ADVANCE(131);
      END_STATE();
    case 117:
      if (lookahead == 'i') ADVANCE(132);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_using);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 120:
      if (lookahead == 's') ADVANCE(133);
      END_STATE();
    case 121:
      if (lookahead == 'u') ADVANCE(134);
      END_STATE();
    case 122:
      if (lookahead == 'e') ADVANCE(135);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 124:
      if (lookahead == 'd') ADVANCE(136);
      END_STATE();
    case 125:
      if (lookahead == 'e') ADVANCE(137);
      END_STATE();
    case 126:
      if (lookahead == 't') ADVANCE(138);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_typeof);
      END_STATE();
    case 132:
      if (lookahead == 'n') ADVANCE(139);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_asserts);
      END_STATE();
    case 134:
      if (lookahead == 'e') ADVANCE(140);
      END_STATE();
    case 135:
      if (lookahead == 'r') ADVANCE(141);
      END_STATE();
    case 136:
      if (lookahead == 'e') ADVANCE(142);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 138:
      if (lookahead == 'e') ADVANCE(143);
      END_STATE();
    case 139:
      if (lookahead == 'e') ADVANCE(144);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_debugger);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 143:
      if (lookahead == 'd') ADVANCE(145);
      END_STATE();
    case 144:
      if (lookahead == 'd') ADVANCE(146);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_undefined);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 353, .external_lex_state = 2},
  [2] = {.lex_state = 7, .external_lex_state = 3},
  [3] = {.lex_state = 7, .external_lex_state = 3},
  [4] = {.lex_state = 353, .external_lex_state = 2},
  [5] = {.lex_state = 353, .external_lex_state = 2},
  [6] = {.lex_state = 353, .external_lex_state = 2},
  [7] = {.lex_state = 353, .external_lex_state = 2},
  [8] = {.lex_state = 353, .external_lex_state = 2},
  [9] = {.lex_state = 353, .external_lex_state = 2},
  [10] = {.lex_state = 353, .external_lex_state = 2},
  [11] = {.lex_state = 353, .external_lex_state = 2},
  [12] = {.lex_state = 40, .external_lex_state = 2},
  [13] = {.lex_state = 40, .external_lex_state = 2},
  [14] = {.lex_state = 40, .external_lex_state = 2},
  [15] = {.lex_state = 40, .external_lex_state = 2},
  [16] = {.lex_state = 40, .external_lex_state = 2},
  [17] = {.lex_state = 353, .external_lex_state = 2},
  [18] = {.lex_state = 353, .external_lex_state = 2},
  [19] = {.lex_state = 353, .external_lex_state = 2},
  [20] = {.lex_state = 353, .external_lex_state = 2},
  [21] = {.lex_state = 353, .external_lex_state = 2},
  [22] = {.lex_state = 353, .external_lex_state = 2},
  [23] = {.lex_state = 353, .external_lex_state = 2},
  [24] = {.lex_state = 353, .external_lex_state = 2},
  [25] = {.lex_state = 353, .external_lex_state = 2},
  [26] = {.lex_state = 353, .external_lex_state = 2},
  [27] = {.lex_state = 353, .external_lex_state = 2},
  [28] = {.lex_state = 353, .external_lex_state = 2},
  [29] = {.lex_state = 353, .external_lex_state = 2},
  [30] = {.lex_state = 353, .external_lex_state = 2},
  [31] = {.lex_state = 353, .external_lex_state = 2},
  [32] = {.lex_state = 353, .external_lex_state = 2},
  [33] = {.lex_state = 353, .external_lex_state = 2},
  [34] = {.lex_state = 353, .external_lex_state = 2},
  [35] = {.lex_state = 353, .external_lex_state = 2},
  [36] = {.lex_state = 353, .external_lex_state = 2},
  [37] = {.lex_state = 353, .external_lex_state = 2},
  [38] = {.lex_state = 353, .external_lex_state = 2},
  [39] = {.lex_state = 353, .external_lex_state = 2},
  [40] = {.lex_state = 353, .external_lex_state = 2},
  [41] = {.lex_state = 353, .external_lex_state = 2},
  [42] = {.lex_state = 353, .external_lex_state = 2},
  [43] = {.lex_state = 353, .external_lex_state = 2},
  [44] = {.lex_state = 353, .external_lex_state = 2},
  [45] = {.lex_state = 353, .external_lex_state = 2},
  [46] = {.lex_state = 353, .external_lex_state = 2},
  [47] = {.lex_state = 353, .external_lex_state = 2},
  [48] = {.lex_state = 353, .external_lex_state = 2},
  [49] = {.lex_state = 353, .external_lex_state = 2},
  [50] = {.lex_state = 353, .external_lex_state = 2},
  [51] = {.lex_state = 353, .external_lex_state = 2},
  [52] = {.lex_state = 353, .external_lex_state = 2},
  [53] = {.lex_state = 353, .external_lex_state = 2},
  [54] = {.lex_state = 353, .external_lex_state = 2},
  [55] = {.lex_state = 353, .external_lex_state = 2},
  [56] = {.lex_state = 353, .external_lex_state = 2},
  [57] = {.lex_state = 353, .external_lex_state = 2},
  [58] = {.lex_state = 353, .external_lex_state = 2},
  [59] = {.lex_state = 353, .external_lex_state = 2},
  [60] = {.lex_state = 353, .external_lex_state = 2},
  [61] = {.lex_state = 353, .external_lex_state = 2},
  [62] = {.lex_state = 353, .external_lex_state = 2},
  [63] = {.lex_state = 353, .external_lex_state = 2},
  [64] = {.lex_state = 353, .external_lex_state = 2},
  [65] = {.lex_state = 353, .external_lex_state = 2},
  [66] = {.lex_state = 353, .external_lex_state = 2},
  [67] = {.lex_state = 353, .external_lex_state = 2},
  [68] = {.lex_state = 353, .external_lex_state = 2},
  [69] = {.lex_state = 353, .external_lex_state = 2},
  [70] = {.lex_state = 353, .external_lex_state = 2},
  [71] = {.lex_state = 353, .external_lex_state = 2},
  [72] = {.lex_state = 353, .external_lex_state = 2},
  [73] = {.lex_state = 353, .external_lex_state = 2},
  [74] = {.lex_state = 353, .external_lex_state = 2},
  [75] = {.lex_state = 353, .external_lex_state = 2},
  [76] = {.lex_state = 353, .external_lex_state = 2},
  [77] = {.lex_state = 353, .external_lex_state = 2},
  [78] = {.lex_state = 353, .external_lex_state = 2},
  [79] = {.lex_state = 353, .external_lex_state = 2},
  [80] = {.lex_state = 353, .external_lex_state = 2},
  [81] = {.lex_state = 353, .external_lex_state = 2},
  [82] = {.lex_state = 353, .external_lex_state = 2},
  [83] = {.lex_state = 353, .external_lex_state = 2},
  [84] = {.lex_state = 353, .external_lex_state = 2},
  [85] = {.lex_state = 353, .external_lex_state = 2},
  [86] = {.lex_state = 353, .external_lex_state = 2},
  [87] = {.lex_state = 353, .external_lex_state = 2},
  [88] = {.lex_state = 353, .external_lex_state = 2},
  [89] = {.lex_state = 353, .external_lex_state = 2},
  [90] = {.lex_state = 353, .external_lex_state = 2},
  [91] = {.lex_state = 353, .external_lex_state = 2},
  [92] = {.lex_state = 353, .external_lex_state = 2},
  [93] = {.lex_state = 353, .external_lex_state = 2},
  [94] = {.lex_state = 353, .external_lex_state = 2},
  [95] = {.lex_state = 353, .external_lex_state = 2},
  [96] = {.lex_state = 353, .external_lex_state = 2},
  [97] = {.lex_state = 353, .external_lex_state = 2},
  [98] = {.lex_state = 353, .external_lex_state = 2},
  [99] = {.lex_state = 353, .external_lex_state = 2},
  [100] = {.lex_state = 353, .external_lex_state = 2},
  [101] = {.lex_state = 353, .external_lex_state = 2},
  [102] = {.lex_state = 353, .external_lex_state = 2},
  [103] = {.lex_state = 353, .external_lex_state = 2},
  [104] = {.lex_state = 353, .external_lex_state = 2},
  [105] = {.lex_state = 353, .external_lex_state = 2},
  [106] = {.lex_state = 353, .external_lex_state = 2},
  [107] = {.lex_state = 353, .external_lex_state = 2},
  [108] = {.lex_state = 353, .external_lex_state = 2},
  [109] = {.lex_state = 353, .external_lex_state = 2},
  [110] = {.lex_state = 353, .external_lex_state = 2},
  [111] = {.lex_state = 353, .external_lex_state = 2},
  [112] = {.lex_state = 353, .external_lex_state = 2},
  [113] = {.lex_state = 353, .external_lex_state = 2},
  [114] = {.lex_state = 353, .external_lex_state = 2},
  [115] = {.lex_state = 353, .external_lex_state = 2},
  [116] = {.lex_state = 353, .external_lex_state = 2},
  [117] = {.lex_state = 353, .external_lex_state = 2},
  [118] = {.lex_state = 353, .external_lex_state = 2},
  [119] = {.lex_state = 353, .external_lex_state = 2},
  [120] = {.lex_state = 353, .external_lex_state = 2},
  [121] = {.lex_state = 353, .external_lex_state = 2},
  [122] = {.lex_state = 353, .external_lex_state = 2},
  [123] = {.lex_state = 35, .external_lex_state = 2},
  [124] = {.lex_state = 6, .external_lex_state = 4},
  [125] = {.lex_state = 35, .external_lex_state = 2},
  [126] = {.lex_state = 35, .external_lex_state = 2},
  [127] = {.lex_state = 35, .external_lex_state = 2},
  [128] = {.lex_state = 35, .external_lex_state = 2},
  [129] = {.lex_state = 6, .external_lex_state = 4},
  [130] = {.lex_state = 35, .external_lex_state = 2},
  [131] = {.lex_state = 35, .external_lex_state = 2},
  [132] = {.lex_state = 35, .external_lex_state = 2},
  [133] = {.lex_state = 6, .external_lex_state = 4},
  [134] = {.lex_state = 35, .external_lex_state = 2},
  [135] = {.lex_state = 35, .external_lex_state = 2},
  [136] = {.lex_state = 6, .external_lex_state = 3},
  [137] = {.lex_state = 6, .external_lex_state = 3},
  [138] = {.lex_state = 6, .external_lex_state = 3},
  [139] = {.lex_state = 6, .external_lex_state = 3},
  [140] = {.lex_state = 6, .external_lex_state = 3},
  [141] = {.lex_state = 6, .external_lex_state = 3},
  [142] = {.lex_state = 6, .external_lex_state = 3},
  [143] = {.lex_state = 6, .external_lex_state = 3},
  [144] = {.lex_state = 6, .external_lex_state = 3},
  [145] = {.lex_state = 6, .external_lex_state = 3},
  [146] = {.lex_state = 6, .external_lex_state = 3},
  [147] = {.lex_state = 6, .external_lex_state = 3},
  [148] = {.lex_state = 6, .external_lex_state = 3},
  [149] = {.lex_state = 35, .external_lex_state = 2},
  [150] = {.lex_state = 35, .external_lex_state = 2},
  [151] = {.lex_state = 6, .external_lex_state = 3},
  [152] = {.lex_state = 35, .external_lex_state = 2},
  [153] = {.lex_state = 6, .external_lex_state = 3},
  [154] = {.lex_state = 35, .external_lex_state = 2},
  [155] = {.lex_state = 6, .external_lex_state = 4},
  [156] = {.lex_state = 6, .external_lex_state = 4},
  [157] = {.lex_state = 6, .external_lex_state = 3},
  [158] = {.lex_state = 35, .external_lex_state = 2},
  [159] = {.lex_state = 10, .external_lex_state = 4},
  [160] = {.lex_state = 6, .external_lex_state = 4},
  [161] = {.lex_state = 6, .external_lex_state = 4},
  [162] = {.lex_state = 6, .external_lex_state = 4},
  [163] = {.lex_state = 6, .external_lex_state = 4},
  [164] = {.lex_state = 6, .external_lex_state = 4},
  [165] = {.lex_state = 10, .external_lex_state = 4},
  [166] = {.lex_state = 35, .external_lex_state = 2},
  [167] = {.lex_state = 35, .external_lex_state = 2},
  [168] = {.lex_state = 6, .external_lex_state = 4},
  [169] = {.lex_state = 10, .external_lex_state = 4},
  [170] = {.lex_state = 10, .external_lex_state = 4},
  [171] = {.lex_state = 35, .external_lex_state = 2},
  [172] = {.lex_state = 6, .external_lex_state = 3},
  [173] = {.lex_state = 6, .external_lex_state = 3},
  [174] = {.lex_state = 6, .external_lex_state = 3},
  [175] = {.lex_state = 11, .external_lex_state = 3},
  [176] = {.lex_state = 6, .external_lex_state = 3},
  [177] = {.lex_state = 6, .external_lex_state = 3},
  [178] = {.lex_state = 6, .external_lex_state = 3},
  [179] = {.lex_state = 6, .external_lex_state = 3},
  [180] = {.lex_state = 6, .external_lex_state = 4},
  [181] = {.lex_state = 11, .external_lex_state = 3},
  [182] = {.lex_state = 6, .external_lex_state = 3},
  [183] = {.lex_state = 6, .external_lex_state = 3},
  [184] = {.lex_state = 11, .external_lex_state = 3},
  [185] = {.lex_state = 6, .external_lex_state = 3},
  [186] = {.lex_state = 6, .external_lex_state = 4},
  [187] = {.lex_state = 6, .external_lex_state = 4},
  [188] = {.lex_state = 10, .external_lex_state = 3},
  [189] = {.lex_state = 10, .external_lex_state = 3},
  [190] = {.lex_state = 6, .external_lex_state = 3},
  [191] = {.lex_state = 10, .external_lex_state = 3},
  [192] = {.lex_state = 10, .external_lex_state = 3},
  [193] = {.lex_state = 6, .external_lex_state = 3},
  [194] = {.lex_state = 6, .external_lex_state = 3},
  [195] = {.lex_state = 6, .external_lex_state = 3},
  [196] = {.lex_state = 6, .external_lex_state = 3},
  [197] = {.lex_state = 6, .external_lex_state = 3},
  [198] = {.lex_state = 6, .external_lex_state = 3},
  [199] = {.lex_state = 6, .external_lex_state = 3},
  [200] = {.lex_state = 6, .external_lex_state = 3},
  [201] = {.lex_state = 6, .external_lex_state = 3},
  [202] = {.lex_state = 6, .external_lex_state = 3},
  [203] = {.lex_state = 6, .external_lex_state = 3},
  [204] = {.lex_state = 35, .external_lex_state = 2},
  [205] = {.lex_state = 6, .external_lex_state = 3},
  [206] = {.lex_state = 6, .external_lex_state = 3},
  [207] = {.lex_state = 6, .external_lex_state = 3},
  [208] = {.lex_state = 35, .external_lex_state = 2},
  [209] = {.lex_state = 35, .external_lex_state = 2},
  [210] = {.lex_state = 35, .external_lex_state = 2},
  [211] = {.lex_state = 35, .external_lex_state = 2},
  [212] = {.lex_state = 35, .external_lex_state = 2},
  [213] = {.lex_state = 35, .external_lex_state = 2},
  [214] = {.lex_state = 35, .external_lex_state = 2},
  [215] = {.lex_state = 35, .external_lex_state = 2},
  [216] = {.lex_state = 35, .external_lex_state = 2},
  [217] = {.lex_state = 35, .external_lex_state = 2},
  [218] = {.lex_state = 35, .external_lex_state = 2},
  [219] = {.lex_state = 35, .external_lex_state = 2},
  [220] = {.lex_state = 12, .external_lex_state = 3},
  [221] = {.lex_state = 12, .external_lex_state = 4},
  [222] = {.lex_state = 13, .external_lex_state = 4},
  [223] = {.lex_state = 12, .external_lex_state = 3},
  [224] = {.lex_state = 12, .external_lex_state = 4},
  [225] = {.lex_state = 16, .external_lex_state = 3},
  [226] = {.lex_state = 12, .external_lex_state = 3},
  [227] = {.lex_state = 13, .external_lex_state = 3},
  [228] = {.lex_state = 12, .external_lex_state = 3},
  [229] = {.lex_state = 47, .external_lex_state = 2},
  [230] = {.lex_state = 47, .external_lex_state = 2},
  [231] = {.lex_state = 47, .external_lex_state = 2},
  [232] = {.lex_state = 47, .external_lex_state = 2},
  [233] = {.lex_state = 47, .external_lex_state = 2},
  [234] = {.lex_state = 47, .external_lex_state = 2},
  [235] = {.lex_state = 47, .external_lex_state = 2},
  [236] = {.lex_state = 47, .external_lex_state = 2},
  [237] = {.lex_state = 47, .external_lex_state = 2},
  [238] = {.lex_state = 47, .external_lex_state = 2},
  [239] = {.lex_state = 47, .external_lex_state = 2},
  [240] = {.lex_state = 47, .external_lex_state = 2},
  [241] = {.lex_state = 17, .external_lex_state = 3},
  [242] = {.lex_state = 17, .external_lex_state = 4},
  [243] = {.lex_state = 19, .external_lex_state = 4},
  [244] = {.lex_state = 17, .external_lex_state = 3},
  [245] = {.lex_state = 17, .external_lex_state = 3},
  [246] = {.lex_state = 17, .external_lex_state = 3},
  [247] = {.lex_state = 17, .external_lex_state = 3},
  [248] = {.lex_state = 37, .external_lex_state = 2},
  [249] = {.lex_state = 37, .external_lex_state = 2},
  [250] = {.lex_state = 17, .external_lex_state = 4},
  [251] = {.lex_state = 17, .external_lex_state = 3},
  [252] = {.lex_state = 20, .external_lex_state = 3},
  [253] = {.lex_state = 37, .external_lex_state = 2},
  [254] = {.lex_state = 37, .external_lex_state = 2},
  [255] = {.lex_state = 19, .external_lex_state = 3},
  [256] = {.lex_state = 37, .external_lex_state = 2},
  [257] = {.lex_state = 37, .external_lex_state = 2},
  [258] = {.lex_state = 17, .external_lex_state = 3},
  [259] = {.lex_state = 37, .external_lex_state = 2},
  [260] = {.lex_state = 37, .external_lex_state = 2},
  [261] = {.lex_state = 17, .external_lex_state = 3},
  [262] = {.lex_state = 37, .external_lex_state = 2},
  [263] = {.lex_state = 37, .external_lex_state = 2},
  [264] = {.lex_state = 37, .external_lex_state = 2},
  [265] = {.lex_state = 37, .external_lex_state = 2},
  [266] = {.lex_state = 37, .external_lex_state = 2},
  [267] = {.lex_state = 36, .external_lex_state = 2},
  [268] = {.lex_state = 37, .external_lex_state = 2},
  [269] = {.lex_state = 37, .external_lex_state = 2},
  [270] = {.lex_state = 37, .external_lex_state = 2},
  [271] = {.lex_state = 37, .external_lex_state = 2},
  [272] = {.lex_state = 17, .external_lex_state = 3},
  [273] = {.lex_state = 37, .external_lex_state = 2},
  [274] = {.lex_state = 37, .external_lex_state = 2},
  [275] = {.lex_state = 37, .external_lex_state = 2},
  [276] = {.lex_state = 46, .external_lex_state = 2},
  [277] = {.lex_state = 46, .external_lex_state = 2},
  [278] = {.lex_state = 37, .external_lex_state = 2},
  [279] = {.lex_state = 46, .external_lex_state = 2},
  [280] = {.lex_state = 46, .external_lex_state = 2},
  [281] = {.lex_state = 36, .external_lex_state = 5},
  [282] = {.lex_state = 46, .external_lex_state = 2},
  [283] = {.lex_state = 37, .external_lex_state = 2},
  [284] = {.lex_state = 37, .external_lex_state = 2},
  [285] = {.lex_state = 37, .external_lex_state = 2},
  [286] = {.lex_state = 37, .external_lex_state = 2},
  [287] = {.lex_state = 37, .external_lex_state = 2},
  [288] = {.lex_state = 37, .external_lex_state = 2},
  [289] = {.lex_state = 36, .external_lex_state = 2},
  [290] = {.lex_state = 15, .external_lex_state = 4},
  [291] = {.lex_state = 15, .external_lex_state = 4},
  [292] = {.lex_state = 15, .external_lex_state = 4},
  [293] = {.lex_state = 15, .external_lex_state = 4},
  [294] = {.lex_state = 37, .external_lex_state = 2},
  [295] = {.lex_state = 15, .external_lex_state = 4},
  [296] = {.lex_state = 15, .external_lex_state = 4},
  [297] = {.lex_state = 15, .external_lex_state = 4},
  [298] = {.lex_state = 15, .external_lex_state = 4},
  [299] = {.lex_state = 350, .external_lex_state = 4},
  [300] = {.lex_state = 15, .external_lex_state = 4},
  [301] = {.lex_state = 350, .external_lex_state = 4},
  [302] = {.lex_state = 36, .external_lex_state = 2},
  [303] = {.lex_state = 15, .external_lex_state = 4},
  [304] = {.lex_state = 350, .external_lex_state = 4},
  [305] = {.lex_state = 37, .external_lex_state = 2},
  [306] = {.lex_state = 15, .external_lex_state = 4},
  [307] = {.lex_state = 15, .external_lex_state = 4},
  [308] = {.lex_state = 15, .external_lex_state = 4},
  [309] = {.lex_state = 15, .external_lex_state = 4},
  [310] = {.lex_state = 15, .external_lex_state = 4},
  [311] = {.lex_state = 37, .external_lex_state = 2},
  [312] = {.lex_state = 15, .external_lex_state = 4},
  [313] = {.lex_state = 37, .external_lex_state = 2},
  [314] = {.lex_state = 15, .external_lex_state = 4},
  [315] = {.lex_state = 36, .external_lex_state = 2},
  [316] = {.lex_state = 15, .external_lex_state = 4},
  [317] = {.lex_state = 15, .external_lex_state = 4},
  [318] = {.lex_state = 15, .external_lex_state = 4},
  [319] = {.lex_state = 15, .external_lex_state = 4},
  [320] = {.lex_state = 15, .external_lex_state = 4},
  [321] = {.lex_state = 15, .external_lex_state = 4},
  [322] = {.lex_state = 15, .external_lex_state = 4},
  [323] = {.lex_state = 36, .external_lex_state = 2},
  [324] = {.lex_state = 36, .external_lex_state = 2},
  [325] = {.lex_state = 36, .external_lex_state = 2},
  [326] = {.lex_state = 14, .external_lex_state = 4},
  [327] = {.lex_state = 36, .external_lex_state = 2},
  [328] = {.lex_state = 37, .external_lex_state = 2},
  [329] = {.lex_state = 15, .external_lex_state = 4},
  [330] = {.lex_state = 36, .external_lex_state = 2},
  [331] = {.lex_state = 15, .external_lex_state = 4},
  [332] = {.lex_state = 37, .external_lex_state = 2},
  [333] = {.lex_state = 15, .external_lex_state = 4},
  [334] = {.lex_state = 350, .external_lex_state = 4},
  [335] = {.lex_state = 14, .external_lex_state = 4},
  [336] = {.lex_state = 14, .external_lex_state = 4},
  [337] = {.lex_state = 14, .external_lex_state = 4},
  [338] = {.lex_state = 37, .external_lex_state = 2},
  [339] = {.lex_state = 37, .external_lex_state = 2},
  [340] = {.lex_state = 37, .external_lex_state = 2},
  [341] = {.lex_state = 15, .external_lex_state = 4},
  [342] = {.lex_state = 37, .external_lex_state = 2},
  [343] = {.lex_state = 15, .external_lex_state = 4},
  [344] = {.lex_state = 350, .external_lex_state = 4},
  [345] = {.lex_state = 349, .external_lex_state = 4},
  [346] = {.lex_state = 350, .external_lex_state = 4},
  [347] = {.lex_state = 350, .external_lex_state = 4},
  [348] = {.lex_state = 37, .external_lex_state = 2},
  [349] = {.lex_state = 14, .external_lex_state = 4},
  [350] = {.lex_state = 37, .external_lex_state = 2},
  [351] = {.lex_state = 37, .external_lex_state = 2},
  [352] = {.lex_state = 37, .external_lex_state = 2},
  [353] = {.lex_state = 14, .external_lex_state = 4},
  [354] = {.lex_state = 350, .external_lex_state = 4},
  [355] = {.lex_state = 14, .external_lex_state = 4},
  [356] = {.lex_state = 14, .external_lex_state = 4},
  [357] = {.lex_state = 350, .external_lex_state = 4},
  [358] = {.lex_state = 350, .external_lex_state = 4},
  [359] = {.lex_state = 37, .external_lex_state = 2},
  [360] = {.lex_state = 14, .external_lex_state = 4},
  [361] = {.lex_state = 14, .external_lex_state = 4},
  [362] = {.lex_state = 14, .external_lex_state = 4},
  [363] = {.lex_state = 350, .external_lex_state = 4},
  [364] = {.lex_state = 14, .external_lex_state = 4},
  [365] = {.lex_state = 14, .external_lex_state = 4},
  [366] = {.lex_state = 14, .external_lex_state = 4},
  [367] = {.lex_state = 14, .external_lex_state = 4},
  [368] = {.lex_state = 350, .external_lex_state = 4},
  [369] = {.lex_state = 14, .external_lex_state = 4},
  [370] = {.lex_state = 14, .external_lex_state = 4},
  [371] = {.lex_state = 14, .external_lex_state = 4},
  [372] = {.lex_state = 350, .external_lex_state = 4},
  [373] = {.lex_state = 14, .external_lex_state = 4},
  [374] = {.lex_state = 350, .external_lex_state = 4},
  [375] = {.lex_state = 14, .external_lex_state = 4},
  [376] = {.lex_state = 14, .external_lex_state = 4},
  [377] = {.lex_state = 14, .external_lex_state = 4},
  [378] = {.lex_state = 349, .external_lex_state = 4},
  [379] = {.lex_state = 14, .external_lex_state = 4},
  [380] = {.lex_state = 37, .external_lex_state = 2},
  [381] = {.lex_state = 349, .external_lex_state = 4},
  [382] = {.lex_state = 37, .external_lex_state = 2},
  [383] = {.lex_state = 349, .external_lex_state = 4},
  [384] = {.lex_state = 350, .external_lex_state = 4},
  [385] = {.lex_state = 350, .external_lex_state = 4},
  [386] = {.lex_state = 37, .external_lex_state = 2},
  [387] = {.lex_state = 350, .external_lex_state = 4},
  [388] = {.lex_state = 14, .external_lex_state = 4},
  [389] = {.lex_state = 14, .external_lex_state = 4},
  [390] = {.lex_state = 37, .external_lex_state = 2},
  [391] = {.lex_state = 37, .external_lex_state = 2},
  [392] = {.lex_state = 14, .external_lex_state = 4},
  [393] = {.lex_state = 350, .external_lex_state = 4},
  [394] = {.lex_state = 37, .external_lex_state = 2},
  [395] = {.lex_state = 37, .external_lex_state = 2},
  [396] = {.lex_state = 350, .external_lex_state = 4},
  [397] = {.lex_state = 350, .external_lex_state = 4},
  [398] = {.lex_state = 37, .external_lex_state = 2},
  [399] = {.lex_state = 37, .external_lex_state = 2},
  [400] = {.lex_state = 37, .external_lex_state = 2},
  [401] = {.lex_state = 350, .external_lex_state = 4},
  [402] = {.lex_state = 350, .external_lex_state = 4},
  [403] = {.lex_state = 14, .external_lex_state = 4},
  [404] = {.lex_state = 14, .external_lex_state = 4},
  [405] = {.lex_state = 350, .external_lex_state = 4},
  [406] = {.lex_state = 350, .external_lex_state = 4},
  [407] = {.lex_state = 350, .external_lex_state = 4},
  [408] = {.lex_state = 37, .external_lex_state = 2},
  [409] = {.lex_state = 37, .external_lex_state = 2},
  [410] = {.lex_state = 350, .external_lex_state = 4},
  [411] = {.lex_state = 37, .external_lex_state = 2},
  [412] = {.lex_state = 37, .external_lex_state = 2},
  [413] = {.lex_state = 37, .external_lex_state = 2},
  [414] = {.lex_state = 37, .external_lex_state = 2},
  [415] = {.lex_state = 37, .external_lex_state = 2},
  [416] = {.lex_state = 37, .external_lex_state = 2},
  [417] = {.lex_state = 350, .external_lex_state = 4},
  [418] = {.lex_state = 37, .external_lex_state = 2},
  [419] = {.lex_state = 14, .external_lex_state = 4},
  [420] = {.lex_state = 37, .external_lex_state = 2},
  [421] = {.lex_state = 350, .external_lex_state = 4},
  [422] = {.lex_state = 350, .external_lex_state = 4},
  [423] = {.lex_state = 349, .external_lex_state = 4},
  [424] = {.lex_state = 349, .external_lex_state = 4},
  [425] = {.lex_state = 349, .external_lex_state = 4},
  [426] = {.lex_state = 349, .external_lex_state = 4},
  [427] = {.lex_state = 349, .external_lex_state = 4},
  [428] = {.lex_state = 349, .external_lex_state = 4},
  [429] = {.lex_state = 349, .external_lex_state = 4},
  [430] = {.lex_state = 349, .external_lex_state = 4},
  [431] = {.lex_state = 37, .external_lex_state = 5},
  [432] = {.lex_state = 349, .external_lex_state = 4},
  [433] = {.lex_state = 349, .external_lex_state = 4},
  [434] = {.lex_state = 349, .external_lex_state = 4},
  [435] = {.lex_state = 349, .external_lex_state = 4},
  [436] = {.lex_state = 349, .external_lex_state = 4},
  [437] = {.lex_state = 349, .external_lex_state = 4},
  [438] = {.lex_state = 37, .external_lex_state = 2},
  [439] = {.lex_state = 349, .external_lex_state = 4},
  [440] = {.lex_state = 349, .external_lex_state = 4},
  [441] = {.lex_state = 349, .external_lex_state = 4},
  [442] = {.lex_state = 37, .external_lex_state = 5},
  [443] = {.lex_state = 349, .external_lex_state = 4},
  [444] = {.lex_state = 37, .external_lex_state = 2},
  [445] = {.lex_state = 37, .external_lex_state = 2},
  [446] = {.lex_state = 349, .external_lex_state = 4},
  [447] = {.lex_state = 349, .external_lex_state = 4},
  [448] = {.lex_state = 6, .external_lex_state = 3},
  [449] = {.lex_state = 37, .external_lex_state = 5},
  [450] = {.lex_state = 6, .external_lex_state = 3},
  [451] = {.lex_state = 349, .external_lex_state = 4},
  [452] = {.lex_state = 349, .external_lex_state = 4},
  [453] = {.lex_state = 37, .external_lex_state = 5},
  [454] = {.lex_state = 6, .external_lex_state = 3},
  [455] = {.lex_state = 6, .external_lex_state = 3},
  [456] = {.lex_state = 349, .external_lex_state = 4},
  [457] = {.lex_state = 37, .external_lex_state = 5},
  [458] = {.lex_state = 349, .external_lex_state = 4},
  [459] = {.lex_state = 349, .external_lex_state = 4},
  [460] = {.lex_state = 37, .external_lex_state = 2},
  [461] = {.lex_state = 46, .external_lex_state = 2},
  [462] = {.lex_state = 37, .external_lex_state = 2},
  [463] = {.lex_state = 37, .external_lex_state = 2},
  [464] = {.lex_state = 37, .external_lex_state = 2},
  [465] = {.lex_state = 37, .external_lex_state = 2},
  [466] = {.lex_state = 37, .external_lex_state = 2},
  [467] = {.lex_state = 37, .external_lex_state = 2},
  [468] = {.lex_state = 37, .external_lex_state = 2},
  [469] = {.lex_state = 37, .external_lex_state = 2},
  [470] = {.lex_state = 37, .external_lex_state = 2},
  [471] = {.lex_state = 37, .external_lex_state = 2},
  [472] = {.lex_state = 37, .external_lex_state = 2},
  [473] = {.lex_state = 37, .external_lex_state = 2},
  [474] = {.lex_state = 37, .external_lex_state = 2},
  [475] = {.lex_state = 37, .external_lex_state = 2},
  [476] = {.lex_state = 37, .external_lex_state = 2},
  [477] = {.lex_state = 37, .external_lex_state = 2},
  [478] = {.lex_state = 37, .external_lex_state = 2},
  [479] = {.lex_state = 37, .external_lex_state = 2},
  [480] = {.lex_state = 37, .external_lex_state = 2},
  [481] = {.lex_state = 37, .external_lex_state = 2},
  [482] = {.lex_state = 37, .external_lex_state = 2},
  [483] = {.lex_state = 37, .external_lex_state = 2},
  [484] = {.lex_state = 37, .external_lex_state = 2},
  [485] = {.lex_state = 37, .external_lex_state = 2},
  [486] = {.lex_state = 37, .external_lex_state = 2},
  [487] = {.lex_state = 37, .external_lex_state = 2},
  [488] = {.lex_state = 37, .external_lex_state = 2},
  [489] = {.lex_state = 37, .external_lex_state = 2},
  [490] = {.lex_state = 37, .external_lex_state = 2},
  [491] = {.lex_state = 37, .external_lex_state = 2},
  [492] = {.lex_state = 37, .external_lex_state = 2},
  [493] = {.lex_state = 37, .external_lex_state = 2},
  [494] = {.lex_state = 37, .external_lex_state = 2},
  [495] = {.lex_state = 37, .external_lex_state = 2},
  [496] = {.lex_state = 37, .external_lex_state = 2},
  [497] = {.lex_state = 37, .external_lex_state = 2},
  [498] = {.lex_state = 37, .external_lex_state = 2},
  [499] = {.lex_state = 37, .external_lex_state = 2},
  [500] = {.lex_state = 37, .external_lex_state = 2},
  [501] = {.lex_state = 37, .external_lex_state = 2},
  [502] = {.lex_state = 37, .external_lex_state = 2},
  [503] = {.lex_state = 37, .external_lex_state = 2},
  [504] = {.lex_state = 37, .external_lex_state = 2},
  [505] = {.lex_state = 37, .external_lex_state = 2},
  [506] = {.lex_state = 37, .external_lex_state = 2},
  [507] = {.lex_state = 37, .external_lex_state = 2},
  [508] = {.lex_state = 37, .external_lex_state = 2},
  [509] = {.lex_state = 37, .external_lex_state = 2},
  [510] = {.lex_state = 37, .external_lex_state = 2},
  [511] = {.lex_state = 37, .external_lex_state = 2},
  [512] = {.lex_state = 37, .external_lex_state = 2},
  [513] = {.lex_state = 37, .external_lex_state = 2},
  [514] = {.lex_state = 37, .external_lex_state = 2},
  [515] = {.lex_state = 37, .external_lex_state = 2},
  [516] = {.lex_state = 37, .external_lex_state = 2},
  [517] = {.lex_state = 37, .external_lex_state = 2},
  [518] = {.lex_state = 37, .external_lex_state = 2},
  [519] = {.lex_state = 37, .external_lex_state = 2},
  [520] = {.lex_state = 37, .external_lex_state = 2},
  [521] = {.lex_state = 37, .external_lex_state = 2},
  [522] = {.lex_state = 37, .external_lex_state = 2},
  [523] = {.lex_state = 37, .external_lex_state = 2},
  [524] = {.lex_state = 37, .external_lex_state = 2},
  [525] = {.lex_state = 37, .external_lex_state = 2},
  [526] = {.lex_state = 37, .external_lex_state = 2},
  [527] = {.lex_state = 37, .external_lex_state = 2},
  [528] = {.lex_state = 37, .external_lex_state = 2},
  [529] = {.lex_state = 37, .external_lex_state = 2},
  [530] = {.lex_state = 37, .external_lex_state = 2},
  [531] = {.lex_state = 37, .external_lex_state = 2},
  [532] = {.lex_state = 37, .external_lex_state = 2},
  [533] = {.lex_state = 37, .external_lex_state = 2},
  [534] = {.lex_state = 37, .external_lex_state = 2},
  [535] = {.lex_state = 37, .external_lex_state = 2},
  [536] = {.lex_state = 37, .external_lex_state = 2},
  [537] = {.lex_state = 37, .external_lex_state = 2},
  [538] = {.lex_state = 37, .external_lex_state = 2},
  [539] = {.lex_state = 37, .external_lex_state = 2},
  [540] = {.lex_state = 37, .external_lex_state = 2},
  [541] = {.lex_state = 37, .external_lex_state = 2},
  [542] = {.lex_state = 37, .external_lex_state = 2},
  [543] = {.lex_state = 37, .external_lex_state = 2},
  [544] = {.lex_state = 37, .external_lex_state = 2},
  [545] = {.lex_state = 37, .external_lex_state = 2},
  [546] = {.lex_state = 37, .external_lex_state = 2},
  [547] = {.lex_state = 37, .external_lex_state = 2},
  [548] = {.lex_state = 37, .external_lex_state = 2},
  [549] = {.lex_state = 37, .external_lex_state = 2},
  [550] = {.lex_state = 37, .external_lex_state = 2},
  [551] = {.lex_state = 37, .external_lex_state = 2},
  [552] = {.lex_state = 37, .external_lex_state = 2},
  [553] = {.lex_state = 37, .external_lex_state = 2},
  [554] = {.lex_state = 37, .external_lex_state = 2},
  [555] = {.lex_state = 37, .external_lex_state = 2},
  [556] = {.lex_state = 37, .external_lex_state = 2},
  [557] = {.lex_state = 37, .external_lex_state = 2},
  [558] = {.lex_state = 37, .external_lex_state = 2},
  [559] = {.lex_state = 37, .external_lex_state = 2},
  [560] = {.lex_state = 37, .external_lex_state = 2},
  [561] = {.lex_state = 37, .external_lex_state = 2},
  [562] = {.lex_state = 37, .external_lex_state = 2},
  [563] = {.lex_state = 37, .external_lex_state = 2},
  [564] = {.lex_state = 37, .external_lex_state = 2},
  [565] = {.lex_state = 37, .external_lex_state = 2},
  [566] = {.lex_state = 37, .external_lex_state = 2},
  [567] = {.lex_state = 37, .external_lex_state = 2},
  [568] = {.lex_state = 37, .external_lex_state = 2},
  [569] = {.lex_state = 37, .external_lex_state = 2},
  [570] = {.lex_state = 37, .external_lex_state = 2},
  [571] = {.lex_state = 37, .external_lex_state = 2},
  [572] = {.lex_state = 37, .external_lex_state = 2},
  [573] = {.lex_state = 37, .external_lex_state = 2},
  [574] = {.lex_state = 37, .external_lex_state = 2},
  [575] = {.lex_state = 37, .external_lex_state = 2},
  [576] = {.lex_state = 37, .external_lex_state = 2},
  [577] = {.lex_state = 37, .external_lex_state = 2},
  [578] = {.lex_state = 37, .external_lex_state = 2},
  [579] = {.lex_state = 37, .external_lex_state = 2},
  [580] = {.lex_state = 37, .external_lex_state = 2},
  [581] = {.lex_state = 37, .external_lex_state = 2},
  [582] = {.lex_state = 37, .external_lex_state = 2},
  [583] = {.lex_state = 37, .external_lex_state = 2},
  [584] = {.lex_state = 37, .external_lex_state = 2},
  [585] = {.lex_state = 37, .external_lex_state = 2},
  [586] = {.lex_state = 37, .external_lex_state = 2},
  [587] = {.lex_state = 37, .external_lex_state = 2},
  [588] = {.lex_state = 37, .external_lex_state = 2},
  [589] = {.lex_state = 37, .external_lex_state = 2},
  [590] = {.lex_state = 37, .external_lex_state = 2},
  [591] = {.lex_state = 37, .external_lex_state = 2},
  [592] = {.lex_state = 37, .external_lex_state = 2},
  [593] = {.lex_state = 37, .external_lex_state = 2},
  [594] = {.lex_state = 37, .external_lex_state = 2},
  [595] = {.lex_state = 37, .external_lex_state = 2},
  [596] = {.lex_state = 37, .external_lex_state = 2},
  [597] = {.lex_state = 37, .external_lex_state = 2},
  [598] = {.lex_state = 37, .external_lex_state = 2},
  [599] = {.lex_state = 37, .external_lex_state = 2},
  [600] = {.lex_state = 37, .external_lex_state = 2},
  [601] = {.lex_state = 37, .external_lex_state = 2},
  [602] = {.lex_state = 37, .external_lex_state = 2},
  [603] = {.lex_state = 37, .external_lex_state = 2},
  [604] = {.lex_state = 37, .external_lex_state = 2},
  [605] = {.lex_state = 37, .external_lex_state = 2},
  [606] = {.lex_state = 37, .external_lex_state = 2},
  [607] = {.lex_state = 37, .external_lex_state = 2},
  [608] = {.lex_state = 37, .external_lex_state = 2},
  [609] = {.lex_state = 37, .external_lex_state = 2},
  [610] = {.lex_state = 37, .external_lex_state = 2},
  [611] = {.lex_state = 37, .external_lex_state = 2},
  [612] = {.lex_state = 37, .external_lex_state = 2},
  [613] = {.lex_state = 37, .external_lex_state = 2},
  [614] = {.lex_state = 37, .external_lex_state = 2},
  [615] = {.lex_state = 37, .external_lex_state = 2},
  [616] = {.lex_state = 37, .external_lex_state = 2},
  [617] = {.lex_state = 37, .external_lex_state = 2},
  [618] = {.lex_state = 37, .external_lex_state = 2},
  [619] = {.lex_state = 37, .external_lex_state = 2},
  [620] = {.lex_state = 37, .external_lex_state = 2},
  [621] = {.lex_state = 37, .external_lex_state = 2},
  [622] = {.lex_state = 37, .external_lex_state = 2},
  [623] = {.lex_state = 37, .external_lex_state = 2},
  [624] = {.lex_state = 37, .external_lex_state = 2},
  [625] = {.lex_state = 37, .external_lex_state = 2},
  [626] = {.lex_state = 37, .external_lex_state = 2},
  [627] = {.lex_state = 37, .external_lex_state = 2},
  [628] = {.lex_state = 37, .external_lex_state = 2},
  [629] = {.lex_state = 37, .external_lex_state = 2},
  [630] = {.lex_state = 37, .external_lex_state = 2},
  [631] = {.lex_state = 37, .external_lex_state = 2},
  [632] = {.lex_state = 37, .external_lex_state = 2},
  [633] = {.lex_state = 37, .external_lex_state = 2},
  [634] = {.lex_state = 37, .external_lex_state = 2},
  [635] = {.lex_state = 37, .external_lex_state = 2},
  [636] = {.lex_state = 37, .external_lex_state = 2},
  [637] = {.lex_state = 37, .external_lex_state = 2},
  [638] = {.lex_state = 37, .external_lex_state = 2},
  [639] = {.lex_state = 37, .external_lex_state = 2},
  [640] = {.lex_state = 37, .external_lex_state = 2},
  [641] = {.lex_state = 37, .external_lex_state = 2},
  [642] = {.lex_state = 37, .external_lex_state = 2},
  [643] = {.lex_state = 37, .external_lex_state = 2},
  [644] = {.lex_state = 37, .external_lex_state = 2},
  [645] = {.lex_state = 37, .external_lex_state = 2},
  [646] = {.lex_state = 37, .external_lex_state = 2},
  [647] = {.lex_state = 37, .external_lex_state = 2},
  [648] = {.lex_state = 37, .external_lex_state = 2},
  [649] = {.lex_state = 37, .external_lex_state = 2},
  [650] = {.lex_state = 37, .external_lex_state = 2},
  [651] = {.lex_state = 37, .external_lex_state = 2},
  [652] = {.lex_state = 37, .external_lex_state = 2},
  [653] = {.lex_state = 37, .external_lex_state = 2},
  [654] = {.lex_state = 37, .external_lex_state = 2},
  [655] = {.lex_state = 37, .external_lex_state = 2},
  [656] = {.lex_state = 37, .external_lex_state = 2},
  [657] = {.lex_state = 37, .external_lex_state = 2},
  [658] = {.lex_state = 37, .external_lex_state = 2},
  [659] = {.lex_state = 37, .external_lex_state = 2},
  [660] = {.lex_state = 37, .external_lex_state = 2},
  [661] = {.lex_state = 37, .external_lex_state = 2},
  [662] = {.lex_state = 37, .external_lex_state = 2},
  [663] = {.lex_state = 37, .external_lex_state = 2},
  [664] = {.lex_state = 37, .external_lex_state = 2},
  [665] = {.lex_state = 37, .external_lex_state = 2},
  [666] = {.lex_state = 37, .external_lex_state = 2},
  [667] = {.lex_state = 37, .external_lex_state = 2},
  [668] = {.lex_state = 37, .external_lex_state = 2},
  [669] = {.lex_state = 37, .external_lex_state = 2},
  [670] = {.lex_state = 37, .external_lex_state = 2},
  [671] = {.lex_state = 37, .external_lex_state = 2},
  [672] = {.lex_state = 37, .external_lex_state = 2},
  [673] = {.lex_state = 37, .external_lex_state = 2},
  [674] = {.lex_state = 37, .external_lex_state = 2},
  [675] = {.lex_state = 37, .external_lex_state = 2},
  [676] = {.lex_state = 37, .external_lex_state = 2},
  [677] = {.lex_state = 37, .external_lex_state = 2},
  [678] = {.lex_state = 37, .external_lex_state = 2},
  [679] = {.lex_state = 37, .external_lex_state = 2},
  [680] = {.lex_state = 37, .external_lex_state = 2},
  [681] = {.lex_state = 37, .external_lex_state = 2},
  [682] = {.lex_state = 37, .external_lex_state = 2},
  [683] = {.lex_state = 37, .external_lex_state = 2},
  [684] = {.lex_state = 37, .external_lex_state = 2},
  [685] = {.lex_state = 37, .external_lex_state = 2},
  [686] = {.lex_state = 37, .external_lex_state = 2},
  [687] = {.lex_state = 37, .external_lex_state = 2},
  [688] = {.lex_state = 37, .external_lex_state = 2},
  [689] = {.lex_state = 37, .external_lex_state = 2},
  [690] = {.lex_state = 37, .external_lex_state = 2},
  [691] = {.lex_state = 37, .external_lex_state = 2},
  [692] = {.lex_state = 37, .external_lex_state = 2},
  [693] = {.lex_state = 37, .external_lex_state = 2},
  [694] = {.lex_state = 37, .external_lex_state = 2},
  [695] = {.lex_state = 37, .external_lex_state = 2},
  [696] = {.lex_state = 37, .external_lex_state = 2},
  [697] = {.lex_state = 37, .external_lex_state = 2},
  [698] = {.lex_state = 37, .external_lex_state = 2},
  [699] = {.lex_state = 37, .external_lex_state = 2},
  [700] = {.lex_state = 37, .external_lex_state = 2},
  [701] = {.lex_state = 37, .external_lex_state = 2},
  [702] = {.lex_state = 37, .external_lex_state = 2},
  [703] = {.lex_state = 37, .external_lex_state = 2},
  [704] = {.lex_state = 37, .external_lex_state = 2},
  [705] = {.lex_state = 37, .external_lex_state = 2},
  [706] = {.lex_state = 37, .external_lex_state = 2},
  [707] = {.lex_state = 37, .external_lex_state = 2},
  [708] = {.lex_state = 37, .external_lex_state = 2},
  [709] = {.lex_state = 37, .external_lex_state = 2},
  [710] = {.lex_state = 37, .external_lex_state = 2},
  [711] = {.lex_state = 37, .external_lex_state = 2},
  [712] = {.lex_state = 37, .external_lex_state = 2},
  [713] = {.lex_state = 37, .external_lex_state = 2},
  [714] = {.lex_state = 37, .external_lex_state = 2},
  [715] = {.lex_state = 37, .external_lex_state = 2},
  [716] = {.lex_state = 37, .external_lex_state = 2},
  [717] = {.lex_state = 37, .external_lex_state = 2},
  [718] = {.lex_state = 37, .external_lex_state = 2},
  [719] = {.lex_state = 37, .external_lex_state = 2},
  [720] = {.lex_state = 37, .external_lex_state = 2},
  [721] = {.lex_state = 37, .external_lex_state = 2},
  [722] = {.lex_state = 37, .external_lex_state = 2},
  [723] = {.lex_state = 37, .external_lex_state = 2},
  [724] = {.lex_state = 37, .external_lex_state = 2},
  [725] = {.lex_state = 37, .external_lex_state = 2},
  [726] = {.lex_state = 37, .external_lex_state = 2},
  [727] = {.lex_state = 37, .external_lex_state = 2},
  [728] = {.lex_state = 37, .external_lex_state = 2},
  [729] = {.lex_state = 37, .external_lex_state = 2},
  [730] = {.lex_state = 37, .external_lex_state = 2},
  [731] = {.lex_state = 37, .external_lex_state = 2},
  [732] = {.lex_state = 37, .external_lex_state = 2},
  [733] = {.lex_state = 37, .external_lex_state = 2},
  [734] = {.lex_state = 37, .external_lex_state = 2},
  [735] = {.lex_state = 37, .external_lex_state = 2},
  [736] = {.lex_state = 37, .external_lex_state = 2},
  [737] = {.lex_state = 37, .external_lex_state = 2},
  [738] = {.lex_state = 37, .external_lex_state = 2},
  [739] = {.lex_state = 37, .external_lex_state = 2},
  [740] = {.lex_state = 37, .external_lex_state = 2},
  [741] = {.lex_state = 37, .external_lex_state = 2},
  [742] = {.lex_state = 37, .external_lex_state = 2},
  [743] = {.lex_state = 37, .external_lex_state = 2},
  [744] = {.lex_state = 37, .external_lex_state = 2},
  [745] = {.lex_state = 37, .external_lex_state = 2},
  [746] = {.lex_state = 37, .external_lex_state = 2},
  [747] = {.lex_state = 37, .external_lex_state = 2},
  [748] = {.lex_state = 37, .external_lex_state = 2},
  [749] = {.lex_state = 37, .external_lex_state = 2},
  [750] = {.lex_state = 37, .external_lex_state = 2},
  [751] = {.lex_state = 37, .external_lex_state = 2},
  [752] = {.lex_state = 37, .external_lex_state = 2},
  [753] = {.lex_state = 37, .external_lex_state = 2},
  [754] = {.lex_state = 37, .external_lex_state = 2},
  [755] = {.lex_state = 37, .external_lex_state = 2},
  [756] = {.lex_state = 37, .external_lex_state = 2},
  [757] = {.lex_state = 37, .external_lex_state = 2},
  [758] = {.lex_state = 37, .external_lex_state = 2},
  [759] = {.lex_state = 37, .external_lex_state = 2},
  [760] = {.lex_state = 37, .external_lex_state = 2},
  [761] = {.lex_state = 37, .external_lex_state = 2},
  [762] = {.lex_state = 37, .external_lex_state = 2},
  [763] = {.lex_state = 37, .external_lex_state = 2},
  [764] = {.lex_state = 37, .external_lex_state = 2},
  [765] = {.lex_state = 37, .external_lex_state = 2},
  [766] = {.lex_state = 37, .external_lex_state = 2},
  [767] = {.lex_state = 37, .external_lex_state = 2},
  [768] = {.lex_state = 37, .external_lex_state = 2},
  [769] = {.lex_state = 37, .external_lex_state = 2},
  [770] = {.lex_state = 37, .external_lex_state = 2},
  [771] = {.lex_state = 37, .external_lex_state = 2},
  [772] = {.lex_state = 37, .external_lex_state = 2},
  [773] = {.lex_state = 37, .external_lex_state = 2},
  [774] = {.lex_state = 37, .external_lex_state = 2},
  [775] = {.lex_state = 37, .external_lex_state = 2},
  [776] = {.lex_state = 37, .external_lex_state = 2},
  [777] = {.lex_state = 37, .external_lex_state = 2},
  [778] = {.lex_state = 37, .external_lex_state = 2},
  [779] = {.lex_state = 37, .external_lex_state = 2},
  [780] = {.lex_state = 37, .external_lex_state = 2},
  [781] = {.lex_state = 37, .external_lex_state = 2},
  [782] = {.lex_state = 37, .external_lex_state = 2},
  [783] = {.lex_state = 37, .external_lex_state = 2},
  [784] = {.lex_state = 37, .external_lex_state = 2},
  [785] = {.lex_state = 37, .external_lex_state = 2},
  [786] = {.lex_state = 37, .external_lex_state = 2},
  [787] = {.lex_state = 37, .external_lex_state = 2},
  [788] = {.lex_state = 37, .external_lex_state = 2},
  [789] = {.lex_state = 37, .external_lex_state = 2},
  [790] = {.lex_state = 37, .external_lex_state = 2},
  [791] = {.lex_state = 37, .external_lex_state = 2},
  [792] = {.lex_state = 37, .external_lex_state = 2},
  [793] = {.lex_state = 37, .external_lex_state = 2},
  [794] = {.lex_state = 37, .external_lex_state = 2},
  [795] = {.lex_state = 37, .external_lex_state = 2},
  [796] = {.lex_state = 37, .external_lex_state = 2},
  [797] = {.lex_state = 37, .external_lex_state = 2},
  [798] = {.lex_state = 37, .external_lex_state = 2},
  [799] = {.lex_state = 37, .external_lex_state = 2},
  [800] = {.lex_state = 37, .external_lex_state = 2},
  [801] = {.lex_state = 37, .external_lex_state = 2},
  [802] = {.lex_state = 37, .external_lex_state = 2},
  [803] = {.lex_state = 37, .external_lex_state = 2},
  [804] = {.lex_state = 37, .external_lex_state = 2},
  [805] = {.lex_state = 351, .external_lex_state = 4},
  [806] = {.lex_state = 351, .external_lex_state = 4},
  [807] = {.lex_state = 351, .external_lex_state = 4},
  [808] = {.lex_state = 8, .external_lex_state = 4},
  [809] = {.lex_state = 8, .external_lex_state = 4},
  [810] = {.lex_state = 8, .external_lex_state = 4},
  [811] = {.lex_state = 351, .external_lex_state = 4},
  [812] = {.lex_state = 351, .external_lex_state = 4},
  [813] = {.lex_state = 351, .external_lex_state = 4},
  [814] = {.lex_state = 351, .external_lex_state = 4},
  [815] = {.lex_state = 351, .external_lex_state = 4},
  [816] = {.lex_state = 351, .external_lex_state = 4},
  [817] = {.lex_state = 351, .external_lex_state = 4},
  [818] = {.lex_state = 351, .external_lex_state = 4},
  [819] = {.lex_state = 9, .external_lex_state = 4},
  [820] = {.lex_state = 9, .external_lex_state = 4},
  [821] = {.lex_state = 9, .external_lex_state = 4},
  [822] = {.lex_state = 9, .external_lex_state = 4},
  [823] = {.lex_state = 9, .external_lex_state = 4},
  [824] = {.lex_state = 9, .external_lex_state = 4},
  [825] = {.lex_state = 9, .external_lex_state = 4},
  [826] = {.lex_state = 9, .external_lex_state = 4},
  [827] = {.lex_state = 9, .external_lex_state = 4},
  [828] = {.lex_state = 351, .external_lex_state = 4},
  [829] = {.lex_state = 351, .external_lex_state = 4},
  [830] = {.lex_state = 351, .external_lex_state = 4},
  [831] = {.lex_state = 351, .external_lex_state = 4},
  [832] = {.lex_state = 351, .external_lex_state = 4},
  [833] = {.lex_state = 9, .external_lex_state = 4},
  [834] = {.lex_state = 9, .external_lex_state = 4},
  [835] = {.lex_state = 9, .external_lex_state = 4},
  [836] = {.lex_state = 351, .external_lex_state = 4},
  [837] = {.lex_state = 351, .external_lex_state = 4},
  [838] = {.lex_state = 351, .external_lex_state = 4},
  [839] = {.lex_state = 351, .external_lex_state = 4},
  [840] = {.lex_state = 9, .external_lex_state = 4},
  [841] = {.lex_state = 351, .external_lex_state = 4},
  [842] = {.lex_state = 9, .external_lex_state = 4},
  [843] = {.lex_state = 9, .external_lex_state = 4},
  [844] = {.lex_state = 351, .external_lex_state = 4},
  [845] = {.lex_state = 23, .external_lex_state = 3},
  [846] = {.lex_state = 23, .external_lex_state = 3},
  [847] = {.lex_state = 23, .external_lex_state = 3},
  [848] = {.lex_state = 23, .external_lex_state = 3},
  [849] = {.lex_state = 23, .external_lex_state = 3},
  [850] = {.lex_state = 25, .external_lex_state = 4},
  [851] = {.lex_state = 23, .external_lex_state = 4},
  [852] = {.lex_state = 23, .external_lex_state = 3},
  [853] = {.lex_state = 25, .external_lex_state = 4},
  [854] = {.lex_state = 23, .external_lex_state = 4},
  [855] = {.lex_state = 25, .external_lex_state = 4},
  [856] = {.lex_state = 23, .external_lex_state = 4},
  [857] = {.lex_state = 23, .external_lex_state = 4},
  [858] = {.lex_state = 23, .external_lex_state = 4},
  [859] = {.lex_state = 23, .external_lex_state = 4},
  [860] = {.lex_state = 23, .external_lex_state = 4},
  [861] = {.lex_state = 26, .external_lex_state = 3},
  [862] = {.lex_state = 23, .external_lex_state = 3},
  [863] = {.lex_state = 26, .external_lex_state = 3},
  [864] = {.lex_state = 43, .external_lex_state = 2},
  [865] = {.lex_state = 23, .external_lex_state = 4},
  [866] = {.lex_state = 23, .external_lex_state = 4},
  [867] = {.lex_state = 23, .external_lex_state = 3},
  [868] = {.lex_state = 23, .external_lex_state = 4},
  [869] = {.lex_state = 23, .external_lex_state = 3},
  [870] = {.lex_state = 23, .external_lex_state = 3},
  [871] = {.lex_state = 23, .external_lex_state = 4},
  [872] = {.lex_state = 23, .external_lex_state = 4},
  [873] = {.lex_state = 23, .external_lex_state = 3},
  [874] = {.lex_state = 23, .external_lex_state = 4},
  [875] = {.lex_state = 23, .external_lex_state = 3},
  [876] = {.lex_state = 23, .external_lex_state = 4},
  [877] = {.lex_state = 23, .external_lex_state = 4},
  [878] = {.lex_state = 25, .external_lex_state = 3},
  [879] = {.lex_state = 25, .external_lex_state = 3},
  [880] = {.lex_state = 43, .external_lex_state = 5},
  [881] = {.lex_state = 23, .external_lex_state = 3},
  [882] = {.lex_state = 358, .external_lex_state = 2},
  [883] = {.lex_state = 43, .external_lex_state = 5},
  [884] = {.lex_state = 23, .external_lex_state = 3},
  [885] = {.lex_state = 42, .external_lex_state = 2},
  [886] = {.lex_state = 25, .external_lex_state = 3},
  [887] = {.lex_state = 23, .external_lex_state = 3},
  [888] = {.lex_state = 23, .external_lex_state = 3},
  [889] = {.lex_state = 45, .external_lex_state = 5},
  [890] = {.lex_state = 42, .external_lex_state = 5},
  [891] = {.lex_state = 23, .external_lex_state = 3},
  [892] = {.lex_state = 358, .external_lex_state = 5},
  [893] = {.lex_state = 41, .external_lex_state = 2},
  [894] = {.lex_state = 41, .external_lex_state = 2},
  [895] = {.lex_state = 23, .external_lex_state = 3},
  [896] = {.lex_state = 23, .external_lex_state = 3},
  [897] = {.lex_state = 23, .external_lex_state = 3},
  [898] = {.lex_state = 357, .external_lex_state = 2},
  [899] = {.lex_state = 358, .external_lex_state = 5},
  [900] = {.lex_state = 23, .external_lex_state = 3},
  [901] = {.lex_state = 23, .external_lex_state = 3},
  [902] = {.lex_state = 43, .external_lex_state = 2},
  [903] = {.lex_state = 23, .external_lex_state = 3},
  [904] = {.lex_state = 23, .external_lex_state = 3},
  [905] = {.lex_state = 45, .external_lex_state = 5},
  [906] = {.lex_state = 23, .external_lex_state = 3},
  [907] = {.lex_state = 43, .external_lex_state = 2},
  [908] = {.lex_state = 42, .external_lex_state = 5},
  [909] = {.lex_state = 45, .external_lex_state = 2},
  [910] = {.lex_state = 41, .external_lex_state = 5},
  [911] = {.lex_state = 41, .external_lex_state = 5},
  [912] = {.lex_state = 41, .external_lex_state = 5},
  [913] = {.lex_state = 45, .external_lex_state = 2},
  [914] = {.lex_state = 45, .external_lex_state = 2},
  [915] = {.lex_state = 41, .external_lex_state = 2},
  [916] = {.lex_state = 41, .external_lex_state = 5},
  [917] = {.lex_state = 45, .external_lex_state = 2},
  [918] = {.lex_state = 41, .external_lex_state = 5},
  [919] = {.lex_state = 41, .external_lex_state = 2},
  [920] = {.lex_state = 41, .external_lex_state = 5},
  [921] = {.lex_state = 41, .external_lex_state = 5},
  [922] = {.lex_state = 41, .external_lex_state = 5},
  [923] = {.lex_state = 41, .external_lex_state = 5},
  [924] = {.lex_state = 41, .external_lex_state = 2},
  [925] = {.lex_state = 41, .external_lex_state = 5},
  [926] = {.lex_state = 41, .external_lex_state = 5},
  [927] = {.lex_state = 45, .external_lex_state = 2},
  [928] = {.lex_state = 356, .external_lex_state = 5},
  [929] = {.lex_state = 41, .external_lex_state = 5},
  [930] = {.lex_state = 356, .external_lex_state = 2},
  [931] = {.lex_state = 41, .external_lex_state = 5},
  [932] = {.lex_state = 356, .external_lex_state = 5},
  [933] = {.lex_state = 41, .external_lex_state = 5},
  [934] = {.lex_state = 41, .external_lex_state = 5},
  [935] = {.lex_state = 41, .external_lex_state = 5},
  [936] = {.lex_state = 41, .external_lex_state = 2},
  [937] = {.lex_state = 41, .external_lex_state = 5},
  [938] = {.lex_state = 44, .external_lex_state = 5},
  [939] = {.lex_state = 40, .external_lex_state = 2},
  [940] = {.lex_state = 41, .external_lex_state = 2},
  [941] = {.lex_state = 42, .external_lex_state = 2},
  [942] = {.lex_state = 40, .external_lex_state = 2},
  [943] = {.lex_state = 42, .external_lex_state = 2},
  [944] = {.lex_state = 41, .external_lex_state = 5},
  [945] = {.lex_state = 45, .external_lex_state = 2},
  [946] = {.lex_state = 41, .external_lex_state = 5},
  [947] = {.lex_state = 44, .external_lex_state = 5},
  [948] = {.lex_state = 41, .external_lex_state = 5},
  [949] = {.lex_state = 44, .external_lex_state = 2},
  [950] = {.lex_state = 354, .external_lex_state = 2},
  [951] = {.lex_state = 354, .external_lex_state = 2},
  [952] = {.lex_state = 358, .external_lex_state = 2},
  [953] = {.lex_state = 358, .external_lex_state = 2},
  [954] = {.lex_state = 357, .external_lex_state = 5},
  [955] = {.lex_state = 357, .external_lex_state = 5},
  [956] = {.lex_state = 41, .external_lex_state = 2},
  [957] = {.lex_state = 41, .external_lex_state = 2},
  [958] = {.lex_state = 41, .external_lex_state = 2},
  [959] = {.lex_state = 353, .external_lex_state = 2},
  [960] = {.lex_state = 41, .external_lex_state = 2},
  [961] = {.lex_state = 41, .external_lex_state = 2},
  [962] = {.lex_state = 41, .external_lex_state = 2},
  [963] = {.lex_state = 41, .external_lex_state = 2},
  [964] = {.lex_state = 41, .external_lex_state = 2},
  [965] = {.lex_state = 41, .external_lex_state = 2},
  [966] = {.lex_state = 41, .external_lex_state = 2},
  [967] = {.lex_state = 41, .external_lex_state = 2},
  [968] = {.lex_state = 41, .external_lex_state = 2},
  [969] = {.lex_state = 41, .external_lex_state = 2},
  [970] = {.lex_state = 41, .external_lex_state = 2},
  [971] = {.lex_state = 41, .external_lex_state = 2},
  [972] = {.lex_state = 41, .external_lex_state = 2},
  [973] = {.lex_state = 41, .external_lex_state = 2},
  [974] = {.lex_state = 41, .external_lex_state = 2},
  [975] = {.lex_state = 41, .external_lex_state = 2},
  [976] = {.lex_state = 41, .external_lex_state = 2},
  [977] = {.lex_state = 41, .external_lex_state = 2},
  [978] = {.lex_state = 41, .external_lex_state = 2},
  [979] = {.lex_state = 353, .external_lex_state = 2},
  [980] = {.lex_state = 41, .external_lex_state = 2},
  [981] = {.lex_state = 41, .external_lex_state = 2},
  [982] = {.lex_state = 41, .external_lex_state = 2},
  [983] = {.lex_state = 354, .external_lex_state = 5},
  [984] = {.lex_state = 41, .external_lex_state = 2},
  [985] = {.lex_state = 354, .external_lex_state = 5},
  [986] = {.lex_state = 41, .external_lex_state = 2},
  [987] = {.lex_state = 40, .external_lex_state = 5},
  [988] = {.lex_state = 41, .external_lex_state = 2},
  [989] = {.lex_state = 41, .external_lex_state = 2},
  [990] = {.lex_state = 41, .external_lex_state = 2},
  [991] = {.lex_state = 40, .external_lex_state = 2},
  [992] = {.lex_state = 41, .external_lex_state = 2},
  [993] = {.lex_state = 41, .external_lex_state = 2},
  [994] = {.lex_state = 41, .external_lex_state = 2},
  [995] = {.lex_state = 41, .external_lex_state = 2},
  [996] = {.lex_state = 40, .external_lex_state = 5},
  [997] = {.lex_state = 41, .external_lex_state = 2},
  [998] = {.lex_state = 354, .external_lex_state = 5},
  [999] = {.lex_state = 44, .external_lex_state = 2},
  [1000] = {.lex_state = 41, .external_lex_state = 2},
  [1001] = {.lex_state = 41, .external_lex_state = 2},
  [1002] = {.lex_state = 44, .external_lex_state = 2},
  [1003] = {.lex_state = 41, .external_lex_state = 2},
  [1004] = {.lex_state = 41, .external_lex_state = 2},
  [1005] = {.lex_state = 41, .external_lex_state = 2},
  [1006] = {.lex_state = 40, .external_lex_state = 5},
  [1007] = {.lex_state = 41, .external_lex_state = 2},
  [1008] = {.lex_state = 40, .external_lex_state = 5},
  [1009] = {.lex_state = 41, .external_lex_state = 2},
  [1010] = {.lex_state = 41, .external_lex_state = 2},
  [1011] = {.lex_state = 41, .external_lex_state = 2},
  [1012] = {.lex_state = 41, .external_lex_state = 2},
  [1013] = {.lex_state = 354, .external_lex_state = 5},
  [1014] = {.lex_state = 41, .external_lex_state = 2},
  [1015] = {.lex_state = 41, .external_lex_state = 2},
  [1016] = {.lex_state = 40, .external_lex_state = 5},
  [1017] = {.lex_state = 41, .external_lex_state = 2},
  [1018] = {.lex_state = 41, .external_lex_state = 2},
  [1019] = {.lex_state = 41, .external_lex_state = 2},
  [1020] = {.lex_state = 41, .external_lex_state = 2},
  [1021] = {.lex_state = 41, .external_lex_state = 2},
  [1022] = {.lex_state = 41, .external_lex_state = 2},
  [1023] = {.lex_state = 41, .external_lex_state = 2},
  [1024] = {.lex_state = 44, .external_lex_state = 2},
  [1025] = {.lex_state = 41, .external_lex_state = 2},
  [1026] = {.lex_state = 356, .external_lex_state = 2},
  [1027] = {.lex_state = 41, .external_lex_state = 2},
  [1028] = {.lex_state = 41, .external_lex_state = 2},
  [1029] = {.lex_state = 356, .external_lex_state = 2},
  [1030] = {.lex_state = 41, .external_lex_state = 2},
  [1031] = {.lex_state = 41, .external_lex_state = 2},
  [1032] = {.lex_state = 40, .external_lex_state = 5},
  [1033] = {.lex_state = 40, .external_lex_state = 5},
  [1034] = {.lex_state = 40, .external_lex_state = 5},
  [1035] = {.lex_state = 356, .external_lex_state = 2},
  [1036] = {.lex_state = 40, .external_lex_state = 5},
  [1037] = {.lex_state = 40, .external_lex_state = 5},
  [1038] = {.lex_state = 40, .external_lex_state = 5},
  [1039] = {.lex_state = 354, .external_lex_state = 5},
  [1040] = {.lex_state = 40, .external_lex_state = 5},
  [1041] = {.lex_state = 41, .external_lex_state = 2},
  [1042] = {.lex_state = 41, .external_lex_state = 2},
  [1043] = {.lex_state = 354, .external_lex_state = 5},
  [1044] = {.lex_state = 40, .external_lex_state = 2},
  [1045] = {.lex_state = 40, .external_lex_state = 5},
  [1046] = {.lex_state = 40, .external_lex_state = 5},
  [1047] = {.lex_state = 41, .external_lex_state = 2},
  [1048] = {.lex_state = 41, .external_lex_state = 2},
  [1049] = {.lex_state = 41, .external_lex_state = 2},
  [1050] = {.lex_state = 41, .external_lex_state = 2},
  [1051] = {.lex_state = 40, .external_lex_state = 5},
  [1052] = {.lex_state = 44, .external_lex_state = 2},
  [1053] = {.lex_state = 357, .external_lex_state = 2},
  [1054] = {.lex_state = 44, .external_lex_state = 2},
  [1055] = {.lex_state = 41, .external_lex_state = 2},
  [1056] = {.lex_state = 41, .external_lex_state = 2},
  [1057] = {.lex_state = 354, .external_lex_state = 2},
  [1058] = {.lex_state = 41, .external_lex_state = 2},
  [1059] = {.lex_state = 41, .external_lex_state = 2},
  [1060] = {.lex_state = 354, .external_lex_state = 5},
  [1061] = {.lex_state = 40, .external_lex_state = 5},
  [1062] = {.lex_state = 41, .external_lex_state = 2},
  [1063] = {.lex_state = 40, .external_lex_state = 5},
  [1064] = {.lex_state = 40, .external_lex_state = 5},
  [1065] = {.lex_state = 41, .external_lex_state = 2},
  [1066] = {.lex_state = 354, .external_lex_state = 5},
  [1067] = {.lex_state = 41, .external_lex_state = 2},
  [1068] = {.lex_state = 354, .external_lex_state = 5},
  [1069] = {.lex_state = 354, .external_lex_state = 5},
  [1070] = {.lex_state = 354, .external_lex_state = 5},
  [1071] = {.lex_state = 41, .external_lex_state = 2},
  [1072] = {.lex_state = 40, .external_lex_state = 2},
  [1073] = {.lex_state = 354, .external_lex_state = 2},
  [1074] = {.lex_state = 41, .external_lex_state = 2},
  [1075] = {.lex_state = 41, .external_lex_state = 2},
  [1076] = {.lex_state = 41, .external_lex_state = 2},
  [1077] = {.lex_state = 41, .external_lex_state = 2},
  [1078] = {.lex_state = 41, .external_lex_state = 2},
  [1079] = {.lex_state = 41, .external_lex_state = 2},
  [1080] = {.lex_state = 41, .external_lex_state = 2},
  [1081] = {.lex_state = 41, .external_lex_state = 2},
  [1082] = {.lex_state = 41, .external_lex_state = 2},
  [1083] = {.lex_state = 356, .external_lex_state = 2},
  [1084] = {.lex_state = 41, .external_lex_state = 2},
  [1085] = {.lex_state = 41, .external_lex_state = 2},
  [1086] = {.lex_state = 41, .external_lex_state = 2},
  [1087] = {.lex_state = 41, .external_lex_state = 2},
  [1088] = {.lex_state = 356, .external_lex_state = 2},
  [1089] = {.lex_state = 41, .external_lex_state = 2},
  [1090] = {.lex_state = 41, .external_lex_state = 2},
  [1091] = {.lex_state = 41, .external_lex_state = 2},
  [1092] = {.lex_state = 41, .external_lex_state = 2},
  [1093] = {.lex_state = 41, .external_lex_state = 2},
  [1094] = {.lex_state = 41, .external_lex_state = 2},
  [1095] = {.lex_state = 41, .external_lex_state = 2},
  [1096] = {.lex_state = 41, .external_lex_state = 2},
  [1097] = {.lex_state = 41, .external_lex_state = 2},
  [1098] = {.lex_state = 41, .external_lex_state = 2},
  [1099] = {.lex_state = 41, .external_lex_state = 2},
  [1100] = {.lex_state = 41, .external_lex_state = 2},
  [1101] = {.lex_state = 41, .external_lex_state = 2},
  [1102] = {.lex_state = 41, .external_lex_state = 2},
  [1103] = {.lex_state = 41, .external_lex_state = 2},
  [1104] = {.lex_state = 41, .external_lex_state = 2},
  [1105] = {.lex_state = 41, .external_lex_state = 2},
  [1106] = {.lex_state = 41, .external_lex_state = 2},
  [1107] = {.lex_state = 41, .external_lex_state = 2},
  [1108] = {.lex_state = 41, .external_lex_state = 2},
  [1109] = {.lex_state = 41, .external_lex_state = 2},
  [1110] = {.lex_state = 41, .external_lex_state = 2},
  [1111] = {.lex_state = 354, .external_lex_state = 5},
  [1112] = {.lex_state = 41, .external_lex_state = 2},
  [1113] = {.lex_state = 40, .external_lex_state = 5},
  [1114] = {.lex_state = 41, .external_lex_state = 2},
  [1115] = {.lex_state = 41, .external_lex_state = 2},
  [1116] = {.lex_state = 41, .external_lex_state = 2},
  [1117] = {.lex_state = 41, .external_lex_state = 2},
  [1118] = {.lex_state = 41, .external_lex_state = 2},
  [1119] = {.lex_state = 41, .external_lex_state = 2},
  [1120] = {.lex_state = 41, .external_lex_state = 2},
  [1121] = {.lex_state = 41, .external_lex_state = 2},
  [1122] = {.lex_state = 41, .external_lex_state = 2},
  [1123] = {.lex_state = 354, .external_lex_state = 5},
  [1124] = {.lex_state = 354, .external_lex_state = 5},
  [1125] = {.lex_state = 354, .external_lex_state = 2},
  [1126] = {.lex_state = 41, .external_lex_state = 2},
  [1127] = {.lex_state = 40, .external_lex_state = 5},
  [1128] = {.lex_state = 41, .external_lex_state = 2},
  [1129] = {.lex_state = 41, .external_lex_state = 2},
  [1130] = {.lex_state = 41, .external_lex_state = 2},
  [1131] = {.lex_state = 41, .external_lex_state = 2},
  [1132] = {.lex_state = 41, .external_lex_state = 2},
  [1133] = {.lex_state = 41, .external_lex_state = 2},
  [1134] = {.lex_state = 41, .external_lex_state = 2},
  [1135] = {.lex_state = 41, .external_lex_state = 2},
  [1136] = {.lex_state = 41, .external_lex_state = 2},
  [1137] = {.lex_state = 41, .external_lex_state = 2},
  [1138] = {.lex_state = 41, .external_lex_state = 2},
  [1139] = {.lex_state = 41, .external_lex_state = 2},
  [1140] = {.lex_state = 354, .external_lex_state = 5},
  [1141] = {.lex_state = 355, .external_lex_state = 2},
  [1142] = {.lex_state = 354, .external_lex_state = 2},
  [1143] = {.lex_state = 355, .external_lex_state = 5},
  [1144] = {.lex_state = 357, .external_lex_state = 2},
  [1145] = {.lex_state = 355, .external_lex_state = 5},
  [1146] = {.lex_state = 354, .external_lex_state = 5},
  [1147] = {.lex_state = 354, .external_lex_state = 2},
  [1148] = {.lex_state = 354, .external_lex_state = 5},
  [1149] = {.lex_state = 41, .external_lex_state = 2},
  [1150] = {.lex_state = 41, .external_lex_state = 2},
  [1151] = {.lex_state = 41, .external_lex_state = 2},
  [1152] = {.lex_state = 41, .external_lex_state = 2},
  [1153] = {.lex_state = 41, .external_lex_state = 2},
  [1154] = {.lex_state = 41, .external_lex_state = 2},
  [1155] = {.lex_state = 354, .external_lex_state = 5},
  [1156] = {.lex_state = 354, .external_lex_state = 5},
  [1157] = {.lex_state = 41, .external_lex_state = 2},
  [1158] = {.lex_state = 41, .external_lex_state = 2},
  [1159] = {.lex_state = 41, .external_lex_state = 2},
  [1160] = {.lex_state = 41, .external_lex_state = 2},
  [1161] = {.lex_state = 41, .external_lex_state = 2},
  [1162] = {.lex_state = 41, .external_lex_state = 2},
  [1163] = {.lex_state = 41, .external_lex_state = 2},
  [1164] = {.lex_state = 41, .external_lex_state = 2},
  [1165] = {.lex_state = 41, .external_lex_state = 2},
  [1166] = {.lex_state = 41, .external_lex_state = 2},
  [1167] = {.lex_state = 41, .external_lex_state = 2},
  [1168] = {.lex_state = 41, .external_lex_state = 2},
  [1169] = {.lex_state = 41, .external_lex_state = 2},
  [1170] = {.lex_state = 354, .external_lex_state = 5},
  [1171] = {.lex_state = 41, .external_lex_state = 2},
  [1172] = {.lex_state = 41, .external_lex_state = 2},
  [1173] = {.lex_state = 41, .external_lex_state = 2},
  [1174] = {.lex_state = 41, .external_lex_state = 2},
  [1175] = {.lex_state = 41, .external_lex_state = 2},
  [1176] = {.lex_state = 41, .external_lex_state = 2},
  [1177] = {.lex_state = 41, .external_lex_state = 2},
  [1178] = {.lex_state = 41, .external_lex_state = 2},
  [1179] = {.lex_state = 41, .external_lex_state = 2},
  [1180] = {.lex_state = 40, .external_lex_state = 2},
  [1181] = {.lex_state = 354, .external_lex_state = 2},
  [1182] = {.lex_state = 40, .external_lex_state = 2},
  [1183] = {.lex_state = 355, .external_lex_state = 2},
  [1184] = {.lex_state = 353, .external_lex_state = 5},
  [1185] = {.lex_state = 353, .external_lex_state = 5},
  [1186] = {.lex_state = 355, .external_lex_state = 2},
  [1187] = {.lex_state = 40, .external_lex_state = 2},
  [1188] = {.lex_state = 353, .external_lex_state = 5},
  [1189] = {.lex_state = 40, .external_lex_state = 2},
  [1190] = {.lex_state = 354, .external_lex_state = 2},
  [1191] = {.lex_state = 353, .external_lex_state = 2},
  [1192] = {.lex_state = 40, .external_lex_state = 2},
  [1193] = {.lex_state = 353, .external_lex_state = 5},
  [1194] = {.lex_state = 40, .external_lex_state = 2},
  [1195] = {.lex_state = 353, .external_lex_state = 5},
  [1196] = {.lex_state = 40, .external_lex_state = 2},
  [1197] = {.lex_state = 40, .external_lex_state = 2},
  [1198] = {.lex_state = 40, .external_lex_state = 2},
  [1199] = {.lex_state = 353, .external_lex_state = 5},
  [1200] = {.lex_state = 40, .external_lex_state = 2},
  [1201] = {.lex_state = 353, .external_lex_state = 5},
  [1202] = {.lex_state = 353, .external_lex_state = 5},
  [1203] = {.lex_state = 354, .external_lex_state = 2},
  [1204] = {.lex_state = 40, .external_lex_state = 2},
  [1205] = {.lex_state = 40, .external_lex_state = 2},
  [1206] = {.lex_state = 354, .external_lex_state = 2},
  [1207] = {.lex_state = 40, .external_lex_state = 2},
  [1208] = {.lex_state = 40, .external_lex_state = 2},
  [1209] = {.lex_state = 40, .external_lex_state = 2},
  [1210] = {.lex_state = 40, .external_lex_state = 2},
  [1211] = {.lex_state = 354, .external_lex_state = 2},
  [1212] = {.lex_state = 40, .external_lex_state = 2},
  [1213] = {.lex_state = 354, .external_lex_state = 2},
  [1214] = {.lex_state = 354, .external_lex_state = 2},
  [1215] = {.lex_state = 354, .external_lex_state = 2},
  [1216] = {.lex_state = 354, .external_lex_state = 2},
  [1217] = {.lex_state = 354, .external_lex_state = 2},
  [1218] = {.lex_state = 40, .external_lex_state = 2},
  [1219] = {.lex_state = 40, .external_lex_state = 2},
  [1220] = {.lex_state = 40, .external_lex_state = 2},
  [1221] = {.lex_state = 354, .external_lex_state = 2},
  [1222] = {.lex_state = 40, .external_lex_state = 2},
  [1223] = {.lex_state = 354, .external_lex_state = 2},
  [1224] = {.lex_state = 354, .external_lex_state = 2},
  [1225] = {.lex_state = 40, .external_lex_state = 2},
  [1226] = {.lex_state = 40, .external_lex_state = 2},
  [1227] = {.lex_state = 40, .external_lex_state = 2},
  [1228] = {.lex_state = 40, .external_lex_state = 2},
  [1229] = {.lex_state = 354, .external_lex_state = 2},
  [1230] = {.lex_state = 354, .external_lex_state = 2},
  [1231] = {.lex_state = 40, .external_lex_state = 2},
  [1232] = {.lex_state = 40, .external_lex_state = 2},
  [1233] = {.lex_state = 40, .external_lex_state = 2},
  [1234] = {.lex_state = 40, .external_lex_state = 2},
  [1235] = {.lex_state = 40, .external_lex_state = 2},
  [1236] = {.lex_state = 40, .external_lex_state = 2},
  [1237] = {.lex_state = 354, .external_lex_state = 2},
  [1238] = {.lex_state = 40, .external_lex_state = 2},
  [1239] = {.lex_state = 40, .external_lex_state = 2},
  [1240] = {.lex_state = 354, .external_lex_state = 2},
  [1241] = {.lex_state = 354, .external_lex_state = 2},
  [1242] = {.lex_state = 354, .external_lex_state = 2},
  [1243] = {.lex_state = 354, .external_lex_state = 2},
  [1244] = {.lex_state = 40, .external_lex_state = 2},
  [1245] = {.lex_state = 40, .external_lex_state = 2},
  [1246] = {.lex_state = 354, .external_lex_state = 2},
  [1247] = {.lex_state = 40, .external_lex_state = 2},
  [1248] = {.lex_state = 40, .external_lex_state = 2},
  [1249] = {.lex_state = 40, .external_lex_state = 2},
  [1250] = {.lex_state = 40, .external_lex_state = 2},
  [1251] = {.lex_state = 40, .external_lex_state = 2},
  [1252] = {.lex_state = 40, .external_lex_state = 2},
  [1253] = {.lex_state = 354, .external_lex_state = 2},
  [1254] = {.lex_state = 40, .external_lex_state = 2},
  [1255] = {.lex_state = 40, .external_lex_state = 2},
  [1256] = {.lex_state = 40, .external_lex_state = 2},
  [1257] = {.lex_state = 40, .external_lex_state = 2},
  [1258] = {.lex_state = 40, .external_lex_state = 2},
  [1259] = {.lex_state = 40, .external_lex_state = 2},
  [1260] = {.lex_state = 40, .external_lex_state = 2},
  [1261] = {.lex_state = 40, .external_lex_state = 2},
  [1262] = {.lex_state = 354, .external_lex_state = 2},
  [1263] = {.lex_state = 40, .external_lex_state = 2},
  [1264] = {.lex_state = 40, .external_lex_state = 2},
  [1265] = {.lex_state = 40, .external_lex_state = 2},
  [1266] = {.lex_state = 354, .external_lex_state = 2},
  [1267] = {.lex_state = 354, .external_lex_state = 2},
  [1268] = {.lex_state = 40, .external_lex_state = 2},
  [1269] = {.lex_state = 40, .external_lex_state = 2},
  [1270] = {.lex_state = 40, .external_lex_state = 2},
  [1271] = {.lex_state = 40, .external_lex_state = 2},
  [1272] = {.lex_state = 40, .external_lex_state = 2},
  [1273] = {.lex_state = 40, .external_lex_state = 2},
  [1274] = {.lex_state = 40, .external_lex_state = 2},
  [1275] = {.lex_state = 40, .external_lex_state = 2},
  [1276] = {.lex_state = 40, .external_lex_state = 2},
  [1277] = {.lex_state = 40, .external_lex_state = 2},
  [1278] = {.lex_state = 354, .external_lex_state = 2},
  [1279] = {.lex_state = 40, .external_lex_state = 2},
  [1280] = {.lex_state = 40, .external_lex_state = 2},
  [1281] = {.lex_state = 353, .external_lex_state = 5},
  [1282] = {.lex_state = 40, .external_lex_state = 2},
  [1283] = {.lex_state = 40, .external_lex_state = 2},
  [1284] = {.lex_state = 40, .external_lex_state = 2},
  [1285] = {.lex_state = 40, .external_lex_state = 2},
  [1286] = {.lex_state = 40, .external_lex_state = 2},
  [1287] = {.lex_state = 40, .external_lex_state = 2},
  [1288] = {.lex_state = 40, .external_lex_state = 2},
  [1289] = {.lex_state = 40, .external_lex_state = 2},
  [1290] = {.lex_state = 40, .external_lex_state = 2},
  [1291] = {.lex_state = 40, .external_lex_state = 2},
  [1292] = {.lex_state = 40, .external_lex_state = 2},
  [1293] = {.lex_state = 40, .external_lex_state = 2},
  [1294] = {.lex_state = 40, .external_lex_state = 2},
  [1295] = {.lex_state = 40, .external_lex_state = 2},
  [1296] = {.lex_state = 40, .external_lex_state = 2},
  [1297] = {.lex_state = 40, .external_lex_state = 2},
  [1298] = {.lex_state = 40, .external_lex_state = 2},
  [1299] = {.lex_state = 40, .external_lex_state = 2},
  [1300] = {.lex_state = 40, .external_lex_state = 2},
  [1301] = {.lex_state = 40, .external_lex_state = 2},
  [1302] = {.lex_state = 40, .external_lex_state = 2},
  [1303] = {.lex_state = 40, .external_lex_state = 2},
  [1304] = {.lex_state = 40, .external_lex_state = 2},
  [1305] = {.lex_state = 40, .external_lex_state = 2},
  [1306] = {.lex_state = 40, .external_lex_state = 2},
  [1307] = {.lex_state = 40, .external_lex_state = 2},
  [1308] = {.lex_state = 40, .external_lex_state = 2},
  [1309] = {.lex_state = 40, .external_lex_state = 2},
  [1310] = {.lex_state = 40, .external_lex_state = 2},
  [1311] = {.lex_state = 40, .external_lex_state = 2},
  [1312] = {.lex_state = 40, .external_lex_state = 2},
  [1313] = {.lex_state = 40, .external_lex_state = 2},
  [1314] = {.lex_state = 40, .external_lex_state = 2},
  [1315] = {.lex_state = 40, .external_lex_state = 2},
  [1316] = {.lex_state = 40, .external_lex_state = 2},
  [1317] = {.lex_state = 40, .external_lex_state = 2},
  [1318] = {.lex_state = 40, .external_lex_state = 2},
  [1319] = {.lex_state = 40, .external_lex_state = 2},
  [1320] = {.lex_state = 40, .external_lex_state = 2},
  [1321] = {.lex_state = 40, .external_lex_state = 2},
  [1322] = {.lex_state = 40, .external_lex_state = 2},
  [1323] = {.lex_state = 40, .external_lex_state = 2},
  [1324] = {.lex_state = 354, .external_lex_state = 2},
  [1325] = {.lex_state = 40, .external_lex_state = 2},
  [1326] = {.lex_state = 353, .external_lex_state = 5},
  [1327] = {.lex_state = 40, .external_lex_state = 2},
  [1328] = {.lex_state = 40, .external_lex_state = 2},
  [1329] = {.lex_state = 40, .external_lex_state = 2},
  [1330] = {.lex_state = 40, .external_lex_state = 2},
  [1331] = {.lex_state = 40, .external_lex_state = 2},
  [1332] = {.lex_state = 40, .external_lex_state = 2},
  [1333] = {.lex_state = 354, .external_lex_state = 2},
  [1334] = {.lex_state = 40, .external_lex_state = 2},
  [1335] = {.lex_state = 40, .external_lex_state = 2},
  [1336] = {.lex_state = 40, .external_lex_state = 2},
  [1337] = {.lex_state = 40, .external_lex_state = 2},
  [1338] = {.lex_state = 40, .external_lex_state = 2},
  [1339] = {.lex_state = 40, .external_lex_state = 2},
  [1340] = {.lex_state = 40, .external_lex_state = 2},
  [1341] = {.lex_state = 40, .external_lex_state = 2},
  [1342] = {.lex_state = 40, .external_lex_state = 2},
  [1343] = {.lex_state = 40, .external_lex_state = 2},
  [1344] = {.lex_state = 40, .external_lex_state = 2},
  [1345] = {.lex_state = 40, .external_lex_state = 2},
  [1346] = {.lex_state = 40, .external_lex_state = 2},
  [1347] = {.lex_state = 40, .external_lex_state = 2},
  [1348] = {.lex_state = 40, .external_lex_state = 2},
  [1349] = {.lex_state = 40, .external_lex_state = 2},
  [1350] = {.lex_state = 40, .external_lex_state = 2},
  [1351] = {.lex_state = 354, .external_lex_state = 2},
  [1352] = {.lex_state = 40, .external_lex_state = 2},
  [1353] = {.lex_state = 354, .external_lex_state = 2},
  [1354] = {.lex_state = 40, .external_lex_state = 2},
  [1355] = {.lex_state = 40, .external_lex_state = 2},
  [1356] = {.lex_state = 354, .external_lex_state = 2},
  [1357] = {.lex_state = 40, .external_lex_state = 2},
  [1358] = {.lex_state = 40, .external_lex_state = 2},
  [1359] = {.lex_state = 40, .external_lex_state = 2},
  [1360] = {.lex_state = 40, .external_lex_state = 2},
  [1361] = {.lex_state = 40, .external_lex_state = 2},
  [1362] = {.lex_state = 40, .external_lex_state = 2},
  [1363] = {.lex_state = 40, .external_lex_state = 2},
  [1364] = {.lex_state = 40, .external_lex_state = 2},
  [1365] = {.lex_state = 40, .external_lex_state = 2},
  [1366] = {.lex_state = 354, .external_lex_state = 2},
  [1367] = {.lex_state = 354, .external_lex_state = 2},
  [1368] = {.lex_state = 354, .external_lex_state = 2},
  [1369] = {.lex_state = 355, .external_lex_state = 2},
  [1370] = {.lex_state = 354, .external_lex_state = 2},
  [1371] = {.lex_state = 354, .external_lex_state = 2},
  [1372] = {.lex_state = 354, .external_lex_state = 2},
  [1373] = {.lex_state = 354, .external_lex_state = 2},
  [1374] = {.lex_state = 354, .external_lex_state = 2},
  [1375] = {.lex_state = 354, .external_lex_state = 2},
  [1376] = {.lex_state = 354, .external_lex_state = 2},
  [1377] = {.lex_state = 354, .external_lex_state = 2},
  [1378] = {.lex_state = 354, .external_lex_state = 2},
  [1379] = {.lex_state = 354, .external_lex_state = 2},
  [1380] = {.lex_state = 354, .external_lex_state = 2},
  [1381] = {.lex_state = 354, .external_lex_state = 2},
  [1382] = {.lex_state = 354, .external_lex_state = 2},
  [1383] = {.lex_state = 40, .external_lex_state = 2},
  [1384] = {.lex_state = 40, .external_lex_state = 2},
  [1385] = {.lex_state = 40, .external_lex_state = 2},
  [1386] = {.lex_state = 40, .external_lex_state = 2},
  [1387] = {.lex_state = 354, .external_lex_state = 2},
  [1388] = {.lex_state = 354, .external_lex_state = 2},
  [1389] = {.lex_state = 354, .external_lex_state = 2},
  [1390] = {.lex_state = 354, .external_lex_state = 2},
  [1391] = {.lex_state = 354, .external_lex_state = 2},
  [1392] = {.lex_state = 354, .external_lex_state = 2},
  [1393] = {.lex_state = 354, .external_lex_state = 2},
  [1394] = {.lex_state = 354, .external_lex_state = 2},
  [1395] = {.lex_state = 355, .external_lex_state = 2},
  [1396] = {.lex_state = 354, .external_lex_state = 2},
  [1397] = {.lex_state = 354, .external_lex_state = 2},
  [1398] = {.lex_state = 354, .external_lex_state = 2},
  [1399] = {.lex_state = 354, .external_lex_state = 2},
  [1400] = {.lex_state = 354, .external_lex_state = 2},
  [1401] = {.lex_state = 354, .external_lex_state = 2},
  [1402] = {.lex_state = 354, .external_lex_state = 2},
  [1403] = {.lex_state = 354, .external_lex_state = 2},
  [1404] = {.lex_state = 354, .external_lex_state = 2},
  [1405] = {.lex_state = 354, .external_lex_state = 2},
  [1406] = {.lex_state = 354, .external_lex_state = 2},
  [1407] = {.lex_state = 354, .external_lex_state = 2},
  [1408] = {.lex_state = 354, .external_lex_state = 2},
  [1409] = {.lex_state = 354, .external_lex_state = 2},
  [1410] = {.lex_state = 354, .external_lex_state = 2},
  [1411] = {.lex_state = 354, .external_lex_state = 2},
  [1412] = {.lex_state = 354, .external_lex_state = 2},
  [1413] = {.lex_state = 354, .external_lex_state = 2},
  [1414] = {.lex_state = 354, .external_lex_state = 2},
  [1415] = {.lex_state = 354, .external_lex_state = 2},
  [1416] = {.lex_state = 354, .external_lex_state = 2},
  [1417] = {.lex_state = 354, .external_lex_state = 2},
  [1418] = {.lex_state = 354, .external_lex_state = 2},
  [1419] = {.lex_state = 354, .external_lex_state = 2},
  [1420] = {.lex_state = 354, .external_lex_state = 2},
  [1421] = {.lex_state = 354, .external_lex_state = 2},
  [1422] = {.lex_state = 354, .external_lex_state = 2},
  [1423] = {.lex_state = 354, .external_lex_state = 2},
  [1424] = {.lex_state = 354, .external_lex_state = 2},
  [1425] = {.lex_state = 354, .external_lex_state = 2},
  [1426] = {.lex_state = 353, .external_lex_state = 2},
  [1427] = {.lex_state = 353, .external_lex_state = 2},
  [1428] = {.lex_state = 353, .external_lex_state = 5},
  [1429] = {.lex_state = 354, .external_lex_state = 2},
  [1430] = {.lex_state = 354, .external_lex_state = 2},
  [1431] = {.lex_state = 354, .external_lex_state = 2},
  [1432] = {.lex_state = 354, .external_lex_state = 2},
  [1433] = {.lex_state = 354, .external_lex_state = 2},
  [1434] = {.lex_state = 354, .external_lex_state = 2},
  [1435] = {.lex_state = 354, .external_lex_state = 2},
  [1436] = {.lex_state = 354, .external_lex_state = 2},
  [1437] = {.lex_state = 354, .external_lex_state = 2},
  [1438] = {.lex_state = 354, .external_lex_state = 2},
  [1439] = {.lex_state = 354, .external_lex_state = 2},
  [1440] = {.lex_state = 40, .external_lex_state = 2},
  [1441] = {.lex_state = 40, .external_lex_state = 2},
  [1442] = {.lex_state = 354, .external_lex_state = 2},
  [1443] = {.lex_state = 40, .external_lex_state = 2},
  [1444] = {.lex_state = 354, .external_lex_state = 2},
  [1445] = {.lex_state = 354, .external_lex_state = 2},
  [1446] = {.lex_state = 40, .external_lex_state = 2},
  [1447] = {.lex_state = 354, .external_lex_state = 2},
  [1448] = {.lex_state = 40, .external_lex_state = 2},
  [1449] = {.lex_state = 354, .external_lex_state = 2},
  [1450] = {.lex_state = 354, .external_lex_state = 2},
  [1451] = {.lex_state = 40, .external_lex_state = 2},
  [1452] = {.lex_state = 354, .external_lex_state = 2},
  [1453] = {.lex_state = 354, .external_lex_state = 2},
  [1454] = {.lex_state = 354, .external_lex_state = 2},
  [1455] = {.lex_state = 354, .external_lex_state = 2},
  [1456] = {.lex_state = 354, .external_lex_state = 2},
  [1457] = {.lex_state = 354, .external_lex_state = 2},
  [1458] = {.lex_state = 354, .external_lex_state = 2},
  [1459] = {.lex_state = 354, .external_lex_state = 2},
  [1460] = {.lex_state = 40, .external_lex_state = 2},
  [1461] = {.lex_state = 355, .external_lex_state = 2},
  [1462] = {.lex_state = 354, .external_lex_state = 2},
  [1463] = {.lex_state = 354, .external_lex_state = 2},
  [1464] = {.lex_state = 354, .external_lex_state = 2},
  [1465] = {.lex_state = 40, .external_lex_state = 2},
  [1466] = {.lex_state = 354, .external_lex_state = 2},
  [1467] = {.lex_state = 354, .external_lex_state = 2},
  [1468] = {.lex_state = 354, .external_lex_state = 2},
  [1469] = {.lex_state = 354, .external_lex_state = 2},
  [1470] = {.lex_state = 354, .external_lex_state = 2},
  [1471] = {.lex_state = 354, .external_lex_state = 2},
  [1472] = {.lex_state = 354, .external_lex_state = 2},
  [1473] = {.lex_state = 354, .external_lex_state = 2},
  [1474] = {.lex_state = 354, .external_lex_state = 2},
  [1475] = {.lex_state = 354, .external_lex_state = 2},
  [1476] = {.lex_state = 354, .external_lex_state = 2},
  [1477] = {.lex_state = 354, .external_lex_state = 2},
  [1478] = {.lex_state = 354, .external_lex_state = 2},
  [1479] = {.lex_state = 354, .external_lex_state = 2},
  [1480] = {.lex_state = 354, .external_lex_state = 2},
  [1481] = {.lex_state = 353, .external_lex_state = 5},
  [1482] = {.lex_state = 40, .external_lex_state = 2},
  [1483] = {.lex_state = 40, .external_lex_state = 2},
  [1484] = {.lex_state = 354, .external_lex_state = 2},
  [1485] = {.lex_state = 40, .external_lex_state = 2},
  [1486] = {.lex_state = 353, .external_lex_state = 5},
  [1487] = {.lex_state = 354, .external_lex_state = 2},
  [1488] = {.lex_state = 354, .external_lex_state = 2},
  [1489] = {.lex_state = 354, .external_lex_state = 2},
  [1490] = {.lex_state = 354, .external_lex_state = 2},
  [1491] = {.lex_state = 354, .external_lex_state = 2},
  [1492] = {.lex_state = 354, .external_lex_state = 2},
  [1493] = {.lex_state = 354, .external_lex_state = 2},
  [1494] = {.lex_state = 354, .external_lex_state = 2},
  [1495] = {.lex_state = 354, .external_lex_state = 2},
  [1496] = {.lex_state = 354, .external_lex_state = 2},
  [1497] = {.lex_state = 354, .external_lex_state = 2},
  [1498] = {.lex_state = 354, .external_lex_state = 2},
  [1499] = {.lex_state = 354, .external_lex_state = 2},
  [1500] = {.lex_state = 354, .external_lex_state = 2},
  [1501] = {.lex_state = 354, .external_lex_state = 2},
  [1502] = {.lex_state = 354, .external_lex_state = 2},
  [1503] = {.lex_state = 354, .external_lex_state = 2},
  [1504] = {.lex_state = 354, .external_lex_state = 2},
  [1505] = {.lex_state = 353, .external_lex_state = 5},
  [1506] = {.lex_state = 354, .external_lex_state = 2},
  [1507] = {.lex_state = 354, .external_lex_state = 2},
  [1508] = {.lex_state = 353, .external_lex_state = 5},
  [1509] = {.lex_state = 354, .external_lex_state = 2},
  [1510] = {.lex_state = 40, .external_lex_state = 2},
  [1511] = {.lex_state = 354, .external_lex_state = 2},
  [1512] = {.lex_state = 40, .external_lex_state = 2},
  [1513] = {.lex_state = 354, .external_lex_state = 2},
  [1514] = {.lex_state = 354, .external_lex_state = 2},
  [1515] = {.lex_state = 40, .external_lex_state = 2},
  [1516] = {.lex_state = 353, .external_lex_state = 5},
  [1517] = {.lex_state = 354, .external_lex_state = 2},
  [1518] = {.lex_state = 353, .external_lex_state = 5},
  [1519] = {.lex_state = 353, .external_lex_state = 5},
  [1520] = {.lex_state = 353, .external_lex_state = 5},
  [1521] = {.lex_state = 354, .external_lex_state = 2},
  [1522] = {.lex_state = 353, .external_lex_state = 5},
  [1523] = {.lex_state = 354, .external_lex_state = 2},
  [1524] = {.lex_state = 354, .external_lex_state = 2},
  [1525] = {.lex_state = 354, .external_lex_state = 2},
  [1526] = {.lex_state = 354, .external_lex_state = 2},
  [1527] = {.lex_state = 353, .external_lex_state = 2},
  [1528] = {.lex_state = 353, .external_lex_state = 2},
  [1529] = {.lex_state = 353, .external_lex_state = 2},
  [1530] = {.lex_state = 353, .external_lex_state = 2},
  [1531] = {.lex_state = 353, .external_lex_state = 2},
  [1532] = {.lex_state = 353, .external_lex_state = 2},
  [1533] = {.lex_state = 353, .external_lex_state = 2},
  [1534] = {.lex_state = 353, .external_lex_state = 2},
  [1535] = {.lex_state = 353, .external_lex_state = 2},
  [1536] = {.lex_state = 353, .external_lex_state = 2},
  [1537] = {.lex_state = 353, .external_lex_state = 2},
  [1538] = {.lex_state = 353, .external_lex_state = 2},
  [1539] = {.lex_state = 353, .external_lex_state = 2},
  [1540] = {.lex_state = 353, .external_lex_state = 2},
  [1541] = {.lex_state = 353, .external_lex_state = 2},
  [1542] = {.lex_state = 353, .external_lex_state = 2},
  [1543] = {.lex_state = 353, .external_lex_state = 2},
  [1544] = {.lex_state = 353, .external_lex_state = 2},
  [1545] = {.lex_state = 353, .external_lex_state = 2},
  [1546] = {.lex_state = 353, .external_lex_state = 2},
  [1547] = {.lex_state = 353, .external_lex_state = 2},
  [1548] = {.lex_state = 353, .external_lex_state = 2},
  [1549] = {.lex_state = 353, .external_lex_state = 2},
  [1550] = {.lex_state = 353, .external_lex_state = 2},
  [1551] = {.lex_state = 353, .external_lex_state = 2},
  [1552] = {.lex_state = 353, .external_lex_state = 2},
  [1553] = {.lex_state = 353, .external_lex_state = 2},
  [1554] = {.lex_state = 353, .external_lex_state = 2},
  [1555] = {.lex_state = 353, .external_lex_state = 2},
  [1556] = {.lex_state = 353, .external_lex_state = 2},
  [1557] = {.lex_state = 353, .external_lex_state = 2},
  [1558] = {.lex_state = 353, .external_lex_state = 2},
  [1559] = {.lex_state = 353, .external_lex_state = 2},
  [1560] = {.lex_state = 353, .external_lex_state = 2},
  [1561] = {.lex_state = 353, .external_lex_state = 2},
  [1562] = {.lex_state = 353, .external_lex_state = 2},
  [1563] = {.lex_state = 353, .external_lex_state = 2},
  [1564] = {.lex_state = 353, .external_lex_state = 2},
  [1565] = {.lex_state = 353, .external_lex_state = 2},
  [1566] = {.lex_state = 353, .external_lex_state = 2},
  [1567] = {.lex_state = 353, .external_lex_state = 2},
  [1568] = {.lex_state = 353, .external_lex_state = 2},
  [1569] = {.lex_state = 353, .external_lex_state = 2},
  [1570] = {.lex_state = 353, .external_lex_state = 2},
  [1571] = {.lex_state = 353, .external_lex_state = 2},
  [1572] = {.lex_state = 353, .external_lex_state = 2},
  [1573] = {.lex_state = 353, .external_lex_state = 2},
  [1574] = {.lex_state = 353, .external_lex_state = 2},
  [1575] = {.lex_state = 353, .external_lex_state = 2},
  [1576] = {.lex_state = 353, .external_lex_state = 2},
  [1577] = {.lex_state = 353, .external_lex_state = 2},
  [1578] = {.lex_state = 353, .external_lex_state = 2},
  [1579] = {.lex_state = 353, .external_lex_state = 2},
  [1580] = {.lex_state = 353, .external_lex_state = 2},
  [1581] = {.lex_state = 353, .external_lex_state = 2},
  [1582] = {.lex_state = 353, .external_lex_state = 2},
  [1583] = {.lex_state = 353, .external_lex_state = 2},
  [1584] = {.lex_state = 353, .external_lex_state = 2},
  [1585] = {.lex_state = 353, .external_lex_state = 2},
  [1586] = {.lex_state = 353, .external_lex_state = 2},
  [1587] = {.lex_state = 353, .external_lex_state = 2},
  [1588] = {.lex_state = 353, .external_lex_state = 2},
  [1589] = {.lex_state = 353, .external_lex_state = 2},
  [1590] = {.lex_state = 353, .external_lex_state = 2},
  [1591] = {.lex_state = 353, .external_lex_state = 2},
  [1592] = {.lex_state = 353, .external_lex_state = 2},
  [1593] = {.lex_state = 353, .external_lex_state = 2},
  [1594] = {.lex_state = 353, .external_lex_state = 2},
  [1595] = {.lex_state = 353, .external_lex_state = 2},
  [1596] = {.lex_state = 353, .external_lex_state = 2},
  [1597] = {.lex_state = 353, .external_lex_state = 2},
  [1598] = {.lex_state = 353, .external_lex_state = 2},
  [1599] = {.lex_state = 353, .external_lex_state = 2},
  [1600] = {.lex_state = 353, .external_lex_state = 2},
  [1601] = {.lex_state = 353, .external_lex_state = 2},
  [1602] = {.lex_state = 353, .external_lex_state = 2},
  [1603] = {.lex_state = 353, .external_lex_state = 2},
  [1604] = {.lex_state = 353, .external_lex_state = 2},
  [1605] = {.lex_state = 353, .external_lex_state = 2},
  [1606] = {.lex_state = 353, .external_lex_state = 2},
  [1607] = {.lex_state = 353, .external_lex_state = 2},
  [1608] = {.lex_state = 353, .external_lex_state = 2},
  [1609] = {.lex_state = 353, .external_lex_state = 2},
  [1610] = {.lex_state = 353, .external_lex_state = 2},
  [1611] = {.lex_state = 353, .external_lex_state = 2},
  [1612] = {.lex_state = 353, .external_lex_state = 2},
  [1613] = {.lex_state = 353, .external_lex_state = 2},
  [1614] = {.lex_state = 353, .external_lex_state = 2},
  [1615] = {.lex_state = 353, .external_lex_state = 2},
  [1616] = {.lex_state = 353, .external_lex_state = 2},
  [1617] = {.lex_state = 353, .external_lex_state = 2},
  [1618] = {.lex_state = 353, .external_lex_state = 2},
  [1619] = {.lex_state = 353, .external_lex_state = 2},
  [1620] = {.lex_state = 353, .external_lex_state = 2},
  [1621] = {.lex_state = 353, .external_lex_state = 2},
  [1622] = {.lex_state = 353, .external_lex_state = 2},
  [1623] = {.lex_state = 353, .external_lex_state = 2},
  [1624] = {.lex_state = 353, .external_lex_state = 2},
  [1625] = {.lex_state = 353, .external_lex_state = 2},
  [1626] = {.lex_state = 353, .external_lex_state = 2},
  [1627] = {.lex_state = 353, .external_lex_state = 2},
  [1628] = {.lex_state = 353, .external_lex_state = 2},
  [1629] = {.lex_state = 353, .external_lex_state = 2},
  [1630] = {.lex_state = 353, .external_lex_state = 2},
  [1631] = {.lex_state = 353, .external_lex_state = 2},
  [1632] = {.lex_state = 353, .external_lex_state = 2},
  [1633] = {.lex_state = 353, .external_lex_state = 2},
  [1634] = {.lex_state = 353, .external_lex_state = 2},
  [1635] = {.lex_state = 353, .external_lex_state = 2},
  [1636] = {.lex_state = 353, .external_lex_state = 2},
  [1637] = {.lex_state = 353, .external_lex_state = 2},
  [1638] = {.lex_state = 353, .external_lex_state = 2},
  [1639] = {.lex_state = 353, .external_lex_state = 2},
  [1640] = {.lex_state = 353, .external_lex_state = 2},
  [1641] = {.lex_state = 353, .external_lex_state = 2},
  [1642] = {.lex_state = 353, .external_lex_state = 2},
  [1643] = {.lex_state = 353, .external_lex_state = 2},
  [1644] = {.lex_state = 353, .external_lex_state = 2},
  [1645] = {.lex_state = 353, .external_lex_state = 2},
  [1646] = {.lex_state = 353, .external_lex_state = 2},
  [1647] = {.lex_state = 353, .external_lex_state = 2},
  [1648] = {.lex_state = 353, .external_lex_state = 2},
  [1649] = {.lex_state = 353, .external_lex_state = 2},
  [1650] = {.lex_state = 353, .external_lex_state = 2},
  [1651] = {.lex_state = 353, .external_lex_state = 2},
  [1652] = {.lex_state = 353, .external_lex_state = 2},
  [1653] = {.lex_state = 353, .external_lex_state = 2},
  [1654] = {.lex_state = 353, .external_lex_state = 2},
  [1655] = {.lex_state = 353, .external_lex_state = 2},
  [1656] = {.lex_state = 353, .external_lex_state = 2},
  [1657] = {.lex_state = 353, .external_lex_state = 2},
  [1658] = {.lex_state = 353, .external_lex_state = 2},
  [1659] = {.lex_state = 353, .external_lex_state = 2},
  [1660] = {.lex_state = 353, .external_lex_state = 2},
  [1661] = {.lex_state = 353, .external_lex_state = 2},
  [1662] = {.lex_state = 353, .external_lex_state = 2},
  [1663] = {.lex_state = 353, .external_lex_state = 2},
  [1664] = {.lex_state = 353, .external_lex_state = 2},
  [1665] = {.lex_state = 353, .external_lex_state = 2},
  [1666] = {.lex_state = 353, .external_lex_state = 2},
  [1667] = {.lex_state = 353, .external_lex_state = 2},
  [1668] = {.lex_state = 353, .external_lex_state = 2},
  [1669] = {.lex_state = 353, .external_lex_state = 2},
  [1670] = {.lex_state = 353, .external_lex_state = 2},
  [1671] = {.lex_state = 353, .external_lex_state = 2},
  [1672] = {.lex_state = 353, .external_lex_state = 2},
  [1673] = {.lex_state = 353, .external_lex_state = 2},
  [1674] = {.lex_state = 353, .external_lex_state = 2},
  [1675] = {.lex_state = 353, .external_lex_state = 2},
  [1676] = {.lex_state = 353, .external_lex_state = 2},
  [1677] = {.lex_state = 353, .external_lex_state = 2},
  [1678] = {.lex_state = 353, .external_lex_state = 2},
  [1679] = {.lex_state = 353, .external_lex_state = 2},
  [1680] = {.lex_state = 353, .external_lex_state = 2},
  [1681] = {.lex_state = 353, .external_lex_state = 2},
  [1682] = {.lex_state = 353, .external_lex_state = 2},
  [1683] = {.lex_state = 353, .external_lex_state = 2},
  [1684] = {.lex_state = 353, .external_lex_state = 2},
  [1685] = {.lex_state = 353, .external_lex_state = 2},
  [1686] = {.lex_state = 353, .external_lex_state = 2},
  [1687] = {.lex_state = 52, .external_lex_state = 2},
  [1688] = {.lex_state = 52, .external_lex_state = 2},
  [1689] = {.lex_state = 52, .external_lex_state = 2},
  [1690] = {.lex_state = 52, .external_lex_state = 2},
  [1691] = {.lex_state = 52, .external_lex_state = 2},
  [1692] = {.lex_state = 353, .external_lex_state = 2},
  [1693] = {.lex_state = 52, .external_lex_state = 2},
  [1694] = {.lex_state = 52, .external_lex_state = 2},
  [1695] = {.lex_state = 353, .external_lex_state = 2},
  [1696] = {.lex_state = 353, .external_lex_state = 2},
  [1697] = {.lex_state = 52, .external_lex_state = 2},
  [1698] = {.lex_state = 353, .external_lex_state = 2},
  [1699] = {.lex_state = 353, .external_lex_state = 2},
  [1700] = {.lex_state = 52, .external_lex_state = 2},
  [1701] = {.lex_state = 52, .external_lex_state = 2},
  [1702] = {.lex_state = 353, .external_lex_state = 2},
  [1703] = {.lex_state = 353, .external_lex_state = 2},
  [1704] = {.lex_state = 353, .external_lex_state = 2},
  [1705] = {.lex_state = 353, .external_lex_state = 2},
  [1706] = {.lex_state = 353, .external_lex_state = 2},
  [1707] = {.lex_state = 52, .external_lex_state = 2},
  [1708] = {.lex_state = 52, .external_lex_state = 2},
  [1709] = {.lex_state = 52, .external_lex_state = 2},
  [1710] = {.lex_state = 52, .external_lex_state = 2},
  [1711] = {.lex_state = 52, .external_lex_state = 2},
  [1712] = {.lex_state = 353, .external_lex_state = 2},
  [1713] = {.lex_state = 53, .external_lex_state = 2},
  [1714] = {.lex_state = 53, .external_lex_state = 2},
  [1715] = {.lex_state = 52, .external_lex_state = 2},
  [1716] = {.lex_state = 53, .external_lex_state = 2},
  [1717] = {.lex_state = 53, .external_lex_state = 2},
  [1718] = {.lex_state = 53, .external_lex_state = 2},
  [1719] = {.lex_state = 53, .external_lex_state = 2},
  [1720] = {.lex_state = 53, .external_lex_state = 2},
  [1721] = {.lex_state = 53, .external_lex_state = 2},
  [1722] = {.lex_state = 53, .external_lex_state = 2},
  [1723] = {.lex_state = 53, .external_lex_state = 2},
  [1724] = {.lex_state = 53, .external_lex_state = 2},
  [1725] = {.lex_state = 53, .external_lex_state = 2},
  [1726] = {.lex_state = 53, .external_lex_state = 2},
  [1727] = {.lex_state = 53, .external_lex_state = 2},
  [1728] = {.lex_state = 53, .external_lex_state = 2},
  [1729] = {.lex_state = 53, .external_lex_state = 2},
  [1730] = {.lex_state = 53, .external_lex_state = 2},
  [1731] = {.lex_state = 53, .external_lex_state = 2},
  [1732] = {.lex_state = 53, .external_lex_state = 2},
  [1733] = {.lex_state = 53, .external_lex_state = 2},
  [1734] = {.lex_state = 53, .external_lex_state = 2},
  [1735] = {.lex_state = 53, .external_lex_state = 2},
  [1736] = {.lex_state = 53, .external_lex_state = 2},
  [1737] = {.lex_state = 53, .external_lex_state = 2},
  [1738] = {.lex_state = 53, .external_lex_state = 2},
  [1739] = {.lex_state = 53, .external_lex_state = 2},
  [1740] = {.lex_state = 53, .external_lex_state = 2},
  [1741] = {.lex_state = 53, .external_lex_state = 2},
  [1742] = {.lex_state = 53, .external_lex_state = 2},
  [1743] = {.lex_state = 53, .external_lex_state = 2},
  [1744] = {.lex_state = 53, .external_lex_state = 2},
  [1745] = {.lex_state = 53, .external_lex_state = 2},
  [1746] = {.lex_state = 53, .external_lex_state = 2},
  [1747] = {.lex_state = 53, .external_lex_state = 2},
  [1748] = {.lex_state = 53, .external_lex_state = 2},
  [1749] = {.lex_state = 53, .external_lex_state = 2},
  [1750] = {.lex_state = 53, .external_lex_state = 2},
  [1751] = {.lex_state = 53, .external_lex_state = 2},
  [1752] = {.lex_state = 53, .external_lex_state = 2},
  [1753] = {.lex_state = 53, .external_lex_state = 2},
  [1754] = {.lex_state = 53, .external_lex_state = 2},
  [1755] = {.lex_state = 53, .external_lex_state = 2},
  [1756] = {.lex_state = 53, .external_lex_state = 2},
  [1757] = {.lex_state = 53, .external_lex_state = 2},
  [1758] = {.lex_state = 53, .external_lex_state = 2},
  [1759] = {.lex_state = 53, .external_lex_state = 2},
  [1760] = {.lex_state = 53, .external_lex_state = 2},
  [1761] = {.lex_state = 53, .external_lex_state = 2},
  [1762] = {.lex_state = 53, .external_lex_state = 2},
  [1763] = {.lex_state = 53, .external_lex_state = 2},
  [1764] = {.lex_state = 53, .external_lex_state = 2},
  [1765] = {.lex_state = 53, .external_lex_state = 2},
  [1766] = {.lex_state = 53, .external_lex_state = 2},
  [1767] = {.lex_state = 53, .external_lex_state = 2},
  [1768] = {.lex_state = 53, .external_lex_state = 2},
  [1769] = {.lex_state = 52, .external_lex_state = 2},
  [1770] = {.lex_state = 52, .external_lex_state = 2},
  [1771] = {.lex_state = 52, .external_lex_state = 2},
  [1772] = {.lex_state = 52, .external_lex_state = 2},
  [1773] = {.lex_state = 52, .external_lex_state = 2},
  [1774] = {.lex_state = 52, .external_lex_state = 2},
  [1775] = {.lex_state = 52, .external_lex_state = 2},
  [1776] = {.lex_state = 52, .external_lex_state = 2},
  [1777] = {.lex_state = 52, .external_lex_state = 2},
  [1778] = {.lex_state = 52, .external_lex_state = 2},
  [1779] = {.lex_state = 38, .external_lex_state = 2},
  [1780] = {.lex_state = 38, .external_lex_state = 2},
  [1781] = {.lex_state = 38, .external_lex_state = 2},
  [1782] = {.lex_state = 38, .external_lex_state = 2},
  [1783] = {.lex_state = 38, .external_lex_state = 2},
  [1784] = {.lex_state = 38, .external_lex_state = 2},
  [1785] = {.lex_state = 38, .external_lex_state = 2},
  [1786] = {.lex_state = 38, .external_lex_state = 2},
  [1787] = {.lex_state = 38, .external_lex_state = 2},
  [1788] = {.lex_state = 38, .external_lex_state = 2},
  [1789] = {.lex_state = 38, .external_lex_state = 2},
  [1790] = {.lex_state = 38, .external_lex_state = 2},
  [1791] = {.lex_state = 18, .external_lex_state = 4},
  [1792] = {.lex_state = 18, .external_lex_state = 4},
  [1793] = {.lex_state = 52, .external_lex_state = 2},
  [1794] = {.lex_state = 52, .external_lex_state = 2},
  [1795] = {.lex_state = 18, .external_lex_state = 4},
  [1796] = {.lex_state = 18, .external_lex_state = 4},
  [1797] = {.lex_state = 52, .external_lex_state = 2},
  [1798] = {.lex_state = 18, .external_lex_state = 4},
  [1799] = {.lex_state = 18, .external_lex_state = 4},
  [1800] = {.lex_state = 18, .external_lex_state = 4},
  [1801] = {.lex_state = 18, .external_lex_state = 4},
  [1802] = {.lex_state = 18, .external_lex_state = 4},
  [1803] = {.lex_state = 54, .external_lex_state = 2},
  [1804] = {.lex_state = 52, .external_lex_state = 2},
  [1805] = {.lex_state = 52, .external_lex_state = 2},
  [1806] = {.lex_state = 52, .external_lex_state = 2},
  [1807] = {.lex_state = 52, .external_lex_state = 2},
  [1808] = {.lex_state = 52, .external_lex_state = 2},
  [1809] = {.lex_state = 52, .external_lex_state = 2},
  [1810] = {.lex_state = 52, .external_lex_state = 2},
  [1811] = {.lex_state = 52, .external_lex_state = 2},
  [1812] = {.lex_state = 52, .external_lex_state = 2},
  [1813] = {.lex_state = 52, .external_lex_state = 2},
  [1814] = {.lex_state = 52, .external_lex_state = 2},
  [1815] = {.lex_state = 52, .external_lex_state = 2},
  [1816] = {.lex_state = 52, .external_lex_state = 2},
  [1817] = {.lex_state = 52, .external_lex_state = 2},
  [1818] = {.lex_state = 52, .external_lex_state = 2},
  [1819] = {.lex_state = 52, .external_lex_state = 2},
  [1820] = {.lex_state = 52, .external_lex_state = 2},
  [1821] = {.lex_state = 52, .external_lex_state = 2},
  [1822] = {.lex_state = 52, .external_lex_state = 2},
  [1823] = {.lex_state = 52, .external_lex_state = 2},
  [1824] = {.lex_state = 52, .external_lex_state = 2},
  [1825] = {.lex_state = 52, .external_lex_state = 2},
  [1826] = {.lex_state = 52, .external_lex_state = 2},
  [1827] = {.lex_state = 52, .external_lex_state = 2},
  [1828] = {.lex_state = 52, .external_lex_state = 2},
  [1829] = {.lex_state = 52, .external_lex_state = 2},
  [1830] = {.lex_state = 52, .external_lex_state = 2},
  [1831] = {.lex_state = 52, .external_lex_state = 2},
  [1832] = {.lex_state = 52, .external_lex_state = 2},
  [1833] = {.lex_state = 52, .external_lex_state = 2},
  [1834] = {.lex_state = 52, .external_lex_state = 2},
  [1835] = {.lex_state = 52, .external_lex_state = 2},
  [1836] = {.lex_state = 52, .external_lex_state = 2},
  [1837] = {.lex_state = 52, .external_lex_state = 2},
  [1838] = {.lex_state = 52, .external_lex_state = 2},
  [1839] = {.lex_state = 52, .external_lex_state = 2},
  [1840] = {.lex_state = 52, .external_lex_state = 2},
  [1841] = {.lex_state = 52, .external_lex_state = 2},
  [1842] = {.lex_state = 52, .external_lex_state = 2},
  [1843] = {.lex_state = 52, .external_lex_state = 2},
  [1844] = {.lex_state = 52, .external_lex_state = 2},
  [1845] = {.lex_state = 52, .external_lex_state = 2},
  [1846] = {.lex_state = 52, .external_lex_state = 2},
  [1847] = {.lex_state = 52, .external_lex_state = 2},
  [1848] = {.lex_state = 52, .external_lex_state = 2},
  [1849] = {.lex_state = 52, .external_lex_state = 2},
  [1850] = {.lex_state = 52, .external_lex_state = 2},
  [1851] = {.lex_state = 52, .external_lex_state = 2},
  [1852] = {.lex_state = 52, .external_lex_state = 2},
  [1853] = {.lex_state = 52, .external_lex_state = 2},
  [1854] = {.lex_state = 52, .external_lex_state = 2},
  [1855] = {.lex_state = 52, .external_lex_state = 2},
  [1856] = {.lex_state = 52, .external_lex_state = 2},
  [1857] = {.lex_state = 52, .external_lex_state = 2},
  [1858] = {.lex_state = 52, .external_lex_state = 2},
  [1859] = {.lex_state = 52, .external_lex_state = 2},
  [1860] = {.lex_state = 52, .external_lex_state = 2},
  [1861] = {.lex_state = 52, .external_lex_state = 2},
  [1862] = {.lex_state = 52, .external_lex_state = 2},
  [1863] = {.lex_state = 52, .external_lex_state = 2},
  [1864] = {.lex_state = 52, .external_lex_state = 2},
  [1865] = {.lex_state = 52, .external_lex_state = 2},
  [1866] = {.lex_state = 52, .external_lex_state = 2},
  [1867] = {.lex_state = 52, .external_lex_state = 2},
  [1868] = {.lex_state = 52, .external_lex_state = 2},
  [1869] = {.lex_state = 52, .external_lex_state = 2},
  [1870] = {.lex_state = 52, .external_lex_state = 2},
  [1871] = {.lex_state = 52, .external_lex_state = 2},
  [1872] = {.lex_state = 52, .external_lex_state = 2},
  [1873] = {.lex_state = 52, .external_lex_state = 2},
  [1874] = {.lex_state = 52, .external_lex_state = 2},
  [1875] = {.lex_state = 52, .external_lex_state = 2},
  [1876] = {.lex_state = 52, .external_lex_state = 2},
  [1877] = {.lex_state = 52, .external_lex_state = 2},
  [1878] = {.lex_state = 52, .external_lex_state = 2},
  [1879] = {.lex_state = 52, .external_lex_state = 2},
  [1880] = {.lex_state = 52, .external_lex_state = 2},
  [1881] = {.lex_state = 52, .external_lex_state = 2},
  [1882] = {.lex_state = 52, .external_lex_state = 2},
  [1883] = {.lex_state = 52, .external_lex_state = 2},
  [1884] = {.lex_state = 52, .external_lex_state = 2},
  [1885] = {.lex_state = 52, .external_lex_state = 2},
  [1886] = {.lex_state = 52, .external_lex_state = 2},
  [1887] = {.lex_state = 52, .external_lex_state = 2},
  [1888] = {.lex_state = 52, .external_lex_state = 2},
  [1889] = {.lex_state = 52, .external_lex_state = 2},
  [1890] = {.lex_state = 52, .external_lex_state = 2},
  [1891] = {.lex_state = 52, .external_lex_state = 2},
  [1892] = {.lex_state = 52, .external_lex_state = 2},
  [1893] = {.lex_state = 52, .external_lex_state = 2},
  [1894] = {.lex_state = 52, .external_lex_state = 2},
  [1895] = {.lex_state = 52, .external_lex_state = 2},
  [1896] = {.lex_state = 52, .external_lex_state = 2},
  [1897] = {.lex_state = 52, .external_lex_state = 2},
  [1898] = {.lex_state = 52, .external_lex_state = 2},
  [1899] = {.lex_state = 52, .external_lex_state = 2},
  [1900] = {.lex_state = 52, .external_lex_state = 2},
  [1901] = {.lex_state = 52, .external_lex_state = 2},
  [1902] = {.lex_state = 52, .external_lex_state = 2},
  [1903] = {.lex_state = 52, .external_lex_state = 2},
  [1904] = {.lex_state = 52, .external_lex_state = 2},
  [1905] = {.lex_state = 52, .external_lex_state = 2},
  [1906] = {.lex_state = 52, .external_lex_state = 2},
  [1907] = {.lex_state = 52, .external_lex_state = 2},
  [1908] = {.lex_state = 52, .external_lex_state = 2},
  [1909] = {.lex_state = 52, .external_lex_state = 2},
  [1910] = {.lex_state = 52, .external_lex_state = 2},
  [1911] = {.lex_state = 52, .external_lex_state = 2},
  [1912] = {.lex_state = 52, .external_lex_state = 2},
  [1913] = {.lex_state = 52, .external_lex_state = 2},
  [1914] = {.lex_state = 52, .external_lex_state = 2},
  [1915] = {.lex_state = 52, .external_lex_state = 2},
  [1916] = {.lex_state = 52, .external_lex_state = 2},
  [1917] = {.lex_state = 52, .external_lex_state = 2},
  [1918] = {.lex_state = 52, .external_lex_state = 2},
  [1919] = {.lex_state = 52, .external_lex_state = 2},
  [1920] = {.lex_state = 52, .external_lex_state = 2},
  [1921] = {.lex_state = 52, .external_lex_state = 2},
  [1922] = {.lex_state = 52, .external_lex_state = 2},
  [1923] = {.lex_state = 52, .external_lex_state = 2},
  [1924] = {.lex_state = 52, .external_lex_state = 2},
  [1925] = {.lex_state = 52, .external_lex_state = 2},
  [1926] = {.lex_state = 52, .external_lex_state = 2},
  [1927] = {.lex_state = 52, .external_lex_state = 2},
  [1928] = {.lex_state = 52, .external_lex_state = 2},
  [1929] = {.lex_state = 18, .external_lex_state = 3},
  [1930] = {.lex_state = 18, .external_lex_state = 3},
  [1931] = {.lex_state = 18, .external_lex_state = 3},
  [1932] = {.lex_state = 38, .external_lex_state = 2},
  [1933] = {.lex_state = 18, .external_lex_state = 3},
  [1934] = {.lex_state = 18, .external_lex_state = 3},
  [1935] = {.lex_state = 38, .external_lex_state = 2},
  [1936] = {.lex_state = 21, .external_lex_state = 4},
  [1937] = {.lex_state = 21, .external_lex_state = 4},
  [1938] = {.lex_state = 18, .external_lex_state = 4},
  [1939] = {.lex_state = 18, .external_lex_state = 4},
  [1940] = {.lex_state = 18, .external_lex_state = 4},
  [1941] = {.lex_state = 18, .external_lex_state = 4},
  [1942] = {.lex_state = 18, .external_lex_state = 4},
  [1943] = {.lex_state = 18, .external_lex_state = 4},
  [1944] = {.lex_state = 18, .external_lex_state = 4},
  [1945] = {.lex_state = 21, .external_lex_state = 4},
  [1946] = {.lex_state = 18, .external_lex_state = 4},
  [1947] = {.lex_state = 18, .external_lex_state = 4},
  [1948] = {.lex_state = 18, .external_lex_state = 4},
  [1949] = {.lex_state = 18, .external_lex_state = 4},
  [1950] = {.lex_state = 21, .external_lex_state = 4},
  [1951] = {.lex_state = 18, .external_lex_state = 4},
  [1952] = {.lex_state = 18, .external_lex_state = 3},
  [1953] = {.lex_state = 18, .external_lex_state = 4},
  [1954] = {.lex_state = 18, .external_lex_state = 4},
  [1955] = {.lex_state = 18, .external_lex_state = 4},
  [1956] = {.lex_state = 18, .external_lex_state = 4},
  [1957] = {.lex_state = 18, .external_lex_state = 4},
  [1958] = {.lex_state = 22, .external_lex_state = 3},
  [1959] = {.lex_state = 22, .external_lex_state = 3},
  [1960] = {.lex_state = 18, .external_lex_state = 4},
  [1961] = {.lex_state = 18, .external_lex_state = 4},
  [1962] = {.lex_state = 18, .external_lex_state = 4},
  [1963] = {.lex_state = 18, .external_lex_state = 3},
  [1964] = {.lex_state = 18, .external_lex_state = 4},
  [1965] = {.lex_state = 18, .external_lex_state = 3},
  [1966] = {.lex_state = 18, .external_lex_state = 4},
  [1967] = {.lex_state = 24, .external_lex_state = 4},
  [1968] = {.lex_state = 18, .external_lex_state = 4},
  [1969] = {.lex_state = 24, .external_lex_state = 4},
  [1970] = {.lex_state = 18, .external_lex_state = 4},
  [1971] = {.lex_state = 18, .external_lex_state = 4},
  [1972] = {.lex_state = 24, .external_lex_state = 4},
  [1973] = {.lex_state = 18, .external_lex_state = 4},
  [1974] = {.lex_state = 24, .external_lex_state = 4},
  [1975] = {.lex_state = 18, .external_lex_state = 4},
  [1976] = {.lex_state = 18, .external_lex_state = 3},
  [1977] = {.lex_state = 18, .external_lex_state = 4},
  [1978] = {.lex_state = 24, .external_lex_state = 3},
  [1979] = {.lex_state = 18, .external_lex_state = 4},
  [1980] = {.lex_state = 18, .external_lex_state = 3},
  [1981] = {.lex_state = 18, .external_lex_state = 4},
  [1982] = {.lex_state = 24, .external_lex_state = 3},
  [1983] = {.lex_state = 24, .external_lex_state = 4},
  [1984] = {.lex_state = 18, .external_lex_state = 4},
  [1985] = {.lex_state = 24, .external_lex_state = 3},
  [1986] = {.lex_state = 18, .external_lex_state = 4},
  [1987] = {.lex_state = 24, .external_lex_state = 3},
  [1988] = {.lex_state = 24, .external_lex_state = 3},
  [1989] = {.lex_state = 24, .external_lex_state = 3},
  [1990] = {.lex_state = 24, .external_lex_state = 3},
  [1991] = {.lex_state = 18, .external_lex_state = 3},
  [1992] = {.lex_state = 24, .external_lex_state = 4},
  [1993] = {.lex_state = 18, .external_lex_state = 4},
  [1994] = {.lex_state = 24, .external_lex_state = 3},
  [1995] = {.lex_state = 18, .external_lex_state = 4},
  [1996] = {.lex_state = 24, .external_lex_state = 4},
  [1997] = {.lex_state = 18, .external_lex_state = 4},
  [1998] = {.lex_state = 18, .external_lex_state = 4},
  [1999] = {.lex_state = 18, .external_lex_state = 4},
  [2000] = {.lex_state = 18, .external_lex_state = 3},
  [2001] = {.lex_state = 18, .external_lex_state = 4},
  [2002] = {.lex_state = 18, .external_lex_state = 3},
  [2003] = {.lex_state = 24, .external_lex_state = 3},
  [2004] = {.lex_state = 18, .external_lex_state = 3},
  [2005] = {.lex_state = 24, .external_lex_state = 4},
  [2006] = {.lex_state = 21, .external_lex_state = 3},
  [2007] = {.lex_state = 21, .external_lex_state = 3},
  [2008] = {.lex_state = 18, .external_lex_state = 3},
  [2009] = {.lex_state = 24, .external_lex_state = 3},
  [2010] = {.lex_state = 21, .external_lex_state = 3},
  [2011] = {.lex_state = 24, .external_lex_state = 4},
  [2012] = {.lex_state = 24, .external_lex_state = 3},
  [2013] = {.lex_state = 24, .external_lex_state = 3},
  [2014] = {.lex_state = 24, .external_lex_state = 3},
  [2015] = {.lex_state = 24, .external_lex_state = 3},
  [2016] = {.lex_state = 24, .external_lex_state = 4},
  [2017] = {.lex_state = 24, .external_lex_state = 3},
  [2018] = {.lex_state = 24, .external_lex_state = 3},
  [2019] = {.lex_state = 24, .external_lex_state = 3},
  [2020] = {.lex_state = 24, .external_lex_state = 3},
  [2021] = {.lex_state = 18, .external_lex_state = 3},
  [2022] = {.lex_state = 24, .external_lex_state = 4},
  [2023] = {.lex_state = 24, .external_lex_state = 3},
  [2024] = {.lex_state = 24, .external_lex_state = 3},
  [2025] = {.lex_state = 24, .external_lex_state = 3},
  [2026] = {.lex_state = 24, .external_lex_state = 3},
  [2027] = {.lex_state = 24, .external_lex_state = 3},
  [2028] = {.lex_state = 18, .external_lex_state = 3},
  [2029] = {.lex_state = 18, .external_lex_state = 3},
  [2030] = {.lex_state = 24, .external_lex_state = 3},
  [2031] = {.lex_state = 24, .external_lex_state = 3},
  [2032] = {.lex_state = 24, .external_lex_state = 3},
  [2033] = {.lex_state = 37, .external_lex_state = 2},
  [2034] = {.lex_state = 24, .external_lex_state = 4},
  [2035] = {.lex_state = 24, .external_lex_state = 3},
  [2036] = {.lex_state = 21, .external_lex_state = 3},
  [2037] = {.lex_state = 18, .external_lex_state = 3},
  [2038] = {.lex_state = 37, .external_lex_state = 2},
  [2039] = {.lex_state = 24, .external_lex_state = 3},
  [2040] = {.lex_state = 24, .external_lex_state = 4},
  [2041] = {.lex_state = 18, .external_lex_state = 3},
  [2042] = {.lex_state = 37, .external_lex_state = 2},
  [2043] = {.lex_state = 24, .external_lex_state = 4},
  [2044] = {.lex_state = 18, .external_lex_state = 3},
  [2045] = {.lex_state = 18, .external_lex_state = 3},
  [2046] = {.lex_state = 18, .external_lex_state = 3},
  [2047] = {.lex_state = 18, .external_lex_state = 3},
  [2048] = {.lex_state = 18, .external_lex_state = 3},
  [2049] = {.lex_state = 18, .external_lex_state = 4},
  [2050] = {.lex_state = 18, .external_lex_state = 4},
  [2051] = {.lex_state = 24, .external_lex_state = 3},
  [2052] = {.lex_state = 24, .external_lex_state = 3},
  [2053] = {.lex_state = 24, .external_lex_state = 4},
  [2054] = {.lex_state = 37, .external_lex_state = 2},
  [2055] = {.lex_state = 24, .external_lex_state = 3},
  [2056] = {.lex_state = 18, .external_lex_state = 4},
  [2057] = {.lex_state = 24, .external_lex_state = 3},
  [2058] = {.lex_state = 24, .external_lex_state = 3},
  [2059] = {.lex_state = 24, .external_lex_state = 3},
  [2060] = {.lex_state = 18, .external_lex_state = 4},
  [2061] = {.lex_state = 24, .external_lex_state = 3},
  [2062] = {.lex_state = 24, .external_lex_state = 4},
  [2063] = {.lex_state = 37, .external_lex_state = 2},
  [2064] = {.lex_state = 24, .external_lex_state = 3},
  [2065] = {.lex_state = 24, .external_lex_state = 3},
  [2066] = {.lex_state = 24, .external_lex_state = 3},
  [2067] = {.lex_state = 24, .external_lex_state = 3},
  [2068] = {.lex_state = 37, .external_lex_state = 2},
  [2069] = {.lex_state = 24, .external_lex_state = 3},
  [2070] = {.lex_state = 18, .external_lex_state = 4},
  [2071] = {.lex_state = 24, .external_lex_state = 3},
  [2072] = {.lex_state = 24, .external_lex_state = 3},
  [2073] = {.lex_state = 24, .external_lex_state = 4},
  [2074] = {.lex_state = 24, .external_lex_state = 3},
  [2075] = {.lex_state = 24, .external_lex_state = 3},
  [2076] = {.lex_state = 24, .external_lex_state = 4},
  [2077] = {.lex_state = 24, .external_lex_state = 4},
  [2078] = {.lex_state = 24, .external_lex_state = 4},
  [2079] = {.lex_state = 24, .external_lex_state = 4},
  [2080] = {.lex_state = 24, .external_lex_state = 4},
  [2081] = {.lex_state = 24, .external_lex_state = 4},
  [2082] = {.lex_state = 24, .external_lex_state = 4},
  [2083] = {.lex_state = 24, .external_lex_state = 4},
  [2084] = {.lex_state = 24, .external_lex_state = 4},
  [2085] = {.lex_state = 24, .external_lex_state = 4},
  [2086] = {.lex_state = 24, .external_lex_state = 3},
  [2087] = {.lex_state = 24, .external_lex_state = 4},
  [2088] = {.lex_state = 37, .external_lex_state = 2},
  [2089] = {.lex_state = 24, .external_lex_state = 4},
  [2090] = {.lex_state = 24, .external_lex_state = 4},
  [2091] = {.lex_state = 24, .external_lex_state = 4},
  [2092] = {.lex_state = 24, .external_lex_state = 4},
  [2093] = {.lex_state = 24, .external_lex_state = 3},
  [2094] = {.lex_state = 24, .external_lex_state = 4},
  [2095] = {.lex_state = 24, .external_lex_state = 4},
  [2096] = {.lex_state = 24, .external_lex_state = 4},
  [2097] = {.lex_state = 24, .external_lex_state = 4},
  [2098] = {.lex_state = 37, .external_lex_state = 2},
  [2099] = {.lex_state = 24, .external_lex_state = 4},
  [2100] = {.lex_state = 24, .external_lex_state = 4},
  [2101] = {.lex_state = 24, .external_lex_state = 3},
  [2102] = {.lex_state = 24, .external_lex_state = 4},
  [2103] = {.lex_state = 24, .external_lex_state = 4},
  [2104] = {.lex_state = 24, .external_lex_state = 3},
  [2105] = {.lex_state = 24, .external_lex_state = 4},
  [2106] = {.lex_state = 24, .external_lex_state = 3},
  [2107] = {.lex_state = 24, .external_lex_state = 3},
  [2108] = {.lex_state = 37, .external_lex_state = 2},
  [2109] = {.lex_state = 24, .external_lex_state = 4},
  [2110] = {.lex_state = 37, .external_lex_state = 2},
  [2111] = {.lex_state = 24, .external_lex_state = 4},
  [2112] = {.lex_state = 37, .external_lex_state = 2},
  [2113] = {.lex_state = 24, .external_lex_state = 4},
  [2114] = {.lex_state = 24, .external_lex_state = 3},
  [2115] = {.lex_state = 24, .external_lex_state = 4},
  [2116] = {.lex_state = 24, .external_lex_state = 3},
  [2117] = {.lex_state = 24, .external_lex_state = 4},
  [2118] = {.lex_state = 24, .external_lex_state = 4},
  [2119] = {.lex_state = 24, .external_lex_state = 4},
  [2120] = {.lex_state = 24, .external_lex_state = 3},
  [2121] = {.lex_state = 24, .external_lex_state = 4},
  [2122] = {.lex_state = 37, .external_lex_state = 2},
  [2123] = {.lex_state = 37, .external_lex_state = 2},
  [2124] = {.lex_state = 24, .external_lex_state = 3},
  [2125] = {.lex_state = 24, .external_lex_state = 3},
  [2126] = {.lex_state = 24, .external_lex_state = 4},
  [2127] = {.lex_state = 24, .external_lex_state = 3},
  [2128] = {.lex_state = 24, .external_lex_state = 3},
  [2129] = {.lex_state = 37, .external_lex_state = 2},
  [2130] = {.lex_state = 37, .external_lex_state = 2},
  [2131] = {.lex_state = 24, .external_lex_state = 4},
  [2132] = {.lex_state = 24, .external_lex_state = 4},
  [2133] = {.lex_state = 37, .external_lex_state = 2},
  [2134] = {.lex_state = 24, .external_lex_state = 3},
  [2135] = {.lex_state = 24, .external_lex_state = 3},
  [2136] = {.lex_state = 24, .external_lex_state = 3},
  [2137] = {.lex_state = 24, .external_lex_state = 4},
  [2138] = {.lex_state = 24, .external_lex_state = 3},
  [2139] = {.lex_state = 24, .external_lex_state = 3},
  [2140] = {.lex_state = 24, .external_lex_state = 4},
  [2141] = {.lex_state = 24, .external_lex_state = 3},
  [2142] = {.lex_state = 24, .external_lex_state = 3},
  [2143] = {.lex_state = 24, .external_lex_state = 4},
  [2144] = {.lex_state = 24, .external_lex_state = 3},
  [2145] = {.lex_state = 24, .external_lex_state = 3},
  [2146] = {.lex_state = 18, .external_lex_state = 4},
  [2147] = {.lex_state = 18, .external_lex_state = 4},
  [2148] = {.lex_state = 18, .external_lex_state = 4},
  [2149] = {.lex_state = 24, .external_lex_state = 3},
  [2150] = {.lex_state = 18, .external_lex_state = 4},
  [2151] = {.lex_state = 24, .external_lex_state = 3},
  [2152] = {.lex_state = 24, .external_lex_state = 3},
  [2153] = {.lex_state = 18, .external_lex_state = 4},
  [2154] = {.lex_state = 24, .external_lex_state = 3},
  [2155] = {.lex_state = 18, .external_lex_state = 4},
  [2156] = {.lex_state = 24, .external_lex_state = 4},
  [2157] = {.lex_state = 38, .external_lex_state = 2},
  [2158] = {.lex_state = 24, .external_lex_state = 3},
  [2159] = {.lex_state = 38, .external_lex_state = 2},
  [2160] = {.lex_state = 24, .external_lex_state = 3},
  [2161] = {.lex_state = 38, .external_lex_state = 2},
  [2162] = {.lex_state = 24, .external_lex_state = 3},
  [2163] = {.lex_state = 24, .external_lex_state = 4},
  [2164] = {.lex_state = 38, .external_lex_state = 2},
  [2165] = {.lex_state = 24, .external_lex_state = 4},
  [2166] = {.lex_state = 24, .external_lex_state = 4},
  [2167] = {.lex_state = 38, .external_lex_state = 2},
  [2168] = {.lex_state = 38, .external_lex_state = 2},
  [2169] = {.lex_state = 24, .external_lex_state = 4},
  [2170] = {.lex_state = 24, .external_lex_state = 3},
  [2171] = {.lex_state = 38, .external_lex_state = 2},
  [2172] = {.lex_state = 24, .external_lex_state = 3},
  [2173] = {.lex_state = 24, .external_lex_state = 3},
  [2174] = {.lex_state = 24, .external_lex_state = 3},
  [2175] = {.lex_state = 24, .external_lex_state = 3},
  [2176] = {.lex_state = 38, .external_lex_state = 2},
  [2177] = {.lex_state = 24, .external_lex_state = 3},
  [2178] = {.lex_state = 24, .external_lex_state = 3},
  [2179] = {.lex_state = 38, .external_lex_state = 2},
  [2180] = {.lex_state = 24, .external_lex_state = 3},
  [2181] = {.lex_state = 24, .external_lex_state = 4},
  [2182] = {.lex_state = 24, .external_lex_state = 3},
  [2183] = {.lex_state = 24, .external_lex_state = 3},
  [2184] = {.lex_state = 24, .external_lex_state = 3},
  [2185] = {.lex_state = 24, .external_lex_state = 3},
  [2186] = {.lex_state = 24, .external_lex_state = 3},
  [2187] = {.lex_state = 24, .external_lex_state = 3},
  [2188] = {.lex_state = 24, .external_lex_state = 3},
  [2189] = {.lex_state = 24, .external_lex_state = 3},
  [2190] = {.lex_state = 24, .external_lex_state = 4},
  [2191] = {.lex_state = 24, .external_lex_state = 3},
  [2192] = {.lex_state = 24, .external_lex_state = 3},
  [2193] = {.lex_state = 24, .external_lex_state = 3},
  [2194] = {.lex_state = 24, .external_lex_state = 3},
  [2195] = {.lex_state = 24, .external_lex_state = 3},
  [2196] = {.lex_state = 24, .external_lex_state = 3},
  [2197] = {.lex_state = 38, .external_lex_state = 2},
  [2198] = {.lex_state = 38, .external_lex_state = 2},
  [2199] = {.lex_state = 38, .external_lex_state = 2},
  [2200] = {.lex_state = 24, .external_lex_state = 3},
  [2201] = {.lex_state = 24, .external_lex_state = 3},
  [2202] = {.lex_state = 38, .external_lex_state = 2},
  [2203] = {.lex_state = 24, .external_lex_state = 3},
  [2204] = {.lex_state = 38, .external_lex_state = 2},
  [2205] = {.lex_state = 38, .external_lex_state = 2},
  [2206] = {.lex_state = 38, .external_lex_state = 2},
  [2207] = {.lex_state = 38, .external_lex_state = 2},
  [2208] = {.lex_state = 38, .external_lex_state = 2},
  [2209] = {.lex_state = 38, .external_lex_state = 2},
  [2210] = {.lex_state = 24, .external_lex_state = 3},
  [2211] = {.lex_state = 24, .external_lex_state = 3},
  [2212] = {.lex_state = 24, .external_lex_state = 3},
  [2213] = {.lex_state = 38, .external_lex_state = 2},
  [2214] = {.lex_state = 38, .external_lex_state = 2},
  [2215] = {.lex_state = 38, .external_lex_state = 2},
  [2216] = {.lex_state = 38, .external_lex_state = 2},
  [2217] = {.lex_state = 38, .external_lex_state = 2},
  [2218] = {.lex_state = 38, .external_lex_state = 2},
  [2219] = {.lex_state = 24, .external_lex_state = 3},
  [2220] = {.lex_state = 24, .external_lex_state = 3},
  [2221] = {.lex_state = 38, .external_lex_state = 2},
  [2222] = {.lex_state = 24, .external_lex_state = 3},
  [2223] = {.lex_state = 38, .external_lex_state = 2},
  [2224] = {.lex_state = 38, .external_lex_state = 2},
  [2225] = {.lex_state = 38, .external_lex_state = 2},
  [2226] = {.lex_state = 38, .external_lex_state = 2},
  [2227] = {.lex_state = 38, .external_lex_state = 2},
  [2228] = {.lex_state = 24, .external_lex_state = 3},
  [2229] = {.lex_state = 38, .external_lex_state = 2},
  [2230] = {.lex_state = 24, .external_lex_state = 3},
  [2231] = {.lex_state = 24, .external_lex_state = 3},
  [2232] = {.lex_state = 38, .external_lex_state = 2},
  [2233] = {.lex_state = 24, .external_lex_state = 3},
  [2234] = {.lex_state = 38, .external_lex_state = 2},
  [2235] = {.lex_state = 24, .external_lex_state = 3},
  [2236] = {.lex_state = 24, .external_lex_state = 3},
  [2237] = {.lex_state = 24, .external_lex_state = 3},
  [2238] = {.lex_state = 38, .external_lex_state = 2},
  [2239] = {.lex_state = 24, .external_lex_state = 3},
  [2240] = {.lex_state = 38, .external_lex_state = 2},
  [2241] = {.lex_state = 24, .external_lex_state = 3},
  [2242] = {.lex_state = 24, .external_lex_state = 3},
  [2243] = {.lex_state = 24, .external_lex_state = 3},
  [2244] = {.lex_state = 24, .external_lex_state = 3},
  [2245] = {.lex_state = 24, .external_lex_state = 3},
  [2246] = {.lex_state = 24, .external_lex_state = 3},
  [2247] = {.lex_state = 24, .external_lex_state = 3},
  [2248] = {.lex_state = 24, .external_lex_state = 3},
  [2249] = {.lex_state = 24, .external_lex_state = 3},
  [2250] = {.lex_state = 24, .external_lex_state = 3},
  [2251] = {.lex_state = 24, .external_lex_state = 3},
  [2252] = {.lex_state = 24, .external_lex_state = 3},
  [2253] = {.lex_state = 24, .external_lex_state = 3},
  [2254] = {.lex_state = 24, .external_lex_state = 3},
  [2255] = {.lex_state = 24, .external_lex_state = 3},
  [2256] = {.lex_state = 24, .external_lex_state = 3},
  [2257] = {.lex_state = 38, .external_lex_state = 2},
  [2258] = {.lex_state = 38, .external_lex_state = 2},
  [2259] = {.lex_state = 38, .external_lex_state = 2},
  [2260] = {.lex_state = 38, .external_lex_state = 2},
  [2261] = {.lex_state = 38, .external_lex_state = 2},
  [2262] = {.lex_state = 38, .external_lex_state = 2},
  [2263] = {.lex_state = 38, .external_lex_state = 2},
  [2264] = {.lex_state = 38, .external_lex_state = 2},
  [2265] = {.lex_state = 38, .external_lex_state = 2},
  [2266] = {.lex_state = 38, .external_lex_state = 2},
  [2267] = {.lex_state = 48, .external_lex_state = 5},
  [2268] = {.lex_state = 48, .external_lex_state = 5},
  [2269] = {.lex_state = 48, .external_lex_state = 5},
  [2270] = {.lex_state = 48, .external_lex_state = 5},
  [2271] = {.lex_state = 48, .external_lex_state = 5},
  [2272] = {.lex_state = 38, .external_lex_state = 2},
  [2273] = {.lex_state = 38, .external_lex_state = 2},
  [2274] = {.lex_state = 38, .external_lex_state = 2},
  [2275] = {.lex_state = 38, .external_lex_state = 2},
  [2276] = {.lex_state = 38, .external_lex_state = 2},
  [2277] = {.lex_state = 38, .external_lex_state = 2},
  [2278] = {.lex_state = 38, .external_lex_state = 2},
  [2279] = {.lex_state = 38, .external_lex_state = 2},
  [2280] = {.lex_state = 38, .external_lex_state = 2},
  [2281] = {.lex_state = 38, .external_lex_state = 2},
  [2282] = {.lex_state = 38, .external_lex_state = 2},
  [2283] = {.lex_state = 38, .external_lex_state = 2},
  [2284] = {.lex_state = 38, .external_lex_state = 2},
  [2285] = {.lex_state = 38, .external_lex_state = 2},
  [2286] = {.lex_state = 38, .external_lex_state = 2},
  [2287] = {.lex_state = 38, .external_lex_state = 2},
  [2288] = {.lex_state = 38, .external_lex_state = 2},
  [2289] = {.lex_state = 38, .external_lex_state = 2},
  [2290] = {.lex_state = 38, .external_lex_state = 2},
  [2291] = {.lex_state = 38, .external_lex_state = 2},
  [2292] = {.lex_state = 38, .external_lex_state = 2},
  [2293] = {.lex_state = 38, .external_lex_state = 2},
  [2294] = {.lex_state = 39, .external_lex_state = 2},
  [2295] = {.lex_state = 38, .external_lex_state = 2},
  [2296] = {.lex_state = 38, .external_lex_state = 2},
  [2297] = {.lex_state = 38, .external_lex_state = 2},
  [2298] = {.lex_state = 38, .external_lex_state = 2},
  [2299] = {.lex_state = 39, .external_lex_state = 2},
  [2300] = {.lex_state = 38, .external_lex_state = 2},
  [2301] = {.lex_state = 38, .external_lex_state = 2},
  [2302] = {.lex_state = 38, .external_lex_state = 2},
  [2303] = {.lex_state = 38, .external_lex_state = 2},
  [2304] = {.lex_state = 38, .external_lex_state = 2},
  [2305] = {.lex_state = 38, .external_lex_state = 2},
  [2306] = {.lex_state = 39, .external_lex_state = 2},
  [2307] = {.lex_state = 39, .external_lex_state = 2},
  [2308] = {.lex_state = 39, .external_lex_state = 2},
  [2309] = {.lex_state = 39, .external_lex_state = 2},
  [2310] = {.lex_state = 38, .external_lex_state = 2},
  [2311] = {.lex_state = 39, .external_lex_state = 2},
  [2312] = {.lex_state = 29, .external_lex_state = 4},
  [2313] = {.lex_state = 29, .external_lex_state = 4},
  [2314] = {.lex_state = 48, .external_lex_state = 5},
  [2315] = {.lex_state = 48, .external_lex_state = 5},
  [2316] = {.lex_state = 29, .external_lex_state = 3},
  [2317] = {.lex_state = 29, .external_lex_state = 3},
  [2318] = {.lex_state = 29, .external_lex_state = 3},
  [2319] = {.lex_state = 29, .external_lex_state = 3},
  [2320] = {.lex_state = 39, .external_lex_state = 2},
  [2321] = {.lex_state = 29, .external_lex_state = 3},
  [2322] = {.lex_state = 29, .external_lex_state = 3},
  [2323] = {.lex_state = 29, .external_lex_state = 3},
  [2324] = {.lex_state = 29, .external_lex_state = 3},
  [2325] = {.lex_state = 29, .external_lex_state = 3},
  [2326] = {.lex_state = 29, .external_lex_state = 3},
  [2327] = {.lex_state = 29, .external_lex_state = 3},
  [2328] = {.lex_state = 29, .external_lex_state = 3},
  [2329] = {.lex_state = 29, .external_lex_state = 3},
  [2330] = {.lex_state = 29, .external_lex_state = 4},
  [2331] = {.lex_state = 29, .external_lex_state = 3},
  [2332] = {.lex_state = 29, .external_lex_state = 4},
  [2333] = {.lex_state = 29, .external_lex_state = 3},
  [2334] = {.lex_state = 29, .external_lex_state = 4},
  [2335] = {.lex_state = 29, .external_lex_state = 4},
  [2336] = {.lex_state = 29, .external_lex_state = 3},
  [2337] = {.lex_state = 29, .external_lex_state = 3},
  [2338] = {.lex_state = 29, .external_lex_state = 3},
  [2339] = {.lex_state = 29, .external_lex_state = 3},
  [2340] = {.lex_state = 29, .external_lex_state = 3},
  [2341] = {.lex_state = 29, .external_lex_state = 3},
  [2342] = {.lex_state = 29, .external_lex_state = 3},
  [2343] = {.lex_state = 29, .external_lex_state = 3},
  [2344] = {.lex_state = 29, .external_lex_state = 3},
  [2345] = {.lex_state = 29, .external_lex_state = 3},
  [2346] = {.lex_state = 29, .external_lex_state = 3},
  [2347] = {.lex_state = 29, .external_lex_state = 3},
  [2348] = {.lex_state = 29, .external_lex_state = 3},
  [2349] = {.lex_state = 29, .external_lex_state = 3},
  [2350] = {.lex_state = 29, .external_lex_state = 3},
  [2351] = {.lex_state = 29, .external_lex_state = 3},
  [2352] = {.lex_state = 29, .external_lex_state = 3},
  [2353] = {.lex_state = 29, .external_lex_state = 3},
  [2354] = {.lex_state = 29, .external_lex_state = 3},
  [2355] = {.lex_state = 29, .external_lex_state = 3},
  [2356] = {.lex_state = 29, .external_lex_state = 3},
  [2357] = {.lex_state = 29, .external_lex_state = 3},
  [2358] = {.lex_state = 29, .external_lex_state = 3},
  [2359] = {.lex_state = 29, .external_lex_state = 3},
  [2360] = {.lex_state = 29, .external_lex_state = 3},
  [2361] = {.lex_state = 29, .external_lex_state = 3},
  [2362] = {.lex_state = 29, .external_lex_state = 3},
  [2363] = {.lex_state = 29, .external_lex_state = 3},
  [2364] = {.lex_state = 29, .external_lex_state = 3},
  [2365] = {.lex_state = 29, .external_lex_state = 3},
  [2366] = {.lex_state = 29, .external_lex_state = 3},
  [2367] = {.lex_state = 29, .external_lex_state = 3},
  [2368] = {.lex_state = 29, .external_lex_state = 3},
  [2369] = {.lex_state = 29, .external_lex_state = 3},
  [2370] = {.lex_state = 29, .external_lex_state = 3},
  [2371] = {.lex_state = 29, .external_lex_state = 3},
  [2372] = {.lex_state = 29, .external_lex_state = 3},
  [2373] = {.lex_state = 29, .external_lex_state = 3},
  [2374] = {.lex_state = 29, .external_lex_state = 3},
  [2375] = {.lex_state = 29, .external_lex_state = 3},
  [2376] = {.lex_state = 29, .external_lex_state = 3},
  [2377] = {.lex_state = 29, .external_lex_state = 3},
  [2378] = {.lex_state = 29, .external_lex_state = 3},
  [2379] = {.lex_state = 29, .external_lex_state = 3},
  [2380] = {.lex_state = 29, .external_lex_state = 3},
  [2381] = {.lex_state = 29, .external_lex_state = 3},
  [2382] = {.lex_state = 29, .external_lex_state = 3},
  [2383] = {.lex_state = 29, .external_lex_state = 3},
  [2384] = {.lex_state = 29, .external_lex_state = 3},
  [2385] = {.lex_state = 29, .external_lex_state = 3},
  [2386] = {.lex_state = 29, .external_lex_state = 3},
  [2387] = {.lex_state = 29, .external_lex_state = 3},
  [2388] = {.lex_state = 29, .external_lex_state = 3},
  [2389] = {.lex_state = 29, .external_lex_state = 3},
  [2390] = {.lex_state = 39, .external_lex_state = 5},
  [2391] = {.lex_state = 29, .external_lex_state = 3},
  [2392] = {.lex_state = 29, .external_lex_state = 3},
  [2393] = {.lex_state = 29, .external_lex_state = 3},
  [2394] = {.lex_state = 29, .external_lex_state = 3},
  [2395] = {.lex_state = 29, .external_lex_state = 3},
  [2396] = {.lex_state = 29, .external_lex_state = 3},
  [2397] = {.lex_state = 29, .external_lex_state = 3},
  [2398] = {.lex_state = 29, .external_lex_state = 3},
  [2399] = {.lex_state = 29, .external_lex_state = 3},
  [2400] = {.lex_state = 29, .external_lex_state = 3},
  [2401] = {.lex_state = 29, .external_lex_state = 3},
  [2402] = {.lex_state = 29, .external_lex_state = 3},
  [2403] = {.lex_state = 29, .external_lex_state = 3},
  [2404] = {.lex_state = 29, .external_lex_state = 3},
  [2405] = {.lex_state = 29, .external_lex_state = 3},
  [2406] = {.lex_state = 29, .external_lex_state = 3},
  [2407] = {.lex_state = 29, .external_lex_state = 3},
  [2408] = {.lex_state = 29, .external_lex_state = 3},
  [2409] = {.lex_state = 29, .external_lex_state = 3},
  [2410] = {.lex_state = 29, .external_lex_state = 3},
  [2411] = {.lex_state = 29, .external_lex_state = 3},
  [2412] = {.lex_state = 29, .external_lex_state = 3},
  [2413] = {.lex_state = 29, .external_lex_state = 3},
  [2414] = {.lex_state = 29, .external_lex_state = 3},
  [2415] = {.lex_state = 29, .external_lex_state = 3},
  [2416] = {.lex_state = 29, .external_lex_state = 3},
  [2417] = {.lex_state = 29, .external_lex_state = 3},
  [2418] = {.lex_state = 29, .external_lex_state = 3},
  [2419] = {.lex_state = 29, .external_lex_state = 3},
  [2420] = {.lex_state = 29, .external_lex_state = 3},
  [2421] = {.lex_state = 29, .external_lex_state = 3},
  [2422] = {.lex_state = 29, .external_lex_state = 3},
  [2423] = {.lex_state = 29, .external_lex_state = 3},
  [2424] = {.lex_state = 29, .external_lex_state = 3},
  [2425] = {.lex_state = 29, .external_lex_state = 3},
  [2426] = {.lex_state = 29, .external_lex_state = 3},
  [2427] = {.lex_state = 29, .external_lex_state = 3},
  [2428] = {.lex_state = 29, .external_lex_state = 3},
  [2429] = {.lex_state = 29, .external_lex_state = 3},
  [2430] = {.lex_state = 29, .external_lex_state = 4},
  [2431] = {.lex_state = 29, .external_lex_state = 3},
  [2432] = {.lex_state = 29, .external_lex_state = 3},
  [2433] = {.lex_state = 29, .external_lex_state = 3},
  [2434] = {.lex_state = 29, .external_lex_state = 3},
  [2435] = {.lex_state = 29, .external_lex_state = 3},
  [2436] = {.lex_state = 39, .external_lex_state = 5},
  [2437] = {.lex_state = 29, .external_lex_state = 3},
  [2438] = {.lex_state = 29, .external_lex_state = 3},
  [2439] = {.lex_state = 29, .external_lex_state = 3},
  [2440] = {.lex_state = 39, .external_lex_state = 5},
  [2441] = {.lex_state = 29, .external_lex_state = 3},
  [2442] = {.lex_state = 29, .external_lex_state = 3},
  [2443] = {.lex_state = 29, .external_lex_state = 3},
  [2444] = {.lex_state = 29, .external_lex_state = 3},
  [2445] = {.lex_state = 29, .external_lex_state = 3},
  [2446] = {.lex_state = 29, .external_lex_state = 3},
  [2447] = {.lex_state = 29, .external_lex_state = 3},
  [2448] = {.lex_state = 29, .external_lex_state = 3},
  [2449] = {.lex_state = 29, .external_lex_state = 3},
  [2450] = {.lex_state = 29, .external_lex_state = 3},
  [2451] = {.lex_state = 29, .external_lex_state = 3},
  [2452] = {.lex_state = 29, .external_lex_state = 4},
  [2453] = {.lex_state = 29, .external_lex_state = 4},
  [2454] = {.lex_state = 29, .external_lex_state = 3},
  [2455] = {.lex_state = 29, .external_lex_state = 3},
  [2456] = {.lex_state = 29, .external_lex_state = 3},
  [2457] = {.lex_state = 29, .external_lex_state = 3},
  [2458] = {.lex_state = 29, .external_lex_state = 3},
  [2459] = {.lex_state = 29, .external_lex_state = 3},
  [2460] = {.lex_state = 29, .external_lex_state = 3},
  [2461] = {.lex_state = 39, .external_lex_state = 5},
  [2462] = {.lex_state = 29, .external_lex_state = 3},
  [2463] = {.lex_state = 29, .external_lex_state = 3},
  [2464] = {.lex_state = 29, .external_lex_state = 3},
  [2465] = {.lex_state = 29, .external_lex_state = 3},
  [2466] = {.lex_state = 29, .external_lex_state = 3},
  [2467] = {.lex_state = 29, .external_lex_state = 3},
  [2468] = {.lex_state = 29, .external_lex_state = 3},
  [2469] = {.lex_state = 29, .external_lex_state = 3},
  [2470] = {.lex_state = 29, .external_lex_state = 3},
  [2471] = {.lex_state = 29, .external_lex_state = 3},
  [2472] = {.lex_state = 29, .external_lex_state = 3},
  [2473] = {.lex_state = 29, .external_lex_state = 3},
  [2474] = {.lex_state = 29, .external_lex_state = 3},
  [2475] = {.lex_state = 29, .external_lex_state = 3},
  [2476] = {.lex_state = 29, .external_lex_state = 3},
  [2477] = {.lex_state = 29, .external_lex_state = 3},
  [2478] = {.lex_state = 29, .external_lex_state = 3},
  [2479] = {.lex_state = 29, .external_lex_state = 3},
  [2480] = {.lex_state = 29, .external_lex_state = 3},
  [2481] = {.lex_state = 29, .external_lex_state = 3},
  [2482] = {.lex_state = 29, .external_lex_state = 3},
  [2483] = {.lex_state = 29, .external_lex_state = 3},
  [2484] = {.lex_state = 29, .external_lex_state = 3},
  [2485] = {.lex_state = 29, .external_lex_state = 3},
  [2486] = {.lex_state = 29, .external_lex_state = 4},
  [2487] = {.lex_state = 29, .external_lex_state = 3},
  [2488] = {.lex_state = 29, .external_lex_state = 3},
  [2489] = {.lex_state = 29, .external_lex_state = 3},
  [2490] = {.lex_state = 29, .external_lex_state = 3},
  [2491] = {.lex_state = 29, .external_lex_state = 3},
  [2492] = {.lex_state = 29, .external_lex_state = 3},
  [2493] = {.lex_state = 29, .external_lex_state = 3},
  [2494] = {.lex_state = 29, .external_lex_state = 3},
  [2495] = {.lex_state = 29, .external_lex_state = 3},
  [2496] = {.lex_state = 29, .external_lex_state = 3},
  [2497] = {.lex_state = 39, .external_lex_state = 5},
  [2498] = {.lex_state = 29, .external_lex_state = 4},
  [2499] = {.lex_state = 29, .external_lex_state = 3},
  [2500] = {.lex_state = 29, .external_lex_state = 3},
  [2501] = {.lex_state = 29, .external_lex_state = 4},
  [2502] = {.lex_state = 29, .external_lex_state = 3},
  [2503] = {.lex_state = 29, .external_lex_state = 3},
  [2504] = {.lex_state = 29, .external_lex_state = 3},
  [2505] = {.lex_state = 39, .external_lex_state = 5},
  [2506] = {.lex_state = 39, .external_lex_state = 5},
  [2507] = {.lex_state = 29, .external_lex_state = 4},
  [2508] = {.lex_state = 29, .external_lex_state = 4},
  [2509] = {.lex_state = 29, .external_lex_state = 4},
  [2510] = {.lex_state = 29, .external_lex_state = 4},
  [2511] = {.lex_state = 29, .external_lex_state = 4},
  [2512] = {.lex_state = 29, .external_lex_state = 4},
  [2513] = {.lex_state = 29, .external_lex_state = 3},
  [2514] = {.lex_state = 29, .external_lex_state = 3},
  [2515] = {.lex_state = 29, .external_lex_state = 3},
  [2516] = {.lex_state = 29, .external_lex_state = 3},
  [2517] = {.lex_state = 29, .external_lex_state = 3},
  [2518] = {.lex_state = 29, .external_lex_state = 3},
  [2519] = {.lex_state = 29, .external_lex_state = 4},
  [2520] = {.lex_state = 29, .external_lex_state = 4},
  [2521] = {.lex_state = 39, .external_lex_state = 5},
  [2522] = {.lex_state = 29, .external_lex_state = 4},
  [2523] = {.lex_state = 29, .external_lex_state = 4},
  [2524] = {.lex_state = 29, .external_lex_state = 4},
  [2525] = {.lex_state = 29, .external_lex_state = 3},
  [2526] = {.lex_state = 29, .external_lex_state = 4},
  [2527] = {.lex_state = 29, .external_lex_state = 4},
  [2528] = {.lex_state = 29, .external_lex_state = 4},
  [2529] = {.lex_state = 29, .external_lex_state = 4},
  [2530] = {.lex_state = 29, .external_lex_state = 4},
  [2531] = {.lex_state = 29, .external_lex_state = 3},
  [2532] = {.lex_state = 29, .external_lex_state = 3},
  [2533] = {.lex_state = 29, .external_lex_state = 4},
  [2534] = {.lex_state = 29, .external_lex_state = 3},
  [2535] = {.lex_state = 29, .external_lex_state = 3},
  [2536] = {.lex_state = 29, .external_lex_state = 3},
  [2537] = {.lex_state = 29, .external_lex_state = 3},
  [2538] = {.lex_state = 29, .external_lex_state = 4},
  [2539] = {.lex_state = 29, .external_lex_state = 4},
  [2540] = {.lex_state = 29, .external_lex_state = 4},
  [2541] = {.lex_state = 29, .external_lex_state = 3},
  [2542] = {.lex_state = 29, .external_lex_state = 3},
  [2543] = {.lex_state = 39, .external_lex_state = 5},
  [2544] = {.lex_state = 29, .external_lex_state = 3},
  [2545] = {.lex_state = 29, .external_lex_state = 3},
  [2546] = {.lex_state = 29, .external_lex_state = 3},
  [2547] = {.lex_state = 29, .external_lex_state = 3},
  [2548] = {.lex_state = 29, .external_lex_state = 3},
  [2549] = {.lex_state = 29, .external_lex_state = 3},
  [2550] = {.lex_state = 29, .external_lex_state = 4},
  [2551] = {.lex_state = 29, .external_lex_state = 3},
  [2552] = {.lex_state = 29, .external_lex_state = 3},
  [2553] = {.lex_state = 29, .external_lex_state = 3},
  [2554] = {.lex_state = 29, .external_lex_state = 3},
  [2555] = {.lex_state = 29, .external_lex_state = 3},
  [2556] = {.lex_state = 29, .external_lex_state = 4},
  [2557] = {.lex_state = 29, .external_lex_state = 3},
  [2558] = {.lex_state = 29, .external_lex_state = 3},
  [2559] = {.lex_state = 29, .external_lex_state = 3},
  [2560] = {.lex_state = 29, .external_lex_state = 3},
  [2561] = {.lex_state = 29, .external_lex_state = 4},
  [2562] = {.lex_state = 29, .external_lex_state = 4},
  [2563] = {.lex_state = 29, .external_lex_state = 4},
  [2564] = {.lex_state = 29, .external_lex_state = 4},
  [2565] = {.lex_state = 29, .external_lex_state = 4},
  [2566] = {.lex_state = 29, .external_lex_state = 4},
  [2567] = {.lex_state = 29, .external_lex_state = 4},
  [2568] = {.lex_state = 29, .external_lex_state = 4},
  [2569] = {.lex_state = 29, .external_lex_state = 4},
  [2570] = {.lex_state = 29, .external_lex_state = 4},
  [2571] = {.lex_state = 29, .external_lex_state = 4},
  [2572] = {.lex_state = 29, .external_lex_state = 4},
  [2573] = {.lex_state = 29, .external_lex_state = 4},
  [2574] = {.lex_state = 29, .external_lex_state = 3},
  [2575] = {.lex_state = 29, .external_lex_state = 3},
  [2576] = {.lex_state = 29, .external_lex_state = 4},
  [2577] = {.lex_state = 29, .external_lex_state = 4},
  [2578] = {.lex_state = 29, .external_lex_state = 3},
  [2579] = {.lex_state = 29, .external_lex_state = 3},
  [2580] = {.lex_state = 29, .external_lex_state = 3},
  [2581] = {.lex_state = 29, .external_lex_state = 4},
  [2582] = {.lex_state = 29, .external_lex_state = 4},
  [2583] = {.lex_state = 29, .external_lex_state = 4},
  [2584] = {.lex_state = 29, .external_lex_state = 3},
  [2585] = {.lex_state = 29, .external_lex_state = 4},
  [2586] = {.lex_state = 29, .external_lex_state = 3},
  [2587] = {.lex_state = 29, .external_lex_state = 3},
  [2588] = {.lex_state = 29, .external_lex_state = 4},
  [2589] = {.lex_state = 29, .external_lex_state = 3},
  [2590] = {.lex_state = 29, .external_lex_state = 3},
  [2591] = {.lex_state = 29, .external_lex_state = 3},
  [2592] = {.lex_state = 29, .external_lex_state = 3},
  [2593] = {.lex_state = 29, .external_lex_state = 3},
  [2594] = {.lex_state = 39, .external_lex_state = 5},
  [2595] = {.lex_state = 29, .external_lex_state = 4},
  [2596] = {.lex_state = 29, .external_lex_state = 3},
  [2597] = {.lex_state = 29, .external_lex_state = 4},
  [2598] = {.lex_state = 29, .external_lex_state = 3},
  [2599] = {.lex_state = 29, .external_lex_state = 4},
  [2600] = {.lex_state = 29, .external_lex_state = 3},
  [2601] = {.lex_state = 29, .external_lex_state = 3},
  [2602] = {.lex_state = 29, .external_lex_state = 4},
  [2603] = {.lex_state = 29, .external_lex_state = 3},
  [2604] = {.lex_state = 29, .external_lex_state = 3},
  [2605] = {.lex_state = 29, .external_lex_state = 4},
  [2606] = {.lex_state = 29, .external_lex_state = 3},
  [2607] = {.lex_state = 29, .external_lex_state = 4},
  [2608] = {.lex_state = 29, .external_lex_state = 4},
  [2609] = {.lex_state = 29, .external_lex_state = 3},
  [2610] = {.lex_state = 29, .external_lex_state = 4},
  [2611] = {.lex_state = 29, .external_lex_state = 3},
  [2612] = {.lex_state = 29, .external_lex_state = 3},
  [2613] = {.lex_state = 29, .external_lex_state = 3},
  [2614] = {.lex_state = 29, .external_lex_state = 4},
  [2615] = {.lex_state = 39, .external_lex_state = 5},
  [2616] = {.lex_state = 39, .external_lex_state = 5},
  [2617] = {.lex_state = 29, .external_lex_state = 3},
  [2618] = {.lex_state = 29, .external_lex_state = 4},
  [2619] = {.lex_state = 29, .external_lex_state = 3},
  [2620] = {.lex_state = 29, .external_lex_state = 4},
  [2621] = {.lex_state = 29, .external_lex_state = 4},
  [2622] = {.lex_state = 29, .external_lex_state = 4},
  [2623] = {.lex_state = 29, .external_lex_state = 4},
  [2624] = {.lex_state = 29, .external_lex_state = 4},
  [2625] = {.lex_state = 29, .external_lex_state = 4},
  [2626] = {.lex_state = 29, .external_lex_state = 4},
  [2627] = {.lex_state = 29, .external_lex_state = 3},
  [2628] = {.lex_state = 29, .external_lex_state = 4},
  [2629] = {.lex_state = 29, .external_lex_state = 4},
  [2630] = {.lex_state = 29, .external_lex_state = 4},
  [2631] = {.lex_state = 29, .external_lex_state = 3},
  [2632] = {.lex_state = 29, .external_lex_state = 3},
  [2633] = {.lex_state = 29, .external_lex_state = 3},
  [2634] = {.lex_state = 29, .external_lex_state = 4},
  [2635] = {.lex_state = 29, .external_lex_state = 4},
  [2636] = {.lex_state = 29, .external_lex_state = 3},
  [2637] = {.lex_state = 29, .external_lex_state = 4},
  [2638] = {.lex_state = 29, .external_lex_state = 4},
  [2639] = {.lex_state = 29, .external_lex_state = 3},
  [2640] = {.lex_state = 29, .external_lex_state = 4},
  [2641] = {.lex_state = 29, .external_lex_state = 3},
  [2642] = {.lex_state = 29, .external_lex_state = 4},
  [2643] = {.lex_state = 39, .external_lex_state = 5},
  [2644] = {.lex_state = 29, .external_lex_state = 4},
  [2645] = {.lex_state = 29, .external_lex_state = 4},
  [2646] = {.lex_state = 29, .external_lex_state = 4},
  [2647] = {.lex_state = 29, .external_lex_state = 3},
  [2648] = {.lex_state = 39, .external_lex_state = 5},
  [2649] = {.lex_state = 29, .external_lex_state = 4},
  [2650] = {.lex_state = 29, .external_lex_state = 3},
  [2651] = {.lex_state = 29, .external_lex_state = 4},
  [2652] = {.lex_state = 29, .external_lex_state = 3},
  [2653] = {.lex_state = 29, .external_lex_state = 4},
  [2654] = {.lex_state = 29, .external_lex_state = 3},
  [2655] = {.lex_state = 29, .external_lex_state = 4},
  [2656] = {.lex_state = 29, .external_lex_state = 4},
  [2657] = {.lex_state = 29, .external_lex_state = 3},
  [2658] = {.lex_state = 29, .external_lex_state = 3},
  [2659] = {.lex_state = 29, .external_lex_state = 3},
  [2660] = {.lex_state = 29, .external_lex_state = 3},
  [2661] = {.lex_state = 29, .external_lex_state = 4},
  [2662] = {.lex_state = 29, .external_lex_state = 3},
  [2663] = {.lex_state = 29, .external_lex_state = 4},
  [2664] = {.lex_state = 29, .external_lex_state = 3},
  [2665] = {.lex_state = 29, .external_lex_state = 3},
  [2666] = {.lex_state = 29, .external_lex_state = 3},
  [2667] = {.lex_state = 29, .external_lex_state = 4},
  [2668] = {.lex_state = 29, .external_lex_state = 3},
  [2669] = {.lex_state = 29, .external_lex_state = 3},
  [2670] = {.lex_state = 29, .external_lex_state = 4},
  [2671] = {.lex_state = 29, .external_lex_state = 4},
  [2672] = {.lex_state = 29, .external_lex_state = 4},
  [2673] = {.lex_state = 29, .external_lex_state = 4},
  [2674] = {.lex_state = 29, .external_lex_state = 4},
  [2675] = {.lex_state = 29, .external_lex_state = 4},
  [2676] = {.lex_state = 29, .external_lex_state = 4},
  [2677] = {.lex_state = 29, .external_lex_state = 4},
  [2678] = {.lex_state = 29, .external_lex_state = 4},
  [2679] = {.lex_state = 29, .external_lex_state = 4},
  [2680] = {.lex_state = 29, .external_lex_state = 3},
  [2681] = {.lex_state = 39, .external_lex_state = 5},
  [2682] = {.lex_state = 29, .external_lex_state = 3},
  [2683] = {.lex_state = 29, .external_lex_state = 3},
  [2684] = {.lex_state = 39, .external_lex_state = 5},
  [2685] = {.lex_state = 29, .external_lex_state = 4},
  [2686] = {.lex_state = 29, .external_lex_state = 4},
  [2687] = {.lex_state = 29, .external_lex_state = 4},
  [2688] = {.lex_state = 38, .external_lex_state = 5},
  [2689] = {.lex_state = 29, .external_lex_state = 4},
  [2690] = {.lex_state = 29, .external_lex_state = 3},
  [2691] = {.lex_state = 29, .external_lex_state = 3},
  [2692] = {.lex_state = 29, .external_lex_state = 4},
  [2693] = {.lex_state = 29, .external_lex_state = 3},
  [2694] = {.lex_state = 39, .external_lex_state = 5},
  [2695] = {.lex_state = 29, .external_lex_state = 3},
  [2696] = {.lex_state = 29, .external_lex_state = 4},
  [2697] = {.lex_state = 29, .external_lex_state = 3},
  [2698] = {.lex_state = 29, .external_lex_state = 3},
  [2699] = {.lex_state = 29, .external_lex_state = 3},
  [2700] = {.lex_state = 29, .external_lex_state = 4},
  [2701] = {.lex_state = 29, .external_lex_state = 3},
  [2702] = {.lex_state = 29, .external_lex_state = 4},
  [2703] = {.lex_state = 29, .external_lex_state = 3},
  [2704] = {.lex_state = 29, .external_lex_state = 4},
  [2705] = {.lex_state = 29, .external_lex_state = 3},
  [2706] = {.lex_state = 29, .external_lex_state = 3},
  [2707] = {.lex_state = 29, .external_lex_state = 4},
  [2708] = {.lex_state = 29, .external_lex_state = 4},
  [2709] = {.lex_state = 29, .external_lex_state = 3},
  [2710] = {.lex_state = 29, .external_lex_state = 3},
  [2711] = {.lex_state = 29, .external_lex_state = 3},
  [2712] = {.lex_state = 29, .external_lex_state = 3},
  [2713] = {.lex_state = 29, .external_lex_state = 3},
  [2714] = {.lex_state = 29, .external_lex_state = 3},
  [2715] = {.lex_state = 29, .external_lex_state = 3},
  [2716] = {.lex_state = 29, .external_lex_state = 3},
  [2717] = {.lex_state = 29, .external_lex_state = 4},
  [2718] = {.lex_state = 29, .external_lex_state = 3},
  [2719] = {.lex_state = 29, .external_lex_state = 3},
  [2720] = {.lex_state = 29, .external_lex_state = 3},
  [2721] = {.lex_state = 29, .external_lex_state = 3},
  [2722] = {.lex_state = 29, .external_lex_state = 3},
  [2723] = {.lex_state = 29, .external_lex_state = 3},
  [2724] = {.lex_state = 29, .external_lex_state = 3},
  [2725] = {.lex_state = 39, .external_lex_state = 5},
  [2726] = {.lex_state = 39, .external_lex_state = 5},
  [2727] = {.lex_state = 29, .external_lex_state = 3},
  [2728] = {.lex_state = 29, .external_lex_state = 3},
  [2729] = {.lex_state = 29, .external_lex_state = 4},
  [2730] = {.lex_state = 29, .external_lex_state = 4},
  [2731] = {.lex_state = 29, .external_lex_state = 4},
  [2732] = {.lex_state = 29, .external_lex_state = 3},
  [2733] = {.lex_state = 29, .external_lex_state = 4},
  [2734] = {.lex_state = 29, .external_lex_state = 3},
  [2735] = {.lex_state = 29, .external_lex_state = 3},
  [2736] = {.lex_state = 39, .external_lex_state = 5},
  [2737] = {.lex_state = 29, .external_lex_state = 4},
  [2738] = {.lex_state = 29, .external_lex_state = 3},
  [2739] = {.lex_state = 29, .external_lex_state = 3},
  [2740] = {.lex_state = 29, .external_lex_state = 3},
  [2741] = {.lex_state = 29, .external_lex_state = 3},
  [2742] = {.lex_state = 29, .external_lex_state = 3},
  [2743] = {.lex_state = 29, .external_lex_state = 3},
  [2744] = {.lex_state = 29, .external_lex_state = 3},
  [2745] = {.lex_state = 29, .external_lex_state = 3},
  [2746] = {.lex_state = 29, .external_lex_state = 3},
  [2747] = {.lex_state = 29, .external_lex_state = 3},
  [2748] = {.lex_state = 29, .external_lex_state = 4},
  [2749] = {.lex_state = 29, .external_lex_state = 4},
  [2750] = {.lex_state = 29, .external_lex_state = 3},
  [2751] = {.lex_state = 29, .external_lex_state = 4},
  [2752] = {.lex_state = 29, .external_lex_state = 4},
  [2753] = {.lex_state = 29, .external_lex_state = 3},
  [2754] = {.lex_state = 29, .external_lex_state = 3},
  [2755] = {.lex_state = 29, .external_lex_state = 3},
  [2756] = {.lex_state = 29, .external_lex_state = 3},
  [2757] = {.lex_state = 29, .external_lex_state = 3},
  [2758] = {.lex_state = 29, .external_lex_state = 3},
  [2759] = {.lex_state = 29, .external_lex_state = 3},
  [2760] = {.lex_state = 29, .external_lex_state = 3},
  [2761] = {.lex_state = 29, .external_lex_state = 3},
  [2762] = {.lex_state = 29, .external_lex_state = 3},
  [2763] = {.lex_state = 29, .external_lex_state = 3},
  [2764] = {.lex_state = 29, .external_lex_state = 4},
  [2765] = {.lex_state = 29, .external_lex_state = 3},
  [2766] = {.lex_state = 29, .external_lex_state = 3},
  [2767] = {.lex_state = 29, .external_lex_state = 3},
  [2768] = {.lex_state = 29, .external_lex_state = 4},
  [2769] = {.lex_state = 29, .external_lex_state = 3},
  [2770] = {.lex_state = 29, .external_lex_state = 3},
  [2771] = {.lex_state = 29, .external_lex_state = 4},
  [2772] = {.lex_state = 29, .external_lex_state = 3},
  [2773] = {.lex_state = 29, .external_lex_state = 3},
  [2774] = {.lex_state = 29, .external_lex_state = 3},
  [2775] = {.lex_state = 29, .external_lex_state = 3},
  [2776] = {.lex_state = 29, .external_lex_state = 3},
  [2777] = {.lex_state = 29, .external_lex_state = 3},
  [2778] = {.lex_state = 29, .external_lex_state = 3},
  [2779] = {.lex_state = 29, .external_lex_state = 3},
  [2780] = {.lex_state = 29, .external_lex_state = 3},
  [2781] = {.lex_state = 38, .external_lex_state = 5},
  [2782] = {.lex_state = 39, .external_lex_state = 5},
  [2783] = {.lex_state = 29, .external_lex_state = 3},
  [2784] = {.lex_state = 29, .external_lex_state = 3},
  [2785] = {.lex_state = 29, .external_lex_state = 4},
  [2786] = {.lex_state = 29, .external_lex_state = 3},
  [2787] = {.lex_state = 39, .external_lex_state = 5},
  [2788] = {.lex_state = 29, .external_lex_state = 3},
  [2789] = {.lex_state = 29, .external_lex_state = 3},
  [2790] = {.lex_state = 29, .external_lex_state = 3},
  [2791] = {.lex_state = 29, .external_lex_state = 3},
  [2792] = {.lex_state = 29, .external_lex_state = 4},
  [2793] = {.lex_state = 29, .external_lex_state = 4},
  [2794] = {.lex_state = 29, .external_lex_state = 4},
  [2795] = {.lex_state = 29, .external_lex_state = 4},
  [2796] = {.lex_state = 29, .external_lex_state = 4},
  [2797] = {.lex_state = 29, .external_lex_state = 4},
  [2798] = {.lex_state = 29, .external_lex_state = 4},
  [2799] = {.lex_state = 29, .external_lex_state = 4},
  [2800] = {.lex_state = 29, .external_lex_state = 4},
  [2801] = {.lex_state = 29, .external_lex_state = 4},
  [2802] = {.lex_state = 29, .external_lex_state = 4},
  [2803] = {.lex_state = 29, .external_lex_state = 4},
  [2804] = {.lex_state = 29, .external_lex_state = 4},
  [2805] = {.lex_state = 29, .external_lex_state = 4},
  [2806] = {.lex_state = 29, .external_lex_state = 4},
  [2807] = {.lex_state = 29, .external_lex_state = 4},
  [2808] = {.lex_state = 29, .external_lex_state = 4},
  [2809] = {.lex_state = 29, .external_lex_state = 4},
  [2810] = {.lex_state = 29, .external_lex_state = 4},
  [2811] = {.lex_state = 29, .external_lex_state = 4},
  [2812] = {.lex_state = 29, .external_lex_state = 4},
  [2813] = {.lex_state = 29, .external_lex_state = 4},
  [2814] = {.lex_state = 29, .external_lex_state = 4},
  [2815] = {.lex_state = 29, .external_lex_state = 4},
  [2816] = {.lex_state = 29, .external_lex_state = 3},
  [2817] = {.lex_state = 29, .external_lex_state = 3},
  [2818] = {.lex_state = 29, .external_lex_state = 3},
  [2819] = {.lex_state = 29, .external_lex_state = 3},
  [2820] = {.lex_state = 29, .external_lex_state = 4},
  [2821] = {.lex_state = 29, .external_lex_state = 3},
  [2822] = {.lex_state = 29, .external_lex_state = 3},
  [2823] = {.lex_state = 29, .external_lex_state = 3},
  [2824] = {.lex_state = 29, .external_lex_state = 4},
  [2825] = {.lex_state = 29, .external_lex_state = 4},
  [2826] = {.lex_state = 29, .external_lex_state = 3},
  [2827] = {.lex_state = 29, .external_lex_state = 3},
  [2828] = {.lex_state = 29, .external_lex_state = 4},
  [2829] = {.lex_state = 29, .external_lex_state = 3},
  [2830] = {.lex_state = 29, .external_lex_state = 3},
  [2831] = {.lex_state = 29, .external_lex_state = 3},
  [2832] = {.lex_state = 29, .external_lex_state = 3},
  [2833] = {.lex_state = 29, .external_lex_state = 4},
  [2834] = {.lex_state = 29, .external_lex_state = 3},
  [2835] = {.lex_state = 29, .external_lex_state = 3},
  [2836] = {.lex_state = 29, .external_lex_state = 3},
  [2837] = {.lex_state = 29, .external_lex_state = 4},
  [2838] = {.lex_state = 29, .external_lex_state = 3},
  [2839] = {.lex_state = 29, .external_lex_state = 4},
  [2840] = {.lex_state = 29, .external_lex_state = 4},
  [2841] = {.lex_state = 29, .external_lex_state = 3},
  [2842] = {.lex_state = 39, .external_lex_state = 2},
  [2843] = {.lex_state = 29, .external_lex_state = 4},
  [2844] = {.lex_state = 29, .external_lex_state = 3},
  [2845] = {.lex_state = 29, .external_lex_state = 3},
  [2846] = {.lex_state = 29, .external_lex_state = 4},
  [2847] = {.lex_state = 29, .external_lex_state = 3},
  [2848] = {.lex_state = 29, .external_lex_state = 3},
  [2849] = {.lex_state = 29, .external_lex_state = 4},
  [2850] = {.lex_state = 29, .external_lex_state = 4},
  [2851] = {.lex_state = 29, .external_lex_state = 3},
  [2852] = {.lex_state = 29, .external_lex_state = 3},
  [2853] = {.lex_state = 29, .external_lex_state = 3},
  [2854] = {.lex_state = 29, .external_lex_state = 3},
  [2855] = {.lex_state = 29, .external_lex_state = 3},
  [2856] = {.lex_state = 29, .external_lex_state = 3},
  [2857] = {.lex_state = 29, .external_lex_state = 3},
  [2858] = {.lex_state = 29, .external_lex_state = 4},
  [2859] = {.lex_state = 29, .external_lex_state = 4},
  [2860] = {.lex_state = 29, .external_lex_state = 4},
  [2861] = {.lex_state = 29, .external_lex_state = 4},
  [2862] = {.lex_state = 29, .external_lex_state = 3},
  [2863] = {.lex_state = 29, .external_lex_state = 4},
  [2864] = {.lex_state = 29, .external_lex_state = 4},
  [2865] = {.lex_state = 39, .external_lex_state = 2},
  [2866] = {.lex_state = 39, .external_lex_state = 2},
  [2867] = {.lex_state = 29, .external_lex_state = 3},
  [2868] = {.lex_state = 29, .external_lex_state = 4},
  [2869] = {.lex_state = 29, .external_lex_state = 4},
  [2870] = {.lex_state = 29, .external_lex_state = 4},
  [2871] = {.lex_state = 39, .external_lex_state = 5},
  [2872] = {.lex_state = 29, .external_lex_state = 4},
  [2873] = {.lex_state = 29, .external_lex_state = 3},
  [2874] = {.lex_state = 29, .external_lex_state = 4},
  [2875] = {.lex_state = 29, .external_lex_state = 4},
  [2876] = {.lex_state = 29, .external_lex_state = 4},
  [2877] = {.lex_state = 29, .external_lex_state = 4},
  [2878] = {.lex_state = 29, .external_lex_state = 4},
  [2879] = {.lex_state = 29, .external_lex_state = 4},
  [2880] = {.lex_state = 29, .external_lex_state = 4},
  [2881] = {.lex_state = 29, .external_lex_state = 4},
  [2882] = {.lex_state = 29, .external_lex_state = 4},
  [2883] = {.lex_state = 29, .external_lex_state = 4},
  [2884] = {.lex_state = 29, .external_lex_state = 3},
  [2885] = {.lex_state = 29, .external_lex_state = 4},
  [2886] = {.lex_state = 29, .external_lex_state = 3},
  [2887] = {.lex_state = 29, .external_lex_state = 4},
  [2888] = {.lex_state = 29, .external_lex_state = 4},
  [2889] = {.lex_state = 29, .external_lex_state = 3},
  [2890] = {.lex_state = 29, .external_lex_state = 4},
  [2891] = {.lex_state = 29, .external_lex_state = 4},
  [2892] = {.lex_state = 29, .external_lex_state = 3},
  [2893] = {.lex_state = 29, .external_lex_state = 4},
  [2894] = {.lex_state = 29, .external_lex_state = 3},
  [2895] = {.lex_state = 29, .external_lex_state = 3},
  [2896] = {.lex_state = 29, .external_lex_state = 3},
  [2897] = {.lex_state = 29, .external_lex_state = 4},
  [2898] = {.lex_state = 29, .external_lex_state = 4},
  [2899] = {.lex_state = 29, .external_lex_state = 4},
  [2900] = {.lex_state = 29, .external_lex_state = 4},
  [2901] = {.lex_state = 29, .external_lex_state = 4},
  [2902] = {.lex_state = 29, .external_lex_state = 4},
  [2903] = {.lex_state = 29, .external_lex_state = 4},
  [2904] = {.lex_state = 39, .external_lex_state = 5},
  [2905] = {.lex_state = 29, .external_lex_state = 4},
  [2906] = {.lex_state = 29, .external_lex_state = 4},
  [2907] = {.lex_state = 29, .external_lex_state = 4},
  [2908] = {.lex_state = 29, .external_lex_state = 4},
  [2909] = {.lex_state = 29, .external_lex_state = 4},
  [2910] = {.lex_state = 39, .external_lex_state = 5},
  [2911] = {.lex_state = 39, .external_lex_state = 2},
  [2912] = {.lex_state = 39, .external_lex_state = 2},
  [2913] = {.lex_state = 29, .external_lex_state = 4},
  [2914] = {.lex_state = 29, .external_lex_state = 4},
  [2915] = {.lex_state = 29, .external_lex_state = 4},
  [2916] = {.lex_state = 29, .external_lex_state = 4},
  [2917] = {.lex_state = 29, .external_lex_state = 4},
  [2918] = {.lex_state = 29, .external_lex_state = 4},
  [2919] = {.lex_state = 29, .external_lex_state = 4},
  [2920] = {.lex_state = 29, .external_lex_state = 4},
  [2921] = {.lex_state = 29, .external_lex_state = 4},
  [2922] = {.lex_state = 29, .external_lex_state = 4},
  [2923] = {.lex_state = 29, .external_lex_state = 4},
  [2924] = {.lex_state = 29, .external_lex_state = 4},
  [2925] = {.lex_state = 29, .external_lex_state = 4},
  [2926] = {.lex_state = 29, .external_lex_state = 4},
  [2927] = {.lex_state = 29, .external_lex_state = 4},
  [2928] = {.lex_state = 27, .external_lex_state = 3},
  [2929] = {.lex_state = 29, .external_lex_state = 4},
  [2930] = {.lex_state = 38, .external_lex_state = 5},
  [2931] = {.lex_state = 29, .external_lex_state = 4},
  [2932] = {.lex_state = 29, .external_lex_state = 4},
  [2933] = {.lex_state = 29, .external_lex_state = 4},
  [2934] = {.lex_state = 29, .external_lex_state = 4},
  [2935] = {.lex_state = 29, .external_lex_state = 4},
  [2936] = {.lex_state = 39, .external_lex_state = 2},
  [2937] = {.lex_state = 29, .external_lex_state = 4},
  [2938] = {.lex_state = 29, .external_lex_state = 4},
  [2939] = {.lex_state = 29, .external_lex_state = 4},
  [2940] = {.lex_state = 29, .external_lex_state = 4},
  [2941] = {.lex_state = 29, .external_lex_state = 4},
  [2942] = {.lex_state = 29, .external_lex_state = 4},
  [2943] = {.lex_state = 29, .external_lex_state = 4},
  [2944] = {.lex_state = 29, .external_lex_state = 4},
  [2945] = {.lex_state = 29, .external_lex_state = 3},
  [2946] = {.lex_state = 39, .external_lex_state = 2},
  [2947] = {.lex_state = 29, .external_lex_state = 4},
  [2948] = {.lex_state = 29, .external_lex_state = 4},
  [2949] = {.lex_state = 29, .external_lex_state = 4},
  [2950] = {.lex_state = 29, .external_lex_state = 4},
  [2951] = {.lex_state = 29, .external_lex_state = 4},
  [2952] = {.lex_state = 29, .external_lex_state = 4},
  [2953] = {.lex_state = 29, .external_lex_state = 4},
  [2954] = {.lex_state = 29, .external_lex_state = 4},
  [2955] = {.lex_state = 29, .external_lex_state = 4},
  [2956] = {.lex_state = 29, .external_lex_state = 4},
  [2957] = {.lex_state = 29, .external_lex_state = 4},
  [2958] = {.lex_state = 29, .external_lex_state = 4},
  [2959] = {.lex_state = 29, .external_lex_state = 4},
  [2960] = {.lex_state = 29, .external_lex_state = 4},
  [2961] = {.lex_state = 29, .external_lex_state = 4},
  [2962] = {.lex_state = 29, .external_lex_state = 4},
  [2963] = {.lex_state = 39, .external_lex_state = 5},
  [2964] = {.lex_state = 29, .external_lex_state = 4},
  [2965] = {.lex_state = 29, .external_lex_state = 4},
  [2966] = {.lex_state = 29, .external_lex_state = 4},
  [2967] = {.lex_state = 29, .external_lex_state = 4},
  [2968] = {.lex_state = 29, .external_lex_state = 4},
  [2969] = {.lex_state = 38, .external_lex_state = 5},
  [2970] = {.lex_state = 29, .external_lex_state = 4},
  [2971] = {.lex_state = 29, .external_lex_state = 4},
  [2972] = {.lex_state = 29, .external_lex_state = 4},
  [2973] = {.lex_state = 38, .external_lex_state = 5},
  [2974] = {.lex_state = 29, .external_lex_state = 3},
  [2975] = {.lex_state = 29, .external_lex_state = 3},
  [2976] = {.lex_state = 38, .external_lex_state = 5},
  [2977] = {.lex_state = 39, .external_lex_state = 2},
  [2978] = {.lex_state = 29, .external_lex_state = 4},
  [2979] = {.lex_state = 29, .external_lex_state = 4},
  [2980] = {.lex_state = 29, .external_lex_state = 4},
  [2981] = {.lex_state = 29, .external_lex_state = 4},
  [2982] = {.lex_state = 29, .external_lex_state = 4},
  [2983] = {.lex_state = 29, .external_lex_state = 4},
  [2984] = {.lex_state = 39, .external_lex_state = 5},
  [2985] = {.lex_state = 38, .external_lex_state = 5},
  [2986] = {.lex_state = 29, .external_lex_state = 4},
  [2987] = {.lex_state = 29, .external_lex_state = 3},
  [2988] = {.lex_state = 29, .external_lex_state = 4},
  [2989] = {.lex_state = 29, .external_lex_state = 4},
  [2990] = {.lex_state = 29, .external_lex_state = 4},
  [2991] = {.lex_state = 29, .external_lex_state = 4},
  [2992] = {.lex_state = 29, .external_lex_state = 4},
  [2993] = {.lex_state = 29, .external_lex_state = 4},
  [2994] = {.lex_state = 29, .external_lex_state = 4},
  [2995] = {.lex_state = 29, .external_lex_state = 4},
  [2996] = {.lex_state = 39, .external_lex_state = 5},
  [2997] = {.lex_state = 29, .external_lex_state = 3},
  [2998] = {.lex_state = 29, .external_lex_state = 3},
  [2999] = {.lex_state = 38, .external_lex_state = 5},
  [3000] = {.lex_state = 29, .external_lex_state = 4},
  [3001] = {.lex_state = 29, .external_lex_state = 4},
  [3002] = {.lex_state = 29, .external_lex_state = 4},
  [3003] = {.lex_state = 29, .external_lex_state = 4},
  [3004] = {.lex_state = 29, .external_lex_state = 4},
  [3005] = {.lex_state = 29, .external_lex_state = 4},
  [3006] = {.lex_state = 29, .external_lex_state = 4},
  [3007] = {.lex_state = 29, .external_lex_state = 4},
  [3008] = {.lex_state = 29, .external_lex_state = 4},
  [3009] = {.lex_state = 29, .external_lex_state = 4},
  [3010] = {.lex_state = 29, .external_lex_state = 4},
  [3011] = {.lex_state = 29, .external_lex_state = 4},
  [3012] = {.lex_state = 29, .external_lex_state = 4},
  [3013] = {.lex_state = 29, .external_lex_state = 4},
  [3014] = {.lex_state = 29, .external_lex_state = 4},
  [3015] = {.lex_state = 39, .external_lex_state = 2},
  [3016] = {.lex_state = 29, .external_lex_state = 4},
  [3017] = {.lex_state = 29, .external_lex_state = 3},
  [3018] = {.lex_state = 29, .external_lex_state = 4},
  [3019] = {.lex_state = 29, .external_lex_state = 4},
  [3020] = {.lex_state = 29, .external_lex_state = 3},
  [3021] = {.lex_state = 29, .external_lex_state = 4},
  [3022] = {.lex_state = 29, .external_lex_state = 4},
  [3023] = {.lex_state = 29, .external_lex_state = 4},
  [3024] = {.lex_state = 29, .external_lex_state = 4},
  [3025] = {.lex_state = 39, .external_lex_state = 5},
  [3026] = {.lex_state = 39, .external_lex_state = 5},
  [3027] = {.lex_state = 29, .external_lex_state = 4},
  [3028] = {.lex_state = 29, .external_lex_state = 4},
  [3029] = {.lex_state = 29, .external_lex_state = 4},
  [3030] = {.lex_state = 39, .external_lex_state = 5},
  [3031] = {.lex_state = 39, .external_lex_state = 2},
  [3032] = {.lex_state = 39, .external_lex_state = 5},
  [3033] = {.lex_state = 29, .external_lex_state = 4},
  [3034] = {.lex_state = 39, .external_lex_state = 2},
  [3035] = {.lex_state = 29, .external_lex_state = 3},
  [3036] = {.lex_state = 29, .external_lex_state = 3},
  [3037] = {.lex_state = 29, .external_lex_state = 3},
  [3038] = {.lex_state = 29, .external_lex_state = 4},
  [3039] = {.lex_state = 39, .external_lex_state = 5},
  [3040] = {.lex_state = 29, .external_lex_state = 3},
  [3041] = {.lex_state = 39, .external_lex_state = 5},
  [3042] = {.lex_state = 29, .external_lex_state = 3},
  [3043] = {.lex_state = 39, .external_lex_state = 5},
  [3044] = {.lex_state = 29, .external_lex_state = 4},
  [3045] = {.lex_state = 39, .external_lex_state = 5},
  [3046] = {.lex_state = 29, .external_lex_state = 4},
  [3047] = {.lex_state = 39, .external_lex_state = 2},
  [3048] = {.lex_state = 39, .external_lex_state = 2},
  [3049] = {.lex_state = 29, .external_lex_state = 4},
  [3050] = {.lex_state = 29, .external_lex_state = 4},
  [3051] = {.lex_state = 29, .external_lex_state = 4},
  [3052] = {.lex_state = 29, .external_lex_state = 4},
  [3053] = {.lex_state = 39, .external_lex_state = 5},
  [3054] = {.lex_state = 29, .external_lex_state = 4},
  [3055] = {.lex_state = 29, .external_lex_state = 4},
  [3056] = {.lex_state = 39, .external_lex_state = 5},
  [3057] = {.lex_state = 29, .external_lex_state = 4},
  [3058] = {.lex_state = 39, .external_lex_state = 5},
  [3059] = {.lex_state = 29, .external_lex_state = 4},
  [3060] = {.lex_state = 29, .external_lex_state = 4},
  [3061] = {.lex_state = 39, .external_lex_state = 5},
  [3062] = {.lex_state = 39, .external_lex_state = 5},
  [3063] = {.lex_state = 39, .external_lex_state = 2},
  [3064] = {.lex_state = 39, .external_lex_state = 5},
  [3065] = {.lex_state = 29, .external_lex_state = 3},
  [3066] = {.lex_state = 39, .external_lex_state = 2},
  [3067] = {.lex_state = 29, .external_lex_state = 4},
  [3068] = {.lex_state = 29, .external_lex_state = 3},
  [3069] = {.lex_state = 29, .external_lex_state = 3},
  [3070] = {.lex_state = 29, .external_lex_state = 3},
  [3071] = {.lex_state = 29, .external_lex_state = 3},
  [3072] = {.lex_state = 29, .external_lex_state = 3},
  [3073] = {.lex_state = 29, .external_lex_state = 4},
  [3074] = {.lex_state = 29, .external_lex_state = 3},
  [3075] = {.lex_state = 29, .external_lex_state = 3},
  [3076] = {.lex_state = 29, .external_lex_state = 3},
  [3077] = {.lex_state = 29, .external_lex_state = 4},
  [3078] = {.lex_state = 39, .external_lex_state = 5},
  [3079] = {.lex_state = 29, .external_lex_state = 3},
  [3080] = {.lex_state = 39, .external_lex_state = 5},
  [3081] = {.lex_state = 29, .external_lex_state = 4},
  [3082] = {.lex_state = 39, .external_lex_state = 2},
  [3083] = {.lex_state = 39, .external_lex_state = 2},
  [3084] = {.lex_state = 29, .external_lex_state = 4},
  [3085] = {.lex_state = 29, .external_lex_state = 4},
  [3086] = {.lex_state = 29, .external_lex_state = 4},
  [3087] = {.lex_state = 29, .external_lex_state = 3},
  [3088] = {.lex_state = 29, .external_lex_state = 3},
  [3089] = {.lex_state = 29, .external_lex_state = 3},
  [3090] = {.lex_state = 29, .external_lex_state = 4},
  [3091] = {.lex_state = 39, .external_lex_state = 5},
  [3092] = {.lex_state = 29, .external_lex_state = 3},
  [3093] = {.lex_state = 29, .external_lex_state = 3},
  [3094] = {.lex_state = 29, .external_lex_state = 3},
  [3095] = {.lex_state = 29, .external_lex_state = 4},
  [3096] = {.lex_state = 29, .external_lex_state = 3},
  [3097] = {.lex_state = 29, .external_lex_state = 3},
  [3098] = {.lex_state = 29, .external_lex_state = 3},
  [3099] = {.lex_state = 29, .external_lex_state = 4},
  [3100] = {.lex_state = 29, .external_lex_state = 3},
  [3101] = {.lex_state = 39, .external_lex_state = 5},
  [3102] = {.lex_state = 39, .external_lex_state = 5},
  [3103] = {.lex_state = 39, .external_lex_state = 5},
  [3104] = {.lex_state = 29, .external_lex_state = 3},
  [3105] = {.lex_state = 29, .external_lex_state = 3},
  [3106] = {.lex_state = 29, .external_lex_state = 3},
  [3107] = {.lex_state = 29, .external_lex_state = 3},
  [3108] = {.lex_state = 29, .external_lex_state = 4},
  [3109] = {.lex_state = 29, .external_lex_state = 3},
  [3110] = {.lex_state = 29, .external_lex_state = 3},
  [3111] = {.lex_state = 29, .external_lex_state = 3},
  [3112] = {.lex_state = 29, .external_lex_state = 3},
  [3113] = {.lex_state = 29, .external_lex_state = 3},
  [3114] = {.lex_state = 29, .external_lex_state = 4},
  [3115] = {.lex_state = 29, .external_lex_state = 3},
  [3116] = {.lex_state = 29, .external_lex_state = 4},
  [3117] = {.lex_state = 29, .external_lex_state = 4},
  [3118] = {.lex_state = 29, .external_lex_state = 3},
  [3119] = {.lex_state = 29, .external_lex_state = 3},
  [3120] = {.lex_state = 29, .external_lex_state = 3},
  [3121] = {.lex_state = 29, .external_lex_state = 3},
  [3122] = {.lex_state = 29, .external_lex_state = 3},
  [3123] = {.lex_state = 29, .external_lex_state = 4},
  [3124] = {.lex_state = 29, .external_lex_state = 4},
  [3125] = {.lex_state = 29, .external_lex_state = 3},
  [3126] = {.lex_state = 39, .external_lex_state = 2},
  [3127] = {.lex_state = 39, .external_lex_state = 2},
  [3128] = {.lex_state = 29, .external_lex_state = 3},
  [3129] = {.lex_state = 29, .external_lex_state = 4},
  [3130] = {.lex_state = 39, .external_lex_state = 5},
  [3131] = {.lex_state = 29, .external_lex_state = 3},
  [3132] = {.lex_state = 29, .external_lex_state = 3},
  [3133] = {.lex_state = 29, .external_lex_state = 4},
  [3134] = {.lex_state = 29, .external_lex_state = 3},
  [3135] = {.lex_state = 29, .external_lex_state = 4},
  [3136] = {.lex_state = 29, .external_lex_state = 3},
  [3137] = {.lex_state = 29, .external_lex_state = 3},
  [3138] = {.lex_state = 29, .external_lex_state = 3},
  [3139] = {.lex_state = 29, .external_lex_state = 4},
  [3140] = {.lex_state = 39, .external_lex_state = 5},
  [3141] = {.lex_state = 39, .external_lex_state = 2},
  [3142] = {.lex_state = 39, .external_lex_state = 2},
  [3143] = {.lex_state = 39, .external_lex_state = 2},
  [3144] = {.lex_state = 29, .external_lex_state = 4},
  [3145] = {.lex_state = 39, .external_lex_state = 2},
  [3146] = {.lex_state = 29, .external_lex_state = 4},
  [3147] = {.lex_state = 29, .external_lex_state = 4},
  [3148] = {.lex_state = 39, .external_lex_state = 5},
  [3149] = {.lex_state = 29, .external_lex_state = 4},
  [3150] = {.lex_state = 29, .external_lex_state = 3},
  [3151] = {.lex_state = 29, .external_lex_state = 3},
  [3152] = {.lex_state = 39, .external_lex_state = 2},
  [3153] = {.lex_state = 29, .external_lex_state = 3},
  [3154] = {.lex_state = 29, .external_lex_state = 4},
  [3155] = {.lex_state = 29, .external_lex_state = 4},
  [3156] = {.lex_state = 29, .external_lex_state = 4},
  [3157] = {.lex_state = 29, .external_lex_state = 3},
  [3158] = {.lex_state = 29, .external_lex_state = 4},
  [3159] = {.lex_state = 39, .external_lex_state = 5},
  [3160] = {.lex_state = 29, .external_lex_state = 3},
  [3161] = {.lex_state = 39, .external_lex_state = 5},
  [3162] = {.lex_state = 30, .external_lex_state = 4},
  [3163] = {.lex_state = 29, .external_lex_state = 4},
  [3164] = {.lex_state = 29, .external_lex_state = 3},
  [3165] = {.lex_state = 29, .external_lex_state = 3},
  [3166] = {.lex_state = 29, .external_lex_state = 4},
  [3167] = {.lex_state = 39, .external_lex_state = 5},
  [3168] = {.lex_state = 29, .external_lex_state = 3},
  [3169] = {.lex_state = 29, .external_lex_state = 4},
  [3170] = {.lex_state = 29, .external_lex_state = 4},
  [3171] = {.lex_state = 29, .external_lex_state = 4},
  [3172] = {.lex_state = 29, .external_lex_state = 4},
  [3173] = {.lex_state = 29, .external_lex_state = 4},
  [3174] = {.lex_state = 29, .external_lex_state = 4},
  [3175] = {.lex_state = 29, .external_lex_state = 3},
  [3176] = {.lex_state = 29, .external_lex_state = 3},
  [3177] = {.lex_state = 29, .external_lex_state = 3},
  [3178] = {.lex_state = 29, .external_lex_state = 4},
  [3179] = {.lex_state = 29, .external_lex_state = 3},
  [3180] = {.lex_state = 29, .external_lex_state = 4},
  [3181] = {.lex_state = 29, .external_lex_state = 4},
  [3182] = {.lex_state = 29, .external_lex_state = 3},
  [3183] = {.lex_state = 29, .external_lex_state = 3},
  [3184] = {.lex_state = 29, .external_lex_state = 3},
  [3185] = {.lex_state = 29, .external_lex_state = 3},
  [3186] = {.lex_state = 29, .external_lex_state = 4},
  [3187] = {.lex_state = 29, .external_lex_state = 4},
  [3188] = {.lex_state = 39, .external_lex_state = 5},
  [3189] = {.lex_state = 29, .external_lex_state = 4},
  [3190] = {.lex_state = 29, .external_lex_state = 4},
  [3191] = {.lex_state = 29, .external_lex_state = 4},
  [3192] = {.lex_state = 29, .external_lex_state = 4},
  [3193] = {.lex_state = 29, .external_lex_state = 3},
  [3194] = {.lex_state = 29, .external_lex_state = 4},
  [3195] = {.lex_state = 29, .external_lex_state = 4},
  [3196] = {.lex_state = 29, .external_lex_state = 3},
  [3197] = {.lex_state = 29, .external_lex_state = 4},
  [3198] = {.lex_state = 29, .external_lex_state = 4},
  [3199] = {.lex_state = 29, .external_lex_state = 3},
  [3200] = {.lex_state = 29, .external_lex_state = 3},
  [3201] = {.lex_state = 29, .external_lex_state = 3},
  [3202] = {.lex_state = 29, .external_lex_state = 4},
  [3203] = {.lex_state = 29, .external_lex_state = 3},
  [3204] = {.lex_state = 29, .external_lex_state = 4},
  [3205] = {.lex_state = 29, .external_lex_state = 4},
  [3206] = {.lex_state = 29, .external_lex_state = 4},
  [3207] = {.lex_state = 29, .external_lex_state = 3},
  [3208] = {.lex_state = 29, .external_lex_state = 3},
  [3209] = {.lex_state = 29, .external_lex_state = 4},
  [3210] = {.lex_state = 29, .external_lex_state = 4},
  [3211] = {.lex_state = 29, .external_lex_state = 4},
  [3212] = {.lex_state = 29, .external_lex_state = 4},
  [3213] = {.lex_state = 29, .external_lex_state = 3},
  [3214] = {.lex_state = 39, .external_lex_state = 5},
  [3215] = {.lex_state = 39, .external_lex_state = 5},
  [3216] = {.lex_state = 29, .external_lex_state = 3},
  [3217] = {.lex_state = 29, .external_lex_state = 4},
  [3218] = {.lex_state = 29, .external_lex_state = 3},
  [3219] = {.lex_state = 29, .external_lex_state = 3},
  [3220] = {.lex_state = 29, .external_lex_state = 3},
  [3221] = {.lex_state = 29, .external_lex_state = 4},
  [3222] = {.lex_state = 39, .external_lex_state = 5},
  [3223] = {.lex_state = 39, .external_lex_state = 5},
  [3224] = {.lex_state = 39, .external_lex_state = 5},
  [3225] = {.lex_state = 29, .external_lex_state = 3},
  [3226] = {.lex_state = 29, .external_lex_state = 3},
  [3227] = {.lex_state = 29, .external_lex_state = 4},
  [3228] = {.lex_state = 39, .external_lex_state = 5},
  [3229] = {.lex_state = 29, .external_lex_state = 4},
  [3230] = {.lex_state = 29, .external_lex_state = 4},
  [3231] = {.lex_state = 29, .external_lex_state = 3},
  [3232] = {.lex_state = 29, .external_lex_state = 4},
  [3233] = {.lex_state = 29, .external_lex_state = 3},
  [3234] = {.lex_state = 29, .external_lex_state = 3},
  [3235] = {.lex_state = 29, .external_lex_state = 3},
  [3236] = {.lex_state = 29, .external_lex_state = 4},
  [3237] = {.lex_state = 39, .external_lex_state = 5},
  [3238] = {.lex_state = 39, .external_lex_state = 5},
  [3239] = {.lex_state = 29, .external_lex_state = 3},
  [3240] = {.lex_state = 29, .external_lex_state = 3},
  [3241] = {.lex_state = 39, .external_lex_state = 5},
  [3242] = {.lex_state = 39, .external_lex_state = 5},
  [3243] = {.lex_state = 29, .external_lex_state = 4},
  [3244] = {.lex_state = 29, .external_lex_state = 3},
  [3245] = {.lex_state = 29, .external_lex_state = 3},
  [3246] = {.lex_state = 29, .external_lex_state = 4},
  [3247] = {.lex_state = 29, .external_lex_state = 3},
  [3248] = {.lex_state = 29, .external_lex_state = 3},
  [3249] = {.lex_state = 39, .external_lex_state = 5},
  [3250] = {.lex_state = 29, .external_lex_state = 4},
  [3251] = {.lex_state = 39, .external_lex_state = 5},
  [3252] = {.lex_state = 29, .external_lex_state = 4},
  [3253] = {.lex_state = 29, .external_lex_state = 4},
  [3254] = {.lex_state = 39, .external_lex_state = 5},
  [3255] = {.lex_state = 29, .external_lex_state = 3},
  [3256] = {.lex_state = 29, .external_lex_state = 3},
  [3257] = {.lex_state = 39, .external_lex_state = 5},
  [3258] = {.lex_state = 39, .external_lex_state = 5},
  [3259] = {.lex_state = 29, .external_lex_state = 4},
  [3260] = {.lex_state = 29, .external_lex_state = 4},
  [3261] = {.lex_state = 29, .external_lex_state = 3},
  [3262] = {.lex_state = 29, .external_lex_state = 3},
  [3263] = {.lex_state = 29, .external_lex_state = 4},
  [3264] = {.lex_state = 29, .external_lex_state = 4},
  [3265] = {.lex_state = 29, .external_lex_state = 4},
  [3266] = {.lex_state = 29, .external_lex_state = 4},
  [3267] = {.lex_state = 29, .external_lex_state = 4},
  [3268] = {.lex_state = 29, .external_lex_state = 4},
  [3269] = {.lex_state = 39, .external_lex_state = 5},
  [3270] = {.lex_state = 29, .external_lex_state = 4},
  [3271] = {.lex_state = 39, .external_lex_state = 5},
  [3272] = {.lex_state = 29, .external_lex_state = 4},
  [3273] = {.lex_state = 29, .external_lex_state = 4},
  [3274] = {.lex_state = 29, .external_lex_state = 4},
  [3275] = {.lex_state = 29, .external_lex_state = 4},
  [3276] = {.lex_state = 29, .external_lex_state = 4},
  [3277] = {.lex_state = 29, .external_lex_state = 3},
  [3278] = {.lex_state = 29, .external_lex_state = 3},
  [3279] = {.lex_state = 29, .external_lex_state = 3},
  [3280] = {.lex_state = 29, .external_lex_state = 4},
  [3281] = {.lex_state = 39, .external_lex_state = 5},
  [3282] = {.lex_state = 39, .external_lex_state = 5},
  [3283] = {.lex_state = 29, .external_lex_state = 4},
  [3284] = {.lex_state = 29, .external_lex_state = 4},
  [3285] = {.lex_state = 29, .external_lex_state = 4},
  [3286] = {.lex_state = 39, .external_lex_state = 5},
  [3287] = {.lex_state = 29, .external_lex_state = 4},
  [3288] = {.lex_state = 29, .external_lex_state = 3},
  [3289] = {.lex_state = 29, .external_lex_state = 4},
  [3290] = {.lex_state = 27, .external_lex_state = 4},
  [3291] = {.lex_state = 39, .external_lex_state = 5},
  [3292] = {.lex_state = 29, .external_lex_state = 4},
  [3293] = {.lex_state = 29, .external_lex_state = 4},
  [3294] = {.lex_state = 29, .external_lex_state = 3},
  [3295] = {.lex_state = 29, .external_lex_state = 3},
  [3296] = {.lex_state = 29, .external_lex_state = 3},
  [3297] = {.lex_state = 29, .external_lex_state = 3},
  [3298] = {.lex_state = 39, .external_lex_state = 5},
  [3299] = {.lex_state = 29, .external_lex_state = 3},
  [3300] = {.lex_state = 29, .external_lex_state = 3},
  [3301] = {.lex_state = 39, .external_lex_state = 5},
  [3302] = {.lex_state = 29, .external_lex_state = 3},
  [3303] = {.lex_state = 39, .external_lex_state = 5},
  [3304] = {.lex_state = 29, .external_lex_state = 3},
  [3305] = {.lex_state = 29, .external_lex_state = 3},
  [3306] = {.lex_state = 39, .external_lex_state = 5},
  [3307] = {.lex_state = 39, .external_lex_state = 5},
  [3308] = {.lex_state = 29, .external_lex_state = 3},
  [3309] = {.lex_state = 29, .external_lex_state = 3},
  [3310] = {.lex_state = 29, .external_lex_state = 3},
  [3311] = {.lex_state = 39, .external_lex_state = 2},
  [3312] = {.lex_state = 39, .external_lex_state = 5},
  [3313] = {.lex_state = 39, .external_lex_state = 2},
  [3314] = {.lex_state = 39, .external_lex_state = 5},
  [3315] = {.lex_state = 39, .external_lex_state = 5},
  [3316] = {.lex_state = 29, .external_lex_state = 4},
  [3317] = {.lex_state = 29, .external_lex_state = 3},
  [3318] = {.lex_state = 39, .external_lex_state = 5},
  [3319] = {.lex_state = 29, .external_lex_state = 4},
  [3320] = {.lex_state = 39, .external_lex_state = 2},
  [3321] = {.lex_state = 39, .external_lex_state = 5},
  [3322] = {.lex_state = 39, .external_lex_state = 5},
  [3323] = {.lex_state = 29, .external_lex_state = 3},
  [3324] = {.lex_state = 29, .external_lex_state = 4},
  [3325] = {.lex_state = 39, .external_lex_state = 5},
  [3326] = {.lex_state = 29, .external_lex_state = 3},
  [3327] = {.lex_state = 32, .external_lex_state = 3},
  [3328] = {.lex_state = 39, .external_lex_state = 5},
  [3329] = {.lex_state = 39, .external_lex_state = 2},
  [3330] = {.lex_state = 29, .external_lex_state = 3},
  [3331] = {.lex_state = 39, .external_lex_state = 2},
  [3332] = {.lex_state = 39, .external_lex_state = 5},
  [3333] = {.lex_state = 39, .external_lex_state = 5},
  [3334] = {.lex_state = 29, .external_lex_state = 3},
  [3335] = {.lex_state = 29, .external_lex_state = 3},
  [3336] = {.lex_state = 29, .external_lex_state = 3},
  [3337] = {.lex_state = 29, .external_lex_state = 3},
  [3338] = {.lex_state = 29, .external_lex_state = 3},
  [3339] = {.lex_state = 39, .external_lex_state = 2},
  [3340] = {.lex_state = 29, .external_lex_state = 3},
  [3341] = {.lex_state = 29, .external_lex_state = 3},
  [3342] = {.lex_state = 39, .external_lex_state = 2},
  [3343] = {.lex_state = 29, .external_lex_state = 3},
  [3344] = {.lex_state = 39, .external_lex_state = 5},
  [3345] = {.lex_state = 29, .external_lex_state = 3},
  [3346] = {.lex_state = 39, .external_lex_state = 5},
  [3347] = {.lex_state = 39, .external_lex_state = 2},
  [3348] = {.lex_state = 39, .external_lex_state = 5},
  [3349] = {.lex_state = 39, .external_lex_state = 2},
  [3350] = {.lex_state = 29, .external_lex_state = 3},
  [3351] = {.lex_state = 39, .external_lex_state = 5},
  [3352] = {.lex_state = 39, .external_lex_state = 5},
  [3353] = {.lex_state = 29, .external_lex_state = 3},
  [3354] = {.lex_state = 29, .external_lex_state = 3},
  [3355] = {.lex_state = 29, .external_lex_state = 3},
  [3356] = {.lex_state = 29, .external_lex_state = 3},
  [3357] = {.lex_state = 39, .external_lex_state = 5},
  [3358] = {.lex_state = 29, .external_lex_state = 3},
  [3359] = {.lex_state = 39, .external_lex_state = 5},
  [3360] = {.lex_state = 29, .external_lex_state = 3},
  [3361] = {.lex_state = 29, .external_lex_state = 3},
  [3362] = {.lex_state = 29, .external_lex_state = 3},
  [3363] = {.lex_state = 29, .external_lex_state = 3},
  [3364] = {.lex_state = 29, .external_lex_state = 3},
  [3365] = {.lex_state = 29, .external_lex_state = 3},
  [3366] = {.lex_state = 29, .external_lex_state = 3},
  [3367] = {.lex_state = 39, .external_lex_state = 5},
  [3368] = {.lex_state = 39, .external_lex_state = 5},
  [3369] = {.lex_state = 29, .external_lex_state = 3},
  [3370] = {.lex_state = 29, .external_lex_state = 3},
  [3371] = {.lex_state = 29, .external_lex_state = 3},
  [3372] = {.lex_state = 29, .external_lex_state = 4},
  [3373] = {.lex_state = 29, .external_lex_state = 3},
  [3374] = {.lex_state = 39, .external_lex_state = 5},
  [3375] = {.lex_state = 38, .external_lex_state = 5},
  [3376] = {.lex_state = 39, .external_lex_state = 2},
  [3377] = {.lex_state = 29, .external_lex_state = 3},
  [3378] = {.lex_state = 29, .external_lex_state = 3},
  [3379] = {.lex_state = 29, .external_lex_state = 3},
  [3380] = {.lex_state = 29, .external_lex_state = 3},
  [3381] = {.lex_state = 29, .external_lex_state = 4},
  [3382] = {.lex_state = 29, .external_lex_state = 3},
  [3383] = {.lex_state = 29, .external_lex_state = 3},
  [3384] = {.lex_state = 29, .external_lex_state = 3},
  [3385] = {.lex_state = 29, .external_lex_state = 3},
  [3386] = {.lex_state = 29, .external_lex_state = 3},
  [3387] = {.lex_state = 29, .external_lex_state = 3},
  [3388] = {.lex_state = 29, .external_lex_state = 3},
  [3389] = {.lex_state = 39, .external_lex_state = 5},
  [3390] = {.lex_state = 38, .external_lex_state = 5},
  [3391] = {.lex_state = 29, .external_lex_state = 3},
  [3392] = {.lex_state = 29, .external_lex_state = 3},
  [3393] = {.lex_state = 29, .external_lex_state = 3},
  [3394] = {.lex_state = 29, .external_lex_state = 3},
  [3395] = {.lex_state = 29, .external_lex_state = 3},
  [3396] = {.lex_state = 38, .external_lex_state = 5},
  [3397] = {.lex_state = 39, .external_lex_state = 5},
  [3398] = {.lex_state = 39, .external_lex_state = 5},
  [3399] = {.lex_state = 39, .external_lex_state = 2},
  [3400] = {.lex_state = 38, .external_lex_state = 5},
  [3401] = {.lex_state = 38, .external_lex_state = 2},
  [3402] = {.lex_state = 39, .external_lex_state = 5},
  [3403] = {.lex_state = 38, .external_lex_state = 5},
  [3404] = {.lex_state = 38, .external_lex_state = 5},
  [3405] = {.lex_state = 39, .external_lex_state = 5},
  [3406] = {.lex_state = 39, .external_lex_state = 5},
  [3407] = {.lex_state = 29, .external_lex_state = 4},
  [3408] = {.lex_state = 29, .external_lex_state = 3},
  [3409] = {.lex_state = 29, .external_lex_state = 3},
  [3410] = {.lex_state = 39, .external_lex_state = 2},
  [3411] = {.lex_state = 29, .external_lex_state = 3},
  [3412] = {.lex_state = 39, .external_lex_state = 5},
  [3413] = {.lex_state = 39, .external_lex_state = 5},
  [3414] = {.lex_state = 39, .external_lex_state = 5},
  [3415] = {.lex_state = 39, .external_lex_state = 2},
  [3416] = {.lex_state = 29, .external_lex_state = 3},
  [3417] = {.lex_state = 29, .external_lex_state = 3},
  [3418] = {.lex_state = 29, .external_lex_state = 3},
  [3419] = {.lex_state = 39, .external_lex_state = 5},
  [3420] = {.lex_state = 39, .external_lex_state = 5},
  [3421] = {.lex_state = 30, .external_lex_state = 3},
  [3422] = {.lex_state = 39, .external_lex_state = 5},
  [3423] = {.lex_state = 39, .external_lex_state = 2},
  [3424] = {.lex_state = 39, .external_lex_state = 5},
  [3425] = {.lex_state = 39, .external_lex_state = 5},
  [3426] = {.lex_state = 39, .external_lex_state = 2},
  [3427] = {.lex_state = 39, .external_lex_state = 2},
  [3428] = {.lex_state = 39, .external_lex_state = 5},
  [3429] = {.lex_state = 29, .external_lex_state = 3},
  [3430] = {.lex_state = 39, .external_lex_state = 5},
  [3431] = {.lex_state = 39, .external_lex_state = 2},
  [3432] = {.lex_state = 39, .external_lex_state = 2},
  [3433] = {.lex_state = 29, .external_lex_state = 3},
  [3434] = {.lex_state = 39, .external_lex_state = 5},
  [3435] = {.lex_state = 39, .external_lex_state = 2},
  [3436] = {.lex_state = 39, .external_lex_state = 2},
  [3437] = {.lex_state = 29, .external_lex_state = 3},
  [3438] = {.lex_state = 39, .external_lex_state = 2},
  [3439] = {.lex_state = 39, .external_lex_state = 5},
  [3440] = {.lex_state = 39, .external_lex_state = 5},
  [3441] = {.lex_state = 39, .external_lex_state = 5},
  [3442] = {.lex_state = 39, .external_lex_state = 2},
  [3443] = {.lex_state = 39, .external_lex_state = 2},
  [3444] = {.lex_state = 29, .external_lex_state = 3},
  [3445] = {.lex_state = 39, .external_lex_state = 2},
  [3446] = {.lex_state = 39, .external_lex_state = 2},
  [3447] = {.lex_state = 39, .external_lex_state = 2},
  [3448] = {.lex_state = 39, .external_lex_state = 2},
  [3449] = {.lex_state = 39, .external_lex_state = 5},
  [3450] = {.lex_state = 39, .external_lex_state = 5},
  [3451] = {.lex_state = 39, .external_lex_state = 5},
  [3452] = {.lex_state = 39, .external_lex_state = 2},
  [3453] = {.lex_state = 39, .external_lex_state = 2},
  [3454] = {.lex_state = 29, .external_lex_state = 3},
  [3455] = {.lex_state = 29, .external_lex_state = 3},
  [3456] = {.lex_state = 29, .external_lex_state = 3},
  [3457] = {.lex_state = 39, .external_lex_state = 2},
  [3458] = {.lex_state = 29, .external_lex_state = 3},
  [3459] = {.lex_state = 29, .external_lex_state = 3},
  [3460] = {.lex_state = 29, .external_lex_state = 3},
  [3461] = {.lex_state = 29, .external_lex_state = 3},
  [3462] = {.lex_state = 29, .external_lex_state = 3},
  [3463] = {.lex_state = 29, .external_lex_state = 3},
  [3464] = {.lex_state = 38, .external_lex_state = 5},
  [3465] = {.lex_state = 38, .external_lex_state = 5},
  [3466] = {.lex_state = 38, .external_lex_state = 5},
  [3467] = {.lex_state = 38, .external_lex_state = 5},
  [3468] = {.lex_state = 38, .external_lex_state = 5},
  [3469] = {.lex_state = 38, .external_lex_state = 5},
  [3470] = {.lex_state = 38, .external_lex_state = 5},
  [3471] = {.lex_state = 38, .external_lex_state = 5},
  [3472] = {.lex_state = 38, .external_lex_state = 5},
  [3473] = {.lex_state = 38, .external_lex_state = 5},
  [3474] = {.lex_state = 38, .external_lex_state = 5},
  [3475] = {.lex_state = 38, .external_lex_state = 5},
  [3476] = {.lex_state = 38, .external_lex_state = 5},
  [3477] = {.lex_state = 38, .external_lex_state = 5},
  [3478] = {.lex_state = 38, .external_lex_state = 5},
  [3479] = {.lex_state = 38, .external_lex_state = 5},
  [3480] = {.lex_state = 38, .external_lex_state = 5},
  [3481] = {.lex_state = 38, .external_lex_state = 5},
  [3482] = {.lex_state = 38, .external_lex_state = 5},
  [3483] = {.lex_state = 39, .external_lex_state = 2},
  [3484] = {.lex_state = 38, .external_lex_state = 5},
  [3485] = {.lex_state = 38, .external_lex_state = 5},
  [3486] = {.lex_state = 38, .external_lex_state = 5},
  [3487] = {.lex_state = 38, .external_lex_state = 5},
  [3488] = {.lex_state = 38, .external_lex_state = 5},
  [3489] = {.lex_state = 38, .external_lex_state = 5},
  [3490] = {.lex_state = 38, .external_lex_state = 5},
  [3491] = {.lex_state = 39, .external_lex_state = 2},
  [3492] = {.lex_state = 38, .external_lex_state = 5},
  [3493] = {.lex_state = 38, .external_lex_state = 5},
  [3494] = {.lex_state = 38, .external_lex_state = 5},
  [3495] = {.lex_state = 38, .external_lex_state = 5},
  [3496] = {.lex_state = 38, .external_lex_state = 5},
  [3497] = {.lex_state = 38, .external_lex_state = 5},
  [3498] = {.lex_state = 38, .external_lex_state = 5},
  [3499] = {.lex_state = 38, .external_lex_state = 5},
  [3500] = {.lex_state = 38, .external_lex_state = 5},
  [3501] = {.lex_state = 38, .external_lex_state = 5},
  [3502] = {.lex_state = 38, .external_lex_state = 5},
  [3503] = {.lex_state = 38, .external_lex_state = 5},
  [3504] = {.lex_state = 38, .external_lex_state = 5},
  [3505] = {.lex_state = 39, .external_lex_state = 2},
  [3506] = {.lex_state = 38, .external_lex_state = 5},
  [3507] = {.lex_state = 38, .external_lex_state = 5},
  [3508] = {.lex_state = 38, .external_lex_state = 5},
  [3509] = {.lex_state = 38, .external_lex_state = 5},
  [3510] = {.lex_state = 38, .external_lex_state = 5},
  [3511] = {.lex_state = 38, .external_lex_state = 5},
  [3512] = {.lex_state = 38, .external_lex_state = 5},
  [3513] = {.lex_state = 38, .external_lex_state = 5},
  [3514] = {.lex_state = 38, .external_lex_state = 5},
  [3515] = {.lex_state = 38, .external_lex_state = 5},
  [3516] = {.lex_state = 38, .external_lex_state = 5},
  [3517] = {.lex_state = 38, .external_lex_state = 5},
  [3518] = {.lex_state = 38, .external_lex_state = 5},
  [3519] = {.lex_state = 38, .external_lex_state = 2},
  [3520] = {.lex_state = 39, .external_lex_state = 2},
  [3521] = {.lex_state = 39, .external_lex_state = 2},
  [3522] = {.lex_state = 38, .external_lex_state = 2},
  [3523] = {.lex_state = 38, .external_lex_state = 2},
  [3524] = {.lex_state = 38, .external_lex_state = 2},
  [3525] = {.lex_state = 39, .external_lex_state = 2},
  [3526] = {.lex_state = 39, .external_lex_state = 2},
  [3527] = {.lex_state = 38, .external_lex_state = 2},
  [3528] = {.lex_state = 39, .external_lex_state = 2},
  [3529] = {.lex_state = 39, .external_lex_state = 2},
  [3530] = {.lex_state = 39, .external_lex_state = 2},
  [3531] = {.lex_state = 39, .external_lex_state = 2},
  [3532] = {.lex_state = 39, .external_lex_state = 2},
  [3533] = {.lex_state = 39, .external_lex_state = 2},
  [3534] = {.lex_state = 38, .external_lex_state = 2},
  [3535] = {.lex_state = 38, .external_lex_state = 2},
  [3536] = {.lex_state = 39, .external_lex_state = 2},
  [3537] = {.lex_state = 39, .external_lex_state = 2},
  [3538] = {.lex_state = 39, .external_lex_state = 2},
  [3539] = {.lex_state = 39, .external_lex_state = 2},
  [3540] = {.lex_state = 39, .external_lex_state = 2},
  [3541] = {.lex_state = 38, .external_lex_state = 2},
  [3542] = {.lex_state = 39, .external_lex_state = 2},
  [3543] = {.lex_state = 39, .external_lex_state = 2},
  [3544] = {.lex_state = 39, .external_lex_state = 2},
  [3545] = {.lex_state = 39, .external_lex_state = 2},
  [3546] = {.lex_state = 39, .external_lex_state = 2},
  [3547] = {.lex_state = 38, .external_lex_state = 2},
  [3548] = {.lex_state = 39, .external_lex_state = 2},
  [3549] = {.lex_state = 39, .external_lex_state = 2},
  [3550] = {.lex_state = 39, .external_lex_state = 2},
  [3551] = {.lex_state = 39, .external_lex_state = 2},
  [3552] = {.lex_state = 39, .external_lex_state = 2},
  [3553] = {.lex_state = 39, .external_lex_state = 2},
  [3554] = {.lex_state = 39, .external_lex_state = 2},
  [3555] = {.lex_state = 39, .external_lex_state = 2},
  [3556] = {.lex_state = 39, .external_lex_state = 2},
  [3557] = {.lex_state = 39, .external_lex_state = 2},
  [3558] = {.lex_state = 39, .external_lex_state = 2},
  [3559] = {.lex_state = 39, .external_lex_state = 2},
  [3560] = {.lex_state = 39, .external_lex_state = 2},
  [3561] = {.lex_state = 39, .external_lex_state = 2},
  [3562] = {.lex_state = 39, .external_lex_state = 2},
  [3563] = {.lex_state = 38, .external_lex_state = 2},
  [3564] = {.lex_state = 39, .external_lex_state = 2},
  [3565] = {.lex_state = 39, .external_lex_state = 2},
  [3566] = {.lex_state = 39, .external_lex_state = 2},
  [3567] = {.lex_state = 351, .external_lex_state = 2},
  [3568] = {.lex_state = 39, .external_lex_state = 2},
  [3569] = {.lex_state = 351, .external_lex_state = 2},
  [3570] = {.lex_state = 38, .external_lex_state = 2},
  [3571] = {.lex_state = 39, .external_lex_state = 2},
  [3572] = {.lex_state = 351, .external_lex_state = 2},
  [3573] = {.lex_state = 39, .external_lex_state = 2},
  [3574] = {.lex_state = 39, .external_lex_state = 2},
  [3575] = {.lex_state = 39, .external_lex_state = 2},
  [3576] = {.lex_state = 39, .external_lex_state = 2},
  [3577] = {.lex_state = 39, .external_lex_state = 2},
  [3578] = {.lex_state = 39, .external_lex_state = 2},
  [3579] = {.lex_state = 39, .external_lex_state = 2},
  [3580] = {.lex_state = 39, .external_lex_state = 2},
  [3581] = {.lex_state = 39, .external_lex_state = 2},
  [3582] = {.lex_state = 351, .external_lex_state = 2},
  [3583] = {.lex_state = 351, .external_lex_state = 2},
  [3584] = {.lex_state = 39, .external_lex_state = 2},
  [3585] = {.lex_state = 39, .external_lex_state = 2},
  [3586] = {.lex_state = 39, .external_lex_state = 2},
  [3587] = {.lex_state = 39, .external_lex_state = 2},
  [3588] = {.lex_state = 39, .external_lex_state = 2},
  [3589] = {.lex_state = 39, .external_lex_state = 2},
  [3590] = {.lex_state = 39, .external_lex_state = 2},
  [3591] = {.lex_state = 38, .external_lex_state = 2},
  [3592] = {.lex_state = 39, .external_lex_state = 2},
  [3593] = {.lex_state = 351, .external_lex_state = 2},
  [3594] = {.lex_state = 39, .external_lex_state = 2},
  [3595] = {.lex_state = 39, .external_lex_state = 2},
  [3596] = {.lex_state = 39, .external_lex_state = 2},
  [3597] = {.lex_state = 351, .external_lex_state = 2},
  [3598] = {.lex_state = 39, .external_lex_state = 2},
  [3599] = {.lex_state = 39, .external_lex_state = 2},
  [3600] = {.lex_state = 39, .external_lex_state = 2},
  [3601] = {.lex_state = 39, .external_lex_state = 2},
  [3602] = {.lex_state = 351, .external_lex_state = 2},
  [3603] = {.lex_state = 39, .external_lex_state = 2},
  [3604] = {.lex_state = 39, .external_lex_state = 2},
  [3605] = {.lex_state = 39, .external_lex_state = 2},
  [3606] = {.lex_state = 351, .external_lex_state = 2},
  [3607] = {.lex_state = 39, .external_lex_state = 2},
  [3608] = {.lex_state = 39, .external_lex_state = 2},
  [3609] = {.lex_state = 351, .external_lex_state = 2},
  [3610] = {.lex_state = 38, .external_lex_state = 2},
  [3611] = {.lex_state = 39, .external_lex_state = 2},
  [3612] = {.lex_state = 39, .external_lex_state = 2},
  [3613] = {.lex_state = 39, .external_lex_state = 2},
  [3614] = {.lex_state = 38, .external_lex_state = 2},
  [3615] = {.lex_state = 351, .external_lex_state = 2},
  [3616] = {.lex_state = 351, .external_lex_state = 2},
  [3617] = {.lex_state = 39, .external_lex_state = 2},
  [3618] = {.lex_state = 39, .external_lex_state = 2},
  [3619] = {.lex_state = 39, .external_lex_state = 2},
  [3620] = {.lex_state = 39, .external_lex_state = 2},
  [3621] = {.lex_state = 39, .external_lex_state = 2},
  [3622] = {.lex_state = 39, .external_lex_state = 2},
  [3623] = {.lex_state = 39, .external_lex_state = 2},
  [3624] = {.lex_state = 39, .external_lex_state = 2},
  [3625] = {.lex_state = 39, .external_lex_state = 2},
  [3626] = {.lex_state = 39, .external_lex_state = 2},
  [3627] = {.lex_state = 39, .external_lex_state = 2},
  [3628] = {.lex_state = 39, .external_lex_state = 2},
  [3629] = {.lex_state = 39, .external_lex_state = 2},
  [3630] = {.lex_state = 39, .external_lex_state = 2},
  [3631] = {.lex_state = 39, .external_lex_state = 2},
  [3632] = {.lex_state = 39, .external_lex_state = 2},
  [3633] = {.lex_state = 39, .external_lex_state = 2},
  [3634] = {.lex_state = 39, .external_lex_state = 2},
  [3635] = {.lex_state = 39, .external_lex_state = 2},
  [3636] = {.lex_state = 39, .external_lex_state = 2},
  [3637] = {.lex_state = 39, .external_lex_state = 2},
  [3638] = {.lex_state = 39, .external_lex_state = 2},
  [3639] = {.lex_state = 39, .external_lex_state = 2},
  [3640] = {.lex_state = 39, .external_lex_state = 2},
  [3641] = {.lex_state = 39, .external_lex_state = 2},
  [3642] = {.lex_state = 39, .external_lex_state = 2},
  [3643] = {.lex_state = 39, .external_lex_state = 2},
  [3644] = {.lex_state = 39, .external_lex_state = 2},
  [3645] = {.lex_state = 38, .external_lex_state = 2},
  [3646] = {.lex_state = 39, .external_lex_state = 2},
  [3647] = {.lex_state = 39, .external_lex_state = 2},
  [3648] = {.lex_state = 39, .external_lex_state = 2},
  [3649] = {.lex_state = 39, .external_lex_state = 2},
  [3650] = {.lex_state = 39, .external_lex_state = 2},
  [3651] = {.lex_state = 39, .external_lex_state = 2},
  [3652] = {.lex_state = 39, .external_lex_state = 2},
  [3653] = {.lex_state = 39, .external_lex_state = 2},
  [3654] = {.lex_state = 39, .external_lex_state = 2},
  [3655] = {.lex_state = 38, .external_lex_state = 2},
  [3656] = {.lex_state = 39, .external_lex_state = 2},
  [3657] = {.lex_state = 39, .external_lex_state = 2},
  [3658] = {.lex_state = 39, .external_lex_state = 2},
  [3659] = {.lex_state = 39, .external_lex_state = 2},
  [3660] = {.lex_state = 39, .external_lex_state = 2},
  [3661] = {.lex_state = 39, .external_lex_state = 2},
  [3662] = {.lex_state = 39, .external_lex_state = 2},
  [3663] = {.lex_state = 39, .external_lex_state = 2},
  [3664] = {.lex_state = 39, .external_lex_state = 2},
  [3665] = {.lex_state = 39, .external_lex_state = 2},
  [3666] = {.lex_state = 39, .external_lex_state = 2},
  [3667] = {.lex_state = 39, .external_lex_state = 2},
  [3668] = {.lex_state = 39, .external_lex_state = 2},
  [3669] = {.lex_state = 39, .external_lex_state = 2},
  [3670] = {.lex_state = 38, .external_lex_state = 2},
  [3671] = {.lex_state = 39, .external_lex_state = 2},
  [3672] = {.lex_state = 39, .external_lex_state = 2},
  [3673] = {.lex_state = 39, .external_lex_state = 2},
  [3674] = {.lex_state = 38, .external_lex_state = 2},
  [3675] = {.lex_state = 39, .external_lex_state = 2},
  [3676] = {.lex_state = 39, .external_lex_state = 2},
  [3677] = {.lex_state = 39, .external_lex_state = 2},
  [3678] = {.lex_state = 39, .external_lex_state = 2},
  [3679] = {.lex_state = 39, .external_lex_state = 2},
  [3680] = {.lex_state = 39, .external_lex_state = 2},
  [3681] = {.lex_state = 39, .external_lex_state = 2},
  [3682] = {.lex_state = 39, .external_lex_state = 2},
  [3683] = {.lex_state = 38, .external_lex_state = 2},
  [3684] = {.lex_state = 39, .external_lex_state = 2},
  [3685] = {.lex_state = 39, .external_lex_state = 2},
  [3686] = {.lex_state = 39, .external_lex_state = 2},
  [3687] = {.lex_state = 39, .external_lex_state = 2},
  [3688] = {.lex_state = 39, .external_lex_state = 2},
  [3689] = {.lex_state = 39, .external_lex_state = 2},
  [3690] = {.lex_state = 39, .external_lex_state = 2},
  [3691] = {.lex_state = 39, .external_lex_state = 2},
  [3692] = {.lex_state = 39, .external_lex_state = 2},
  [3693] = {.lex_state = 39, .external_lex_state = 2},
  [3694] = {.lex_state = 39, .external_lex_state = 2},
  [3695] = {.lex_state = 39, .external_lex_state = 2},
  [3696] = {.lex_state = 38, .external_lex_state = 2},
  [3697] = {.lex_state = 39, .external_lex_state = 2},
  [3698] = {.lex_state = 76, .external_lex_state = 2},
  [3699] = {.lex_state = 50, .external_lex_state = 2},
  [3700] = {.lex_state = 50, .external_lex_state = 2},
  [3701] = {.lex_state = 50, .external_lex_state = 2},
  [3702] = {.lex_state = 50, .external_lex_state = 2},
  [3703] = {.lex_state = 50, .external_lex_state = 2},
  [3704] = {.lex_state = 50, .external_lex_state = 2},
  [3705] = {.lex_state = 59, .external_lex_state = 2},
  [3706] = {.lex_state = 59, .external_lex_state = 2},
  [3707] = {.lex_state = 50, .external_lex_state = 2},
  [3708] = {.lex_state = 50, .external_lex_state = 2},
  [3709] = {.lex_state = 50, .external_lex_state = 2},
  [3710] = {.lex_state = 50, .external_lex_state = 2},
  [3711] = {.lex_state = 50, .external_lex_state = 2},
  [3712] = {.lex_state = 50, .external_lex_state = 2},
  [3713] = {.lex_state = 50, .external_lex_state = 2},
  [3714] = {.lex_state = 50, .external_lex_state = 2},
  [3715] = {.lex_state = 50, .external_lex_state = 2},
  [3716] = {.lex_state = 50, .external_lex_state = 2},
  [3717] = {.lex_state = 50, .external_lex_state = 2},
  [3718] = {.lex_state = 50, .external_lex_state = 2},
  [3719] = {.lex_state = 59, .external_lex_state = 2},
  [3720] = {.lex_state = 50, .external_lex_state = 2},
  [3721] = {.lex_state = 50, .external_lex_state = 2},
  [3722] = {.lex_state = 50, .external_lex_state = 2},
  [3723] = {.lex_state = 50, .external_lex_state = 2},
  [3724] = {.lex_state = 50, .external_lex_state = 2},
  [3725] = {.lex_state = 50, .external_lex_state = 2},
  [3726] = {.lex_state = 50, .external_lex_state = 2},
  [3727] = {.lex_state = 50, .external_lex_state = 2},
  [3728] = {.lex_state = 50, .external_lex_state = 2},
  [3729] = {.lex_state = 50, .external_lex_state = 2},
  [3730] = {.lex_state = 50, .external_lex_state = 2},
  [3731] = {.lex_state = 50, .external_lex_state = 2},
  [3732] = {.lex_state = 50, .external_lex_state = 2},
  [3733] = {.lex_state = 50, .external_lex_state = 2},
  [3734] = {.lex_state = 50, .external_lex_state = 2},
  [3735] = {.lex_state = 50, .external_lex_state = 2},
  [3736] = {.lex_state = 50, .external_lex_state = 2},
  [3737] = {.lex_state = 50, .external_lex_state = 2},
  [3738] = {.lex_state = 50, .external_lex_state = 2},
  [3739] = {.lex_state = 50, .external_lex_state = 2},
  [3740] = {.lex_state = 50, .external_lex_state = 2},
  [3741] = {.lex_state = 50, .external_lex_state = 2},
  [3742] = {.lex_state = 55, .external_lex_state = 2},
  [3743] = {.lex_state = 55, .external_lex_state = 2},
  [3744] = {.lex_state = 55, .external_lex_state = 2},
  [3745] = {.lex_state = 59, .external_lex_state = 2},
  [3746] = {.lex_state = 60, .external_lex_state = 2},
  [3747] = {.lex_state = 55, .external_lex_state = 2},
  [3748] = {.lex_state = 55, .external_lex_state = 2},
  [3749] = {.lex_state = 60, .external_lex_state = 2},
  [3750] = {.lex_state = 59, .external_lex_state = 2},
  [3751] = {.lex_state = 50, .external_lex_state = 5},
  [3752] = {.lex_state = 59, .external_lex_state = 2},
  [3753] = {.lex_state = 59, .external_lex_state = 2},
  [3754] = {.lex_state = 59, .external_lex_state = 2},
  [3755] = {.lex_state = 59, .external_lex_state = 2},
  [3756] = {.lex_state = 59, .external_lex_state = 2},
  [3757] = {.lex_state = 59, .external_lex_state = 2},
  [3758] = {.lex_state = 59, .external_lex_state = 2},
  [3759] = {.lex_state = 59, .external_lex_state = 2},
  [3760] = {.lex_state = 59, .external_lex_state = 2},
  [3761] = {.lex_state = 59, .external_lex_state = 2},
  [3762] = {.lex_state = 59, .external_lex_state = 2},
  [3763] = {.lex_state = 59, .external_lex_state = 2},
  [3764] = {.lex_state = 50, .external_lex_state = 2},
  [3765] = {.lex_state = 59, .external_lex_state = 2},
  [3766] = {.lex_state = 50, .external_lex_state = 2},
  [3767] = {.lex_state = 50, .external_lex_state = 2},
  [3768] = {.lex_state = 59, .external_lex_state = 2},
  [3769] = {.lex_state = 50, .external_lex_state = 2},
  [3770] = {.lex_state = 50, .external_lex_state = 5},
  [3771] = {.lex_state = 59, .external_lex_state = 2},
  [3772] = {.lex_state = 50, .external_lex_state = 5},
  [3773] = {.lex_state = 59, .external_lex_state = 2},
  [3774] = {.lex_state = 59, .external_lex_state = 2},
  [3775] = {.lex_state = 59, .external_lex_state = 2},
  [3776] = {.lex_state = 48, .external_lex_state = 5},
  [3777] = {.lex_state = 59, .external_lex_state = 2},
  [3778] = {.lex_state = 59, .external_lex_state = 2},
  [3779] = {.lex_state = 59, .external_lex_state = 2},
  [3780] = {.lex_state = 48, .external_lex_state = 5},
  [3781] = {.lex_state = 59, .external_lex_state = 2},
  [3782] = {.lex_state = 59, .external_lex_state = 2},
  [3783] = {.lex_state = 59, .external_lex_state = 2},
  [3784] = {.lex_state = 50, .external_lex_state = 5},
  [3785] = {.lex_state = 351, .external_lex_state = 2},
  [3786] = {.lex_state = 351, .external_lex_state = 2},
  [3787] = {.lex_state = 59, .external_lex_state = 2},
  [3788] = {.lex_state = 351, .external_lex_state = 2},
  [3789] = {.lex_state = 50, .external_lex_state = 6},
  [3790] = {.lex_state = 351, .external_lex_state = 2},
  [3791] = {.lex_state = 351, .external_lex_state = 2},
  [3792] = {.lex_state = 351, .external_lex_state = 2},
  [3793] = {.lex_state = 351, .external_lex_state = 2},
  [3794] = {.lex_state = 59, .external_lex_state = 2},
  [3795] = {.lex_state = 59, .external_lex_state = 2},
  [3796] = {.lex_state = 351, .external_lex_state = 2},
  [3797] = {.lex_state = 351, .external_lex_state = 2},
  [3798] = {.lex_state = 50, .external_lex_state = 5},
  [3799] = {.lex_state = 50, .external_lex_state = 5},
  [3800] = {.lex_state = 50, .external_lex_state = 5},
  [3801] = {.lex_state = 50, .external_lex_state = 5},
  [3802] = {.lex_state = 50, .external_lex_state = 5},
  [3803] = {.lex_state = 50, .external_lex_state = 5},
  [3804] = {.lex_state = 50, .external_lex_state = 5},
  [3805] = {.lex_state = 50, .external_lex_state = 5},
  [3806] = {.lex_state = 50, .external_lex_state = 5},
  [3807] = {.lex_state = 50, .external_lex_state = 5},
  [3808] = {.lex_state = 50, .external_lex_state = 5},
  [3809] = {.lex_state = 50, .external_lex_state = 5},
  [3810] = {.lex_state = 50, .external_lex_state = 5},
  [3811] = {.lex_state = 50, .external_lex_state = 5},
  [3812] = {.lex_state = 351, .external_lex_state = 2},
  [3813] = {.lex_state = 351, .external_lex_state = 2},
  [3814] = {.lex_state = 59, .external_lex_state = 2},
  [3815] = {.lex_state = 351, .external_lex_state = 2},
  [3816] = {.lex_state = 59, .external_lex_state = 2},
  [3817] = {.lex_state = 351, .external_lex_state = 2},
  [3818] = {.lex_state = 59, .external_lex_state = 2},
  [3819] = {.lex_state = 351, .external_lex_state = 2},
  [3820] = {.lex_state = 59, .external_lex_state = 2},
  [3821] = {.lex_state = 59, .external_lex_state = 2},
  [3822] = {.lex_state = 59, .external_lex_state = 2},
  [3823] = {.lex_state = 351, .external_lex_state = 2},
  [3824] = {.lex_state = 59, .external_lex_state = 2},
  [3825] = {.lex_state = 59, .external_lex_state = 2},
  [3826] = {.lex_state = 59, .external_lex_state = 2},
  [3827] = {.lex_state = 351, .external_lex_state = 2},
  [3828] = {.lex_state = 351, .external_lex_state = 2},
  [3829] = {.lex_state = 59, .external_lex_state = 2},
  [3830] = {.lex_state = 351, .external_lex_state = 2},
  [3831] = {.lex_state = 59, .external_lex_state = 2},
  [3832] = {.lex_state = 59, .external_lex_state = 2},
  [3833] = {.lex_state = 59, .external_lex_state = 2},
  [3834] = {.lex_state = 50, .external_lex_state = 5},
  [3835] = {.lex_state = 50, .external_lex_state = 5},
  [3836] = {.lex_state = 50, .external_lex_state = 5},
  [3837] = {.lex_state = 50, .external_lex_state = 5},
  [3838] = {.lex_state = 50, .external_lex_state = 5},
  [3839] = {.lex_state = 50, .external_lex_state = 5},
  [3840] = {.lex_state = 50, .external_lex_state = 5},
  [3841] = {.lex_state = 50, .external_lex_state = 5},
  [3842] = {.lex_state = 50, .external_lex_state = 5},
  [3843] = {.lex_state = 50, .external_lex_state = 5},
  [3844] = {.lex_state = 59, .external_lex_state = 2},
  [3845] = {.lex_state = 59, .external_lex_state = 2},
  [3846] = {.lex_state = 59, .external_lex_state = 2},
  [3847] = {.lex_state = 59, .external_lex_state = 2},
  [3848] = {.lex_state = 48, .external_lex_state = 5},
  [3849] = {.lex_state = 59, .external_lex_state = 2},
  [3850] = {.lex_state = 351, .external_lex_state = 2},
  [3851] = {.lex_state = 59, .external_lex_state = 2},
  [3852] = {.lex_state = 59, .external_lex_state = 2},
  [3853] = {.lex_state = 59, .external_lex_state = 2},
  [3854] = {.lex_state = 59, .external_lex_state = 2},
  [3855] = {.lex_state = 50, .external_lex_state = 6},
  [3856] = {.lex_state = 50, .external_lex_state = 5},
  [3857] = {.lex_state = 50, .external_lex_state = 5},
  [3858] = {.lex_state = 351, .external_lex_state = 2},
  [3859] = {.lex_state = 50, .external_lex_state = 5},
  [3860] = {.lex_state = 50, .external_lex_state = 5},
  [3861] = {.lex_state = 50, .external_lex_state = 5},
  [3862] = {.lex_state = 50, .external_lex_state = 5},
  [3863] = {.lex_state = 50, .external_lex_state = 5},
  [3864] = {.lex_state = 50, .external_lex_state = 5},
  [3865] = {.lex_state = 50, .external_lex_state = 5},
  [3866] = {.lex_state = 59, .external_lex_state = 2},
  [3867] = {.lex_state = 351, .external_lex_state = 2},
  [3868] = {.lex_state = 351, .external_lex_state = 2},
  [3869] = {.lex_state = 59, .external_lex_state = 2},
  [3870] = {.lex_state = 59, .external_lex_state = 2},
  [3871] = {.lex_state = 59, .external_lex_state = 2},
  [3872] = {.lex_state = 59, .external_lex_state = 2},
  [3873] = {.lex_state = 351, .external_lex_state = 2},
  [3874] = {.lex_state = 59, .external_lex_state = 2},
  [3875] = {.lex_state = 59, .external_lex_state = 2},
  [3876] = {.lex_state = 351, .external_lex_state = 2},
  [3877] = {.lex_state = 59, .external_lex_state = 2},
  [3878] = {.lex_state = 351, .external_lex_state = 2},
  [3879] = {.lex_state = 59, .external_lex_state = 2},
  [3880] = {.lex_state = 351, .external_lex_state = 2},
  [3881] = {.lex_state = 59, .external_lex_state = 2},
  [3882] = {.lex_state = 351, .external_lex_state = 2},
  [3883] = {.lex_state = 59, .external_lex_state = 2},
  [3884] = {.lex_state = 59, .external_lex_state = 2},
  [3885] = {.lex_state = 50, .external_lex_state = 6},
  [3886] = {.lex_state = 59, .external_lex_state = 2},
  [3887] = {.lex_state = 351, .external_lex_state = 2},
  [3888] = {.lex_state = 59, .external_lex_state = 2},
  [3889] = {.lex_state = 59, .external_lex_state = 2},
  [3890] = {.lex_state = 351, .external_lex_state = 2},
  [3891] = {.lex_state = 59, .external_lex_state = 2},
  [3892] = {.lex_state = 59, .external_lex_state = 2},
  [3893] = {.lex_state = 59, .external_lex_state = 2},
  [3894] = {.lex_state = 48, .external_lex_state = 5},
  [3895] = {.lex_state = 48, .external_lex_state = 5},
  [3896] = {.lex_state = 60, .external_lex_state = 2},
  [3897] = {.lex_state = 48, .external_lex_state = 5},
  [3898] = {.lex_state = 48, .external_lex_state = 5},
  [3899] = {.lex_state = 77, .external_lex_state = 2},
  [3900] = {.lex_state = 48, .external_lex_state = 5},
  [3901] = {.lex_state = 48, .external_lex_state = 5},
  [3902] = {.lex_state = 48, .external_lex_state = 5},
  [3903] = {.lex_state = 48, .external_lex_state = 5},
  [3904] = {.lex_state = 48, .external_lex_state = 5},
  [3905] = {.lex_state = 48, .external_lex_state = 5},
  [3906] = {.lex_state = 48, .external_lex_state = 5},
  [3907] = {.lex_state = 48, .external_lex_state = 5},
  [3908] = {.lex_state = 48, .external_lex_state = 5},
  [3909] = {.lex_state = 56, .external_lex_state = 2},
  [3910] = {.lex_state = 56, .external_lex_state = 2},
  [3911] = {.lex_state = 56, .external_lex_state = 2},
  [3912] = {.lex_state = 48, .external_lex_state = 5},
  [3913] = {.lex_state = 77, .external_lex_state = 2},
  [3914] = {.lex_state = 48, .external_lex_state = 5},
  [3915] = {.lex_state = 48, .external_lex_state = 5},
  [3916] = {.lex_state = 56, .external_lex_state = 2},
  [3917] = {.lex_state = 48, .external_lex_state = 5},
  [3918] = {.lex_state = 48, .external_lex_state = 5},
  [3919] = {.lex_state = 48, .external_lex_state = 5},
  [3920] = {.lex_state = 48, .external_lex_state = 5},
  [3921] = {.lex_state = 48, .external_lex_state = 5},
  [3922] = {.lex_state = 48, .external_lex_state = 5},
  [3923] = {.lex_state = 48, .external_lex_state = 5},
  [3924] = {.lex_state = 48, .external_lex_state = 2},
  [3925] = {.lex_state = 48, .external_lex_state = 5},
  [3926] = {.lex_state = 77, .external_lex_state = 2},
  [3927] = {.lex_state = 56, .external_lex_state = 2},
  [3928] = {.lex_state = 77, .external_lex_state = 2},
  [3929] = {.lex_state = 48, .external_lex_state = 5},
  [3930] = {.lex_state = 48, .external_lex_state = 5},
  [3931] = {.lex_state = 48, .external_lex_state = 5},
  [3932] = {.lex_state = 48, .external_lex_state = 5},
  [3933] = {.lex_state = 48, .external_lex_state = 5},
  [3934] = {.lex_state = 77, .external_lex_state = 2},
  [3935] = {.lex_state = 50, .external_lex_state = 6},
  [3936] = {.lex_state = 50, .external_lex_state = 6},
  [3937] = {.lex_state = 48, .external_lex_state = 5},
  [3938] = {.lex_state = 50, .external_lex_state = 6},
  [3939] = {.lex_state = 50, .external_lex_state = 6},
  [3940] = {.lex_state = 48, .external_lex_state = 5},
  [3941] = {.lex_state = 48, .external_lex_state = 5},
  [3942] = {.lex_state = 48, .external_lex_state = 5},
  [3943] = {.lex_state = 50, .external_lex_state = 5},
  [3944] = {.lex_state = 50, .external_lex_state = 6},
  [3945] = {.lex_state = 48, .external_lex_state = 5},
  [3946] = {.lex_state = 50, .external_lex_state = 6},
  [3947] = {.lex_state = 48, .external_lex_state = 5},
  [3948] = {.lex_state = 50, .external_lex_state = 6},
  [3949] = {.lex_state = 50, .external_lex_state = 6},
  [3950] = {.lex_state = 50, .external_lex_state = 6},
  [3951] = {.lex_state = 50, .external_lex_state = 6},
  [3952] = {.lex_state = 50, .external_lex_state = 5},
  [3953] = {.lex_state = 50, .external_lex_state = 6},
  [3954] = {.lex_state = 50, .external_lex_state = 6},
  [3955] = {.lex_state = 48, .external_lex_state = 5},
  [3956] = {.lex_state = 72, .external_lex_state = 2},
  [3957] = {.lex_state = 48, .external_lex_state = 6},
  [3958] = {.lex_state = 48, .external_lex_state = 5},
  [3959] = {.lex_state = 50, .external_lex_state = 6},
  [3960] = {.lex_state = 50, .external_lex_state = 6},
  [3961] = {.lex_state = 50, .external_lex_state = 6},
  [3962] = {.lex_state = 48, .external_lex_state = 5},
  [3963] = {.lex_state = 48, .external_lex_state = 5},
  [3964] = {.lex_state = 50, .external_lex_state = 6},
  [3965] = {.lex_state = 50, .external_lex_state = 5},
  [3966] = {.lex_state = 48, .external_lex_state = 5},
  [3967] = {.lex_state = 48, .external_lex_state = 5},
  [3968] = {.lex_state = 48, .external_lex_state = 5},
  [3969] = {.lex_state = 48, .external_lex_state = 5},
  [3970] = {.lex_state = 50, .external_lex_state = 6},
  [3971] = {.lex_state = 50, .external_lex_state = 6},
  [3972] = {.lex_state = 50, .external_lex_state = 6},
  [3973] = {.lex_state = 50, .external_lex_state = 6},
  [3974] = {.lex_state = 50, .external_lex_state = 6},
  [3975] = {.lex_state = 50, .external_lex_state = 5},
  [3976] = {.lex_state = 50, .external_lex_state = 5},
  [3977] = {.lex_state = 50, .external_lex_state = 5},
  [3978] = {.lex_state = 48, .external_lex_state = 5},
  [3979] = {.lex_state = 48, .external_lex_state = 5},
  [3980] = {.lex_state = 48, .external_lex_state = 5},
  [3981] = {.lex_state = 48, .external_lex_state = 5},
  [3982] = {.lex_state = 48, .external_lex_state = 5},
  [3983] = {.lex_state = 50, .external_lex_state = 6},
  [3984] = {.lex_state = 50, .external_lex_state = 6},
  [3985] = {.lex_state = 50, .external_lex_state = 6},
  [3986] = {.lex_state = 50, .external_lex_state = 6},
  [3987] = {.lex_state = 48, .external_lex_state = 5},
  [3988] = {.lex_state = 50, .external_lex_state = 6},
  [3989] = {.lex_state = 48, .external_lex_state = 5},
  [3990] = {.lex_state = 72, .external_lex_state = 2},
  [3991] = {.lex_state = 48, .external_lex_state = 5},
  [3992] = {.lex_state = 50, .external_lex_state = 6},
  [3993] = {.lex_state = 48, .external_lex_state = 5},
  [3994] = {.lex_state = 50, .external_lex_state = 6},
  [3995] = {.lex_state = 48, .external_lex_state = 5},
  [3996] = {.lex_state = 50, .external_lex_state = 5},
  [3997] = {.lex_state = 48, .external_lex_state = 5},
  [3998] = {.lex_state = 50, .external_lex_state = 6},
  [3999] = {.lex_state = 50, .external_lex_state = 6},
  [4000] = {.lex_state = 50, .external_lex_state = 6},
  [4001] = {.lex_state = 50, .external_lex_state = 6},
  [4002] = {.lex_state = 50, .external_lex_state = 6},
  [4003] = {.lex_state = 50, .external_lex_state = 6},
  [4004] = {.lex_state = 82, .external_lex_state = 2},
  [4005] = {.lex_state = 48, .external_lex_state = 5},
  [4006] = {.lex_state = 48, .external_lex_state = 5},
  [4007] = {.lex_state = 48, .external_lex_state = 5},
  [4008] = {.lex_state = 48, .external_lex_state = 5},
  [4009] = {.lex_state = 48, .external_lex_state = 5},
  [4010] = {.lex_state = 48, .external_lex_state = 5},
  [4011] = {.lex_state = 48, .external_lex_state = 5},
  [4012] = {.lex_state = 48, .external_lex_state = 5},
  [4013] = {.lex_state = 48, .external_lex_state = 5},
  [4014] = {.lex_state = 55, .external_lex_state = 2},
  [4015] = {.lex_state = 48, .external_lex_state = 5},
  [4016] = {.lex_state = 48, .external_lex_state = 5},
  [4017] = {.lex_state = 48, .external_lex_state = 6},
  [4018] = {.lex_state = 48, .external_lex_state = 5},
  [4019] = {.lex_state = 48, .external_lex_state = 5},
  [4020] = {.lex_state = 48, .external_lex_state = 5},
  [4021] = {.lex_state = 48, .external_lex_state = 5},
  [4022] = {.lex_state = 48, .external_lex_state = 5},
  [4023] = {.lex_state = 55, .external_lex_state = 2},
  [4024] = {.lex_state = 82, .external_lex_state = 2},
  [4025] = {.lex_state = 82, .external_lex_state = 2},
  [4026] = {.lex_state = 48, .external_lex_state = 5},
  [4027] = {.lex_state = 48, .external_lex_state = 5},
  [4028] = {.lex_state = 48, .external_lex_state = 5},
  [4029] = {.lex_state = 72, .external_lex_state = 2},
  [4030] = {.lex_state = 82, .external_lex_state = 2},
  [4031] = {.lex_state = 48, .external_lex_state = 5},
  [4032] = {.lex_state = 48, .external_lex_state = 5},
  [4033] = {.lex_state = 48, .external_lex_state = 5},
  [4034] = {.lex_state = 48, .external_lex_state = 5},
  [4035] = {.lex_state = 48, .external_lex_state = 5},
  [4036] = {.lex_state = 55, .external_lex_state = 2},
  [4037] = {.lex_state = 82, .external_lex_state = 2},
  [4038] = {.lex_state = 48, .external_lex_state = 5},
  [4039] = {.lex_state = 48, .external_lex_state = 5},
  [4040] = {.lex_state = 48, .external_lex_state = 5},
  [4041] = {.lex_state = 48, .external_lex_state = 5},
  [4042] = {.lex_state = 48, .external_lex_state = 5},
  [4043] = {.lex_state = 48, .external_lex_state = 5},
  [4044] = {.lex_state = 55, .external_lex_state = 2},
  [4045] = {.lex_state = 48, .external_lex_state = 5},
  [4046] = {.lex_state = 82, .external_lex_state = 2},
  [4047] = {.lex_state = 48, .external_lex_state = 5},
  [4048] = {.lex_state = 72, .external_lex_state = 2},
  [4049] = {.lex_state = 48, .external_lex_state = 5},
  [4050] = {.lex_state = 72, .external_lex_state = 2},
  [4051] = {.lex_state = 48, .external_lex_state = 5},
  [4052] = {.lex_state = 48, .external_lex_state = 5},
  [4053] = {.lex_state = 55, .external_lex_state = 2},
  [4054] = {.lex_state = 48, .external_lex_state = 5},
  [4055] = {.lex_state = 82, .external_lex_state = 2},
  [4056] = {.lex_state = 48, .external_lex_state = 5},
  [4057] = {.lex_state = 48, .external_lex_state = 5},
  [4058] = {.lex_state = 48, .external_lex_state = 5},
  [4059] = {.lex_state = 82, .external_lex_state = 2},
  [4060] = {.lex_state = 48, .external_lex_state = 5},
  [4061] = {.lex_state = 48, .external_lex_state = 5},
  [4062] = {.lex_state = 48, .external_lex_state = 5},
  [4063] = {.lex_state = 48, .external_lex_state = 5},
  [4064] = {.lex_state = 48, .external_lex_state = 5},
  [4065] = {.lex_state = 48, .external_lex_state = 2},
  [4066] = {.lex_state = 72, .external_lex_state = 2},
  [4067] = {.lex_state = 48, .external_lex_state = 5},
  [4068] = {.lex_state = 48, .external_lex_state = 5},
  [4069] = {.lex_state = 48, .external_lex_state = 5},
  [4070] = {.lex_state = 48, .external_lex_state = 5},
  [4071] = {.lex_state = 48, .external_lex_state = 5},
  [4072] = {.lex_state = 48, .external_lex_state = 5},
  [4073] = {.lex_state = 48, .external_lex_state = 5},
  [4074] = {.lex_state = 50, .external_lex_state = 6},
  [4075] = {.lex_state = 48, .external_lex_state = 5},
  [4076] = {.lex_state = 48, .external_lex_state = 5},
  [4077] = {.lex_state = 48, .external_lex_state = 5},
  [4078] = {.lex_state = 48, .external_lex_state = 5},
  [4079] = {.lex_state = 48, .external_lex_state = 5},
  [4080] = {.lex_state = 48, .external_lex_state = 5},
  [4081] = {.lex_state = 50, .external_lex_state = 6},
  [4082] = {.lex_state = 48, .external_lex_state = 5},
  [4083] = {.lex_state = 50, .external_lex_state = 6},
  [4084] = {.lex_state = 48, .external_lex_state = 5},
  [4085] = {.lex_state = 48, .external_lex_state = 5},
  [4086] = {.lex_state = 82, .external_lex_state = 2},
  [4087] = {.lex_state = 55, .external_lex_state = 2},
  [4088] = {.lex_state = 48, .external_lex_state = 5},
  [4089] = {.lex_state = 48, .external_lex_state = 5},
  [4090] = {.lex_state = 48, .external_lex_state = 5},
  [4091] = {.lex_state = 48, .external_lex_state = 6},
  [4092] = {.lex_state = 48, .external_lex_state = 6},
  [4093] = {.lex_state = 48, .external_lex_state = 5},
  [4094] = {.lex_state = 48, .external_lex_state = 6},
  [4095] = {.lex_state = 48, .external_lex_state = 5},
  [4096] = {.lex_state = 48, .external_lex_state = 5},
  [4097] = {.lex_state = 48, .external_lex_state = 5},
  [4098] = {.lex_state = 48, .external_lex_state = 5},
  [4099] = {.lex_state = 48, .external_lex_state = 5},
  [4100] = {.lex_state = 48, .external_lex_state = 5},
  [4101] = {.lex_state = 48, .external_lex_state = 5},
  [4102] = {.lex_state = 48, .external_lex_state = 5},
  [4103] = {.lex_state = 48, .external_lex_state = 5},
  [4104] = {.lex_state = 48, .external_lex_state = 5},
  [4105] = {.lex_state = 48, .external_lex_state = 5},
  [4106] = {.lex_state = 48, .external_lex_state = 5},
  [4107] = {.lex_state = 48, .external_lex_state = 5},
  [4108] = {.lex_state = 48, .external_lex_state = 5},
  [4109] = {.lex_state = 48, .external_lex_state = 5},
  [4110] = {.lex_state = 48, .external_lex_state = 5},
  [4111] = {.lex_state = 48, .external_lex_state = 5},
  [4112] = {.lex_state = 48, .external_lex_state = 5},
  [4113] = {.lex_state = 48, .external_lex_state = 5},
  [4114] = {.lex_state = 48, .external_lex_state = 5},
  [4115] = {.lex_state = 48, .external_lex_state = 5},
  [4116] = {.lex_state = 50, .external_lex_state = 6},
  [4117] = {.lex_state = 48, .external_lex_state = 5},
  [4118] = {.lex_state = 48, .external_lex_state = 5},
  [4119] = {.lex_state = 48, .external_lex_state = 5},
  [4120] = {.lex_state = 48, .external_lex_state = 5},
  [4121] = {.lex_state = 48, .external_lex_state = 5},
  [4122] = {.lex_state = 48, .external_lex_state = 5},
  [4123] = {.lex_state = 48, .external_lex_state = 5},
  [4124] = {.lex_state = 48, .external_lex_state = 5},
  [4125] = {.lex_state = 48, .external_lex_state = 5},
  [4126] = {.lex_state = 48, .external_lex_state = 5},
  [4127] = {.lex_state = 50, .external_lex_state = 6},
  [4128] = {.lex_state = 48, .external_lex_state = 5},
  [4129] = {.lex_state = 50, .external_lex_state = 6},
  [4130] = {.lex_state = 48, .external_lex_state = 5},
  [4131] = {.lex_state = 50, .external_lex_state = 6},
  [4132] = {.lex_state = 55, .external_lex_state = 2},
  [4133] = {.lex_state = 48, .external_lex_state = 6},
  [4134] = {.lex_state = 48, .external_lex_state = 6},
  [4135] = {.lex_state = 48, .external_lex_state = 2},
  [4136] = {.lex_state = 72, .external_lex_state = 2},
  [4137] = {.lex_state = 48, .external_lex_state = 6},
  [4138] = {.lex_state = 73, .external_lex_state = 2},
  [4139] = {.lex_state = 351, .external_lex_state = 5},
  [4140] = {.lex_state = 73, .external_lex_state = 2},
  [4141] = {.lex_state = 48, .external_lex_state = 6},
  [4142] = {.lex_state = 73, .external_lex_state = 2},
  [4143] = {.lex_state = 73, .external_lex_state = 2},
  [4144] = {.lex_state = 48, .external_lex_state = 5},
  [4145] = {.lex_state = 73, .external_lex_state = 2},
  [4146] = {.lex_state = 73, .external_lex_state = 2},
  [4147] = {.lex_state = 72, .external_lex_state = 2},
  [4148] = {.lex_state = 351, .external_lex_state = 5},
  [4149] = {.lex_state = 55, .external_lex_state = 2},
  [4150] = {.lex_state = 73, .external_lex_state = 2},
  [4151] = {.lex_state = 73, .external_lex_state = 2},
  [4152] = {.lex_state = 351, .external_lex_state = 5},
  [4153] = {.lex_state = 73, .external_lex_state = 2},
  [4154] = {.lex_state = 73, .external_lex_state = 2},
  [4155] = {.lex_state = 72, .external_lex_state = 2},
  [4156] = {.lex_state = 73, .external_lex_state = 2},
  [4157] = {.lex_state = 73, .external_lex_state = 2},
  [4158] = {.lex_state = 57, .external_lex_state = 2},
  [4159] = {.lex_state = 48, .external_lex_state = 5},
  [4160] = {.lex_state = 73, .external_lex_state = 2},
  [4161] = {.lex_state = 72, .external_lex_state = 2},
  [4162] = {.lex_state = 73, .external_lex_state = 2},
  [4163] = {.lex_state = 73, .external_lex_state = 2},
  [4164] = {.lex_state = 73, .external_lex_state = 2},
  [4165] = {.lex_state = 48, .external_lex_state = 6},
  [4166] = {.lex_state = 50, .external_lex_state = 5},
  [4167] = {.lex_state = 50, .external_lex_state = 5},
  [4168] = {.lex_state = 73, .external_lex_state = 2},
  [4169] = {.lex_state = 55, .external_lex_state = 2},
  [4170] = {.lex_state = 48, .external_lex_state = 5},
  [4171] = {.lex_state = 72, .external_lex_state = 2},
  [4172] = {.lex_state = 48, .external_lex_state = 2},
  [4173] = {.lex_state = 48, .external_lex_state = 2},
  [4174] = {.lex_state = 72, .external_lex_state = 2},
  [4175] = {.lex_state = 72, .external_lex_state = 2},
  [4176] = {.lex_state = 50, .external_lex_state = 2},
  [4177] = {.lex_state = 48, .external_lex_state = 6},
  [4178] = {.lex_state = 48, .external_lex_state = 2},
  [4179] = {.lex_state = 48, .external_lex_state = 6},
  [4180] = {.lex_state = 351, .external_lex_state = 6},
  [4181] = {.lex_state = 48, .external_lex_state = 6},
  [4182] = {.lex_state = 48, .external_lex_state = 6},
  [4183] = {.lex_state = 55, .external_lex_state = 2},
  [4184] = {.lex_state = 48, .external_lex_state = 2},
  [4185] = {.lex_state = 48, .external_lex_state = 6},
  [4186] = {.lex_state = 48, .external_lex_state = 2},
  [4187] = {.lex_state = 50, .external_lex_state = 2},
  [4188] = {.lex_state = 48, .external_lex_state = 5},
  [4189] = {.lex_state = 48, .external_lex_state = 2},
  [4190] = {.lex_state = 48, .external_lex_state = 2},
  [4191] = {.lex_state = 48, .external_lex_state = 5},
  [4192] = {.lex_state = 48, .external_lex_state = 2},
  [4193] = {.lex_state = 48, .external_lex_state = 5},
  [4194] = {.lex_state = 48, .external_lex_state = 5},
  [4195] = {.lex_state = 48, .external_lex_state = 2},
  [4196] = {.lex_state = 48, .external_lex_state = 6},
  [4197] = {.lex_state = 48, .external_lex_state = 6},
  [4198] = {.lex_state = 48, .external_lex_state = 6},
  [4199] = {.lex_state = 50, .external_lex_state = 2},
  [4200] = {.lex_state = 50, .external_lex_state = 2},
  [4201] = {.lex_state = 48, .external_lex_state = 5},
  [4202] = {.lex_state = 48, .external_lex_state = 5},
  [4203] = {.lex_state = 48, .external_lex_state = 5},
  [4204] = {.lex_state = 72, .external_lex_state = 2},
  [4205] = {.lex_state = 48, .external_lex_state = 2},
  [4206] = {.lex_state = 48, .external_lex_state = 2},
  [4207] = {.lex_state = 72, .external_lex_state = 2},
  [4208] = {.lex_state = 48, .external_lex_state = 5},
  [4209] = {.lex_state = 72, .external_lex_state = 2},
  [4210] = {.lex_state = 48, .external_lex_state = 5},
  [4211] = {.lex_state = 72, .external_lex_state = 2},
  [4212] = {.lex_state = 48, .external_lex_state = 6},
  [4213] = {.lex_state = 48, .external_lex_state = 2},
  [4214] = {.lex_state = 48, .external_lex_state = 6},
  [4215] = {.lex_state = 48, .external_lex_state = 2},
  [4216] = {.lex_state = 48, .external_lex_state = 5},
  [4217] = {.lex_state = 72, .external_lex_state = 2},
  [4218] = {.lex_state = 72, .external_lex_state = 2},
  [4219] = {.lex_state = 72, .external_lex_state = 2},
  [4220] = {.lex_state = 48, .external_lex_state = 5},
  [4221] = {.lex_state = 72, .external_lex_state = 2},
  [4222] = {.lex_state = 48, .external_lex_state = 6},
  [4223] = {.lex_state = 48, .external_lex_state = 2},
  [4224] = {.lex_state = 48, .external_lex_state = 6},
  [4225] = {.lex_state = 48, .external_lex_state = 2},
  [4226] = {.lex_state = 48, .external_lex_state = 6},
  [4227] = {.lex_state = 48, .external_lex_state = 6},
  [4228] = {.lex_state = 48, .external_lex_state = 2},
  [4229] = {.lex_state = 48, .external_lex_state = 6},
  [4230] = {.lex_state = 48, .external_lex_state = 6},
  [4231] = {.lex_state = 72, .external_lex_state = 2},
  [4232] = {.lex_state = 48, .external_lex_state = 6},
  [4233] = {.lex_state = 48, .external_lex_state = 6},
  [4234] = {.lex_state = 48, .external_lex_state = 6},
  [4235] = {.lex_state = 48, .external_lex_state = 2},
  [4236] = {.lex_state = 48, .external_lex_state = 2},
  [4237] = {.lex_state = 48, .external_lex_state = 2},
  [4238] = {.lex_state = 48, .external_lex_state = 2},
  [4239] = {.lex_state = 72, .external_lex_state = 2},
  [4240] = {.lex_state = 48, .external_lex_state = 5},
  [4241] = {.lex_state = 59, .external_lex_state = 2},
  [4242] = {.lex_state = 48, .external_lex_state = 5},
  [4243] = {.lex_state = 72, .external_lex_state = 2},
  [4244] = {.lex_state = 48, .external_lex_state = 5},
  [4245] = {.lex_state = 48, .external_lex_state = 5},
  [4246] = {.lex_state = 48, .external_lex_state = 2},
  [4247] = {.lex_state = 48, .external_lex_state = 5},
  [4248] = {.lex_state = 48, .external_lex_state = 5},
  [4249] = {.lex_state = 48, .external_lex_state = 5},
  [4250] = {.lex_state = 48, .external_lex_state = 2},
  [4251] = {.lex_state = 48, .external_lex_state = 5},
  [4252] = {.lex_state = 72, .external_lex_state = 2},
  [4253] = {.lex_state = 48, .external_lex_state = 2},
  [4254] = {.lex_state = 72, .external_lex_state = 2},
  [4255] = {.lex_state = 48, .external_lex_state = 2},
  [4256] = {.lex_state = 48, .external_lex_state = 5},
  [4257] = {.lex_state = 72, .external_lex_state = 2},
  [4258] = {.lex_state = 72, .external_lex_state = 2},
  [4259] = {.lex_state = 72, .external_lex_state = 2},
  [4260] = {.lex_state = 72, .external_lex_state = 2},
  [4261] = {.lex_state = 48, .external_lex_state = 2},
  [4262] = {.lex_state = 48, .external_lex_state = 6},
  [4263] = {.lex_state = 72, .external_lex_state = 2},
  [4264] = {.lex_state = 48, .external_lex_state = 6},
  [4265] = {.lex_state = 48, .external_lex_state = 6},
  [4266] = {.lex_state = 48, .external_lex_state = 6},
  [4267] = {.lex_state = 48, .external_lex_state = 6},
  [4268] = {.lex_state = 72, .external_lex_state = 2},
  [4269] = {.lex_state = 48, .external_lex_state = 5},
  [4270] = {.lex_state = 48, .external_lex_state = 5},
  [4271] = {.lex_state = 72, .external_lex_state = 2},
  [4272] = {.lex_state = 72, .external_lex_state = 2},
  [4273] = {.lex_state = 72, .external_lex_state = 2},
  [4274] = {.lex_state = 72, .external_lex_state = 2},
  [4275] = {.lex_state = 72, .external_lex_state = 2},
  [4276] = {.lex_state = 48, .external_lex_state = 5},
  [4277] = {.lex_state = 48, .external_lex_state = 2},
  [4278] = {.lex_state = 48, .external_lex_state = 2},
  [4279] = {.lex_state = 48, .external_lex_state = 2},
  [4280] = {.lex_state = 48, .external_lex_state = 2},
  [4281] = {.lex_state = 50, .external_lex_state = 2},
  [4282] = {.lex_state = 50, .external_lex_state = 2},
  [4283] = {.lex_state = 48, .external_lex_state = 5},
  [4284] = {.lex_state = 50, .external_lex_state = 2},
  [4285] = {.lex_state = 48, .external_lex_state = 5},
  [4286] = {.lex_state = 48, .external_lex_state = 6},
  [4287] = {.lex_state = 48, .external_lex_state = 2},
  [4288] = {.lex_state = 48, .external_lex_state = 2},
  [4289] = {.lex_state = 50, .external_lex_state = 2},
  [4290] = {.lex_state = 50, .external_lex_state = 5},
  [4291] = {.lex_state = 50, .external_lex_state = 5},
  [4292] = {.lex_state = 59, .external_lex_state = 2},
  [4293] = {.lex_state = 50, .external_lex_state = 2},
  [4294] = {.lex_state = 48, .external_lex_state = 2},
  [4295] = {.lex_state = 48, .external_lex_state = 6},
  [4296] = {.lex_state = 48, .external_lex_state = 5},
  [4297] = {.lex_state = 72, .external_lex_state = 2},
  [4298] = {.lex_state = 72, .external_lex_state = 2},
  [4299] = {.lex_state = 59, .external_lex_state = 2},
  [4300] = {.lex_state = 50, .external_lex_state = 2},
  [4301] = {.lex_state = 48, .external_lex_state = 6},
  [4302] = {.lex_state = 48, .external_lex_state = 2},
  [4303] = {.lex_state = 48, .external_lex_state = 6},
  [4304] = {.lex_state = 48, .external_lex_state = 6},
  [4305] = {.lex_state = 72, .external_lex_state = 2},
  [4306] = {.lex_state = 48, .external_lex_state = 6},
  [4307] = {.lex_state = 50, .external_lex_state = 2},
  [4308] = {.lex_state = 48, .external_lex_state = 6},
  [4309] = {.lex_state = 48, .external_lex_state = 6},
  [4310] = {.lex_state = 48, .external_lex_state = 6},
  [4311] = {.lex_state = 48, .external_lex_state = 6},
  [4312] = {.lex_state = 48, .external_lex_state = 6},
  [4313] = {.lex_state = 48, .external_lex_state = 6},
  [4314] = {.lex_state = 48, .external_lex_state = 6},
  [4315] = {.lex_state = 48, .external_lex_state = 6},
  [4316] = {.lex_state = 48, .external_lex_state = 6},
  [4317] = {.lex_state = 48, .external_lex_state = 5},
  [4318] = {.lex_state = 48, .external_lex_state = 6},
  [4319] = {.lex_state = 48, .external_lex_state = 5},
  [4320] = {.lex_state = 48, .external_lex_state = 6},
  [4321] = {.lex_state = 351, .external_lex_state = 2},
  [4322] = {.lex_state = 48, .external_lex_state = 2},
  [4323] = {.lex_state = 48, .external_lex_state = 6},
  [4324] = {.lex_state = 48, .external_lex_state = 5},
  [4325] = {.lex_state = 48, .external_lex_state = 5},
  [4326] = {.lex_state = 48, .external_lex_state = 2},
  [4327] = {.lex_state = 48, .external_lex_state = 5},
  [4328] = {.lex_state = 48, .external_lex_state = 5},
  [4329] = {.lex_state = 48, .external_lex_state = 2},
  [4330] = {.lex_state = 55, .external_lex_state = 2},
  [4331] = {.lex_state = 48, .external_lex_state = 2},
  [4332] = {.lex_state = 48, .external_lex_state = 5},
  [4333] = {.lex_state = 48, .external_lex_state = 2},
  [4334] = {.lex_state = 48, .external_lex_state = 2},
  [4335] = {.lex_state = 48, .external_lex_state = 6},
  [4336] = {.lex_state = 59, .external_lex_state = 2},
  [4337] = {.lex_state = 72, .external_lex_state = 2},
  [4338] = {.lex_state = 48, .external_lex_state = 5},
  [4339] = {.lex_state = 59, .external_lex_state = 2},
  [4340] = {.lex_state = 351, .external_lex_state = 5},
  [4341] = {.lex_state = 351, .external_lex_state = 5},
  [4342] = {.lex_state = 351, .external_lex_state = 5},
  [4343] = {.lex_state = 48, .external_lex_state = 5},
  [4344] = {.lex_state = 48, .external_lex_state = 5},
  [4345] = {.lex_state = 48, .external_lex_state = 2},
  [4346] = {.lex_state = 351, .external_lex_state = 6},
  [4347] = {.lex_state = 48, .external_lex_state = 5},
  [4348] = {.lex_state = 48, .external_lex_state = 5},
  [4349] = {.lex_state = 48, .external_lex_state = 2},
  [4350] = {.lex_state = 50, .external_lex_state = 2},
  [4351] = {.lex_state = 48, .external_lex_state = 6},
  [4352] = {.lex_state = 48, .external_lex_state = 2},
  [4353] = {.lex_state = 48, .external_lex_state = 2},
  [4354] = {.lex_state = 48, .external_lex_state = 2},
  [4355] = {.lex_state = 351, .external_lex_state = 5},
  [4356] = {.lex_state = 48, .external_lex_state = 5},
  [4357] = {.lex_state = 48, .external_lex_state = 5},
  [4358] = {.lex_state = 48, .external_lex_state = 5},
  [4359] = {.lex_state = 351, .external_lex_state = 5},
  [4360] = {.lex_state = 351, .external_lex_state = 5},
  [4361] = {.lex_state = 48, .external_lex_state = 2},
  [4362] = {.lex_state = 48, .external_lex_state = 2},
  [4363] = {.lex_state = 48, .external_lex_state = 2},
  [4364] = {.lex_state = 72, .external_lex_state = 2},
  [4365] = {.lex_state = 55, .external_lex_state = 2},
  [4366] = {.lex_state = 48, .external_lex_state = 6},
  [4367] = {.lex_state = 72, .external_lex_state = 2},
  [4368] = {.lex_state = 48, .external_lex_state = 2},
  [4369] = {.lex_state = 48, .external_lex_state = 2},
  [4370] = {.lex_state = 48, .external_lex_state = 6},
  [4371] = {.lex_state = 48, .external_lex_state = 6},
  [4372] = {.lex_state = 48, .external_lex_state = 2},
  [4373] = {.lex_state = 48, .external_lex_state = 6},
  [4374] = {.lex_state = 48, .external_lex_state = 6},
  [4375] = {.lex_state = 48, .external_lex_state = 2},
  [4376] = {.lex_state = 48, .external_lex_state = 6},
  [4377] = {.lex_state = 48, .external_lex_state = 6},
  [4378] = {.lex_state = 48, .external_lex_state = 2},
  [4379] = {.lex_state = 48, .external_lex_state = 6},
  [4380] = {.lex_state = 72, .external_lex_state = 2},
  [4381] = {.lex_state = 48, .external_lex_state = 2},
  [4382] = {.lex_state = 48, .external_lex_state = 6},
  [4383] = {.lex_state = 48, .external_lex_state = 2},
  [4384] = {.lex_state = 48, .external_lex_state = 6},
  [4385] = {.lex_state = 48, .external_lex_state = 6},
  [4386] = {.lex_state = 48, .external_lex_state = 5},
  [4387] = {.lex_state = 48, .external_lex_state = 6},
  [4388] = {.lex_state = 48, .external_lex_state = 2},
  [4389] = {.lex_state = 48, .external_lex_state = 6},
  [4390] = {.lex_state = 48, .external_lex_state = 5},
  [4391] = {.lex_state = 48, .external_lex_state = 6},
  [4392] = {.lex_state = 48, .external_lex_state = 6},
  [4393] = {.lex_state = 72, .external_lex_state = 2},
  [4394] = {.lex_state = 72, .external_lex_state = 2},
  [4395] = {.lex_state = 59, .external_lex_state = 2},
  [4396] = {.lex_state = 48, .external_lex_state = 2},
  [4397] = {.lex_state = 72, .external_lex_state = 2},
  [4398] = {.lex_state = 48, .external_lex_state = 6},
  [4399] = {.lex_state = 48, .external_lex_state = 6},
  [4400] = {.lex_state = 50, .external_lex_state = 2},
  [4401] = {.lex_state = 48, .external_lex_state = 2},
  [4402] = {.lex_state = 48, .external_lex_state = 6},
  [4403] = {.lex_state = 81, .external_lex_state = 2},
  [4404] = {.lex_state = 66, .external_lex_state = 2},
  [4405] = {.lex_state = 48, .external_lex_state = 5},
  [4406] = {.lex_state = 66, .external_lex_state = 2},
  [4407] = {.lex_state = 351, .external_lex_state = 7},
  [4408] = {.lex_state = 75, .external_lex_state = 2},
  [4409] = {.lex_state = 48, .external_lex_state = 5},
  [4410] = {.lex_state = 66, .external_lex_state = 2},
  [4411] = {.lex_state = 351, .external_lex_state = 7},
  [4412] = {.lex_state = 351, .external_lex_state = 7},
  [4413] = {.lex_state = 351, .external_lex_state = 7},
  [4414] = {.lex_state = 351, .external_lex_state = 7},
  [4415] = {.lex_state = 81, .external_lex_state = 2},
  [4416] = {.lex_state = 351, .external_lex_state = 7},
  [4417] = {.lex_state = 351, .external_lex_state = 5},
  [4418] = {.lex_state = 351, .external_lex_state = 5},
  [4419] = {.lex_state = 351, .external_lex_state = 6},
  [4420] = {.lex_state = 75, .external_lex_state = 2},
  [4421] = {.lex_state = 351, .external_lex_state = 5},
  [4422] = {.lex_state = 48, .external_lex_state = 5},
  [4423] = {.lex_state = 66, .external_lex_state = 2},
  [4424] = {.lex_state = 75, .external_lex_state = 2},
  [4425] = {.lex_state = 351, .external_lex_state = 7},
  [4426] = {.lex_state = 48, .external_lex_state = 6},
  [4427] = {.lex_state = 351, .external_lex_state = 5},
  [4428] = {.lex_state = 66, .external_lex_state = 2},
  [4429] = {.lex_state = 48, .external_lex_state = 2},
  [4430] = {.lex_state = 75, .external_lex_state = 2},
  [4431] = {.lex_state = 66, .external_lex_state = 2},
  [4432] = {.lex_state = 351, .external_lex_state = 7},
  [4433] = {.lex_state = 48, .external_lex_state = 2},
  [4434] = {.lex_state = 66, .external_lex_state = 2},
  [4435] = {.lex_state = 66, .external_lex_state = 2},
  [4436] = {.lex_state = 66, .external_lex_state = 2},
  [4437] = {.lex_state = 351, .external_lex_state = 5},
  [4438] = {.lex_state = 75, .external_lex_state = 2},
  [4439] = {.lex_state = 48, .external_lex_state = 5},
  [4440] = {.lex_state = 55, .external_lex_state = 2},
  [4441] = {.lex_state = 75, .external_lex_state = 2},
  [4442] = {.lex_state = 51, .external_lex_state = 2},
  [4443] = {.lex_state = 351, .external_lex_state = 5},
  [4444] = {.lex_state = 351, .external_lex_state = 5},
  [4445] = {.lex_state = 351, .external_lex_state = 5},
  [4446] = {.lex_state = 351, .external_lex_state = 2},
  [4447] = {.lex_state = 50, .external_lex_state = 5},
  [4448] = {.lex_state = 51, .external_lex_state = 2},
  [4449] = {.lex_state = 66, .external_lex_state = 2},
  [4450] = {.lex_state = 51, .external_lex_state = 2},
  [4451] = {.lex_state = 351, .external_lex_state = 5},
  [4452] = {.lex_state = 78, .external_lex_state = 2},
  [4453] = {.lex_state = 351, .external_lex_state = 5},
  [4454] = {.lex_state = 55, .external_lex_state = 2},
  [4455] = {.lex_state = 351, .external_lex_state = 5},
  [4456] = {.lex_state = 351, .external_lex_state = 5},
  [4457] = {.lex_state = 351, .external_lex_state = 5},
  [4458] = {.lex_state = 48, .external_lex_state = 2},
  [4459] = {.lex_state = 351, .external_lex_state = 5},
  [4460] = {.lex_state = 351, .external_lex_state = 5},
  [4461] = {.lex_state = 51, .external_lex_state = 2},
  [4462] = {.lex_state = 50, .external_lex_state = 5},
  [4463] = {.lex_state = 50, .external_lex_state = 5},
  [4464] = {.lex_state = 351, .external_lex_state = 5},
  [4465] = {.lex_state = 51, .external_lex_state = 2},
  [4466] = {.lex_state = 351, .external_lex_state = 5},
  [4467] = {.lex_state = 51, .external_lex_state = 2},
  [4468] = {.lex_state = 351, .external_lex_state = 5},
  [4469] = {.lex_state = 351, .external_lex_state = 5},
  [4470] = {.lex_state = 351, .external_lex_state = 5},
  [4471] = {.lex_state = 351, .external_lex_state = 2},
  [4472] = {.lex_state = 51, .external_lex_state = 2},
  [4473] = {.lex_state = 351, .external_lex_state = 2},
  [4474] = {.lex_state = 351, .external_lex_state = 2},
  [4475] = {.lex_state = 351, .external_lex_state = 5},
  [4476] = {.lex_state = 351, .external_lex_state = 5},
  [4477] = {.lex_state = 66, .external_lex_state = 2},
  [4478] = {.lex_state = 351, .external_lex_state = 2},
  [4479] = {.lex_state = 351, .external_lex_state = 2},
  [4480] = {.lex_state = 351, .external_lex_state = 2},
  [4481] = {.lex_state = 51, .external_lex_state = 2},
  [4482] = {.lex_state = 51, .external_lex_state = 2},
  [4483] = {.lex_state = 351, .external_lex_state = 2},
  [4484] = {.lex_state = 351, .external_lex_state = 5},
  [4485] = {.lex_state = 351, .external_lex_state = 5},
  [4486] = {.lex_state = 351, .external_lex_state = 5},
  [4487] = {.lex_state = 351, .external_lex_state = 5},
  [4488] = {.lex_state = 51, .external_lex_state = 2},
  [4489] = {.lex_state = 351, .external_lex_state = 5},
  [4490] = {.lex_state = 50, .external_lex_state = 5},
  [4491] = {.lex_state = 351, .external_lex_state = 5},
  [4492] = {.lex_state = 351, .external_lex_state = 5},
  [4493] = {.lex_state = 351, .external_lex_state = 5},
  [4494] = {.lex_state = 351, .external_lex_state = 2},
  [4495] = {.lex_state = 351, .external_lex_state = 2},
  [4496] = {.lex_state = 351, .external_lex_state = 5},
  [4497] = {.lex_state = 51, .external_lex_state = 2},
  [4498] = {.lex_state = 351, .external_lex_state = 5},
  [4499] = {.lex_state = 51, .external_lex_state = 2},
  [4500] = {.lex_state = 351, .external_lex_state = 2},
  [4501] = {.lex_state = 51, .external_lex_state = 2},
  [4502] = {.lex_state = 351, .external_lex_state = 2},
  [4503] = {.lex_state = 351, .external_lex_state = 5},
  [4504] = {.lex_state = 351, .external_lex_state = 2},
  [4505] = {.lex_state = 351, .external_lex_state = 5},
  [4506] = {.lex_state = 351, .external_lex_state = 2},
  [4507] = {.lex_state = 351, .external_lex_state = 2},
  [4508] = {.lex_state = 51, .external_lex_state = 2},
  [4509] = {.lex_state = 351, .external_lex_state = 5},
  [4510] = {.lex_state = 51, .external_lex_state = 2},
  [4511] = {.lex_state = 351, .external_lex_state = 5},
  [4512] = {.lex_state = 351, .external_lex_state = 2},
  [4513] = {.lex_state = 351, .external_lex_state = 5},
  [4514] = {.lex_state = 351, .external_lex_state = 5},
  [4515] = {.lex_state = 351, .external_lex_state = 5},
  [4516] = {.lex_state = 51, .external_lex_state = 2},
  [4517] = {.lex_state = 50, .external_lex_state = 5},
  [4518] = {.lex_state = 51, .external_lex_state = 2},
  [4519] = {.lex_state = 66, .external_lex_state = 2},
  [4520] = {.lex_state = 351, .external_lex_state = 5},
  [4521] = {.lex_state = 351, .external_lex_state = 2},
  [4522] = {.lex_state = 78, .external_lex_state = 2},
  [4523] = {.lex_state = 351, .external_lex_state = 2},
  [4524] = {.lex_state = 351, .external_lex_state = 5},
  [4525] = {.lex_state = 351, .external_lex_state = 5},
  [4526] = {.lex_state = 351, .external_lex_state = 2},
  [4527] = {.lex_state = 351, .external_lex_state = 5},
  [4528] = {.lex_state = 351, .external_lex_state = 5},
  [4529] = {.lex_state = 351, .external_lex_state = 5},
  [4530] = {.lex_state = 351, .external_lex_state = 5},
  [4531] = {.lex_state = 351, .external_lex_state = 2},
  [4532] = {.lex_state = 351, .external_lex_state = 5},
  [4533] = {.lex_state = 351, .external_lex_state = 5},
  [4534] = {.lex_state = 351, .external_lex_state = 2},
  [4535] = {.lex_state = 351, .external_lex_state = 5},
  [4536] = {.lex_state = 351, .external_lex_state = 5},
  [4537] = {.lex_state = 351, .external_lex_state = 5},
  [4538] = {.lex_state = 351, .external_lex_state = 5},
  [4539] = {.lex_state = 351, .external_lex_state = 5},
  [4540] = {.lex_state = 351, .external_lex_state = 2},
  [4541] = {.lex_state = 351, .external_lex_state = 2},
  [4542] = {.lex_state = 351, .external_lex_state = 5},
  [4543] = {.lex_state = 351, .external_lex_state = 2},
  [4544] = {.lex_state = 351, .external_lex_state = 5},
  [4545] = {.lex_state = 48, .external_lex_state = 2},
  [4546] = {.lex_state = 66, .external_lex_state = 2},
  [4547] = {.lex_state = 51, .external_lex_state = 2},
  [4548] = {.lex_state = 351, .external_lex_state = 5},
  [4549] = {.lex_state = 351, .external_lex_state = 5},
  [4550] = {.lex_state = 351, .external_lex_state = 2},
  [4551] = {.lex_state = 351, .external_lex_state = 5},
  [4552] = {.lex_state = 351, .external_lex_state = 6},
  [4553] = {.lex_state = 351, .external_lex_state = 6},
  [4554] = {.lex_state = 351, .external_lex_state = 5},
  [4555] = {.lex_state = 351, .external_lex_state = 6},
  [4556] = {.lex_state = 351, .external_lex_state = 6},
  [4557] = {.lex_state = 351, .external_lex_state = 5},
  [4558] = {.lex_state = 351, .external_lex_state = 5},
  [4559] = {.lex_state = 351, .external_lex_state = 5},
  [4560] = {.lex_state = 351, .external_lex_state = 5},
  [4561] = {.lex_state = 351, .external_lex_state = 5},
  [4562] = {.lex_state = 351, .external_lex_state = 5},
  [4563] = {.lex_state = 351, .external_lex_state = 5},
  [4564] = {.lex_state = 351, .external_lex_state = 5},
  [4565] = {.lex_state = 351, .external_lex_state = 5},
  [4566] = {.lex_state = 351, .external_lex_state = 6},
  [4567] = {.lex_state = 351, .external_lex_state = 5},
  [4568] = {.lex_state = 351, .external_lex_state = 5},
  [4569] = {.lex_state = 351, .external_lex_state = 6},
  [4570] = {.lex_state = 351, .external_lex_state = 5},
  [4571] = {.lex_state = 351, .external_lex_state = 5},
  [4572] = {.lex_state = 351, .external_lex_state = 5},
  [4573] = {.lex_state = 351, .external_lex_state = 5},
  [4574] = {.lex_state = 351, .external_lex_state = 5},
  [4575] = {.lex_state = 351, .external_lex_state = 2},
  [4576] = {.lex_state = 351, .external_lex_state = 5},
  [4577] = {.lex_state = 48, .external_lex_state = 2},
  [4578] = {.lex_state = 351, .external_lex_state = 5},
  [4579] = {.lex_state = 351, .external_lex_state = 2},
  [4580] = {.lex_state = 351, .external_lex_state = 2},
  [4581] = {.lex_state = 351, .external_lex_state = 5},
  [4582] = {.lex_state = 351, .external_lex_state = 5},
  [4583] = {.lex_state = 51, .external_lex_state = 2},
  [4584] = {.lex_state = 351, .external_lex_state = 2},
  [4585] = {.lex_state = 351, .external_lex_state = 5},
  [4586] = {.lex_state = 351, .external_lex_state = 5},
  [4587] = {.lex_state = 351, .external_lex_state = 5},
  [4588] = {.lex_state = 48, .external_lex_state = 2},
  [4589] = {.lex_state = 351, .external_lex_state = 2},
  [4590] = {.lex_state = 351, .external_lex_state = 5},
  [4591] = {.lex_state = 351, .external_lex_state = 5},
  [4592] = {.lex_state = 351, .external_lex_state = 2},
  [4593] = {.lex_state = 351, .external_lex_state = 5},
  [4594] = {.lex_state = 351, .external_lex_state = 5},
  [4595] = {.lex_state = 351, .external_lex_state = 2},
  [4596] = {.lex_state = 51, .external_lex_state = 2},
  [4597] = {.lex_state = 351, .external_lex_state = 5},
  [4598] = {.lex_state = 66, .external_lex_state = 2},
  [4599] = {.lex_state = 51, .external_lex_state = 2},
  [4600] = {.lex_state = 351, .external_lex_state = 5},
  [4601] = {.lex_state = 72, .external_lex_state = 2},
  [4602] = {.lex_state = 51, .external_lex_state = 2},
  [4603] = {.lex_state = 48, .external_lex_state = 2},
  [4604] = {.lex_state = 48, .external_lex_state = 2},
  [4605] = {.lex_state = 351, .external_lex_state = 5},
  [4606] = {.lex_state = 50, .external_lex_state = 5},
  [4607] = {.lex_state = 351, .external_lex_state = 2},
  [4608] = {.lex_state = 48, .external_lex_state = 2},
  [4609] = {.lex_state = 351, .external_lex_state = 2},
  [4610] = {.lex_state = 351, .external_lex_state = 5},
  [4611] = {.lex_state = 351, .external_lex_state = 5},
  [4612] = {.lex_state = 78, .external_lex_state = 2},
  [4613] = {.lex_state = 351, .external_lex_state = 5},
  [4614] = {.lex_state = 351, .external_lex_state = 5},
  [4615] = {.lex_state = 351, .external_lex_state = 5},
  [4616] = {.lex_state = 351, .external_lex_state = 5},
  [4617] = {.lex_state = 351, .external_lex_state = 5},
  [4618] = {.lex_state = 351, .external_lex_state = 5},
  [4619] = {.lex_state = 351, .external_lex_state = 5},
  [4620] = {.lex_state = 351, .external_lex_state = 5},
  [4621] = {.lex_state = 51, .external_lex_state = 2},
  [4622] = {.lex_state = 51, .external_lex_state = 2},
  [4623] = {.lex_state = 351, .external_lex_state = 5},
  [4624] = {.lex_state = 351, .external_lex_state = 5},
  [4625] = {.lex_state = 351, .external_lex_state = 5},
  [4626] = {.lex_state = 78, .external_lex_state = 2},
  [4627] = {.lex_state = 51, .external_lex_state = 2},
  [4628] = {.lex_state = 351, .external_lex_state = 5},
  [4629] = {.lex_state = 51, .external_lex_state = 2},
  [4630] = {.lex_state = 51, .external_lex_state = 2},
  [4631] = {.lex_state = 351, .external_lex_state = 5},
  [4632] = {.lex_state = 351, .external_lex_state = 5},
  [4633] = {.lex_state = 351, .external_lex_state = 5},
  [4634] = {.lex_state = 51, .external_lex_state = 2},
  [4635] = {.lex_state = 51, .external_lex_state = 2},
  [4636] = {.lex_state = 351, .external_lex_state = 5},
  [4637] = {.lex_state = 351, .external_lex_state = 5},
  [4638] = {.lex_state = 351, .external_lex_state = 5},
  [4639] = {.lex_state = 351, .external_lex_state = 5},
  [4640] = {.lex_state = 351, .external_lex_state = 5},
  [4641] = {.lex_state = 351, .external_lex_state = 5},
  [4642] = {.lex_state = 51, .external_lex_state = 2},
  [4643] = {.lex_state = 72, .external_lex_state = 2},
  [4644] = {.lex_state = 351, .external_lex_state = 5},
  [4645] = {.lex_state = 351, .external_lex_state = 5},
  [4646] = {.lex_state = 351, .external_lex_state = 5},
  [4647] = {.lex_state = 351, .external_lex_state = 5},
  [4648] = {.lex_state = 66, .external_lex_state = 2},
  [4649] = {.lex_state = 48, .external_lex_state = 2},
  [4650] = {.lex_state = 351, .external_lex_state = 2},
  [4651] = {.lex_state = 51, .external_lex_state = 2},
  [4652] = {.lex_state = 48, .external_lex_state = 2},
  [4653] = {.lex_state = 351, .external_lex_state = 5},
  [4654] = {.lex_state = 50, .external_lex_state = 5},
  [4655] = {.lex_state = 51, .external_lex_state = 2},
  [4656] = {.lex_state = 66, .external_lex_state = 2},
  [4657] = {.lex_state = 351, .external_lex_state = 2},
  [4658] = {.lex_state = 351, .external_lex_state = 2},
  [4659] = {.lex_state = 51, .external_lex_state = 2},
  [4660] = {.lex_state = 51, .external_lex_state = 2},
  [4661] = {.lex_state = 351, .external_lex_state = 5},
  [4662] = {.lex_state = 351, .external_lex_state = 5},
  [4663] = {.lex_state = 351, .external_lex_state = 2},
  [4664] = {.lex_state = 351, .external_lex_state = 5},
  [4665] = {.lex_state = 351, .external_lex_state = 5},
  [4666] = {.lex_state = 351, .external_lex_state = 2},
  [4667] = {.lex_state = 351, .external_lex_state = 5},
  [4668] = {.lex_state = 351, .external_lex_state = 2},
  [4669] = {.lex_state = 48, .external_lex_state = 2},
  [4670] = {.lex_state = 351, .external_lex_state = 5},
  [4671] = {.lex_state = 351, .external_lex_state = 5},
  [4672] = {.lex_state = 351, .external_lex_state = 5},
  [4673] = {.lex_state = 351, .external_lex_state = 5},
  [4674] = {.lex_state = 351, .external_lex_state = 2},
  [4675] = {.lex_state = 51, .external_lex_state = 2},
  [4676] = {.lex_state = 351, .external_lex_state = 5},
  [4677] = {.lex_state = 51, .external_lex_state = 2},
  [4678] = {.lex_state = 351, .external_lex_state = 5},
  [4679] = {.lex_state = 351, .external_lex_state = 2},
  [4680] = {.lex_state = 351, .external_lex_state = 5},
  [4681] = {.lex_state = 72, .external_lex_state = 2},
  [4682] = {.lex_state = 51, .external_lex_state = 2},
  [4683] = {.lex_state = 351, .external_lex_state = 5},
  [4684] = {.lex_state = 351, .external_lex_state = 2},
  [4685] = {.lex_state = 51, .external_lex_state = 2},
  [4686] = {.lex_state = 50, .external_lex_state = 5},
  [4687] = {.lex_state = 351, .external_lex_state = 5},
  [4688] = {.lex_state = 351, .external_lex_state = 5},
  [4689] = {.lex_state = 351, .external_lex_state = 5},
  [4690] = {.lex_state = 78, .external_lex_state = 2},
  [4691] = {.lex_state = 351, .external_lex_state = 5},
  [4692] = {.lex_state = 50, .external_lex_state = 5},
  [4693] = {.lex_state = 351, .external_lex_state = 5},
  [4694] = {.lex_state = 351, .external_lex_state = 2},
  [4695] = {.lex_state = 351, .external_lex_state = 2},
  [4696] = {.lex_state = 351, .external_lex_state = 2},
  [4697] = {.lex_state = 351, .external_lex_state = 2},
  [4698] = {.lex_state = 351, .external_lex_state = 5},
  [4699] = {.lex_state = 351, .external_lex_state = 2},
  [4700] = {.lex_state = 351, .external_lex_state = 5},
  [4701] = {.lex_state = 51, .external_lex_state = 2},
  [4702] = {.lex_state = 351, .external_lex_state = 5},
  [4703] = {.lex_state = 351, .external_lex_state = 5},
  [4704] = {.lex_state = 48, .external_lex_state = 2},
  [4705] = {.lex_state = 351, .external_lex_state = 5},
  [4706] = {.lex_state = 351, .external_lex_state = 5},
  [4707] = {.lex_state = 351, .external_lex_state = 5},
  [4708] = {.lex_state = 351, .external_lex_state = 5},
  [4709] = {.lex_state = 351, .external_lex_state = 5},
  [4710] = {.lex_state = 48, .external_lex_state = 2},
  [4711] = {.lex_state = 351, .external_lex_state = 5},
  [4712] = {.lex_state = 351, .external_lex_state = 5},
  [4713] = {.lex_state = 351, .external_lex_state = 5},
  [4714] = {.lex_state = 48, .external_lex_state = 2},
  [4715] = {.lex_state = 351, .external_lex_state = 5},
  [4716] = {.lex_state = 48, .external_lex_state = 2},
  [4717] = {.lex_state = 48, .external_lex_state = 2},
  [4718] = {.lex_state = 48, .external_lex_state = 2},
  [4719] = {.lex_state = 48, .external_lex_state = 2},
  [4720] = {.lex_state = 48, .external_lex_state = 2},
  [4721] = {.lex_state = 48, .external_lex_state = 2},
  [4722] = {.lex_state = 48, .external_lex_state = 2},
  [4723] = {.lex_state = 351, .external_lex_state = 6},
  [4724] = {.lex_state = 351, .external_lex_state = 5},
  [4725] = {.lex_state = 48, .external_lex_state = 2},
  [4726] = {.lex_state = 48, .external_lex_state = 2},
  [4727] = {.lex_state = 351, .external_lex_state = 6},
  [4728] = {.lex_state = 351, .external_lex_state = 5},
  [4729] = {.lex_state = 351, .external_lex_state = 5},
  [4730] = {.lex_state = 351, .external_lex_state = 2},
  [4731] = {.lex_state = 48, .external_lex_state = 2},
  [4732] = {.lex_state = 351, .external_lex_state = 6},
  [4733] = {.lex_state = 351, .external_lex_state = 6},
  [4734] = {.lex_state = 48, .external_lex_state = 2},
  [4735] = {.lex_state = 48, .external_lex_state = 2},
  [4736] = {.lex_state = 351, .external_lex_state = 2},
  [4737] = {.lex_state = 351, .external_lex_state = 6},
  [4738] = {.lex_state = 351, .external_lex_state = 6},
  [4739] = {.lex_state = 51, .external_lex_state = 2},
  [4740] = {.lex_state = 51, .external_lex_state = 2},
  [4741] = {.lex_state = 51, .external_lex_state = 2},
  [4742] = {.lex_state = 51, .external_lex_state = 2},
  [4743] = {.lex_state = 351, .external_lex_state = 2},
  [4744] = {.lex_state = 351, .external_lex_state = 6},
  [4745] = {.lex_state = 351, .external_lex_state = 5},
  [4746] = {.lex_state = 48, .external_lex_state = 2},
  [4747] = {.lex_state = 351, .external_lex_state = 2},
  [4748] = {.lex_state = 351, .external_lex_state = 5},
  [4749] = {.lex_state = 48, .external_lex_state = 2},
  [4750] = {.lex_state = 351, .external_lex_state = 6},
  [4751] = {.lex_state = 48, .external_lex_state = 2},
  [4752] = {.lex_state = 48, .external_lex_state = 2},
  [4753] = {.lex_state = 51, .external_lex_state = 2},
  [4754] = {.lex_state = 48, .external_lex_state = 2},
  [4755] = {.lex_state = 48, .external_lex_state = 2},
  [4756] = {.lex_state = 351, .external_lex_state = 2},
  [4757] = {.lex_state = 351, .external_lex_state = 7},
  [4758] = {.lex_state = 351, .external_lex_state = 5},
  [4759] = {.lex_state = 351, .external_lex_state = 2},
  [4760] = {.lex_state = 48, .external_lex_state = 2},
  [4761] = {.lex_state = 351, .external_lex_state = 5},
  [4762] = {.lex_state = 351, .external_lex_state = 2},
  [4763] = {.lex_state = 351, .external_lex_state = 6},
  [4764] = {.lex_state = 51, .external_lex_state = 2},
  [4765] = {.lex_state = 351, .external_lex_state = 5},
  [4766] = {.lex_state = 48, .external_lex_state = 2},
  [4767] = {.lex_state = 351, .external_lex_state = 6},
  [4768] = {.lex_state = 48, .external_lex_state = 2},
  [4769] = {.lex_state = 48, .external_lex_state = 2},
  [4770] = {.lex_state = 351, .external_lex_state = 6},
  [4771] = {.lex_state = 72, .external_lex_state = 2},
  [4772] = {.lex_state = 48, .external_lex_state = 2},
  [4773] = {.lex_state = 351, .external_lex_state = 2},
  [4774] = {.lex_state = 351, .external_lex_state = 6},
  [4775] = {.lex_state = 351, .external_lex_state = 6},
  [4776] = {.lex_state = 351, .external_lex_state = 2},
  [4777] = {.lex_state = 351, .external_lex_state = 6},
  [4778] = {.lex_state = 351, .external_lex_state = 2},
  [4779] = {.lex_state = 351, .external_lex_state = 6},
  [4780] = {.lex_state = 48, .external_lex_state = 2},
  [4781] = {.lex_state = 51, .external_lex_state = 2},
  [4782] = {.lex_state = 48, .external_lex_state = 2},
  [4783] = {.lex_state = 351, .external_lex_state = 6},
  [4784] = {.lex_state = 48, .external_lex_state = 2},
  [4785] = {.lex_state = 351, .external_lex_state = 5},
  [4786] = {.lex_state = 48, .external_lex_state = 2},
  [4787] = {.lex_state = 48, .external_lex_state = 2},
  [4788] = {.lex_state = 51, .external_lex_state = 2},
  [4789] = {.lex_state = 51, .external_lex_state = 2},
  [4790] = {.lex_state = 351, .external_lex_state = 5},
  [4791] = {.lex_state = 351, .external_lex_state = 2},
  [4792] = {.lex_state = 351, .external_lex_state = 5},
  [4793] = {.lex_state = 48, .external_lex_state = 2},
  [4794] = {.lex_state = 48, .external_lex_state = 2},
  [4795] = {.lex_state = 51, .external_lex_state = 2},
  [4796] = {.lex_state = 351, .external_lex_state = 5},
  [4797] = {.lex_state = 351, .external_lex_state = 5},
  [4798] = {.lex_state = 72, .external_lex_state = 2},
  [4799] = {.lex_state = 351, .external_lex_state = 5},
  [4800] = {.lex_state = 72, .external_lex_state = 2},
  [4801] = {.lex_state = 351, .external_lex_state = 2},
  [4802] = {.lex_state = 351, .external_lex_state = 6},
  [4803] = {.lex_state = 351, .external_lex_state = 5},
  [4804] = {.lex_state = 48, .external_lex_state = 2},
  [4805] = {.lex_state = 351, .external_lex_state = 7},
  [4806] = {.lex_state = 351, .external_lex_state = 2},
  [4807] = {.lex_state = 351, .external_lex_state = 5},
  [4808] = {.lex_state = 51, .external_lex_state = 2},
  [4809] = {.lex_state = 351, .external_lex_state = 5},
  [4810] = {.lex_state = 351, .external_lex_state = 5},
  [4811] = {.lex_state = 351, .external_lex_state = 5},
  [4812] = {.lex_state = 51, .external_lex_state = 2},
  [4813] = {.lex_state = 351, .external_lex_state = 5},
  [4814] = {.lex_state = 51, .external_lex_state = 2},
  [4815] = {.lex_state = 351, .external_lex_state = 5},
  [4816] = {.lex_state = 351, .external_lex_state = 5},
  [4817] = {.lex_state = 351, .external_lex_state = 5},
  [4818] = {.lex_state = 351, .external_lex_state = 5},
  [4819] = {.lex_state = 48, .external_lex_state = 2},
  [4820] = {.lex_state = 351, .external_lex_state = 2},
  [4821] = {.lex_state = 351, .external_lex_state = 6},
  [4822] = {.lex_state = 51, .external_lex_state = 2},
  [4823] = {.lex_state = 351, .external_lex_state = 5},
  [4824] = {.lex_state = 351, .external_lex_state = 6},
  [4825] = {.lex_state = 351, .external_lex_state = 2},
  [4826] = {.lex_state = 48, .external_lex_state = 2},
  [4827] = {.lex_state = 51, .external_lex_state = 2},
  [4828] = {.lex_state = 51, .external_lex_state = 2},
  [4829] = {.lex_state = 351, .external_lex_state = 5},
  [4830] = {.lex_state = 351, .external_lex_state = 6},
  [4831] = {.lex_state = 51, .external_lex_state = 2},
  [4832] = {.lex_state = 51, .external_lex_state = 2},
  [4833] = {.lex_state = 351, .external_lex_state = 5},
  [4834] = {.lex_state = 351, .external_lex_state = 5},
  [4835] = {.lex_state = 351, .external_lex_state = 7},
  [4836] = {.lex_state = 351, .external_lex_state = 5},
  [4837] = {.lex_state = 51, .external_lex_state = 2},
  [4838] = {.lex_state = 351, .external_lex_state = 7},
  [4839] = {.lex_state = 51, .external_lex_state = 2},
  [4840] = {.lex_state = 72, .external_lex_state = 2},
  [4841] = {.lex_state = 351, .external_lex_state = 5},
  [4842] = {.lex_state = 351, .external_lex_state = 2},
  [4843] = {.lex_state = 351, .external_lex_state = 2},
  [4844] = {.lex_state = 351, .external_lex_state = 2},
  [4845] = {.lex_state = 48, .external_lex_state = 2},
  [4846] = {.lex_state = 48, .external_lex_state = 2},
  [4847] = {.lex_state = 48, .external_lex_state = 2},
  [4848] = {.lex_state = 48, .external_lex_state = 2},
  [4849] = {.lex_state = 48, .external_lex_state = 2},
  [4850] = {.lex_state = 351, .external_lex_state = 7},
  [4851] = {.lex_state = 351, .external_lex_state = 6},
  [4852] = {.lex_state = 351, .external_lex_state = 6},
  [4853] = {.lex_state = 48, .external_lex_state = 2},
  [4854] = {.lex_state = 351, .external_lex_state = 2},
  [4855] = {.lex_state = 351, .external_lex_state = 6},
  [4856] = {.lex_state = 51, .external_lex_state = 2},
  [4857] = {.lex_state = 51, .external_lex_state = 2},
  [4858] = {.lex_state = 351, .external_lex_state = 5},
  [4859] = {.lex_state = 51, .external_lex_state = 2},
  [4860] = {.lex_state = 351, .external_lex_state = 5},
  [4861] = {.lex_state = 51, .external_lex_state = 2},
  [4862] = {.lex_state = 51, .external_lex_state = 2},
  [4863] = {.lex_state = 51, .external_lex_state = 2},
  [4864] = {.lex_state = 351, .external_lex_state = 5},
  [4865] = {.lex_state = 351, .external_lex_state = 6},
  [4866] = {.lex_state = 48, .external_lex_state = 2},
  [4867] = {.lex_state = 48, .external_lex_state = 2},
  [4868] = {.lex_state = 48, .external_lex_state = 2},
  [4869] = {.lex_state = 48, .external_lex_state = 2},
  [4870] = {.lex_state = 51, .external_lex_state = 2},
  [4871] = {.lex_state = 351, .external_lex_state = 5},
  [4872] = {.lex_state = 351, .external_lex_state = 6},
  [4873] = {.lex_state = 51, .external_lex_state = 2},
  [4874] = {.lex_state = 351, .external_lex_state = 2},
  [4875] = {.lex_state = 51, .external_lex_state = 2},
  [4876] = {.lex_state = 351, .external_lex_state = 6},
  [4877] = {.lex_state = 351, .external_lex_state = 2},
  [4878] = {.lex_state = 351, .external_lex_state = 5},
  [4879] = {.lex_state = 51, .external_lex_state = 2},
  [4880] = {.lex_state = 351, .external_lex_state = 2},
  [4881] = {.lex_state = 66, .external_lex_state = 2},
  [4882] = {.lex_state = 48, .external_lex_state = 2},
  [4883] = {.lex_state = 48, .external_lex_state = 2},
  [4884] = {.lex_state = 351, .external_lex_state = 5},
  [4885] = {.lex_state = 351, .external_lex_state = 6},
  [4886] = {.lex_state = 351, .external_lex_state = 2},
  [4887] = {.lex_state = 351, .external_lex_state = 2},
  [4888] = {.lex_state = 66, .external_lex_state = 2},
  [4889] = {.lex_state = 48, .external_lex_state = 2},
  [4890] = {.lex_state = 51, .external_lex_state = 2},
  [4891] = {.lex_state = 351, .external_lex_state = 5},
  [4892] = {.lex_state = 351, .external_lex_state = 5},
  [4893] = {.lex_state = 51, .external_lex_state = 2},
  [4894] = {.lex_state = 51, .external_lex_state = 2},
  [4895] = {.lex_state = 351, .external_lex_state = 5},
  [4896] = {.lex_state = 351, .external_lex_state = 5},
  [4897] = {.lex_state = 351, .external_lex_state = 2},
  [4898] = {.lex_state = 48, .external_lex_state = 2},
  [4899] = {.lex_state = 48, .external_lex_state = 2},
  [4900] = {.lex_state = 48, .external_lex_state = 2},
  [4901] = {.lex_state = 351, .external_lex_state = 6},
  [4902] = {.lex_state = 51, .external_lex_state = 2},
  [4903] = {.lex_state = 51, .external_lex_state = 2},
  [4904] = {.lex_state = 48, .external_lex_state = 2},
  [4905] = {.lex_state = 51, .external_lex_state = 2},
  [4906] = {.lex_state = 351, .external_lex_state = 6},
  [4907] = {.lex_state = 51, .external_lex_state = 2},
  [4908] = {.lex_state = 51, .external_lex_state = 2},
  [4909] = {.lex_state = 351, .external_lex_state = 2},
  [4910] = {.lex_state = 51, .external_lex_state = 2},
  [4911] = {.lex_state = 51, .external_lex_state = 2},
  [4912] = {.lex_state = 51, .external_lex_state = 2},
  [4913] = {.lex_state = 48, .external_lex_state = 2},
  [4914] = {.lex_state = 351, .external_lex_state = 5},
  [4915] = {.lex_state = 351, .external_lex_state = 5},
  [4916] = {.lex_state = 48, .external_lex_state = 2},
  [4917] = {.lex_state = 72, .external_lex_state = 2},
  [4918] = {.lex_state = 50, .external_lex_state = 2},
  [4919] = {.lex_state = 50, .external_lex_state = 2},
  [4920] = {.lex_state = 351, .external_lex_state = 5},
  [4921] = {.lex_state = 351, .external_lex_state = 5},
  [4922] = {.lex_state = 351, .external_lex_state = 5},
  [4923] = {.lex_state = 351, .external_lex_state = 2},
  [4924] = {.lex_state = 351, .external_lex_state = 5},
  [4925] = {.lex_state = 72, .external_lex_state = 2},
  [4926] = {.lex_state = 351, .external_lex_state = 5},
  [4927] = {.lex_state = 351, .external_lex_state = 5},
  [4928] = {.lex_state = 351, .external_lex_state = 5},
  [4929] = {.lex_state = 351, .external_lex_state = 2},
  [4930] = {.lex_state = 351, .external_lex_state = 5},
  [4931] = {.lex_state = 351, .external_lex_state = 5},
  [4932] = {.lex_state = 48, .external_lex_state = 2},
  [4933] = {.lex_state = 351, .external_lex_state = 5},
  [4934] = {.lex_state = 351, .external_lex_state = 5},
  [4935] = {.lex_state = 48, .external_lex_state = 2},
  [4936] = {.lex_state = 351, .external_lex_state = 5},
  [4937] = {.lex_state = 351, .external_lex_state = 5},
  [4938] = {.lex_state = 351, .external_lex_state = 2},
  [4939] = {.lex_state = 351, .external_lex_state = 5},
  [4940] = {.lex_state = 351, .external_lex_state = 5},
  [4941] = {.lex_state = 351, .external_lex_state = 5},
  [4942] = {.lex_state = 48, .external_lex_state = 2},
  [4943] = {.lex_state = 72, .external_lex_state = 2},
  [4944] = {.lex_state = 351, .external_lex_state = 5},
  [4945] = {.lex_state = 351, .external_lex_state = 6},
  [4946] = {.lex_state = 351, .external_lex_state = 6},
  [4947] = {.lex_state = 351, .external_lex_state = 8},
  [4948] = {.lex_state = 351, .external_lex_state = 5},
  [4949] = {.lex_state = 48, .external_lex_state = 2},
  [4950] = {.lex_state = 351, .external_lex_state = 2},
  [4951] = {.lex_state = 351, .external_lex_state = 5},
  [4952] = {.lex_state = 72, .external_lex_state = 2},
  [4953] = {.lex_state = 72, .external_lex_state = 2},
  [4954] = {.lex_state = 351, .external_lex_state = 2},
  [4955] = {.lex_state = 351, .external_lex_state = 5},
  [4956] = {.lex_state = 351, .external_lex_state = 5},
  [4957] = {.lex_state = 351, .external_lex_state = 8},
  [4958] = {.lex_state = 351, .external_lex_state = 5},
  [4959] = {.lex_state = 66, .external_lex_state = 2},
  [4960] = {.lex_state = 351, .external_lex_state = 5},
  [4961] = {.lex_state = 72, .external_lex_state = 2},
  [4962] = {.lex_state = 72, .external_lex_state = 2},
  [4963] = {.lex_state = 48, .external_lex_state = 2},
  [4964] = {.lex_state = 351, .external_lex_state = 5},
  [4965] = {.lex_state = 351, .external_lex_state = 5},
  [4966] = {.lex_state = 351, .external_lex_state = 5},
  [4967] = {.lex_state = 351, .external_lex_state = 5},
  [4968] = {.lex_state = 82, .external_lex_state = 2},
  [4969] = {.lex_state = 351, .external_lex_state = 5},
  [4970] = {.lex_state = 82, .external_lex_state = 2},
  [4971] = {.lex_state = 351, .external_lex_state = 5},
  [4972] = {.lex_state = 351, .external_lex_state = 2},
  [4973] = {.lex_state = 351, .external_lex_state = 6},
  [4974] = {.lex_state = 351, .external_lex_state = 5},
  [4975] = {.lex_state = 48, .external_lex_state = 5},
  [4976] = {.lex_state = 351, .external_lex_state = 5},
  [4977] = {.lex_state = 48, .external_lex_state = 5},
  [4978] = {.lex_state = 351, .external_lex_state = 8},
  [4979] = {.lex_state = 351, .external_lex_state = 5},
  [4980] = {.lex_state = 66, .external_lex_state = 2},
  [4981] = {.lex_state = 351, .external_lex_state = 5},
  [4982] = {.lex_state = 351, .external_lex_state = 6},
  [4983] = {.lex_state = 48, .external_lex_state = 2},
  [4984] = {.lex_state = 48, .external_lex_state = 2},
  [4985] = {.lex_state = 351, .external_lex_state = 5},
  [4986] = {.lex_state = 48, .external_lex_state = 2},
  [4987] = {.lex_state = 351, .external_lex_state = 5},
  [4988] = {.lex_state = 351, .external_lex_state = 5},
  [4989] = {.lex_state = 351, .external_lex_state = 2},
  [4990] = {.lex_state = 351, .external_lex_state = 6},
  [4991] = {.lex_state = 351, .external_lex_state = 5},
  [4992] = {.lex_state = 48, .external_lex_state = 5},
  [4993] = {.lex_state = 351, .external_lex_state = 5},
  [4994] = {.lex_state = 351, .external_lex_state = 6},
  [4995] = {.lex_state = 48, .external_lex_state = 2},
  [4996] = {.lex_state = 48, .external_lex_state = 2},
  [4997] = {.lex_state = 72, .external_lex_state = 2},
  [4998] = {.lex_state = 72, .external_lex_state = 2},
  [4999] = {.lex_state = 351, .external_lex_state = 5},
  [5000] = {.lex_state = 72, .external_lex_state = 2},
  [5001] = {.lex_state = 351, .external_lex_state = 5},
  [5002] = {.lex_state = 351, .external_lex_state = 5},
  [5003] = {.lex_state = 351, .external_lex_state = 5},
  [5004] = {.lex_state = 351, .external_lex_state = 5},
  [5005] = {.lex_state = 351, .external_lex_state = 5},
  [5006] = {.lex_state = 48, .external_lex_state = 5},
  [5007] = {.lex_state = 51, .external_lex_state = 2},
  [5008] = {.lex_state = 351, .external_lex_state = 5},
  [5009] = {.lex_state = 72, .external_lex_state = 2},
  [5010] = {.lex_state = 351, .external_lex_state = 5},
  [5011] = {.lex_state = 351, .external_lex_state = 5},
  [5012] = {.lex_state = 351, .external_lex_state = 5},
  [5013] = {.lex_state = 351, .external_lex_state = 5},
  [5014] = {.lex_state = 351, .external_lex_state = 5},
  [5015] = {.lex_state = 48, .external_lex_state = 2},
  [5016] = {.lex_state = 351, .external_lex_state = 5},
  [5017] = {.lex_state = 351, .external_lex_state = 5},
  [5018] = {.lex_state = 351, .external_lex_state = 5},
  [5019] = {.lex_state = 351, .external_lex_state = 5},
  [5020] = {.lex_state = 82, .external_lex_state = 2},
  [5021] = {.lex_state = 351, .external_lex_state = 5},
  [5022] = {.lex_state = 351, .external_lex_state = 5},
  [5023] = {.lex_state = 351, .external_lex_state = 5},
  [5024] = {.lex_state = 48, .external_lex_state = 2},
  [5025] = {.lex_state = 351, .external_lex_state = 5},
  [5026] = {.lex_state = 48, .external_lex_state = 2},
  [5027] = {.lex_state = 351, .external_lex_state = 5},
  [5028] = {.lex_state = 82, .external_lex_state = 2},
  [5029] = {.lex_state = 351, .external_lex_state = 5},
  [5030] = {.lex_state = 351, .external_lex_state = 2},
  [5031] = {.lex_state = 351, .external_lex_state = 5},
  [5032] = {.lex_state = 351, .external_lex_state = 2},
  [5033] = {.lex_state = 351, .external_lex_state = 5},
  [5034] = {.lex_state = 351, .external_lex_state = 2},
  [5035] = {.lex_state = 351, .external_lex_state = 5},
  [5036] = {.lex_state = 82, .external_lex_state = 2},
  [5037] = {.lex_state = 82, .external_lex_state = 2},
  [5038] = {.lex_state = 48, .external_lex_state = 2},
  [5039] = {.lex_state = 48, .external_lex_state = 2},
  [5040] = {.lex_state = 351, .external_lex_state = 5},
  [5041] = {.lex_state = 48, .external_lex_state = 2},
  [5042] = {.lex_state = 48, .external_lex_state = 2},
  [5043] = {.lex_state = 351, .external_lex_state = 5},
  [5044] = {.lex_state = 48, .external_lex_state = 2},
  [5045] = {.lex_state = 351, .external_lex_state = 5},
  [5046] = {.lex_state = 48, .external_lex_state = 2},
  [5047] = {.lex_state = 66, .external_lex_state = 2},
  [5048] = {.lex_state = 48, .external_lex_state = 2},
  [5049] = {.lex_state = 82, .external_lex_state = 2},
  [5050] = {.lex_state = 82, .external_lex_state = 2},
  [5051] = {.lex_state = 82, .external_lex_state = 2},
  [5052] = {.lex_state = 48, .external_lex_state = 2},
  [5053] = {.lex_state = 82, .external_lex_state = 2},
  [5054] = {.lex_state = 82, .external_lex_state = 2},
  [5055] = {.lex_state = 82, .external_lex_state = 2},
  [5056] = {.lex_state = 82, .external_lex_state = 2},
  [5057] = {.lex_state = 59, .external_lex_state = 2},
  [5058] = {.lex_state = 351, .external_lex_state = 5},
  [5059] = {.lex_state = 48, .external_lex_state = 2},
  [5060] = {.lex_state = 351, .external_lex_state = 5},
  [5061] = {.lex_state = 351, .external_lex_state = 5},
  [5062] = {.lex_state = 351, .external_lex_state = 5},
  [5063] = {.lex_state = 351, .external_lex_state = 5},
  [5064] = {.lex_state = 351, .external_lex_state = 5},
  [5065] = {.lex_state = 48, .external_lex_state = 2},
  [5066] = {.lex_state = 48, .external_lex_state = 2},
  [5067] = {.lex_state = 351, .external_lex_state = 2},
  [5068] = {.lex_state = 66, .external_lex_state = 2},
  [5069] = {.lex_state = 72, .external_lex_state = 2},
  [5070] = {.lex_state = 72, .external_lex_state = 2},
  [5071] = {.lex_state = 48, .external_lex_state = 2},
  [5072] = {.lex_state = 48, .external_lex_state = 2},
  [5073] = {.lex_state = 48, .external_lex_state = 2},
  [5074] = {.lex_state = 48, .external_lex_state = 2},
  [5075] = {.lex_state = 351, .external_lex_state = 5},
  [5076] = {.lex_state = 48, .external_lex_state = 5},
  [5077] = {.lex_state = 72, .external_lex_state = 2},
  [5078] = {.lex_state = 351, .external_lex_state = 5},
  [5079] = {.lex_state = 72, .external_lex_state = 2},
  [5080] = {.lex_state = 48, .external_lex_state = 2},
  [5081] = {.lex_state = 351, .external_lex_state = 2},
  [5082] = {.lex_state = 72, .external_lex_state = 2},
  [5083] = {.lex_state = 48, .external_lex_state = 2},
  [5084] = {.lex_state = 351, .external_lex_state = 5},
  [5085] = {.lex_state = 351, .external_lex_state = 5},
  [5086] = {.lex_state = 351, .external_lex_state = 5},
  [5087] = {.lex_state = 351, .external_lex_state = 5},
  [5088] = {.lex_state = 351, .external_lex_state = 5},
  [5089] = {.lex_state = 351, .external_lex_state = 5},
  [5090] = {.lex_state = 351, .external_lex_state = 5},
  [5091] = {.lex_state = 351, .external_lex_state = 5},
  [5092] = {.lex_state = 351, .external_lex_state = 5},
  [5093] = {.lex_state = 48, .external_lex_state = 2},
  [5094] = {.lex_state = 351, .external_lex_state = 5},
  [5095] = {.lex_state = 72, .external_lex_state = 2},
  [5096] = {.lex_state = 351, .external_lex_state = 5},
  [5097] = {.lex_state = 351, .external_lex_state = 5},
  [5098] = {.lex_state = 72, .external_lex_state = 2},
  [5099] = {.lex_state = 72, .external_lex_state = 2},
  [5100] = {.lex_state = 351, .external_lex_state = 5},
  [5101] = {.lex_state = 351, .external_lex_state = 5},
  [5102] = {.lex_state = 48, .external_lex_state = 2},
  [5103] = {.lex_state = 351, .external_lex_state = 5},
  [5104] = {.lex_state = 48, .external_lex_state = 2},
  [5105] = {.lex_state = 48, .external_lex_state = 2},
  [5106] = {.lex_state = 66, .external_lex_state = 2},
  [5107] = {.lex_state = 351, .external_lex_state = 5},
  [5108] = {.lex_state = 72, .external_lex_state = 2},
  [5109] = {.lex_state = 72, .external_lex_state = 2},
  [5110] = {.lex_state = 48, .external_lex_state = 2},
  [5111] = {.lex_state = 351, .external_lex_state = 5},
  [5112] = {.lex_state = 48, .external_lex_state = 2},
  [5113] = {.lex_state = 48, .external_lex_state = 2},
  [5114] = {.lex_state = 48, .external_lex_state = 2},
  [5115] = {.lex_state = 351, .external_lex_state = 5},
  [5116] = {.lex_state = 82, .external_lex_state = 2},
  [5117] = {.lex_state = 351, .external_lex_state = 5},
  [5118] = {.lex_state = 351, .external_lex_state = 5},
  [5119] = {.lex_state = 48, .external_lex_state = 2},
  [5120] = {.lex_state = 351, .external_lex_state = 2},
  [5121] = {.lex_state = 351, .external_lex_state = 5},
  [5122] = {.lex_state = 50, .external_lex_state = 2},
  [5123] = {.lex_state = 48, .external_lex_state = 2},
  [5124] = {.lex_state = 351, .external_lex_state = 5},
  [5125] = {.lex_state = 351, .external_lex_state = 5},
  [5126] = {.lex_state = 351, .external_lex_state = 5},
  [5127] = {.lex_state = 351, .external_lex_state = 5},
  [5128] = {.lex_state = 351, .external_lex_state = 5},
  [5129] = {.lex_state = 351, .external_lex_state = 5},
  [5130] = {.lex_state = 351, .external_lex_state = 5},
  [5131] = {.lex_state = 351, .external_lex_state = 5},
  [5132] = {.lex_state = 48, .external_lex_state = 2},
  [5133] = {.lex_state = 48, .external_lex_state = 2},
  [5134] = {.lex_state = 351, .external_lex_state = 5},
  [5135] = {.lex_state = 351, .external_lex_state = 5},
  [5136] = {.lex_state = 351, .external_lex_state = 5},
  [5137] = {.lex_state = 351, .external_lex_state = 5},
  [5138] = {.lex_state = 351, .external_lex_state = 5},
  [5139] = {.lex_state = 48, .external_lex_state = 2},
  [5140] = {.lex_state = 351, .external_lex_state = 5},
  [5141] = {.lex_state = 48, .external_lex_state = 2},
  [5142] = {.lex_state = 351, .external_lex_state = 5},
  [5143] = {.lex_state = 351, .external_lex_state = 5},
  [5144] = {.lex_state = 351, .external_lex_state = 5},
  [5145] = {.lex_state = 351, .external_lex_state = 5},
  [5146] = {.lex_state = 351, .external_lex_state = 5},
  [5147] = {.lex_state = 48, .external_lex_state = 2},
  [5148] = {.lex_state = 351, .external_lex_state = 5},
  [5149] = {.lex_state = 351, .external_lex_state = 5},
  [5150] = {.lex_state = 351, .external_lex_state = 5},
  [5151] = {.lex_state = 351, .external_lex_state = 5},
  [5152] = {.lex_state = 351, .external_lex_state = 5},
  [5153] = {.lex_state = 351, .external_lex_state = 5},
  [5154] = {.lex_state = 351, .external_lex_state = 5},
  [5155] = {.lex_state = 351, .external_lex_state = 6},
  [5156] = {.lex_state = 351, .external_lex_state = 5},
  [5157] = {.lex_state = 48, .external_lex_state = 2},
  [5158] = {.lex_state = 72, .external_lex_state = 2},
  [5159] = {.lex_state = 351, .external_lex_state = 5},
  [5160] = {.lex_state = 48, .external_lex_state = 2},
  [5161] = {.lex_state = 351, .external_lex_state = 5},
  [5162] = {.lex_state = 351, .external_lex_state = 2},
  [5163] = {.lex_state = 72, .external_lex_state = 2},
  [5164] = {.lex_state = 351, .external_lex_state = 5},
  [5165] = {.lex_state = 48, .external_lex_state = 2},
  [5166] = {.lex_state = 48, .external_lex_state = 2},
  [5167] = {.lex_state = 351, .external_lex_state = 5},
  [5168] = {.lex_state = 48, .external_lex_state = 2},
  [5169] = {.lex_state = 82, .external_lex_state = 2},
  [5170] = {.lex_state = 48, .external_lex_state = 2},
  [5171] = {.lex_state = 351, .external_lex_state = 5},
  [5172] = {.lex_state = 351, .external_lex_state = 5},
  [5173] = {.lex_state = 48, .external_lex_state = 2},
  [5174] = {.lex_state = 48, .external_lex_state = 2},
  [5175] = {.lex_state = 351, .external_lex_state = 5},
  [5176] = {.lex_state = 48, .external_lex_state = 2},
  [5177] = {.lex_state = 48, .external_lex_state = 2},
  [5178] = {.lex_state = 351, .external_lex_state = 5},
  [5179] = {.lex_state = 351, .external_lex_state = 5},
  [5180] = {.lex_state = 48, .external_lex_state = 2},
  [5181] = {.lex_state = 351, .external_lex_state = 2},
  [5182] = {.lex_state = 48, .external_lex_state = 2},
  [5183] = {.lex_state = 48, .external_lex_state = 2},
  [5184] = {.lex_state = 48, .external_lex_state = 2},
  [5185] = {.lex_state = 351, .external_lex_state = 5},
  [5186] = {.lex_state = 48, .external_lex_state = 2},
  [5187] = {.lex_state = 351, .external_lex_state = 5},
  [5188] = {.lex_state = 351, .external_lex_state = 5},
  [5189] = {.lex_state = 351, .external_lex_state = 5},
  [5190] = {.lex_state = 351, .external_lex_state = 5},
  [5191] = {.lex_state = 351, .external_lex_state = 5},
  [5192] = {.lex_state = 351, .external_lex_state = 5},
  [5193] = {.lex_state = 351, .external_lex_state = 5},
  [5194] = {.lex_state = 48, .external_lex_state = 2},
  [5195] = {.lex_state = 351, .external_lex_state = 5},
  [5196] = {.lex_state = 351, .external_lex_state = 5},
  [5197] = {.lex_state = 351, .external_lex_state = 5},
  [5198] = {.lex_state = 351, .external_lex_state = 5},
  [5199] = {.lex_state = 351, .external_lex_state = 5},
  [5200] = {.lex_state = 72, .external_lex_state = 2},
  [5201] = {.lex_state = 351, .external_lex_state = 5},
  [5202] = {.lex_state = 351, .external_lex_state = 5},
  [5203] = {.lex_state = 72, .external_lex_state = 2},
  [5204] = {.lex_state = 351, .external_lex_state = 5},
  [5205] = {.lex_state = 351, .external_lex_state = 5},
  [5206] = {.lex_state = 48, .external_lex_state = 2},
  [5207] = {.lex_state = 72, .external_lex_state = 2},
  [5208] = {.lex_state = 351, .external_lex_state = 5},
  [5209] = {.lex_state = 351, .external_lex_state = 5},
  [5210] = {.lex_state = 351, .external_lex_state = 5},
  [5211] = {.lex_state = 48, .external_lex_state = 2},
  [5212] = {.lex_state = 351, .external_lex_state = 5},
  [5213] = {.lex_state = 351, .external_lex_state = 5},
  [5214] = {.lex_state = 351, .external_lex_state = 5},
  [5215] = {.lex_state = 72, .external_lex_state = 2},
  [5216] = {.lex_state = 72, .external_lex_state = 2},
  [5217] = {.lex_state = 72, .external_lex_state = 2},
  [5218] = {.lex_state = 48, .external_lex_state = 2},
  [5219] = {.lex_state = 351, .external_lex_state = 5},
  [5220] = {.lex_state = 351, .external_lex_state = 5},
  [5221] = {.lex_state = 82, .external_lex_state = 2},
  [5222] = {.lex_state = 351, .external_lex_state = 5},
  [5223] = {.lex_state = 72, .external_lex_state = 2},
  [5224] = {.lex_state = 351, .external_lex_state = 5},
  [5225] = {.lex_state = 351, .external_lex_state = 5},
  [5226] = {.lex_state = 351, .external_lex_state = 5},
  [5227] = {.lex_state = 72, .external_lex_state = 2},
  [5228] = {.lex_state = 351, .external_lex_state = 5},
  [5229] = {.lex_state = 48, .external_lex_state = 2},
  [5230] = {.lex_state = 50, .external_lex_state = 2},
  [5231] = {.lex_state = 351, .external_lex_state = 5},
  [5232] = {.lex_state = 48, .external_lex_state = 2},
  [5233] = {.lex_state = 351, .external_lex_state = 5},
  [5234] = {.lex_state = 48, .external_lex_state = 2},
  [5235] = {.lex_state = 351, .external_lex_state = 8},
  [5236] = {.lex_state = 351, .external_lex_state = 6},
  [5237] = {.lex_state = 351, .external_lex_state = 5},
  [5238] = {.lex_state = 351, .external_lex_state = 5},
  [5239] = {.lex_state = 48, .external_lex_state = 2},
  [5240] = {.lex_state = 351, .external_lex_state = 5},
  [5241] = {.lex_state = 48, .external_lex_state = 2},
  [5242] = {.lex_state = 351, .external_lex_state = 6},
  [5243] = {.lex_state = 48, .external_lex_state = 2},
  [5244] = {.lex_state = 351, .external_lex_state = 5},
  [5245] = {.lex_state = 351, .external_lex_state = 5},
  [5246] = {.lex_state = 351, .external_lex_state = 5},
  [5247] = {.lex_state = 351, .external_lex_state = 5},
  [5248] = {.lex_state = 351, .external_lex_state = 5},
  [5249] = {.lex_state = 48, .external_lex_state = 2},
  [5250] = {.lex_state = 351, .external_lex_state = 5},
  [5251] = {.lex_state = 72, .external_lex_state = 2},
  [5252] = {.lex_state = 72, .external_lex_state = 2},
  [5253] = {.lex_state = 351, .external_lex_state = 5},
  [5254] = {.lex_state = 351, .external_lex_state = 5},
  [5255] = {.lex_state = 351, .external_lex_state = 5},
  [5256] = {.lex_state = 48, .external_lex_state = 2},
  [5257] = {.lex_state = 351, .external_lex_state = 5},
  [5258] = {.lex_state = 48, .external_lex_state = 2},
  [5259] = {.lex_state = 48, .external_lex_state = 2},
  [5260] = {.lex_state = 351, .external_lex_state = 5},
  [5261] = {.lex_state = 351, .external_lex_state = 5},
  [5262] = {.lex_state = 351, .external_lex_state = 8},
  [5263] = {.lex_state = 351, .external_lex_state = 5},
  [5264] = {.lex_state = 48, .external_lex_state = 2},
  [5265] = {.lex_state = 48, .external_lex_state = 2},
  [5266] = {.lex_state = 66, .external_lex_state = 2},
  [5267] = {.lex_state = 351, .external_lex_state = 5},
  [5268] = {.lex_state = 48, .external_lex_state = 2},
  [5269] = {.lex_state = 48, .external_lex_state = 2},
  [5270] = {.lex_state = 351, .external_lex_state = 5},
  [5271] = {.lex_state = 351, .external_lex_state = 5},
  [5272] = {.lex_state = 48, .external_lex_state = 2},
  [5273] = {.lex_state = 351, .external_lex_state = 5},
  [5274] = {.lex_state = 48, .external_lex_state = 2},
  [5275] = {.lex_state = 48, .external_lex_state = 2},
  [5276] = {.lex_state = 82, .external_lex_state = 2},
  [5277] = {.lex_state = 351, .external_lex_state = 5},
  [5278] = {.lex_state = 82, .external_lex_state = 2},
  [5279] = {.lex_state = 351, .external_lex_state = 5},
  [5280] = {.lex_state = 48, .external_lex_state = 2},
  [5281] = {.lex_state = 351, .external_lex_state = 5},
  [5282] = {.lex_state = 351, .external_lex_state = 2},
  [5283] = {.lex_state = 48, .external_lex_state = 2},
  [5284] = {.lex_state = 82, .external_lex_state = 2},
  [5285] = {.lex_state = 351, .external_lex_state = 6},
  [5286] = {.lex_state = 351, .external_lex_state = 5},
  [5287] = {.lex_state = 48, .external_lex_state = 2},
  [5288] = {.lex_state = 48, .external_lex_state = 5},
  [5289] = {.lex_state = 82, .external_lex_state = 2},
  [5290] = {.lex_state = 351, .external_lex_state = 5},
  [5291] = {.lex_state = 48, .external_lex_state = 2},
  [5292] = {.lex_state = 82, .external_lex_state = 2},
  [5293] = {.lex_state = 351, .external_lex_state = 5},
  [5294] = {.lex_state = 48, .external_lex_state = 2},
  [5295] = {.lex_state = 351, .external_lex_state = 2},
  [5296] = {.lex_state = 82, .external_lex_state = 2},
  [5297] = {.lex_state = 82, .external_lex_state = 2},
  [5298] = {.lex_state = 351, .external_lex_state = 5},
  [5299] = {.lex_state = 82, .external_lex_state = 2},
  [5300] = {.lex_state = 351, .external_lex_state = 5},
  [5301] = {.lex_state = 351, .external_lex_state = 5},
  [5302] = {.lex_state = 351, .external_lex_state = 5},
  [5303] = {.lex_state = 351, .external_lex_state = 5},
  [5304] = {.lex_state = 82, .external_lex_state = 2},
  [5305] = {.lex_state = 351, .external_lex_state = 8},
  [5306] = {.lex_state = 351, .external_lex_state = 5},
  [5307] = {.lex_state = 351, .external_lex_state = 5},
  [5308] = {.lex_state = 82, .external_lex_state = 2},
  [5309] = {.lex_state = 72, .external_lex_state = 2},
  [5310] = {.lex_state = 351, .external_lex_state = 5},
  [5311] = {.lex_state = 351, .external_lex_state = 8},
  [5312] = {.lex_state = 351, .external_lex_state = 6},
  [5313] = {.lex_state = 48, .external_lex_state = 2},
  [5314] = {.lex_state = 351, .external_lex_state = 5},
  [5315] = {.lex_state = 351, .external_lex_state = 5},
  [5316] = {.lex_state = 82, .external_lex_state = 2},
  [5317] = {.lex_state = 351, .external_lex_state = 5},
  [5318] = {.lex_state = 351, .external_lex_state = 5},
  [5319] = {.lex_state = 351, .external_lex_state = 5},
  [5320] = {.lex_state = 82, .external_lex_state = 2},
  [5321] = {.lex_state = 351, .external_lex_state = 5},
  [5322] = {.lex_state = 72, .external_lex_state = 2},
  [5323] = {.lex_state = 351, .external_lex_state = 5},
  [5324] = {.lex_state = 72, .external_lex_state = 2},
  [5325] = {.lex_state = 72, .external_lex_state = 2},
  [5326] = {.lex_state = 351, .external_lex_state = 5},
  [5327] = {.lex_state = 351, .external_lex_state = 5},
  [5328] = {.lex_state = 66, .external_lex_state = 2},
  [5329] = {.lex_state = 351, .external_lex_state = 5},
  [5330] = {.lex_state = 351, .external_lex_state = 5},
  [5331] = {.lex_state = 351, .external_lex_state = 5},
  [5332] = {.lex_state = 351, .external_lex_state = 5},
  [5333] = {.lex_state = 51, .external_lex_state = 2},
  [5334] = {.lex_state = 50, .external_lex_state = 5},
  [5335] = {.lex_state = 351, .external_lex_state = 5},
  [5336] = {.lex_state = 351, .external_lex_state = 5},
  [5337] = {.lex_state = 351, .external_lex_state = 5},
  [5338] = {.lex_state = 351, .external_lex_state = 5},
  [5339] = {.lex_state = 351, .external_lex_state = 5},
  [5340] = {.lex_state = 351, .external_lex_state = 2},
  [5341] = {.lex_state = 351, .external_lex_state = 5},
  [5342] = {.lex_state = 351, .external_lex_state = 5},
  [5343] = {.lex_state = 351, .external_lex_state = 5},
  [5344] = {.lex_state = 351, .external_lex_state = 5},
  [5345] = {.lex_state = 51, .external_lex_state = 2},
  [5346] = {.lex_state = 351, .external_lex_state = 5},
  [5347] = {.lex_state = 351, .external_lex_state = 5},
  [5348] = {.lex_state = 48, .external_lex_state = 2},
  [5349] = {.lex_state = 48, .external_lex_state = 2},
  [5350] = {.lex_state = 351, .external_lex_state = 5},
  [5351] = {.lex_state = 351, .external_lex_state = 5},
  [5352] = {.lex_state = 351, .external_lex_state = 5},
  [5353] = {.lex_state = 351, .external_lex_state = 5},
  [5354] = {.lex_state = 351, .external_lex_state = 2},
  [5355] = {.lex_state = 48, .external_lex_state = 2},
  [5356] = {.lex_state = 351, .external_lex_state = 5},
  [5357] = {.lex_state = 351, .external_lex_state = 5},
  [5358] = {.lex_state = 351, .external_lex_state = 5},
  [5359] = {.lex_state = 351, .external_lex_state = 5},
  [5360] = {.lex_state = 351, .external_lex_state = 5},
  [5361] = {.lex_state = 351, .external_lex_state = 5},
  [5362] = {.lex_state = 351, .external_lex_state = 8},
  [5363] = {.lex_state = 351, .external_lex_state = 5},
  [5364] = {.lex_state = 72, .external_lex_state = 2},
  [5365] = {.lex_state = 351, .external_lex_state = 5},
  [5366] = {.lex_state = 351, .external_lex_state = 6},
  [5367] = {.lex_state = 351, .external_lex_state = 5},
  [5368] = {.lex_state = 351, .external_lex_state = 6},
  [5369] = {.lex_state = 351, .external_lex_state = 5},
  [5370] = {.lex_state = 351, .external_lex_state = 6},
  [5371] = {.lex_state = 351, .external_lex_state = 2},
  [5372] = {.lex_state = 351, .external_lex_state = 2},
  [5373] = {.lex_state = 351, .external_lex_state = 5},
  [5374] = {.lex_state = 351, .external_lex_state = 6},
  [5375] = {.lex_state = 351, .external_lex_state = 6},
  [5376] = {.lex_state = 351, .external_lex_state = 5},
  [5377] = {.lex_state = 48, .external_lex_state = 5},
  [5378] = {.lex_state = 351, .external_lex_state = 6},
  [5379] = {.lex_state = 351, .external_lex_state = 5},
  [5380] = {.lex_state = 351, .external_lex_state = 5},
  [5381] = {.lex_state = 351, .external_lex_state = 5},
  [5382] = {.lex_state = 48, .external_lex_state = 5},
  [5383] = {.lex_state = 351, .external_lex_state = 5},
  [5384] = {.lex_state = 351, .external_lex_state = 2},
  [5385] = {.lex_state = 351, .external_lex_state = 5},
  [5386] = {.lex_state = 48, .external_lex_state = 2},
  [5387] = {.lex_state = 351, .external_lex_state = 5},
  [5388] = {.lex_state = 351, .external_lex_state = 5},
  [5389] = {.lex_state = 48, .external_lex_state = 5},
  [5390] = {.lex_state = 351, .external_lex_state = 5},
  [5391] = {.lex_state = 351, .external_lex_state = 5},
  [5392] = {.lex_state = 351, .external_lex_state = 5},
  [5393] = {.lex_state = 351, .external_lex_state = 5},
  [5394] = {.lex_state = 351, .external_lex_state = 5},
  [5395] = {.lex_state = 351, .external_lex_state = 5},
  [5396] = {.lex_state = 351, .external_lex_state = 2},
  [5397] = {.lex_state = 351, .external_lex_state = 5},
  [5398] = {.lex_state = 351, .external_lex_state = 5},
  [5399] = {.lex_state = 351, .external_lex_state = 8},
  [5400] = {.lex_state = 48, .external_lex_state = 2},
  [5401] = {.lex_state = 351, .external_lex_state = 5},
  [5402] = {.lex_state = 351, .external_lex_state = 2},
  [5403] = {.lex_state = 351, .external_lex_state = 2},
  [5404] = {.lex_state = 351, .external_lex_state = 5},
  [5405] = {.lex_state = 351, .external_lex_state = 5},
  [5406] = {.lex_state = 351, .external_lex_state = 5},
  [5407] = {.lex_state = 351, .external_lex_state = 6},
  [5408] = {.lex_state = 351, .external_lex_state = 5},
  [5409] = {.lex_state = 351, .external_lex_state = 5},
  [5410] = {.lex_state = 351, .external_lex_state = 5},
  [5411] = {.lex_state = 48, .external_lex_state = 2},
  [5412] = {.lex_state = 351, .external_lex_state = 5},
  [5413] = {.lex_state = 351, .external_lex_state = 5},
  [5414] = {.lex_state = 351, .external_lex_state = 5},
  [5415] = {.lex_state = 351, .external_lex_state = 5},
  [5416] = {.lex_state = 351, .external_lex_state = 5},
  [5417] = {.lex_state = 351, .external_lex_state = 5},
  [5418] = {.lex_state = 351, .external_lex_state = 5},
  [5419] = {.lex_state = 351, .external_lex_state = 2},
  [5420] = {.lex_state = 48, .external_lex_state = 2},
  [5421] = {.lex_state = 50, .external_lex_state = 5},
  [5422] = {.lex_state = 351, .external_lex_state = 5},
  [5423] = {.lex_state = 48, .external_lex_state = 2},
  [5424] = {.lex_state = 48, .external_lex_state = 2},
  [5425] = {.lex_state = 351, .external_lex_state = 5},
  [5426] = {.lex_state = 48, .external_lex_state = 2},
  [5427] = {.lex_state = 351, .external_lex_state = 5},
  [5428] = {.lex_state = 48, .external_lex_state = 2},
  [5429] = {.lex_state = 48, .external_lex_state = 2},
  [5430] = {.lex_state = 351, .external_lex_state = 5},
  [5431] = {.lex_state = 351, .external_lex_state = 5},
  [5432] = {.lex_state = 351, .external_lex_state = 5},
  [5433] = {.lex_state = 351, .external_lex_state = 2},
  [5434] = {.lex_state = 351, .external_lex_state = 2},
  [5435] = {.lex_state = 351, .external_lex_state = 2},
  [5436] = {.lex_state = 48, .external_lex_state = 2},
  [5437] = {.lex_state = 351, .external_lex_state = 5},
  [5438] = {.lex_state = 351, .external_lex_state = 5},
  [5439] = {.lex_state = 351, .external_lex_state = 5},
  [5440] = {.lex_state = 48, .external_lex_state = 5},
  [5441] = {.lex_state = 48, .external_lex_state = 2},
  [5442] = {.lex_state = 351, .external_lex_state = 5},
  [5443] = {.lex_state = 351, .external_lex_state = 5},
  [5444] = {.lex_state = 351, .external_lex_state = 5},
  [5445] = {.lex_state = 351, .external_lex_state = 6},
  [5446] = {.lex_state = 48, .external_lex_state = 5},
  [5447] = {.lex_state = 351, .external_lex_state = 5},
  [5448] = {.lex_state = 48, .external_lex_state = 5},
  [5449] = {.lex_state = 48, .external_lex_state = 5},
  [5450] = {.lex_state = 82, .external_lex_state = 2},
  [5451] = {.lex_state = 351, .external_lex_state = 6},
  [5452] = {.lex_state = 351, .external_lex_state = 6},
  [5453] = {.lex_state = 48, .external_lex_state = 2},
  [5454] = {.lex_state = 351, .external_lex_state = 2},
  [5455] = {.lex_state = 351, .external_lex_state = 6},
  [5456] = {.lex_state = 48, .external_lex_state = 5},
  [5457] = {.lex_state = 351, .external_lex_state = 5},
  [5458] = {.lex_state = 351, .external_lex_state = 6},
  [5459] = {.lex_state = 48, .external_lex_state = 2},
  [5460] = {.lex_state = 351, .external_lex_state = 5},
  [5461] = {.lex_state = 50, .external_lex_state = 2},
  [5462] = {.lex_state = 48, .external_lex_state = 2},
  [5463] = {.lex_state = 351, .external_lex_state = 5},
  [5464] = {.lex_state = 351, .external_lex_state = 5},
  [5465] = {.lex_state = 51, .external_lex_state = 2},
  [5466] = {.lex_state = 351, .external_lex_state = 5},
  [5467] = {.lex_state = 66, .external_lex_state = 2},
  [5468] = {.lex_state = 351, .external_lex_state = 6},
  [5469] = {.lex_state = 351, .external_lex_state = 5},
  [5470] = {.lex_state = 351, .external_lex_state = 8},
  [5471] = {.lex_state = 351, .external_lex_state = 6},
  [5472] = {.lex_state = 66, .external_lex_state = 2},
  [5473] = {.lex_state = 351, .external_lex_state = 5},
  [5474] = {.lex_state = 351, .external_lex_state = 5},
  [5475] = {.lex_state = 351, .external_lex_state = 5},
  [5476] = {.lex_state = 82, .external_lex_state = 2},
  [5477] = {.lex_state = 48, .external_lex_state = 2},
  [5478] = {.lex_state = 351, .external_lex_state = 5},
  [5479] = {.lex_state = 351, .external_lex_state = 5},
  [5480] = {.lex_state = 351, .external_lex_state = 5},
  [5481] = {.lex_state = 351, .external_lex_state = 5},
  [5482] = {.lex_state = 48, .external_lex_state = 2},
  [5483] = {.lex_state = 48, .external_lex_state = 2},
  [5484] = {.lex_state = 351, .external_lex_state = 2},
  [5485] = {.lex_state = 351, .external_lex_state = 6},
  [5486] = {.lex_state = 351, .external_lex_state = 5},
  [5487] = {.lex_state = 48, .external_lex_state = 5},
  [5488] = {.lex_state = 351, .external_lex_state = 8},
  [5489] = {.lex_state = 82, .external_lex_state = 2},
  [5490] = {.lex_state = 351, .external_lex_state = 2},
  [5491] = {.lex_state = 351, .external_lex_state = 5},
  [5492] = {.lex_state = 48, .external_lex_state = 5},
  [5493] = {.lex_state = 351, .external_lex_state = 5},
  [5494] = {.lex_state = 48, .external_lex_state = 5},
  [5495] = {.lex_state = 48, .external_lex_state = 2},
  [5496] = {.lex_state = 351, .external_lex_state = 2},
  [5497] = {.lex_state = 351, .external_lex_state = 5},
  [5498] = {.lex_state = 351, .external_lex_state = 5},
  [5499] = {.lex_state = 351, .external_lex_state = 5},
  [5500] = {.lex_state = 351, .external_lex_state = 6},
  [5501] = {.lex_state = 351, .external_lex_state = 5},
  [5502] = {.lex_state = 351, .external_lex_state = 5},
  [5503] = {.lex_state = 351, .external_lex_state = 2},
  [5504] = {.lex_state = 48, .external_lex_state = 5},
  [5505] = {.lex_state = 351, .external_lex_state = 6},
  [5506] = {.lex_state = 351, .external_lex_state = 5},
  [5507] = {.lex_state = 48, .external_lex_state = 2},
  [5508] = {.lex_state = 351, .external_lex_state = 2},
  [5509] = {.lex_state = 351, .external_lex_state = 7},
  [5510] = {.lex_state = 48, .external_lex_state = 2},
  [5511] = {.lex_state = 48, .external_lex_state = 2},
  [5512] = {.lex_state = 58, .external_lex_state = 9},
  [5513] = {.lex_state = 48, .external_lex_state = 2},
  [5514] = {.lex_state = 48, .external_lex_state = 2},
  [5515] = {.lex_state = 48, .external_lex_state = 2},
  [5516] = {.lex_state = 61, .external_lex_state = 9},
  [5517] = {.lex_state = 351, .external_lex_state = 5},
  [5518] = {.lex_state = 351, .external_lex_state = 5},
  [5519] = {.lex_state = 351, .external_lex_state = 5},
  [5520] = {.lex_state = 58, .external_lex_state = 9},
  [5521] = {.lex_state = 61, .external_lex_state = 9},
  [5522] = {.lex_state = 48, .external_lex_state = 2},
  [5523] = {.lex_state = 351, .external_lex_state = 5},
  [5524] = {.lex_state = 48, .external_lex_state = 2},
  [5525] = {.lex_state = 351, .external_lex_state = 5},
  [5526] = {.lex_state = 351, .external_lex_state = 5},
  [5527] = {.lex_state = 48, .external_lex_state = 2},
  [5528] = {.lex_state = 351, .external_lex_state = 2},
  [5529] = {.lex_state = 351, .external_lex_state = 5},
  [5530] = {.lex_state = 351, .external_lex_state = 5},
  [5531] = {.lex_state = 48, .external_lex_state = 2},
  [5532] = {.lex_state = 351, .external_lex_state = 5},
  [5533] = {.lex_state = 58, .external_lex_state = 9},
  [5534] = {.lex_state = 61, .external_lex_state = 9},
  [5535] = {.lex_state = 351, .external_lex_state = 5},
  [5536] = {.lex_state = 351, .external_lex_state = 5},
  [5537] = {.lex_state = 61, .external_lex_state = 9},
  [5538] = {.lex_state = 58, .external_lex_state = 9},
  [5539] = {.lex_state = 58, .external_lex_state = 9},
  [5540] = {.lex_state = 61, .external_lex_state = 9},
  [5541] = {.lex_state = 351, .external_lex_state = 5},
  [5542] = {.lex_state = 351, .external_lex_state = 5},
  [5543] = {.lex_state = 48, .external_lex_state = 2},
  [5544] = {.lex_state = 351, .external_lex_state = 5},
  [5545] = {.lex_state = 351, .external_lex_state = 5},
  [5546] = {.lex_state = 351, .external_lex_state = 5},
  [5547] = {.lex_state = 74, .external_lex_state = 2},
  [5548] = {.lex_state = 48, .external_lex_state = 2},
  [5549] = {.lex_state = 48, .external_lex_state = 2},
  [5550] = {.lex_state = 58, .external_lex_state = 9},
  [5551] = {.lex_state = 61, .external_lex_state = 9},
  [5552] = {.lex_state = 58, .external_lex_state = 9},
  [5553] = {.lex_state = 61, .external_lex_state = 9},
  [5554] = {.lex_state = 351, .external_lex_state = 2},
  [5555] = {.lex_state = 58, .external_lex_state = 9},
  [5556] = {.lex_state = 61, .external_lex_state = 9},
  [5557] = {.lex_state = 61, .external_lex_state = 9},
  [5558] = {.lex_state = 58, .external_lex_state = 9},
  [5559] = {.lex_state = 48, .external_lex_state = 2},
  [5560] = {.lex_state = 58, .external_lex_state = 9},
  [5561] = {.lex_state = 48, .external_lex_state = 2},
  [5562] = {.lex_state = 48, .external_lex_state = 2},
  [5563] = {.lex_state = 61, .external_lex_state = 9},
  [5564] = {.lex_state = 48, .external_lex_state = 2},
  [5565] = {.lex_state = 58, .external_lex_state = 9},
  [5566] = {.lex_state = 61, .external_lex_state = 9},
  [5567] = {.lex_state = 2, .external_lex_state = 2},
  [5568] = {.lex_state = 58, .external_lex_state = 9},
  [5569] = {.lex_state = 351, .external_lex_state = 5},
  [5570] = {.lex_state = 61, .external_lex_state = 9},
  [5571] = {.lex_state = 351, .external_lex_state = 5},
  [5572] = {.lex_state = 58, .external_lex_state = 9},
  [5573] = {.lex_state = 48, .external_lex_state = 2},
  [5574] = {.lex_state = 61, .external_lex_state = 9},
  [5575] = {.lex_state = 58, .external_lex_state = 9},
  [5576] = {.lex_state = 61, .external_lex_state = 9},
  [5577] = {.lex_state = 27, .external_lex_state = 2},
  [5578] = {.lex_state = 58, .external_lex_state = 9},
  [5579] = {.lex_state = 61, .external_lex_state = 9},
  [5580] = {.lex_state = 58, .external_lex_state = 9},
  [5581] = {.lex_state = 351, .external_lex_state = 7},
  [5582] = {.lex_state = 61, .external_lex_state = 9},
  [5583] = {.lex_state = 58, .external_lex_state = 9},
  [5584] = {.lex_state = 74, .external_lex_state = 2},
  [5585] = {.lex_state = 61, .external_lex_state = 9},
  [5586] = {.lex_state = 58, .external_lex_state = 9},
  [5587] = {.lex_state = 61, .external_lex_state = 9},
  [5588] = {.lex_state = 58, .external_lex_state = 9},
  [5589] = {.lex_state = 61, .external_lex_state = 9},
  [5590] = {.lex_state = 58, .external_lex_state = 9},
  [5591] = {.lex_state = 48, .external_lex_state = 2},
  [5592] = {.lex_state = 61, .external_lex_state = 9},
  [5593] = {.lex_state = 24, .external_lex_state = 2},
  [5594] = {.lex_state = 351, .external_lex_state = 5},
  [5595] = {.lex_state = 48, .external_lex_state = 2},
  [5596] = {.lex_state = 48, .external_lex_state = 2},
  [5597] = {.lex_state = 351, .external_lex_state = 2},
  [5598] = {.lex_state = 74, .external_lex_state = 2},
  [5599] = {.lex_state = 351, .external_lex_state = 5},
  [5600] = {.lex_state = 351, .external_lex_state = 2},
  [5601] = {.lex_state = 48, .external_lex_state = 2},
  [5602] = {.lex_state = 351, .external_lex_state = 5},
  [5603] = {.lex_state = 351, .external_lex_state = 5},
  [5604] = {.lex_state = 351, .external_lex_state = 2},
  [5605] = {.lex_state = 351, .external_lex_state = 7},
  [5606] = {.lex_state = 351, .external_lex_state = 7},
  [5607] = {.lex_state = 61, .external_lex_state = 9},
  [5608] = {.lex_state = 48, .external_lex_state = 2},
  [5609] = {.lex_state = 50, .external_lex_state = 2},
  [5610] = {.lex_state = 48, .external_lex_state = 2},
  [5611] = {.lex_state = 58, .external_lex_state = 9},
  [5612] = {.lex_state = 351, .external_lex_state = 5},
  [5613] = {.lex_state = 351, .external_lex_state = 2},
  [5614] = {.lex_state = 351, .external_lex_state = 2},
  [5615] = {.lex_state = 61, .external_lex_state = 9},
  [5616] = {.lex_state = 58, .external_lex_state = 9},
  [5617] = {.lex_state = 48, .external_lex_state = 2},
  [5618] = {.lex_state = 351, .external_lex_state = 5},
  [5619] = {.lex_state = 351, .external_lex_state = 5},
  [5620] = {.lex_state = 48, .external_lex_state = 2},
  [5621] = {.lex_state = 351, .external_lex_state = 5},
  [5622] = {.lex_state = 351, .external_lex_state = 2},
  [5623] = {.lex_state = 351, .external_lex_state = 2},
  [5624] = {.lex_state = 61, .external_lex_state = 9},
  [5625] = {.lex_state = 58, .external_lex_state = 9},
  [5626] = {.lex_state = 48, .external_lex_state = 2},
  [5627] = {.lex_state = 48, .external_lex_state = 2},
  [5628] = {.lex_state = 48, .external_lex_state = 2},
  [5629] = {.lex_state = 351, .external_lex_state = 5},
  [5630] = {.lex_state = 351, .external_lex_state = 5},
  [5631] = {.lex_state = 58, .external_lex_state = 9},
  [5632] = {.lex_state = 61, .external_lex_state = 9},
  [5633] = {.lex_state = 48, .external_lex_state = 2},
  [5634] = {.lex_state = 48, .external_lex_state = 2},
  [5635] = {.lex_state = 351, .external_lex_state = 5},
  [5636] = {.lex_state = 351, .external_lex_state = 5},
  [5637] = {.lex_state = 48, .external_lex_state = 2},
  [5638] = {.lex_state = 48, .external_lex_state = 2},
  [5639] = {.lex_state = 351, .external_lex_state = 5},
  [5640] = {.lex_state = 351, .external_lex_state = 2},
  [5641] = {.lex_state = 74, .external_lex_state = 2},
  [5642] = {.lex_state = 48, .external_lex_state = 2},
  [5643] = {.lex_state = 61, .external_lex_state = 9},
  [5644] = {.lex_state = 58, .external_lex_state = 9},
  [5645] = {.lex_state = 351, .external_lex_state = 2},
  [5646] = {.lex_state = 351, .external_lex_state = 5},
  [5647] = {.lex_state = 351, .external_lex_state = 5},
  [5648] = {.lex_state = 351, .external_lex_state = 2},
  [5649] = {.lex_state = 351, .external_lex_state = 2},
  [5650] = {.lex_state = 351, .external_lex_state = 5},
  [5651] = {.lex_state = 2, .external_lex_state = 2},
  [5652] = {.lex_state = 351, .external_lex_state = 5},
  [5653] = {.lex_state = 58, .external_lex_state = 9},
  [5654] = {.lex_state = 61, .external_lex_state = 9},
  [5655] = {.lex_state = 58, .external_lex_state = 9},
  [5656] = {.lex_state = 61, .external_lex_state = 9},
  [5657] = {.lex_state = 351, .external_lex_state = 2},
  [5658] = {.lex_state = 48, .external_lex_state = 2},
  [5659] = {.lex_state = 351, .external_lex_state = 2},
  [5660] = {.lex_state = 48, .external_lex_state = 2},
  [5661] = {.lex_state = 48, .external_lex_state = 2},
  [5662] = {.lex_state = 351, .external_lex_state = 5},
  [5663] = {.lex_state = 48, .external_lex_state = 2},
  [5664] = {.lex_state = 48, .external_lex_state = 2},
  [5665] = {.lex_state = 351, .external_lex_state = 6},
  [5666] = {.lex_state = 48, .external_lex_state = 2},
  [5667] = {.lex_state = 351, .external_lex_state = 5},
  [5668] = {.lex_state = 48, .external_lex_state = 2},
  [5669] = {.lex_state = 351, .external_lex_state = 5},
  [5670] = {.lex_state = 48, .external_lex_state = 2},
  [5671] = {.lex_state = 48, .external_lex_state = 2},
  [5672] = {.lex_state = 51, .external_lex_state = 2},
  [5673] = {.lex_state = 48, .external_lex_state = 2},
  [5674] = {.lex_state = 351, .external_lex_state = 5},
  [5675] = {.lex_state = 351, .external_lex_state = 5},
  [5676] = {.lex_state = 351, .external_lex_state = 2},
  [5677] = {.lex_state = 27, .external_lex_state = 2},
  [5678] = {.lex_state = 27, .external_lex_state = 2},
  [5679] = {.lex_state = 27, .external_lex_state = 2},
  [5680] = {.lex_state = 27, .external_lex_state = 2},
  [5681] = {.lex_state = 48, .external_lex_state = 2},
  [5682] = {.lex_state = 48, .external_lex_state = 2},
  [5683] = {.lex_state = 351, .external_lex_state = 2},
  [5684] = {.lex_state = 51, .external_lex_state = 2},
  [5685] = {.lex_state = 351, .external_lex_state = 2},
  [5686] = {.lex_state = 2, .external_lex_state = 2},
  [5687] = {.lex_state = 48, .external_lex_state = 2},
  [5688] = {.lex_state = 48, .external_lex_state = 2},
  [5689] = {.lex_state = 351, .external_lex_state = 2},
  [5690] = {.lex_state = 48, .external_lex_state = 2},
  [5691] = {.lex_state = 61, .external_lex_state = 9},
  [5692] = {.lex_state = 58, .external_lex_state = 9},
  [5693] = {.lex_state = 48, .external_lex_state = 2},
  [5694] = {.lex_state = 351, .external_lex_state = 5},
  [5695] = {.lex_state = 48, .external_lex_state = 2},
  [5696] = {.lex_state = 48, .external_lex_state = 2},
  [5697] = {.lex_state = 48, .external_lex_state = 2},
  [5698] = {.lex_state = 2, .external_lex_state = 2},
  [5699] = {.lex_state = 48, .external_lex_state = 2},
  [5700] = {.lex_state = 351, .external_lex_state = 5},
  [5701] = {.lex_state = 351, .external_lex_state = 5},
  [5702] = {.lex_state = 48, .external_lex_state = 2},
  [5703] = {.lex_state = 351, .external_lex_state = 2},
  [5704] = {.lex_state = 48, .external_lex_state = 2},
  [5705] = {.lex_state = 48, .external_lex_state = 2},
  [5706] = {.lex_state = 58, .external_lex_state = 9},
  [5707] = {.lex_state = 61, .external_lex_state = 9},
  [5708] = {.lex_state = 351, .external_lex_state = 5},
  [5709] = {.lex_state = 351, .external_lex_state = 5},
  [5710] = {.lex_state = 351, .external_lex_state = 5},
  [5711] = {.lex_state = 51, .external_lex_state = 2},
  [5712] = {.lex_state = 351, .external_lex_state = 5},
  [5713] = {.lex_state = 351, .external_lex_state = 5},
  [5714] = {.lex_state = 351, .external_lex_state = 5},
  [5715] = {.lex_state = 51, .external_lex_state = 2},
  [5716] = {.lex_state = 51, .external_lex_state = 2},
  [5717] = {.lex_state = 48, .external_lex_state = 2},
  [5718] = {.lex_state = 351, .external_lex_state = 2},
  [5719] = {.lex_state = 27, .external_lex_state = 2},
  [5720] = {.lex_state = 27, .external_lex_state = 2},
  [5721] = {.lex_state = 27, .external_lex_state = 2},
  [5722] = {.lex_state = 27, .external_lex_state = 2},
  [5723] = {.lex_state = 351, .external_lex_state = 2},
  [5724] = {.lex_state = 351, .external_lex_state = 5},
  [5725] = {.lex_state = 351, .external_lex_state = 2},
  [5726] = {.lex_state = 351, .external_lex_state = 5},
  [5727] = {.lex_state = 27, .external_lex_state = 2},
  [5728] = {.lex_state = 351, .external_lex_state = 5},
  [5729] = {.lex_state = 351, .external_lex_state = 5},
  [5730] = {.lex_state = 351, .external_lex_state = 5},
  [5731] = {.lex_state = 351, .external_lex_state = 2},
  [5732] = {.lex_state = 48, .external_lex_state = 2},
  [5733] = {.lex_state = 27, .external_lex_state = 2},
  [5734] = {.lex_state = 351, .external_lex_state = 5},
  [5735] = {.lex_state = 27, .external_lex_state = 2},
  [5736] = {.lex_state = 27, .external_lex_state = 2},
  [5737] = {.lex_state = 27, .external_lex_state = 2},
  [5738] = {.lex_state = 27, .external_lex_state = 2},
  [5739] = {.lex_state = 27, .external_lex_state = 2},
  [5740] = {.lex_state = 351, .external_lex_state = 2},
  [5741] = {.lex_state = 351, .external_lex_state = 2},
  [5742] = {.lex_state = 48, .external_lex_state = 2},
  [5743] = {.lex_state = 351, .external_lex_state = 2},
  [5744] = {.lex_state = 351, .external_lex_state = 2},
  [5745] = {.lex_state = 351, .external_lex_state = 2},
  [5746] = {.lex_state = 351, .external_lex_state = 5},
  [5747] = {.lex_state = 351, .external_lex_state = 5},
  [5748] = {.lex_state = 351, .external_lex_state = 5},
  [5749] = {.lex_state = 351, .external_lex_state = 8},
  [5750] = {.lex_state = 351, .external_lex_state = 5},
  [5751] = {.lex_state = 351, .external_lex_state = 5},
  [5752] = {.lex_state = 51, .external_lex_state = 2},
  [5753] = {.lex_state = 351, .external_lex_state = 2},
  [5754] = {.lex_state = 51, .external_lex_state = 5},
  [5755] = {.lex_state = 351, .external_lex_state = 2},
  [5756] = {.lex_state = 48, .external_lex_state = 2},
  [5757] = {.lex_state = 351, .external_lex_state = 2},
  [5758] = {.lex_state = 51, .external_lex_state = 5},
  [5759] = {.lex_state = 66, .external_lex_state = 2},
  [5760] = {.lex_state = 351, .external_lex_state = 5},
  [5761] = {.lex_state = 351, .external_lex_state = 5},
  [5762] = {.lex_state = 27, .external_lex_state = 2},
  [5763] = {.lex_state = 351, .external_lex_state = 5},
  [5764] = {.lex_state = 351, .external_lex_state = 2},
  [5765] = {.lex_state = 351, .external_lex_state = 5},
  [5766] = {.lex_state = 351, .external_lex_state = 2},
  [5767] = {.lex_state = 351, .external_lex_state = 2},
  [5768] = {.lex_state = 351, .external_lex_state = 2},
  [5769] = {.lex_state = 351, .external_lex_state = 5},
  [5770] = {.lex_state = 351, .external_lex_state = 5},
  [5771] = {.lex_state = 351, .external_lex_state = 5},
  [5772] = {.lex_state = 51, .external_lex_state = 2},
  [5773] = {.lex_state = 351, .external_lex_state = 2},
  [5774] = {.lex_state = 351, .external_lex_state = 5},
  [5775] = {.lex_state = 351, .external_lex_state = 5},
  [5776] = {.lex_state = 351, .external_lex_state = 8},
  [5777] = {.lex_state = 351, .external_lex_state = 5},
  [5778] = {.lex_state = 351, .external_lex_state = 5},
  [5779] = {.lex_state = 48, .external_lex_state = 2},
  [5780] = {.lex_state = 50, .external_lex_state = 2},
  [5781] = {.lex_state = 351, .external_lex_state = 5},
  [5782] = {.lex_state = 351, .external_lex_state = 5},
  [5783] = {.lex_state = 74, .external_lex_state = 2},
  [5784] = {.lex_state = 24, .external_lex_state = 2},
  [5785] = {.lex_state = 351, .external_lex_state = 5},
  [5786] = {.lex_state = 51, .external_lex_state = 2},
  [5787] = {.lex_state = 351, .external_lex_state = 5},
  [5788] = {.lex_state = 351, .external_lex_state = 5},
  [5789] = {.lex_state = 27, .external_lex_state = 2},
  [5790] = {.lex_state = 351, .external_lex_state = 5},
  [5791] = {.lex_state = 351, .external_lex_state = 5},
  [5792] = {.lex_state = 351, .external_lex_state = 5},
  [5793] = {.lex_state = 351, .external_lex_state = 5},
  [5794] = {.lex_state = 351, .external_lex_state = 5},
  [5795] = {.lex_state = 351, .external_lex_state = 2},
  [5796] = {.lex_state = 351, .external_lex_state = 5},
  [5797] = {.lex_state = 351, .external_lex_state = 5},
  [5798] = {.lex_state = 351, .external_lex_state = 5},
  [5799] = {.lex_state = 351, .external_lex_state = 5},
  [5800] = {.lex_state = 351, .external_lex_state = 5},
  [5801] = {.lex_state = 351, .external_lex_state = 5},
  [5802] = {.lex_state = 351, .external_lex_state = 2},
  [5803] = {.lex_state = 351, .external_lex_state = 5},
  [5804] = {.lex_state = 351, .external_lex_state = 2},
  [5805] = {.lex_state = 351, .external_lex_state = 5},
  [5806] = {.lex_state = 48, .external_lex_state = 2},
  [5807] = {.lex_state = 351, .external_lex_state = 5},
  [5808] = {.lex_state = 351, .external_lex_state = 2},
  [5809] = {.lex_state = 351, .external_lex_state = 5},
  [5810] = {.lex_state = 351, .external_lex_state = 2},
  [5811] = {.lex_state = 351, .external_lex_state = 2},
  [5812] = {.lex_state = 351, .external_lex_state = 5},
  [5813] = {.lex_state = 351, .external_lex_state = 5},
  [5814] = {.lex_state = 351, .external_lex_state = 5},
  [5815] = {.lex_state = 351, .external_lex_state = 5},
  [5816] = {.lex_state = 27, .external_lex_state = 2},
  [5817] = {.lex_state = 351, .external_lex_state = 5},
  [5818] = {.lex_state = 351, .external_lex_state = 2},
  [5819] = {.lex_state = 351, .external_lex_state = 2},
  [5820] = {.lex_state = 351, .external_lex_state = 5},
  [5821] = {.lex_state = 351, .external_lex_state = 2},
  [5822] = {.lex_state = 351, .external_lex_state = 5},
  [5823] = {.lex_state = 48, .external_lex_state = 2},
  [5824] = {.lex_state = 351, .external_lex_state = 5},
  [5825] = {.lex_state = 351, .external_lex_state = 2},
  [5826] = {.lex_state = 48, .external_lex_state = 2},
  [5827] = {.lex_state = 351, .external_lex_state = 2},
  [5828] = {.lex_state = 48, .external_lex_state = 2},
  [5829] = {.lex_state = 351, .external_lex_state = 5},
  [5830] = {.lex_state = 351, .external_lex_state = 5},
  [5831] = {.lex_state = 351, .external_lex_state = 5},
  [5832] = {.lex_state = 351, .external_lex_state = 5},
  [5833] = {.lex_state = 24, .external_lex_state = 2},
  [5834] = {.lex_state = 351, .external_lex_state = 5},
  [5835] = {.lex_state = 351, .external_lex_state = 5},
  [5836] = {.lex_state = 351, .external_lex_state = 5},
  [5837] = {.lex_state = 351, .external_lex_state = 5},
  [5838] = {.lex_state = 48, .external_lex_state = 2},
  [5839] = {.lex_state = 351, .external_lex_state = 5},
  [5840] = {.lex_state = 351, .external_lex_state = 2},
  [5841] = {.lex_state = 351, .external_lex_state = 5},
  [5842] = {.lex_state = 351, .external_lex_state = 5},
  [5843] = {.lex_state = 351, .external_lex_state = 5},
  [5844] = {.lex_state = 24, .external_lex_state = 2},
  [5845] = {.lex_state = 351, .external_lex_state = 5},
  [5846] = {.lex_state = 351, .external_lex_state = 5},
  [5847] = {.lex_state = 351, .external_lex_state = 5},
  [5848] = {.lex_state = 51, .external_lex_state = 2},
  [5849] = {.lex_state = 351, .external_lex_state = 2},
  [5850] = {.lex_state = 51, .external_lex_state = 2},
  [5851] = {.lex_state = 351, .external_lex_state = 5},
  [5852] = {.lex_state = 51, .external_lex_state = 2},
  [5853] = {.lex_state = 351, .external_lex_state = 5},
  [5854] = {.lex_state = 51, .external_lex_state = 2},
  [5855] = {.lex_state = 48, .external_lex_state = 2},
  [5856] = {.lex_state = 351, .external_lex_state = 2},
  [5857] = {.lex_state = 55, .external_lex_state = 2},
  [5858] = {.lex_state = 48, .external_lex_state = 2},
  [5859] = {.lex_state = 351, .external_lex_state = 5},
  [5860] = {.lex_state = 351, .external_lex_state = 5},
  [5861] = {.lex_state = 48, .external_lex_state = 2},
  [5862] = {.lex_state = 351, .external_lex_state = 5},
  [5863] = {.lex_state = 351, .external_lex_state = 2},
  [5864] = {.lex_state = 351, .external_lex_state = 5},
  [5865] = {.lex_state = 351, .external_lex_state = 2},
  [5866] = {.lex_state = 351, .external_lex_state = 2},
  [5867] = {.lex_state = 351, .external_lex_state = 2},
  [5868] = {.lex_state = 351, .external_lex_state = 5},
  [5869] = {.lex_state = 351, .external_lex_state = 5},
  [5870] = {.lex_state = 351, .external_lex_state = 5},
  [5871] = {.lex_state = 351, .external_lex_state = 5},
  [5872] = {.lex_state = 351, .external_lex_state = 5},
  [5873] = {.lex_state = 351, .external_lex_state = 5},
  [5874] = {.lex_state = 351, .external_lex_state = 5},
  [5875] = {.lex_state = 351, .external_lex_state = 5},
  [5876] = {.lex_state = 351, .external_lex_state = 5},
  [5877] = {.lex_state = 351, .external_lex_state = 5},
  [5878] = {.lex_state = 351, .external_lex_state = 5},
  [5879] = {.lex_state = 55, .external_lex_state = 2},
  [5880] = {.lex_state = 351, .external_lex_state = 2},
  [5881] = {.lex_state = 48, .external_lex_state = 2},
  [5882] = {.lex_state = 351, .external_lex_state = 5},
  [5883] = {.lex_state = 351, .external_lex_state = 5},
  [5884] = {.lex_state = 351, .external_lex_state = 5},
  [5885] = {.lex_state = 51, .external_lex_state = 2},
  [5886] = {.lex_state = 24, .external_lex_state = 2},
  [5887] = {.lex_state = 2, .external_lex_state = 2},
  [5888] = {.lex_state = 351, .external_lex_state = 5},
  [5889] = {.lex_state = 351, .external_lex_state = 5},
  [5890] = {.lex_state = 351, .external_lex_state = 5},
  [5891] = {.lex_state = 351, .external_lex_state = 5},
  [5892] = {.lex_state = 351, .external_lex_state = 5},
  [5893] = {.lex_state = 351, .external_lex_state = 5},
  [5894] = {.lex_state = 351, .external_lex_state = 5},
  [5895] = {.lex_state = 351, .external_lex_state = 5},
  [5896] = {.lex_state = 351, .external_lex_state = 5},
  [5897] = {.lex_state = 351, .external_lex_state = 5},
  [5898] = {.lex_state = 351, .external_lex_state = 2},
  [5899] = {.lex_state = 351, .external_lex_state = 5},
  [5900] = {.lex_state = 351, .external_lex_state = 5},
  [5901] = {.lex_state = 351, .external_lex_state = 2},
  [5902] = {.lex_state = 351, .external_lex_state = 5},
  [5903] = {.lex_state = 351, .external_lex_state = 5},
  [5904] = {.lex_state = 351, .external_lex_state = 5},
  [5905] = {.lex_state = 351, .external_lex_state = 5},
  [5906] = {.lex_state = 351, .external_lex_state = 5},
  [5907] = {.lex_state = 351, .external_lex_state = 5},
  [5908] = {.lex_state = 351, .external_lex_state = 5},
  [5909] = {.lex_state = 351, .external_lex_state = 5},
  [5910] = {.lex_state = 351, .external_lex_state = 5},
  [5911] = {.lex_state = 351, .external_lex_state = 5},
  [5912] = {.lex_state = 351, .external_lex_state = 5},
  [5913] = {.lex_state = 351, .external_lex_state = 5},
  [5914] = {.lex_state = 351, .external_lex_state = 5},
  [5915] = {.lex_state = 351, .external_lex_state = 2},
  [5916] = {.lex_state = 351, .external_lex_state = 5},
  [5917] = {.lex_state = 351, .external_lex_state = 5},
  [5918] = {.lex_state = 351, .external_lex_state = 2},
  [5919] = {.lex_state = 351, .external_lex_state = 5},
  [5920] = {.lex_state = 351, .external_lex_state = 5},
  [5921] = {.lex_state = 351, .external_lex_state = 5},
  [5922] = {.lex_state = 79, .external_lex_state = 2},
  [5923] = {.lex_state = 351, .external_lex_state = 5},
  [5924] = {.lex_state = 351, .external_lex_state = 5},
  [5925] = {.lex_state = 351, .external_lex_state = 5},
  [5926] = {.lex_state = 351, .external_lex_state = 5},
  [5927] = {.lex_state = 351, .external_lex_state = 5},
  [5928] = {.lex_state = 351, .external_lex_state = 5},
  [5929] = {.lex_state = 351, .external_lex_state = 2},
  [5930] = {.lex_state = 351, .external_lex_state = 2},
  [5931] = {.lex_state = 351, .external_lex_state = 5},
  [5932] = {.lex_state = 351, .external_lex_state = 5},
  [5933] = {.lex_state = 351, .external_lex_state = 5},
  [5934] = {.lex_state = 351, .external_lex_state = 5},
  [5935] = {.lex_state = 51, .external_lex_state = 5},
  [5936] = {.lex_state = 51, .external_lex_state = 5},
  [5937] = {.lex_state = 51, .external_lex_state = 2},
  [5938] = {.lex_state = 24, .external_lex_state = 2},
  [5939] = {.lex_state = 351, .external_lex_state = 5},
  [5940] = {.lex_state = 351, .external_lex_state = 2},
  [5941] = {.lex_state = 351, .external_lex_state = 5},
  [5942] = {.lex_state = 351, .external_lex_state = 5},
  [5943] = {.lex_state = 351, .external_lex_state = 5},
  [5944] = {.lex_state = 351, .external_lex_state = 5},
  [5945] = {.lex_state = 351, .external_lex_state = 5},
  [5946] = {.lex_state = 351, .external_lex_state = 5},
  [5947] = {.lex_state = 351, .external_lex_state = 2},
  [5948] = {.lex_state = 351, .external_lex_state = 2},
  [5949] = {.lex_state = 351, .external_lex_state = 5},
  [5950] = {.lex_state = 351, .external_lex_state = 2},
  [5951] = {.lex_state = 351, .external_lex_state = 2},
  [5952] = {.lex_state = 351, .external_lex_state = 5},
  [5953] = {.lex_state = 351, .external_lex_state = 2},
  [5954] = {.lex_state = 351, .external_lex_state = 5},
  [5955] = {.lex_state = 351, .external_lex_state = 2},
  [5956] = {.lex_state = 351, .external_lex_state = 5},
  [5957] = {.lex_state = 351, .external_lex_state = 5},
  [5958] = {.lex_state = 351, .external_lex_state = 5},
  [5959] = {.lex_state = 48, .external_lex_state = 2},
  [5960] = {.lex_state = 351, .external_lex_state = 5},
  [5961] = {.lex_state = 351, .external_lex_state = 5},
  [5962] = {.lex_state = 351, .external_lex_state = 5},
  [5963] = {.lex_state = 351, .external_lex_state = 5},
  [5964] = {.lex_state = 351, .external_lex_state = 5},
  [5965] = {.lex_state = 351, .external_lex_state = 2},
  [5966] = {.lex_state = 351, .external_lex_state = 5},
  [5967] = {.lex_state = 51, .external_lex_state = 2},
  [5968] = {.lex_state = 351, .external_lex_state = 5},
  [5969] = {.lex_state = 351, .external_lex_state = 5},
  [5970] = {.lex_state = 27, .external_lex_state = 2},
  [5971] = {.lex_state = 351, .external_lex_state = 5},
  [5972] = {.lex_state = 351, .external_lex_state = 5},
  [5973] = {.lex_state = 351, .external_lex_state = 5},
  [5974] = {.lex_state = 351, .external_lex_state = 5},
  [5975] = {.lex_state = 351, .external_lex_state = 5},
  [5976] = {.lex_state = 351, .external_lex_state = 5},
  [5977] = {.lex_state = 351, .external_lex_state = 5},
  [5978] = {.lex_state = 351, .external_lex_state = 5},
  [5979] = {.lex_state = 79, .external_lex_state = 2},
  [5980] = {.lex_state = 351, .external_lex_state = 5},
  [5981] = {.lex_state = 351, .external_lex_state = 5},
  [5982] = {.lex_state = 351, .external_lex_state = 2},
  [5983] = {.lex_state = 351, .external_lex_state = 2},
  [5984] = {.lex_state = 51, .external_lex_state = 5},
  [5985] = {.lex_state = 351, .external_lex_state = 5},
  [5986] = {.lex_state = 51, .external_lex_state = 5},
  [5987] = {.lex_state = 351, .external_lex_state = 5},
  [5988] = {.lex_state = 50, .external_lex_state = 2},
  [5989] = {.lex_state = 351, .external_lex_state = 5},
  [5990] = {.lex_state = 351, .external_lex_state = 5},
  [5991] = {.lex_state = 351, .external_lex_state = 5},
  [5992] = {.lex_state = 351, .external_lex_state = 5},
  [5993] = {.lex_state = 51, .external_lex_state = 2},
  [5994] = {.lex_state = 66, .external_lex_state = 2},
  [5995] = {.lex_state = 24, .external_lex_state = 2},
  [5996] = {.lex_state = 351, .external_lex_state = 5},
  [5997] = {.lex_state = 351, .external_lex_state = 2},
  [5998] = {.lex_state = 51, .external_lex_state = 5},
  [5999] = {.lex_state = 351, .external_lex_state = 5},
  [6000] = {.lex_state = 351, .external_lex_state = 5},
  [6001] = {.lex_state = 351, .external_lex_state = 5},
  [6002] = {.lex_state = 351, .external_lex_state = 5},
  [6003] = {.lex_state = 51, .external_lex_state = 2},
  [6004] = {.lex_state = 51, .external_lex_state = 5},
  [6005] = {.lex_state = 351, .external_lex_state = 5},
  [6006] = {.lex_state = 351, .external_lex_state = 5},
  [6007] = {.lex_state = 351, .external_lex_state = 2},
  [6008] = {.lex_state = 351, .external_lex_state = 5},
  [6009] = {.lex_state = 351, .external_lex_state = 5},
  [6010] = {.lex_state = 351, .external_lex_state = 5},
  [6011] = {.lex_state = 351, .external_lex_state = 5},
  [6012] = {.lex_state = 351, .external_lex_state = 5},
  [6013] = {.lex_state = 351, .external_lex_state = 5},
  [6014] = {.lex_state = 351, .external_lex_state = 5},
  [6015] = {.lex_state = 351, .external_lex_state = 2},
  [6016] = {.lex_state = 351, .external_lex_state = 5},
  [6017] = {.lex_state = 48, .external_lex_state = 2},
  [6018] = {.lex_state = 351, .external_lex_state = 5},
  [6019] = {.lex_state = 351, .external_lex_state = 2},
  [6020] = {.lex_state = 351, .external_lex_state = 2},
  [6021] = {.lex_state = 351, .external_lex_state = 5},
  [6022] = {.lex_state = 351, .external_lex_state = 5},
  [6023] = {.lex_state = 351, .external_lex_state = 2},
  [6024] = {.lex_state = 351, .external_lex_state = 5},
  [6025] = {.lex_state = 351, .external_lex_state = 5},
  [6026] = {.lex_state = 351, .external_lex_state = 2},
  [6027] = {.lex_state = 351, .external_lex_state = 5},
  [6028] = {.lex_state = 351, .external_lex_state = 2},
  [6029] = {.lex_state = 351, .external_lex_state = 2},
  [6030] = {.lex_state = 351, .external_lex_state = 2},
  [6031] = {.lex_state = 351, .external_lex_state = 2},
  [6032] = {.lex_state = 351, .external_lex_state = 2},
  [6033] = {.lex_state = 351, .external_lex_state = 5},
  [6034] = {.lex_state = 351, .external_lex_state = 5},
  [6035] = {.lex_state = 351, .external_lex_state = 5},
  [6036] = {.lex_state = 79, .external_lex_state = 2},
  [6037] = {.lex_state = 51, .external_lex_state = 2},
  [6038] = {.lex_state = 24, .external_lex_state = 2},
  [6039] = {.lex_state = 351, .external_lex_state = 5},
  [6040] = {.lex_state = 351, .external_lex_state = 2},
  [6041] = {.lex_state = 351, .external_lex_state = 5},
  [6042] = {.lex_state = 27, .external_lex_state = 2},
  [6043] = {.lex_state = 351, .external_lex_state = 5},
  [6044] = {.lex_state = 27, .external_lex_state = 2},
  [6045] = {.lex_state = 351, .external_lex_state = 2},
  [6046] = {.lex_state = 351, .external_lex_state = 5},
  [6047] = {.lex_state = 351, .external_lex_state = 5},
  [6048] = {.lex_state = 351, .external_lex_state = 5},
  [6049] = {.lex_state = 27, .external_lex_state = 2},
  [6050] = {.lex_state = 351, .external_lex_state = 5},
  [6051] = {.lex_state = 351, .external_lex_state = 5},
  [6052] = {.lex_state = 351, .external_lex_state = 5},
  [6053] = {.lex_state = 351, .external_lex_state = 2},
  [6054] = {.lex_state = 351, .external_lex_state = 2},
  [6055] = {.lex_state = 351, .external_lex_state = 5},
  [6056] = {.lex_state = 351, .external_lex_state = 5},
  [6057] = {.lex_state = 351, .external_lex_state = 5},
  [6058] = {.lex_state = 351, .external_lex_state = 5},
  [6059] = {.lex_state = 351, .external_lex_state = 5},
  [6060] = {.lex_state = 351, .external_lex_state = 5},
  [6061] = {.lex_state = 351, .external_lex_state = 5},
  [6062] = {.lex_state = 351, .external_lex_state = 5},
  [6063] = {.lex_state = 351, .external_lex_state = 5},
  [6064] = {.lex_state = 48, .external_lex_state = 2},
  [6065] = {.lex_state = 351, .external_lex_state = 5},
  [6066] = {.lex_state = 351, .external_lex_state = 5},
  [6067] = {.lex_state = 351, .external_lex_state = 5},
  [6068] = {.lex_state = 351, .external_lex_state = 5},
  [6069] = {.lex_state = 351, .external_lex_state = 5},
  [6070] = {.lex_state = 351, .external_lex_state = 5},
  [6071] = {.lex_state = 351, .external_lex_state = 5},
  [6072] = {.lex_state = 351, .external_lex_state = 2},
  [6073] = {.lex_state = 351, .external_lex_state = 5},
  [6074] = {.lex_state = 351, .external_lex_state = 5},
  [6075] = {.lex_state = 351, .external_lex_state = 2},
  [6076] = {.lex_state = 351, .external_lex_state = 5},
  [6077] = {.lex_state = 351, .external_lex_state = 5},
  [6078] = {.lex_state = 351, .external_lex_state = 5},
  [6079] = {.lex_state = 351, .external_lex_state = 2},
  [6080] = {.lex_state = 351, .external_lex_state = 2},
  [6081] = {.lex_state = 351, .external_lex_state = 5},
  [6082] = {.lex_state = 351, .external_lex_state = 5},
  [6083] = {.lex_state = 351, .external_lex_state = 2},
  [6084] = {.lex_state = 351, .external_lex_state = 5},
  [6085] = {.lex_state = 351, .external_lex_state = 2},
  [6086] = {.lex_state = 351, .external_lex_state = 2},
  [6087] = {.lex_state = 351, .external_lex_state = 5},
  [6088] = {.lex_state = 351, .external_lex_state = 5},
  [6089] = {.lex_state = 351, .external_lex_state = 5},
  [6090] = {.lex_state = 48, .external_lex_state = 2},
  [6091] = {.lex_state = 351, .external_lex_state = 5},
  [6092] = {.lex_state = 351, .external_lex_state = 5},
  [6093] = {.lex_state = 351, .external_lex_state = 2},
  [6094] = {.lex_state = 351, .external_lex_state = 5},
  [6095] = {.lex_state = 351, .external_lex_state = 2},
  [6096] = {.lex_state = 351, .external_lex_state = 5},
  [6097] = {.lex_state = 351, .external_lex_state = 5},
  [6098] = {.lex_state = 351, .external_lex_state = 5},
  [6099] = {.lex_state = 351, .external_lex_state = 5},
  [6100] = {.lex_state = 27, .external_lex_state = 2},
  [6101] = {.lex_state = 351, .external_lex_state = 5},
  [6102] = {.lex_state = 351, .external_lex_state = 2},
  [6103] = {.lex_state = 351, .external_lex_state = 2},
  [6104] = {.lex_state = 351, .external_lex_state = 2},
  [6105] = {.lex_state = 48, .external_lex_state = 2},
  [6106] = {.lex_state = 74, .external_lex_state = 2},
  [6107] = {.lex_state = 48, .external_lex_state = 2},
  [6108] = {.lex_state = 48, .external_lex_state = 2},
  [6109] = {.lex_state = 48, .external_lex_state = 2},
  [6110] = {.lex_state = 351, .external_lex_state = 5},
  [6111] = {.lex_state = 351, .external_lex_state = 5},
  [6112] = {.lex_state = 351, .external_lex_state = 2},
  [6113] = {.lex_state = 351, .external_lex_state = 5},
  [6114] = {.lex_state = 351, .external_lex_state = 5},
  [6115] = {.lex_state = 351, .external_lex_state = 5},
  [6116] = {.lex_state = 351, .external_lex_state = 5},
  [6117] = {.lex_state = 351, .external_lex_state = 5},
  [6118] = {.lex_state = 351, .external_lex_state = 5},
  [6119] = {.lex_state = 351, .external_lex_state = 5},
  [6120] = {.lex_state = 351, .external_lex_state = 5},
  [6121] = {.lex_state = 351, .external_lex_state = 5},
  [6122] = {.lex_state = 351, .external_lex_state = 5},
  [6123] = {.lex_state = 351, .external_lex_state = 5},
  [6124] = {.lex_state = 351, .external_lex_state = 5},
  [6125] = {.lex_state = 27, .external_lex_state = 2},
  [6126] = {.lex_state = 351, .external_lex_state = 5},
  [6127] = {.lex_state = 351, .external_lex_state = 5},
  [6128] = {.lex_state = 351, .external_lex_state = 5},
  [6129] = {.lex_state = 351, .external_lex_state = 5},
  [6130] = {.lex_state = 351, .external_lex_state = 5},
  [6131] = {.lex_state = 351, .external_lex_state = 5},
  [6132] = {.lex_state = 351, .external_lex_state = 5},
  [6133] = {.lex_state = 351, .external_lex_state = 2},
  [6134] = {.lex_state = 48, .external_lex_state = 2},
  [6135] = {.lex_state = 48, .external_lex_state = 2},
  [6136] = {.lex_state = 351, .external_lex_state = 5},
  [6137] = {.lex_state = 351, .external_lex_state = 5},
  [6138] = {.lex_state = 351, .external_lex_state = 5},
  [6139] = {.lex_state = 351, .external_lex_state = 5},
  [6140] = {.lex_state = 351, .external_lex_state = 2},
  [6141] = {.lex_state = 351, .external_lex_state = 5},
  [6142] = {.lex_state = 351, .external_lex_state = 2},
  [6143] = {.lex_state = 351, .external_lex_state = 5},
  [6144] = {.lex_state = 351, .external_lex_state = 5},
  [6145] = {.lex_state = 351, .external_lex_state = 5},
  [6146] = {.lex_state = 351, .external_lex_state = 5},
  [6147] = {.lex_state = 351, .external_lex_state = 5},
  [6148] = {.lex_state = 351, .external_lex_state = 2},
  [6149] = {.lex_state = 351, .external_lex_state = 5},
  [6150] = {.lex_state = 351, .external_lex_state = 5},
  [6151] = {.lex_state = 351, .external_lex_state = 5},
  [6152] = {.lex_state = 351, .external_lex_state = 2},
  [6153] = {.lex_state = 351, .external_lex_state = 5},
  [6154] = {.lex_state = 351, .external_lex_state = 5},
  [6155] = {.lex_state = 51, .external_lex_state = 2},
  [6156] = {.lex_state = 351, .external_lex_state = 5},
  [6157] = {.lex_state = 351, .external_lex_state = 5},
  [6158] = {.lex_state = 351, .external_lex_state = 5},
  [6159] = {.lex_state = 351, .external_lex_state = 5},
  [6160] = {.lex_state = 351, .external_lex_state = 2},
  [6161] = {.lex_state = 351, .external_lex_state = 5},
  [6162] = {.lex_state = 351, .external_lex_state = 5},
  [6163] = {.lex_state = 351, .external_lex_state = 5},
  [6164] = {.lex_state = 351, .external_lex_state = 5},
  [6165] = {.lex_state = 351, .external_lex_state = 5},
  [6166] = {.lex_state = 351, .external_lex_state = 5},
  [6167] = {.lex_state = 351, .external_lex_state = 5},
  [6168] = {.lex_state = 351, .external_lex_state = 5},
  [6169] = {.lex_state = 351, .external_lex_state = 5},
  [6170] = {.lex_state = 351, .external_lex_state = 2},
  [6171] = {.lex_state = 351, .external_lex_state = 5},
  [6172] = {.lex_state = 351, .external_lex_state = 2},
  [6173] = {.lex_state = 351, .external_lex_state = 2},
  [6174] = {.lex_state = 351, .external_lex_state = 2},
  [6175] = {.lex_state = 61, .external_lex_state = 9},
  [6176] = {.lex_state = 351, .external_lex_state = 5},
  [6177] = {.lex_state = 351, .external_lex_state = 5},
  [6178] = {.lex_state = 351, .external_lex_state = 2},
  [6179] = {.lex_state = 79, .external_lex_state = 2},
  [6180] = {.lex_state = 351, .external_lex_state = 2},
  [6181] = {.lex_state = 351, .external_lex_state = 5},
  [6182] = {.lex_state = 351, .external_lex_state = 5},
  [6183] = {.lex_state = 351, .external_lex_state = 5},
  [6184] = {.lex_state = 351, .external_lex_state = 5},
  [6185] = {.lex_state = 351, .external_lex_state = 5},
  [6186] = {.lex_state = 351, .external_lex_state = 2},
  [6187] = {.lex_state = 51, .external_lex_state = 2},
  [6188] = {.lex_state = 351, .external_lex_state = 5},
  [6189] = {.lex_state = 351, .external_lex_state = 5},
  [6190] = {.lex_state = 351, .external_lex_state = 5},
  [6191] = {.lex_state = 351, .external_lex_state = 2},
  [6192] = {.lex_state = 351, .external_lex_state = 5},
  [6193] = {.lex_state = 351, .external_lex_state = 2},
  [6194] = {.lex_state = 351, .external_lex_state = 5},
  [6195] = {.lex_state = 351, .external_lex_state = 5},
  [6196] = {.lex_state = 351, .external_lex_state = 5},
  [6197] = {.lex_state = 351, .external_lex_state = 5},
  [6198] = {.lex_state = 51, .external_lex_state = 5},
  [6199] = {.lex_state = 51, .external_lex_state = 5},
  [6200] = {.lex_state = 51, .external_lex_state = 2},
  [6201] = {.lex_state = 351, .external_lex_state = 5},
  [6202] = {.lex_state = 58, .external_lex_state = 9},
  [6203] = {.lex_state = 79, .external_lex_state = 2},
  [6204] = {.lex_state = 74, .external_lex_state = 2},
  [6205] = {.lex_state = 351, .external_lex_state = 5},
  [6206] = {.lex_state = 351, .external_lex_state = 5},
  [6207] = {.lex_state = 66, .external_lex_state = 2},
  [6208] = {.lex_state = 351, .external_lex_state = 5},
  [6209] = {.lex_state = 48, .external_lex_state = 2},
  [6210] = {.lex_state = 351, .external_lex_state = 2},
  [6211] = {.lex_state = 351, .external_lex_state = 5},
  [6212] = {.lex_state = 351, .external_lex_state = 5},
  [6213] = {.lex_state = 351, .external_lex_state = 5},
  [6214] = {.lex_state = 351, .external_lex_state = 5},
  [6215] = {.lex_state = 351, .external_lex_state = 5},
  [6216] = {.lex_state = 27, .external_lex_state = 2},
  [6217] = {.lex_state = 351, .external_lex_state = 5},
  [6218] = {.lex_state = 48, .external_lex_state = 2},
  [6219] = {.lex_state = 351, .external_lex_state = 5},
  [6220] = {.lex_state = 351, .external_lex_state = 2},
  [6221] = {.lex_state = 351, .external_lex_state = 2},
  [6222] = {.lex_state = 24, .external_lex_state = 2},
  [6223] = {.lex_state = 48, .external_lex_state = 2},
  [6224] = {.lex_state = 51, .external_lex_state = 2},
  [6225] = {.lex_state = 24, .external_lex_state = 2},
  [6226] = {.lex_state = 351, .external_lex_state = 2},
  [6227] = {.lex_state = 351, .external_lex_state = 5},
  [6228] = {.lex_state = 351, .external_lex_state = 2},
  [6229] = {.lex_state = 351, .external_lex_state = 5},
  [6230] = {.lex_state = 351, .external_lex_state = 5},
  [6231] = {.lex_state = 351, .external_lex_state = 5},
  [6232] = {.lex_state = 48, .external_lex_state = 2},
  [6233] = {.lex_state = 351, .external_lex_state = 5},
  [6234] = {.lex_state = 351, .external_lex_state = 5},
  [6235] = {.lex_state = 351, .external_lex_state = 5},
  [6236] = {.lex_state = 351, .external_lex_state = 5},
  [6237] = {.lex_state = 351, .external_lex_state = 5},
  [6238] = {.lex_state = 351, .external_lex_state = 5},
  [6239] = {.lex_state = 351, .external_lex_state = 5},
  [6240] = {.lex_state = 351, .external_lex_state = 5},
  [6241] = {.lex_state = 351, .external_lex_state = 5},
  [6242] = {.lex_state = 351, .external_lex_state = 5},
  [6243] = {.lex_state = 351, .external_lex_state = 2},
  [6244] = {.lex_state = 24, .external_lex_state = 2},
  [6245] = {.lex_state = 351, .external_lex_state = 5},
  [6246] = {.lex_state = 351, .external_lex_state = 5},
  [6247] = {.lex_state = 351, .external_lex_state = 5},
  [6248] = {.lex_state = 351, .external_lex_state = 5},
  [6249] = {.lex_state = 351, .external_lex_state = 5},
  [6250] = {.lex_state = 351, .external_lex_state = 5},
  [6251] = {.lex_state = 351, .external_lex_state = 5},
  [6252] = {.lex_state = 48, .external_lex_state = 2},
  [6253] = {.lex_state = 351, .external_lex_state = 5},
  [6254] = {.lex_state = 351, .external_lex_state = 5},
  [6255] = {.lex_state = 351, .external_lex_state = 5},
  [6256] = {.lex_state = 351, .external_lex_state = 5},
  [6257] = {.lex_state = 351, .external_lex_state = 5},
  [6258] = {.lex_state = 351, .external_lex_state = 5},
  [6259] = {.lex_state = 351, .external_lex_state = 5},
  [6260] = {.lex_state = 351, .external_lex_state = 5},
  [6261] = {.lex_state = 351, .external_lex_state = 5},
  [6262] = {.lex_state = 351, .external_lex_state = 2},
  [6263] = {.lex_state = 351, .external_lex_state = 2},
  [6264] = {.lex_state = 351, .external_lex_state = 2},
  [6265] = {.lex_state = 351, .external_lex_state = 5},
  [6266] = {.lex_state = 351, .external_lex_state = 5},
  [6267] = {.lex_state = 351, .external_lex_state = 5},
  [6268] = {.lex_state = 351, .external_lex_state = 5},
  [6269] = {.lex_state = 351, .external_lex_state = 5},
  [6270] = {.lex_state = 351, .external_lex_state = 5},
  [6271] = {.lex_state = 351, .external_lex_state = 5},
  [6272] = {.lex_state = 351, .external_lex_state = 5},
  [6273] = {.lex_state = 351, .external_lex_state = 5},
  [6274] = {.lex_state = 351, .external_lex_state = 5},
  [6275] = {.lex_state = 351, .external_lex_state = 5},
  [6276] = {.lex_state = 351, .external_lex_state = 5},
  [6277] = {.lex_state = 351, .external_lex_state = 5},
  [6278] = {.lex_state = 351, .external_lex_state = 5},
  [6279] = {.lex_state = 351, .external_lex_state = 2},
  [6280] = {.lex_state = 351, .external_lex_state = 5},
  [6281] = {.lex_state = 351, .external_lex_state = 2},
  [6282] = {.lex_state = 48, .external_lex_state = 2},
  [6283] = {.lex_state = 351, .external_lex_state = 5},
  [6284] = {.lex_state = 351, .external_lex_state = 2},
  [6285] = {.lex_state = 351, .external_lex_state = 2},
  [6286] = {.lex_state = 351, .external_lex_state = 5},
  [6287] = {.lex_state = 351, .external_lex_state = 2},
  [6288] = {.lex_state = 351, .external_lex_state = 5},
  [6289] = {.lex_state = 351, .external_lex_state = 5},
  [6290] = {.lex_state = 351, .external_lex_state = 5},
  [6291] = {.lex_state = 351, .external_lex_state = 5},
  [6292] = {.lex_state = 351, .external_lex_state = 5},
  [6293] = {.lex_state = 351, .external_lex_state = 5},
  [6294] = {.lex_state = 351, .external_lex_state = 5},
  [6295] = {.lex_state = 351, .external_lex_state = 5},
  [6296] = {.lex_state = 27, .external_lex_state = 2},
  [6297] = {.lex_state = 48, .external_lex_state = 2},
  [6298] = {.lex_state = 27, .external_lex_state = 2},
  [6299] = {.lex_state = 48, .external_lex_state = 2},
  [6300] = {.lex_state = 351, .external_lex_state = 2},
  [6301] = {.lex_state = 351, .external_lex_state = 2},
  [6302] = {.lex_state = 48, .external_lex_state = 2},
  [6303] = {.lex_state = 351, .external_lex_state = 5},
  [6304] = {.lex_state = 351, .external_lex_state = 2},
  [6305] = {.lex_state = 55, .external_lex_state = 2},
  [6306] = {.lex_state = 351, .external_lex_state = 2},
  [6307] = {.lex_state = 351, .external_lex_state = 2},
  [6308] = {.lex_state = 351, .external_lex_state = 5},
  [6309] = {.lex_state = 351, .external_lex_state = 2},
  [6310] = {.lex_state = 55, .external_lex_state = 2},
  [6311] = {.lex_state = 351, .external_lex_state = 2},
  [6312] = {.lex_state = 351, .external_lex_state = 2},
  [6313] = {.lex_state = 48, .external_lex_state = 2},
  [6314] = {.lex_state = 351, .external_lex_state = 5},
  [6315] = {.lex_state = 351, .external_lex_state = 2},
  [6316] = {.lex_state = 351, .external_lex_state = 5},
  [6317] = {.lex_state = 48, .external_lex_state = 2},
  [6318] = {.lex_state = 351, .external_lex_state = 5},
  [6319] = {.lex_state = 351, .external_lex_state = 5},
  [6320] = {.lex_state = 351, .external_lex_state = 5},
  [6321] = {.lex_state = 351, .external_lex_state = 5},
  [6322] = {.lex_state = 351, .external_lex_state = 5},
  [6323] = {.lex_state = 351, .external_lex_state = 2},
  [6324] = {.lex_state = 351, .external_lex_state = 5},
  [6325] = {.lex_state = 351, .external_lex_state = 5},
  [6326] = {.lex_state = 351, .external_lex_state = 2},
  [6327] = {.lex_state = 351, .external_lex_state = 5},
  [6328] = {.lex_state = 351, .external_lex_state = 2},
  [6329] = {.lex_state = 351, .external_lex_state = 2},
  [6330] = {.lex_state = 48, .external_lex_state = 2},
  [6331] = {.lex_state = 48, .external_lex_state = 2},
  [6332] = {.lex_state = 351, .external_lex_state = 2},
  [6333] = {.lex_state = 48, .external_lex_state = 2},
  [6334] = {.lex_state = 48, .external_lex_state = 2},
  [6335] = {.lex_state = 351, .external_lex_state = 5},
  [6336] = {.lex_state = 351, .external_lex_state = 5},
  [6337] = {.lex_state = 351, .external_lex_state = 5},
  [6338] = {.lex_state = 48, .external_lex_state = 2},
  [6339] = {.lex_state = 351, .external_lex_state = 2},
  [6340] = {.lex_state = 351, .external_lex_state = 2},
  [6341] = {.lex_state = 27, .external_lex_state = 2},
  [6342] = {.lex_state = 27, .external_lex_state = 2},
  [6343] = {.lex_state = 351, .external_lex_state = 2},
  [6344] = {.lex_state = 351, .external_lex_state = 2},
  [6345] = {.lex_state = 351, .external_lex_state = 5},
  [6346] = {.lex_state = 48, .external_lex_state = 2},
  [6347] = {.lex_state = 351, .external_lex_state = 5},
  [6348] = {.lex_state = 48, .external_lex_state = 2},
  [6349] = {.lex_state = 351, .external_lex_state = 5},
  [6350] = {.lex_state = 48, .external_lex_state = 2},
  [6351] = {.lex_state = 351, .external_lex_state = 5},
  [6352] = {.lex_state = 351, .external_lex_state = 2},
  [6353] = {.lex_state = 351, .external_lex_state = 2},
  [6354] = {.lex_state = 351, .external_lex_state = 5},
  [6355] = {.lex_state = 351, .external_lex_state = 5},
  [6356] = {.lex_state = 351, .external_lex_state = 5},
  [6357] = {.lex_state = 351, .external_lex_state = 2},
  [6358] = {.lex_state = 351, .external_lex_state = 2},
  [6359] = {.lex_state = 351, .external_lex_state = 5},
  [6360] = {.lex_state = 351, .external_lex_state = 5},
  [6361] = {.lex_state = 27, .external_lex_state = 2},
  [6362] = {.lex_state = 351, .external_lex_state = 2},
  [6363] = {.lex_state = 351, .external_lex_state = 2},
  [6364] = {.lex_state = 351, .external_lex_state = 5},
  [6365] = {.lex_state = 351, .external_lex_state = 5},
  [6366] = {.lex_state = 351, .external_lex_state = 5},
  [6367] = {.lex_state = 351, .external_lex_state = 5},
  [6368] = {.lex_state = 351, .external_lex_state = 5},
  [6369] = {.lex_state = 351, .external_lex_state = 5},
  [6370] = {.lex_state = 51, .external_lex_state = 2},
  [6371] = {.lex_state = 351, .external_lex_state = 2},
  [6372] = {.lex_state = 51, .external_lex_state = 2},
  [6373] = {.lex_state = 351, .external_lex_state = 5},
  [6374] = {.lex_state = 51, .external_lex_state = 2},
  [6375] = {.lex_state = 351, .external_lex_state = 2},
  [6376] = {.lex_state = 51, .external_lex_state = 2},
  [6377] = {.lex_state = 351, .external_lex_state = 5},
  [6378] = {.lex_state = 351, .external_lex_state = 2},
  [6379] = {.lex_state = 351, .external_lex_state = 2},
  [6380] = {.lex_state = 351, .external_lex_state = 5},
  [6381] = {.lex_state = 351, .external_lex_state = 5},
  [6382] = {.lex_state = 351, .external_lex_state = 2},
  [6383] = {.lex_state = 351, .external_lex_state = 5},
  [6384] = {.lex_state = 351, .external_lex_state = 5},
  [6385] = {.lex_state = 351, .external_lex_state = 2},
  [6386] = {.lex_state = 351, .external_lex_state = 5},
  [6387] = {.lex_state = 351, .external_lex_state = 2},
  [6388] = {.lex_state = 351, .external_lex_state = 5},
  [6389] = {.lex_state = 351, .external_lex_state = 5},
  [6390] = {.lex_state = 351, .external_lex_state = 5},
  [6391] = {.lex_state = 351, .external_lex_state = 5},
  [6392] = {.lex_state = 351, .external_lex_state = 5},
  [6393] = {.lex_state = 351, .external_lex_state = 5},
  [6394] = {.lex_state = 351, .external_lex_state = 5},
  [6395] = {.lex_state = 351, .external_lex_state = 2},
  [6396] = {.lex_state = 351, .external_lex_state = 2},
  [6397] = {.lex_state = 351, .external_lex_state = 2},
  [6398] = {.lex_state = 351, .external_lex_state = 2},
  [6399] = {.lex_state = 51, .external_lex_state = 2},
  [6400] = {.lex_state = 351, .external_lex_state = 2},
  [6401] = {.lex_state = 51, .external_lex_state = 2},
  [6402] = {.lex_state = 351, .external_lex_state = 2},
  [6403] = {.lex_state = 351, .external_lex_state = 2},
  [6404] = {.lex_state = 351, .external_lex_state = 2},
  [6405] = {.lex_state = 351, .external_lex_state = 2},
  [6406] = {.lex_state = 351, .external_lex_state = 2},
  [6407] = {.lex_state = 51, .external_lex_state = 2},
  [6408] = {.lex_state = 51, .external_lex_state = 2},
  [6409] = {.lex_state = 51, .external_lex_state = 2},
  [6410] = {.lex_state = 351, .external_lex_state = 2},
  [6411] = {.lex_state = 351, .external_lex_state = 2},
  [6412] = {.lex_state = 351, .external_lex_state = 2},
  [6413] = {.lex_state = 351, .external_lex_state = 2},
  [6414] = {.lex_state = 351, .external_lex_state = 2},
  [6415] = {.lex_state = 351, .external_lex_state = 2},
  [6416] = {.lex_state = 351, .external_lex_state = 2},
  [6417] = {.lex_state = 351, .external_lex_state = 2},
  [6418] = {.lex_state = 351, .external_lex_state = 2},
  [6419] = {.lex_state = 51, .external_lex_state = 2},
  [6420] = {.lex_state = 351, .external_lex_state = 2},
  [6421] = {.lex_state = 351, .external_lex_state = 2},
  [6422] = {.lex_state = 351, .external_lex_state = 2},
  [6423] = {.lex_state = 351, .external_lex_state = 2},
  [6424] = {.lex_state = 51, .external_lex_state = 2},
  [6425] = {.lex_state = 351, .external_lex_state = 2},
  [6426] = {.lex_state = 351, .external_lex_state = 2},
  [6427] = {.lex_state = 351, .external_lex_state = 2},
  [6428] = {.lex_state = 351, .external_lex_state = 5},
  [6429] = {.lex_state = 351, .external_lex_state = 2},
  [6430] = {.lex_state = 351, .external_lex_state = 2},
  [6431] = {.lex_state = 351, .external_lex_state = 2},
  [6432] = {.lex_state = 351, .external_lex_state = 2},
  [6433] = {.lex_state = 351, .external_lex_state = 2},
  [6434] = {.lex_state = 351, .external_lex_state = 2},
  [6435] = {.lex_state = 351, .external_lex_state = 2},
  [6436] = {.lex_state = 351, .external_lex_state = 2},
  [6437] = {.lex_state = 351, .external_lex_state = 5},
  [6438] = {.lex_state = 51, .external_lex_state = 2},
  [6439] = {.lex_state = 351, .external_lex_state = 2},
  [6440] = {.lex_state = 351, .external_lex_state = 5},
  [6441] = {.lex_state = 351, .external_lex_state = 2},
  [6442] = {.lex_state = 351, .external_lex_state = 2},
  [6443] = {.lex_state = 351, .external_lex_state = 2},
  [6444] = {.lex_state = 351, .external_lex_state = 2},
  [6445] = {.lex_state = 351, .external_lex_state = 2},
  [6446] = {.lex_state = 351, .external_lex_state = 5},
  [6447] = {.lex_state = 351, .external_lex_state = 2},
  [6448] = {.lex_state = 51, .external_lex_state = 2},
  [6449] = {.lex_state = 351, .external_lex_state = 5},
  [6450] = {.lex_state = 351, .external_lex_state = 5},
  [6451] = {.lex_state = 351, .external_lex_state = 2},
  [6452] = {.lex_state = 351, .external_lex_state = 2},
  [6453] = {.lex_state = 351, .external_lex_state = 5},
  [6454] = {.lex_state = 51, .external_lex_state = 2},
  [6455] = {.lex_state = 351, .external_lex_state = 2},
  [6456] = {.lex_state = 351, .external_lex_state = 2},
  [6457] = {.lex_state = 351, .external_lex_state = 2},
  [6458] = {.lex_state = 51, .external_lex_state = 2},
  [6459] = {.lex_state = 51, .external_lex_state = 2},
  [6460] = {.lex_state = 351, .external_lex_state = 5},
  [6461] = {.lex_state = 351, .external_lex_state = 2},
  [6462] = {.lex_state = 51, .external_lex_state = 2},
  [6463] = {.lex_state = 351, .external_lex_state = 2},
  [6464] = {.lex_state = 351, .external_lex_state = 2},
  [6465] = {.lex_state = 351, .external_lex_state = 2},
  [6466] = {.lex_state = 351, .external_lex_state = 5},
  [6467] = {.lex_state = 351, .external_lex_state = 5},
  [6468] = {.lex_state = 351, .external_lex_state = 2},
  [6469] = {.lex_state = 51, .external_lex_state = 2},
  [6470] = {.lex_state = 351, .external_lex_state = 2},
  [6471] = {.lex_state = 351, .external_lex_state = 2},
  [6472] = {.lex_state = 351, .external_lex_state = 2},
  [6473] = {.lex_state = 351, .external_lex_state = 2},
  [6474] = {.lex_state = 351, .external_lex_state = 2},
  [6475] = {.lex_state = 351, .external_lex_state = 2},
  [6476] = {.lex_state = 351, .external_lex_state = 2},
  [6477] = {.lex_state = 351, .external_lex_state = 2},
  [6478] = {.lex_state = 351, .external_lex_state = 2},
  [6479] = {.lex_state = 351, .external_lex_state = 2},
  [6480] = {.lex_state = 51, .external_lex_state = 2},
  [6481] = {.lex_state = 351, .external_lex_state = 2},
  [6482] = {.lex_state = 51, .external_lex_state = 2},
  [6483] = {.lex_state = 351, .external_lex_state = 2},
  [6484] = {.lex_state = 351, .external_lex_state = 2},
  [6485] = {.lex_state = 351, .external_lex_state = 2},
  [6486] = {.lex_state = 51, .external_lex_state = 2},
  [6487] = {.lex_state = 51, .external_lex_state = 2},
  [6488] = {.lex_state = 351, .external_lex_state = 2},
  [6489] = {.lex_state = 51, .external_lex_state = 2},
  [6490] = {.lex_state = 351, .external_lex_state = 2},
  [6491] = {.lex_state = 351, .external_lex_state = 2},
  [6492] = {.lex_state = 351, .external_lex_state = 2},
  [6493] = {.lex_state = 351, .external_lex_state = 5},
  [6494] = {.lex_state = 351, .external_lex_state = 5},
  [6495] = {.lex_state = 351, .external_lex_state = 2},
  [6496] = {.lex_state = 51, .external_lex_state = 2},
  [6497] = {.lex_state = 351, .external_lex_state = 2},
  [6498] = {.lex_state = 351, .external_lex_state = 2},
  [6499] = {.lex_state = 351, .external_lex_state = 2},
  [6500] = {.lex_state = 351, .external_lex_state = 2},
  [6501] = {.lex_state = 351, .external_lex_state = 2},
  [6502] = {.lex_state = 351, .external_lex_state = 2},
  [6503] = {.lex_state = 351, .external_lex_state = 2},
  [6504] = {.lex_state = 351, .external_lex_state = 2},
  [6505] = {.lex_state = 351, .external_lex_state = 2},
  [6506] = {.lex_state = 351, .external_lex_state = 2},
  [6507] = {.lex_state = 351, .external_lex_state = 2},
  [6508] = {.lex_state = 351, .external_lex_state = 2},
  [6509] = {.lex_state = 351, .external_lex_state = 2},
  [6510] = {.lex_state = 351, .external_lex_state = 2},
  [6511] = {.lex_state = 351, .external_lex_state = 2},
  [6512] = {.lex_state = 351, .external_lex_state = 2},
  [6513] = {.lex_state = 351, .external_lex_state = 2},
  [6514] = {.lex_state = 351, .external_lex_state = 2},
  [6515] = {.lex_state = 351, .external_lex_state = 2},
  [6516] = {.lex_state = 351, .external_lex_state = 2},
  [6517] = {.lex_state = 51, .external_lex_state = 2},
  [6518] = {.lex_state = 351, .external_lex_state = 2},
  [6519] = {.lex_state = 351, .external_lex_state = 5},
  [6520] = {.lex_state = 351, .external_lex_state = 2},
  [6521] = {.lex_state = 351, .external_lex_state = 2},
  [6522] = {.lex_state = 351, .external_lex_state = 2},
  [6523] = {.lex_state = 351, .external_lex_state = 2},
  [6524] = {.lex_state = 351, .external_lex_state = 2},
  [6525] = {.lex_state = 351, .external_lex_state = 2},
  [6526] = {.lex_state = 351, .external_lex_state = 2},
  [6527] = {.lex_state = 351, .external_lex_state = 2},
  [6528] = {.lex_state = 351, .external_lex_state = 2},
  [6529] = {.lex_state = 351, .external_lex_state = 2},
  [6530] = {.lex_state = 351, .external_lex_state = 2},
  [6531] = {.lex_state = 351, .external_lex_state = 2},
  [6532] = {.lex_state = 351, .external_lex_state = 2},
  [6533] = {.lex_state = 351, .external_lex_state = 2},
  [6534] = {.lex_state = 351, .external_lex_state = 2},
  [6535] = {.lex_state = 351, .external_lex_state = 2},
  [6536] = {.lex_state = 351, .external_lex_state = 2},
  [6537] = {.lex_state = 351, .external_lex_state = 2},
  [6538] = {.lex_state = 351, .external_lex_state = 2},
  [6539] = {.lex_state = 351, .external_lex_state = 2},
  [6540] = {.lex_state = 351, .external_lex_state = 2},
  [6541] = {.lex_state = 351, .external_lex_state = 2},
  [6542] = {.lex_state = 351, .external_lex_state = 2},
  [6543] = {.lex_state = 351, .external_lex_state = 2},
  [6544] = {.lex_state = 351, .external_lex_state = 2},
  [6545] = {.lex_state = 351, .external_lex_state = 2},
  [6546] = {.lex_state = 351, .external_lex_state = 2},
  [6547] = {.lex_state = 351, .external_lex_state = 2},
  [6548] = {.lex_state = 351, .external_lex_state = 2},
  [6549] = {.lex_state = 351, .external_lex_state = 2},
  [6550] = {.lex_state = 351, .external_lex_state = 2},
  [6551] = {.lex_state = 351, .external_lex_state = 2},
  [6552] = {.lex_state = 351, .external_lex_state = 2},
  [6553] = {.lex_state = 351, .external_lex_state = 2},
  [6554] = {.lex_state = 351, .external_lex_state = 2},
  [6555] = {.lex_state = 351, .external_lex_state = 2},
  [6556] = {.lex_state = 351, .external_lex_state = 2},
  [6557] = {.lex_state = 351, .external_lex_state = 2},
  [6558] = {.lex_state = 351, .external_lex_state = 2},
  [6559] = {.lex_state = 351, .external_lex_state = 2},
  [6560] = {.lex_state = 51, .external_lex_state = 2},
  [6561] = {.lex_state = 351, .external_lex_state = 5},
  [6562] = {.lex_state = 351, .external_lex_state = 2},
  [6563] = {.lex_state = 51, .external_lex_state = 2},
  [6564] = {.lex_state = 351, .external_lex_state = 2},
  [6565] = {.lex_state = 351, .external_lex_state = 2},
  [6566] = {.lex_state = 351, .external_lex_state = 5},
  [6567] = {.lex_state = 351, .external_lex_state = 2},
  [6568] = {.lex_state = 351, .external_lex_state = 2},
  [6569] = {.lex_state = 51, .external_lex_state = 2},
  [6570] = {.lex_state = 351, .external_lex_state = 2},
  [6571] = {.lex_state = 351, .external_lex_state = 2},
  [6572] = {.lex_state = 2, .external_lex_state = 2},
  [6573] = {.lex_state = 351, .external_lex_state = 2},
  [6574] = {.lex_state = 351, .external_lex_state = 2},
  [6575] = {.lex_state = 51, .external_lex_state = 2},
  [6576] = {.lex_state = 48, .external_lex_state = 2},
  [6577] = {.lex_state = 351, .external_lex_state = 2},
  [6578] = {.lex_state = 51, .external_lex_state = 2},
  [6579] = {.lex_state = 351, .external_lex_state = 2},
  [6580] = {.lex_state = 351, .external_lex_state = 5},
  [6581] = {.lex_state = 351, .external_lex_state = 5},
  [6582] = {.lex_state = 351, .external_lex_state = 2},
  [6583] = {.lex_state = 351, .external_lex_state = 2},
  [6584] = {.lex_state = 351, .external_lex_state = 2},
  [6585] = {.lex_state = 351, .external_lex_state = 2},
  [6586] = {.lex_state = 351, .external_lex_state = 2},
  [6587] = {.lex_state = 351, .external_lex_state = 2},
  [6588] = {.lex_state = 351, .external_lex_state = 2},
  [6589] = {.lex_state = 351, .external_lex_state = 2},
  [6590] = {.lex_state = 351, .external_lex_state = 2},
  [6591] = {.lex_state = 351, .external_lex_state = 2},
  [6592] = {.lex_state = 351, .external_lex_state = 2},
  [6593] = {.lex_state = 351, .external_lex_state = 2},
  [6594] = {.lex_state = 351, .external_lex_state = 2},
  [6595] = {.lex_state = 351, .external_lex_state = 2},
  [6596] = {.lex_state = 351, .external_lex_state = 2},
  [6597] = {.lex_state = 351, .external_lex_state = 2},
  [6598] = {.lex_state = 351, .external_lex_state = 2},
  [6599] = {.lex_state = 351, .external_lex_state = 2},
  [6600] = {.lex_state = 351, .external_lex_state = 2},
  [6601] = {.lex_state = 351, .external_lex_state = 2},
  [6602] = {.lex_state = 351, .external_lex_state = 2},
  [6603] = {.lex_state = 351, .external_lex_state = 2},
  [6604] = {.lex_state = 351, .external_lex_state = 2},
  [6605] = {.lex_state = 351, .external_lex_state = 2},
  [6606] = {.lex_state = 351, .external_lex_state = 2},
  [6607] = {.lex_state = 351, .external_lex_state = 2},
  [6608] = {.lex_state = 351, .external_lex_state = 2},
  [6609] = {.lex_state = 351, .external_lex_state = 2},
  [6610] = {.lex_state = 351, .external_lex_state = 5},
  [6611] = {.lex_state = 351, .external_lex_state = 2},
  [6612] = {.lex_state = 351, .external_lex_state = 2},
  [6613] = {.lex_state = 351, .external_lex_state = 2},
  [6614] = {.lex_state = 351, .external_lex_state = 2},
  [6615] = {.lex_state = 351, .external_lex_state = 5},
  [6616] = {.lex_state = 351, .external_lex_state = 2},
  [6617] = {.lex_state = 351, .external_lex_state = 2},
  [6618] = {.lex_state = 351, .external_lex_state = 2},
  [6619] = {.lex_state = 351, .external_lex_state = 2},
  [6620] = {.lex_state = 351, .external_lex_state = 5},
  [6621] = {.lex_state = 351, .external_lex_state = 2},
  [6622] = {.lex_state = 351, .external_lex_state = 2},
  [6623] = {.lex_state = 351, .external_lex_state = 2},
  [6624] = {.lex_state = 351, .external_lex_state = 2},
  [6625] = {.lex_state = 351, .external_lex_state = 2},
  [6626] = {.lex_state = 48, .external_lex_state = 2},
  [6627] = {.lex_state = 351, .external_lex_state = 2},
  [6628] = {.lex_state = 48, .external_lex_state = 2},
  [6629] = {.lex_state = 351, .external_lex_state = 2},
  [6630] = {.lex_state = 351, .external_lex_state = 2},
  [6631] = {.lex_state = 351, .external_lex_state = 2},
  [6632] = {.lex_state = 351, .external_lex_state = 2},
  [6633] = {.lex_state = 351, .external_lex_state = 2},
  [6634] = {.lex_state = 351, .external_lex_state = 5},
  [6635] = {.lex_state = 351, .external_lex_state = 2},
  [6636] = {.lex_state = 351, .external_lex_state = 5},
  [6637] = {.lex_state = 351, .external_lex_state = 2},
  [6638] = {.lex_state = 351, .external_lex_state = 2},
  [6639] = {.lex_state = 351, .external_lex_state = 2},
  [6640] = {.lex_state = 351, .external_lex_state = 2},
  [6641] = {.lex_state = 351, .external_lex_state = 2},
  [6642] = {.lex_state = 351, .external_lex_state = 2},
  [6643] = {.lex_state = 351, .external_lex_state = 5},
  [6644] = {.lex_state = 351, .external_lex_state = 5},
  [6645] = {.lex_state = 351, .external_lex_state = 5},
  [6646] = {.lex_state = 351, .external_lex_state = 2},
  [6647] = {.lex_state = 351, .external_lex_state = 2},
  [6648] = {.lex_state = 351, .external_lex_state = 2},
  [6649] = {.lex_state = 351, .external_lex_state = 2},
  [6650] = {.lex_state = 351, .external_lex_state = 5},
  [6651] = {.lex_state = 351, .external_lex_state = 5},
  [6652] = {.lex_state = 351, .external_lex_state = 2},
  [6653] = {.lex_state = 351, .external_lex_state = 2},
  [6654] = {.lex_state = 351, .external_lex_state = 2},
  [6655] = {.lex_state = 351, .external_lex_state = 2},
  [6656] = {.lex_state = 351, .external_lex_state = 5},
  [6657] = {.lex_state = 351, .external_lex_state = 5},
  [6658] = {.lex_state = 351, .external_lex_state = 2},
  [6659] = {.lex_state = 351, .external_lex_state = 2},
  [6660] = {.lex_state = 351, .external_lex_state = 5},
  [6661] = {.lex_state = 351, .external_lex_state = 2},
  [6662] = {.lex_state = 351, .external_lex_state = 2},
  [6663] = {.lex_state = 351, .external_lex_state = 2},
  [6664] = {.lex_state = 351, .external_lex_state = 2},
  [6665] = {.lex_state = 351, .external_lex_state = 2},
  [6666] = {.lex_state = 351, .external_lex_state = 2},
  [6667] = {.lex_state = 351, .external_lex_state = 5},
  [6668] = {.lex_state = 351, .external_lex_state = 2},
  [6669] = {.lex_state = 351, .external_lex_state = 2},
  [6670] = {.lex_state = 351, .external_lex_state = 2},
  [6671] = {.lex_state = 351, .external_lex_state = 2},
  [6672] = {.lex_state = 351, .external_lex_state = 2},
  [6673] = {.lex_state = 351, .external_lex_state = 2},
  [6674] = {.lex_state = 351, .external_lex_state = 5},
  [6675] = {.lex_state = 351, .external_lex_state = 2},
  [6676] = {.lex_state = 351, .external_lex_state = 2},
  [6677] = {.lex_state = 351, .external_lex_state = 2},
  [6678] = {.lex_state = 351, .external_lex_state = 2},
  [6679] = {.lex_state = 351, .external_lex_state = 2},
  [6680] = {.lex_state = 351, .external_lex_state = 5},
  [6681] = {.lex_state = 351, .external_lex_state = 2},
  [6682] = {.lex_state = 351, .external_lex_state = 5},
  [6683] = {.lex_state = 351, .external_lex_state = 5},
  [6684] = {.lex_state = 351, .external_lex_state = 2},
  [6685] = {.lex_state = 351, .external_lex_state = 2},
  [6686] = {.lex_state = 351, .external_lex_state = 2},
  [6687] = {.lex_state = 351, .external_lex_state = 2},
  [6688] = {.lex_state = 351, .external_lex_state = 2},
  [6689] = {.lex_state = 351, .external_lex_state = 2},
  [6690] = {.lex_state = 351, .external_lex_state = 2},
  [6691] = {.lex_state = 351, .external_lex_state = 2},
  [6692] = {.lex_state = 48, .external_lex_state = 2},
  [6693] = {.lex_state = 351, .external_lex_state = 2},
  [6694] = {.lex_state = 351, .external_lex_state = 5},
  [6695] = {.lex_state = 351, .external_lex_state = 2},
  [6696] = {.lex_state = 48, .external_lex_state = 2},
  [6697] = {.lex_state = 351, .external_lex_state = 2},
  [6698] = {.lex_state = 351, .external_lex_state = 2},
  [6699] = {.lex_state = 351, .external_lex_state = 5},
  [6700] = {.lex_state = 351, .external_lex_state = 2},
  [6701] = {.lex_state = 351, .external_lex_state = 2},
  [6702] = {.lex_state = 351, .external_lex_state = 2},
  [6703] = {.lex_state = 351, .external_lex_state = 2},
  [6704] = {.lex_state = 351, .external_lex_state = 2},
  [6705] = {.lex_state = 351, .external_lex_state = 2},
  [6706] = {.lex_state = 351, .external_lex_state = 5},
  [6707] = {.lex_state = 351, .external_lex_state = 2},
  [6708] = {.lex_state = 51, .external_lex_state = 2},
  [6709] = {.lex_state = 351, .external_lex_state = 2},
  [6710] = {.lex_state = 351, .external_lex_state = 2},
  [6711] = {.lex_state = 351, .external_lex_state = 2},
  [6712] = {.lex_state = 351, .external_lex_state = 2},
  [6713] = {.lex_state = 351, .external_lex_state = 2},
  [6714] = {.lex_state = 351, .external_lex_state = 2},
  [6715] = {.lex_state = 351, .external_lex_state = 2},
  [6716] = {.lex_state = 351, .external_lex_state = 2},
  [6717] = {.lex_state = 51, .external_lex_state = 2},
  [6718] = {.lex_state = 351, .external_lex_state = 2},
  [6719] = {.lex_state = 351, .external_lex_state = 2},
  [6720] = {.lex_state = 351, .external_lex_state = 5},
  [6721] = {.lex_state = 351, .external_lex_state = 2},
  [6722] = {.lex_state = 351, .external_lex_state = 2},
  [6723] = {.lex_state = 351, .external_lex_state = 5},
  [6724] = {.lex_state = 351, .external_lex_state = 2},
  [6725] = {.lex_state = 351, .external_lex_state = 5},
  [6726] = {.lex_state = 351, .external_lex_state = 5},
  [6727] = {.lex_state = 351, .external_lex_state = 2},
  [6728] = {.lex_state = 351, .external_lex_state = 2},
  [6729] = {.lex_state = 351, .external_lex_state = 2},
  [6730] = {.lex_state = 351, .external_lex_state = 2},
  [6731] = {.lex_state = 351, .external_lex_state = 5},
  [6732] = {.lex_state = 351, .external_lex_state = 2},
  [6733] = {.lex_state = 351, .external_lex_state = 2},
  [6734] = {.lex_state = 351, .external_lex_state = 2},
  [6735] = {.lex_state = 351, .external_lex_state = 2},
  [6736] = {.lex_state = 51, .external_lex_state = 2},
  [6737] = {.lex_state = 51, .external_lex_state = 2},
  [6738] = {.lex_state = 351, .external_lex_state = 2},
  [6739] = {.lex_state = 351, .external_lex_state = 2},
  [6740] = {.lex_state = 351, .external_lex_state = 5},
  [6741] = {.lex_state = 351, .external_lex_state = 2},
  [6742] = {.lex_state = 51, .external_lex_state = 2},
  [6743] = {.lex_state = 51, .external_lex_state = 2},
  [6744] = {.lex_state = 351, .external_lex_state = 2},
  [6745] = {.lex_state = 351, .external_lex_state = 2},
  [6746] = {.lex_state = 351, .external_lex_state = 2},
  [6747] = {.lex_state = 51, .external_lex_state = 2},
  [6748] = {.lex_state = 351, .external_lex_state = 2},
  [6749] = {.lex_state = 351, .external_lex_state = 2},
  [6750] = {.lex_state = 351, .external_lex_state = 5},
  [6751] = {.lex_state = 351, .external_lex_state = 2},
  [6752] = {.lex_state = 351, .external_lex_state = 2},
  [6753] = {.lex_state = 351, .external_lex_state = 5},
  [6754] = {.lex_state = 351, .external_lex_state = 5},
  [6755] = {.lex_state = 351, .external_lex_state = 2},
  [6756] = {.lex_state = 351, .external_lex_state = 5},
  [6757] = {.lex_state = 351, .external_lex_state = 2},
  [6758] = {.lex_state = 351, .external_lex_state = 2},
  [6759] = {.lex_state = 51, .external_lex_state = 2},
  [6760] = {.lex_state = 351, .external_lex_state = 2},
  [6761] = {.lex_state = 351, .external_lex_state = 2},
  [6762] = {.lex_state = 351, .external_lex_state = 2},
  [6763] = {.lex_state = 351, .external_lex_state = 2},
  [6764] = {.lex_state = 351, .external_lex_state = 2},
  [6765] = {.lex_state = 351, .external_lex_state = 2},
  [6766] = {.lex_state = 351, .external_lex_state = 2},
  [6767] = {.lex_state = 72, .external_lex_state = 2},
  [6768] = {.lex_state = 351, .external_lex_state = 2},
  [6769] = {.lex_state = 351, .external_lex_state = 2},
  [6770] = {.lex_state = 351, .external_lex_state = 2},
  [6771] = {.lex_state = 51, .external_lex_state = 2},
  [6772] = {.lex_state = 351, .external_lex_state = 2},
  [6773] = {.lex_state = 351, .external_lex_state = 2},
  [6774] = {.lex_state = 351, .external_lex_state = 2},
  [6775] = {.lex_state = 2, .external_lex_state = 2},
  [6776] = {.lex_state = 351, .external_lex_state = 5},
  [6777] = {.lex_state = 51, .external_lex_state = 2},
  [6778] = {.lex_state = 351, .external_lex_state = 2},
  [6779] = {.lex_state = 351, .external_lex_state = 5},
  [6780] = {.lex_state = 351, .external_lex_state = 5},
  [6781] = {.lex_state = 351, .external_lex_state = 2},
  [6782] = {.lex_state = 351, .external_lex_state = 2},
  [6783] = {.lex_state = 351, .external_lex_state = 2},
  [6784] = {.lex_state = 351, .external_lex_state = 2},
  [6785] = {.lex_state = 51, .external_lex_state = 2},
  [6786] = {.lex_state = 51, .external_lex_state = 2},
  [6787] = {.lex_state = 351, .external_lex_state = 2},
  [6788] = {.lex_state = 51, .external_lex_state = 2},
  [6789] = {.lex_state = 351, .external_lex_state = 2},
  [6790] = {.lex_state = 51, .external_lex_state = 2},
  [6791] = {.lex_state = 351, .external_lex_state = 2},
  [6792] = {.lex_state = 351, .external_lex_state = 2},
  [6793] = {.lex_state = 351, .external_lex_state = 2},
  [6794] = {.lex_state = 51, .external_lex_state = 2},
  [6795] = {.lex_state = 351, .external_lex_state = 2},
  [6796] = {.lex_state = 351, .external_lex_state = 2},
  [6797] = {.lex_state = 50, .external_lex_state = 2},
  [6798] = {.lex_state = 51, .external_lex_state = 2},
  [6799] = {.lex_state = 351, .external_lex_state = 2},
  [6800] = {.lex_state = 351, .external_lex_state = 2},
  [6801] = {.lex_state = 51, .external_lex_state = 2},
  [6802] = {.lex_state = 351, .external_lex_state = 2},
  [6803] = {.lex_state = 351, .external_lex_state = 5},
  [6804] = {.lex_state = 51, .external_lex_state = 2},
  [6805] = {.lex_state = 351, .external_lex_state = 2},
  [6806] = {.lex_state = 351, .external_lex_state = 2},
  [6807] = {.lex_state = 351, .external_lex_state = 2},
  [6808] = {.lex_state = 351, .external_lex_state = 2},
  [6809] = {.lex_state = 351, .external_lex_state = 2},
  [6810] = {.lex_state = 351, .external_lex_state = 2},
  [6811] = {.lex_state = 351, .external_lex_state = 2},
  [6812] = {.lex_state = 351, .external_lex_state = 2},
  [6813] = {.lex_state = 351, .external_lex_state = 2},
  [6814] = {.lex_state = 72, .external_lex_state = 2},
  [6815] = {.lex_state = 351, .external_lex_state = 2},
  [6816] = {.lex_state = 351, .external_lex_state = 5},
  [6817] = {.lex_state = 351, .external_lex_state = 2},
  [6818] = {.lex_state = 351, .external_lex_state = 5},
  [6819] = {.lex_state = 351, .external_lex_state = 5},
  [6820] = {.lex_state = 351, .external_lex_state = 2},
  [6821] = {.lex_state = 351, .external_lex_state = 2},
  [6822] = {.lex_state = 351, .external_lex_state = 2},
  [6823] = {.lex_state = 351, .external_lex_state = 2},
  [6824] = {.lex_state = 51, .external_lex_state = 2},
  [6825] = {.lex_state = 351, .external_lex_state = 2},
  [6826] = {.lex_state = 351, .external_lex_state = 2},
  [6827] = {.lex_state = 351, .external_lex_state = 2},
  [6828] = {.lex_state = 351, .external_lex_state = 2},
  [6829] = {.lex_state = 351, .external_lex_state = 2},
  [6830] = {.lex_state = 351, .external_lex_state = 2},
  [6831] = {.lex_state = 351, .external_lex_state = 2},
  [6832] = {.lex_state = 351, .external_lex_state = 2},
  [6833] = {.lex_state = 351, .external_lex_state = 2},
  [6834] = {.lex_state = 351, .external_lex_state = 2},
  [6835] = {.lex_state = 51, .external_lex_state = 2},
  [6836] = {.lex_state = 50, .external_lex_state = 2},
  [6837] = {.lex_state = 351, .external_lex_state = 2},
  [6838] = {.lex_state = 351, .external_lex_state = 5},
  [6839] = {.lex_state = 351, .external_lex_state = 5},
  [6840] = {.lex_state = 351, .external_lex_state = 2},
  [6841] = {.lex_state = 351, .external_lex_state = 2},
  [6842] = {.lex_state = 351, .external_lex_state = 2},
  [6843] = {.lex_state = 351, .external_lex_state = 2},
  [6844] = {.lex_state = 351, .external_lex_state = 2},
  [6845] = {.lex_state = 351, .external_lex_state = 2},
  [6846] = {.lex_state = 351, .external_lex_state = 5},
  [6847] = {.lex_state = 351, .external_lex_state = 5},
  [6848] = {.lex_state = 51, .external_lex_state = 2},
  [6849] = {.lex_state = 48, .external_lex_state = 2},
  [6850] = {.lex_state = 48, .external_lex_state = 2},
  [6851] = {.lex_state = 351, .external_lex_state = 2},
  [6852] = {.lex_state = 351, .external_lex_state = 2},
  [6853] = {.lex_state = 351, .external_lex_state = 2},
  [6854] = {.lex_state = 351, .external_lex_state = 2},
  [6855] = {.lex_state = 351, .external_lex_state = 2},
  [6856] = {.lex_state = 351, .external_lex_state = 2},
  [6857] = {.lex_state = 351, .external_lex_state = 2},
  [6858] = {.lex_state = 351, .external_lex_state = 2},
  [6859] = {.lex_state = 351, .external_lex_state = 2},
  [6860] = {.lex_state = 351, .external_lex_state = 2},
  [6861] = {.lex_state = 351, .external_lex_state = 2},
  [6862] = {.lex_state = 351, .external_lex_state = 2},
  [6863] = {.lex_state = 351, .external_lex_state = 2},
  [6864] = {.lex_state = 351, .external_lex_state = 2},
  [6865] = {.lex_state = 51, .external_lex_state = 2},
  [6866] = {.lex_state = 51, .external_lex_state = 2},
  [6867] = {.lex_state = 351, .external_lex_state = 2},
  [6868] = {.lex_state = 351, .external_lex_state = 2},
  [6869] = {.lex_state = 351, .external_lex_state = 2},
  [6870] = {.lex_state = 351, .external_lex_state = 2},
  [6871] = {.lex_state = 351, .external_lex_state = 2},
  [6872] = {.lex_state = 351, .external_lex_state = 2},
  [6873] = {.lex_state = 351, .external_lex_state = 2},
  [6874] = {.lex_state = 351, .external_lex_state = 2},
  [6875] = {.lex_state = 351, .external_lex_state = 2},
  [6876] = {.lex_state = 351, .external_lex_state = 2},
  [6877] = {.lex_state = 351, .external_lex_state = 2},
  [6878] = {.lex_state = 351, .external_lex_state = 2},
  [6879] = {.lex_state = 351, .external_lex_state = 2},
  [6880] = {.lex_state = 351, .external_lex_state = 2},
  [6881] = {.lex_state = 351, .external_lex_state = 2},
  [6882] = {.lex_state = 351, .external_lex_state = 2},
  [6883] = {.lex_state = 351, .external_lex_state = 5},
  [6884] = {.lex_state = 51, .external_lex_state = 2},
  [6885] = {.lex_state = 51, .external_lex_state = 2},
  [6886] = {.lex_state = 351, .external_lex_state = 2},
  [6887] = {.lex_state = 51, .external_lex_state = 2},
  [6888] = {.lex_state = 51, .external_lex_state = 2},
  [6889] = {.lex_state = 351, .external_lex_state = 2},
  [6890] = {.lex_state = 351, .external_lex_state = 2},
  [6891] = {.lex_state = 351, .external_lex_state = 2},
  [6892] = {.lex_state = 51, .external_lex_state = 2},
  [6893] = {.lex_state = 351, .external_lex_state = 2},
  [6894] = {.lex_state = 351, .external_lex_state = 2},
  [6895] = {.lex_state = 351, .external_lex_state = 2},
  [6896] = {.lex_state = 351, .external_lex_state = 2},
  [6897] = {.lex_state = 351, .external_lex_state = 2},
  [6898] = {.lex_state = 351, .external_lex_state = 2},
  [6899] = {.lex_state = 351, .external_lex_state = 2},
  [6900] = {.lex_state = 351, .external_lex_state = 5},
  [6901] = {.lex_state = 351, .external_lex_state = 2},
  [6902] = {.lex_state = 351, .external_lex_state = 2},
  [6903] = {.lex_state = 351, .external_lex_state = 2},
  [6904] = {.lex_state = 351, .external_lex_state = 2},
  [6905] = {.lex_state = 351, .external_lex_state = 2},
  [6906] = {.lex_state = 351, .external_lex_state = 2},
  [6907] = {.lex_state = 351, .external_lex_state = 2},
  [6908] = {.lex_state = 351, .external_lex_state = 2},
  [6909] = {.lex_state = 351, .external_lex_state = 2},
  [6910] = {.lex_state = 351, .external_lex_state = 2},
  [6911] = {.lex_state = 351, .external_lex_state = 2},
  [6912] = {.lex_state = 351, .external_lex_state = 2},
  [6913] = {.lex_state = 351, .external_lex_state = 2},
  [6914] = {.lex_state = 351, .external_lex_state = 2},
  [6915] = {.lex_state = 351, .external_lex_state = 2},
  [6916] = {.lex_state = 351, .external_lex_state = 2},
  [6917] = {.lex_state = 351, .external_lex_state = 2},
  [6918] = {.lex_state = 351, .external_lex_state = 2},
  [6919] = {.lex_state = 351, .external_lex_state = 2},
  [6920] = {.lex_state = 351, .external_lex_state = 2},
  [6921] = {.lex_state = 351, .external_lex_state = 2},
  [6922] = {.lex_state = 351, .external_lex_state = 2},
  [6923] = {.lex_state = 48, .external_lex_state = 2},
  [6924] = {.lex_state = 351, .external_lex_state = 2},
  [6925] = {.lex_state = 351, .external_lex_state = 2},
  [6926] = {.lex_state = 351, .external_lex_state = 2},
  [6927] = {.lex_state = 351, .external_lex_state = 2},
  [6928] = {.lex_state = 351, .external_lex_state = 2},
  [6929] = {.lex_state = 351, .external_lex_state = 2},
  [6930] = {.lex_state = 351, .external_lex_state = 2},
  [6931] = {.lex_state = 351, .external_lex_state = 2},
  [6932] = {.lex_state = 351, .external_lex_state = 5},
  [6933] = {.lex_state = 351, .external_lex_state = 2},
  [6934] = {.lex_state = 351, .external_lex_state = 2},
  [6935] = {.lex_state = 351, .external_lex_state = 2},
  [6936] = {.lex_state = 351, .external_lex_state = 2},
  [6937] = {.lex_state = 351, .external_lex_state = 2},
  [6938] = {.lex_state = 351, .external_lex_state = 2},
  [6939] = {.lex_state = 351, .external_lex_state = 2},
  [6940] = {.lex_state = 351, .external_lex_state = 2},
  [6941] = {.lex_state = 351, .external_lex_state = 2},
  [6942] = {.lex_state = 351, .external_lex_state = 5},
  [6943] = {.lex_state = 351, .external_lex_state = 2},
  [6944] = {.lex_state = 351, .external_lex_state = 5},
  [6945] = {.lex_state = 351, .external_lex_state = 2},
  [6946] = {.lex_state = 351, .external_lex_state = 2},
  [6947] = {.lex_state = 351, .external_lex_state = 2},
  [6948] = {.lex_state = 351, .external_lex_state = 5},
  [6949] = {.lex_state = 351, .external_lex_state = 5},
  [6950] = {.lex_state = 351, .external_lex_state = 5},
  [6951] = {.lex_state = 351, .external_lex_state = 5},
  [6952] = {.lex_state = 351, .external_lex_state = 2},
  [6953] = {.lex_state = 48, .external_lex_state = 2},
  [6954] = {.lex_state = 351, .external_lex_state = 2},
  [6955] = {.lex_state = 351, .external_lex_state = 2},
  [6956] = {.lex_state = 48, .external_lex_state = 2},
  [6957] = {.lex_state = 48, .external_lex_state = 2},
  [6958] = {.lex_state = 351, .external_lex_state = 5},
  [6959] = {.lex_state = 351, .external_lex_state = 2},
  [6960] = {.lex_state = 351, .external_lex_state = 5},
  [6961] = {.lex_state = 351, .external_lex_state = 2},
  [6962] = {.lex_state = 351, .external_lex_state = 2},
  [6963] = {.lex_state = 351, .external_lex_state = 2},
  [6964] = {.lex_state = 351, .external_lex_state = 2},
  [6965] = {.lex_state = 351, .external_lex_state = 2},
  [6966] = {.lex_state = 351, .external_lex_state = 2},
  [6967] = {.lex_state = 351, .external_lex_state = 2},
  [6968] = {.lex_state = 351, .external_lex_state = 2},
  [6969] = {.lex_state = 351, .external_lex_state = 5},
  [6970] = {.lex_state = 351, .external_lex_state = 5},
  [6971] = {.lex_state = 351, .external_lex_state = 2},
  [6972] = {.lex_state = 351, .external_lex_state = 2},
  [6973] = {.lex_state = 351, .external_lex_state = 2},
  [6974] = {.lex_state = 351, .external_lex_state = 2},
  [6975] = {.lex_state = 50, .external_lex_state = 2},
  [6976] = {.lex_state = 351, .external_lex_state = 5},
  [6977] = {.lex_state = 351, .external_lex_state = 2},
  [6978] = {.lex_state = 48, .external_lex_state = 2},
  [6979] = {.lex_state = 351, .external_lex_state = 2},
  [6980] = {.lex_state = 51, .external_lex_state = 2},
  [6981] = {.lex_state = 351, .external_lex_state = 5},
  [6982] = {.lex_state = 351, .external_lex_state = 5},
  [6983] = {.lex_state = 351, .external_lex_state = 2},
  [6984] = {.lex_state = 351, .external_lex_state = 2},
  [6985] = {.lex_state = 351, .external_lex_state = 5},
  [6986] = {.lex_state = 351, .external_lex_state = 2},
  [6987] = {.lex_state = 351, .external_lex_state = 2},
  [6988] = {.lex_state = 351, .external_lex_state = 2},
  [6989] = {.lex_state = 351, .external_lex_state = 2},
  [6990] = {.lex_state = 351, .external_lex_state = 2},
  [6991] = {.lex_state = 351, .external_lex_state = 5},
  [6992] = {.lex_state = 351, .external_lex_state = 5},
  [6993] = {.lex_state = 351, .external_lex_state = 5},
  [6994] = {.lex_state = 351, .external_lex_state = 2},
  [6995] = {.lex_state = 351, .external_lex_state = 5},
  [6996] = {.lex_state = 351, .external_lex_state = 5},
  [6997] = {.lex_state = 351, .external_lex_state = 2},
  [6998] = {.lex_state = 351, .external_lex_state = 2},
  [6999] = {.lex_state = 351, .external_lex_state = 2},
  [7000] = {.lex_state = 351, .external_lex_state = 2},
  [7001] = {.lex_state = 351, .external_lex_state = 2},
  [7002] = {.lex_state = 351, .external_lex_state = 2},
  [7003] = {.lex_state = 351, .external_lex_state = 2},
  [7004] = {.lex_state = 351, .external_lex_state = 2},
  [7005] = {.lex_state = 351, .external_lex_state = 2},
  [7006] = {.lex_state = 351, .external_lex_state = 5},
  [7007] = {.lex_state = 351, .external_lex_state = 2},
  [7008] = {.lex_state = 351, .external_lex_state = 2},
  [7009] = {.lex_state = 351, .external_lex_state = 2},
  [7010] = {.lex_state = 351, .external_lex_state = 2},
  [7011] = {.lex_state = 351, .external_lex_state = 2},
  [7012] = {.lex_state = 351, .external_lex_state = 2},
  [7013] = {.lex_state = 51, .external_lex_state = 2},
  [7014] = {.lex_state = 351, .external_lex_state = 2},
  [7015] = {.lex_state = 351, .external_lex_state = 2},
  [7016] = {.lex_state = 351, .external_lex_state = 2},
  [7017] = {.lex_state = 351, .external_lex_state = 2},
  [7018] = {.lex_state = 351, .external_lex_state = 2},
  [7019] = {.lex_state = 351, .external_lex_state = 2},
  [7020] = {.lex_state = 351, .external_lex_state = 2},
  [7021] = {.lex_state = 351, .external_lex_state = 2},
  [7022] = {.lex_state = 351, .external_lex_state = 2},
  [7023] = {.lex_state = 351, .external_lex_state = 2},
  [7024] = {.lex_state = 351, .external_lex_state = 2},
  [7025] = {.lex_state = 351, .external_lex_state = 2},
  [7026] = {.lex_state = 351, .external_lex_state = 2},
  [7027] = {.lex_state = 351, .external_lex_state = 2},
  [7028] = {.lex_state = 351, .external_lex_state = 2},
  [7029] = {.lex_state = 351, .external_lex_state = 2},
  [7030] = {.lex_state = 351, .external_lex_state = 2},
  [7031] = {.lex_state = 351, .external_lex_state = 2},
  [7032] = {.lex_state = 351, .external_lex_state = 2},
  [7033] = {.lex_state = 351, .external_lex_state = 2},
  [7034] = {.lex_state = 351, .external_lex_state = 5},
  [7035] = {.lex_state = 351, .external_lex_state = 2},
  [7036] = {.lex_state = 351, .external_lex_state = 2},
  [7037] = {.lex_state = 351, .external_lex_state = 5},
  [7038] = {.lex_state = 351, .external_lex_state = 2},
  [7039] = {.lex_state = 351, .external_lex_state = 2},
  [7040] = {.lex_state = 351, .external_lex_state = 2},
  [7041] = {.lex_state = 351, .external_lex_state = 2},
  [7042] = {.lex_state = 351, .external_lex_state = 2},
  [7043] = {.lex_state = 351, .external_lex_state = 2},
  [7044] = {.lex_state = 351, .external_lex_state = 2},
  [7045] = {.lex_state = 351, .external_lex_state = 5},
  [7046] = {.lex_state = 351, .external_lex_state = 2},
  [7047] = {.lex_state = 351, .external_lex_state = 2},
  [7048] = {.lex_state = 351, .external_lex_state = 2},
  [7049] = {.lex_state = 351, .external_lex_state = 2},
  [7050] = {.lex_state = 351, .external_lex_state = 5},
  [7051] = {.lex_state = 351, .external_lex_state = 5},
  [7052] = {.lex_state = 351, .external_lex_state = 2},
  [7053] = {.lex_state = 351, .external_lex_state = 2},
  [7054] = {.lex_state = 351, .external_lex_state = 2},
  [7055] = {.lex_state = 351, .external_lex_state = 2},
  [7056] = {.lex_state = 351, .external_lex_state = 2},
  [7057] = {.lex_state = 351, .external_lex_state = 2},
  [7058] = {.lex_state = 48, .external_lex_state = 2},
  [7059] = {.lex_state = 351, .external_lex_state = 2},
  [7060] = {.lex_state = 351, .external_lex_state = 2},
  [7061] = {.lex_state = 351, .external_lex_state = 5},
  [7062] = {.lex_state = 351, .external_lex_state = 2},
  [7063] = {.lex_state = 351, .external_lex_state = 5},
  [7064] = {.lex_state = 351, .external_lex_state = 5},
  [7065] = {.lex_state = 351, .external_lex_state = 2},
  [7066] = {.lex_state = 351, .external_lex_state = 5},
  [7067] = {.lex_state = 351, .external_lex_state = 2},
  [7068] = {.lex_state = 351, .external_lex_state = 5},
  [7069] = {.lex_state = 351, .external_lex_state = 2},
  [7070] = {.lex_state = 351, .external_lex_state = 5},
  [7071] = {.lex_state = 351, .external_lex_state = 2},
  [7072] = {.lex_state = 351, .external_lex_state = 2},
  [7073] = {.lex_state = 351, .external_lex_state = 2},
  [7074] = {.lex_state = 351, .external_lex_state = 2},
  [7075] = {.lex_state = 351, .external_lex_state = 2},
  [7076] = {.lex_state = 351, .external_lex_state = 2},
  [7077] = {.lex_state = 351, .external_lex_state = 2},
  [7078] = {.lex_state = 351, .external_lex_state = 2},
  [7079] = {.lex_state = 50, .external_lex_state = 2},
  [7080] = {.lex_state = 351, .external_lex_state = 2},
  [7081] = {.lex_state = 24, .external_lex_state = 2},
  [7082] = {.lex_state = 351, .external_lex_state = 2},
  [7083] = {.lex_state = 351, .external_lex_state = 2},
  [7084] = {.lex_state = 51, .external_lex_state = 2},
  [7085] = {.lex_state = 351, .external_lex_state = 2},
  [7086] = {.lex_state = 51, .external_lex_state = 2},
  [7087] = {.lex_state = 51, .external_lex_state = 2},
  [7088] = {.lex_state = 351, .external_lex_state = 2},
  [7089] = {.lex_state = 50, .external_lex_state = 2},
  [7090] = {.lex_state = 351, .external_lex_state = 2},
  [7091] = {.lex_state = 351, .external_lex_state = 2},
  [7092] = {.lex_state = 351, .external_lex_state = 2},
  [7093] = {.lex_state = 351, .external_lex_state = 2},
  [7094] = {.lex_state = 351, .external_lex_state = 2},
  [7095] = {.lex_state = 351, .external_lex_state = 2},
  [7096] = {.lex_state = 3, .external_lex_state = 2},
  [7097] = {.lex_state = 51, .external_lex_state = 2},
  [7098] = {.lex_state = 51, .external_lex_state = 2},
  [7099] = {.lex_state = 351, .external_lex_state = 2},
  [7100] = {.lex_state = 351, .external_lex_state = 2},
  [7101] = {.lex_state = 351, .external_lex_state = 2},
  [7102] = {.lex_state = 48, .external_lex_state = 2},
  [7103] = {.lex_state = 351, .external_lex_state = 2},
  [7104] = {.lex_state = 51, .external_lex_state = 2},
  [7105] = {.lex_state = 351, .external_lex_state = 2},
  [7106] = {.lex_state = 351, .external_lex_state = 2},
  [7107] = {.lex_state = 351, .external_lex_state = 2},
  [7108] = {.lex_state = 351, .external_lex_state = 2},
  [7109] = {.lex_state = 51, .external_lex_state = 2},
  [7110] = {.lex_state = 351, .external_lex_state = 2},
  [7111] = {.lex_state = 351, .external_lex_state = 2},
  [7112] = {.lex_state = 51, .external_lex_state = 2},
  [7113] = {.lex_state = 51, .external_lex_state = 2},
  [7114] = {.lex_state = 351, .external_lex_state = 2},
  [7115] = {.lex_state = 351, .external_lex_state = 2},
  [7116] = {.lex_state = 51, .external_lex_state = 2},
  [7117] = {.lex_state = 351, .external_lex_state = 2},
  [7118] = {.lex_state = 51, .external_lex_state = 2},
  [7119] = {.lex_state = 351, .external_lex_state = 2},
  [7120] = {.lex_state = 51, .external_lex_state = 2},
  [7121] = {.lex_state = 351, .external_lex_state = 2},
  [7122] = {.lex_state = 51, .external_lex_state = 2},
  [7123] = {.lex_state = 51, .external_lex_state = 2},
  [7124] = {.lex_state = 351, .external_lex_state = 2},
  [7125] = {.lex_state = 51, .external_lex_state = 2},
  [7126] = {.lex_state = 51, .external_lex_state = 2},
  [7127] = {.lex_state = 351, .external_lex_state = 2},
  [7128] = {.lex_state = 351, .external_lex_state = 2},
  [7129] = {.lex_state = 51, .external_lex_state = 2},
  [7130] = {.lex_state = 351, .external_lex_state = 2},
  [7131] = {.lex_state = 51, .external_lex_state = 2},
  [7132] = {.lex_state = 351, .external_lex_state = 2},
  [7133] = {.lex_state = 50, .external_lex_state = 2},
  [7134] = {.lex_state = 51, .external_lex_state = 2},
  [7135] = {.lex_state = 51, .external_lex_state = 2},
  [7136] = {.lex_state = 351, .external_lex_state = 2},
  [7137] = {.lex_state = 51, .external_lex_state = 2},
  [7138] = {.lex_state = 51, .external_lex_state = 2},
  [7139] = {.lex_state = 351, .external_lex_state = 2},
  [7140] = {.lex_state = 3, .external_lex_state = 2},
  [7141] = {.lex_state = 351, .external_lex_state = 2},
  [7142] = {.lex_state = 351, .external_lex_state = 2},
  [7143] = {.lex_state = 351, .external_lex_state = 2},
  [7144] = {.lex_state = 351, .external_lex_state = 2},
  [7145] = {.lex_state = 351, .external_lex_state = 2},
  [7146] = {.lex_state = 351, .external_lex_state = 2},
  [7147] = {.lex_state = 48, .external_lex_state = 2},
  [7148] = {.lex_state = 351, .external_lex_state = 2},
  [7149] = {.lex_state = 51, .external_lex_state = 2},
  [7150] = {.lex_state = 351, .external_lex_state = 2},
  [7151] = {.lex_state = 351, .external_lex_state = 2},
  [7152] = {.lex_state = 351, .external_lex_state = 2},
  [7153] = {.lex_state = 351, .external_lex_state = 2},
  [7154] = {.lex_state = 351, .external_lex_state = 2},
  [7155] = {.lex_state = 351, .external_lex_state = 2},
  [7156] = {.lex_state = 351, .external_lex_state = 2},
  [7157] = {.lex_state = 50, .external_lex_state = 2},
  [7158] = {.lex_state = 351, .external_lex_state = 2},
  [7159] = {.lex_state = 351, .external_lex_state = 2},
  [7160] = {.lex_state = 351, .external_lex_state = 2},
  [7161] = {.lex_state = 51, .external_lex_state = 2},
  [7162] = {.lex_state = 3, .external_lex_state = 2},
  [7163] = {.lex_state = 51, .external_lex_state = 2},
  [7164] = {.lex_state = 51, .external_lex_state = 2},
  [7165] = {.lex_state = 51, .external_lex_state = 2},
  [7166] = {.lex_state = 351, .external_lex_state = 2},
  [7167] = {.lex_state = 351, .external_lex_state = 2},
  [7168] = {.lex_state = 351, .external_lex_state = 2},
  [7169] = {.lex_state = 351, .external_lex_state = 2},
  [7170] = {.lex_state = 51, .external_lex_state = 2},
  [7171] = {.lex_state = 351, .external_lex_state = 2},
  [7172] = {.lex_state = 351, .external_lex_state = 2},
  [7173] = {.lex_state = 351, .external_lex_state = 2},
  [7174] = {.lex_state = 50, .external_lex_state = 2},
  [7175] = {.lex_state = 51, .external_lex_state = 2},
  [7176] = {.lex_state = 351, .external_lex_state = 2},
  [7177] = {.lex_state = 351, .external_lex_state = 2},
  [7178] = {.lex_state = 351, .external_lex_state = 2},
  [7179] = {.lex_state = 51, .external_lex_state = 2},
  [7180] = {.lex_state = 351, .external_lex_state = 2},
  [7181] = {.lex_state = 351, .external_lex_state = 2},
  [7182] = {.lex_state = 351, .external_lex_state = 2},
  [7183] = {.lex_state = 351, .external_lex_state = 2},
  [7184] = {.lex_state = 51, .external_lex_state = 2},
  [7185] = {.lex_state = 351, .external_lex_state = 2},
  [7186] = {.lex_state = 51, .external_lex_state = 2},
  [7187] = {.lex_state = 351, .external_lex_state = 2},
  [7188] = {.lex_state = 351, .external_lex_state = 2},
  [7189] = {.lex_state = 351, .external_lex_state = 2},
  [7190] = {.lex_state = 351, .external_lex_state = 2},
  [7191] = {.lex_state = 351, .external_lex_state = 2},
  [7192] = {.lex_state = 351, .external_lex_state = 2},
  [7193] = {.lex_state = 351, .external_lex_state = 2},
  [7194] = {.lex_state = 351, .external_lex_state = 2},
  [7195] = {.lex_state = 351, .external_lex_state = 2},
  [7196] = {.lex_state = 351, .external_lex_state = 2},
  [7197] = {.lex_state = 51, .external_lex_state = 2},
  [7198] = {.lex_state = 48, .external_lex_state = 2},
  [7199] = {.lex_state = 51, .external_lex_state = 2},
  [7200] = {.lex_state = 351, .external_lex_state = 2},
  [7201] = {.lex_state = 351, .external_lex_state = 2},
  [7202] = {.lex_state = 351, .external_lex_state = 2},
  [7203] = {.lex_state = 48, .external_lex_state = 2},
  [7204] = {.lex_state = 351, .external_lex_state = 2},
  [7205] = {.lex_state = 351, .external_lex_state = 2},
  [7206] = {.lex_state = 351, .external_lex_state = 2},
  [7207] = {.lex_state = 351, .external_lex_state = 2},
  [7208] = {.lex_state = 351, .external_lex_state = 2},
  [7209] = {.lex_state = 351, .external_lex_state = 2},
  [7210] = {.lex_state = 351, .external_lex_state = 2},
  [7211] = {.lex_state = 351, .external_lex_state = 2},
  [7212] = {.lex_state = 351, .external_lex_state = 2},
  [7213] = {.lex_state = 351, .external_lex_state = 2},
  [7214] = {.lex_state = 351, .external_lex_state = 2},
  [7215] = {.lex_state = 351, .external_lex_state = 2},
  [7216] = {.lex_state = 351, .external_lex_state = 2},
  [7217] = {.lex_state = 351, .external_lex_state = 2},
  [7218] = {.lex_state = 351, .external_lex_state = 2},
  [7219] = {.lex_state = 351, .external_lex_state = 2},
  [7220] = {.lex_state = 351, .external_lex_state = 2},
  [7221] = {.lex_state = 351, .external_lex_state = 2},
  [7222] = {.lex_state = 351, .external_lex_state = 2},
  [7223] = {.lex_state = 351, .external_lex_state = 2},
  [7224] = {.lex_state = 51, .external_lex_state = 2},
  [7225] = {.lex_state = 51, .external_lex_state = 2},
  [7226] = {.lex_state = 351, .external_lex_state = 2},
  [7227] = {.lex_state = 351, .external_lex_state = 2},
  [7228] = {.lex_state = 351, .external_lex_state = 2},
  [7229] = {.lex_state = 51, .external_lex_state = 2},
  [7230] = {.lex_state = 351, .external_lex_state = 2},
  [7231] = {.lex_state = 51, .external_lex_state = 2},
  [7232] = {.lex_state = 351, .external_lex_state = 2},
  [7233] = {.lex_state = 51, .external_lex_state = 2},
  [7234] = {.lex_state = 351, .external_lex_state = 2},
  [7235] = {.lex_state = 351, .external_lex_state = 2},
  [7236] = {.lex_state = 351, .external_lex_state = 2},
  [7237] = {.lex_state = 51, .external_lex_state = 2},
  [7238] = {.lex_state = 351, .external_lex_state = 2},
  [7239] = {.lex_state = 51, .external_lex_state = 2},
  [7240] = {.lex_state = 351, .external_lex_state = 2},
  [7241] = {.lex_state = 351, .external_lex_state = 2},
  [7242] = {.lex_state = 48, .external_lex_state = 2},
  [7243] = {.lex_state = 351, .external_lex_state = 2},
  [7244] = {.lex_state = 51, .external_lex_state = 2},
  [7245] = {.lex_state = 351, .external_lex_state = 2},
  [7246] = {.lex_state = 351, .external_lex_state = 2},
  [7247] = {.lex_state = 351, .external_lex_state = 2},
  [7248] = {.lex_state = 351, .external_lex_state = 2},
  [7249] = {.lex_state = 351, .external_lex_state = 2},
  [7250] = {.lex_state = 351, .external_lex_state = 2},
  [7251] = {.lex_state = 351, .external_lex_state = 2},
  [7252] = {.lex_state = 351, .external_lex_state = 2},
  [7253] = {.lex_state = 351, .external_lex_state = 2},
  [7254] = {.lex_state = 351, .external_lex_state = 2},
  [7255] = {.lex_state = 51, .external_lex_state = 2},
  [7256] = {.lex_state = 51, .external_lex_state = 2},
  [7257] = {.lex_state = 351, .external_lex_state = 2},
  [7258] = {.lex_state = 351, .external_lex_state = 2},
  [7259] = {.lex_state = 351, .external_lex_state = 2},
  [7260] = {.lex_state = 351, .external_lex_state = 2},
  [7261] = {.lex_state = 51, .external_lex_state = 2},
  [7262] = {.lex_state = 351, .external_lex_state = 2},
  [7263] = {.lex_state = 351, .external_lex_state = 2},
  [7264] = {.lex_state = 24, .external_lex_state = 2},
  [7265] = {.lex_state = 51, .external_lex_state = 2},
  [7266] = {.lex_state = 50, .external_lex_state = 2},
  [7267] = {.lex_state = 51, .external_lex_state = 2},
  [7268] = {.lex_state = 351, .external_lex_state = 2},
  [7269] = {.lex_state = 351, .external_lex_state = 2},
  [7270] = {.lex_state = 351, .external_lex_state = 2},
  [7271] = {.lex_state = 351, .external_lex_state = 2},
  [7272] = {.lex_state = 351, .external_lex_state = 2},
  [7273] = {.lex_state = 351, .external_lex_state = 2},
  [7274] = {.lex_state = 351, .external_lex_state = 2},
  [7275] = {.lex_state = 351, .external_lex_state = 2},
  [7276] = {.lex_state = 351, .external_lex_state = 2},
  [7277] = {.lex_state = 351, .external_lex_state = 2},
  [7278] = {.lex_state = 351, .external_lex_state = 2},
  [7279] = {.lex_state = 351, .external_lex_state = 2},
  [7280] = {.lex_state = 51, .external_lex_state = 2},
  [7281] = {.lex_state = 51, .external_lex_state = 2},
  [7282] = {.lex_state = 351, .external_lex_state = 2},
  [7283] = {.lex_state = 351, .external_lex_state = 2},
  [7284] = {.lex_state = 351, .external_lex_state = 2},
  [7285] = {.lex_state = 351, .external_lex_state = 2},
  [7286] = {.lex_state = 351, .external_lex_state = 2},
  [7287] = {.lex_state = 351, .external_lex_state = 2},
  [7288] = {.lex_state = 351, .external_lex_state = 2},
  [7289] = {.lex_state = 351, .external_lex_state = 2},
  [7290] = {.lex_state = 51, .external_lex_state = 2},
  [7291] = {.lex_state = 351, .external_lex_state = 2},
  [7292] = {.lex_state = 351, .external_lex_state = 2},
  [7293] = {.lex_state = 351, .external_lex_state = 2},
  [7294] = {.lex_state = 351, .external_lex_state = 2},
  [7295] = {.lex_state = 51, .external_lex_state = 2},
  [7296] = {.lex_state = 351, .external_lex_state = 2},
  [7297] = {.lex_state = 48, .external_lex_state = 2},
  [7298] = {.lex_state = 351, .external_lex_state = 2},
  [7299] = {.lex_state = 351, .external_lex_state = 2},
  [7300] = {.lex_state = 51, .external_lex_state = 2},
  [7301] = {.lex_state = 51, .external_lex_state = 2},
  [7302] = {.lex_state = 351, .external_lex_state = 2},
  [7303] = {.lex_state = 50, .external_lex_state = 2},
  [7304] = {.lex_state = 351, .external_lex_state = 2},
  [7305] = {.lex_state = 351, .external_lex_state = 2},
  [7306] = {.lex_state = 51, .external_lex_state = 2},
  [7307] = {.lex_state = 51, .external_lex_state = 2},
  [7308] = {.lex_state = 351, .external_lex_state = 2},
  [7309] = {.lex_state = 51, .external_lex_state = 2},
  [7310] = {.lex_state = 351, .external_lex_state = 2},
  [7311] = {.lex_state = 351, .external_lex_state = 2},
  [7312] = {.lex_state = 351, .external_lex_state = 2},
  [7313] = {.lex_state = 51, .external_lex_state = 2},
  [7314] = {.lex_state = 351, .external_lex_state = 2},
  [7315] = {.lex_state = 51, .external_lex_state = 2},
  [7316] = {.lex_state = 351, .external_lex_state = 2},
  [7317] = {.lex_state = 351, .external_lex_state = 2},
  [7318] = {.lex_state = 351, .external_lex_state = 2},
  [7319] = {.lex_state = 351, .external_lex_state = 2},
  [7320] = {.lex_state = 351, .external_lex_state = 2},
  [7321] = {.lex_state = 51, .external_lex_state = 2},
  [7322] = {.lex_state = 351, .external_lex_state = 2},
  [7323] = {.lex_state = 51, .external_lex_state = 2},
  [7324] = {.lex_state = 51, .external_lex_state = 2},
  [7325] = {.lex_state = 3, .external_lex_state = 2},
  [7326] = {.lex_state = 51, .external_lex_state = 2},
  [7327] = {.lex_state = 351, .external_lex_state = 2},
  [7328] = {.lex_state = 351, .external_lex_state = 2},
  [7329] = {.lex_state = 51, .external_lex_state = 2},
  [7330] = {.lex_state = 351, .external_lex_state = 2},
  [7331] = {.lex_state = 351, .external_lex_state = 2},
  [7332] = {.lex_state = 351, .external_lex_state = 2},
  [7333] = {.lex_state = 351, .external_lex_state = 2},
  [7334] = {.lex_state = 351, .external_lex_state = 2},
  [7335] = {.lex_state = 351, .external_lex_state = 2},
  [7336] = {.lex_state = 351, .external_lex_state = 2},
  [7337] = {.lex_state = 51, .external_lex_state = 2},
  [7338] = {.lex_state = 51, .external_lex_state = 2},
  [7339] = {.lex_state = 351, .external_lex_state = 2},
  [7340] = {.lex_state = 51, .external_lex_state = 2},
  [7341] = {.lex_state = 351, .external_lex_state = 2},
  [7342] = {.lex_state = 51, .external_lex_state = 2},
  [7343] = {.lex_state = 351, .external_lex_state = 2},
  [7344] = {.lex_state = 351, .external_lex_state = 2},
  [7345] = {.lex_state = 351, .external_lex_state = 2},
  [7346] = {.lex_state = 351, .external_lex_state = 2},
  [7347] = {.lex_state = 51, .external_lex_state = 2},
  [7348] = {.lex_state = 351, .external_lex_state = 2},
  [7349] = {.lex_state = 48, .external_lex_state = 2},
  [7350] = {.lex_state = 24, .external_lex_state = 2},
  [7351] = {.lex_state = 51, .external_lex_state = 2},
  [7352] = {.lex_state = 48, .external_lex_state = 2},
  [7353] = {.lex_state = 51, .external_lex_state = 2},
  [7354] = {.lex_state = 51, .external_lex_state = 2},
  [7355] = {.lex_state = 351, .external_lex_state = 2},
  [7356] = {.lex_state = 51, .external_lex_state = 2},
  [7357] = {.lex_state = 51, .external_lex_state = 2},
  [7358] = {.lex_state = 51, .external_lex_state = 2},
  [7359] = {.lex_state = 51, .external_lex_state = 2},
  [7360] = {.lex_state = 51, .external_lex_state = 2},
  [7361] = {.lex_state = 351, .external_lex_state = 2},
  [7362] = {.lex_state = 51, .external_lex_state = 2},
  [7363] = {.lex_state = 51, .external_lex_state = 2},
  [7364] = {.lex_state = 51, .external_lex_state = 2},
  [7365] = {.lex_state = 51, .external_lex_state = 2},
  [7366] = {.lex_state = 51, .external_lex_state = 2},
  [7367] = {.lex_state = 351, .external_lex_state = 2},
  [7368] = {.lex_state = 351, .external_lex_state = 2},
  [7369] = {.lex_state = 351, .external_lex_state = 2},
  [7370] = {.lex_state = 351, .external_lex_state = 2},
  [7371] = {.lex_state = 51, .external_lex_state = 2},
  [7372] = {.lex_state = 51, .external_lex_state = 2},
  [7373] = {.lex_state = 351, .external_lex_state = 2},
  [7374] = {.lex_state = 351, .external_lex_state = 2},
  [7375] = {.lex_state = 351, .external_lex_state = 2},
  [7376] = {.lex_state = 351, .external_lex_state = 2},
  [7377] = {.lex_state = 351, .external_lex_state = 2},
  [7378] = {.lex_state = 351, .external_lex_state = 2},
  [7379] = {.lex_state = 48, .external_lex_state = 2},
  [7380] = {.lex_state = 51, .external_lex_state = 2},
  [7381] = {.lex_state = 351, .external_lex_state = 2},
  [7382] = {.lex_state = 51, .external_lex_state = 2},
  [7383] = {.lex_state = 351, .external_lex_state = 2},
  [7384] = {.lex_state = 351, .external_lex_state = 2},
  [7385] = {.lex_state = 51, .external_lex_state = 2},
  [7386] = {.lex_state = 51, .external_lex_state = 2},
  [7387] = {.lex_state = 351, .external_lex_state = 2},
  [7388] = {.lex_state = 351, .external_lex_state = 2},
  [7389] = {.lex_state = 351, .external_lex_state = 2},
  [7390] = {.lex_state = 351, .external_lex_state = 2},
  [7391] = {.lex_state = 351, .external_lex_state = 2},
  [7392] = {.lex_state = 50, .external_lex_state = 2},
  [7393] = {.lex_state = 51, .external_lex_state = 2},
  [7394] = {.lex_state = 351, .external_lex_state = 2},
  [7395] = {.lex_state = 51, .external_lex_state = 2},
  [7396] = {.lex_state = 51, .external_lex_state = 2},
  [7397] = {.lex_state = 50, .external_lex_state = 2},
  [7398] = {.lex_state = 351, .external_lex_state = 2},
  [7399] = {.lex_state = 351, .external_lex_state = 2},
  [7400] = {.lex_state = 351, .external_lex_state = 2},
  [7401] = {.lex_state = 351, .external_lex_state = 2},
  [7402] = {.lex_state = 351, .external_lex_state = 2},
  [7403] = {.lex_state = 351, .external_lex_state = 2},
  [7404] = {.lex_state = 351, .external_lex_state = 2},
  [7405] = {.lex_state = 351, .external_lex_state = 2},
  [7406] = {.lex_state = 351, .external_lex_state = 2},
  [7407] = {.lex_state = 351, .external_lex_state = 2},
  [7408] = {.lex_state = 351, .external_lex_state = 2},
  [7409] = {.lex_state = 351, .external_lex_state = 2},
  [7410] = {.lex_state = 351, .external_lex_state = 2},
  [7411] = {.lex_state = 351, .external_lex_state = 2},
  [7412] = {.lex_state = 351, .external_lex_state = 2},
  [7413] = {.lex_state = 351, .external_lex_state = 2},
  [7414] = {.lex_state = 51, .external_lex_state = 2},
  [7415] = {.lex_state = 3, .external_lex_state = 2},
  [7416] = {.lex_state = 351, .external_lex_state = 2},
  [7417] = {.lex_state = 351, .external_lex_state = 2},
  [7418] = {.lex_state = 351, .external_lex_state = 2},
  [7419] = {.lex_state = 51, .external_lex_state = 2},
  [7420] = {.lex_state = 51, .external_lex_state = 2},
  [7421] = {.lex_state = 351, .external_lex_state = 2},
  [7422] = {.lex_state = 351, .external_lex_state = 2},
  [7423] = {.lex_state = 51, .external_lex_state = 2},
  [7424] = {.lex_state = 51, .external_lex_state = 2},
  [7425] = {.lex_state = 351, .external_lex_state = 2},
  [7426] = {.lex_state = 351, .external_lex_state = 2},
  [7427] = {.lex_state = 351, .external_lex_state = 2},
  [7428] = {.lex_state = 351, .external_lex_state = 2},
  [7429] = {.lex_state = 351, .external_lex_state = 2},
  [7430] = {.lex_state = 351, .external_lex_state = 2},
  [7431] = {.lex_state = 351, .external_lex_state = 2},
  [7432] = {.lex_state = 351, .external_lex_state = 2},
  [7433] = {.lex_state = 351, .external_lex_state = 2},
  [7434] = {.lex_state = 351, .external_lex_state = 2},
  [7435] = {.lex_state = 51, .external_lex_state = 2},
  [7436] = {.lex_state = 351, .external_lex_state = 2},
  [7437] = {.lex_state = 51, .external_lex_state = 2},
  [7438] = {.lex_state = 51, .external_lex_state = 2},
  [7439] = {.lex_state = 351, .external_lex_state = 2},
  [7440] = {.lex_state = 351, .external_lex_state = 2},
  [7441] = {.lex_state = 51, .external_lex_state = 2},
  [7442] = {.lex_state = 351, .external_lex_state = 2},
  [7443] = {.lex_state = 351, .external_lex_state = 2},
  [7444] = {.lex_state = 351, .external_lex_state = 2},
  [7445] = {.lex_state = 51, .external_lex_state = 2},
  [7446] = {.lex_state = 351, .external_lex_state = 2},
  [7447] = {.lex_state = 351, .external_lex_state = 2},
  [7448] = {.lex_state = 351, .external_lex_state = 2},
  [7449] = {.lex_state = 51, .external_lex_state = 2},
  [7450] = {.lex_state = 51, .external_lex_state = 2},
  [7451] = {.lex_state = 51, .external_lex_state = 2},
  [7452] = {.lex_state = 351, .external_lex_state = 2},
  [7453] = {.lex_state = 351, .external_lex_state = 2},
  [7454] = {.lex_state = 51, .external_lex_state = 2},
  [7455] = {.lex_state = 351, .external_lex_state = 2},
  [7456] = {.lex_state = 351, .external_lex_state = 2},
  [7457] = {.lex_state = 351, .external_lex_state = 2},
  [7458] = {.lex_state = 351, .external_lex_state = 2},
  [7459] = {.lex_state = 351, .external_lex_state = 2},
  [7460] = {.lex_state = 351, .external_lex_state = 2},
  [7461] = {.lex_state = 351, .external_lex_state = 2},
  [7462] = {.lex_state = 351, .external_lex_state = 2},
  [7463] = {.lex_state = 351, .external_lex_state = 2},
  [7464] = {.lex_state = 351, .external_lex_state = 2},
  [7465] = {.lex_state = 351, .external_lex_state = 2},
  [7466] = {.lex_state = 351, .external_lex_state = 2},
  [7467] = {.lex_state = 351, .external_lex_state = 2},
  [7468] = {.lex_state = 351, .external_lex_state = 2},
  [7469] = {.lex_state = 51, .external_lex_state = 2},
  [7470] = {.lex_state = 351, .external_lex_state = 2},
  [7471] = {.lex_state = 351, .external_lex_state = 2},
  [7472] = {.lex_state = 351, .external_lex_state = 2},
  [7473] = {.lex_state = 351, .external_lex_state = 2},
  [7474] = {.lex_state = 51, .external_lex_state = 2},
  [7475] = {.lex_state = 51, .external_lex_state = 2},
  [7476] = {.lex_state = 351, .external_lex_state = 2},
  [7477] = {.lex_state = 351, .external_lex_state = 2},
  [7478] = {.lex_state = 51, .external_lex_state = 2},
  [7479] = {.lex_state = 51, .external_lex_state = 2},
  [7480] = {.lex_state = 351, .external_lex_state = 2},
  [7481] = {.lex_state = 351, .external_lex_state = 2},
  [7482] = {.lex_state = 351, .external_lex_state = 2},
  [7483] = {.lex_state = 351, .external_lex_state = 2},
  [7484] = {.lex_state = 351, .external_lex_state = 2},
  [7485] = {.lex_state = 351, .external_lex_state = 2},
  [7486] = {.lex_state = 351, .external_lex_state = 2},
  [7487] = {.lex_state = 51, .external_lex_state = 2},
  [7488] = {.lex_state = 351, .external_lex_state = 2},
  [7489] = {.lex_state = 351, .external_lex_state = 2},
  [7490] = {.lex_state = 351, .external_lex_state = 2},
  [7491] = {.lex_state = 51, .external_lex_state = 2},
  [7492] = {.lex_state = 351, .external_lex_state = 2},
  [7493] = {.lex_state = 351, .external_lex_state = 2},
  [7494] = {.lex_state = 351, .external_lex_state = 2},
  [7495] = {.lex_state = 351, .external_lex_state = 2},
  [7496] = {.lex_state = 351, .external_lex_state = 2},
  [7497] = {.lex_state = 51, .external_lex_state = 2},
  [7498] = {.lex_state = 351, .external_lex_state = 2},
  [7499] = {.lex_state = 351, .external_lex_state = 2},
  [7500] = {.lex_state = 351, .external_lex_state = 2},
  [7501] = {.lex_state = 351, .external_lex_state = 2},
  [7502] = {.lex_state = 351, .external_lex_state = 2},
  [7503] = {.lex_state = 51, .external_lex_state = 2},
  [7504] = {.lex_state = 351, .external_lex_state = 2},
  [7505] = {.lex_state = 351, .external_lex_state = 2},
  [7506] = {.lex_state = 351, .external_lex_state = 2},
  [7507] = {.lex_state = 51, .external_lex_state = 2},
  [7508] = {.lex_state = 351, .external_lex_state = 2},
  [7509] = {.lex_state = 351, .external_lex_state = 2},
  [7510] = {.lex_state = 351, .external_lex_state = 2},
  [7511] = {.lex_state = 351, .external_lex_state = 2},
  [7512] = {.lex_state = 351, .external_lex_state = 2},
  [7513] = {.lex_state = 351, .external_lex_state = 2},
  [7514] = {.lex_state = 351, .external_lex_state = 2},
  [7515] = {.lex_state = 351, .external_lex_state = 2},
  [7516] = {.lex_state = 351, .external_lex_state = 2},
  [7517] = {.lex_state = 351, .external_lex_state = 2},
  [7518] = {.lex_state = 351, .external_lex_state = 2},
  [7519] = {.lex_state = 351, .external_lex_state = 2},
  [7520] = {.lex_state = 51, .external_lex_state = 2},
  [7521] = {.lex_state = 351, .external_lex_state = 2},
  [7522] = {.lex_state = 351, .external_lex_state = 2},
  [7523] = {.lex_state = 351, .external_lex_state = 2},
  [7524] = {.lex_state = 351, .external_lex_state = 2},
  [7525] = {.lex_state = 51, .external_lex_state = 2},
  [7526] = {.lex_state = 351, .external_lex_state = 2},
  [7527] = {.lex_state = 351, .external_lex_state = 2},
  [7528] = {.lex_state = 51, .external_lex_state = 2},
  [7529] = {.lex_state = 351, .external_lex_state = 2},
  [7530] = {.lex_state = 351, .external_lex_state = 2},
  [7531] = {.lex_state = 351, .external_lex_state = 2},
  [7532] = {.lex_state = 351, .external_lex_state = 2},
  [7533] = {.lex_state = 51, .external_lex_state = 2},
  [7534] = {.lex_state = 351, .external_lex_state = 2},
  [7535] = {.lex_state = 351, .external_lex_state = 2},
  [7536] = {.lex_state = 48, .external_lex_state = 2},
  [7537] = {.lex_state = 51, .external_lex_state = 2},
  [7538] = {.lex_state = 351, .external_lex_state = 2},
  [7539] = {.lex_state = 351, .external_lex_state = 2},
  [7540] = {.lex_state = 51, .external_lex_state = 2},
  [7541] = {.lex_state = 351, .external_lex_state = 2},
  [7542] = {.lex_state = 351, .external_lex_state = 2},
  [7543] = {.lex_state = 51, .external_lex_state = 2},
  [7544] = {.lex_state = 351, .external_lex_state = 2},
  [7545] = {.lex_state = 51, .external_lex_state = 2},
  [7546] = {.lex_state = 351, .external_lex_state = 2},
  [7547] = {.lex_state = 351, .external_lex_state = 2},
  [7548] = {.lex_state = 51, .external_lex_state = 2},
  [7549] = {.lex_state = 351, .external_lex_state = 2},
  [7550] = {.lex_state = 51, .external_lex_state = 2},
  [7551] = {.lex_state = 351, .external_lex_state = 2},
  [7552] = {.lex_state = 351, .external_lex_state = 2},
  [7553] = {.lex_state = 51, .external_lex_state = 2},
  [7554] = {.lex_state = 351, .external_lex_state = 2},
  [7555] = {.lex_state = 51, .external_lex_state = 2},
  [7556] = {.lex_state = 351, .external_lex_state = 2},
  [7557] = {.lex_state = 351, .external_lex_state = 2},
  [7558] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_comment] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym_hash_bang_line] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_namespace] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_typeof] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_debugger] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LTtemplate_GT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_LT_SLASH] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_QMARK_DOT] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_using] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_instanceof] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH2] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [sym_private_property_identifier] = ACTIONS(1),
    [anon_sym_target] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [sym_undefined] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_readonly] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_declare] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_any] = ACTIONS(1),
    [anon_sym_number] = ACTIONS(1),
    [anon_sym_boolean] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_symbol] = ACTIONS(1),
    [anon_sym_object] = ACTIONS(1),
    [anon_sym_abstract] = ACTIONS(1),
    [anon_sym_satisfies] = ACTIONS(1),
    [anon_sym_require] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_implements] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_interface] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_DASH_QMARK_COLON] = ACTIONS(1),
    [anon_sym_PLUS_QMARK_COLON] = ACTIONS(1),
    [anon_sym_asserts] = ACTIONS(1),
    [anon_sym_infer] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_keyof] = ACTIONS(1),
    [anon_sym_unique] = ACTIONS(1),
    [anon_sym_unknown] = ACTIONS(1),
    [anon_sym_never] = ACTIONS(1),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym__template_chars] = ACTIONS(1),
    [sym__ternary_qmark] = ACTIONS(1),
    [sym_html_comment] = ACTIONS(5),
    [sym__function_signature_automatic_semicolon] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(7384),
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(1),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(72),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_identifier] = ACTIONS(9),
    [sym_hash_bang_line] = ACTIONS(11),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [2] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_nested_identifier] = STATE(7154),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2067),
    [sym_subscript_expression] = STATE(2067),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4604),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(3134),
    [sym_comment] = STATE(2),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(5067),
    [sym_pattern] = STATE(5186),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2067),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(3847),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6881),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(126),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(132),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(151),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_DASH] = ACTIONS(163),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(174),
    [anon_sym_DASH_DASH] = ACTIONS(174),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(181),
    [sym_number] = ACTIONS(183),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_null] = ACTIONS(183),
    [sym_undefined] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(193),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(197),
    [anon_sym_number] = ACTIONS(197),
    [anon_sym_boolean] = ACTIONS(197),
    [anon_sym_string] = ACTIONS(197),
    [anon_sym_symbol] = ACTIONS(197),
    [anon_sym_object] = ACTIONS(197),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [3] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_nested_identifier] = STATE(7154),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2067),
    [sym_subscript_expression] = STATE(2067),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4604),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(3134),
    [sym_comment] = STATE(3),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(5067),
    [sym_pattern] = STATE(5186),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2067),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(3847),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6881),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(216),
    [anon_sym_typeof] = ACTIONS(126),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(132),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_RPAREN] = ACTIONS(216),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(216),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(151),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_DASH] = ACTIONS(163),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(174),
    [anon_sym_DASH_DASH] = ACTIONS(174),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(181),
    [sym_number] = ACTIONS(183),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(187),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_null] = ACTIONS(183),
    [sym_undefined] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(193),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(197),
    [anon_sym_number] = ACTIONS(197),
    [anon_sym_boolean] = ACTIONS(197),
    [anon_sym_string] = ACTIONS(197),
    [anon_sym_symbol] = ACTIONS(197),
    [anon_sym_object] = ACTIONS(197),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [4] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_object_assignment_pattern] = STATE(5918),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7181),
    [sym_spread_element] = STATE(5929),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3192),
    [sym_comment] = STATE(4),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_rest_pattern] = STATE(5918),
    [sym_method_definition] = STATE(5929),
    [sym_pair] = STATE(5929),
    [sym_pair_pattern] = STATE(5918),
    [sym__property_name] = STATE(4649),
    [sym_computed_property_name] = STATE(4652),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_accessibility_modifier] = STATE(3599),
    [sym_override_modifier] = STATE(3635),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(35),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [aux_sym_object_repeat1] = STATE(5950),
    [aux_sym_object_pattern_repeat1] = STATE(5951),
    [sym_identifier] = ACTIONS(221),
    [anon_sym_export] = ACTIONS(223),
    [anon_sym_STAR] = ACTIONS(225),
    [anon_sym_type] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(231),
    [anon_sym_RBRACE] = ACTIONS(233),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(235),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(237),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(239),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(241),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(245),
    [sym_private_property_identifier] = ACTIONS(247),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(249),
    [anon_sym_readonly] = ACTIONS(251),
    [anon_sym_get] = ACTIONS(253),
    [anon_sym_set] = ACTIONS(253),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_public] = ACTIONS(257),
    [anon_sym_private] = ACTIONS(257),
    [anon_sym_protected] = ACTIONS(257),
    [anon_sym_override] = ACTIONS(259),
    [anon_sym_module] = ACTIONS(261),
    [anon_sym_any] = ACTIONS(263),
    [anon_sym_number] = ACTIONS(263),
    [anon_sym_boolean] = ACTIONS(263),
    [anon_sym_string] = ACTIONS(263),
    [anon_sym_symbol] = ACTIONS(263),
    [anon_sym_object] = ACTIONS(263),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [5] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_object_assignment_pattern] = STATE(5918),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7181),
    [sym_spread_element] = STATE(5929),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3192),
    [sym_comment] = STATE(5),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_rest_pattern] = STATE(5918),
    [sym_method_definition] = STATE(5929),
    [sym_pair] = STATE(5929),
    [sym_pair_pattern] = STATE(5918),
    [sym__property_name] = STATE(4649),
    [sym_computed_property_name] = STATE(4652),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_accessibility_modifier] = STATE(3599),
    [sym_override_modifier] = STATE(3635),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(62),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [aux_sym_object_repeat1] = STATE(5950),
    [aux_sym_object_pattern_repeat1] = STATE(5951),
    [sym_identifier] = ACTIONS(221),
    [anon_sym_export] = ACTIONS(223),
    [anon_sym_STAR] = ACTIONS(225),
    [anon_sym_type] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(231),
    [anon_sym_RBRACE] = ACTIONS(265),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(235),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(237),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(239),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(241),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(245),
    [sym_private_property_identifier] = ACTIONS(247),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(249),
    [anon_sym_readonly] = ACTIONS(251),
    [anon_sym_get] = ACTIONS(253),
    [anon_sym_set] = ACTIONS(253),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_public] = ACTIONS(257),
    [anon_sym_private] = ACTIONS(257),
    [anon_sym_protected] = ACTIONS(257),
    [anon_sym_override] = ACTIONS(259),
    [anon_sym_module] = ACTIONS(261),
    [anon_sym_any] = ACTIONS(263),
    [anon_sym_number] = ACTIONS(263),
    [anon_sym_boolean] = ACTIONS(263),
    [anon_sym_string] = ACTIONS(263),
    [anon_sym_symbol] = ACTIONS(263),
    [anon_sym_object] = ACTIONS(263),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [6] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_object_assignment_pattern] = STATE(5918),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7181),
    [sym_spread_element] = STATE(5929),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3192),
    [sym_comment] = STATE(6),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_rest_pattern] = STATE(5918),
    [sym_method_definition] = STATE(5929),
    [sym_pair] = STATE(5929),
    [sym_pair_pattern] = STATE(5918),
    [sym__property_name] = STATE(4649),
    [sym_computed_property_name] = STATE(4652),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_accessibility_modifier] = STATE(3599),
    [sym_override_modifier] = STATE(3635),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [aux_sym_object_repeat1] = STATE(5950),
    [aux_sym_object_pattern_repeat1] = STATE(5951),
    [sym_identifier] = ACTIONS(221),
    [anon_sym_export] = ACTIONS(223),
    [anon_sym_STAR] = ACTIONS(225),
    [anon_sym_type] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(231),
    [anon_sym_RBRACE] = ACTIONS(267),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(235),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(237),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(239),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(241),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(245),
    [sym_private_property_identifier] = ACTIONS(247),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(249),
    [anon_sym_readonly] = ACTIONS(251),
    [anon_sym_get] = ACTIONS(253),
    [anon_sym_set] = ACTIONS(253),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_public] = ACTIONS(257),
    [anon_sym_private] = ACTIONS(257),
    [anon_sym_protected] = ACTIONS(257),
    [anon_sym_override] = ACTIONS(259),
    [anon_sym_module] = ACTIONS(261),
    [anon_sym_any] = ACTIONS(263),
    [anon_sym_number] = ACTIONS(263),
    [anon_sym_boolean] = ACTIONS(263),
    [anon_sym_string] = ACTIONS(263),
    [anon_sym_symbol] = ACTIONS(263),
    [anon_sym_object] = ACTIONS(263),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [7] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_object_assignment_pattern] = STATE(5918),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7181),
    [sym_spread_element] = STATE(6030),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3192),
    [sym_comment] = STATE(7),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_rest_pattern] = STATE(5918),
    [sym_method_definition] = STATE(6030),
    [sym_pair] = STATE(6030),
    [sym_pair_pattern] = STATE(5918),
    [sym__property_name] = STATE(4649),
    [sym_computed_property_name] = STATE(4652),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_accessibility_modifier] = STATE(3599),
    [sym_override_modifier] = STATE(3635),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(38),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [aux_sym_object_repeat1] = STATE(6031),
    [aux_sym_object_pattern_repeat1] = STATE(5951),
    [sym_identifier] = ACTIONS(269),
    [anon_sym_export] = ACTIONS(271),
    [anon_sym_STAR] = ACTIONS(225),
    [anon_sym_type] = ACTIONS(273),
    [anon_sym_namespace] = ACTIONS(275),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(231),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(279),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(237),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(281),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(283),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(245),
    [sym_private_property_identifier] = ACTIONS(247),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(285),
    [anon_sym_readonly] = ACTIONS(287),
    [anon_sym_get] = ACTIONS(289),
    [anon_sym_set] = ACTIONS(289),
    [anon_sym_declare] = ACTIONS(291),
    [anon_sym_public] = ACTIONS(293),
    [anon_sym_private] = ACTIONS(293),
    [anon_sym_protected] = ACTIONS(293),
    [anon_sym_override] = ACTIONS(295),
    [anon_sym_module] = ACTIONS(297),
    [anon_sym_any] = ACTIONS(299),
    [anon_sym_number] = ACTIONS(299),
    [anon_sym_boolean] = ACTIONS(299),
    [anon_sym_string] = ACTIONS(299),
    [anon_sym_symbol] = ACTIONS(299),
    [anon_sym_object] = ACTIONS(299),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [8] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_object_assignment_pattern] = STATE(5918),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7181),
    [sym_spread_element] = STATE(5929),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3192),
    [sym_comment] = STATE(8),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_rest_pattern] = STATE(5918),
    [sym_method_definition] = STATE(5929),
    [sym_pair] = STATE(5929),
    [sym_pair_pattern] = STATE(5918),
    [sym__property_name] = STATE(4649),
    [sym_computed_property_name] = STATE(4652),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_accessibility_modifier] = STATE(3599),
    [sym_override_modifier] = STATE(3635),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(70),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [aux_sym_object_repeat1] = STATE(5950),
    [aux_sym_object_pattern_repeat1] = STATE(5951),
    [sym_identifier] = ACTIONS(221),
    [anon_sym_export] = ACTIONS(223),
    [anon_sym_STAR] = ACTIONS(225),
    [anon_sym_type] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(231),
    [anon_sym_RBRACE] = ACTIONS(301),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(235),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(237),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(239),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(241),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(245),
    [sym_private_property_identifier] = ACTIONS(247),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(249),
    [anon_sym_readonly] = ACTIONS(251),
    [anon_sym_get] = ACTIONS(253),
    [anon_sym_set] = ACTIONS(253),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_public] = ACTIONS(257),
    [anon_sym_private] = ACTIONS(257),
    [anon_sym_protected] = ACTIONS(257),
    [anon_sym_override] = ACTIONS(259),
    [anon_sym_module] = ACTIONS(261),
    [anon_sym_any] = ACTIONS(263),
    [anon_sym_number] = ACTIONS(263),
    [anon_sym_boolean] = ACTIONS(263),
    [anon_sym_string] = ACTIONS(263),
    [anon_sym_symbol] = ACTIONS(263),
    [anon_sym_object] = ACTIONS(263),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [9] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_object_assignment_pattern] = STATE(5918),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7181),
    [sym_spread_element] = STATE(5929),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3192),
    [sym_comment] = STATE(9),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_rest_pattern] = STATE(5918),
    [sym_method_definition] = STATE(5929),
    [sym_pair] = STATE(5929),
    [sym_pair_pattern] = STATE(5918),
    [sym__property_name] = STATE(4649),
    [sym_computed_property_name] = STATE(4652),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_accessibility_modifier] = STATE(3599),
    [sym_override_modifier] = STATE(3635),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(32),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [aux_sym_object_repeat1] = STATE(5950),
    [aux_sym_object_pattern_repeat1] = STATE(5951),
    [sym_identifier] = ACTIONS(221),
    [anon_sym_export] = ACTIONS(223),
    [anon_sym_STAR] = ACTIONS(225),
    [anon_sym_type] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(231),
    [anon_sym_RBRACE] = ACTIONS(303),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(235),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(237),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(239),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(241),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(245),
    [sym_private_property_identifier] = ACTIONS(247),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(249),
    [anon_sym_readonly] = ACTIONS(251),
    [anon_sym_get] = ACTIONS(253),
    [anon_sym_set] = ACTIONS(253),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_public] = ACTIONS(257),
    [anon_sym_private] = ACTIONS(257),
    [anon_sym_protected] = ACTIONS(257),
    [anon_sym_override] = ACTIONS(259),
    [anon_sym_module] = ACTIONS(261),
    [anon_sym_any] = ACTIONS(263),
    [anon_sym_number] = ACTIONS(263),
    [anon_sym_boolean] = ACTIONS(263),
    [anon_sym_string] = ACTIONS(263),
    [anon_sym_symbol] = ACTIONS(263),
    [anon_sym_object] = ACTIONS(263),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [10] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_object_assignment_pattern] = STATE(5918),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7181),
    [sym_spread_element] = STATE(6030),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3192),
    [sym_comment] = STATE(10),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_rest_pattern] = STATE(5918),
    [sym_method_definition] = STATE(6030),
    [sym_pair] = STATE(6030),
    [sym_pair_pattern] = STATE(5918),
    [sym__property_name] = STATE(4649),
    [sym_computed_property_name] = STATE(4652),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_accessibility_modifier] = STATE(3599),
    [sym_override_modifier] = STATE(3635),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(38),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [aux_sym_object_repeat1] = STATE(6031),
    [aux_sym_object_pattern_repeat1] = STATE(5951),
    [sym_identifier] = ACTIONS(305),
    [anon_sym_export] = ACTIONS(307),
    [anon_sym_STAR] = ACTIONS(225),
    [anon_sym_type] = ACTIONS(309),
    [anon_sym_namespace] = ACTIONS(311),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(231),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(313),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(237),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(315),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(317),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(245),
    [sym_private_property_identifier] = ACTIONS(247),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(319),
    [anon_sym_readonly] = ACTIONS(321),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
    [anon_sym_declare] = ACTIONS(325),
    [anon_sym_public] = ACTIONS(327),
    [anon_sym_private] = ACTIONS(327),
    [anon_sym_protected] = ACTIONS(327),
    [anon_sym_override] = ACTIONS(329),
    [anon_sym_module] = ACTIONS(331),
    [anon_sym_any] = ACTIONS(333),
    [anon_sym_number] = ACTIONS(333),
    [anon_sym_boolean] = ACTIONS(333),
    [anon_sym_string] = ACTIONS(333),
    [anon_sym_symbol] = ACTIONS(333),
    [anon_sym_object] = ACTIONS(333),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [11] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_object_assignment_pattern] = STATE(5918),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7181),
    [sym_spread_element] = STATE(5929),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3192),
    [sym_comment] = STATE(11),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_rest_pattern] = STATE(5918),
    [sym_method_definition] = STATE(5929),
    [sym_pair] = STATE(5929),
    [sym_pair_pattern] = STATE(5918),
    [sym__property_name] = STATE(4649),
    [sym_computed_property_name] = STATE(4652),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_accessibility_modifier] = STATE(3599),
    [sym_override_modifier] = STATE(3635),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [aux_sym_object_repeat1] = STATE(5950),
    [aux_sym_object_pattern_repeat1] = STATE(5951),
    [sym_identifier] = ACTIONS(221),
    [anon_sym_export] = ACTIONS(223),
    [anon_sym_STAR] = ACTIONS(225),
    [anon_sym_type] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(231),
    [anon_sym_RBRACE] = ACTIONS(335),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(235),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(237),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(239),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(241),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(245),
    [sym_private_property_identifier] = ACTIONS(247),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(249),
    [anon_sym_readonly] = ACTIONS(251),
    [anon_sym_get] = ACTIONS(253),
    [anon_sym_set] = ACTIONS(253),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_public] = ACTIONS(257),
    [anon_sym_private] = ACTIONS(257),
    [anon_sym_protected] = ACTIONS(257),
    [anon_sym_override] = ACTIONS(259),
    [anon_sym_module] = ACTIONS(261),
    [anon_sym_any] = ACTIONS(263),
    [anon_sym_number] = ACTIONS(263),
    [anon_sym_boolean] = ACTIONS(263),
    [anon_sym_string] = ACTIONS(263),
    [anon_sym_symbol] = ACTIONS(263),
    [anon_sym_object] = ACTIONS(263),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [12] = {
    [sym_export_statement] = STATE(1189),
    [sym_declaration] = STATE(1189),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1189),
    [sym_expression_statement] = STATE(1189),
    [sym_variable_declaration] = STATE(1244),
    [sym_lexical_declaration] = STATE(1244),
    [sym_statement_block] = STATE(1189),
    [sym_if_statement] = STATE(1189),
    [sym_switch_statement] = STATE(1189),
    [sym_for_statement] = STATE(1189),
    [sym_for_in_statement] = STATE(1189),
    [sym_while_statement] = STATE(1189),
    [sym_do_statement] = STATE(1189),
    [sym_try_statement] = STATE(1189),
    [sym_with_statement] = STATE(1189),
    [sym_break_statement] = STATE(1189),
    [sym_continue_statement] = STATE(1189),
    [sym_debugger_statement] = STATE(1189),
    [sym_return_statement] = STATE(1189),
    [sym_throw_statement] = STATE(1189),
    [sym_empty_statement] = STATE(1189),
    [sym_labeled_statement] = STATE(1189),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2637),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1244),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1244),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1244),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6750),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(12),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1244),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1244),
    [sym_abstract_class_declaration] = STATE(1244),
    [sym_module] = STATE(1244),
    [sym_internal_module] = STATE(419),
    [sym_import_alias] = STATE(1244),
    [sym_interface_declaration] = STATE(1244),
    [sym_enum_declaration] = STATE(1244),
    [sym_type_alias_declaration] = STATE(1244),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(16),
    [aux_sym_export_statement_repeat1] = STATE(4743),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(339),
    [anon_sym_default] = ACTIONS(341),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_namespace] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_RBRACE] = ACTIONS(341),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(349),
    [anon_sym_var] = ACTIONS(351),
    [anon_sym_let] = ACTIONS(353),
    [anon_sym_const] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(359),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(363),
    [anon_sym_do] = ACTIONS(365),
    [anon_sym_try] = ACTIONS(367),
    [anon_sym_with] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(371),
    [anon_sym_continue] = ACTIONS(373),
    [anon_sym_debugger] = ACTIONS(375),
    [anon_sym_return] = ACTIONS(377),
    [anon_sym_throw] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(381),
    [anon_sym_case] = ACTIONS(341),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(383),
    [anon_sym_async] = ACTIONS(385),
    [anon_sym_function] = ACTIONS(387),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(391),
    [anon_sym_readonly] = ACTIONS(391),
    [anon_sym_get] = ACTIONS(391),
    [anon_sym_set] = ACTIONS(391),
    [anon_sym_declare] = ACTIONS(393),
    [anon_sym_public] = ACTIONS(391),
    [anon_sym_private] = ACTIONS(391),
    [anon_sym_protected] = ACTIONS(391),
    [anon_sym_override] = ACTIONS(391),
    [anon_sym_module] = ACTIONS(395),
    [anon_sym_any] = ACTIONS(391),
    [anon_sym_number] = ACTIONS(391),
    [anon_sym_boolean] = ACTIONS(391),
    [anon_sym_string] = ACTIONS(391),
    [anon_sym_symbol] = ACTIONS(391),
    [anon_sym_object] = ACTIONS(391),
    [anon_sym_abstract] = ACTIONS(397),
    [anon_sym_interface] = ACTIONS(399),
    [anon_sym_enum] = ACTIONS(401),
    [sym_html_comment] = ACTIONS(5),
  },
  [13] = {
    [sym_export_statement] = STATE(1189),
    [sym_declaration] = STATE(1189),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1189),
    [sym_expression_statement] = STATE(1189),
    [sym_variable_declaration] = STATE(1244),
    [sym_lexical_declaration] = STATE(1244),
    [sym_statement_block] = STATE(1189),
    [sym_if_statement] = STATE(1189),
    [sym_switch_statement] = STATE(1189),
    [sym_for_statement] = STATE(1189),
    [sym_for_in_statement] = STATE(1189),
    [sym_while_statement] = STATE(1189),
    [sym_do_statement] = STATE(1189),
    [sym_try_statement] = STATE(1189),
    [sym_with_statement] = STATE(1189),
    [sym_break_statement] = STATE(1189),
    [sym_continue_statement] = STATE(1189),
    [sym_debugger_statement] = STATE(1189),
    [sym_return_statement] = STATE(1189),
    [sym_throw_statement] = STATE(1189),
    [sym_empty_statement] = STATE(1189),
    [sym_labeled_statement] = STATE(1189),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2637),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1244),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1244),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1244),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6750),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(13),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1244),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1244),
    [sym_abstract_class_declaration] = STATE(1244),
    [sym_module] = STATE(1244),
    [sym_internal_module] = STATE(419),
    [sym_import_alias] = STATE(1244),
    [sym_interface_declaration] = STATE(1244),
    [sym_enum_declaration] = STATE(1244),
    [sym_type_alias_declaration] = STATE(1244),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(14),
    [aux_sym_export_statement_repeat1] = STATE(4743),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(339),
    [anon_sym_default] = ACTIONS(403),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_namespace] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_RBRACE] = ACTIONS(403),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(349),
    [anon_sym_var] = ACTIONS(351),
    [anon_sym_let] = ACTIONS(353),
    [anon_sym_const] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(359),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(363),
    [anon_sym_do] = ACTIONS(365),
    [anon_sym_try] = ACTIONS(367),
    [anon_sym_with] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(371),
    [anon_sym_continue] = ACTIONS(373),
    [anon_sym_debugger] = ACTIONS(375),
    [anon_sym_return] = ACTIONS(377),
    [anon_sym_throw] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(381),
    [anon_sym_case] = ACTIONS(403),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(383),
    [anon_sym_async] = ACTIONS(385),
    [anon_sym_function] = ACTIONS(387),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(391),
    [anon_sym_readonly] = ACTIONS(391),
    [anon_sym_get] = ACTIONS(391),
    [anon_sym_set] = ACTIONS(391),
    [anon_sym_declare] = ACTIONS(393),
    [anon_sym_public] = ACTIONS(391),
    [anon_sym_private] = ACTIONS(391),
    [anon_sym_protected] = ACTIONS(391),
    [anon_sym_override] = ACTIONS(391),
    [anon_sym_module] = ACTIONS(395),
    [anon_sym_any] = ACTIONS(391),
    [anon_sym_number] = ACTIONS(391),
    [anon_sym_boolean] = ACTIONS(391),
    [anon_sym_string] = ACTIONS(391),
    [anon_sym_symbol] = ACTIONS(391),
    [anon_sym_object] = ACTIONS(391),
    [anon_sym_abstract] = ACTIONS(397),
    [anon_sym_interface] = ACTIONS(399),
    [anon_sym_enum] = ACTIONS(401),
    [sym_html_comment] = ACTIONS(5),
  },
  [14] = {
    [sym_export_statement] = STATE(1189),
    [sym_declaration] = STATE(1189),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1189),
    [sym_expression_statement] = STATE(1189),
    [sym_variable_declaration] = STATE(1244),
    [sym_lexical_declaration] = STATE(1244),
    [sym_statement_block] = STATE(1189),
    [sym_if_statement] = STATE(1189),
    [sym_switch_statement] = STATE(1189),
    [sym_for_statement] = STATE(1189),
    [sym_for_in_statement] = STATE(1189),
    [sym_while_statement] = STATE(1189),
    [sym_do_statement] = STATE(1189),
    [sym_try_statement] = STATE(1189),
    [sym_with_statement] = STATE(1189),
    [sym_break_statement] = STATE(1189),
    [sym_continue_statement] = STATE(1189),
    [sym_debugger_statement] = STATE(1189),
    [sym_return_statement] = STATE(1189),
    [sym_throw_statement] = STATE(1189),
    [sym_empty_statement] = STATE(1189),
    [sym_labeled_statement] = STATE(1189),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2637),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1244),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1244),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1244),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6750),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(14),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1244),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1244),
    [sym_abstract_class_declaration] = STATE(1244),
    [sym_module] = STATE(1244),
    [sym_internal_module] = STATE(419),
    [sym_import_alias] = STATE(1244),
    [sym_interface_declaration] = STATE(1244),
    [sym_enum_declaration] = STATE(1244),
    [sym_type_alias_declaration] = STATE(1244),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(16),
    [aux_sym_export_statement_repeat1] = STATE(4743),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(339),
    [anon_sym_default] = ACTIONS(405),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_namespace] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_RBRACE] = ACTIONS(405),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(349),
    [anon_sym_var] = ACTIONS(351),
    [anon_sym_let] = ACTIONS(353),
    [anon_sym_const] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(359),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(363),
    [anon_sym_do] = ACTIONS(365),
    [anon_sym_try] = ACTIONS(367),
    [anon_sym_with] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(371),
    [anon_sym_continue] = ACTIONS(373),
    [anon_sym_debugger] = ACTIONS(375),
    [anon_sym_return] = ACTIONS(377),
    [anon_sym_throw] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(381),
    [anon_sym_case] = ACTIONS(405),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(383),
    [anon_sym_async] = ACTIONS(385),
    [anon_sym_function] = ACTIONS(387),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(391),
    [anon_sym_readonly] = ACTIONS(391),
    [anon_sym_get] = ACTIONS(391),
    [anon_sym_set] = ACTIONS(391),
    [anon_sym_declare] = ACTIONS(393),
    [anon_sym_public] = ACTIONS(391),
    [anon_sym_private] = ACTIONS(391),
    [anon_sym_protected] = ACTIONS(391),
    [anon_sym_override] = ACTIONS(391),
    [anon_sym_module] = ACTIONS(395),
    [anon_sym_any] = ACTIONS(391),
    [anon_sym_number] = ACTIONS(391),
    [anon_sym_boolean] = ACTIONS(391),
    [anon_sym_string] = ACTIONS(391),
    [anon_sym_symbol] = ACTIONS(391),
    [anon_sym_object] = ACTIONS(391),
    [anon_sym_abstract] = ACTIONS(397),
    [anon_sym_interface] = ACTIONS(399),
    [anon_sym_enum] = ACTIONS(401),
    [sym_html_comment] = ACTIONS(5),
  },
  [15] = {
    [sym_export_statement] = STATE(1189),
    [sym_declaration] = STATE(1189),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1189),
    [sym_expression_statement] = STATE(1189),
    [sym_variable_declaration] = STATE(1244),
    [sym_lexical_declaration] = STATE(1244),
    [sym_statement_block] = STATE(1189),
    [sym_if_statement] = STATE(1189),
    [sym_switch_statement] = STATE(1189),
    [sym_for_statement] = STATE(1189),
    [sym_for_in_statement] = STATE(1189),
    [sym_while_statement] = STATE(1189),
    [sym_do_statement] = STATE(1189),
    [sym_try_statement] = STATE(1189),
    [sym_with_statement] = STATE(1189),
    [sym_break_statement] = STATE(1189),
    [sym_continue_statement] = STATE(1189),
    [sym_debugger_statement] = STATE(1189),
    [sym_return_statement] = STATE(1189),
    [sym_throw_statement] = STATE(1189),
    [sym_empty_statement] = STATE(1189),
    [sym_labeled_statement] = STATE(1189),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2637),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1244),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1244),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1244),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6750),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(15),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1244),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1244),
    [sym_abstract_class_declaration] = STATE(1244),
    [sym_module] = STATE(1244),
    [sym_internal_module] = STATE(419),
    [sym_import_alias] = STATE(1244),
    [sym_interface_declaration] = STATE(1244),
    [sym_enum_declaration] = STATE(1244),
    [sym_type_alias_declaration] = STATE(1244),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_export_statement_repeat1] = STATE(4743),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(339),
    [anon_sym_default] = ACTIONS(407),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_namespace] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_RBRACE] = ACTIONS(407),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(349),
    [anon_sym_var] = ACTIONS(351),
    [anon_sym_let] = ACTIONS(353),
    [anon_sym_const] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(359),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(363),
    [anon_sym_do] = ACTIONS(365),
    [anon_sym_try] = ACTIONS(367),
    [anon_sym_with] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(371),
    [anon_sym_continue] = ACTIONS(373),
    [anon_sym_debugger] = ACTIONS(375),
    [anon_sym_return] = ACTIONS(377),
    [anon_sym_throw] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(381),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(383),
    [anon_sym_async] = ACTIONS(385),
    [anon_sym_function] = ACTIONS(387),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(391),
    [anon_sym_readonly] = ACTIONS(391),
    [anon_sym_get] = ACTIONS(391),
    [anon_sym_set] = ACTIONS(391),
    [anon_sym_declare] = ACTIONS(393),
    [anon_sym_public] = ACTIONS(391),
    [anon_sym_private] = ACTIONS(391),
    [anon_sym_protected] = ACTIONS(391),
    [anon_sym_override] = ACTIONS(391),
    [anon_sym_module] = ACTIONS(395),
    [anon_sym_any] = ACTIONS(391),
    [anon_sym_number] = ACTIONS(391),
    [anon_sym_boolean] = ACTIONS(391),
    [anon_sym_string] = ACTIONS(391),
    [anon_sym_symbol] = ACTIONS(391),
    [anon_sym_object] = ACTIONS(391),
    [anon_sym_abstract] = ACTIONS(397),
    [anon_sym_interface] = ACTIONS(399),
    [anon_sym_enum] = ACTIONS(401),
    [sym_html_comment] = ACTIONS(5),
  },
  [16] = {
    [sym_export_statement] = STATE(1189),
    [sym_declaration] = STATE(1189),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1189),
    [sym_expression_statement] = STATE(1189),
    [sym_variable_declaration] = STATE(1244),
    [sym_lexical_declaration] = STATE(1244),
    [sym_statement_block] = STATE(1189),
    [sym_if_statement] = STATE(1189),
    [sym_switch_statement] = STATE(1189),
    [sym_for_statement] = STATE(1189),
    [sym_for_in_statement] = STATE(1189),
    [sym_while_statement] = STATE(1189),
    [sym_do_statement] = STATE(1189),
    [sym_try_statement] = STATE(1189),
    [sym_with_statement] = STATE(1189),
    [sym_break_statement] = STATE(1189),
    [sym_continue_statement] = STATE(1189),
    [sym_debugger_statement] = STATE(1189),
    [sym_return_statement] = STATE(1189),
    [sym_throw_statement] = STATE(1189),
    [sym_empty_statement] = STATE(1189),
    [sym_labeled_statement] = STATE(1189),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2637),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1244),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1244),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1244),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6750),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(16),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1244),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1244),
    [sym_abstract_class_declaration] = STATE(1244),
    [sym_module] = STATE(1244),
    [sym_internal_module] = STATE(419),
    [sym_import_alias] = STATE(1244),
    [sym_interface_declaration] = STATE(1244),
    [sym_enum_declaration] = STATE(1244),
    [sym_type_alias_declaration] = STATE(1244),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(16),
    [aux_sym_export_statement_repeat1] = STATE(4743),
    [sym_identifier] = ACTIONS(409),
    [anon_sym_export] = ACTIONS(412),
    [anon_sym_default] = ACTIONS(415),
    [anon_sym_type] = ACTIONS(417),
    [anon_sym_namespace] = ACTIONS(420),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_RBRACE] = ACTIONS(415),
    [anon_sym_typeof] = ACTIONS(426),
    [anon_sym_import] = ACTIONS(429),
    [anon_sym_var] = ACTIONS(432),
    [anon_sym_let] = ACTIONS(435),
    [anon_sym_const] = ACTIONS(438),
    [anon_sym_BANG] = ACTIONS(426),
    [anon_sym_if] = ACTIONS(441),
    [anon_sym_switch] = ACTIONS(444),
    [anon_sym_for] = ACTIONS(447),
    [anon_sym_LPAREN] = ACTIONS(450),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_while] = ACTIONS(456),
    [anon_sym_do] = ACTIONS(459),
    [anon_sym_try] = ACTIONS(462),
    [anon_sym_with] = ACTIONS(465),
    [anon_sym_break] = ACTIONS(468),
    [anon_sym_continue] = ACTIONS(471),
    [anon_sym_debugger] = ACTIONS(474),
    [anon_sym_return] = ACTIONS(477),
    [anon_sym_throw] = ACTIONS(480),
    [anon_sym_SEMI] = ACTIONS(483),
    [anon_sym_case] = ACTIONS(415),
    [anon_sym_yield] = ACTIONS(486),
    [anon_sym_LBRACK] = ACTIONS(489),
    [anon_sym_LTtemplate_GT] = ACTIONS(492),
    [anon_sym_class] = ACTIONS(495),
    [anon_sym_async] = ACTIONS(498),
    [anon_sym_function] = ACTIONS(501),
    [anon_sym_new] = ACTIONS(504),
    [anon_sym_using] = ACTIONS(507),
    [anon_sym_PLUS] = ACTIONS(426),
    [anon_sym_DASH] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(510),
    [anon_sym_LT] = ACTIONS(513),
    [anon_sym_TILDE] = ACTIONS(426),
    [anon_sym_void] = ACTIONS(426),
    [anon_sym_delete] = ACTIONS(426),
    [anon_sym_PLUS_PLUS] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(516),
    [anon_sym_DQUOTE] = ACTIONS(519),
    [anon_sym_SQUOTE] = ACTIONS(522),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(525),
    [sym_number] = ACTIONS(528),
    [sym_private_property_identifier] = ACTIONS(531),
    [sym_this] = ACTIONS(528),
    [sym_super] = ACTIONS(528),
    [sym_true] = ACTIONS(528),
    [sym_false] = ACTIONS(528),
    [sym_null] = ACTIONS(528),
    [sym_undefined] = ACTIONS(534),
    [anon_sym_AT] = ACTIONS(537),
    [anon_sym_static] = ACTIONS(540),
    [anon_sym_readonly] = ACTIONS(540),
    [anon_sym_get] = ACTIONS(540),
    [anon_sym_set] = ACTIONS(540),
    [anon_sym_declare] = ACTIONS(543),
    [anon_sym_public] = ACTIONS(540),
    [anon_sym_private] = ACTIONS(540),
    [anon_sym_protected] = ACTIONS(540),
    [anon_sym_override] = ACTIONS(540),
    [anon_sym_module] = ACTIONS(546),
    [anon_sym_any] = ACTIONS(540),
    [anon_sym_number] = ACTIONS(540),
    [anon_sym_boolean] = ACTIONS(540),
    [anon_sym_string] = ACTIONS(540),
    [anon_sym_symbol] = ACTIONS(540),
    [anon_sym_object] = ACTIONS(540),
    [anon_sym_abstract] = ACTIONS(549),
    [anon_sym_interface] = ACTIONS(552),
    [anon_sym_enum] = ACTIONS(555),
    [sym_html_comment] = ACTIONS(5),
  },
  [17] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(17),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [ts_builtin_sym_end] = ACTIONS(558),
    [sym_identifier] = ACTIONS(560),
    [anon_sym_export] = ACTIONS(563),
    [anon_sym_type] = ACTIONS(566),
    [anon_sym_namespace] = ACTIONS(569),
    [anon_sym_LBRACE] = ACTIONS(572),
    [anon_sym_RBRACE] = ACTIONS(415),
    [anon_sym_typeof] = ACTIONS(426),
    [anon_sym_import] = ACTIONS(575),
    [anon_sym_var] = ACTIONS(578),
    [anon_sym_let] = ACTIONS(581),
    [anon_sym_const] = ACTIONS(584),
    [anon_sym_BANG] = ACTIONS(426),
    [anon_sym_if] = ACTIONS(587),
    [anon_sym_switch] = ACTIONS(590),
    [anon_sym_for] = ACTIONS(593),
    [anon_sym_LPAREN] = ACTIONS(450),
    [anon_sym_await] = ACTIONS(453),
    [anon_sym_while] = ACTIONS(596),
    [anon_sym_do] = ACTIONS(599),
    [anon_sym_try] = ACTIONS(602),
    [anon_sym_with] = ACTIONS(605),
    [anon_sym_break] = ACTIONS(608),
    [anon_sym_continue] = ACTIONS(611),
    [anon_sym_debugger] = ACTIONS(614),
    [anon_sym_return] = ACTIONS(617),
    [anon_sym_throw] = ACTIONS(620),
    [anon_sym_SEMI] = ACTIONS(623),
    [anon_sym_yield] = ACTIONS(486),
    [anon_sym_LBRACK] = ACTIONS(489),
    [anon_sym_LTtemplate_GT] = ACTIONS(492),
    [anon_sym_class] = ACTIONS(626),
    [anon_sym_async] = ACTIONS(629),
    [anon_sym_function] = ACTIONS(632),
    [anon_sym_new] = ACTIONS(635),
    [anon_sym_using] = ACTIONS(507),
    [anon_sym_PLUS] = ACTIONS(426),
    [anon_sym_DASH] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(510),
    [anon_sym_LT] = ACTIONS(513),
    [anon_sym_TILDE] = ACTIONS(426),
    [anon_sym_void] = ACTIONS(426),
    [anon_sym_delete] = ACTIONS(426),
    [anon_sym_PLUS_PLUS] = ACTIONS(516),
    [anon_sym_DASH_DASH] = ACTIONS(516),
    [anon_sym_DQUOTE] = ACTIONS(519),
    [anon_sym_SQUOTE] = ACTIONS(522),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(525),
    [sym_number] = ACTIONS(528),
    [sym_private_property_identifier] = ACTIONS(531),
    [sym_this] = ACTIONS(528),
    [sym_super] = ACTIONS(528),
    [sym_true] = ACTIONS(528),
    [sym_false] = ACTIONS(528),
    [sym_null] = ACTIONS(528),
    [sym_undefined] = ACTIONS(534),
    [anon_sym_AT] = ACTIONS(537),
    [anon_sym_static] = ACTIONS(638),
    [anon_sym_readonly] = ACTIONS(638),
    [anon_sym_get] = ACTIONS(638),
    [anon_sym_set] = ACTIONS(638),
    [anon_sym_declare] = ACTIONS(641),
    [anon_sym_public] = ACTIONS(638),
    [anon_sym_private] = ACTIONS(638),
    [anon_sym_protected] = ACTIONS(638),
    [anon_sym_override] = ACTIONS(638),
    [anon_sym_module] = ACTIONS(644),
    [anon_sym_any] = ACTIONS(638),
    [anon_sym_number] = ACTIONS(638),
    [anon_sym_boolean] = ACTIONS(638),
    [anon_sym_string] = ACTIONS(638),
    [anon_sym_symbol] = ACTIONS(638),
    [anon_sym_object] = ACTIONS(638),
    [anon_sym_abstract] = ACTIONS(647),
    [anon_sym_interface] = ACTIONS(650),
    [anon_sym_enum] = ACTIONS(653),
    [sym_html_comment] = ACTIONS(5),
  },
  [18] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(18),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(656),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [19] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(19),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(56),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(658),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [20] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(20),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(39),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(660),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [21] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(21),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(60),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(662),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [22] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(22),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(25),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(664),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [23] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(23),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(18),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(666),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [24] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(24),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(668),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [25] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(25),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [26] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(26),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(672),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [27] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(27),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(674),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [28] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(28),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(26),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(676),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [29] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(29),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(38),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(678),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [30] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(30),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(680),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [31] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(31),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(30),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(682),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [32] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(32),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(684),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [33] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(33),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(686),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [34] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(34),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(688),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [35] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(35),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(690),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [36] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(36),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(34),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [37] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(37),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(35),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [38] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(38),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [39] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(39),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(698),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [40] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(40),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [41] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(41),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(46),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(702),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [42] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(42),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(704),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [43] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(43),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(42),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(706),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [44] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(44),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(708),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [45] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(45),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(40),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(710),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [46] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(46),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(712),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [47] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(47),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(55),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(714),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [48] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(48),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(716),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [49] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(49),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(69),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(718),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [50] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(50),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(44),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(720),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [51] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(51),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(722),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [52] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(52),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(724),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [53] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(53),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(51),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(726),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [54] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(54),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(728),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [55] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(55),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(730),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [56] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(56),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [57] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(57),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(32),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(734),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [58] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(58),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(68),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(736),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [59] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(59),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(738),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [60] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(60),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [61] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(61),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(54),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [62] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(62),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [63] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(63),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [ts_builtin_sym_end] = ACTIONS(746),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [64] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(64),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(62),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(748),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [65] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(65),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(59),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(750),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [66] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(66),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(27),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(752),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [67] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(67),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(70),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(754),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [68] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(68),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(756),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [69] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(69),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(758),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [70] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(70),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(760),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [71] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(71),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(63),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [ts_builtin_sym_end] = ACTIONS(762),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [72] = {
    [sym_export_statement] = STATE(1585),
    [sym_declaration] = STATE(1585),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1585),
    [sym_expression_statement] = STATE(1585),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1585),
    [sym_if_statement] = STATE(1585),
    [sym_switch_statement] = STATE(1585),
    [sym_for_statement] = STATE(1585),
    [sym_for_in_statement] = STATE(1585),
    [sym_while_statement] = STATE(1585),
    [sym_do_statement] = STATE(1585),
    [sym_try_statement] = STATE(1585),
    [sym_with_statement] = STATE(1585),
    [sym_break_statement] = STATE(1585),
    [sym_continue_statement] = STATE(1585),
    [sym_debugger_statement] = STATE(1585),
    [sym_return_statement] = STATE(1585),
    [sym_throw_statement] = STATE(1585),
    [sym_empty_statement] = STATE(1585),
    [sym_labeled_statement] = STATE(1585),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(72),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [ts_builtin_sym_end] = ACTIONS(762),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [73] = {
    [sym_export_statement] = STATE(1178),
    [sym_declaration] = STATE(1177),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1176),
    [sym_expression_statement] = STATE(1175),
    [sym_variable_declaration] = STATE(1003),
    [sym_lexical_declaration] = STATE(1003),
    [sym_statement_block] = STATE(1174),
    [sym_if_statement] = STATE(1173),
    [sym_switch_statement] = STATE(1172),
    [sym_for_statement] = STATE(1171),
    [sym_for_in_statement] = STATE(1169),
    [sym_while_statement] = STATE(1168),
    [sym_do_statement] = STATE(1167),
    [sym_try_statement] = STATE(1166),
    [sym_with_statement] = STATE(1165),
    [sym_break_statement] = STATE(1164),
    [sym_continue_statement] = STATE(1163),
    [sym_debugger_statement] = STATE(1162),
    [sym_return_statement] = STATE(1161),
    [sym_throw_statement] = STATE(1160),
    [sym_empty_statement] = STATE(1159),
    [sym_labeled_statement] = STATE(1158),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2645),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1003),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1003),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1003),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6437),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(73),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1003),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1003),
    [sym_abstract_class_declaration] = STATE(1003),
    [sym_module] = STATE(1003),
    [sym_internal_module] = STATE(303),
    [sym_import_alias] = STATE(1003),
    [sym_interface_declaration] = STATE(1003),
    [sym_enum_declaration] = STATE(1003),
    [sym_type_alias_declaration] = STATE(1003),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4756),
    [sym_identifier] = ACTIONS(764),
    [anon_sym_export] = ACTIONS(766),
    [anon_sym_type] = ACTIONS(768),
    [anon_sym_namespace] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(772),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(774),
    [anon_sym_var] = ACTIONS(776),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_const] = ACTIONS(780),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(782),
    [anon_sym_switch] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(788),
    [anon_sym_do] = ACTIONS(790),
    [anon_sym_try] = ACTIONS(792),
    [anon_sym_with] = ACTIONS(794),
    [anon_sym_break] = ACTIONS(796),
    [anon_sym_continue] = ACTIONS(798),
    [anon_sym_debugger] = ACTIONS(800),
    [anon_sym_return] = ACTIONS(802),
    [anon_sym_throw] = ACTIONS(804),
    [anon_sym_SEMI] = ACTIONS(806),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(808),
    [anon_sym_async] = ACTIONS(810),
    [anon_sym_function] = ACTIONS(812),
    [anon_sym_new] = ACTIONS(814),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(816),
    [anon_sym_readonly] = ACTIONS(816),
    [anon_sym_get] = ACTIONS(816),
    [anon_sym_set] = ACTIONS(816),
    [anon_sym_declare] = ACTIONS(818),
    [anon_sym_public] = ACTIONS(816),
    [anon_sym_private] = ACTIONS(816),
    [anon_sym_protected] = ACTIONS(816),
    [anon_sym_override] = ACTIONS(816),
    [anon_sym_module] = ACTIONS(820),
    [anon_sym_any] = ACTIONS(816),
    [anon_sym_number] = ACTIONS(816),
    [anon_sym_boolean] = ACTIONS(816),
    [anon_sym_string] = ACTIONS(816),
    [anon_sym_symbol] = ACTIONS(816),
    [anon_sym_object] = ACTIONS(816),
    [anon_sym_abstract] = ACTIONS(822),
    [anon_sym_interface] = ACTIONS(824),
    [anon_sym_enum] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [74] = {
    [sym_export_statement] = STATE(6622),
    [sym_declaration] = STATE(6622),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(6622),
    [sym_expression_statement] = STATE(6622),
    [sym_variable_declaration] = STATE(6698),
    [sym_lexical_declaration] = STATE(6698),
    [sym_statement_block] = STATE(6622),
    [sym_if_statement] = STATE(6622),
    [sym_switch_statement] = STATE(6622),
    [sym_for_statement] = STATE(6622),
    [sym_for_in_statement] = STATE(6622),
    [sym_while_statement] = STATE(6622),
    [sym_do_statement] = STATE(6622),
    [sym_try_statement] = STATE(6622),
    [sym_with_statement] = STATE(6622),
    [sym_break_statement] = STATE(6622),
    [sym_continue_statement] = STATE(6622),
    [sym_debugger_statement] = STATE(6622),
    [sym_return_statement] = STATE(6622),
    [sym_throw_statement] = STATE(6622),
    [sym_empty_statement] = STATE(6622),
    [sym_labeled_statement] = STATE(6622),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2642),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(6698),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(6698),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(6698),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(7066),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(74),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(6698),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(6698),
    [sym_abstract_class_declaration] = STATE(6698),
    [sym_module] = STATE(6698),
    [sym_internal_module] = STATE(3227),
    [sym_import_alias] = STATE(6698),
    [sym_interface_declaration] = STATE(6698),
    [sym_enum_declaration] = STATE(6698),
    [sym_type_alias_declaration] = STATE(6698),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4778),
    [sym_identifier] = ACTIONS(828),
    [anon_sym_export] = ACTIONS(830),
    [anon_sym_type] = ACTIONS(832),
    [anon_sym_namespace] = ACTIONS(834),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(838),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(846),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(854),
    [anon_sym_try] = ACTIONS(856),
    [anon_sym_with] = ACTIONS(858),
    [anon_sym_break] = ACTIONS(860),
    [anon_sym_continue] = ACTIONS(862),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(866),
    [anon_sym_throw] = ACTIONS(868),
    [anon_sym_SEMI] = ACTIONS(870),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(872),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(880),
    [anon_sym_readonly] = ACTIONS(880),
    [anon_sym_get] = ACTIONS(880),
    [anon_sym_set] = ACTIONS(880),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(880),
    [anon_sym_private] = ACTIONS(880),
    [anon_sym_protected] = ACTIONS(880),
    [anon_sym_override] = ACTIONS(880),
    [anon_sym_module] = ACTIONS(884),
    [anon_sym_any] = ACTIONS(880),
    [anon_sym_number] = ACTIONS(880),
    [anon_sym_boolean] = ACTIONS(880),
    [anon_sym_string] = ACTIONS(880),
    [anon_sym_symbol] = ACTIONS(880),
    [anon_sym_object] = ACTIONS(880),
    [anon_sym_abstract] = ACTIONS(886),
    [anon_sym_interface] = ACTIONS(888),
    [anon_sym_enum] = ACTIONS(890),
    [sym_html_comment] = ACTIONS(5),
  },
  [75] = {
    [sym_export_statement] = STATE(7124),
    [sym_declaration] = STATE(7124),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(7124),
    [sym_expression_statement] = STATE(7124),
    [sym_variable_declaration] = STATE(6698),
    [sym_lexical_declaration] = STATE(6698),
    [sym_statement_block] = STATE(7124),
    [sym_if_statement] = STATE(7124),
    [sym_switch_statement] = STATE(7124),
    [sym_for_statement] = STATE(7124),
    [sym_for_in_statement] = STATE(7124),
    [sym_while_statement] = STATE(7124),
    [sym_do_statement] = STATE(7124),
    [sym_try_statement] = STATE(7124),
    [sym_with_statement] = STATE(7124),
    [sym_break_statement] = STATE(7124),
    [sym_continue_statement] = STATE(7124),
    [sym_debugger_statement] = STATE(7124),
    [sym_return_statement] = STATE(7124),
    [sym_throw_statement] = STATE(7124),
    [sym_empty_statement] = STATE(7124),
    [sym_labeled_statement] = STATE(7124),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2642),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(6698),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(6698),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(6698),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(7066),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(75),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(6698),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(6698),
    [sym_abstract_class_declaration] = STATE(6698),
    [sym_module] = STATE(6698),
    [sym_internal_module] = STATE(3227),
    [sym_import_alias] = STATE(6698),
    [sym_interface_declaration] = STATE(6698),
    [sym_enum_declaration] = STATE(6698),
    [sym_type_alias_declaration] = STATE(6698),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4778),
    [sym_identifier] = ACTIONS(828),
    [anon_sym_export] = ACTIONS(830),
    [anon_sym_type] = ACTIONS(832),
    [anon_sym_namespace] = ACTIONS(834),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(838),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(846),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(854),
    [anon_sym_try] = ACTIONS(856),
    [anon_sym_with] = ACTIONS(858),
    [anon_sym_break] = ACTIONS(860),
    [anon_sym_continue] = ACTIONS(862),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(866),
    [anon_sym_throw] = ACTIONS(868),
    [anon_sym_SEMI] = ACTIONS(870),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(872),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(880),
    [anon_sym_readonly] = ACTIONS(880),
    [anon_sym_get] = ACTIONS(880),
    [anon_sym_set] = ACTIONS(880),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(880),
    [anon_sym_private] = ACTIONS(880),
    [anon_sym_protected] = ACTIONS(880),
    [anon_sym_override] = ACTIONS(880),
    [anon_sym_module] = ACTIONS(884),
    [anon_sym_any] = ACTIONS(880),
    [anon_sym_number] = ACTIONS(880),
    [anon_sym_boolean] = ACTIONS(880),
    [anon_sym_string] = ACTIONS(880),
    [anon_sym_symbol] = ACTIONS(880),
    [anon_sym_object] = ACTIONS(880),
    [anon_sym_abstract] = ACTIONS(886),
    [anon_sym_interface] = ACTIONS(888),
    [anon_sym_enum] = ACTIONS(890),
    [sym_html_comment] = ACTIONS(5),
  },
  [76] = {
    [sym_export_statement] = STATE(1258),
    [sym_declaration] = STATE(1258),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1258),
    [sym_expression_statement] = STATE(1258),
    [sym_variable_declaration] = STATE(1244),
    [sym_lexical_declaration] = STATE(1244),
    [sym_statement_block] = STATE(1258),
    [sym_if_statement] = STATE(1258),
    [sym_switch_statement] = STATE(1258),
    [sym_for_statement] = STATE(1258),
    [sym_for_in_statement] = STATE(1258),
    [sym_while_statement] = STATE(1258),
    [sym_do_statement] = STATE(1258),
    [sym_try_statement] = STATE(1258),
    [sym_with_statement] = STATE(1258),
    [sym_break_statement] = STATE(1258),
    [sym_continue_statement] = STATE(1258),
    [sym_debugger_statement] = STATE(1258),
    [sym_return_statement] = STATE(1258),
    [sym_throw_statement] = STATE(1258),
    [sym_empty_statement] = STATE(1258),
    [sym_labeled_statement] = STATE(1258),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2637),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1244),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1244),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1244),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6750),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(76),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1244),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1244),
    [sym_abstract_class_declaration] = STATE(1244),
    [sym_module] = STATE(1244),
    [sym_internal_module] = STATE(419),
    [sym_import_alias] = STATE(1244),
    [sym_interface_declaration] = STATE(1244),
    [sym_enum_declaration] = STATE(1244),
    [sym_type_alias_declaration] = STATE(1244),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4743),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(339),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_namespace] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(349),
    [anon_sym_var] = ACTIONS(351),
    [anon_sym_let] = ACTIONS(353),
    [anon_sym_const] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(359),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(363),
    [anon_sym_do] = ACTIONS(365),
    [anon_sym_try] = ACTIONS(367),
    [anon_sym_with] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(371),
    [anon_sym_continue] = ACTIONS(373),
    [anon_sym_debugger] = ACTIONS(375),
    [anon_sym_return] = ACTIONS(377),
    [anon_sym_throw] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(383),
    [anon_sym_async] = ACTIONS(385),
    [anon_sym_function] = ACTIONS(387),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(391),
    [anon_sym_readonly] = ACTIONS(391),
    [anon_sym_get] = ACTIONS(391),
    [anon_sym_set] = ACTIONS(391),
    [anon_sym_declare] = ACTIONS(393),
    [anon_sym_public] = ACTIONS(391),
    [anon_sym_private] = ACTIONS(391),
    [anon_sym_protected] = ACTIONS(391),
    [anon_sym_override] = ACTIONS(391),
    [anon_sym_module] = ACTIONS(395),
    [anon_sym_any] = ACTIONS(391),
    [anon_sym_number] = ACTIONS(391),
    [anon_sym_boolean] = ACTIONS(391),
    [anon_sym_string] = ACTIONS(391),
    [anon_sym_symbol] = ACTIONS(391),
    [anon_sym_object] = ACTIONS(391),
    [anon_sym_abstract] = ACTIONS(397),
    [anon_sym_interface] = ACTIONS(399),
    [anon_sym_enum] = ACTIONS(401),
    [sym_html_comment] = ACTIONS(5),
  },
  [77] = {
    [sym_export_statement] = STATE(5764),
    [sym_declaration] = STATE(5764),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(5764),
    [sym_expression_statement] = STATE(5764),
    [sym_variable_declaration] = STATE(6698),
    [sym_lexical_declaration] = STATE(6698),
    [sym_statement_block] = STATE(5764),
    [sym_if_statement] = STATE(5764),
    [sym_switch_statement] = STATE(5764),
    [sym_for_statement] = STATE(5764),
    [sym_for_in_statement] = STATE(5764),
    [sym_while_statement] = STATE(5764),
    [sym_do_statement] = STATE(5764),
    [sym_try_statement] = STATE(5764),
    [sym_with_statement] = STATE(5764),
    [sym_break_statement] = STATE(5764),
    [sym_continue_statement] = STATE(5764),
    [sym_debugger_statement] = STATE(5764),
    [sym_return_statement] = STATE(5764),
    [sym_throw_statement] = STATE(5764),
    [sym_empty_statement] = STATE(5764),
    [sym_labeled_statement] = STATE(5764),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2642),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(6698),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(6698),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(6698),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(7066),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(77),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(6698),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(6698),
    [sym_abstract_class_declaration] = STATE(6698),
    [sym_module] = STATE(6698),
    [sym_internal_module] = STATE(3227),
    [sym_import_alias] = STATE(6698),
    [sym_interface_declaration] = STATE(6698),
    [sym_enum_declaration] = STATE(6698),
    [sym_type_alias_declaration] = STATE(6698),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4778),
    [sym_identifier] = ACTIONS(828),
    [anon_sym_export] = ACTIONS(830),
    [anon_sym_type] = ACTIONS(832),
    [anon_sym_namespace] = ACTIONS(834),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(838),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(846),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(854),
    [anon_sym_try] = ACTIONS(856),
    [anon_sym_with] = ACTIONS(858),
    [anon_sym_break] = ACTIONS(860),
    [anon_sym_continue] = ACTIONS(862),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(866),
    [anon_sym_throw] = ACTIONS(868),
    [anon_sym_SEMI] = ACTIONS(870),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(872),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(880),
    [anon_sym_readonly] = ACTIONS(880),
    [anon_sym_get] = ACTIONS(880),
    [anon_sym_set] = ACTIONS(880),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(880),
    [anon_sym_private] = ACTIONS(880),
    [anon_sym_protected] = ACTIONS(880),
    [anon_sym_override] = ACTIONS(880),
    [anon_sym_module] = ACTIONS(884),
    [anon_sym_any] = ACTIONS(880),
    [anon_sym_number] = ACTIONS(880),
    [anon_sym_boolean] = ACTIONS(880),
    [anon_sym_string] = ACTIONS(880),
    [anon_sym_symbol] = ACTIONS(880),
    [anon_sym_object] = ACTIONS(880),
    [anon_sym_abstract] = ACTIONS(886),
    [anon_sym_interface] = ACTIONS(888),
    [anon_sym_enum] = ACTIONS(890),
    [sym_html_comment] = ACTIONS(5),
  },
  [78] = {
    [sym_export_statement] = STATE(1015),
    [sym_declaration] = STATE(1015),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1015),
    [sym_expression_statement] = STATE(1015),
    [sym_variable_declaration] = STATE(1003),
    [sym_lexical_declaration] = STATE(1003),
    [sym_statement_block] = STATE(1015),
    [sym_if_statement] = STATE(1015),
    [sym_switch_statement] = STATE(1015),
    [sym_for_statement] = STATE(1015),
    [sym_for_in_statement] = STATE(1015),
    [sym_while_statement] = STATE(1015),
    [sym_do_statement] = STATE(1015),
    [sym_try_statement] = STATE(1015),
    [sym_with_statement] = STATE(1015),
    [sym_break_statement] = STATE(1015),
    [sym_continue_statement] = STATE(1015),
    [sym_debugger_statement] = STATE(1015),
    [sym_return_statement] = STATE(1015),
    [sym_throw_statement] = STATE(1015),
    [sym_empty_statement] = STATE(1015),
    [sym_labeled_statement] = STATE(1015),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2645),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1003),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1003),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1003),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6437),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(78),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1003),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1003),
    [sym_abstract_class_declaration] = STATE(1003),
    [sym_module] = STATE(1003),
    [sym_internal_module] = STATE(303),
    [sym_import_alias] = STATE(1003),
    [sym_interface_declaration] = STATE(1003),
    [sym_enum_declaration] = STATE(1003),
    [sym_type_alias_declaration] = STATE(1003),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4756),
    [sym_identifier] = ACTIONS(764),
    [anon_sym_export] = ACTIONS(766),
    [anon_sym_type] = ACTIONS(768),
    [anon_sym_namespace] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(772),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(774),
    [anon_sym_var] = ACTIONS(776),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_const] = ACTIONS(780),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(782),
    [anon_sym_switch] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(788),
    [anon_sym_do] = ACTIONS(790),
    [anon_sym_try] = ACTIONS(792),
    [anon_sym_with] = ACTIONS(794),
    [anon_sym_break] = ACTIONS(796),
    [anon_sym_continue] = ACTIONS(798),
    [anon_sym_debugger] = ACTIONS(800),
    [anon_sym_return] = ACTIONS(802),
    [anon_sym_throw] = ACTIONS(804),
    [anon_sym_SEMI] = ACTIONS(806),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(808),
    [anon_sym_async] = ACTIONS(810),
    [anon_sym_function] = ACTIONS(812),
    [anon_sym_new] = ACTIONS(814),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(816),
    [anon_sym_readonly] = ACTIONS(816),
    [anon_sym_get] = ACTIONS(816),
    [anon_sym_set] = ACTIONS(816),
    [anon_sym_declare] = ACTIONS(818),
    [anon_sym_public] = ACTIONS(816),
    [anon_sym_private] = ACTIONS(816),
    [anon_sym_protected] = ACTIONS(816),
    [anon_sym_override] = ACTIONS(816),
    [anon_sym_module] = ACTIONS(820),
    [anon_sym_any] = ACTIONS(816),
    [anon_sym_number] = ACTIONS(816),
    [anon_sym_boolean] = ACTIONS(816),
    [anon_sym_string] = ACTIONS(816),
    [anon_sym_symbol] = ACTIONS(816),
    [anon_sym_object] = ACTIONS(816),
    [anon_sym_abstract] = ACTIONS(822),
    [anon_sym_interface] = ACTIONS(824),
    [anon_sym_enum] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [79] = {
    [sym_export_statement] = STATE(1473),
    [sym_declaration] = STATE(1473),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1473),
    [sym_expression_statement] = STATE(1473),
    [sym_variable_declaration] = STATE(1206),
    [sym_lexical_declaration] = STATE(1206),
    [sym_statement_block] = STATE(1473),
    [sym_if_statement] = STATE(1473),
    [sym_switch_statement] = STATE(1473),
    [sym_for_statement] = STATE(1473),
    [sym_for_in_statement] = STATE(1473),
    [sym_while_statement] = STATE(1473),
    [sym_do_statement] = STATE(1473),
    [sym_try_statement] = STATE(1473),
    [sym_with_statement] = STATE(1473),
    [sym_break_statement] = STATE(1473),
    [sym_continue_statement] = STATE(1473),
    [sym_debugger_statement] = STATE(1473),
    [sym_return_statement] = STATE(1473),
    [sym_throw_statement] = STATE(1473),
    [sym_empty_statement] = STATE(1473),
    [sym_labeled_statement] = STATE(1473),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2539),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1206),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1206),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1206),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6932),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(79),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1206),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1206),
    [sym_abstract_class_declaration] = STATE(1206),
    [sym_module] = STATE(1206),
    [sym_internal_module] = STATE(387),
    [sym_import_alias] = STATE(1206),
    [sym_interface_declaration] = STATE(1206),
    [sym_enum_declaration] = STATE(1206),
    [sym_type_alias_declaration] = STATE(1206),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4730),
    [sym_identifier] = ACTIONS(892),
    [anon_sym_export] = ACTIONS(894),
    [anon_sym_type] = ACTIONS(896),
    [anon_sym_namespace] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(902),
    [anon_sym_var] = ACTIONS(904),
    [anon_sym_let] = ACTIONS(906),
    [anon_sym_const] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(910),
    [anon_sym_switch] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(916),
    [anon_sym_do] = ACTIONS(918),
    [anon_sym_try] = ACTIONS(920),
    [anon_sym_with] = ACTIONS(922),
    [anon_sym_break] = ACTIONS(924),
    [anon_sym_continue] = ACTIONS(926),
    [anon_sym_debugger] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(930),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_SEMI] = ACTIONS(934),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(936),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(940),
    [anon_sym_new] = ACTIONS(942),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(944),
    [anon_sym_readonly] = ACTIONS(944),
    [anon_sym_get] = ACTIONS(944),
    [anon_sym_set] = ACTIONS(944),
    [anon_sym_declare] = ACTIONS(946),
    [anon_sym_public] = ACTIONS(944),
    [anon_sym_private] = ACTIONS(944),
    [anon_sym_protected] = ACTIONS(944),
    [anon_sym_override] = ACTIONS(944),
    [anon_sym_module] = ACTIONS(948),
    [anon_sym_any] = ACTIONS(944),
    [anon_sym_number] = ACTIONS(944),
    [anon_sym_boolean] = ACTIONS(944),
    [anon_sym_string] = ACTIONS(944),
    [anon_sym_symbol] = ACTIONS(944),
    [anon_sym_object] = ACTIONS(944),
    [anon_sym_abstract] = ACTIONS(950),
    [anon_sym_interface] = ACTIONS(952),
    [anon_sym_enum] = ACTIONS(954),
    [sym_html_comment] = ACTIONS(5),
  },
  [80] = {
    [sym_export_statement] = STATE(1031),
    [sym_declaration] = STATE(1031),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1031),
    [sym_expression_statement] = STATE(1031),
    [sym_variable_declaration] = STATE(1003),
    [sym_lexical_declaration] = STATE(1003),
    [sym_statement_block] = STATE(1031),
    [sym_if_statement] = STATE(1031),
    [sym_switch_statement] = STATE(1031),
    [sym_for_statement] = STATE(1031),
    [sym_for_in_statement] = STATE(1031),
    [sym_while_statement] = STATE(1031),
    [sym_do_statement] = STATE(1031),
    [sym_try_statement] = STATE(1031),
    [sym_with_statement] = STATE(1031),
    [sym_break_statement] = STATE(1031),
    [sym_continue_statement] = STATE(1031),
    [sym_debugger_statement] = STATE(1031),
    [sym_return_statement] = STATE(1031),
    [sym_throw_statement] = STATE(1031),
    [sym_empty_statement] = STATE(1031),
    [sym_labeled_statement] = STATE(1031),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2645),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1003),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1003),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1003),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6437),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(80),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1003),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1003),
    [sym_abstract_class_declaration] = STATE(1003),
    [sym_module] = STATE(1003),
    [sym_internal_module] = STATE(303),
    [sym_import_alias] = STATE(1003),
    [sym_interface_declaration] = STATE(1003),
    [sym_enum_declaration] = STATE(1003),
    [sym_type_alias_declaration] = STATE(1003),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4756),
    [sym_identifier] = ACTIONS(764),
    [anon_sym_export] = ACTIONS(766),
    [anon_sym_type] = ACTIONS(768),
    [anon_sym_namespace] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(772),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(774),
    [anon_sym_var] = ACTIONS(776),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_const] = ACTIONS(780),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(782),
    [anon_sym_switch] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(788),
    [anon_sym_do] = ACTIONS(790),
    [anon_sym_try] = ACTIONS(792),
    [anon_sym_with] = ACTIONS(794),
    [anon_sym_break] = ACTIONS(796),
    [anon_sym_continue] = ACTIONS(798),
    [anon_sym_debugger] = ACTIONS(800),
    [anon_sym_return] = ACTIONS(802),
    [anon_sym_throw] = ACTIONS(804),
    [anon_sym_SEMI] = ACTIONS(806),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(808),
    [anon_sym_async] = ACTIONS(810),
    [anon_sym_function] = ACTIONS(812),
    [anon_sym_new] = ACTIONS(814),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(816),
    [anon_sym_readonly] = ACTIONS(816),
    [anon_sym_get] = ACTIONS(816),
    [anon_sym_set] = ACTIONS(816),
    [anon_sym_declare] = ACTIONS(818),
    [anon_sym_public] = ACTIONS(816),
    [anon_sym_private] = ACTIONS(816),
    [anon_sym_protected] = ACTIONS(816),
    [anon_sym_override] = ACTIONS(816),
    [anon_sym_module] = ACTIONS(820),
    [anon_sym_any] = ACTIONS(816),
    [anon_sym_number] = ACTIONS(816),
    [anon_sym_boolean] = ACTIONS(816),
    [anon_sym_string] = ACTIONS(816),
    [anon_sym_symbol] = ACTIONS(816),
    [anon_sym_object] = ACTIONS(816),
    [anon_sym_abstract] = ACTIONS(822),
    [anon_sym_interface] = ACTIONS(824),
    [anon_sym_enum] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [81] = {
    [sym_export_statement] = STATE(1388),
    [sym_declaration] = STATE(1388),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1388),
    [sym_expression_statement] = STATE(1388),
    [sym_variable_declaration] = STATE(1206),
    [sym_lexical_declaration] = STATE(1206),
    [sym_statement_block] = STATE(1388),
    [sym_if_statement] = STATE(1388),
    [sym_switch_statement] = STATE(1388),
    [sym_for_statement] = STATE(1388),
    [sym_for_in_statement] = STATE(1388),
    [sym_while_statement] = STATE(1388),
    [sym_do_statement] = STATE(1388),
    [sym_try_statement] = STATE(1388),
    [sym_with_statement] = STATE(1388),
    [sym_break_statement] = STATE(1388),
    [sym_continue_statement] = STATE(1388),
    [sym_debugger_statement] = STATE(1388),
    [sym_return_statement] = STATE(1388),
    [sym_throw_statement] = STATE(1388),
    [sym_empty_statement] = STATE(1388),
    [sym_labeled_statement] = STATE(1388),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2539),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1206),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1206),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1206),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6932),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(81),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1206),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1206),
    [sym_abstract_class_declaration] = STATE(1206),
    [sym_module] = STATE(1206),
    [sym_internal_module] = STATE(387),
    [sym_import_alias] = STATE(1206),
    [sym_interface_declaration] = STATE(1206),
    [sym_enum_declaration] = STATE(1206),
    [sym_type_alias_declaration] = STATE(1206),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4730),
    [sym_identifier] = ACTIONS(892),
    [anon_sym_export] = ACTIONS(894),
    [anon_sym_type] = ACTIONS(896),
    [anon_sym_namespace] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(902),
    [anon_sym_var] = ACTIONS(904),
    [anon_sym_let] = ACTIONS(906),
    [anon_sym_const] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(910),
    [anon_sym_switch] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(916),
    [anon_sym_do] = ACTIONS(918),
    [anon_sym_try] = ACTIONS(920),
    [anon_sym_with] = ACTIONS(922),
    [anon_sym_break] = ACTIONS(924),
    [anon_sym_continue] = ACTIONS(926),
    [anon_sym_debugger] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(930),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_SEMI] = ACTIONS(934),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(936),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(940),
    [anon_sym_new] = ACTIONS(942),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(944),
    [anon_sym_readonly] = ACTIONS(944),
    [anon_sym_get] = ACTIONS(944),
    [anon_sym_set] = ACTIONS(944),
    [anon_sym_declare] = ACTIONS(946),
    [anon_sym_public] = ACTIONS(944),
    [anon_sym_private] = ACTIONS(944),
    [anon_sym_protected] = ACTIONS(944),
    [anon_sym_override] = ACTIONS(944),
    [anon_sym_module] = ACTIONS(948),
    [anon_sym_any] = ACTIONS(944),
    [anon_sym_number] = ACTIONS(944),
    [anon_sym_boolean] = ACTIONS(944),
    [anon_sym_string] = ACTIONS(944),
    [anon_sym_symbol] = ACTIONS(944),
    [anon_sym_object] = ACTIONS(944),
    [anon_sym_abstract] = ACTIONS(950),
    [anon_sym_interface] = ACTIONS(952),
    [anon_sym_enum] = ACTIONS(954),
    [sym_html_comment] = ACTIONS(5),
  },
  [82] = {
    [sym_export_statement] = STATE(1056),
    [sym_declaration] = STATE(1056),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1056),
    [sym_expression_statement] = STATE(1056),
    [sym_variable_declaration] = STATE(1003),
    [sym_lexical_declaration] = STATE(1003),
    [sym_statement_block] = STATE(1056),
    [sym_if_statement] = STATE(1056),
    [sym_switch_statement] = STATE(1056),
    [sym_for_statement] = STATE(1056),
    [sym_for_in_statement] = STATE(1056),
    [sym_while_statement] = STATE(1056),
    [sym_do_statement] = STATE(1056),
    [sym_try_statement] = STATE(1056),
    [sym_with_statement] = STATE(1056),
    [sym_break_statement] = STATE(1056),
    [sym_continue_statement] = STATE(1056),
    [sym_debugger_statement] = STATE(1056),
    [sym_return_statement] = STATE(1056),
    [sym_throw_statement] = STATE(1056),
    [sym_empty_statement] = STATE(1056),
    [sym_labeled_statement] = STATE(1056),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2645),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1003),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1003),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1003),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6437),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(82),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1003),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1003),
    [sym_abstract_class_declaration] = STATE(1003),
    [sym_module] = STATE(1003),
    [sym_internal_module] = STATE(303),
    [sym_import_alias] = STATE(1003),
    [sym_interface_declaration] = STATE(1003),
    [sym_enum_declaration] = STATE(1003),
    [sym_type_alias_declaration] = STATE(1003),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4756),
    [sym_identifier] = ACTIONS(764),
    [anon_sym_export] = ACTIONS(766),
    [anon_sym_type] = ACTIONS(768),
    [anon_sym_namespace] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(772),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(774),
    [anon_sym_var] = ACTIONS(776),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_const] = ACTIONS(780),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(782),
    [anon_sym_switch] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(788),
    [anon_sym_do] = ACTIONS(790),
    [anon_sym_try] = ACTIONS(792),
    [anon_sym_with] = ACTIONS(794),
    [anon_sym_break] = ACTIONS(796),
    [anon_sym_continue] = ACTIONS(798),
    [anon_sym_debugger] = ACTIONS(800),
    [anon_sym_return] = ACTIONS(802),
    [anon_sym_throw] = ACTIONS(804),
    [anon_sym_SEMI] = ACTIONS(806),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(808),
    [anon_sym_async] = ACTIONS(810),
    [anon_sym_function] = ACTIONS(812),
    [anon_sym_new] = ACTIONS(814),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(816),
    [anon_sym_readonly] = ACTIONS(816),
    [anon_sym_get] = ACTIONS(816),
    [anon_sym_set] = ACTIONS(816),
    [anon_sym_declare] = ACTIONS(818),
    [anon_sym_public] = ACTIONS(816),
    [anon_sym_private] = ACTIONS(816),
    [anon_sym_protected] = ACTIONS(816),
    [anon_sym_override] = ACTIONS(816),
    [anon_sym_module] = ACTIONS(820),
    [anon_sym_any] = ACTIONS(816),
    [anon_sym_number] = ACTIONS(816),
    [anon_sym_boolean] = ACTIONS(816),
    [anon_sym_string] = ACTIONS(816),
    [anon_sym_symbol] = ACTIONS(816),
    [anon_sym_object] = ACTIONS(816),
    [anon_sym_abstract] = ACTIONS(822),
    [anon_sym_interface] = ACTIONS(824),
    [anon_sym_enum] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [83] = {
    [sym_export_statement] = STATE(1382),
    [sym_declaration] = STATE(1382),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1382),
    [sym_expression_statement] = STATE(1382),
    [sym_variable_declaration] = STATE(1206),
    [sym_lexical_declaration] = STATE(1206),
    [sym_statement_block] = STATE(1382),
    [sym_if_statement] = STATE(1382),
    [sym_switch_statement] = STATE(1382),
    [sym_for_statement] = STATE(1382),
    [sym_for_in_statement] = STATE(1382),
    [sym_while_statement] = STATE(1382),
    [sym_do_statement] = STATE(1382),
    [sym_try_statement] = STATE(1382),
    [sym_with_statement] = STATE(1382),
    [sym_break_statement] = STATE(1382),
    [sym_continue_statement] = STATE(1382),
    [sym_debugger_statement] = STATE(1382),
    [sym_return_statement] = STATE(1382),
    [sym_throw_statement] = STATE(1382),
    [sym_empty_statement] = STATE(1382),
    [sym_labeled_statement] = STATE(1382),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2539),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1206),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1206),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1206),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6932),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(83),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1206),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1206),
    [sym_abstract_class_declaration] = STATE(1206),
    [sym_module] = STATE(1206),
    [sym_internal_module] = STATE(387),
    [sym_import_alias] = STATE(1206),
    [sym_interface_declaration] = STATE(1206),
    [sym_enum_declaration] = STATE(1206),
    [sym_type_alias_declaration] = STATE(1206),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4730),
    [sym_identifier] = ACTIONS(892),
    [anon_sym_export] = ACTIONS(894),
    [anon_sym_type] = ACTIONS(896),
    [anon_sym_namespace] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(902),
    [anon_sym_var] = ACTIONS(904),
    [anon_sym_let] = ACTIONS(906),
    [anon_sym_const] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(910),
    [anon_sym_switch] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(916),
    [anon_sym_do] = ACTIONS(918),
    [anon_sym_try] = ACTIONS(920),
    [anon_sym_with] = ACTIONS(922),
    [anon_sym_break] = ACTIONS(924),
    [anon_sym_continue] = ACTIONS(926),
    [anon_sym_debugger] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(930),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_SEMI] = ACTIONS(934),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(936),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(940),
    [anon_sym_new] = ACTIONS(942),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(944),
    [anon_sym_readonly] = ACTIONS(944),
    [anon_sym_get] = ACTIONS(944),
    [anon_sym_set] = ACTIONS(944),
    [anon_sym_declare] = ACTIONS(946),
    [anon_sym_public] = ACTIONS(944),
    [anon_sym_private] = ACTIONS(944),
    [anon_sym_protected] = ACTIONS(944),
    [anon_sym_override] = ACTIONS(944),
    [anon_sym_module] = ACTIONS(948),
    [anon_sym_any] = ACTIONS(944),
    [anon_sym_number] = ACTIONS(944),
    [anon_sym_boolean] = ACTIONS(944),
    [anon_sym_string] = ACTIONS(944),
    [anon_sym_symbol] = ACTIONS(944),
    [anon_sym_object] = ACTIONS(944),
    [anon_sym_abstract] = ACTIONS(950),
    [anon_sym_interface] = ACTIONS(952),
    [anon_sym_enum] = ACTIONS(954),
    [sym_html_comment] = ACTIONS(5),
  },
  [84] = {
    [sym_export_statement] = STATE(940),
    [sym_declaration] = STATE(940),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(940),
    [sym_expression_statement] = STATE(940),
    [sym_variable_declaration] = STATE(1003),
    [sym_lexical_declaration] = STATE(1003),
    [sym_statement_block] = STATE(940),
    [sym_if_statement] = STATE(940),
    [sym_switch_statement] = STATE(940),
    [sym_for_statement] = STATE(940),
    [sym_for_in_statement] = STATE(940),
    [sym_while_statement] = STATE(940),
    [sym_do_statement] = STATE(940),
    [sym_try_statement] = STATE(940),
    [sym_with_statement] = STATE(940),
    [sym_break_statement] = STATE(940),
    [sym_continue_statement] = STATE(940),
    [sym_debugger_statement] = STATE(940),
    [sym_return_statement] = STATE(940),
    [sym_throw_statement] = STATE(940),
    [sym_empty_statement] = STATE(940),
    [sym_labeled_statement] = STATE(940),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2645),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1003),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1003),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1003),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6437),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(84),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1003),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1003),
    [sym_abstract_class_declaration] = STATE(1003),
    [sym_module] = STATE(1003),
    [sym_internal_module] = STATE(303),
    [sym_import_alias] = STATE(1003),
    [sym_interface_declaration] = STATE(1003),
    [sym_enum_declaration] = STATE(1003),
    [sym_type_alias_declaration] = STATE(1003),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4756),
    [sym_identifier] = ACTIONS(764),
    [anon_sym_export] = ACTIONS(766),
    [anon_sym_type] = ACTIONS(768),
    [anon_sym_namespace] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(772),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(774),
    [anon_sym_var] = ACTIONS(776),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_const] = ACTIONS(780),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(782),
    [anon_sym_switch] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(788),
    [anon_sym_do] = ACTIONS(790),
    [anon_sym_try] = ACTIONS(792),
    [anon_sym_with] = ACTIONS(794),
    [anon_sym_break] = ACTIONS(796),
    [anon_sym_continue] = ACTIONS(798),
    [anon_sym_debugger] = ACTIONS(800),
    [anon_sym_return] = ACTIONS(802),
    [anon_sym_throw] = ACTIONS(804),
    [anon_sym_SEMI] = ACTIONS(806),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(808),
    [anon_sym_async] = ACTIONS(810),
    [anon_sym_function] = ACTIONS(812),
    [anon_sym_new] = ACTIONS(814),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(816),
    [anon_sym_readonly] = ACTIONS(816),
    [anon_sym_get] = ACTIONS(816),
    [anon_sym_set] = ACTIONS(816),
    [anon_sym_declare] = ACTIONS(818),
    [anon_sym_public] = ACTIONS(816),
    [anon_sym_private] = ACTIONS(816),
    [anon_sym_protected] = ACTIONS(816),
    [anon_sym_override] = ACTIONS(816),
    [anon_sym_module] = ACTIONS(820),
    [anon_sym_any] = ACTIONS(816),
    [anon_sym_number] = ACTIONS(816),
    [anon_sym_boolean] = ACTIONS(816),
    [anon_sym_string] = ACTIONS(816),
    [anon_sym_symbol] = ACTIONS(816),
    [anon_sym_object] = ACTIONS(816),
    [anon_sym_abstract] = ACTIONS(822),
    [anon_sym_interface] = ACTIONS(824),
    [anon_sym_enum] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [85] = {
    [sym_export_statement] = STATE(7177),
    [sym_declaration] = STATE(7177),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(7177),
    [sym_expression_statement] = STATE(7177),
    [sym_variable_declaration] = STATE(6698),
    [sym_lexical_declaration] = STATE(6698),
    [sym_statement_block] = STATE(7177),
    [sym_if_statement] = STATE(7177),
    [sym_switch_statement] = STATE(7177),
    [sym_for_statement] = STATE(7177),
    [sym_for_in_statement] = STATE(7177),
    [sym_while_statement] = STATE(7177),
    [sym_do_statement] = STATE(7177),
    [sym_try_statement] = STATE(7177),
    [sym_with_statement] = STATE(7177),
    [sym_break_statement] = STATE(7177),
    [sym_continue_statement] = STATE(7177),
    [sym_debugger_statement] = STATE(7177),
    [sym_return_statement] = STATE(7177),
    [sym_throw_statement] = STATE(7177),
    [sym_empty_statement] = STATE(7177),
    [sym_labeled_statement] = STATE(7177),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2642),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(6698),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(6698),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(6698),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(7066),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(85),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(6698),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(6698),
    [sym_abstract_class_declaration] = STATE(6698),
    [sym_module] = STATE(6698),
    [sym_internal_module] = STATE(3227),
    [sym_import_alias] = STATE(6698),
    [sym_interface_declaration] = STATE(6698),
    [sym_enum_declaration] = STATE(6698),
    [sym_type_alias_declaration] = STATE(6698),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4778),
    [sym_identifier] = ACTIONS(828),
    [anon_sym_export] = ACTIONS(830),
    [anon_sym_type] = ACTIONS(832),
    [anon_sym_namespace] = ACTIONS(834),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(838),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(846),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(854),
    [anon_sym_try] = ACTIONS(856),
    [anon_sym_with] = ACTIONS(858),
    [anon_sym_break] = ACTIONS(860),
    [anon_sym_continue] = ACTIONS(862),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(866),
    [anon_sym_throw] = ACTIONS(868),
    [anon_sym_SEMI] = ACTIONS(870),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(872),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(880),
    [anon_sym_readonly] = ACTIONS(880),
    [anon_sym_get] = ACTIONS(880),
    [anon_sym_set] = ACTIONS(880),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(880),
    [anon_sym_private] = ACTIONS(880),
    [anon_sym_protected] = ACTIONS(880),
    [anon_sym_override] = ACTIONS(880),
    [anon_sym_module] = ACTIONS(884),
    [anon_sym_any] = ACTIONS(880),
    [anon_sym_number] = ACTIONS(880),
    [anon_sym_boolean] = ACTIONS(880),
    [anon_sym_string] = ACTIONS(880),
    [anon_sym_symbol] = ACTIONS(880),
    [anon_sym_object] = ACTIONS(880),
    [anon_sym_abstract] = ACTIONS(886),
    [anon_sym_interface] = ACTIONS(888),
    [anon_sym_enum] = ACTIONS(890),
    [sym_html_comment] = ACTIONS(5),
  },
  [86] = {
    [sym_export_statement] = STATE(1270),
    [sym_declaration] = STATE(1270),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1270),
    [sym_expression_statement] = STATE(1270),
    [sym_variable_declaration] = STATE(1244),
    [sym_lexical_declaration] = STATE(1244),
    [sym_statement_block] = STATE(1270),
    [sym_if_statement] = STATE(1270),
    [sym_switch_statement] = STATE(1270),
    [sym_for_statement] = STATE(1270),
    [sym_for_in_statement] = STATE(1270),
    [sym_while_statement] = STATE(1270),
    [sym_do_statement] = STATE(1270),
    [sym_try_statement] = STATE(1270),
    [sym_with_statement] = STATE(1270),
    [sym_break_statement] = STATE(1270),
    [sym_continue_statement] = STATE(1270),
    [sym_debugger_statement] = STATE(1270),
    [sym_return_statement] = STATE(1270),
    [sym_throw_statement] = STATE(1270),
    [sym_empty_statement] = STATE(1270),
    [sym_labeled_statement] = STATE(1270),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2637),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1244),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1244),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1244),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6750),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(86),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1244),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1244),
    [sym_abstract_class_declaration] = STATE(1244),
    [sym_module] = STATE(1244),
    [sym_internal_module] = STATE(419),
    [sym_import_alias] = STATE(1244),
    [sym_interface_declaration] = STATE(1244),
    [sym_enum_declaration] = STATE(1244),
    [sym_type_alias_declaration] = STATE(1244),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4743),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(339),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_namespace] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(349),
    [anon_sym_var] = ACTIONS(351),
    [anon_sym_let] = ACTIONS(353),
    [anon_sym_const] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(359),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(363),
    [anon_sym_do] = ACTIONS(365),
    [anon_sym_try] = ACTIONS(367),
    [anon_sym_with] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(371),
    [anon_sym_continue] = ACTIONS(373),
    [anon_sym_debugger] = ACTIONS(375),
    [anon_sym_return] = ACTIONS(377),
    [anon_sym_throw] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(383),
    [anon_sym_async] = ACTIONS(385),
    [anon_sym_function] = ACTIONS(387),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(391),
    [anon_sym_readonly] = ACTIONS(391),
    [anon_sym_get] = ACTIONS(391),
    [anon_sym_set] = ACTIONS(391),
    [anon_sym_declare] = ACTIONS(393),
    [anon_sym_public] = ACTIONS(391),
    [anon_sym_private] = ACTIONS(391),
    [anon_sym_protected] = ACTIONS(391),
    [anon_sym_override] = ACTIONS(391),
    [anon_sym_module] = ACTIONS(395),
    [anon_sym_any] = ACTIONS(391),
    [anon_sym_number] = ACTIONS(391),
    [anon_sym_boolean] = ACTIONS(391),
    [anon_sym_string] = ACTIONS(391),
    [anon_sym_symbol] = ACTIONS(391),
    [anon_sym_object] = ACTIONS(391),
    [anon_sym_abstract] = ACTIONS(397),
    [anon_sym_interface] = ACTIONS(399),
    [anon_sym_enum] = ACTIONS(401),
    [sym_html_comment] = ACTIONS(5),
  },
  [87] = {
    [sym_export_statement] = STATE(1632),
    [sym_declaration] = STATE(1632),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1632),
    [sym_expression_statement] = STATE(1632),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1632),
    [sym_if_statement] = STATE(1632),
    [sym_switch_statement] = STATE(1632),
    [sym_for_statement] = STATE(1632),
    [sym_for_in_statement] = STATE(1632),
    [sym_while_statement] = STATE(1632),
    [sym_do_statement] = STATE(1632),
    [sym_try_statement] = STATE(1632),
    [sym_with_statement] = STATE(1632),
    [sym_break_statement] = STATE(1632),
    [sym_continue_statement] = STATE(1632),
    [sym_debugger_statement] = STATE(1632),
    [sym_return_statement] = STATE(1632),
    [sym_throw_statement] = STATE(1632),
    [sym_empty_statement] = STATE(1632),
    [sym_labeled_statement] = STATE(1632),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(87),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [88] = {
    [sym_export_statement] = STATE(1358),
    [sym_declaration] = STATE(1357),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1355),
    [sym_expression_statement] = STATE(1354),
    [sym_variable_declaration] = STATE(1244),
    [sym_lexical_declaration] = STATE(1244),
    [sym_statement_block] = STATE(1350),
    [sym_if_statement] = STATE(1349),
    [sym_switch_statement] = STATE(1348),
    [sym_for_statement] = STATE(1347),
    [sym_for_in_statement] = STATE(1346),
    [sym_while_statement] = STATE(1345),
    [sym_do_statement] = STATE(1344),
    [sym_try_statement] = STATE(1343),
    [sym_with_statement] = STATE(1342),
    [sym_break_statement] = STATE(1180),
    [sym_continue_statement] = STATE(1340),
    [sym_debugger_statement] = STATE(1339),
    [sym_return_statement] = STATE(1338),
    [sym_throw_statement] = STATE(1337),
    [sym_empty_statement] = STATE(1336),
    [sym_labeled_statement] = STATE(1335),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2637),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1244),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1244),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1244),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6750),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(88),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1244),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1244),
    [sym_abstract_class_declaration] = STATE(1244),
    [sym_module] = STATE(1244),
    [sym_internal_module] = STATE(419),
    [sym_import_alias] = STATE(1244),
    [sym_interface_declaration] = STATE(1244),
    [sym_enum_declaration] = STATE(1244),
    [sym_type_alias_declaration] = STATE(1244),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4743),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(339),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_namespace] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(349),
    [anon_sym_var] = ACTIONS(351),
    [anon_sym_let] = ACTIONS(353),
    [anon_sym_const] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(359),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(363),
    [anon_sym_do] = ACTIONS(365),
    [anon_sym_try] = ACTIONS(367),
    [anon_sym_with] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(371),
    [anon_sym_continue] = ACTIONS(373),
    [anon_sym_debugger] = ACTIONS(375),
    [anon_sym_return] = ACTIONS(377),
    [anon_sym_throw] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(383),
    [anon_sym_async] = ACTIONS(385),
    [anon_sym_function] = ACTIONS(387),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(391),
    [anon_sym_readonly] = ACTIONS(391),
    [anon_sym_get] = ACTIONS(391),
    [anon_sym_set] = ACTIONS(391),
    [anon_sym_declare] = ACTIONS(393),
    [anon_sym_public] = ACTIONS(391),
    [anon_sym_private] = ACTIONS(391),
    [anon_sym_protected] = ACTIONS(391),
    [anon_sym_override] = ACTIONS(391),
    [anon_sym_module] = ACTIONS(395),
    [anon_sym_any] = ACTIONS(391),
    [anon_sym_number] = ACTIONS(391),
    [anon_sym_boolean] = ACTIONS(391),
    [anon_sym_string] = ACTIONS(391),
    [anon_sym_symbol] = ACTIONS(391),
    [anon_sym_object] = ACTIONS(391),
    [anon_sym_abstract] = ACTIONS(397),
    [anon_sym_interface] = ACTIONS(399),
    [anon_sym_enum] = ACTIONS(401),
    [sym_html_comment] = ACTIONS(5),
  },
  [89] = {
    [sym_export_statement] = STATE(1540),
    [sym_declaration] = STATE(1540),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1540),
    [sym_expression_statement] = STATE(1540),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1540),
    [sym_if_statement] = STATE(1540),
    [sym_switch_statement] = STATE(1540),
    [sym_for_statement] = STATE(1540),
    [sym_for_in_statement] = STATE(1540),
    [sym_while_statement] = STATE(1540),
    [sym_do_statement] = STATE(1540),
    [sym_try_statement] = STATE(1540),
    [sym_with_statement] = STATE(1540),
    [sym_break_statement] = STATE(1540),
    [sym_continue_statement] = STATE(1540),
    [sym_debugger_statement] = STATE(1540),
    [sym_return_statement] = STATE(1540),
    [sym_throw_statement] = STATE(1540),
    [sym_empty_statement] = STATE(1540),
    [sym_labeled_statement] = STATE(1540),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(89),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [90] = {
    [sym_export_statement] = STATE(1334),
    [sym_declaration] = STATE(1334),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1334),
    [sym_expression_statement] = STATE(1334),
    [sym_variable_declaration] = STATE(1244),
    [sym_lexical_declaration] = STATE(1244),
    [sym_statement_block] = STATE(1334),
    [sym_if_statement] = STATE(1334),
    [sym_switch_statement] = STATE(1334),
    [sym_for_statement] = STATE(1334),
    [sym_for_in_statement] = STATE(1334),
    [sym_while_statement] = STATE(1334),
    [sym_do_statement] = STATE(1334),
    [sym_try_statement] = STATE(1334),
    [sym_with_statement] = STATE(1334),
    [sym_break_statement] = STATE(1334),
    [sym_continue_statement] = STATE(1334),
    [sym_debugger_statement] = STATE(1334),
    [sym_return_statement] = STATE(1334),
    [sym_throw_statement] = STATE(1334),
    [sym_empty_statement] = STATE(1334),
    [sym_labeled_statement] = STATE(1334),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2637),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1244),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1244),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1244),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6750),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(90),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1244),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1244),
    [sym_abstract_class_declaration] = STATE(1244),
    [sym_module] = STATE(1244),
    [sym_internal_module] = STATE(419),
    [sym_import_alias] = STATE(1244),
    [sym_interface_declaration] = STATE(1244),
    [sym_enum_declaration] = STATE(1244),
    [sym_type_alias_declaration] = STATE(1244),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4743),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(339),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_namespace] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(349),
    [anon_sym_var] = ACTIONS(351),
    [anon_sym_let] = ACTIONS(353),
    [anon_sym_const] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(359),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(363),
    [anon_sym_do] = ACTIONS(365),
    [anon_sym_try] = ACTIONS(367),
    [anon_sym_with] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(371),
    [anon_sym_continue] = ACTIONS(373),
    [anon_sym_debugger] = ACTIONS(375),
    [anon_sym_return] = ACTIONS(377),
    [anon_sym_throw] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(383),
    [anon_sym_async] = ACTIONS(385),
    [anon_sym_function] = ACTIONS(387),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(391),
    [anon_sym_readonly] = ACTIONS(391),
    [anon_sym_get] = ACTIONS(391),
    [anon_sym_set] = ACTIONS(391),
    [anon_sym_declare] = ACTIONS(393),
    [anon_sym_public] = ACTIONS(391),
    [anon_sym_private] = ACTIONS(391),
    [anon_sym_protected] = ACTIONS(391),
    [anon_sym_override] = ACTIONS(391),
    [anon_sym_module] = ACTIONS(395),
    [anon_sym_any] = ACTIONS(391),
    [anon_sym_number] = ACTIONS(391),
    [anon_sym_boolean] = ACTIONS(391),
    [anon_sym_string] = ACTIONS(391),
    [anon_sym_symbol] = ACTIONS(391),
    [anon_sym_object] = ACTIONS(391),
    [anon_sym_abstract] = ACTIONS(397),
    [anon_sym_interface] = ACTIONS(399),
    [anon_sym_enum] = ACTIONS(401),
    [sym_html_comment] = ACTIONS(5),
  },
  [91] = {
    [sym_export_statement] = STATE(1331),
    [sym_declaration] = STATE(1331),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1331),
    [sym_expression_statement] = STATE(1331),
    [sym_variable_declaration] = STATE(1244),
    [sym_lexical_declaration] = STATE(1244),
    [sym_statement_block] = STATE(1331),
    [sym_if_statement] = STATE(1331),
    [sym_switch_statement] = STATE(1331),
    [sym_for_statement] = STATE(1331),
    [sym_for_in_statement] = STATE(1331),
    [sym_while_statement] = STATE(1331),
    [sym_do_statement] = STATE(1331),
    [sym_try_statement] = STATE(1331),
    [sym_with_statement] = STATE(1331),
    [sym_break_statement] = STATE(1331),
    [sym_continue_statement] = STATE(1331),
    [sym_debugger_statement] = STATE(1331),
    [sym_return_statement] = STATE(1331),
    [sym_throw_statement] = STATE(1331),
    [sym_empty_statement] = STATE(1331),
    [sym_labeled_statement] = STATE(1331),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2637),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1244),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1244),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1244),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6750),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(91),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1244),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1244),
    [sym_abstract_class_declaration] = STATE(1244),
    [sym_module] = STATE(1244),
    [sym_internal_module] = STATE(419),
    [sym_import_alias] = STATE(1244),
    [sym_interface_declaration] = STATE(1244),
    [sym_enum_declaration] = STATE(1244),
    [sym_type_alias_declaration] = STATE(1244),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4743),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(339),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_namespace] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(349),
    [anon_sym_var] = ACTIONS(351),
    [anon_sym_let] = ACTIONS(353),
    [anon_sym_const] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(359),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(363),
    [anon_sym_do] = ACTIONS(365),
    [anon_sym_try] = ACTIONS(367),
    [anon_sym_with] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(371),
    [anon_sym_continue] = ACTIONS(373),
    [anon_sym_debugger] = ACTIONS(375),
    [anon_sym_return] = ACTIONS(377),
    [anon_sym_throw] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(383),
    [anon_sym_async] = ACTIONS(385),
    [anon_sym_function] = ACTIONS(387),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(391),
    [anon_sym_readonly] = ACTIONS(391),
    [anon_sym_get] = ACTIONS(391),
    [anon_sym_set] = ACTIONS(391),
    [anon_sym_declare] = ACTIONS(393),
    [anon_sym_public] = ACTIONS(391),
    [anon_sym_private] = ACTIONS(391),
    [anon_sym_protected] = ACTIONS(391),
    [anon_sym_override] = ACTIONS(391),
    [anon_sym_module] = ACTIONS(395),
    [anon_sym_any] = ACTIONS(391),
    [anon_sym_number] = ACTIONS(391),
    [anon_sym_boolean] = ACTIONS(391),
    [anon_sym_string] = ACTIONS(391),
    [anon_sym_symbol] = ACTIONS(391),
    [anon_sym_object] = ACTIONS(391),
    [anon_sym_abstract] = ACTIONS(397),
    [anon_sym_interface] = ACTIONS(399),
    [anon_sym_enum] = ACTIONS(401),
    [sym_html_comment] = ACTIONS(5),
  },
  [92] = {
    [sym_export_statement] = STATE(1470),
    [sym_declaration] = STATE(1472),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1475),
    [sym_expression_statement] = STATE(1477),
    [sym_variable_declaration] = STATE(1206),
    [sym_lexical_declaration] = STATE(1206),
    [sym_statement_block] = STATE(1480),
    [sym_if_statement] = STATE(1491),
    [sym_switch_statement] = STATE(1492),
    [sym_for_statement] = STATE(1493),
    [sym_for_in_statement] = STATE(1498),
    [sym_while_statement] = STATE(1502),
    [sym_do_statement] = STATE(1503),
    [sym_try_statement] = STATE(1504),
    [sym_with_statement] = STATE(1506),
    [sym_break_statement] = STATE(1507),
    [sym_continue_statement] = STATE(1511),
    [sym_debugger_statement] = STATE(1523),
    [sym_return_statement] = STATE(1526),
    [sym_throw_statement] = STATE(1525),
    [sym_empty_statement] = STATE(1524),
    [sym_labeled_statement] = STATE(1521),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2539),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1206),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1206),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1206),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6932),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(92),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1206),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1206),
    [sym_abstract_class_declaration] = STATE(1206),
    [sym_module] = STATE(1206),
    [sym_internal_module] = STATE(387),
    [sym_import_alias] = STATE(1206),
    [sym_interface_declaration] = STATE(1206),
    [sym_enum_declaration] = STATE(1206),
    [sym_type_alias_declaration] = STATE(1206),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4730),
    [sym_identifier] = ACTIONS(892),
    [anon_sym_export] = ACTIONS(894),
    [anon_sym_type] = ACTIONS(896),
    [anon_sym_namespace] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(902),
    [anon_sym_var] = ACTIONS(904),
    [anon_sym_let] = ACTIONS(906),
    [anon_sym_const] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(910),
    [anon_sym_switch] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(916),
    [anon_sym_do] = ACTIONS(918),
    [anon_sym_try] = ACTIONS(920),
    [anon_sym_with] = ACTIONS(922),
    [anon_sym_break] = ACTIONS(924),
    [anon_sym_continue] = ACTIONS(926),
    [anon_sym_debugger] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(930),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_SEMI] = ACTIONS(934),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(936),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(940),
    [anon_sym_new] = ACTIONS(942),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(944),
    [anon_sym_readonly] = ACTIONS(944),
    [anon_sym_get] = ACTIONS(944),
    [anon_sym_set] = ACTIONS(944),
    [anon_sym_declare] = ACTIONS(946),
    [anon_sym_public] = ACTIONS(944),
    [anon_sym_private] = ACTIONS(944),
    [anon_sym_protected] = ACTIONS(944),
    [anon_sym_override] = ACTIONS(944),
    [anon_sym_module] = ACTIONS(948),
    [anon_sym_any] = ACTIONS(944),
    [anon_sym_number] = ACTIONS(944),
    [anon_sym_boolean] = ACTIONS(944),
    [anon_sym_string] = ACTIONS(944),
    [anon_sym_symbol] = ACTIONS(944),
    [anon_sym_object] = ACTIONS(944),
    [anon_sym_abstract] = ACTIONS(950),
    [anon_sym_interface] = ACTIONS(952),
    [anon_sym_enum] = ACTIONS(954),
    [sym_html_comment] = ACTIONS(5),
  },
  [93] = {
    [sym_export_statement] = STATE(1670),
    [sym_declaration] = STATE(1669),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1668),
    [sym_expression_statement] = STATE(1666),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1665),
    [sym_if_statement] = STATE(1664),
    [sym_switch_statement] = STATE(1663),
    [sym_for_statement] = STATE(1662),
    [sym_for_in_statement] = STATE(1661),
    [sym_while_statement] = STATE(1660),
    [sym_do_statement] = STATE(1527),
    [sym_try_statement] = STATE(1671),
    [sym_with_statement] = STATE(1653),
    [sym_break_statement] = STATE(1652),
    [sym_continue_statement] = STATE(1638),
    [sym_debugger_statement] = STATE(1650),
    [sym_return_statement] = STATE(1649),
    [sym_throw_statement] = STATE(1645),
    [sym_empty_statement] = STATE(1644),
    [sym_labeled_statement] = STATE(1643),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(93),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [94] = {
    [sym_export_statement] = STATE(1057),
    [sym_declaration] = STATE(1057),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1057),
    [sym_expression_statement] = STATE(1057),
    [sym_variable_declaration] = STATE(1206),
    [sym_lexical_declaration] = STATE(1206),
    [sym_statement_block] = STATE(1057),
    [sym_if_statement] = STATE(1057),
    [sym_switch_statement] = STATE(1057),
    [sym_for_statement] = STATE(1057),
    [sym_for_in_statement] = STATE(1057),
    [sym_while_statement] = STATE(1057),
    [sym_do_statement] = STATE(1057),
    [sym_try_statement] = STATE(1057),
    [sym_with_statement] = STATE(1057),
    [sym_break_statement] = STATE(1057),
    [sym_continue_statement] = STATE(1057),
    [sym_debugger_statement] = STATE(1057),
    [sym_return_statement] = STATE(1057),
    [sym_throw_statement] = STATE(1057),
    [sym_empty_statement] = STATE(1057),
    [sym_labeled_statement] = STATE(1057),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2539),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1206),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1206),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1206),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6932),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(94),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1206),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1206),
    [sym_abstract_class_declaration] = STATE(1206),
    [sym_module] = STATE(1206),
    [sym_internal_module] = STATE(387),
    [sym_import_alias] = STATE(1206),
    [sym_interface_declaration] = STATE(1206),
    [sym_enum_declaration] = STATE(1206),
    [sym_type_alias_declaration] = STATE(1206),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4730),
    [sym_identifier] = ACTIONS(892),
    [anon_sym_export] = ACTIONS(894),
    [anon_sym_type] = ACTIONS(896),
    [anon_sym_namespace] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(902),
    [anon_sym_var] = ACTIONS(904),
    [anon_sym_let] = ACTIONS(906),
    [anon_sym_const] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(910),
    [anon_sym_switch] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(916),
    [anon_sym_do] = ACTIONS(918),
    [anon_sym_try] = ACTIONS(920),
    [anon_sym_with] = ACTIONS(922),
    [anon_sym_break] = ACTIONS(924),
    [anon_sym_continue] = ACTIONS(926),
    [anon_sym_debugger] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(930),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_SEMI] = ACTIONS(934),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(936),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(940),
    [anon_sym_new] = ACTIONS(942),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(944),
    [anon_sym_readonly] = ACTIONS(944),
    [anon_sym_get] = ACTIONS(944),
    [anon_sym_set] = ACTIONS(944),
    [anon_sym_declare] = ACTIONS(946),
    [anon_sym_public] = ACTIONS(944),
    [anon_sym_private] = ACTIONS(944),
    [anon_sym_protected] = ACTIONS(944),
    [anon_sym_override] = ACTIONS(944),
    [anon_sym_module] = ACTIONS(948),
    [anon_sym_any] = ACTIONS(944),
    [anon_sym_number] = ACTIONS(944),
    [anon_sym_boolean] = ACTIONS(944),
    [anon_sym_string] = ACTIONS(944),
    [anon_sym_symbol] = ACTIONS(944),
    [anon_sym_object] = ACTIONS(944),
    [anon_sym_abstract] = ACTIONS(950),
    [anon_sym_interface] = ACTIONS(952),
    [anon_sym_enum] = ACTIONS(954),
    [sym_html_comment] = ACTIONS(5),
  },
  [95] = {
    [sym_export_statement] = STATE(7305),
    [sym_declaration] = STATE(7305),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(7305),
    [sym_expression_statement] = STATE(7305),
    [sym_variable_declaration] = STATE(6698),
    [sym_lexical_declaration] = STATE(6698),
    [sym_statement_block] = STATE(7305),
    [sym_if_statement] = STATE(7305),
    [sym_switch_statement] = STATE(7305),
    [sym_for_statement] = STATE(7305),
    [sym_for_in_statement] = STATE(7305),
    [sym_while_statement] = STATE(7305),
    [sym_do_statement] = STATE(7305),
    [sym_try_statement] = STATE(7305),
    [sym_with_statement] = STATE(7305),
    [sym_break_statement] = STATE(7305),
    [sym_continue_statement] = STATE(7305),
    [sym_debugger_statement] = STATE(7305),
    [sym_return_statement] = STATE(7305),
    [sym_throw_statement] = STATE(7305),
    [sym_empty_statement] = STATE(7305),
    [sym_labeled_statement] = STATE(7305),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2642),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(6698),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(6698),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(6698),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(7066),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(95),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(6698),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(6698),
    [sym_abstract_class_declaration] = STATE(6698),
    [sym_module] = STATE(6698),
    [sym_internal_module] = STATE(3227),
    [sym_import_alias] = STATE(6698),
    [sym_interface_declaration] = STATE(6698),
    [sym_enum_declaration] = STATE(6698),
    [sym_type_alias_declaration] = STATE(6698),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4778),
    [sym_identifier] = ACTIONS(828),
    [anon_sym_export] = ACTIONS(830),
    [anon_sym_type] = ACTIONS(832),
    [anon_sym_namespace] = ACTIONS(834),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(838),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(846),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(854),
    [anon_sym_try] = ACTIONS(856),
    [anon_sym_with] = ACTIONS(858),
    [anon_sym_break] = ACTIONS(860),
    [anon_sym_continue] = ACTIONS(862),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(866),
    [anon_sym_throw] = ACTIONS(868),
    [anon_sym_SEMI] = ACTIONS(870),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(872),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(880),
    [anon_sym_readonly] = ACTIONS(880),
    [anon_sym_get] = ACTIONS(880),
    [anon_sym_set] = ACTIONS(880),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(880),
    [anon_sym_private] = ACTIONS(880),
    [anon_sym_protected] = ACTIONS(880),
    [anon_sym_override] = ACTIONS(880),
    [anon_sym_module] = ACTIONS(884),
    [anon_sym_any] = ACTIONS(880),
    [anon_sym_number] = ACTIONS(880),
    [anon_sym_boolean] = ACTIONS(880),
    [anon_sym_string] = ACTIONS(880),
    [anon_sym_symbol] = ACTIONS(880),
    [anon_sym_object] = ACTIONS(880),
    [anon_sym_abstract] = ACTIONS(886),
    [anon_sym_interface] = ACTIONS(888),
    [anon_sym_enum] = ACTIONS(890),
    [sym_html_comment] = ACTIONS(5),
  },
  [96] = {
    [sym_export_statement] = STATE(6484),
    [sym_declaration] = STATE(6484),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(6484),
    [sym_expression_statement] = STATE(6484),
    [sym_variable_declaration] = STATE(6698),
    [sym_lexical_declaration] = STATE(6698),
    [sym_statement_block] = STATE(6484),
    [sym_if_statement] = STATE(6484),
    [sym_switch_statement] = STATE(6484),
    [sym_for_statement] = STATE(6484),
    [sym_for_in_statement] = STATE(6484),
    [sym_while_statement] = STATE(6484),
    [sym_do_statement] = STATE(6484),
    [sym_try_statement] = STATE(6484),
    [sym_with_statement] = STATE(6484),
    [sym_break_statement] = STATE(6484),
    [sym_continue_statement] = STATE(6484),
    [sym_debugger_statement] = STATE(6484),
    [sym_return_statement] = STATE(6484),
    [sym_throw_statement] = STATE(6484),
    [sym_empty_statement] = STATE(6484),
    [sym_labeled_statement] = STATE(6484),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2642),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(6698),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(6698),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(6698),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(7066),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(96),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(6698),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(6698),
    [sym_abstract_class_declaration] = STATE(6698),
    [sym_module] = STATE(6698),
    [sym_internal_module] = STATE(3227),
    [sym_import_alias] = STATE(6698),
    [sym_interface_declaration] = STATE(6698),
    [sym_enum_declaration] = STATE(6698),
    [sym_type_alias_declaration] = STATE(6698),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4778),
    [sym_identifier] = ACTIONS(828),
    [anon_sym_export] = ACTIONS(830),
    [anon_sym_type] = ACTIONS(832),
    [anon_sym_namespace] = ACTIONS(834),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(838),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(846),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(854),
    [anon_sym_try] = ACTIONS(856),
    [anon_sym_with] = ACTIONS(858),
    [anon_sym_break] = ACTIONS(860),
    [anon_sym_continue] = ACTIONS(862),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(866),
    [anon_sym_throw] = ACTIONS(868),
    [anon_sym_SEMI] = ACTIONS(870),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(872),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(880),
    [anon_sym_readonly] = ACTIONS(880),
    [anon_sym_get] = ACTIONS(880),
    [anon_sym_set] = ACTIONS(880),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(880),
    [anon_sym_private] = ACTIONS(880),
    [anon_sym_protected] = ACTIONS(880),
    [anon_sym_override] = ACTIONS(880),
    [anon_sym_module] = ACTIONS(884),
    [anon_sym_any] = ACTIONS(880),
    [anon_sym_number] = ACTIONS(880),
    [anon_sym_boolean] = ACTIONS(880),
    [anon_sym_string] = ACTIONS(880),
    [anon_sym_symbol] = ACTIONS(880),
    [anon_sym_object] = ACTIONS(880),
    [anon_sym_abstract] = ACTIONS(886),
    [anon_sym_interface] = ACTIONS(888),
    [anon_sym_enum] = ACTIONS(890),
    [sym_html_comment] = ACTIONS(5),
  },
  [97] = {
    [sym_export_statement] = STATE(1109),
    [sym_declaration] = STATE(1108),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1107),
    [sym_expression_statement] = STATE(1105),
    [sym_variable_declaration] = STATE(1003),
    [sym_lexical_declaration] = STATE(1003),
    [sym_statement_block] = STATE(1104),
    [sym_if_statement] = STATE(1103),
    [sym_switch_statement] = STATE(1102),
    [sym_for_statement] = STATE(1101),
    [sym_for_in_statement] = STATE(1100),
    [sym_while_statement] = STATE(1099),
    [sym_do_statement] = STATE(1098),
    [sym_try_statement] = STATE(1097),
    [sym_with_statement] = STATE(1096),
    [sym_break_statement] = STATE(1095),
    [sym_continue_statement] = STATE(1094),
    [sym_debugger_statement] = STATE(1093),
    [sym_return_statement] = STATE(1092),
    [sym_throw_statement] = STATE(1091),
    [sym_empty_statement] = STATE(1090),
    [sym_labeled_statement] = STATE(1089),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2645),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1003),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1003),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1003),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6437),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(97),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1003),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1003),
    [sym_abstract_class_declaration] = STATE(1003),
    [sym_module] = STATE(1003),
    [sym_internal_module] = STATE(303),
    [sym_import_alias] = STATE(1003),
    [sym_interface_declaration] = STATE(1003),
    [sym_enum_declaration] = STATE(1003),
    [sym_type_alias_declaration] = STATE(1003),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4756),
    [sym_identifier] = ACTIONS(764),
    [anon_sym_export] = ACTIONS(766),
    [anon_sym_type] = ACTIONS(768),
    [anon_sym_namespace] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(772),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(774),
    [anon_sym_var] = ACTIONS(776),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_const] = ACTIONS(780),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(782),
    [anon_sym_switch] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(788),
    [anon_sym_do] = ACTIONS(790),
    [anon_sym_try] = ACTIONS(792),
    [anon_sym_with] = ACTIONS(794),
    [anon_sym_break] = ACTIONS(796),
    [anon_sym_continue] = ACTIONS(798),
    [anon_sym_debugger] = ACTIONS(800),
    [anon_sym_return] = ACTIONS(802),
    [anon_sym_throw] = ACTIONS(804),
    [anon_sym_SEMI] = ACTIONS(806),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(808),
    [anon_sym_async] = ACTIONS(810),
    [anon_sym_function] = ACTIONS(812),
    [anon_sym_new] = ACTIONS(814),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(816),
    [anon_sym_readonly] = ACTIONS(816),
    [anon_sym_get] = ACTIONS(816),
    [anon_sym_set] = ACTIONS(816),
    [anon_sym_declare] = ACTIONS(818),
    [anon_sym_public] = ACTIONS(816),
    [anon_sym_private] = ACTIONS(816),
    [anon_sym_protected] = ACTIONS(816),
    [anon_sym_override] = ACTIONS(816),
    [anon_sym_module] = ACTIONS(820),
    [anon_sym_any] = ACTIONS(816),
    [anon_sym_number] = ACTIONS(816),
    [anon_sym_boolean] = ACTIONS(816),
    [anon_sym_string] = ACTIONS(816),
    [anon_sym_symbol] = ACTIONS(816),
    [anon_sym_object] = ACTIONS(816),
    [anon_sym_abstract] = ACTIONS(822),
    [anon_sym_interface] = ACTIONS(824),
    [anon_sym_enum] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [98] = {
    [sym_export_statement] = STATE(1073),
    [sym_declaration] = STATE(1073),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1073),
    [sym_expression_statement] = STATE(1073),
    [sym_variable_declaration] = STATE(1206),
    [sym_lexical_declaration] = STATE(1206),
    [sym_statement_block] = STATE(1073),
    [sym_if_statement] = STATE(1073),
    [sym_switch_statement] = STATE(1073),
    [sym_for_statement] = STATE(1073),
    [sym_for_in_statement] = STATE(1073),
    [sym_while_statement] = STATE(1073),
    [sym_do_statement] = STATE(1073),
    [sym_try_statement] = STATE(1073),
    [sym_with_statement] = STATE(1073),
    [sym_break_statement] = STATE(1073),
    [sym_continue_statement] = STATE(1073),
    [sym_debugger_statement] = STATE(1073),
    [sym_return_statement] = STATE(1073),
    [sym_throw_statement] = STATE(1073),
    [sym_empty_statement] = STATE(1073),
    [sym_labeled_statement] = STATE(1073),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2539),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1206),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1206),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1206),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6932),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(98),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1206),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1206),
    [sym_abstract_class_declaration] = STATE(1206),
    [sym_module] = STATE(1206),
    [sym_internal_module] = STATE(387),
    [sym_import_alias] = STATE(1206),
    [sym_interface_declaration] = STATE(1206),
    [sym_enum_declaration] = STATE(1206),
    [sym_type_alias_declaration] = STATE(1206),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4730),
    [sym_identifier] = ACTIONS(892),
    [anon_sym_export] = ACTIONS(894),
    [anon_sym_type] = ACTIONS(896),
    [anon_sym_namespace] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(902),
    [anon_sym_var] = ACTIONS(904),
    [anon_sym_let] = ACTIONS(906),
    [anon_sym_const] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(910),
    [anon_sym_switch] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(916),
    [anon_sym_do] = ACTIONS(918),
    [anon_sym_try] = ACTIONS(920),
    [anon_sym_with] = ACTIONS(922),
    [anon_sym_break] = ACTIONS(924),
    [anon_sym_continue] = ACTIONS(926),
    [anon_sym_debugger] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(930),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_SEMI] = ACTIONS(934),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(936),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(940),
    [anon_sym_new] = ACTIONS(942),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(944),
    [anon_sym_readonly] = ACTIONS(944),
    [anon_sym_get] = ACTIONS(944),
    [anon_sym_set] = ACTIONS(944),
    [anon_sym_declare] = ACTIONS(946),
    [anon_sym_public] = ACTIONS(944),
    [anon_sym_private] = ACTIONS(944),
    [anon_sym_protected] = ACTIONS(944),
    [anon_sym_override] = ACTIONS(944),
    [anon_sym_module] = ACTIONS(948),
    [anon_sym_any] = ACTIONS(944),
    [anon_sym_number] = ACTIONS(944),
    [anon_sym_boolean] = ACTIONS(944),
    [anon_sym_string] = ACTIONS(944),
    [anon_sym_symbol] = ACTIONS(944),
    [anon_sym_object] = ACTIONS(944),
    [anon_sym_abstract] = ACTIONS(950),
    [anon_sym_interface] = ACTIONS(952),
    [anon_sym_enum] = ACTIONS(954),
    [sym_html_comment] = ACTIONS(5),
  },
  [99] = {
    [sym_export_statement] = STATE(1436),
    [sym_declaration] = STATE(1436),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1436),
    [sym_expression_statement] = STATE(1436),
    [sym_variable_declaration] = STATE(1206),
    [sym_lexical_declaration] = STATE(1206),
    [sym_statement_block] = STATE(1436),
    [sym_if_statement] = STATE(1436),
    [sym_switch_statement] = STATE(1436),
    [sym_for_statement] = STATE(1436),
    [sym_for_in_statement] = STATE(1436),
    [sym_while_statement] = STATE(1436),
    [sym_do_statement] = STATE(1436),
    [sym_try_statement] = STATE(1436),
    [sym_with_statement] = STATE(1436),
    [sym_break_statement] = STATE(1436),
    [sym_continue_statement] = STATE(1436),
    [sym_debugger_statement] = STATE(1436),
    [sym_return_statement] = STATE(1436),
    [sym_throw_statement] = STATE(1436),
    [sym_empty_statement] = STATE(1436),
    [sym_labeled_statement] = STATE(1436),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2539),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1206),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1206),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1206),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6932),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(99),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1206),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1206),
    [sym_abstract_class_declaration] = STATE(1206),
    [sym_module] = STATE(1206),
    [sym_internal_module] = STATE(387),
    [sym_import_alias] = STATE(1206),
    [sym_interface_declaration] = STATE(1206),
    [sym_enum_declaration] = STATE(1206),
    [sym_type_alias_declaration] = STATE(1206),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4730),
    [sym_identifier] = ACTIONS(892),
    [anon_sym_export] = ACTIONS(894),
    [anon_sym_type] = ACTIONS(896),
    [anon_sym_namespace] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(902),
    [anon_sym_var] = ACTIONS(904),
    [anon_sym_let] = ACTIONS(906),
    [anon_sym_const] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(910),
    [anon_sym_switch] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(916),
    [anon_sym_do] = ACTIONS(918),
    [anon_sym_try] = ACTIONS(920),
    [anon_sym_with] = ACTIONS(922),
    [anon_sym_break] = ACTIONS(924),
    [anon_sym_continue] = ACTIONS(926),
    [anon_sym_debugger] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(930),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_SEMI] = ACTIONS(934),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(936),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(940),
    [anon_sym_new] = ACTIONS(942),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(944),
    [anon_sym_readonly] = ACTIONS(944),
    [anon_sym_get] = ACTIONS(944),
    [anon_sym_set] = ACTIONS(944),
    [anon_sym_declare] = ACTIONS(946),
    [anon_sym_public] = ACTIONS(944),
    [anon_sym_private] = ACTIONS(944),
    [anon_sym_protected] = ACTIONS(944),
    [anon_sym_override] = ACTIONS(944),
    [anon_sym_module] = ACTIONS(948),
    [anon_sym_any] = ACTIONS(944),
    [anon_sym_number] = ACTIONS(944),
    [anon_sym_boolean] = ACTIONS(944),
    [anon_sym_string] = ACTIONS(944),
    [anon_sym_symbol] = ACTIONS(944),
    [anon_sym_object] = ACTIONS(944),
    [anon_sym_abstract] = ACTIONS(950),
    [anon_sym_interface] = ACTIONS(952),
    [anon_sym_enum] = ACTIONS(954),
    [sym_html_comment] = ACTIONS(5),
  },
  [100] = {
    [sym_export_statement] = STATE(1262),
    [sym_declaration] = STATE(1266),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1278),
    [sym_expression_statement] = STATE(1333),
    [sym_variable_declaration] = STATE(1206),
    [sym_lexical_declaration] = STATE(1206),
    [sym_statement_block] = STATE(1351),
    [sym_if_statement] = STATE(1353),
    [sym_switch_statement] = STATE(1367),
    [sym_for_statement] = STATE(1368),
    [sym_for_in_statement] = STATE(1370),
    [sym_while_statement] = STATE(1371),
    [sym_do_statement] = STATE(1372),
    [sym_try_statement] = STATE(1373),
    [sym_with_statement] = STATE(1374),
    [sym_break_statement] = STATE(1375),
    [sym_continue_statement] = STATE(1376),
    [sym_debugger_statement] = STATE(1377),
    [sym_return_statement] = STATE(1378),
    [sym_throw_statement] = STATE(1379),
    [sym_empty_statement] = STATE(1380),
    [sym_labeled_statement] = STATE(1381),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2539),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1206),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1206),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1206),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6932),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(100),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1206),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1206),
    [sym_abstract_class_declaration] = STATE(1206),
    [sym_module] = STATE(1206),
    [sym_internal_module] = STATE(387),
    [sym_import_alias] = STATE(1206),
    [sym_interface_declaration] = STATE(1206),
    [sym_enum_declaration] = STATE(1206),
    [sym_type_alias_declaration] = STATE(1206),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4730),
    [sym_identifier] = ACTIONS(892),
    [anon_sym_export] = ACTIONS(894),
    [anon_sym_type] = ACTIONS(896),
    [anon_sym_namespace] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(902),
    [anon_sym_var] = ACTIONS(904),
    [anon_sym_let] = ACTIONS(906),
    [anon_sym_const] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(910),
    [anon_sym_switch] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(916),
    [anon_sym_do] = ACTIONS(918),
    [anon_sym_try] = ACTIONS(920),
    [anon_sym_with] = ACTIONS(922),
    [anon_sym_break] = ACTIONS(924),
    [anon_sym_continue] = ACTIONS(926),
    [anon_sym_debugger] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(930),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_SEMI] = ACTIONS(934),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(936),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(940),
    [anon_sym_new] = ACTIONS(942),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(944),
    [anon_sym_readonly] = ACTIONS(944),
    [anon_sym_get] = ACTIONS(944),
    [anon_sym_set] = ACTIONS(944),
    [anon_sym_declare] = ACTIONS(946),
    [anon_sym_public] = ACTIONS(944),
    [anon_sym_private] = ACTIONS(944),
    [anon_sym_protected] = ACTIONS(944),
    [anon_sym_override] = ACTIONS(944),
    [anon_sym_module] = ACTIONS(948),
    [anon_sym_any] = ACTIONS(944),
    [anon_sym_number] = ACTIONS(944),
    [anon_sym_boolean] = ACTIONS(944),
    [anon_sym_string] = ACTIONS(944),
    [anon_sym_symbol] = ACTIONS(944),
    [anon_sym_object] = ACTIONS(944),
    [anon_sym_abstract] = ACTIONS(950),
    [anon_sym_interface] = ACTIONS(952),
    [anon_sym_enum] = ACTIONS(954),
    [sym_html_comment] = ACTIONS(5),
  },
  [101] = {
    [sym_export_statement] = STATE(1642),
    [sym_declaration] = STATE(1642),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1642),
    [sym_expression_statement] = STATE(1642),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1642),
    [sym_if_statement] = STATE(1642),
    [sym_switch_statement] = STATE(1642),
    [sym_for_statement] = STATE(1642),
    [sym_for_in_statement] = STATE(1642),
    [sym_while_statement] = STATE(1642),
    [sym_do_statement] = STATE(1642),
    [sym_try_statement] = STATE(1642),
    [sym_with_statement] = STATE(1642),
    [sym_break_statement] = STATE(1642),
    [sym_continue_statement] = STATE(1642),
    [sym_debugger_statement] = STATE(1642),
    [sym_return_statement] = STATE(1642),
    [sym_throw_statement] = STATE(1642),
    [sym_empty_statement] = STATE(1642),
    [sym_labeled_statement] = STATE(1642),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(101),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [102] = {
    [sym_export_statement] = STATE(1153),
    [sym_declaration] = STATE(1153),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1153),
    [sym_expression_statement] = STATE(1153),
    [sym_variable_declaration] = STATE(1003),
    [sym_lexical_declaration] = STATE(1003),
    [sym_statement_block] = STATE(1153),
    [sym_if_statement] = STATE(1153),
    [sym_switch_statement] = STATE(1153),
    [sym_for_statement] = STATE(1153),
    [sym_for_in_statement] = STATE(1153),
    [sym_while_statement] = STATE(1153),
    [sym_do_statement] = STATE(1153),
    [sym_try_statement] = STATE(1153),
    [sym_with_statement] = STATE(1153),
    [sym_break_statement] = STATE(1153),
    [sym_continue_statement] = STATE(1153),
    [sym_debugger_statement] = STATE(1153),
    [sym_return_statement] = STATE(1153),
    [sym_throw_statement] = STATE(1153),
    [sym_empty_statement] = STATE(1153),
    [sym_labeled_statement] = STATE(1153),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2645),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1003),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1003),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1003),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6437),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(102),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1003),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1003),
    [sym_abstract_class_declaration] = STATE(1003),
    [sym_module] = STATE(1003),
    [sym_internal_module] = STATE(303),
    [sym_import_alias] = STATE(1003),
    [sym_interface_declaration] = STATE(1003),
    [sym_enum_declaration] = STATE(1003),
    [sym_type_alias_declaration] = STATE(1003),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4756),
    [sym_identifier] = ACTIONS(764),
    [anon_sym_export] = ACTIONS(766),
    [anon_sym_type] = ACTIONS(768),
    [anon_sym_namespace] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(772),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(774),
    [anon_sym_var] = ACTIONS(776),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_const] = ACTIONS(780),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(782),
    [anon_sym_switch] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(788),
    [anon_sym_do] = ACTIONS(790),
    [anon_sym_try] = ACTIONS(792),
    [anon_sym_with] = ACTIONS(794),
    [anon_sym_break] = ACTIONS(796),
    [anon_sym_continue] = ACTIONS(798),
    [anon_sym_debugger] = ACTIONS(800),
    [anon_sym_return] = ACTIONS(802),
    [anon_sym_throw] = ACTIONS(804),
    [anon_sym_SEMI] = ACTIONS(806),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(808),
    [anon_sym_async] = ACTIONS(810),
    [anon_sym_function] = ACTIONS(812),
    [anon_sym_new] = ACTIONS(814),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(816),
    [anon_sym_readonly] = ACTIONS(816),
    [anon_sym_get] = ACTIONS(816),
    [anon_sym_set] = ACTIONS(816),
    [anon_sym_declare] = ACTIONS(818),
    [anon_sym_public] = ACTIONS(816),
    [anon_sym_private] = ACTIONS(816),
    [anon_sym_protected] = ACTIONS(816),
    [anon_sym_override] = ACTIONS(816),
    [anon_sym_module] = ACTIONS(820),
    [anon_sym_any] = ACTIONS(816),
    [anon_sym_number] = ACTIONS(816),
    [anon_sym_boolean] = ACTIONS(816),
    [anon_sym_string] = ACTIONS(816),
    [anon_sym_symbol] = ACTIONS(816),
    [anon_sym_object] = ACTIONS(816),
    [anon_sym_abstract] = ACTIONS(822),
    [anon_sym_interface] = ACTIONS(824),
    [anon_sym_enum] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [103] = {
    [sym_export_statement] = STATE(1157),
    [sym_declaration] = STATE(1157),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1157),
    [sym_expression_statement] = STATE(1157),
    [sym_variable_declaration] = STATE(1003),
    [sym_lexical_declaration] = STATE(1003),
    [sym_statement_block] = STATE(1157),
    [sym_if_statement] = STATE(1157),
    [sym_switch_statement] = STATE(1157),
    [sym_for_statement] = STATE(1157),
    [sym_for_in_statement] = STATE(1157),
    [sym_while_statement] = STATE(1157),
    [sym_do_statement] = STATE(1157),
    [sym_try_statement] = STATE(1157),
    [sym_with_statement] = STATE(1157),
    [sym_break_statement] = STATE(1157),
    [sym_continue_statement] = STATE(1157),
    [sym_debugger_statement] = STATE(1157),
    [sym_return_statement] = STATE(1157),
    [sym_throw_statement] = STATE(1157),
    [sym_empty_statement] = STATE(1157),
    [sym_labeled_statement] = STATE(1157),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2645),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1003),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1003),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1003),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6437),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(103),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1003),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1003),
    [sym_abstract_class_declaration] = STATE(1003),
    [sym_module] = STATE(1003),
    [sym_internal_module] = STATE(303),
    [sym_import_alias] = STATE(1003),
    [sym_interface_declaration] = STATE(1003),
    [sym_enum_declaration] = STATE(1003),
    [sym_type_alias_declaration] = STATE(1003),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4756),
    [sym_identifier] = ACTIONS(764),
    [anon_sym_export] = ACTIONS(766),
    [anon_sym_type] = ACTIONS(768),
    [anon_sym_namespace] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(772),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(774),
    [anon_sym_var] = ACTIONS(776),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_const] = ACTIONS(780),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(782),
    [anon_sym_switch] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(788),
    [anon_sym_do] = ACTIONS(790),
    [anon_sym_try] = ACTIONS(792),
    [anon_sym_with] = ACTIONS(794),
    [anon_sym_break] = ACTIONS(796),
    [anon_sym_continue] = ACTIONS(798),
    [anon_sym_debugger] = ACTIONS(800),
    [anon_sym_return] = ACTIONS(802),
    [anon_sym_throw] = ACTIONS(804),
    [anon_sym_SEMI] = ACTIONS(806),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(808),
    [anon_sym_async] = ACTIONS(810),
    [anon_sym_function] = ACTIONS(812),
    [anon_sym_new] = ACTIONS(814),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(816),
    [anon_sym_readonly] = ACTIONS(816),
    [anon_sym_get] = ACTIONS(816),
    [anon_sym_set] = ACTIONS(816),
    [anon_sym_declare] = ACTIONS(818),
    [anon_sym_public] = ACTIONS(816),
    [anon_sym_private] = ACTIONS(816),
    [anon_sym_protected] = ACTIONS(816),
    [anon_sym_override] = ACTIONS(816),
    [anon_sym_module] = ACTIONS(820),
    [anon_sym_any] = ACTIONS(816),
    [anon_sym_number] = ACTIONS(816),
    [anon_sym_boolean] = ACTIONS(816),
    [anon_sym_string] = ACTIONS(816),
    [anon_sym_symbol] = ACTIONS(816),
    [anon_sym_object] = ACTIONS(816),
    [anon_sym_abstract] = ACTIONS(822),
    [anon_sym_interface] = ACTIONS(824),
    [anon_sym_enum] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [104] = {
    [sym_export_statement] = STATE(1237),
    [sym_declaration] = STATE(1237),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1237),
    [sym_expression_statement] = STATE(1237),
    [sym_variable_declaration] = STATE(1206),
    [sym_lexical_declaration] = STATE(1206),
    [sym_statement_block] = STATE(1237),
    [sym_if_statement] = STATE(1237),
    [sym_switch_statement] = STATE(1237),
    [sym_for_statement] = STATE(1237),
    [sym_for_in_statement] = STATE(1237),
    [sym_while_statement] = STATE(1237),
    [sym_do_statement] = STATE(1237),
    [sym_try_statement] = STATE(1237),
    [sym_with_statement] = STATE(1237),
    [sym_break_statement] = STATE(1237),
    [sym_continue_statement] = STATE(1237),
    [sym_debugger_statement] = STATE(1237),
    [sym_return_statement] = STATE(1237),
    [sym_throw_statement] = STATE(1237),
    [sym_empty_statement] = STATE(1237),
    [sym_labeled_statement] = STATE(1237),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2539),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1206),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1206),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1206),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6932),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(104),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1206),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1206),
    [sym_abstract_class_declaration] = STATE(1206),
    [sym_module] = STATE(1206),
    [sym_internal_module] = STATE(387),
    [sym_import_alias] = STATE(1206),
    [sym_interface_declaration] = STATE(1206),
    [sym_enum_declaration] = STATE(1206),
    [sym_type_alias_declaration] = STATE(1206),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4730),
    [sym_identifier] = ACTIONS(892),
    [anon_sym_export] = ACTIONS(894),
    [anon_sym_type] = ACTIONS(896),
    [anon_sym_namespace] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(902),
    [anon_sym_var] = ACTIONS(904),
    [anon_sym_let] = ACTIONS(906),
    [anon_sym_const] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(910),
    [anon_sym_switch] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(916),
    [anon_sym_do] = ACTIONS(918),
    [anon_sym_try] = ACTIONS(920),
    [anon_sym_with] = ACTIONS(922),
    [anon_sym_break] = ACTIONS(924),
    [anon_sym_continue] = ACTIONS(926),
    [anon_sym_debugger] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(930),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_SEMI] = ACTIONS(934),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(936),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(940),
    [anon_sym_new] = ACTIONS(942),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(944),
    [anon_sym_readonly] = ACTIONS(944),
    [anon_sym_get] = ACTIONS(944),
    [anon_sym_set] = ACTIONS(944),
    [anon_sym_declare] = ACTIONS(946),
    [anon_sym_public] = ACTIONS(944),
    [anon_sym_private] = ACTIONS(944),
    [anon_sym_protected] = ACTIONS(944),
    [anon_sym_override] = ACTIONS(944),
    [anon_sym_module] = ACTIONS(948),
    [anon_sym_any] = ACTIONS(944),
    [anon_sym_number] = ACTIONS(944),
    [anon_sym_boolean] = ACTIONS(944),
    [anon_sym_string] = ACTIONS(944),
    [anon_sym_symbol] = ACTIONS(944),
    [anon_sym_object] = ACTIONS(944),
    [anon_sym_abstract] = ACTIONS(950),
    [anon_sym_interface] = ACTIONS(952),
    [anon_sym_enum] = ACTIONS(954),
    [sym_html_comment] = ACTIONS(5),
  },
  [105] = {
    [sym_export_statement] = STATE(1609),
    [sym_declaration] = STATE(1582),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1583),
    [sym_expression_statement] = STATE(1591),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1592),
    [sym_if_statement] = STATE(1593),
    [sym_switch_statement] = STATE(1594),
    [sym_for_statement] = STATE(1595),
    [sym_for_in_statement] = STATE(1596),
    [sym_while_statement] = STATE(1598),
    [sym_do_statement] = STATE(1599),
    [sym_try_statement] = STATE(1600),
    [sym_with_statement] = STATE(1601),
    [sym_break_statement] = STATE(1602),
    [sym_continue_statement] = STATE(1603),
    [sym_debugger_statement] = STATE(1604),
    [sym_return_statement] = STATE(1605),
    [sym_throw_statement] = STATE(1606),
    [sym_empty_statement] = STATE(1607),
    [sym_labeled_statement] = STATE(1608),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(105),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [106] = {
    [sym_export_statement] = STATE(6825),
    [sym_declaration] = STATE(6825),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(6825),
    [sym_expression_statement] = STATE(6825),
    [sym_variable_declaration] = STATE(6698),
    [sym_lexical_declaration] = STATE(6698),
    [sym_statement_block] = STATE(6825),
    [sym_if_statement] = STATE(6825),
    [sym_switch_statement] = STATE(6825),
    [sym_for_statement] = STATE(6825),
    [sym_for_in_statement] = STATE(6825),
    [sym_while_statement] = STATE(6825),
    [sym_do_statement] = STATE(6825),
    [sym_try_statement] = STATE(6825),
    [sym_with_statement] = STATE(6825),
    [sym_break_statement] = STATE(6825),
    [sym_continue_statement] = STATE(6825),
    [sym_debugger_statement] = STATE(6825),
    [sym_return_statement] = STATE(6825),
    [sym_throw_statement] = STATE(6825),
    [sym_empty_statement] = STATE(6825),
    [sym_labeled_statement] = STATE(6825),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2642),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(6698),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(6698),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(6698),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(7066),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(106),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(6698),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(6698),
    [sym_abstract_class_declaration] = STATE(6698),
    [sym_module] = STATE(6698),
    [sym_internal_module] = STATE(3227),
    [sym_import_alias] = STATE(6698),
    [sym_interface_declaration] = STATE(6698),
    [sym_enum_declaration] = STATE(6698),
    [sym_type_alias_declaration] = STATE(6698),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4778),
    [sym_identifier] = ACTIONS(828),
    [anon_sym_export] = ACTIONS(830),
    [anon_sym_type] = ACTIONS(832),
    [anon_sym_namespace] = ACTIONS(834),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(838),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(846),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(854),
    [anon_sym_try] = ACTIONS(856),
    [anon_sym_with] = ACTIONS(858),
    [anon_sym_break] = ACTIONS(860),
    [anon_sym_continue] = ACTIONS(862),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(866),
    [anon_sym_throw] = ACTIONS(868),
    [anon_sym_SEMI] = ACTIONS(870),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(872),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(880),
    [anon_sym_readonly] = ACTIONS(880),
    [anon_sym_get] = ACTIONS(880),
    [anon_sym_set] = ACTIONS(880),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(880),
    [anon_sym_private] = ACTIONS(880),
    [anon_sym_protected] = ACTIONS(880),
    [anon_sym_override] = ACTIONS(880),
    [anon_sym_module] = ACTIONS(884),
    [anon_sym_any] = ACTIONS(880),
    [anon_sym_number] = ACTIONS(880),
    [anon_sym_boolean] = ACTIONS(880),
    [anon_sym_string] = ACTIONS(880),
    [anon_sym_symbol] = ACTIONS(880),
    [anon_sym_object] = ACTIONS(880),
    [anon_sym_abstract] = ACTIONS(886),
    [anon_sym_interface] = ACTIONS(888),
    [anon_sym_enum] = ACTIONS(890),
    [sym_html_comment] = ACTIONS(5),
  },
  [107] = {
    [sym_export_statement] = STATE(7111),
    [sym_declaration] = STATE(7111),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(7111),
    [sym_expression_statement] = STATE(7111),
    [sym_variable_declaration] = STATE(6698),
    [sym_lexical_declaration] = STATE(6698),
    [sym_statement_block] = STATE(7111),
    [sym_if_statement] = STATE(7111),
    [sym_switch_statement] = STATE(7111),
    [sym_for_statement] = STATE(7111),
    [sym_for_in_statement] = STATE(7111),
    [sym_while_statement] = STATE(7111),
    [sym_do_statement] = STATE(7111),
    [sym_try_statement] = STATE(7111),
    [sym_with_statement] = STATE(7111),
    [sym_break_statement] = STATE(7111),
    [sym_continue_statement] = STATE(7111),
    [sym_debugger_statement] = STATE(7111),
    [sym_return_statement] = STATE(7111),
    [sym_throw_statement] = STATE(7111),
    [sym_empty_statement] = STATE(7111),
    [sym_labeled_statement] = STATE(7111),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2642),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(6698),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(6698),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(6698),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(7066),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(107),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(6698),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(6698),
    [sym_abstract_class_declaration] = STATE(6698),
    [sym_module] = STATE(6698),
    [sym_internal_module] = STATE(3227),
    [sym_import_alias] = STATE(6698),
    [sym_interface_declaration] = STATE(6698),
    [sym_enum_declaration] = STATE(6698),
    [sym_type_alias_declaration] = STATE(6698),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4778),
    [sym_identifier] = ACTIONS(828),
    [anon_sym_export] = ACTIONS(830),
    [anon_sym_type] = ACTIONS(832),
    [anon_sym_namespace] = ACTIONS(834),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(838),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(846),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(854),
    [anon_sym_try] = ACTIONS(856),
    [anon_sym_with] = ACTIONS(858),
    [anon_sym_break] = ACTIONS(860),
    [anon_sym_continue] = ACTIONS(862),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(866),
    [anon_sym_throw] = ACTIONS(868),
    [anon_sym_SEMI] = ACTIONS(870),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(872),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(880),
    [anon_sym_readonly] = ACTIONS(880),
    [anon_sym_get] = ACTIONS(880),
    [anon_sym_set] = ACTIONS(880),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(880),
    [anon_sym_private] = ACTIONS(880),
    [anon_sym_protected] = ACTIONS(880),
    [anon_sym_override] = ACTIONS(880),
    [anon_sym_module] = ACTIONS(884),
    [anon_sym_any] = ACTIONS(880),
    [anon_sym_number] = ACTIONS(880),
    [anon_sym_boolean] = ACTIONS(880),
    [anon_sym_string] = ACTIONS(880),
    [anon_sym_symbol] = ACTIONS(880),
    [anon_sym_object] = ACTIONS(880),
    [anon_sym_abstract] = ACTIONS(886),
    [anon_sym_interface] = ACTIONS(888),
    [anon_sym_enum] = ACTIONS(890),
    [sym_html_comment] = ACTIONS(5),
  },
  [108] = {
    [sym_export_statement] = STATE(1411),
    [sym_declaration] = STATE(1411),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1411),
    [sym_expression_statement] = STATE(1411),
    [sym_variable_declaration] = STATE(1206),
    [sym_lexical_declaration] = STATE(1206),
    [sym_statement_block] = STATE(1411),
    [sym_if_statement] = STATE(1411),
    [sym_switch_statement] = STATE(1411),
    [sym_for_statement] = STATE(1411),
    [sym_for_in_statement] = STATE(1411),
    [sym_while_statement] = STATE(1411),
    [sym_do_statement] = STATE(1411),
    [sym_try_statement] = STATE(1411),
    [sym_with_statement] = STATE(1411),
    [sym_break_statement] = STATE(1411),
    [sym_continue_statement] = STATE(1411),
    [sym_debugger_statement] = STATE(1411),
    [sym_return_statement] = STATE(1411),
    [sym_throw_statement] = STATE(1411),
    [sym_empty_statement] = STATE(1411),
    [sym_labeled_statement] = STATE(1411),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2539),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1206),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1206),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1206),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6932),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(108),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1206),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1206),
    [sym_abstract_class_declaration] = STATE(1206),
    [sym_module] = STATE(1206),
    [sym_internal_module] = STATE(387),
    [sym_import_alias] = STATE(1206),
    [sym_interface_declaration] = STATE(1206),
    [sym_enum_declaration] = STATE(1206),
    [sym_type_alias_declaration] = STATE(1206),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4730),
    [sym_identifier] = ACTIONS(892),
    [anon_sym_export] = ACTIONS(894),
    [anon_sym_type] = ACTIONS(896),
    [anon_sym_namespace] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(902),
    [anon_sym_var] = ACTIONS(904),
    [anon_sym_let] = ACTIONS(906),
    [anon_sym_const] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(910),
    [anon_sym_switch] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(916),
    [anon_sym_do] = ACTIONS(918),
    [anon_sym_try] = ACTIONS(920),
    [anon_sym_with] = ACTIONS(922),
    [anon_sym_break] = ACTIONS(924),
    [anon_sym_continue] = ACTIONS(926),
    [anon_sym_debugger] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(930),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_SEMI] = ACTIONS(934),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(936),
    [anon_sym_async] = ACTIONS(938),
    [anon_sym_function] = ACTIONS(940),
    [anon_sym_new] = ACTIONS(942),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(944),
    [anon_sym_readonly] = ACTIONS(944),
    [anon_sym_get] = ACTIONS(944),
    [anon_sym_set] = ACTIONS(944),
    [anon_sym_declare] = ACTIONS(946),
    [anon_sym_public] = ACTIONS(944),
    [anon_sym_private] = ACTIONS(944),
    [anon_sym_protected] = ACTIONS(944),
    [anon_sym_override] = ACTIONS(944),
    [anon_sym_module] = ACTIONS(948),
    [anon_sym_any] = ACTIONS(944),
    [anon_sym_number] = ACTIONS(944),
    [anon_sym_boolean] = ACTIONS(944),
    [anon_sym_string] = ACTIONS(944),
    [anon_sym_symbol] = ACTIONS(944),
    [anon_sym_object] = ACTIONS(944),
    [anon_sym_abstract] = ACTIONS(950),
    [anon_sym_interface] = ACTIONS(952),
    [anon_sym_enum] = ACTIONS(954),
    [sym_html_comment] = ACTIONS(5),
  },
  [109] = {
    [sym_export_statement] = STATE(1364),
    [sym_declaration] = STATE(1364),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1364),
    [sym_expression_statement] = STATE(1364),
    [sym_variable_declaration] = STATE(1244),
    [sym_lexical_declaration] = STATE(1244),
    [sym_statement_block] = STATE(1364),
    [sym_if_statement] = STATE(1364),
    [sym_switch_statement] = STATE(1364),
    [sym_for_statement] = STATE(1364),
    [sym_for_in_statement] = STATE(1364),
    [sym_while_statement] = STATE(1364),
    [sym_do_statement] = STATE(1364),
    [sym_try_statement] = STATE(1364),
    [sym_with_statement] = STATE(1364),
    [sym_break_statement] = STATE(1364),
    [sym_continue_statement] = STATE(1364),
    [sym_debugger_statement] = STATE(1364),
    [sym_return_statement] = STATE(1364),
    [sym_throw_statement] = STATE(1364),
    [sym_empty_statement] = STATE(1364),
    [sym_labeled_statement] = STATE(1364),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2637),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1244),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1244),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1244),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6750),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(109),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1244),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1244),
    [sym_abstract_class_declaration] = STATE(1244),
    [sym_module] = STATE(1244),
    [sym_internal_module] = STATE(419),
    [sym_import_alias] = STATE(1244),
    [sym_interface_declaration] = STATE(1244),
    [sym_enum_declaration] = STATE(1244),
    [sym_type_alias_declaration] = STATE(1244),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4743),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(339),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_namespace] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(349),
    [anon_sym_var] = ACTIONS(351),
    [anon_sym_let] = ACTIONS(353),
    [anon_sym_const] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(359),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(363),
    [anon_sym_do] = ACTIONS(365),
    [anon_sym_try] = ACTIONS(367),
    [anon_sym_with] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(371),
    [anon_sym_continue] = ACTIONS(373),
    [anon_sym_debugger] = ACTIONS(375),
    [anon_sym_return] = ACTIONS(377),
    [anon_sym_throw] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(383),
    [anon_sym_async] = ACTIONS(385),
    [anon_sym_function] = ACTIONS(387),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(391),
    [anon_sym_readonly] = ACTIONS(391),
    [anon_sym_get] = ACTIONS(391),
    [anon_sym_set] = ACTIONS(391),
    [anon_sym_declare] = ACTIONS(393),
    [anon_sym_public] = ACTIONS(391),
    [anon_sym_private] = ACTIONS(391),
    [anon_sym_protected] = ACTIONS(391),
    [anon_sym_override] = ACTIONS(391),
    [anon_sym_module] = ACTIONS(395),
    [anon_sym_any] = ACTIONS(391),
    [anon_sym_number] = ACTIONS(391),
    [anon_sym_boolean] = ACTIONS(391),
    [anon_sym_string] = ACTIONS(391),
    [anon_sym_symbol] = ACTIONS(391),
    [anon_sym_object] = ACTIONS(391),
    [anon_sym_abstract] = ACTIONS(397),
    [anon_sym_interface] = ACTIONS(399),
    [anon_sym_enum] = ACTIONS(401),
    [sym_html_comment] = ACTIONS(5),
  },
  [110] = {
    [sym_export_statement] = STATE(7107),
    [sym_declaration] = STATE(7107),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(7107),
    [sym_expression_statement] = STATE(7107),
    [sym_variable_declaration] = STATE(6698),
    [sym_lexical_declaration] = STATE(6698),
    [sym_statement_block] = STATE(7107),
    [sym_if_statement] = STATE(7107),
    [sym_switch_statement] = STATE(7107),
    [sym_for_statement] = STATE(7107),
    [sym_for_in_statement] = STATE(7107),
    [sym_while_statement] = STATE(7107),
    [sym_do_statement] = STATE(7107),
    [sym_try_statement] = STATE(7107),
    [sym_with_statement] = STATE(7107),
    [sym_break_statement] = STATE(7107),
    [sym_continue_statement] = STATE(7107),
    [sym_debugger_statement] = STATE(7107),
    [sym_return_statement] = STATE(7107),
    [sym_throw_statement] = STATE(7107),
    [sym_empty_statement] = STATE(7107),
    [sym_labeled_statement] = STATE(7107),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2642),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(6698),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(6698),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(6698),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(7066),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(110),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(6698),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(6698),
    [sym_abstract_class_declaration] = STATE(6698),
    [sym_module] = STATE(6698),
    [sym_internal_module] = STATE(3227),
    [sym_import_alias] = STATE(6698),
    [sym_interface_declaration] = STATE(6698),
    [sym_enum_declaration] = STATE(6698),
    [sym_type_alias_declaration] = STATE(6698),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4778),
    [sym_identifier] = ACTIONS(828),
    [anon_sym_export] = ACTIONS(830),
    [anon_sym_type] = ACTIONS(832),
    [anon_sym_namespace] = ACTIONS(834),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(838),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(846),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(854),
    [anon_sym_try] = ACTIONS(856),
    [anon_sym_with] = ACTIONS(858),
    [anon_sym_break] = ACTIONS(860),
    [anon_sym_continue] = ACTIONS(862),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(866),
    [anon_sym_throw] = ACTIONS(868),
    [anon_sym_SEMI] = ACTIONS(870),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(872),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(880),
    [anon_sym_readonly] = ACTIONS(880),
    [anon_sym_get] = ACTIONS(880),
    [anon_sym_set] = ACTIONS(880),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(880),
    [anon_sym_private] = ACTIONS(880),
    [anon_sym_protected] = ACTIONS(880),
    [anon_sym_override] = ACTIONS(880),
    [anon_sym_module] = ACTIONS(884),
    [anon_sym_any] = ACTIONS(880),
    [anon_sym_number] = ACTIONS(880),
    [anon_sym_boolean] = ACTIONS(880),
    [anon_sym_string] = ACTIONS(880),
    [anon_sym_symbol] = ACTIONS(880),
    [anon_sym_object] = ACTIONS(880),
    [anon_sym_abstract] = ACTIONS(886),
    [anon_sym_interface] = ACTIONS(888),
    [anon_sym_enum] = ACTIONS(890),
    [sym_html_comment] = ACTIONS(5),
  },
  [111] = {
    [sym_export_statement] = STATE(6571),
    [sym_declaration] = STATE(6661),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(6690),
    [sym_expression_statement] = STATE(6739),
    [sym_variable_declaration] = STATE(6698),
    [sym_lexical_declaration] = STATE(6698),
    [sym_statement_block] = STATE(6746),
    [sym_if_statement] = STATE(6755),
    [sym_switch_statement] = STATE(6761),
    [sym_for_statement] = STATE(6876),
    [sym_for_in_statement] = STATE(6943),
    [sym_while_statement] = STATE(6963),
    [sym_do_statement] = STATE(7004),
    [sym_try_statement] = STATE(6855),
    [sym_with_statement] = STATE(7024),
    [sym_break_statement] = STATE(6924),
    [sym_continue_statement] = STATE(6940),
    [sym_debugger_statement] = STATE(6938),
    [sym_return_statement] = STATE(6910),
    [sym_throw_statement] = STATE(6905),
    [sym_empty_statement] = STATE(6903),
    [sym_labeled_statement] = STATE(6886),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2642),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(6698),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(6698),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(6698),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(7066),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(111),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(6698),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(6698),
    [sym_abstract_class_declaration] = STATE(6698),
    [sym_module] = STATE(6698),
    [sym_internal_module] = STATE(3227),
    [sym_import_alias] = STATE(6698),
    [sym_interface_declaration] = STATE(6698),
    [sym_enum_declaration] = STATE(6698),
    [sym_type_alias_declaration] = STATE(6698),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4778),
    [sym_identifier] = ACTIONS(828),
    [anon_sym_export] = ACTIONS(830),
    [anon_sym_type] = ACTIONS(832),
    [anon_sym_namespace] = ACTIONS(834),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(838),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(846),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(854),
    [anon_sym_try] = ACTIONS(856),
    [anon_sym_with] = ACTIONS(858),
    [anon_sym_break] = ACTIONS(860),
    [anon_sym_continue] = ACTIONS(862),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(866),
    [anon_sym_throw] = ACTIONS(868),
    [anon_sym_SEMI] = ACTIONS(870),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(872),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(880),
    [anon_sym_readonly] = ACTIONS(880),
    [anon_sym_get] = ACTIONS(880),
    [anon_sym_set] = ACTIONS(880),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(880),
    [anon_sym_private] = ACTIONS(880),
    [anon_sym_protected] = ACTIONS(880),
    [anon_sym_override] = ACTIONS(880),
    [anon_sym_module] = ACTIONS(884),
    [anon_sym_any] = ACTIONS(880),
    [anon_sym_number] = ACTIONS(880),
    [anon_sym_boolean] = ACTIONS(880),
    [anon_sym_string] = ACTIONS(880),
    [anon_sym_symbol] = ACTIONS(880),
    [anon_sym_object] = ACTIONS(880),
    [anon_sym_abstract] = ACTIONS(886),
    [anon_sym_interface] = ACTIONS(888),
    [anon_sym_enum] = ACTIONS(890),
    [sym_html_comment] = ACTIONS(5),
  },
  [112] = {
    [sym_export_statement] = STATE(6863),
    [sym_declaration] = STATE(6863),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(6863),
    [sym_expression_statement] = STATE(6863),
    [sym_variable_declaration] = STATE(6698),
    [sym_lexical_declaration] = STATE(6698),
    [sym_statement_block] = STATE(6863),
    [sym_if_statement] = STATE(6863),
    [sym_switch_statement] = STATE(6863),
    [sym_for_statement] = STATE(6863),
    [sym_for_in_statement] = STATE(6863),
    [sym_while_statement] = STATE(6863),
    [sym_do_statement] = STATE(6863),
    [sym_try_statement] = STATE(6863),
    [sym_with_statement] = STATE(6863),
    [sym_break_statement] = STATE(6863),
    [sym_continue_statement] = STATE(6863),
    [sym_debugger_statement] = STATE(6863),
    [sym_return_statement] = STATE(6863),
    [sym_throw_statement] = STATE(6863),
    [sym_empty_statement] = STATE(6863),
    [sym_labeled_statement] = STATE(6863),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2642),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(6698),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(6698),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(6698),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(7066),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(112),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(6698),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(6698),
    [sym_abstract_class_declaration] = STATE(6698),
    [sym_module] = STATE(6698),
    [sym_internal_module] = STATE(3227),
    [sym_import_alias] = STATE(6698),
    [sym_interface_declaration] = STATE(6698),
    [sym_enum_declaration] = STATE(6698),
    [sym_type_alias_declaration] = STATE(6698),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4778),
    [sym_identifier] = ACTIONS(828),
    [anon_sym_export] = ACTIONS(830),
    [anon_sym_type] = ACTIONS(832),
    [anon_sym_namespace] = ACTIONS(834),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(838),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(846),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(854),
    [anon_sym_try] = ACTIONS(856),
    [anon_sym_with] = ACTIONS(858),
    [anon_sym_break] = ACTIONS(860),
    [anon_sym_continue] = ACTIONS(862),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(866),
    [anon_sym_throw] = ACTIONS(868),
    [anon_sym_SEMI] = ACTIONS(870),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(872),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(880),
    [anon_sym_readonly] = ACTIONS(880),
    [anon_sym_get] = ACTIONS(880),
    [anon_sym_set] = ACTIONS(880),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(880),
    [anon_sym_private] = ACTIONS(880),
    [anon_sym_protected] = ACTIONS(880),
    [anon_sym_override] = ACTIONS(880),
    [anon_sym_module] = ACTIONS(884),
    [anon_sym_any] = ACTIONS(880),
    [anon_sym_number] = ACTIONS(880),
    [anon_sym_boolean] = ACTIONS(880),
    [anon_sym_string] = ACTIONS(880),
    [anon_sym_symbol] = ACTIONS(880),
    [anon_sym_object] = ACTIONS(880),
    [anon_sym_abstract] = ACTIONS(886),
    [anon_sym_interface] = ACTIONS(888),
    [anon_sym_enum] = ACTIONS(890),
    [sym_html_comment] = ACTIONS(5),
  },
  [113] = {
    [sym_export_statement] = STATE(1640),
    [sym_declaration] = STATE(1640),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1640),
    [sym_expression_statement] = STATE(1640),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1640),
    [sym_if_statement] = STATE(1640),
    [sym_switch_statement] = STATE(1640),
    [sym_for_statement] = STATE(1640),
    [sym_for_in_statement] = STATE(1640),
    [sym_while_statement] = STATE(1640),
    [sym_do_statement] = STATE(1640),
    [sym_try_statement] = STATE(1640),
    [sym_with_statement] = STATE(1640),
    [sym_break_statement] = STATE(1640),
    [sym_continue_statement] = STATE(1640),
    [sym_debugger_statement] = STATE(1640),
    [sym_return_statement] = STATE(1640),
    [sym_throw_statement] = STATE(1640),
    [sym_empty_statement] = STATE(1640),
    [sym_labeled_statement] = STATE(1640),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(113),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [114] = {
    [sym_export_statement] = STATE(936),
    [sym_declaration] = STATE(936),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(936),
    [sym_expression_statement] = STATE(936),
    [sym_variable_declaration] = STATE(1003),
    [sym_lexical_declaration] = STATE(1003),
    [sym_statement_block] = STATE(936),
    [sym_if_statement] = STATE(936),
    [sym_switch_statement] = STATE(936),
    [sym_for_statement] = STATE(936),
    [sym_for_in_statement] = STATE(936),
    [sym_while_statement] = STATE(936),
    [sym_do_statement] = STATE(936),
    [sym_try_statement] = STATE(936),
    [sym_with_statement] = STATE(936),
    [sym_break_statement] = STATE(936),
    [sym_continue_statement] = STATE(936),
    [sym_debugger_statement] = STATE(936),
    [sym_return_statement] = STATE(936),
    [sym_throw_statement] = STATE(936),
    [sym_empty_statement] = STATE(936),
    [sym_labeled_statement] = STATE(936),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2645),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1003),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1003),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1003),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6437),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(114),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1003),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1003),
    [sym_abstract_class_declaration] = STATE(1003),
    [sym_module] = STATE(1003),
    [sym_internal_module] = STATE(303),
    [sym_import_alias] = STATE(1003),
    [sym_interface_declaration] = STATE(1003),
    [sym_enum_declaration] = STATE(1003),
    [sym_type_alias_declaration] = STATE(1003),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4756),
    [sym_identifier] = ACTIONS(764),
    [anon_sym_export] = ACTIONS(766),
    [anon_sym_type] = ACTIONS(768),
    [anon_sym_namespace] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(772),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(774),
    [anon_sym_var] = ACTIONS(776),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_const] = ACTIONS(780),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(782),
    [anon_sym_switch] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(788),
    [anon_sym_do] = ACTIONS(790),
    [anon_sym_try] = ACTIONS(792),
    [anon_sym_with] = ACTIONS(794),
    [anon_sym_break] = ACTIONS(796),
    [anon_sym_continue] = ACTIONS(798),
    [anon_sym_debugger] = ACTIONS(800),
    [anon_sym_return] = ACTIONS(802),
    [anon_sym_throw] = ACTIONS(804),
    [anon_sym_SEMI] = ACTIONS(806),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(808),
    [anon_sym_async] = ACTIONS(810),
    [anon_sym_function] = ACTIONS(812),
    [anon_sym_new] = ACTIONS(814),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(816),
    [anon_sym_readonly] = ACTIONS(816),
    [anon_sym_get] = ACTIONS(816),
    [anon_sym_set] = ACTIONS(816),
    [anon_sym_declare] = ACTIONS(818),
    [anon_sym_public] = ACTIONS(816),
    [anon_sym_private] = ACTIONS(816),
    [anon_sym_protected] = ACTIONS(816),
    [anon_sym_override] = ACTIONS(816),
    [anon_sym_module] = ACTIONS(820),
    [anon_sym_any] = ACTIONS(816),
    [anon_sym_number] = ACTIONS(816),
    [anon_sym_boolean] = ACTIONS(816),
    [anon_sym_string] = ACTIONS(816),
    [anon_sym_symbol] = ACTIONS(816),
    [anon_sym_object] = ACTIONS(816),
    [anon_sym_abstract] = ACTIONS(822),
    [anon_sym_interface] = ACTIONS(824),
    [anon_sym_enum] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [115] = {
    [sym_export_statement] = STATE(1307),
    [sym_declaration] = STATE(1306),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1305),
    [sym_expression_statement] = STATE(1304),
    [sym_variable_declaration] = STATE(1244),
    [sym_lexical_declaration] = STATE(1244),
    [sym_statement_block] = STATE(1303),
    [sym_if_statement] = STATE(1302),
    [sym_switch_statement] = STATE(1301),
    [sym_for_statement] = STATE(1298),
    [sym_for_in_statement] = STATE(1297),
    [sym_while_statement] = STATE(1296),
    [sym_do_statement] = STATE(1295),
    [sym_try_statement] = STATE(1294),
    [sym_with_statement] = STATE(1293),
    [sym_break_statement] = STATE(1292),
    [sym_continue_statement] = STATE(1291),
    [sym_debugger_statement] = STATE(1290),
    [sym_return_statement] = STATE(1289),
    [sym_throw_statement] = STATE(1288),
    [sym_empty_statement] = STATE(1287),
    [sym_labeled_statement] = STATE(1286),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2637),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1244),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1244),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1244),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6750),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(115),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1244),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1244),
    [sym_abstract_class_declaration] = STATE(1244),
    [sym_module] = STATE(1244),
    [sym_internal_module] = STATE(419),
    [sym_import_alias] = STATE(1244),
    [sym_interface_declaration] = STATE(1244),
    [sym_enum_declaration] = STATE(1244),
    [sym_type_alias_declaration] = STATE(1244),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4743),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(339),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_namespace] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(349),
    [anon_sym_var] = ACTIONS(351),
    [anon_sym_let] = ACTIONS(353),
    [anon_sym_const] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(359),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(363),
    [anon_sym_do] = ACTIONS(365),
    [anon_sym_try] = ACTIONS(367),
    [anon_sym_with] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(371),
    [anon_sym_continue] = ACTIONS(373),
    [anon_sym_debugger] = ACTIONS(375),
    [anon_sym_return] = ACTIONS(377),
    [anon_sym_throw] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(383),
    [anon_sym_async] = ACTIONS(385),
    [anon_sym_function] = ACTIONS(387),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(391),
    [anon_sym_readonly] = ACTIONS(391),
    [anon_sym_get] = ACTIONS(391),
    [anon_sym_set] = ACTIONS(391),
    [anon_sym_declare] = ACTIONS(393),
    [anon_sym_public] = ACTIONS(391),
    [anon_sym_private] = ACTIONS(391),
    [anon_sym_protected] = ACTIONS(391),
    [anon_sym_override] = ACTIONS(391),
    [anon_sym_module] = ACTIONS(395),
    [anon_sym_any] = ACTIONS(391),
    [anon_sym_number] = ACTIONS(391),
    [anon_sym_boolean] = ACTIONS(391),
    [anon_sym_string] = ACTIONS(391),
    [anon_sym_symbol] = ACTIONS(391),
    [anon_sym_object] = ACTIONS(391),
    [anon_sym_abstract] = ACTIONS(397),
    [anon_sym_interface] = ACTIONS(399),
    [anon_sym_enum] = ACTIONS(401),
    [sym_html_comment] = ACTIONS(5),
  },
  [116] = {
    [sym_export_statement] = STATE(1130),
    [sym_declaration] = STATE(1130),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1130),
    [sym_expression_statement] = STATE(1130),
    [sym_variable_declaration] = STATE(1003),
    [sym_lexical_declaration] = STATE(1003),
    [sym_statement_block] = STATE(1130),
    [sym_if_statement] = STATE(1130),
    [sym_switch_statement] = STATE(1130),
    [sym_for_statement] = STATE(1130),
    [sym_for_in_statement] = STATE(1130),
    [sym_while_statement] = STATE(1130),
    [sym_do_statement] = STATE(1130),
    [sym_try_statement] = STATE(1130),
    [sym_with_statement] = STATE(1130),
    [sym_break_statement] = STATE(1130),
    [sym_continue_statement] = STATE(1130),
    [sym_debugger_statement] = STATE(1130),
    [sym_return_statement] = STATE(1130),
    [sym_throw_statement] = STATE(1130),
    [sym_empty_statement] = STATE(1130),
    [sym_labeled_statement] = STATE(1130),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2645),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1003),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1003),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1003),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6437),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(116),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1003),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1003),
    [sym_abstract_class_declaration] = STATE(1003),
    [sym_module] = STATE(1003),
    [sym_internal_module] = STATE(303),
    [sym_import_alias] = STATE(1003),
    [sym_interface_declaration] = STATE(1003),
    [sym_enum_declaration] = STATE(1003),
    [sym_type_alias_declaration] = STATE(1003),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4756),
    [sym_identifier] = ACTIONS(764),
    [anon_sym_export] = ACTIONS(766),
    [anon_sym_type] = ACTIONS(768),
    [anon_sym_namespace] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(772),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(774),
    [anon_sym_var] = ACTIONS(776),
    [anon_sym_let] = ACTIONS(778),
    [anon_sym_const] = ACTIONS(780),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(782),
    [anon_sym_switch] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(788),
    [anon_sym_do] = ACTIONS(790),
    [anon_sym_try] = ACTIONS(792),
    [anon_sym_with] = ACTIONS(794),
    [anon_sym_break] = ACTIONS(796),
    [anon_sym_continue] = ACTIONS(798),
    [anon_sym_debugger] = ACTIONS(800),
    [anon_sym_return] = ACTIONS(802),
    [anon_sym_throw] = ACTIONS(804),
    [anon_sym_SEMI] = ACTIONS(806),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(808),
    [anon_sym_async] = ACTIONS(810),
    [anon_sym_function] = ACTIONS(812),
    [anon_sym_new] = ACTIONS(814),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(816),
    [anon_sym_readonly] = ACTIONS(816),
    [anon_sym_get] = ACTIONS(816),
    [anon_sym_set] = ACTIONS(816),
    [anon_sym_declare] = ACTIONS(818),
    [anon_sym_public] = ACTIONS(816),
    [anon_sym_private] = ACTIONS(816),
    [anon_sym_protected] = ACTIONS(816),
    [anon_sym_override] = ACTIONS(816),
    [anon_sym_module] = ACTIONS(820),
    [anon_sym_any] = ACTIONS(816),
    [anon_sym_number] = ACTIONS(816),
    [anon_sym_boolean] = ACTIONS(816),
    [anon_sym_string] = ACTIONS(816),
    [anon_sym_symbol] = ACTIONS(816),
    [anon_sym_object] = ACTIONS(816),
    [anon_sym_abstract] = ACTIONS(822),
    [anon_sym_interface] = ACTIONS(824),
    [anon_sym_enum] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [117] = {
    [sym_export_statement] = STATE(6844),
    [sym_declaration] = STATE(6844),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(6844),
    [sym_expression_statement] = STATE(6844),
    [sym_variable_declaration] = STATE(6698),
    [sym_lexical_declaration] = STATE(6698),
    [sym_statement_block] = STATE(6844),
    [sym_if_statement] = STATE(6844),
    [sym_switch_statement] = STATE(6844),
    [sym_for_statement] = STATE(6844),
    [sym_for_in_statement] = STATE(6844),
    [sym_while_statement] = STATE(6844),
    [sym_do_statement] = STATE(6844),
    [sym_try_statement] = STATE(6844),
    [sym_with_statement] = STATE(6844),
    [sym_break_statement] = STATE(6844),
    [sym_continue_statement] = STATE(6844),
    [sym_debugger_statement] = STATE(6844),
    [sym_return_statement] = STATE(6844),
    [sym_throw_statement] = STATE(6844),
    [sym_empty_statement] = STATE(6844),
    [sym_labeled_statement] = STATE(6844),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2642),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(6698),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(6698),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(6698),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(7066),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(117),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(6698),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(6698),
    [sym_abstract_class_declaration] = STATE(6698),
    [sym_module] = STATE(6698),
    [sym_internal_module] = STATE(3227),
    [sym_import_alias] = STATE(6698),
    [sym_interface_declaration] = STATE(6698),
    [sym_enum_declaration] = STATE(6698),
    [sym_type_alias_declaration] = STATE(6698),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4778),
    [sym_identifier] = ACTIONS(828),
    [anon_sym_export] = ACTIONS(830),
    [anon_sym_type] = ACTIONS(832),
    [anon_sym_namespace] = ACTIONS(834),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(838),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(846),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(854),
    [anon_sym_try] = ACTIONS(856),
    [anon_sym_with] = ACTIONS(858),
    [anon_sym_break] = ACTIONS(860),
    [anon_sym_continue] = ACTIONS(862),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(866),
    [anon_sym_throw] = ACTIONS(868),
    [anon_sym_SEMI] = ACTIONS(870),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(872),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(880),
    [anon_sym_readonly] = ACTIONS(880),
    [anon_sym_get] = ACTIONS(880),
    [anon_sym_set] = ACTIONS(880),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(880),
    [anon_sym_private] = ACTIONS(880),
    [anon_sym_protected] = ACTIONS(880),
    [anon_sym_override] = ACTIONS(880),
    [anon_sym_module] = ACTIONS(884),
    [anon_sym_any] = ACTIONS(880),
    [anon_sym_number] = ACTIONS(880),
    [anon_sym_boolean] = ACTIONS(880),
    [anon_sym_string] = ACTIONS(880),
    [anon_sym_symbol] = ACTIONS(880),
    [anon_sym_object] = ACTIONS(880),
    [anon_sym_abstract] = ACTIONS(886),
    [anon_sym_interface] = ACTIONS(888),
    [anon_sym_enum] = ACTIONS(890),
    [sym_html_comment] = ACTIONS(5),
  },
  [118] = {
    [sym_export_statement] = STATE(1625),
    [sym_declaration] = STATE(1625),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1625),
    [sym_expression_statement] = STATE(1625),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1625),
    [sym_if_statement] = STATE(1625),
    [sym_switch_statement] = STATE(1625),
    [sym_for_statement] = STATE(1625),
    [sym_for_in_statement] = STATE(1625),
    [sym_while_statement] = STATE(1625),
    [sym_do_statement] = STATE(1625),
    [sym_try_statement] = STATE(1625),
    [sym_with_statement] = STATE(1625),
    [sym_break_statement] = STATE(1625),
    [sym_continue_statement] = STATE(1625),
    [sym_debugger_statement] = STATE(1625),
    [sym_return_statement] = STATE(1625),
    [sym_throw_statement] = STATE(1625),
    [sym_empty_statement] = STATE(1625),
    [sym_labeled_statement] = STATE(1625),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(118),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [119] = {
    [sym_export_statement] = STATE(1252),
    [sym_declaration] = STATE(1252),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1252),
    [sym_expression_statement] = STATE(1252),
    [sym_variable_declaration] = STATE(1244),
    [sym_lexical_declaration] = STATE(1244),
    [sym_statement_block] = STATE(1252),
    [sym_if_statement] = STATE(1252),
    [sym_switch_statement] = STATE(1252),
    [sym_for_statement] = STATE(1252),
    [sym_for_in_statement] = STATE(1252),
    [sym_while_statement] = STATE(1252),
    [sym_do_statement] = STATE(1252),
    [sym_try_statement] = STATE(1252),
    [sym_with_statement] = STATE(1252),
    [sym_break_statement] = STATE(1252),
    [sym_continue_statement] = STATE(1252),
    [sym_debugger_statement] = STATE(1252),
    [sym_return_statement] = STATE(1252),
    [sym_throw_statement] = STATE(1252),
    [sym_empty_statement] = STATE(1252),
    [sym_labeled_statement] = STATE(1252),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2637),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1244),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1244),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1244),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6750),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(119),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1244),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1244),
    [sym_abstract_class_declaration] = STATE(1244),
    [sym_module] = STATE(1244),
    [sym_internal_module] = STATE(419),
    [sym_import_alias] = STATE(1244),
    [sym_interface_declaration] = STATE(1244),
    [sym_enum_declaration] = STATE(1244),
    [sym_type_alias_declaration] = STATE(1244),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4743),
    [sym_identifier] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(339),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_namespace] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(349),
    [anon_sym_var] = ACTIONS(351),
    [anon_sym_let] = ACTIONS(353),
    [anon_sym_const] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_switch] = ACTIONS(359),
    [anon_sym_for] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(363),
    [anon_sym_do] = ACTIONS(365),
    [anon_sym_try] = ACTIONS(367),
    [anon_sym_with] = ACTIONS(369),
    [anon_sym_break] = ACTIONS(371),
    [anon_sym_continue] = ACTIONS(373),
    [anon_sym_debugger] = ACTIONS(375),
    [anon_sym_return] = ACTIONS(377),
    [anon_sym_throw] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(383),
    [anon_sym_async] = ACTIONS(385),
    [anon_sym_function] = ACTIONS(387),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(391),
    [anon_sym_readonly] = ACTIONS(391),
    [anon_sym_get] = ACTIONS(391),
    [anon_sym_set] = ACTIONS(391),
    [anon_sym_declare] = ACTIONS(393),
    [anon_sym_public] = ACTIONS(391),
    [anon_sym_private] = ACTIONS(391),
    [anon_sym_protected] = ACTIONS(391),
    [anon_sym_override] = ACTIONS(391),
    [anon_sym_module] = ACTIONS(395),
    [anon_sym_any] = ACTIONS(391),
    [anon_sym_number] = ACTIONS(391),
    [anon_sym_boolean] = ACTIONS(391),
    [anon_sym_string] = ACTIONS(391),
    [anon_sym_symbol] = ACTIONS(391),
    [anon_sym_object] = ACTIONS(391),
    [anon_sym_abstract] = ACTIONS(397),
    [anon_sym_interface] = ACTIONS(399),
    [anon_sym_enum] = ACTIONS(401),
    [sym_html_comment] = ACTIONS(5),
  },
  [120] = {
    [sym_export_statement] = STATE(6959),
    [sym_declaration] = STATE(6959),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(6959),
    [sym_expression_statement] = STATE(6959),
    [sym_variable_declaration] = STATE(6698),
    [sym_lexical_declaration] = STATE(6698),
    [sym_statement_block] = STATE(6959),
    [sym_if_statement] = STATE(6959),
    [sym_switch_statement] = STATE(6959),
    [sym_for_statement] = STATE(6959),
    [sym_for_in_statement] = STATE(6959),
    [sym_while_statement] = STATE(6959),
    [sym_do_statement] = STATE(6959),
    [sym_try_statement] = STATE(6959),
    [sym_with_statement] = STATE(6959),
    [sym_break_statement] = STATE(6959),
    [sym_continue_statement] = STATE(6959),
    [sym_debugger_statement] = STATE(6959),
    [sym_return_statement] = STATE(6959),
    [sym_throw_statement] = STATE(6959),
    [sym_empty_statement] = STATE(6959),
    [sym_labeled_statement] = STATE(6959),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2642),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(6698),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(6698),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(6698),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(7066),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(120),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(6698),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(6698),
    [sym_abstract_class_declaration] = STATE(6698),
    [sym_module] = STATE(6698),
    [sym_internal_module] = STATE(3227),
    [sym_import_alias] = STATE(6698),
    [sym_interface_declaration] = STATE(6698),
    [sym_enum_declaration] = STATE(6698),
    [sym_type_alias_declaration] = STATE(6698),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4778),
    [sym_identifier] = ACTIONS(828),
    [anon_sym_export] = ACTIONS(830),
    [anon_sym_type] = ACTIONS(832),
    [anon_sym_namespace] = ACTIONS(834),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(838),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(846),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(854),
    [anon_sym_try] = ACTIONS(856),
    [anon_sym_with] = ACTIONS(858),
    [anon_sym_break] = ACTIONS(860),
    [anon_sym_continue] = ACTIONS(862),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(866),
    [anon_sym_throw] = ACTIONS(868),
    [anon_sym_SEMI] = ACTIONS(870),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(872),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(880),
    [anon_sym_readonly] = ACTIONS(880),
    [anon_sym_get] = ACTIONS(880),
    [anon_sym_set] = ACTIONS(880),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(880),
    [anon_sym_private] = ACTIONS(880),
    [anon_sym_protected] = ACTIONS(880),
    [anon_sym_override] = ACTIONS(880),
    [anon_sym_module] = ACTIONS(884),
    [anon_sym_any] = ACTIONS(880),
    [anon_sym_number] = ACTIONS(880),
    [anon_sym_boolean] = ACTIONS(880),
    [anon_sym_string] = ACTIONS(880),
    [anon_sym_symbol] = ACTIONS(880),
    [anon_sym_object] = ACTIONS(880),
    [anon_sym_abstract] = ACTIONS(886),
    [anon_sym_interface] = ACTIONS(888),
    [anon_sym_enum] = ACTIONS(890),
    [sym_html_comment] = ACTIONS(5),
  },
  [121] = {
    [sym_export_statement] = STATE(6631),
    [sym_declaration] = STATE(6635),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(6641),
    [sym_expression_statement] = STATE(6672),
    [sym_variable_declaration] = STATE(6698),
    [sym_lexical_declaration] = STATE(6698),
    [sym_statement_block] = STATE(6689),
    [sym_if_statement] = STATE(6707),
    [sym_switch_statement] = STATE(6727),
    [sym_for_statement] = STATE(6734),
    [sym_for_in_statement] = STATE(6909),
    [sym_while_statement] = STATE(6710),
    [sym_do_statement] = STATE(7056),
    [sym_try_statement] = STATE(7021),
    [sym_with_statement] = STATE(7007),
    [sym_break_statement] = STATE(6968),
    [sym_continue_statement] = STATE(6967),
    [sym_debugger_statement] = STATE(6919),
    [sym_return_statement] = STATE(6880),
    [sym_throw_statement] = STATE(6875),
    [sym_empty_statement] = STATE(6873),
    [sym_labeled_statement] = STATE(6871),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2642),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(6698),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(6698),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(6698),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(7066),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(121),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(6698),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(6698),
    [sym_abstract_class_declaration] = STATE(6698),
    [sym_module] = STATE(6698),
    [sym_internal_module] = STATE(3227),
    [sym_import_alias] = STATE(6698),
    [sym_interface_declaration] = STATE(6698),
    [sym_enum_declaration] = STATE(6698),
    [sym_type_alias_declaration] = STATE(6698),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4778),
    [sym_identifier] = ACTIONS(828),
    [anon_sym_export] = ACTIONS(830),
    [anon_sym_type] = ACTIONS(832),
    [anon_sym_namespace] = ACTIONS(834),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(838),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(842),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(846),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(854),
    [anon_sym_try] = ACTIONS(856),
    [anon_sym_with] = ACTIONS(858),
    [anon_sym_break] = ACTIONS(860),
    [anon_sym_continue] = ACTIONS(862),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(866),
    [anon_sym_throw] = ACTIONS(868),
    [anon_sym_SEMI] = ACTIONS(870),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(872),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(880),
    [anon_sym_readonly] = ACTIONS(880),
    [anon_sym_get] = ACTIONS(880),
    [anon_sym_set] = ACTIONS(880),
    [anon_sym_declare] = ACTIONS(882),
    [anon_sym_public] = ACTIONS(880),
    [anon_sym_private] = ACTIONS(880),
    [anon_sym_protected] = ACTIONS(880),
    [anon_sym_override] = ACTIONS(880),
    [anon_sym_module] = ACTIONS(884),
    [anon_sym_any] = ACTIONS(880),
    [anon_sym_number] = ACTIONS(880),
    [anon_sym_boolean] = ACTIONS(880),
    [anon_sym_string] = ACTIONS(880),
    [anon_sym_symbol] = ACTIONS(880),
    [anon_sym_object] = ACTIONS(880),
    [anon_sym_abstract] = ACTIONS(886),
    [anon_sym_interface] = ACTIONS(888),
    [anon_sym_enum] = ACTIONS(890),
    [sym_html_comment] = ACTIONS(5),
  },
  [122] = {
    [sym_export_statement] = STATE(1555),
    [sym_declaration] = STATE(1555),
    [sym_import] = STATE(4293),
    [sym_import_statement] = STATE(1555),
    [sym_expression_statement] = STATE(1555),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_statement_block] = STATE(1555),
    [sym_if_statement] = STATE(1555),
    [sym_switch_statement] = STATE(1555),
    [sym_for_statement] = STATE(1555),
    [sym_for_in_statement] = STATE(1555),
    [sym_while_statement] = STATE(1555),
    [sym_do_statement] = STATE(1555),
    [sym_try_statement] = STATE(1555),
    [sym_with_statement] = STATE(1555),
    [sym_break_statement] = STATE(1555),
    [sym_continue_statement] = STATE(1555),
    [sym_debugger_statement] = STATE(1555),
    [sym_return_statement] = STATE(1555),
    [sym_throw_statement] = STATE(1555),
    [sym_empty_statement] = STATE(1555),
    [sym_labeled_statement] = STATE(1555),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6634),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(122),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4842),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [123] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2734),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_assignment_pattern] = STATE(6079),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_nested_identifier] = STATE(7154),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2069),
    [sym_subscript_expression] = STATE(2069),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4577),
    [sym_spread_element] = STATE(6075),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(3134),
    [sym_comment] = STATE(123),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(5067),
    [sym_pattern] = STATE(5622),
    [sym_rest_pattern] = STATE(5490),
    [sym_non_null_expression] = STATE(2069),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(4754),
    [sym_tuple_parameter] = STATE(6423),
    [sym_optional_tuple_parameter] = STATE(6423),
    [sym_optional_type] = STATE(6423),
    [sym_rest_type] = STATE(6423),
    [sym__tuple_type_member] = STATE(5725),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6881),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [aux_sym_array_repeat1] = STATE(6080),
    [aux_sym_array_pattern_repeat1] = STATE(6095),
    [sym_identifier] = ACTIONS(956),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(962),
    [anon_sym_COMMA] = ACTIONS(964),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(974),
    [anon_sym_RBRACK] = ACTIONS(976),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(984),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(986),
    [anon_sym_DASH] = ACTIONS(986),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(181),
    [sym_number] = ACTIONS(183),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(996),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_null] = ACTIONS(183),
    [sym_undefined] = ACTIONS(998),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1000),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(1002),
    [anon_sym_number] = ACTIONS(1002),
    [anon_sym_boolean] = ACTIONS(1002),
    [anon_sym_string] = ACTIONS(1002),
    [anon_sym_symbol] = ACTIONS(1002),
    [anon_sym_object] = ACTIONS(1002),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [124] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2076),
    [sym_expression] = STATE(3297),
    [sym_primary_expression] = STATE(2570),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2076),
    [sym_subscript_expression] = STATE(2076),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(124),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2076),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [aux_sym_object_repeat1] = STATE(6262),
    [aux_sym_object_pattern_repeat1] = STATE(6263),
    [sym_identifier] = ACTIONS(1004),
    [anon_sym_export] = ACTIONS(1006),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1006),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1010),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1014),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1006),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1016),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1019),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1023),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1033),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1006),
    [anon_sym_readonly] = ACTIONS(1006),
    [anon_sym_get] = ACTIONS(1006),
    [anon_sym_set] = ACTIONS(1006),
    [anon_sym_QMARK] = ACTIONS(1035),
    [anon_sym_declare] = ACTIONS(1006),
    [anon_sym_public] = ACTIONS(1006),
    [anon_sym_private] = ACTIONS(1006),
    [anon_sym_protected] = ACTIONS(1006),
    [anon_sym_override] = ACTIONS(1006),
    [anon_sym_module] = ACTIONS(1006),
    [anon_sym_any] = ACTIONS(1006),
    [anon_sym_number] = ACTIONS(1006),
    [anon_sym_boolean] = ACTIONS(1006),
    [anon_sym_string] = ACTIONS(1006),
    [anon_sym_symbol] = ACTIONS(1006),
    [anon_sym_object] = ACTIONS(1006),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [125] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2715),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_assignment_pattern] = STATE(6079),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_nested_identifier] = STATE(7154),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2069),
    [sym_subscript_expression] = STATE(2069),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4577),
    [sym_spread_element] = STATE(6085),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(3134),
    [sym_comment] = STATE(125),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(5067),
    [sym_pattern] = STATE(5622),
    [sym_rest_pattern] = STATE(5490),
    [sym_non_null_expression] = STATE(2069),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(4754),
    [sym_tuple_parameter] = STATE(6423),
    [sym_optional_tuple_parameter] = STATE(6423),
    [sym_optional_type] = STATE(6423),
    [sym_rest_type] = STATE(6423),
    [sym__tuple_type_member] = STATE(5725),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6881),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [aux_sym_array_repeat1] = STATE(6093),
    [aux_sym_array_pattern_repeat1] = STATE(6095),
    [sym_identifier] = ACTIONS(956),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(962),
    [anon_sym_COMMA] = ACTIONS(964),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(974),
    [anon_sym_RBRACK] = ACTIONS(1037),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(984),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(986),
    [anon_sym_DASH] = ACTIONS(986),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(181),
    [sym_number] = ACTIONS(183),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(996),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_null] = ACTIONS(183),
    [sym_undefined] = ACTIONS(998),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1000),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(1002),
    [anon_sym_number] = ACTIONS(1002),
    [anon_sym_boolean] = ACTIONS(1002),
    [anon_sym_string] = ACTIONS(1002),
    [anon_sym_symbol] = ACTIONS(1002),
    [anon_sym_object] = ACTIONS(1002),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [126] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2734),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_assignment_pattern] = STATE(6079),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_nested_identifier] = STATE(7154),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2069),
    [sym_subscript_expression] = STATE(2069),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4577),
    [sym_spread_element] = STATE(6075),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(3134),
    [sym_comment] = STATE(126),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(5067),
    [sym_pattern] = STATE(5622),
    [sym_rest_pattern] = STATE(5490),
    [sym_non_null_expression] = STATE(2069),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(4754),
    [sym_tuple_parameter] = STATE(6423),
    [sym_optional_tuple_parameter] = STATE(6423),
    [sym_optional_type] = STATE(6423),
    [sym_rest_type] = STATE(6423),
    [sym__tuple_type_member] = STATE(5725),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6881),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [aux_sym_array_repeat1] = STATE(6080),
    [aux_sym_array_pattern_repeat1] = STATE(6095),
    [sym_identifier] = ACTIONS(956),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(962),
    [anon_sym_COMMA] = ACTIONS(964),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(974),
    [anon_sym_RBRACK] = ACTIONS(1039),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(984),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(986),
    [anon_sym_DASH] = ACTIONS(986),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(181),
    [sym_number] = ACTIONS(183),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(996),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_null] = ACTIONS(183),
    [sym_undefined] = ACTIONS(998),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1000),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(1002),
    [anon_sym_number] = ACTIONS(1002),
    [anon_sym_boolean] = ACTIONS(1002),
    [anon_sym_string] = ACTIONS(1002),
    [anon_sym_symbol] = ACTIONS(1002),
    [anon_sym_object] = ACTIONS(1002),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [127] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2734),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_assignment_pattern] = STATE(6079),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_nested_identifier] = STATE(7154),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2069),
    [sym_subscript_expression] = STATE(2069),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4577),
    [sym_spread_element] = STATE(6075),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(3134),
    [sym_comment] = STATE(127),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(5067),
    [sym_pattern] = STATE(5622),
    [sym_rest_pattern] = STATE(5490),
    [sym_non_null_expression] = STATE(2069),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(4754),
    [sym_tuple_parameter] = STATE(6423),
    [sym_optional_tuple_parameter] = STATE(6423),
    [sym_optional_type] = STATE(6423),
    [sym_rest_type] = STATE(6423),
    [sym__tuple_type_member] = STATE(5725),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6881),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [aux_sym_array_repeat1] = STATE(6080),
    [aux_sym_array_pattern_repeat1] = STATE(6095),
    [sym_identifier] = ACTIONS(956),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(962),
    [anon_sym_COMMA] = ACTIONS(964),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(974),
    [anon_sym_RBRACK] = ACTIONS(1041),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(984),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(986),
    [anon_sym_DASH] = ACTIONS(986),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(181),
    [sym_number] = ACTIONS(183),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(996),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_null] = ACTIONS(183),
    [sym_undefined] = ACTIONS(998),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1000),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(1002),
    [anon_sym_number] = ACTIONS(1002),
    [anon_sym_boolean] = ACTIONS(1002),
    [anon_sym_string] = ACTIONS(1002),
    [anon_sym_symbol] = ACTIONS(1002),
    [anon_sym_object] = ACTIONS(1002),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [128] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2715),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_assignment_pattern] = STATE(6079),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_nested_identifier] = STATE(7154),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2069),
    [sym_subscript_expression] = STATE(2069),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4577),
    [sym_spread_element] = STATE(6085),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(3134),
    [sym_comment] = STATE(128),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(5067),
    [sym_pattern] = STATE(5622),
    [sym_rest_pattern] = STATE(5490),
    [sym_non_null_expression] = STATE(2069),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(4754),
    [sym_tuple_parameter] = STATE(6423),
    [sym_optional_tuple_parameter] = STATE(6423),
    [sym_optional_type] = STATE(6423),
    [sym_rest_type] = STATE(6423),
    [sym__tuple_type_member] = STATE(5725),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6881),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [aux_sym_array_repeat1] = STATE(6093),
    [aux_sym_array_pattern_repeat1] = STATE(6095),
    [sym_identifier] = ACTIONS(956),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(962),
    [anon_sym_COMMA] = ACTIONS(964),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(974),
    [anon_sym_RBRACK] = ACTIONS(1043),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(984),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(986),
    [anon_sym_DASH] = ACTIONS(986),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(181),
    [sym_number] = ACTIONS(183),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(996),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_null] = ACTIONS(183),
    [sym_undefined] = ACTIONS(998),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1000),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(1002),
    [anon_sym_number] = ACTIONS(1002),
    [anon_sym_boolean] = ACTIONS(1002),
    [anon_sym_string] = ACTIONS(1002),
    [anon_sym_symbol] = ACTIONS(1002),
    [anon_sym_object] = ACTIONS(1002),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [129] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2076),
    [sym_expression] = STATE(3297),
    [sym_primary_expression] = STATE(2570),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2076),
    [sym_subscript_expression] = STATE(2076),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(129),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2076),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [aux_sym_object_repeat1] = STATE(6170),
    [aux_sym_object_pattern_repeat1] = STATE(6263),
    [sym_identifier] = ACTIONS(1004),
    [anon_sym_export] = ACTIONS(1006),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1006),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1010),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1045),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1006),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1016),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1019),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1023),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1033),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1006),
    [anon_sym_readonly] = ACTIONS(1006),
    [anon_sym_get] = ACTIONS(1006),
    [anon_sym_set] = ACTIONS(1006),
    [anon_sym_QMARK] = ACTIONS(1035),
    [anon_sym_declare] = ACTIONS(1006),
    [anon_sym_public] = ACTIONS(1006),
    [anon_sym_private] = ACTIONS(1006),
    [anon_sym_protected] = ACTIONS(1006),
    [anon_sym_override] = ACTIONS(1006),
    [anon_sym_module] = ACTIONS(1006),
    [anon_sym_any] = ACTIONS(1006),
    [anon_sym_number] = ACTIONS(1006),
    [anon_sym_boolean] = ACTIONS(1006),
    [anon_sym_string] = ACTIONS(1006),
    [anon_sym_symbol] = ACTIONS(1006),
    [anon_sym_object] = ACTIONS(1006),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [130] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2734),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_assignment_pattern] = STATE(6079),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_nested_identifier] = STATE(7154),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2069),
    [sym_subscript_expression] = STATE(2069),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4577),
    [sym_spread_element] = STATE(6075),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(3134),
    [sym_comment] = STATE(130),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(5067),
    [sym_pattern] = STATE(5622),
    [sym_rest_pattern] = STATE(5490),
    [sym_non_null_expression] = STATE(2069),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(4754),
    [sym_tuple_parameter] = STATE(6423),
    [sym_optional_tuple_parameter] = STATE(6423),
    [sym_optional_type] = STATE(6423),
    [sym_rest_type] = STATE(6423),
    [sym__tuple_type_member] = STATE(5725),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6881),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [aux_sym_array_repeat1] = STATE(6080),
    [aux_sym_array_pattern_repeat1] = STATE(6095),
    [sym_identifier] = ACTIONS(956),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(962),
    [anon_sym_COMMA] = ACTIONS(964),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(974),
    [anon_sym_RBRACK] = ACTIONS(1047),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(984),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(986),
    [anon_sym_DASH] = ACTIONS(986),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(181),
    [sym_number] = ACTIONS(183),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(996),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_null] = ACTIONS(183),
    [sym_undefined] = ACTIONS(998),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1000),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(1002),
    [anon_sym_number] = ACTIONS(1002),
    [anon_sym_boolean] = ACTIONS(1002),
    [anon_sym_string] = ACTIONS(1002),
    [anon_sym_symbol] = ACTIONS(1002),
    [anon_sym_object] = ACTIONS(1002),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [131] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2734),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_assignment_pattern] = STATE(6079),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_nested_identifier] = STATE(7154),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2069),
    [sym_subscript_expression] = STATE(2069),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4577),
    [sym_spread_element] = STATE(6075),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(3134),
    [sym_comment] = STATE(131),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(5067),
    [sym_pattern] = STATE(5622),
    [sym_rest_pattern] = STATE(5490),
    [sym_non_null_expression] = STATE(2069),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(4754),
    [sym_tuple_parameter] = STATE(6423),
    [sym_optional_tuple_parameter] = STATE(6423),
    [sym_optional_type] = STATE(6423),
    [sym_rest_type] = STATE(6423),
    [sym__tuple_type_member] = STATE(5802),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6881),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [aux_sym_array_repeat1] = STATE(6080),
    [aux_sym_array_pattern_repeat1] = STATE(6095),
    [sym_identifier] = ACTIONS(956),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(962),
    [anon_sym_COMMA] = ACTIONS(1049),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(974),
    [anon_sym_RBRACK] = ACTIONS(1051),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(984),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(986),
    [anon_sym_DASH] = ACTIONS(986),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(181),
    [sym_number] = ACTIONS(183),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(996),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_null] = ACTIONS(183),
    [sym_undefined] = ACTIONS(998),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1000),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(1002),
    [anon_sym_number] = ACTIONS(1002),
    [anon_sym_boolean] = ACTIONS(1002),
    [anon_sym_string] = ACTIONS(1002),
    [anon_sym_symbol] = ACTIONS(1002),
    [anon_sym_object] = ACTIONS(1002),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [132] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2734),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_assignment_pattern] = STATE(6079),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_nested_identifier] = STATE(7154),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2069),
    [sym_subscript_expression] = STATE(2069),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4577),
    [sym_spread_element] = STATE(6075),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(3134),
    [sym_comment] = STATE(132),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(5067),
    [sym_pattern] = STATE(5622),
    [sym_rest_pattern] = STATE(5490),
    [sym_non_null_expression] = STATE(2069),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(4754),
    [sym_tuple_parameter] = STATE(6423),
    [sym_optional_tuple_parameter] = STATE(6423),
    [sym_optional_type] = STATE(6423),
    [sym_rest_type] = STATE(6423),
    [sym__tuple_type_member] = STATE(5725),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6881),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [aux_sym_array_repeat1] = STATE(6080),
    [aux_sym_array_pattern_repeat1] = STATE(6095),
    [sym_identifier] = ACTIONS(956),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(962),
    [anon_sym_COMMA] = ACTIONS(964),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(974),
    [anon_sym_RBRACK] = ACTIONS(1053),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(984),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(986),
    [anon_sym_DASH] = ACTIONS(986),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(181),
    [sym_number] = ACTIONS(183),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(996),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_null] = ACTIONS(183),
    [sym_undefined] = ACTIONS(998),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1000),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(1002),
    [anon_sym_number] = ACTIONS(1002),
    [anon_sym_boolean] = ACTIONS(1002),
    [anon_sym_string] = ACTIONS(1002),
    [anon_sym_symbol] = ACTIONS(1002),
    [anon_sym_object] = ACTIONS(1002),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [133] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2076),
    [sym_expression] = STATE(3297),
    [sym_primary_expression] = STATE(2570),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2076),
    [sym_subscript_expression] = STATE(2076),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(133),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2076),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [aux_sym_object_repeat1] = STATE(6170),
    [aux_sym_object_pattern_repeat1] = STATE(6263),
    [sym_identifier] = ACTIONS(1004),
    [anon_sym_export] = ACTIONS(1006),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1006),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1010),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1055),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1006),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1016),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1019),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1023),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1033),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1006),
    [anon_sym_readonly] = ACTIONS(1006),
    [anon_sym_get] = ACTIONS(1006),
    [anon_sym_set] = ACTIONS(1006),
    [anon_sym_QMARK] = ACTIONS(1035),
    [anon_sym_declare] = ACTIONS(1006),
    [anon_sym_public] = ACTIONS(1006),
    [anon_sym_private] = ACTIONS(1006),
    [anon_sym_protected] = ACTIONS(1006),
    [anon_sym_override] = ACTIONS(1006),
    [anon_sym_module] = ACTIONS(1006),
    [anon_sym_any] = ACTIONS(1006),
    [anon_sym_number] = ACTIONS(1006),
    [anon_sym_boolean] = ACTIONS(1006),
    [anon_sym_string] = ACTIONS(1006),
    [anon_sym_symbol] = ACTIONS(1006),
    [anon_sym_object] = ACTIONS(1006),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [134] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2734),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_assignment_pattern] = STATE(6079),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_nested_identifier] = STATE(7154),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2069),
    [sym_subscript_expression] = STATE(2069),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4577),
    [sym_spread_element] = STATE(6075),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(3134),
    [sym_comment] = STATE(134),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(5067),
    [sym_pattern] = STATE(5622),
    [sym_rest_pattern] = STATE(5490),
    [sym_non_null_expression] = STATE(2069),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(4754),
    [sym_tuple_parameter] = STATE(6423),
    [sym_optional_tuple_parameter] = STATE(6423),
    [sym_optional_type] = STATE(6423),
    [sym_rest_type] = STATE(6423),
    [sym__tuple_type_member] = STATE(5725),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6881),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [aux_sym_array_repeat1] = STATE(6080),
    [aux_sym_array_pattern_repeat1] = STATE(6095),
    [sym_identifier] = ACTIONS(956),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(962),
    [anon_sym_COMMA] = ACTIONS(964),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(974),
    [anon_sym_RBRACK] = ACTIONS(1057),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(984),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(986),
    [anon_sym_DASH] = ACTIONS(986),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(181),
    [sym_number] = ACTIONS(183),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(996),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_null] = ACTIONS(183),
    [sym_undefined] = ACTIONS(998),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1000),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(1002),
    [anon_sym_number] = ACTIONS(1002),
    [anon_sym_boolean] = ACTIONS(1002),
    [anon_sym_string] = ACTIONS(1002),
    [anon_sym_symbol] = ACTIONS(1002),
    [anon_sym_object] = ACTIONS(1002),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [135] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2734),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_assignment_pattern] = STATE(6079),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_nested_identifier] = STATE(7154),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2069),
    [sym_subscript_expression] = STATE(2069),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4577),
    [sym_spread_element] = STATE(6075),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(3134),
    [sym_comment] = STATE(135),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(5067),
    [sym_pattern] = STATE(5622),
    [sym_rest_pattern] = STATE(5490),
    [sym_non_null_expression] = STATE(2069),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(4754),
    [sym_tuple_parameter] = STATE(6423),
    [sym_optional_tuple_parameter] = STATE(6423),
    [sym_optional_type] = STATE(6423),
    [sym_rest_type] = STATE(6423),
    [sym__tuple_type_member] = STATE(5725),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6881),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [aux_sym_array_repeat1] = STATE(6080),
    [aux_sym_array_pattern_repeat1] = STATE(6095),
    [sym_identifier] = ACTIONS(956),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(962),
    [anon_sym_COMMA] = ACTIONS(964),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(974),
    [anon_sym_RBRACK] = ACTIONS(1059),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(984),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(986),
    [anon_sym_DASH] = ACTIONS(986),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(181),
    [sym_number] = ACTIONS(183),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(996),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_null] = ACTIONS(183),
    [sym_undefined] = ACTIONS(998),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1000),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(1002),
    [anon_sym_number] = ACTIONS(1002),
    [anon_sym_boolean] = ACTIONS(1002),
    [anon_sym_string] = ACTIONS(1002),
    [anon_sym_symbol] = ACTIONS(1002),
    [anon_sym_object] = ACTIONS(1002),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [136] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2067),
    [sym_subscript_expression] = STATE(2067),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4604),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(136),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5147),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2067),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(132),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1068),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(132),
    [anon_sym_DASH] = ACTIONS(132),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1073),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(174),
    [anon_sym_DASH_DASH] = ACTIONS(174),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1076),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1079),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [137] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2067),
    [sym_subscript_expression] = STATE(2067),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4604),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(137),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5102),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2067),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(132),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1068),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(132),
    [anon_sym_DASH] = ACTIONS(132),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1073),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(174),
    [anon_sym_DASH_DASH] = ACTIONS(174),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1076),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1083),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [138] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2067),
    [sym_subscript_expression] = STATE(2067),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4604),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(138),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5165),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2067),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(132),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1068),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(132),
    [anon_sym_DASH] = ACTIONS(132),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1073),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(174),
    [anon_sym_DASH_DASH] = ACTIONS(174),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1076),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1085),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [139] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2067),
    [sym_subscript_expression] = STATE(2067),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4604),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(139),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5184),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2067),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(132),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1068),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(132),
    [anon_sym_DASH] = ACTIONS(132),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1073),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(174),
    [anon_sym_DASH_DASH] = ACTIONS(174),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1076),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1087),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [140] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2067),
    [sym_subscript_expression] = STATE(2067),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4604),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(140),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5186),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2067),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_COMMA] = ACTIONS(216),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(132),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_RPAREN] = ACTIONS(216),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(216),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1068),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(132),
    [anon_sym_DASH] = ACTIONS(132),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1073),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(174),
    [anon_sym_DASH_DASH] = ACTIONS(174),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1076),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1089),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [141] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2067),
    [sym_subscript_expression] = STATE(2067),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4604),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(141),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5186),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2067),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(132),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1068),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(132),
    [anon_sym_DASH] = ACTIONS(132),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1073),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(174),
    [anon_sym_DASH_DASH] = ACTIONS(174),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1076),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1089),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [142] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2067),
    [sym_subscript_expression] = STATE(2067),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4604),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(142),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5211),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2067),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(132),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1068),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(132),
    [anon_sym_DASH] = ACTIONS(132),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1073),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(174),
    [anon_sym_DASH_DASH] = ACTIONS(174),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1076),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1091),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [143] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2067),
    [sym_subscript_expression] = STATE(2067),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4604),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(143),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5243),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2067),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(132),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1068),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(132),
    [anon_sym_DASH] = ACTIONS(132),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1073),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(174),
    [anon_sym_DASH_DASH] = ACTIONS(174),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1076),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1093),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [144] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2319),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(144),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(216),
    [anon_sym_RBRACE] = ACTIONS(216),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(216),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(216),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(216),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [145] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2319),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(145),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_RBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_RBRACK] = ACTIONS(124),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [146] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2319),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(146),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(1133),
    [anon_sym_RBRACE] = ACTIONS(1133),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1133),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_RBRACK] = ACTIONS(1133),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_QMARK] = ACTIONS(1133),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [147] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2319),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(147),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(1135),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [148] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2319),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(148),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [149] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2447),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_nested_identifier] = STATE(7154),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym__formal_parameter] = STATE(6020),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2069),
    [sym_subscript_expression] = STATE(2069),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4577),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_sequence_expression] = STATE(7093),
    [sym_string] = STATE(3196),
    [sym_comment] = STATE(149),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(2088),
    [sym_formal_parameters] = STATE(5067),
    [sym_pattern] = STATE(5160),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2069),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_nested_type_identifier] = STATE(3759),
    [sym_accessibility_modifier] = STATE(413),
    [sym_override_modifier] = STATE(444),
    [sym_required_parameter] = STATE(7039),
    [sym_optional_parameter] = STATE(7039),
    [sym__parameter_name] = STATE(4704),
    [sym__type] = STATE(5690),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6881),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [aux_sym_export_statement_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(1137),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_typeof] = ACTIONS(1141),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_RPAREN] = ACTIONS(1143),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1145),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1149),
    [sym_number] = ACTIONS(1151),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(1153),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1151),
    [sym_false] = ACTIONS(1151),
    [sym_null] = ACTIONS(1151),
    [sym_undefined] = ACTIONS(1155),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1159),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(1161),
    [anon_sym_private] = ACTIONS(1161),
    [anon_sym_protected] = ACTIONS(1161),
    [anon_sym_override] = ACTIONS(1163),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(1165),
    [anon_sym_number] = ACTIONS(1165),
    [anon_sym_boolean] = ACTIONS(1165),
    [anon_sym_string] = ACTIONS(1165),
    [anon_sym_symbol] = ACTIONS(1165),
    [anon_sym_object] = ACTIONS(1165),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [150] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2369),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_nested_identifier] = STATE(7154),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym__formal_parameter] = STATE(6020),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2069),
    [sym_subscript_expression] = STATE(2069),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4577),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_sequence_expression] = STATE(7139),
    [sym_string] = STATE(3196),
    [sym_comment] = STATE(150),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(2088),
    [sym_formal_parameters] = STATE(5067),
    [sym_pattern] = STATE(5160),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2069),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_nested_type_identifier] = STATE(3759),
    [sym_accessibility_modifier] = STATE(413),
    [sym_override_modifier] = STATE(444),
    [sym_required_parameter] = STATE(7039),
    [sym_optional_parameter] = STATE(7039),
    [sym__parameter_name] = STATE(4704),
    [sym__type] = STATE(5681),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6881),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [aux_sym_export_statement_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(1137),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_typeof] = ACTIONS(1141),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_RPAREN] = ACTIONS(1143),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1145),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1149),
    [sym_number] = ACTIONS(1151),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(1153),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1151),
    [sym_false] = ACTIONS(1151),
    [sym_null] = ACTIONS(1151),
    [sym_undefined] = ACTIONS(1155),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1159),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(1161),
    [anon_sym_private] = ACTIONS(1161),
    [anon_sym_protected] = ACTIONS(1161),
    [anon_sym_override] = ACTIONS(1163),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(1165),
    [anon_sym_number] = ACTIONS(1165),
    [anon_sym_boolean] = ACTIONS(1165),
    [anon_sym_string] = ACTIONS(1165),
    [anon_sym_symbol] = ACTIONS(1165),
    [anon_sym_object] = ACTIONS(1165),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [151] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2319),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(151),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(5503),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6463),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(216),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(216),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(216),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(216),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [152] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2369),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_nested_identifier] = STATE(7154),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym__formal_parameter] = STATE(6020),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2069),
    [sym_subscript_expression] = STATE(2069),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4577),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_sequence_expression] = STATE(7139),
    [sym_string] = STATE(3196),
    [sym_comment] = STATE(152),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(2088),
    [sym_formal_parameters] = STATE(5067),
    [sym_pattern] = STATE(5160),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2069),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_nested_type_identifier] = STATE(3759),
    [sym_accessibility_modifier] = STATE(413),
    [sym_override_modifier] = STATE(444),
    [sym_required_parameter] = STATE(7039),
    [sym_optional_parameter] = STATE(7039),
    [sym__parameter_name] = STATE(4704),
    [sym__type] = STATE(5690),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6881),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [aux_sym_export_statement_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(1137),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_typeof] = ACTIONS(1141),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_RPAREN] = ACTIONS(1143),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1145),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1149),
    [sym_number] = ACTIONS(1151),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(1153),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1151),
    [sym_false] = ACTIONS(1151),
    [sym_null] = ACTIONS(1151),
    [sym_undefined] = ACTIONS(1155),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1159),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(1161),
    [anon_sym_private] = ACTIONS(1161),
    [anon_sym_protected] = ACTIONS(1161),
    [anon_sym_override] = ACTIONS(1163),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(1165),
    [anon_sym_number] = ACTIONS(1165),
    [anon_sym_boolean] = ACTIONS(1165),
    [anon_sym_string] = ACTIONS(1165),
    [anon_sym_symbol] = ACTIONS(1165),
    [anon_sym_object] = ACTIONS(1165),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [153] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2319),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(153),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(5503),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6463),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(1135),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [154] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_nested_identifier] = STATE(7154),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym__formal_parameter] = STATE(6020),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2067),
    [sym_subscript_expression] = STATE(2067),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4604),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(3134),
    [sym_comment] = STATE(154),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(2088),
    [sym_formal_parameters] = STATE(5067),
    [sym_pattern] = STATE(5160),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2067),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_nested_type_identifier] = STATE(3759),
    [sym_accessibility_modifier] = STATE(413),
    [sym_override_modifier] = STATE(444),
    [sym_required_parameter] = STATE(7039),
    [sym_optional_parameter] = STATE(7039),
    [sym__parameter_name] = STATE(4704),
    [sym__type] = STATE(5514),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6881),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [aux_sym_export_statement_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_typeof] = ACTIONS(126),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_RPAREN] = ACTIONS(1143),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(151),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_DASH] = ACTIONS(163),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(181),
    [sym_number] = ACTIONS(183),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1167),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_null] = ACTIONS(183),
    [sym_undefined] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1169),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1171),
    [anon_sym_private] = ACTIONS(1171),
    [anon_sym_protected] = ACTIONS(1171),
    [anon_sym_override] = ACTIONS(1173),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(197),
    [anon_sym_number] = ACTIONS(197),
    [anon_sym_boolean] = ACTIONS(197),
    [anon_sym_string] = ACTIONS(197),
    [anon_sym_symbol] = ACTIONS(197),
    [anon_sym_object] = ACTIONS(197),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [155] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2319),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(155),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1019),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [156] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2076),
    [sym_expression] = STATE(3297),
    [sym_primary_expression] = STATE(2570),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2076),
    [sym_subscript_expression] = STATE(2076),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(156),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2076),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1004),
    [anon_sym_export] = ACTIONS(1006),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1006),
    [anon_sym_EQ] = ACTIONS(1175),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1010),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1006),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1177),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1019),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1023),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1033),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1006),
    [anon_sym_readonly] = ACTIONS(1006),
    [anon_sym_get] = ACTIONS(1006),
    [anon_sym_set] = ACTIONS(1006),
    [anon_sym_declare] = ACTIONS(1006),
    [anon_sym_public] = ACTIONS(1006),
    [anon_sym_private] = ACTIONS(1006),
    [anon_sym_protected] = ACTIONS(1006),
    [anon_sym_override] = ACTIONS(1006),
    [anon_sym_module] = ACTIONS(1006),
    [anon_sym_any] = ACTIONS(1006),
    [anon_sym_number] = ACTIONS(1006),
    [anon_sym_boolean] = ACTIONS(1006),
    [anon_sym_string] = ACTIONS(1006),
    [anon_sym_symbol] = ACTIONS(1006),
    [anon_sym_object] = ACTIONS(1006),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [157] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2319),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(157),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(5503),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6463),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [158] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_nested_identifier] = STATE(7154),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym__formal_parameter] = STATE(6020),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2067),
    [sym_subscript_expression] = STATE(2067),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4604),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(3134),
    [sym_comment] = STATE(158),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(2088),
    [sym_formal_parameters] = STATE(5067),
    [sym_pattern] = STATE(5160),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2067),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_nested_type_identifier] = STATE(3759),
    [sym_accessibility_modifier] = STATE(413),
    [sym_override_modifier] = STATE(444),
    [sym_required_parameter] = STATE(7039),
    [sym_optional_parameter] = STATE(7039),
    [sym__parameter_name] = STATE(4704),
    [sym__type] = STATE(5681),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6881),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [aux_sym_export_statement_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_typeof] = ACTIONS(126),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_RPAREN] = ACTIONS(1143),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(151),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_DASH] = ACTIONS(163),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(181),
    [sym_number] = ACTIONS(183),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1167),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_null] = ACTIONS(183),
    [sym_undefined] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1169),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1171),
    [anon_sym_private] = ACTIONS(1171),
    [anon_sym_protected] = ACTIONS(1171),
    [anon_sym_override] = ACTIONS(1173),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(197),
    [anon_sym_number] = ACTIONS(197),
    [anon_sym_boolean] = ACTIONS(197),
    [anon_sym_string] = ACTIONS(197),
    [anon_sym_symbol] = ACTIONS(197),
    [anon_sym_object] = ACTIONS(197),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [159] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2076),
    [sym_expression] = STATE(3297),
    [sym_primary_expression] = STATE(2570),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7153),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2076),
    [sym_subscript_expression] = STATE(2076),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(159),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(5503),
    [sym_non_null_expression] = STATE(2076),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6463),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1179),
    [anon_sym_export] = ACTIONS(1181),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1181),
    [anon_sym_EQ] = ACTIONS(1183),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1185),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1181),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1019),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_EQ_GT] = ACTIONS(1189),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1191),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1033),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1181),
    [anon_sym_readonly] = ACTIONS(1181),
    [anon_sym_get] = ACTIONS(1181),
    [anon_sym_set] = ACTIONS(1181),
    [anon_sym_declare] = ACTIONS(1181),
    [anon_sym_public] = ACTIONS(1181),
    [anon_sym_private] = ACTIONS(1181),
    [anon_sym_protected] = ACTIONS(1181),
    [anon_sym_override] = ACTIONS(1181),
    [anon_sym_module] = ACTIONS(1181),
    [anon_sym_any] = ACTIONS(1181),
    [anon_sym_number] = ACTIONS(1181),
    [anon_sym_boolean] = ACTIONS(1181),
    [anon_sym_string] = ACTIONS(1181),
    [anon_sym_symbol] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1181),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [160] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2076),
    [sym_expression] = STATE(3297),
    [sym_primary_expression] = STATE(2570),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2076),
    [sym_subscript_expression] = STATE(2076),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(160),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2076),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1004),
    [anon_sym_export] = ACTIONS(1006),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1006),
    [anon_sym_EQ] = ACTIONS(1175),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1010),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1006),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1195),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1019),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1023),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1033),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1006),
    [anon_sym_readonly] = ACTIONS(1006),
    [anon_sym_get] = ACTIONS(1006),
    [anon_sym_set] = ACTIONS(1006),
    [anon_sym_declare] = ACTIONS(1006),
    [anon_sym_public] = ACTIONS(1006),
    [anon_sym_private] = ACTIONS(1006),
    [anon_sym_protected] = ACTIONS(1006),
    [anon_sym_override] = ACTIONS(1006),
    [anon_sym_module] = ACTIONS(1006),
    [anon_sym_any] = ACTIONS(1006),
    [anon_sym_number] = ACTIONS(1006),
    [anon_sym_boolean] = ACTIONS(1006),
    [anon_sym_string] = ACTIONS(1006),
    [anon_sym_symbol] = ACTIONS(1006),
    [anon_sym_object] = ACTIONS(1006),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [161] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2076),
    [sym_expression] = STATE(3297),
    [sym_primary_expression] = STATE(2570),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2076),
    [sym_subscript_expression] = STATE(2076),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(161),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2076),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1004),
    [anon_sym_export] = ACTIONS(1006),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1006),
    [anon_sym_EQ] = ACTIONS(1175),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1010),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1006),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1197),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1019),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1023),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1033),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1006),
    [anon_sym_readonly] = ACTIONS(1006),
    [anon_sym_get] = ACTIONS(1006),
    [anon_sym_set] = ACTIONS(1006),
    [anon_sym_declare] = ACTIONS(1006),
    [anon_sym_public] = ACTIONS(1006),
    [anon_sym_private] = ACTIONS(1006),
    [anon_sym_protected] = ACTIONS(1006),
    [anon_sym_override] = ACTIONS(1006),
    [anon_sym_module] = ACTIONS(1006),
    [anon_sym_any] = ACTIONS(1006),
    [anon_sym_number] = ACTIONS(1006),
    [anon_sym_boolean] = ACTIONS(1006),
    [anon_sym_string] = ACTIONS(1006),
    [anon_sym_symbol] = ACTIONS(1006),
    [anon_sym_object] = ACTIONS(1006),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [162] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2076),
    [sym_expression] = STATE(3297),
    [sym_primary_expression] = STATE(2570),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2076),
    [sym_subscript_expression] = STATE(2076),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(162),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2076),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1004),
    [anon_sym_export] = ACTIONS(1006),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1006),
    [anon_sym_EQ] = ACTIONS(1175),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1010),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1006),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1019),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1023),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1033),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1006),
    [anon_sym_readonly] = ACTIONS(1006),
    [anon_sym_get] = ACTIONS(1006),
    [anon_sym_set] = ACTIONS(1006),
    [anon_sym_declare] = ACTIONS(1006),
    [anon_sym_public] = ACTIONS(1006),
    [anon_sym_private] = ACTIONS(1006),
    [anon_sym_protected] = ACTIONS(1006),
    [anon_sym_override] = ACTIONS(1006),
    [anon_sym_module] = ACTIONS(1006),
    [anon_sym_any] = ACTIONS(1006),
    [anon_sym_number] = ACTIONS(1006),
    [anon_sym_boolean] = ACTIONS(1006),
    [anon_sym_string] = ACTIONS(1006),
    [anon_sym_symbol] = ACTIONS(1006),
    [anon_sym_object] = ACTIONS(1006),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [163] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2076),
    [sym_expression] = STATE(3297),
    [sym_primary_expression] = STATE(2570),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2076),
    [sym_subscript_expression] = STATE(2076),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(163),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2076),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1004),
    [anon_sym_export] = ACTIONS(1006),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1006),
    [anon_sym_EQ] = ACTIONS(1175),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1010),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1006),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1199),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1019),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1023),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1033),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1006),
    [anon_sym_readonly] = ACTIONS(1006),
    [anon_sym_get] = ACTIONS(1006),
    [anon_sym_set] = ACTIONS(1006),
    [anon_sym_declare] = ACTIONS(1006),
    [anon_sym_public] = ACTIONS(1006),
    [anon_sym_private] = ACTIONS(1006),
    [anon_sym_protected] = ACTIONS(1006),
    [anon_sym_override] = ACTIONS(1006),
    [anon_sym_module] = ACTIONS(1006),
    [anon_sym_any] = ACTIONS(1006),
    [anon_sym_number] = ACTIONS(1006),
    [anon_sym_boolean] = ACTIONS(1006),
    [anon_sym_string] = ACTIONS(1006),
    [anon_sym_symbol] = ACTIONS(1006),
    [anon_sym_object] = ACTIONS(1006),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [164] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2076),
    [sym_expression] = STATE(3297),
    [sym_primary_expression] = STATE(2570),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2076),
    [sym_subscript_expression] = STATE(2076),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(164),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(5503),
    [sym_non_null_expression] = STATE(2076),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6463),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1004),
    [anon_sym_export] = ACTIONS(1006),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1006),
    [anon_sym_EQ] = ACTIONS(1175),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1010),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1006),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1019),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1023),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1033),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1006),
    [anon_sym_readonly] = ACTIONS(1006),
    [anon_sym_get] = ACTIONS(1006),
    [anon_sym_set] = ACTIONS(1006),
    [anon_sym_declare] = ACTIONS(1006),
    [anon_sym_public] = ACTIONS(1006),
    [anon_sym_private] = ACTIONS(1006),
    [anon_sym_protected] = ACTIONS(1006),
    [anon_sym_override] = ACTIONS(1006),
    [anon_sym_module] = ACTIONS(1006),
    [anon_sym_any] = ACTIONS(1006),
    [anon_sym_number] = ACTIONS(1006),
    [anon_sym_boolean] = ACTIONS(1006),
    [anon_sym_string] = ACTIONS(1006),
    [anon_sym_symbol] = ACTIONS(1006),
    [anon_sym_object] = ACTIONS(1006),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [165] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2076),
    [sym_expression] = STATE(3297),
    [sym_primary_expression] = STATE(2570),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2076),
    [sym_subscript_expression] = STATE(2076),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(165),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2076),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1004),
    [anon_sym_export] = ACTIONS(1006),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1006),
    [anon_sym_EQ] = ACTIONS(1175),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1010),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1006),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(1201),
    [anon_sym_of] = ACTIONS(1204),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1019),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1023),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1033),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1006),
    [anon_sym_readonly] = ACTIONS(1006),
    [anon_sym_get] = ACTIONS(1006),
    [anon_sym_set] = ACTIONS(1006),
    [anon_sym_declare] = ACTIONS(1006),
    [anon_sym_public] = ACTIONS(1006),
    [anon_sym_private] = ACTIONS(1006),
    [anon_sym_protected] = ACTIONS(1006),
    [anon_sym_override] = ACTIONS(1006),
    [anon_sym_module] = ACTIONS(1006),
    [anon_sym_any] = ACTIONS(1006),
    [anon_sym_number] = ACTIONS(1006),
    [anon_sym_boolean] = ACTIONS(1006),
    [anon_sym_string] = ACTIONS(1006),
    [anon_sym_symbol] = ACTIONS(1006),
    [anon_sym_object] = ACTIONS(1006),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [166] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_nested_identifier] = STATE(7154),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym__formal_parameter] = STATE(6020),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2067),
    [sym_subscript_expression] = STATE(2067),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4604),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(3134),
    [sym_comment] = STATE(166),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(2088),
    [sym_formal_parameters] = STATE(5067),
    [sym_pattern] = STATE(5160),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2067),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_nested_type_identifier] = STATE(3759),
    [sym_accessibility_modifier] = STATE(413),
    [sym_override_modifier] = STATE(444),
    [sym_required_parameter] = STATE(7039),
    [sym_optional_parameter] = STATE(7039),
    [sym__parameter_name] = STATE(4704),
    [sym__type] = STATE(5561),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6881),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [aux_sym_export_statement_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_typeof] = ACTIONS(126),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_RPAREN] = ACTIONS(1143),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(151),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_DASH] = ACTIONS(163),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(181),
    [sym_number] = ACTIONS(183),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1167),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_null] = ACTIONS(183),
    [sym_undefined] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1169),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1171),
    [anon_sym_private] = ACTIONS(1171),
    [anon_sym_protected] = ACTIONS(1171),
    [anon_sym_override] = ACTIONS(1173),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(197),
    [anon_sym_number] = ACTIONS(197),
    [anon_sym_boolean] = ACTIONS(197),
    [anon_sym_string] = ACTIONS(197),
    [anon_sym_symbol] = ACTIONS(197),
    [anon_sym_object] = ACTIONS(197),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [167] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_nested_identifier] = STATE(7154),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym__formal_parameter] = STATE(6020),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2067),
    [sym_subscript_expression] = STATE(2067),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4604),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(3134),
    [sym_comment] = STATE(167),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(2088),
    [sym_formal_parameters] = STATE(5067),
    [sym_pattern] = STATE(5160),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2067),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_nested_type_identifier] = STATE(3759),
    [sym_accessibility_modifier] = STATE(413),
    [sym_override_modifier] = STATE(444),
    [sym_required_parameter] = STATE(7039),
    [sym_optional_parameter] = STATE(7039),
    [sym__parameter_name] = STATE(4704),
    [sym__type] = STATE(5690),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6881),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [aux_sym_export_statement_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_typeof] = ACTIONS(126),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_RPAREN] = ACTIONS(1143),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(151),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_DASH] = ACTIONS(163),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(181),
    [sym_number] = ACTIONS(183),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1167),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_null] = ACTIONS(183),
    [sym_undefined] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1169),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1171),
    [anon_sym_private] = ACTIONS(1171),
    [anon_sym_protected] = ACTIONS(1171),
    [anon_sym_override] = ACTIONS(1173),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(197),
    [anon_sym_number] = ACTIONS(197),
    [anon_sym_boolean] = ACTIONS(197),
    [anon_sym_string] = ACTIONS(197),
    [anon_sym_symbol] = ACTIONS(197),
    [anon_sym_object] = ACTIONS(197),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [168] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2076),
    [sym_expression] = STATE(3297),
    [sym_primary_expression] = STATE(2570),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2076),
    [sym_subscript_expression] = STATE(2076),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(168),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2076),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1004),
    [anon_sym_export] = ACTIONS(1006),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1006),
    [anon_sym_EQ] = ACTIONS(1175),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1010),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1006),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1206),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1019),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1023),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1033),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1006),
    [anon_sym_readonly] = ACTIONS(1006),
    [anon_sym_get] = ACTIONS(1006),
    [anon_sym_set] = ACTIONS(1006),
    [anon_sym_declare] = ACTIONS(1006),
    [anon_sym_public] = ACTIONS(1006),
    [anon_sym_private] = ACTIONS(1006),
    [anon_sym_protected] = ACTIONS(1006),
    [anon_sym_override] = ACTIONS(1006),
    [anon_sym_module] = ACTIONS(1006),
    [anon_sym_any] = ACTIONS(1006),
    [anon_sym_number] = ACTIONS(1006),
    [anon_sym_boolean] = ACTIONS(1006),
    [anon_sym_string] = ACTIONS(1006),
    [anon_sym_symbol] = ACTIONS(1006),
    [anon_sym_object] = ACTIONS(1006),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [169] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2319),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(169),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1019),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(1189),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [170] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2076),
    [sym_expression] = STATE(3297),
    [sym_primary_expression] = STATE(2570),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7153),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2076),
    [sym_subscript_expression] = STATE(2076),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(170),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2076),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1179),
    [anon_sym_export] = ACTIONS(1181),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1181),
    [anon_sym_EQ] = ACTIONS(1183),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1185),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1181),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1019),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_EQ_GT] = ACTIONS(1189),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1191),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1033),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1181),
    [anon_sym_readonly] = ACTIONS(1181),
    [anon_sym_get] = ACTIONS(1181),
    [anon_sym_set] = ACTIONS(1181),
    [anon_sym_declare] = ACTIONS(1181),
    [anon_sym_public] = ACTIONS(1181),
    [anon_sym_private] = ACTIONS(1181),
    [anon_sym_protected] = ACTIONS(1181),
    [anon_sym_override] = ACTIONS(1181),
    [anon_sym_module] = ACTIONS(1181),
    [anon_sym_any] = ACTIONS(1181),
    [anon_sym_number] = ACTIONS(1181),
    [anon_sym_boolean] = ACTIONS(1181),
    [anon_sym_string] = ACTIONS(1181),
    [anon_sym_symbol] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1181),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [171] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_nested_identifier] = STATE(7154),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym__formal_parameter] = STATE(6020),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2067),
    [sym_subscript_expression] = STATE(2067),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4604),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(3134),
    [sym_comment] = STATE(171),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(2088),
    [sym_formal_parameters] = STATE(5067),
    [sym_pattern] = STATE(5160),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2067),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_nested_type_identifier] = STATE(3759),
    [sym_accessibility_modifier] = STATE(413),
    [sym_override_modifier] = STATE(444),
    [sym_required_parameter] = STATE(7039),
    [sym_optional_parameter] = STATE(7039),
    [sym__parameter_name] = STATE(4704),
    [sym__type] = STATE(5591),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6881),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [aux_sym_export_statement_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_typeof] = ACTIONS(126),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_RPAREN] = ACTIONS(1143),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(151),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_DASH] = ACTIONS(163),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(181),
    [sym_number] = ACTIONS(183),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1167),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_null] = ACTIONS(183),
    [sym_undefined] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1169),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1171),
    [anon_sym_private] = ACTIONS(1171),
    [anon_sym_protected] = ACTIONS(1171),
    [anon_sym_override] = ACTIONS(1173),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(197),
    [anon_sym_number] = ACTIONS(197),
    [anon_sym_boolean] = ACTIONS(197),
    [anon_sym_string] = ACTIONS(197),
    [anon_sym_symbol] = ACTIONS(197),
    [anon_sym_object] = ACTIONS(197),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [172] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2319),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(172),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(5503),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6463),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(1135),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(1208),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(1208),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [173] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2319),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(173),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1215),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1218),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1213),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1220),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(216),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1222),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(1224),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1226),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1213),
    [anon_sym_readonly] = ACTIONS(1213),
    [anon_sym_get] = ACTIONS(1213),
    [anon_sym_set] = ACTIONS(1213),
    [anon_sym_declare] = ACTIONS(1213),
    [anon_sym_public] = ACTIONS(1213),
    [anon_sym_private] = ACTIONS(1213),
    [anon_sym_protected] = ACTIONS(1213),
    [anon_sym_override] = ACTIONS(1213),
    [anon_sym_module] = ACTIONS(1213),
    [anon_sym_any] = ACTIONS(1213),
    [anon_sym_number] = ACTIONS(1213),
    [anon_sym_boolean] = ACTIONS(1213),
    [anon_sym_string] = ACTIONS(1213),
    [anon_sym_symbol] = ACTIONS(1213),
    [anon_sym_object] = ACTIONS(1213),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [174] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2319),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(174),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(1135),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(1208),
    [anon_sym_RBRACE] = ACTIONS(1208),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(1208),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [175] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2319),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7156),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(175),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1228),
    [anon_sym_export] = ACTIONS(1230),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1230),
    [anon_sym_EQ] = ACTIONS(1232),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1234),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1230),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1236),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(1238),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(1242),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1230),
    [anon_sym_readonly] = ACTIONS(1230),
    [anon_sym_get] = ACTIONS(1230),
    [anon_sym_set] = ACTIONS(1230),
    [anon_sym_declare] = ACTIONS(1230),
    [anon_sym_public] = ACTIONS(1230),
    [anon_sym_private] = ACTIONS(1230),
    [anon_sym_protected] = ACTIONS(1230),
    [anon_sym_override] = ACTIONS(1230),
    [anon_sym_module] = ACTIONS(1230),
    [anon_sym_any] = ACTIONS(1230),
    [anon_sym_number] = ACTIONS(1230),
    [anon_sym_boolean] = ACTIONS(1230),
    [anon_sym_string] = ACTIONS(1230),
    [anon_sym_symbol] = ACTIONS(1230),
    [anon_sym_object] = ACTIONS(1230),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [176] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2319),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(176),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(1244),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [177] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2319),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(177),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(5503),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6463),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1246),
    [anon_sym_export] = ACTIONS(1248),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1248),
    [anon_sym_EQ] = ACTIONS(1250),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1248),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1254),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(1244),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1256),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1248),
    [anon_sym_get] = ACTIONS(1248),
    [anon_sym_set] = ACTIONS(1248),
    [anon_sym_declare] = ACTIONS(1248),
    [anon_sym_public] = ACTIONS(1248),
    [anon_sym_private] = ACTIONS(1248),
    [anon_sym_protected] = ACTIONS(1248),
    [anon_sym_override] = ACTIONS(1248),
    [anon_sym_module] = ACTIONS(1248),
    [anon_sym_any] = ACTIONS(1248),
    [anon_sym_number] = ACTIONS(1248),
    [anon_sym_boolean] = ACTIONS(1248),
    [anon_sym_string] = ACTIONS(1248),
    [anon_sym_symbol] = ACTIONS(1248),
    [anon_sym_object] = ACTIONS(1248),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [178] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2319),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(178),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1258),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1218),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1213),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1260),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1222),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(1224),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1226),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1213),
    [anon_sym_readonly] = ACTIONS(1213),
    [anon_sym_get] = ACTIONS(1213),
    [anon_sym_set] = ACTIONS(1213),
    [anon_sym_declare] = ACTIONS(1213),
    [anon_sym_public] = ACTIONS(1213),
    [anon_sym_private] = ACTIONS(1213),
    [anon_sym_protected] = ACTIONS(1213),
    [anon_sym_override] = ACTIONS(1213),
    [anon_sym_module] = ACTIONS(1213),
    [anon_sym_any] = ACTIONS(1213),
    [anon_sym_number] = ACTIONS(1213),
    [anon_sym_boolean] = ACTIONS(1213),
    [anon_sym_string] = ACTIONS(1213),
    [anon_sym_symbol] = ACTIONS(1213),
    [anon_sym_object] = ACTIONS(1213),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [179] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2319),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(179),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1215),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1218),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1213),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(216),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1222),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(1224),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1226),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1213),
    [anon_sym_readonly] = ACTIONS(1213),
    [anon_sym_get] = ACTIONS(1213),
    [anon_sym_set] = ACTIONS(1213),
    [anon_sym_declare] = ACTIONS(1213),
    [anon_sym_public] = ACTIONS(1213),
    [anon_sym_private] = ACTIONS(1213),
    [anon_sym_protected] = ACTIONS(1213),
    [anon_sym_override] = ACTIONS(1213),
    [anon_sym_module] = ACTIONS(1213),
    [anon_sym_any] = ACTIONS(1213),
    [anon_sym_number] = ACTIONS(1213),
    [anon_sym_boolean] = ACTIONS(1213),
    [anon_sym_string] = ACTIONS(1213),
    [anon_sym_symbol] = ACTIONS(1213),
    [anon_sym_object] = ACTIONS(1213),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [180] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2076),
    [sym_expression] = STATE(3297),
    [sym_primary_expression] = STATE(2570),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2076),
    [sym_subscript_expression] = STATE(2076),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(180),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2076),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1262),
    [anon_sym_export] = ACTIONS(1264),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1264),
    [anon_sym_EQ] = ACTIONS(1266),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1268),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1264),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1019),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1270),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_EQ_GT] = ACTIONS(1272),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1274),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1033),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1264),
    [anon_sym_readonly] = ACTIONS(1264),
    [anon_sym_get] = ACTIONS(1264),
    [anon_sym_set] = ACTIONS(1264),
    [anon_sym_declare] = ACTIONS(1264),
    [anon_sym_public] = ACTIONS(1264),
    [anon_sym_private] = ACTIONS(1264),
    [anon_sym_protected] = ACTIONS(1264),
    [anon_sym_override] = ACTIONS(1264),
    [anon_sym_module] = ACTIONS(1264),
    [anon_sym_any] = ACTIONS(1264),
    [anon_sym_number] = ACTIONS(1264),
    [anon_sym_boolean] = ACTIONS(1264),
    [anon_sym_string] = ACTIONS(1264),
    [anon_sym_symbol] = ACTIONS(1264),
    [anon_sym_object] = ACTIONS(1264),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [181] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2319),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7156),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(181),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(5503),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6463),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1228),
    [anon_sym_export] = ACTIONS(1230),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1230),
    [anon_sym_EQ] = ACTIONS(1232),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1234),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1230),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1236),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(1238),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(1242),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1230),
    [anon_sym_readonly] = ACTIONS(1230),
    [anon_sym_get] = ACTIONS(1230),
    [anon_sym_set] = ACTIONS(1230),
    [anon_sym_declare] = ACTIONS(1230),
    [anon_sym_public] = ACTIONS(1230),
    [anon_sym_private] = ACTIONS(1230),
    [anon_sym_protected] = ACTIONS(1230),
    [anon_sym_override] = ACTIONS(1230),
    [anon_sym_module] = ACTIONS(1230),
    [anon_sym_any] = ACTIONS(1230),
    [anon_sym_number] = ACTIONS(1230),
    [anon_sym_boolean] = ACTIONS(1230),
    [anon_sym_string] = ACTIONS(1230),
    [anon_sym_symbol] = ACTIONS(1230),
    [anon_sym_object] = ACTIONS(1230),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [182] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2319),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(182),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(5433),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6843),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1095),
    [anon_sym_export] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(216),
    [anon_sym_RBRACE] = ACTIONS(216),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1109),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_readonly] = ACTIONS(1097),
    [anon_sym_get] = ACTIONS(1097),
    [anon_sym_set] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_override] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_any] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_boolean] = ACTIONS(1097),
    [anon_sym_string] = ACTIONS(1097),
    [anon_sym_symbol] = ACTIONS(1097),
    [anon_sym_object] = ACTIONS(1097),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [183] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2319),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(183),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1246),
    [anon_sym_export] = ACTIONS(1248),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1248),
    [anon_sym_EQ] = ACTIONS(1250),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1248),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1254),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(1244),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1256),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1248),
    [anon_sym_get] = ACTIONS(1248),
    [anon_sym_set] = ACTIONS(1248),
    [anon_sym_declare] = ACTIONS(1248),
    [anon_sym_public] = ACTIONS(1248),
    [anon_sym_private] = ACTIONS(1248),
    [anon_sym_protected] = ACTIONS(1248),
    [anon_sym_override] = ACTIONS(1248),
    [anon_sym_module] = ACTIONS(1248),
    [anon_sym_any] = ACTIONS(1248),
    [anon_sym_number] = ACTIONS(1248),
    [anon_sym_boolean] = ACTIONS(1248),
    [anon_sym_string] = ACTIONS(1248),
    [anon_sym_symbol] = ACTIONS(1248),
    [anon_sym_object] = ACTIONS(1248),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [184] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2319),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(184),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(1238),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [185] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2319),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(185),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1258),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1218),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1213),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1220),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1222),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(1224),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1226),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1213),
    [anon_sym_readonly] = ACTIONS(1213),
    [anon_sym_get] = ACTIONS(1213),
    [anon_sym_set] = ACTIONS(1213),
    [anon_sym_declare] = ACTIONS(1213),
    [anon_sym_public] = ACTIONS(1213),
    [anon_sym_private] = ACTIONS(1213),
    [anon_sym_protected] = ACTIONS(1213),
    [anon_sym_override] = ACTIONS(1213),
    [anon_sym_module] = ACTIONS(1213),
    [anon_sym_any] = ACTIONS(1213),
    [anon_sym_number] = ACTIONS(1213),
    [anon_sym_boolean] = ACTIONS(1213),
    [anon_sym_string] = ACTIONS(1213),
    [anon_sym_symbol] = ACTIONS(1213),
    [anon_sym_object] = ACTIONS(1213),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [186] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2076),
    [sym_expression] = STATE(3297),
    [sym_primary_expression] = STATE(2570),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2076),
    [sym_subscript_expression] = STATE(2076),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(186),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(5503),
    [sym_non_null_expression] = STATE(2076),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6463),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1262),
    [anon_sym_export] = ACTIONS(1264),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1264),
    [anon_sym_EQ] = ACTIONS(1266),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1268),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1264),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1019),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1270),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_EQ_GT] = ACTIONS(1272),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1274),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1033),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1264),
    [anon_sym_readonly] = ACTIONS(1264),
    [anon_sym_get] = ACTIONS(1264),
    [anon_sym_set] = ACTIONS(1264),
    [anon_sym_declare] = ACTIONS(1264),
    [anon_sym_public] = ACTIONS(1264),
    [anon_sym_private] = ACTIONS(1264),
    [anon_sym_protected] = ACTIONS(1264),
    [anon_sym_override] = ACTIONS(1264),
    [anon_sym_module] = ACTIONS(1264),
    [anon_sym_any] = ACTIONS(1264),
    [anon_sym_number] = ACTIONS(1264),
    [anon_sym_boolean] = ACTIONS(1264),
    [anon_sym_string] = ACTIONS(1264),
    [anon_sym_symbol] = ACTIONS(1264),
    [anon_sym_object] = ACTIONS(1264),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [187] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2319),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(187),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1019),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(1272),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [188] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2319),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7312),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(188),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1276),
    [anon_sym_export] = ACTIONS(1278),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1280),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1278),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(1286),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1288),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1278),
    [anon_sym_readonly] = ACTIONS(1278),
    [anon_sym_get] = ACTIONS(1278),
    [anon_sym_set] = ACTIONS(1278),
    [anon_sym_declare] = ACTIONS(1278),
    [anon_sym_public] = ACTIONS(1278),
    [anon_sym_private] = ACTIONS(1278),
    [anon_sym_protected] = ACTIONS(1278),
    [anon_sym_override] = ACTIONS(1278),
    [anon_sym_module] = ACTIONS(1278),
    [anon_sym_any] = ACTIONS(1278),
    [anon_sym_number] = ACTIONS(1278),
    [anon_sym_boolean] = ACTIONS(1278),
    [anon_sym_string] = ACTIONS(1278),
    [anon_sym_symbol] = ACTIONS(1278),
    [anon_sym_object] = ACTIONS(1278),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [189] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2319),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7312),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(189),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(5503),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6463),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1276),
    [anon_sym_export] = ACTIONS(1278),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1280),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1278),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(1286),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1288),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1278),
    [anon_sym_readonly] = ACTIONS(1278),
    [anon_sym_get] = ACTIONS(1278),
    [anon_sym_set] = ACTIONS(1278),
    [anon_sym_declare] = ACTIONS(1278),
    [anon_sym_public] = ACTIONS(1278),
    [anon_sym_private] = ACTIONS(1278),
    [anon_sym_protected] = ACTIONS(1278),
    [anon_sym_override] = ACTIONS(1278),
    [anon_sym_module] = ACTIONS(1278),
    [anon_sym_any] = ACTIONS(1278),
    [anon_sym_number] = ACTIONS(1278),
    [anon_sym_boolean] = ACTIONS(1278),
    [anon_sym_string] = ACTIONS(1278),
    [anon_sym_symbol] = ACTIONS(1278),
    [anon_sym_object] = ACTIONS(1278),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [190] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2319),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(190),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(1224),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [191] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2319),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(191),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(1286),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [192] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2319),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(192),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(1201),
    [anon_sym_of] = ACTIONS(1204),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [193] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2319),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(193),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(5503),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6463),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1258),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1218),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1213),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1222),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(1224),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1226),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1213),
    [anon_sym_readonly] = ACTIONS(1213),
    [anon_sym_get] = ACTIONS(1213),
    [anon_sym_set] = ACTIONS(1213),
    [anon_sym_declare] = ACTIONS(1213),
    [anon_sym_public] = ACTIONS(1213),
    [anon_sym_private] = ACTIONS(1213),
    [anon_sym_protected] = ACTIONS(1213),
    [anon_sym_override] = ACTIONS(1213),
    [anon_sym_module] = ACTIONS(1213),
    [anon_sym_any] = ACTIONS(1213),
    [anon_sym_number] = ACTIONS(1213),
    [anon_sym_boolean] = ACTIONS(1213),
    [anon_sym_string] = ACTIONS(1213),
    [anon_sym_symbol] = ACTIONS(1213),
    [anon_sym_object] = ACTIONS(1213),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [194] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2319),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(194),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(5503),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6463),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [195] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2319),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(195),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1258),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1218),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1213),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1222),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(1224),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1226),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1213),
    [anon_sym_readonly] = ACTIONS(1213),
    [anon_sym_get] = ACTIONS(1213),
    [anon_sym_set] = ACTIONS(1213),
    [anon_sym_declare] = ACTIONS(1213),
    [anon_sym_public] = ACTIONS(1213),
    [anon_sym_private] = ACTIONS(1213),
    [anon_sym_protected] = ACTIONS(1213),
    [anon_sym_override] = ACTIONS(1213),
    [anon_sym_module] = ACTIONS(1213),
    [anon_sym_any] = ACTIONS(1213),
    [anon_sym_number] = ACTIONS(1213),
    [anon_sym_boolean] = ACTIONS(1213),
    [anon_sym_string] = ACTIONS(1213),
    [anon_sym_symbol] = ACTIONS(1213),
    [anon_sym_object] = ACTIONS(1213),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [196] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2319),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(196),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(5503),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6463),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [197] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2319),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(197),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1292),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [198] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2319),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(198),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1294),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [199] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2319),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(199),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1296),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [200] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2319),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(200),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1298),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [201] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2319),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(201),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [202] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2319),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(202),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1300),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [203] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2319),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(203),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1302),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [204] = {
    [sym_import] = STATE(4187),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2819),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_assignment_pattern] = STATE(6420),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_nested_identifier] = STATE(7115),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2069),
    [sym_subscript_expression] = STATE(2069),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4577),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2849),
    [sym_comment] = STATE(204),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(5354),
    [sym_pattern] = STATE(5718),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2069),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_nested_type_identifier] = STATE(3989),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4139),
    [sym__type_query_call_expression_in_type_annotation] = STATE(4427),
    [sym__type] = STATE(4144),
    [sym_constructor_type] = STATE(4101),
    [sym__primary_type] = STATE(4067),
    [sym_template_literal_type] = STATE(4110),
    [sym_infer_type] = STATE(4101),
    [sym_conditional_type] = STATE(4110),
    [sym_generic_type] = STATE(4110),
    [sym_type_query] = STATE(4110),
    [sym_index_type_query] = STATE(4110),
    [sym_lookup_type] = STATE(4110),
    [sym_literal_type] = STATE(4110),
    [sym__number] = STATE(4068),
    [sym_existential_type] = STATE(4110),
    [sym_flow_maybe_type] = STATE(4110),
    [sym_parenthesized_type] = STATE(4110),
    [sym_predefined_type] = STATE(4110),
    [sym_object_type] = STATE(4110),
    [sym_type_parameters] = STATE(6821),
    [sym_array_type] = STATE(4110),
    [sym_tuple_type] = STATE(4110),
    [sym_readonly_type] = STATE(4101),
    [sym_union_type] = STATE(4110),
    [sym_intersection_type] = STATE(4110),
    [sym_function_type] = STATE(4101),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1304),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_typeof] = ACTIONS(1310),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1314),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1316),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1318),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1324),
    [anon_sym_DASH] = ACTIONS(1324),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(1326),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1328),
    [sym_number] = ACTIONS(1330),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(1332),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1330),
    [sym_false] = ACTIONS(1330),
    [sym_null] = ACTIONS(1330),
    [sym_undefined] = ACTIONS(1334),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1336),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(1340),
    [anon_sym_number] = ACTIONS(1340),
    [anon_sym_boolean] = ACTIONS(1340),
    [anon_sym_string] = ACTIONS(1340),
    [anon_sym_symbol] = ACTIONS(1340),
    [anon_sym_object] = ACTIONS(1340),
    [anon_sym_abstract] = ACTIONS(1342),
    [anon_sym_infer] = ACTIONS(1344),
    [anon_sym_keyof] = ACTIONS(1346),
    [anon_sym_unique] = ACTIONS(1348),
    [anon_sym_unknown] = ACTIONS(1350),
    [anon_sym_never] = ACTIONS(1350),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1352),
    [sym_html_comment] = ACTIONS(5),
  },
  [205] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2319),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(205),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1354),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [206] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2319),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(206),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1356),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [207] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2319),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(207),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1358),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [208] = {
    [sym_import] = STATE(4282),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3340),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_nested_identifier] = STATE(7154),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2945),
    [sym_comment] = STATE(208),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(5067),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4782),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5688),
    [sym__type] = STATE(4784),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6881),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1360),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1362),
    [anon_sym_typeof] = ACTIONS(1364),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1366),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1368),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1372),
    [sym_number] = ACTIONS(1374),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1376),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1374),
    [sym_false] = ACTIONS(1374),
    [sym_null] = ACTIONS(1374),
    [sym_undefined] = ACTIONS(1378),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1380),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1382),
    [anon_sym_number] = ACTIONS(1382),
    [anon_sym_boolean] = ACTIONS(1382),
    [anon_sym_string] = ACTIONS(1382),
    [anon_sym_symbol] = ACTIONS(1382),
    [anon_sym_object] = ACTIONS(1382),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [209] = {
    [sym_import] = STATE(4307),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2656),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_nested_identifier] = STATE(7154),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(2881),
    [sym_comment] = STATE(209),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(5067),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4772),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5595),
    [sym__type] = STATE(4766),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6881),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1384),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1390),
    [anon_sym_typeof] = ACTIONS(1392),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(1396),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1400),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_DASH] = ACTIONS(1402),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(1404),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1406),
    [sym_number] = ACTIONS(1408),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(1410),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(1408),
    [sym_false] = ACTIONS(1408),
    [sym_null] = ACTIONS(1408),
    [sym_undefined] = ACTIONS(1412),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1414),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1416),
    [anon_sym_number] = ACTIONS(1416),
    [anon_sym_boolean] = ACTIONS(1416),
    [anon_sym_string] = ACTIONS(1416),
    [anon_sym_symbol] = ACTIONS(1416),
    [anon_sym_object] = ACTIONS(1416),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [210] = {
    [sym_import] = STATE(4281),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2934),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_nested_identifier] = STATE(7154),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3316),
    [sym_comment] = STATE(210),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(5067),
    [sym_non_null_expression] = STATE(2190),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4772),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5595),
    [sym__type] = STATE(4766),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6881),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1418),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1420),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [anon_sym_typeof] = ACTIONS(1426),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1420),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1444),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1448),
    [sym_number] = ACTIONS(1450),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(1454),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(1450),
    [sym_false] = ACTIONS(1450),
    [sym_null] = ACTIONS(1450),
    [sym_undefined] = ACTIONS(1456),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1458),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(1420),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1420),
    [anon_sym_any] = ACTIONS(1460),
    [anon_sym_number] = ACTIONS(1460),
    [anon_sym_boolean] = ACTIONS(1460),
    [anon_sym_string] = ACTIONS(1460),
    [anon_sym_symbol] = ACTIONS(1460),
    [anon_sym_object] = ACTIONS(1460),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [211] = {
    [sym_import] = STATE(4199),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2457),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_nested_identifier] = STATE(7154),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2558),
    [sym_comment] = STATE(211),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(5067),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4782),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5688),
    [sym__type] = STATE(4784),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6881),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1468),
    [anon_sym_typeof] = ACTIONS(1470),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1472),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1478),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1480),
    [sym_number] = ACTIONS(1482),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(1484),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1482),
    [sym_false] = ACTIONS(1482),
    [sym_null] = ACTIONS(1482),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1488),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1490),
    [anon_sym_number] = ACTIONS(1490),
    [anon_sym_boolean] = ACTIONS(1490),
    [anon_sym_string] = ACTIONS(1490),
    [anon_sym_symbol] = ACTIONS(1490),
    [anon_sym_object] = ACTIONS(1490),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [212] = {
    [sym_import] = STATE(4282),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2823),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_nested_identifier] = STATE(7154),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3815),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7334),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2945),
    [sym_comment] = STATE(212),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(5067),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4782),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5688),
    [sym__type] = STATE(4784),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6881),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1492),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym_typeof] = ACTIONS(1500),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1494),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(1504),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1366),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1508),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1510),
    [anon_sym_using] = ACTIONS(1512),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1514),
    [anon_sym_DASH] = ACTIONS(1514),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1516),
    [anon_sym_delete] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1372),
    [sym_number] = ACTIONS(1374),
    [sym_private_property_identifier] = ACTIONS(1520),
    [sym_this] = ACTIONS(1376),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1374),
    [sym_false] = ACTIONS(1374),
    [sym_null] = ACTIONS(1374),
    [sym_undefined] = ACTIONS(1522),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1494),
    [anon_sym_readonly] = ACTIONS(1524),
    [anon_sym_get] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(1494),
    [anon_sym_public] = ACTIONS(1494),
    [anon_sym_private] = ACTIONS(1494),
    [anon_sym_protected] = ACTIONS(1494),
    [anon_sym_override] = ACTIONS(1494),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_any] = ACTIONS(1526),
    [anon_sym_number] = ACTIONS(1526),
    [anon_sym_boolean] = ACTIONS(1526),
    [anon_sym_string] = ACTIONS(1526),
    [anon_sym_symbol] = ACTIONS(1526),
    [anon_sym_object] = ACTIONS(1526),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [213] = {
    [sym_import] = STATE(4199),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2705),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_nested_identifier] = STATE(7154),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7156),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3817),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7159),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2558),
    [sym_comment] = STATE(213),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(5067),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4782),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5688),
    [sym__type] = STATE(4784),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6881),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1530),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_namespace] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1468),
    [anon_sym_typeof] = ACTIONS(1534),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1530),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(1538),
    [anon_sym_yield] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1472),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1542),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1544),
    [anon_sym_using] = ACTIONS(1546),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1548),
    [anon_sym_DASH] = ACTIONS(1548),
    [anon_sym_SLASH] = ACTIONS(1242),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_void] = ACTIONS(1550),
    [anon_sym_delete] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1480),
    [sym_number] = ACTIONS(1482),
    [sym_private_property_identifier] = ACTIONS(1554),
    [sym_this] = ACTIONS(1484),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1482),
    [sym_false] = ACTIONS(1482),
    [sym_null] = ACTIONS(1482),
    [sym_undefined] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1530),
    [anon_sym_readonly] = ACTIONS(1558),
    [anon_sym_get] = ACTIONS(1530),
    [anon_sym_set] = ACTIONS(1530),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(1530),
    [anon_sym_public] = ACTIONS(1530),
    [anon_sym_private] = ACTIONS(1530),
    [anon_sym_protected] = ACTIONS(1530),
    [anon_sym_override] = ACTIONS(1530),
    [anon_sym_module] = ACTIONS(1530),
    [anon_sym_any] = ACTIONS(1560),
    [anon_sym_number] = ACTIONS(1560),
    [anon_sym_boolean] = ACTIONS(1560),
    [anon_sym_string] = ACTIONS(1560),
    [anon_sym_symbol] = ACTIONS(1560),
    [anon_sym_object] = ACTIONS(1560),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [214] = {
    [sym_import] = STATE(4282),
    [sym_parenthesized_expression] = STATE(2241),
    [sym_expression] = STATE(3119),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_nested_identifier] = STATE(7154),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2241),
    [sym_subscript_expression] = STATE(2241),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3867),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7457),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2945),
    [sym_comment] = STATE(214),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(5067),
    [sym_non_null_expression] = STATE(2241),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4782),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5688),
    [sym__type] = STATE(4784),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6881),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1562),
    [anon_sym_export] = ACTIONS(1564),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1564),
    [anon_sym_namespace] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym_typeof] = ACTIONS(1568),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1564),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(1572),
    [anon_sym_yield] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1366),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1576),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1578),
    [anon_sym_using] = ACTIONS(1580),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1582),
    [anon_sym_DASH] = ACTIONS(1582),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_void] = ACTIONS(1584),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1372),
    [sym_number] = ACTIONS(1374),
    [sym_private_property_identifier] = ACTIONS(1588),
    [sym_this] = ACTIONS(1376),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1374),
    [sym_false] = ACTIONS(1374),
    [sym_null] = ACTIONS(1374),
    [sym_undefined] = ACTIONS(1590),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1564),
    [anon_sym_readonly] = ACTIONS(1592),
    [anon_sym_get] = ACTIONS(1564),
    [anon_sym_set] = ACTIONS(1564),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(1564),
    [anon_sym_public] = ACTIONS(1564),
    [anon_sym_private] = ACTIONS(1564),
    [anon_sym_protected] = ACTIONS(1564),
    [anon_sym_override] = ACTIONS(1564),
    [anon_sym_module] = ACTIONS(1564),
    [anon_sym_any] = ACTIONS(1594),
    [anon_sym_number] = ACTIONS(1594),
    [anon_sym_boolean] = ACTIONS(1594),
    [anon_sym_string] = ACTIONS(1594),
    [anon_sym_symbol] = ACTIONS(1594),
    [anon_sym_object] = ACTIONS(1594),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [215] = {
    [sym_import] = STATE(4307),
    [sym_parenthesized_expression] = STATE(2143),
    [sym_expression] = STATE(2563),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_nested_identifier] = STATE(7154),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7153),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2143),
    [sym_subscript_expression] = STATE(2143),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3819),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7151),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(2881),
    [sym_comment] = STATE(215),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(5067),
    [sym_non_null_expression] = STATE(2143),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4772),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5595),
    [sym__type] = STATE(4766),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6881),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1596),
    [anon_sym_export] = ACTIONS(1598),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1598),
    [anon_sym_namespace] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1390),
    [anon_sym_typeof] = ACTIONS(1602),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1598),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [anon_sym_await] = ACTIONS(1606),
    [anon_sym_yield] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(1396),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1610),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_using] = ACTIONS(1614),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1616),
    [anon_sym_DASH] = ACTIONS(1616),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_void] = ACTIONS(1618),
    [anon_sym_delete] = ACTIONS(1604),
    [anon_sym_PLUS_PLUS] = ACTIONS(1620),
    [anon_sym_DASH_DASH] = ACTIONS(1620),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1406),
    [sym_number] = ACTIONS(1408),
    [sym_private_property_identifier] = ACTIONS(1622),
    [sym_this] = ACTIONS(1410),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(1408),
    [sym_false] = ACTIONS(1408),
    [sym_null] = ACTIONS(1408),
    [sym_undefined] = ACTIONS(1624),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1598),
    [anon_sym_readonly] = ACTIONS(1626),
    [anon_sym_get] = ACTIONS(1598),
    [anon_sym_set] = ACTIONS(1598),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(1598),
    [anon_sym_public] = ACTIONS(1598),
    [anon_sym_private] = ACTIONS(1598),
    [anon_sym_protected] = ACTIONS(1598),
    [anon_sym_override] = ACTIONS(1598),
    [anon_sym_module] = ACTIONS(1598),
    [anon_sym_any] = ACTIONS(1628),
    [anon_sym_number] = ACTIONS(1628),
    [anon_sym_boolean] = ACTIONS(1628),
    [anon_sym_string] = ACTIONS(1628),
    [anon_sym_symbol] = ACTIONS(1628),
    [anon_sym_object] = ACTIONS(1628),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [216] = {
    [sym_import] = STATE(4282),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3164),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_nested_identifier] = STATE(7154),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7312),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3830),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7314),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2945),
    [sym_comment] = STATE(216),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(5067),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4782),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5688),
    [sym__type] = STATE(4784),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6881),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1630),
    [anon_sym_export] = ACTIONS(1632),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1632),
    [anon_sym_namespace] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1362),
    [anon_sym_typeof] = ACTIONS(1636),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1632),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(1640),
    [anon_sym_yield] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1366),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1644),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1646),
    [anon_sym_using] = ACTIONS(1648),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1650),
    [anon_sym_DASH] = ACTIONS(1650),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1638),
    [anon_sym_void] = ACTIONS(1652),
    [anon_sym_delete] = ACTIONS(1638),
    [anon_sym_PLUS_PLUS] = ACTIONS(1654),
    [anon_sym_DASH_DASH] = ACTIONS(1654),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1372),
    [sym_number] = ACTIONS(1374),
    [sym_private_property_identifier] = ACTIONS(1656),
    [sym_this] = ACTIONS(1376),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1374),
    [sym_false] = ACTIONS(1374),
    [sym_null] = ACTIONS(1374),
    [sym_undefined] = ACTIONS(1658),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1632),
    [anon_sym_readonly] = ACTIONS(1660),
    [anon_sym_get] = ACTIONS(1632),
    [anon_sym_set] = ACTIONS(1632),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(1632),
    [anon_sym_public] = ACTIONS(1632),
    [anon_sym_private] = ACTIONS(1632),
    [anon_sym_protected] = ACTIONS(1632),
    [anon_sym_override] = ACTIONS(1632),
    [anon_sym_module] = ACTIONS(1632),
    [anon_sym_any] = ACTIONS(1662),
    [anon_sym_number] = ACTIONS(1662),
    [anon_sym_boolean] = ACTIONS(1662),
    [anon_sym_string] = ACTIONS(1662),
    [anon_sym_symbol] = ACTIONS(1662),
    [anon_sym_object] = ACTIONS(1662),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [217] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2716),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_nested_identifier] = STATE(7154),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_sequence_expression] = STATE(7099),
    [sym_string] = STATE(3196),
    [sym_comment] = STATE(217),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(5067),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(5959),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(4942),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(5699),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6881),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1664),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1666),
    [anon_sym_typeof] = ACTIONS(1141),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1149),
    [sym_number] = ACTIONS(1151),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(1670),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1151),
    [sym_false] = ACTIONS(1151),
    [sym_null] = ACTIONS(1151),
    [sym_undefined] = ACTIONS(1672),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1488),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1674),
    [anon_sym_number] = ACTIONS(1674),
    [anon_sym_boolean] = ACTIONS(1674),
    [anon_sym_string] = ACTIONS(1674),
    [anon_sym_symbol] = ACTIONS(1674),
    [anon_sym_object] = ACTIONS(1674),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [218] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_nested_identifier] = STATE(7154),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2211),
    [sym_subscript_expression] = STATE(2211),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4588),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(3395),
    [sym_comment] = STATE(218),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(5067),
    [sym_non_null_expression] = STATE(2211),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(4932),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6881),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1676),
    [anon_sym_export] = ACTIONS(1678),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1678),
    [anon_sym_namespace] = ACTIONS(1680),
    [anon_sym_LBRACE] = ACTIONS(1682),
    [anon_sym_typeof] = ACTIONS(1684),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1686),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1688),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1690),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1692),
    [anon_sym_DASH] = ACTIONS(1692),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(172),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1694),
    [sym_number] = ACTIONS(1696),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1698),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1696),
    [sym_false] = ACTIONS(1696),
    [sym_null] = ACTIONS(1696),
    [sym_undefined] = ACTIONS(1700),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1678),
    [anon_sym_readonly] = ACTIONS(1702),
    [anon_sym_get] = ACTIONS(1678),
    [anon_sym_set] = ACTIONS(1678),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(1678),
    [anon_sym_public] = ACTIONS(1678),
    [anon_sym_private] = ACTIONS(1678),
    [anon_sym_protected] = ACTIONS(1678),
    [anon_sym_override] = ACTIONS(1678),
    [anon_sym_module] = ACTIONS(1678),
    [anon_sym_any] = ACTIONS(1704),
    [anon_sym_number] = ACTIONS(1704),
    [anon_sym_boolean] = ACTIONS(1704),
    [anon_sym_string] = ACTIONS(1704),
    [anon_sym_symbol] = ACTIONS(1704),
    [anon_sym_object] = ACTIONS(1704),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [219] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2609),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_nested_identifier] = STATE(7154),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2145),
    [sym_subscript_expression] = STATE(2145),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(5434),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(3134),
    [sym_comment] = STATE(219),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(5067),
    [sym_non_null_expression] = STATE(2145),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(4932),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6881),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1706),
    [anon_sym_export] = ACTIONS(1708),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1708),
    [anon_sym_namespace] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1708),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(974),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1714),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1716),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(986),
    [anon_sym_DASH] = ACTIONS(986),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(181),
    [sym_number] = ACTIONS(183),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(996),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_null] = ACTIONS(183),
    [sym_undefined] = ACTIONS(1718),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1708),
    [anon_sym_readonly] = ACTIONS(1720),
    [anon_sym_get] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_declare] = ACTIONS(1708),
    [anon_sym_public] = ACTIONS(1708),
    [anon_sym_private] = ACTIONS(1708),
    [anon_sym_protected] = ACTIONS(1708),
    [anon_sym_override] = ACTIONS(1708),
    [anon_sym_module] = ACTIONS(1708),
    [anon_sym_any] = ACTIONS(1722),
    [anon_sym_number] = ACTIONS(1722),
    [anon_sym_boolean] = ACTIONS(1722),
    [anon_sym_string] = ACTIONS(1722),
    [anon_sym_symbol] = ACTIONS(1722),
    [anon_sym_object] = ACTIONS(1722),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [220] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2414),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(220),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1726),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_as] = ACTIONS(1728),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(1728),
    [anon_sym_RBRACE] = ACTIONS(1728),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1728),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_in] = ACTIONS(1728),
    [anon_sym_COLON] = ACTIONS(1728),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(1728),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1728),
    [anon_sym_DOT] = ACTIONS(1728),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_QMARK_DOT] = ACTIONS(1728),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_AMP_AMP] = ACTIONS(1728),
    [anon_sym_PIPE_PIPE] = ACTIONS(1728),
    [anon_sym_GT_GT] = ACTIONS(1728),
    [anon_sym_GT_GT_GT] = ACTIONS(1728),
    [anon_sym_LT_LT] = ACTIONS(1728),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_CARET] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(1728),
    [anon_sym_STAR_STAR] = ACTIONS(1728),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1728),
    [anon_sym_GT_EQ] = ACTIONS(1728),
    [anon_sym_QMARK_QMARK] = ACTIONS(1728),
    [anon_sym_instanceof] = ACTIONS(1728),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [anon_sym_satisfies] = ACTIONS(1728),
    [sym__ternary_qmark] = ACTIONS(1734),
    [sym_html_comment] = ACTIONS(5),
  },
  [221] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2653),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(221),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_STAR] = ACTIONS(1738),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_as] = ACTIONS(1728),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_COMMA] = ACTIONS(1728),
    [anon_sym_RBRACE] = ACTIONS(1728),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_in] = ACTIONS(1728),
    [anon_sym_SEMI] = ACTIONS(1728),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1728),
    [anon_sym_DOT] = ACTIONS(1728),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(1728),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(1728),
    [anon_sym_PIPE_PIPE] = ACTIONS(1728),
    [anon_sym_GT_GT] = ACTIONS(1728),
    [anon_sym_GT_GT_GT] = ACTIONS(1728),
    [anon_sym_LT_LT] = ACTIONS(1728),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_CARET] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(1728),
    [anon_sym_STAR_STAR] = ACTIONS(1728),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1728),
    [anon_sym_GT_EQ] = ACTIONS(1728),
    [anon_sym_QMARK_QMARK] = ACTIONS(1728),
    [anon_sym_instanceof] = ACTIONS(1728),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [anon_sym_satisfies] = ACTIONS(1728),
    [sym__automatic_semicolon] = ACTIONS(1734),
    [sym__ternary_qmark] = ACTIONS(1734),
    [sym_html_comment] = ACTIONS(5),
  },
  [222] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2143),
    [sym_expression] = STATE(2621),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7153),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2143),
    [sym_subscript_expression] = STATE(2143),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3819),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7151),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(222),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2143),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1598),
    [anon_sym_STAR] = ACTIONS(1744),
    [anon_sym_type] = ACTIONS(1598),
    [anon_sym_as] = ACTIONS(1728),
    [anon_sym_namespace] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_COMMA] = ACTIONS(1728),
    [anon_sym_typeof] = ACTIONS(1604),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1598),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1606),
    [anon_sym_in] = ACTIONS(1728),
    [anon_sym_of] = ACTIONS(1728),
    [anon_sym_SEMI] = ACTIONS(1728),
    [anon_sym_yield] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1728),
    [anon_sym_DOT] = ACTIONS(1728),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1610),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(1728),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1614),
    [anon_sym_AMP_AMP] = ACTIONS(1728),
    [anon_sym_PIPE_PIPE] = ACTIONS(1728),
    [anon_sym_GT_GT] = ACTIONS(1728),
    [anon_sym_GT_GT_GT] = ACTIONS(1728),
    [anon_sym_LT_LT] = ACTIONS(1728),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_CARET] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_PERCENT] = ACTIONS(1728),
    [anon_sym_STAR_STAR] = ACTIONS(1728),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1728),
    [anon_sym_GT_EQ] = ACTIONS(1728),
    [anon_sym_QMARK_QMARK] = ACTIONS(1728),
    [anon_sym_instanceof] = ACTIONS(1728),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_void] = ACTIONS(1604),
    [anon_sym_delete] = ACTIONS(1604),
    [anon_sym_PLUS_PLUS] = ACTIONS(1620),
    [anon_sym_DASH_DASH] = ACTIONS(1620),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1622),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1598),
    [anon_sym_readonly] = ACTIONS(1598),
    [anon_sym_get] = ACTIONS(1598),
    [anon_sym_set] = ACTIONS(1598),
    [anon_sym_declare] = ACTIONS(1598),
    [anon_sym_public] = ACTIONS(1598),
    [anon_sym_private] = ACTIONS(1598),
    [anon_sym_protected] = ACTIONS(1598),
    [anon_sym_override] = ACTIONS(1598),
    [anon_sym_module] = ACTIONS(1598),
    [anon_sym_any] = ACTIONS(1598),
    [anon_sym_number] = ACTIONS(1598),
    [anon_sym_boolean] = ACTIONS(1598),
    [anon_sym_string] = ACTIONS(1598),
    [anon_sym_symbol] = ACTIONS(1598),
    [anon_sym_object] = ACTIONS(1598),
    [anon_sym_satisfies] = ACTIONS(1728),
    [sym__automatic_semicolon] = ACTIONS(1734),
    [sym__ternary_qmark] = ACTIONS(1734),
    [sym_html_comment] = ACTIONS(5),
  },
  [223] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2895),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3815),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7334),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(223),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_STAR] = ACTIONS(1752),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_as] = ACTIONS(1728),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_RBRACE] = ACTIONS(1728),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1504),
    [anon_sym_in] = ACTIONS(1728),
    [anon_sym_COLON] = ACTIONS(1728),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1728),
    [anon_sym_DOT] = ACTIONS(1728),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1508),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_QMARK_DOT] = ACTIONS(1728),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1512),
    [anon_sym_AMP_AMP] = ACTIONS(1728),
    [anon_sym_PIPE_PIPE] = ACTIONS(1728),
    [anon_sym_GT_GT] = ACTIONS(1728),
    [anon_sym_GT_GT_GT] = ACTIONS(1728),
    [anon_sym_LT_LT] = ACTIONS(1728),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_CARET] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(1728),
    [anon_sym_STAR_STAR] = ACTIONS(1728),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1728),
    [anon_sym_GT_EQ] = ACTIONS(1728),
    [anon_sym_QMARK_QMARK] = ACTIONS(1728),
    [anon_sym_instanceof] = ACTIONS(1728),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1502),
    [anon_sym_delete] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1520),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1494),
    [anon_sym_readonly] = ACTIONS(1494),
    [anon_sym_get] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_declare] = ACTIONS(1494),
    [anon_sym_public] = ACTIONS(1494),
    [anon_sym_private] = ACTIONS(1494),
    [anon_sym_protected] = ACTIONS(1494),
    [anon_sym_override] = ACTIONS(1494),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_any] = ACTIONS(1494),
    [anon_sym_number] = ACTIONS(1494),
    [anon_sym_boolean] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_symbol] = ACTIONS(1494),
    [anon_sym_object] = ACTIONS(1494),
    [anon_sym_satisfies] = ACTIONS(1728),
    [sym__ternary_qmark] = ACTIONS(1734),
    [sym_html_comment] = ACTIONS(5),
  },
  [224] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2810),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(224),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1760),
    [anon_sym_type] = ACTIONS(1420),
    [anon_sym_as] = ACTIONS(1728),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_in] = ACTIONS(1728),
    [anon_sym_SEMI] = ACTIONS(1728),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1728),
    [anon_sym_DOT] = ACTIONS(1728),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(1728),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_AMP_AMP] = ACTIONS(1728),
    [anon_sym_PIPE_PIPE] = ACTIONS(1728),
    [anon_sym_GT_GT] = ACTIONS(1728),
    [anon_sym_GT_GT_GT] = ACTIONS(1728),
    [anon_sym_LT_LT] = ACTIONS(1728),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_CARET] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(1728),
    [anon_sym_STAR_STAR] = ACTIONS(1728),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1728),
    [anon_sym_GT_EQ] = ACTIONS(1728),
    [anon_sym_QMARK_QMARK] = ACTIONS(1728),
    [anon_sym_instanceof] = ACTIONS(1728),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1420),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1420),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [anon_sym_satisfies] = ACTIONS(1728),
    [sym__automatic_semicolon] = ACTIONS(1734),
    [sym__ternary_qmark] = ACTIONS(1734),
    [sym_html_comment] = ACTIONS(5),
  },
  [225] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2778),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7156),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3817),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7159),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(225),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1530),
    [anon_sym_STAR] = ACTIONS(1768),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_as] = ACTIONS(1728),
    [anon_sym_namespace] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(1728),
    [anon_sym_typeof] = ACTIONS(1536),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1538),
    [anon_sym_in] = ACTIONS(1728),
    [anon_sym_yield] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1728),
    [anon_sym_DOT] = ACTIONS(1728),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1542),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_QMARK_DOT] = ACTIONS(1728),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1546),
    [anon_sym_AMP_AMP] = ACTIONS(1728),
    [anon_sym_PIPE_PIPE] = ACTIONS(1728),
    [anon_sym_GT_GT] = ACTIONS(1728),
    [anon_sym_GT_GT_GT] = ACTIONS(1728),
    [anon_sym_LT_LT] = ACTIONS(1728),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_CARET] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1242),
    [anon_sym_PERCENT] = ACTIONS(1728),
    [anon_sym_STAR_STAR] = ACTIONS(1728),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1728),
    [anon_sym_GT_EQ] = ACTIONS(1728),
    [anon_sym_QMARK_QMARK] = ACTIONS(1728),
    [anon_sym_instanceof] = ACTIONS(1728),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_void] = ACTIONS(1536),
    [anon_sym_delete] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1554),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1530),
    [anon_sym_readonly] = ACTIONS(1530),
    [anon_sym_get] = ACTIONS(1530),
    [anon_sym_set] = ACTIONS(1530),
    [anon_sym_declare] = ACTIONS(1530),
    [anon_sym_public] = ACTIONS(1530),
    [anon_sym_private] = ACTIONS(1530),
    [anon_sym_protected] = ACTIONS(1530),
    [anon_sym_override] = ACTIONS(1530),
    [anon_sym_module] = ACTIONS(1530),
    [anon_sym_any] = ACTIONS(1530),
    [anon_sym_number] = ACTIONS(1530),
    [anon_sym_boolean] = ACTIONS(1530),
    [anon_sym_string] = ACTIONS(1530),
    [anon_sym_symbol] = ACTIONS(1530),
    [anon_sym_object] = ACTIONS(1530),
    [anon_sym_satisfies] = ACTIONS(1728),
    [anon_sym_implements] = ACTIONS(1728),
    [sym__ternary_qmark] = ACTIONS(1734),
    [sym_html_comment] = ACTIONS(5),
  },
  [226] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2241),
    [sym_expression] = STATE(3070),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2241),
    [sym_subscript_expression] = STATE(2241),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3867),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7457),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(226),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2241),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1564),
    [anon_sym_STAR] = ACTIONS(1776),
    [anon_sym_type] = ACTIONS(1564),
    [anon_sym_as] = ACTIONS(1728),
    [anon_sym_namespace] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1570),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1572),
    [anon_sym_in] = ACTIONS(1728),
    [anon_sym_yield] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(1728),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1728),
    [anon_sym_DOT] = ACTIONS(1728),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1576),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_QMARK_DOT] = ACTIONS(1728),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1580),
    [anon_sym_AMP_AMP] = ACTIONS(1728),
    [anon_sym_PIPE_PIPE] = ACTIONS(1728),
    [anon_sym_GT_GT] = ACTIONS(1728),
    [anon_sym_GT_GT_GT] = ACTIONS(1728),
    [anon_sym_LT_LT] = ACTIONS(1728),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_CARET] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(1728),
    [anon_sym_STAR_STAR] = ACTIONS(1728),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1728),
    [anon_sym_GT_EQ] = ACTIONS(1728),
    [anon_sym_QMARK_QMARK] = ACTIONS(1728),
    [anon_sym_instanceof] = ACTIONS(1728),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_void] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1588),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1564),
    [anon_sym_readonly] = ACTIONS(1564),
    [anon_sym_get] = ACTIONS(1564),
    [anon_sym_set] = ACTIONS(1564),
    [anon_sym_declare] = ACTIONS(1564),
    [anon_sym_public] = ACTIONS(1564),
    [anon_sym_private] = ACTIONS(1564),
    [anon_sym_protected] = ACTIONS(1564),
    [anon_sym_override] = ACTIONS(1564),
    [anon_sym_module] = ACTIONS(1564),
    [anon_sym_any] = ACTIONS(1564),
    [anon_sym_number] = ACTIONS(1564),
    [anon_sym_boolean] = ACTIONS(1564),
    [anon_sym_string] = ACTIONS(1564),
    [anon_sym_symbol] = ACTIONS(1564),
    [anon_sym_object] = ACTIONS(1564),
    [anon_sym_satisfies] = ACTIONS(1728),
    [sym__ternary_qmark] = ACTIONS(1734),
    [sym_html_comment] = ACTIONS(5),
  },
  [227] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3035),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7312),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3830),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7314),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(227),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1632),
    [anon_sym_STAR] = ACTIONS(1784),
    [anon_sym_type] = ACTIONS(1632),
    [anon_sym_as] = ACTIONS(1728),
    [anon_sym_namespace] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1638),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1632),
    [anon_sym_BANG] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1640),
    [anon_sym_in] = ACTIONS(1728),
    [anon_sym_of] = ACTIONS(1728),
    [anon_sym_yield] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1728),
    [anon_sym_DOT] = ACTIONS(1728),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1644),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_QMARK_DOT] = ACTIONS(1728),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1648),
    [anon_sym_AMP_AMP] = ACTIONS(1728),
    [anon_sym_PIPE_PIPE] = ACTIONS(1728),
    [anon_sym_GT_GT] = ACTIONS(1728),
    [anon_sym_GT_GT_GT] = ACTIONS(1728),
    [anon_sym_LT_LT] = ACTIONS(1728),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_CARET] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(1638),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_PERCENT] = ACTIONS(1728),
    [anon_sym_STAR_STAR] = ACTIONS(1728),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1728),
    [anon_sym_GT_EQ] = ACTIONS(1728),
    [anon_sym_QMARK_QMARK] = ACTIONS(1728),
    [anon_sym_instanceof] = ACTIONS(1728),
    [anon_sym_TILDE] = ACTIONS(1638),
    [anon_sym_void] = ACTIONS(1638),
    [anon_sym_delete] = ACTIONS(1638),
    [anon_sym_PLUS_PLUS] = ACTIONS(1654),
    [anon_sym_DASH_DASH] = ACTIONS(1654),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1656),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1632),
    [anon_sym_readonly] = ACTIONS(1632),
    [anon_sym_get] = ACTIONS(1632),
    [anon_sym_set] = ACTIONS(1632),
    [anon_sym_declare] = ACTIONS(1632),
    [anon_sym_public] = ACTIONS(1632),
    [anon_sym_private] = ACTIONS(1632),
    [anon_sym_protected] = ACTIONS(1632),
    [anon_sym_override] = ACTIONS(1632),
    [anon_sym_module] = ACTIONS(1632),
    [anon_sym_any] = ACTIONS(1632),
    [anon_sym_number] = ACTIONS(1632),
    [anon_sym_boolean] = ACTIONS(1632),
    [anon_sym_string] = ACTIONS(1632),
    [anon_sym_symbol] = ACTIONS(1632),
    [anon_sym_object] = ACTIONS(1632),
    [anon_sym_satisfies] = ACTIONS(1728),
    [sym__ternary_qmark] = ACTIONS(1734),
    [sym_html_comment] = ACTIONS(5),
  },
  [228] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3302),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(228),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(1790),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_as] = ACTIONS(1728),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_in] = ACTIONS(1728),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1728),
    [anon_sym_DOT] = ACTIONS(1728),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_QMARK_DOT] = ACTIONS(1728),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_AMP_AMP] = ACTIONS(1728),
    [anon_sym_PIPE_PIPE] = ACTIONS(1728),
    [anon_sym_GT_GT] = ACTIONS(1728),
    [anon_sym_GT_GT_GT] = ACTIONS(1728),
    [anon_sym_LT_LT] = ACTIONS(1728),
    [anon_sym_AMP] = ACTIONS(1728),
    [anon_sym_CARET] = ACTIONS(1728),
    [anon_sym_PIPE] = ACTIONS(1728),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_PERCENT] = ACTIONS(1728),
    [anon_sym_STAR_STAR] = ACTIONS(1728),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_LT_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ] = ACTIONS(1728),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ] = ACTIONS(1728),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1728),
    [anon_sym_GT_EQ] = ACTIONS(1728),
    [anon_sym_QMARK_QMARK] = ACTIONS(1728),
    [anon_sym_instanceof] = ACTIONS(1728),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_satisfies] = ACTIONS(1728),
    [sym__ternary_qmark] = ACTIONS(1734),
    [sym_html_comment] = ACTIONS(5),
  },
  [229] = {
    [sym_declaration] = STATE(1490),
    [sym_import] = STATE(4293),
    [sym_variable_declaration] = STATE(1206),
    [sym_lexical_declaration] = STATE(1206),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2918),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1206),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1206),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1206),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(229),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_function_signature] = STATE(1206),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1206),
    [sym_abstract_class_declaration] = STATE(1206),
    [sym_module] = STATE(1206),
    [sym_internal_module] = STATE(387),
    [sym_import_alias] = STATE(1206),
    [sym_interface_declaration] = STATE(1206),
    [sym_enum_declaration] = STATE(1206),
    [sym_type_alias_declaration] = STATE(1206),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5181),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1792),
    [anon_sym_namespace] = ACTIONS(1794),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(1796),
    [anon_sym_var] = ACTIONS(904),
    [anon_sym_let] = ACTIONS(1798),
    [anon_sym_const] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(936),
    [anon_sym_async] = ACTIONS(1800),
    [anon_sym_function] = ACTIONS(940),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1802),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1804),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [anon_sym_abstract] = ACTIONS(950),
    [anon_sym_interface] = ACTIONS(952),
    [anon_sym_enum] = ACTIONS(954),
    [sym_html_comment] = ACTIONS(5),
  },
  [230] = {
    [sym_declaration] = STATE(988),
    [sym_import] = STATE(4293),
    [sym_variable_declaration] = STATE(1003),
    [sym_lexical_declaration] = STATE(1003),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2843),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1003),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1003),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1003),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(230),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_function_signature] = STATE(1003),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1003),
    [sym_abstract_class_declaration] = STATE(1003),
    [sym_module] = STATE(1003),
    [sym_internal_module] = STATE(303),
    [sym_import_alias] = STATE(1003),
    [sym_interface_declaration] = STATE(1003),
    [sym_enum_declaration] = STATE(1003),
    [sym_type_alias_declaration] = STATE(1003),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4954),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1806),
    [anon_sym_namespace] = ACTIONS(1808),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(1810),
    [anon_sym_var] = ACTIONS(776),
    [anon_sym_let] = ACTIONS(1812),
    [anon_sym_const] = ACTIONS(780),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(808),
    [anon_sym_async] = ACTIONS(1814),
    [anon_sym_function] = ACTIONS(812),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1816),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1818),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [anon_sym_abstract] = ACTIONS(822),
    [anon_sym_interface] = ACTIONS(824),
    [anon_sym_enum] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [231] = {
    [sym_declaration] = STATE(5121),
    [sym_import] = STATE(4293),
    [sym_variable_declaration] = STATE(4937),
    [sym_lexical_declaration] = STATE(4937),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2905),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(4937),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(4937),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(4937),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(231),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_function_signature] = STATE(4937),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(4937),
    [sym_abstract_class_declaration] = STATE(4937),
    [sym_module] = STATE(4937),
    [sym_internal_module] = STATE(3044),
    [sym_import_alias] = STATE(4937),
    [sym_interface_declaration] = STATE(4937),
    [sym_enum_declaration] = STATE(4937),
    [sym_type_alias_declaration] = STATE(4937),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5120),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1820),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(1822),
    [anon_sym_var] = ACTIONS(1824),
    [anon_sym_let] = ACTIONS(1826),
    [anon_sym_const] = ACTIONS(1828),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1830),
    [anon_sym_async] = ACTIONS(1832),
    [anon_sym_function] = ACTIONS(1834),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1836),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1838),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [anon_sym_abstract] = ACTIONS(1840),
    [anon_sym_interface] = ACTIONS(1842),
    [anon_sym_enum] = ACTIONS(1844),
    [sym_html_comment] = ACTIONS(5),
  },
  [232] = {
    [sym_declaration] = STATE(1541),
    [sym_import] = STATE(4293),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2978),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(232),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5340),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1846),
    [anon_sym_namespace] = ACTIONS(1848),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(1850),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(1852),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(1854),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1856),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1858),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [233] = {
    [sym_declaration] = STATE(1234),
    [sym_import] = STATE(4293),
    [sym_variable_declaration] = STATE(1244),
    [sym_lexical_declaration] = STATE(1244),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2868),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1244),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1244),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1244),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(233),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_function_signature] = STATE(1244),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1244),
    [sym_abstract_class_declaration] = STATE(1244),
    [sym_module] = STATE(1244),
    [sym_internal_module] = STATE(419),
    [sym_import_alias] = STATE(1244),
    [sym_interface_declaration] = STATE(1244),
    [sym_enum_declaration] = STATE(1244),
    [sym_type_alias_declaration] = STATE(1244),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5081),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1860),
    [anon_sym_namespace] = ACTIONS(1862),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(1864),
    [anon_sym_var] = ACTIONS(351),
    [anon_sym_let] = ACTIONS(1866),
    [anon_sym_const] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(383),
    [anon_sym_async] = ACTIONS(1868),
    [anon_sym_function] = ACTIONS(387),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1870),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1872),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [anon_sym_abstract] = ACTIONS(397),
    [anon_sym_interface] = ACTIONS(399),
    [anon_sym_enum] = ACTIONS(401),
    [sym_html_comment] = ACTIONS(5),
  },
  [234] = {
    [sym_declaration] = STATE(1230),
    [sym_import] = STATE(4293),
    [sym_variable_declaration] = STATE(1206),
    [sym_lexical_declaration] = STATE(1206),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2923),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1206),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1206),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1206),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(234),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_function_signature] = STATE(1206),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1206),
    [sym_abstract_class_declaration] = STATE(1206),
    [sym_module] = STATE(1206),
    [sym_internal_module] = STATE(387),
    [sym_import_alias] = STATE(1206),
    [sym_interface_declaration] = STATE(1206),
    [sym_enum_declaration] = STATE(1206),
    [sym_type_alias_declaration] = STATE(1206),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5181),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1792),
    [anon_sym_namespace] = ACTIONS(1794),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(1796),
    [anon_sym_var] = ACTIONS(904),
    [anon_sym_let] = ACTIONS(1798),
    [anon_sym_const] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(936),
    [anon_sym_async] = ACTIONS(1800),
    [anon_sym_function] = ACTIONS(940),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1802),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1804),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [anon_sym_abstract] = ACTIONS(950),
    [anon_sym_interface] = ACTIONS(952),
    [anon_sym_enum] = ACTIONS(954),
    [sym_html_comment] = ACTIONS(5),
  },
  [235] = {
    [sym_declaration] = STATE(6498),
    [sym_import] = STATE(4293),
    [sym_variable_declaration] = STATE(6698),
    [sym_lexical_declaration] = STATE(6698),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2924),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(6698),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(6698),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(6698),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(235),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_function_signature] = STATE(6698),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(6698),
    [sym_abstract_class_declaration] = STATE(6698),
    [sym_module] = STATE(6698),
    [sym_internal_module] = STATE(3227),
    [sym_import_alias] = STATE(6698),
    [sym_interface_declaration] = STATE(6698),
    [sym_enum_declaration] = STATE(6698),
    [sym_type_alias_declaration] = STATE(6698),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5295),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1874),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(1876),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(1878),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(872),
    [anon_sym_async] = ACTIONS(1880),
    [anon_sym_function] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1882),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1884),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [anon_sym_abstract] = ACTIONS(886),
    [anon_sym_interface] = ACTIONS(888),
    [anon_sym_enum] = ACTIONS(890),
    [sym_html_comment] = ACTIONS(5),
  },
  [236] = {
    [sym_declaration] = STATE(1628),
    [sym_import] = STATE(4293),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2828),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1623),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(236),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_function_signature] = STATE(1623),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(451),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5340),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1846),
    [anon_sym_namespace] = ACTIONS(1848),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(1850),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(1852),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(1854),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1856),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1858),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [237] = {
    [sym_declaration] = STATE(990),
    [sym_import] = STATE(4293),
    [sym_variable_declaration] = STATE(1003),
    [sym_lexical_declaration] = STATE(1003),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2846),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1003),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1003),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1003),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(237),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_function_signature] = STATE(1003),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1003),
    [sym_abstract_class_declaration] = STATE(1003),
    [sym_module] = STATE(1003),
    [sym_internal_module] = STATE(303),
    [sym_import_alias] = STATE(1003),
    [sym_interface_declaration] = STATE(1003),
    [sym_enum_declaration] = STATE(1003),
    [sym_type_alias_declaration] = STATE(1003),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(4954),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1806),
    [anon_sym_namespace] = ACTIONS(1808),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(1810),
    [anon_sym_var] = ACTIONS(776),
    [anon_sym_let] = ACTIONS(1812),
    [anon_sym_const] = ACTIONS(780),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(808),
    [anon_sym_async] = ACTIONS(1814),
    [anon_sym_function] = ACTIONS(812),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1816),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1818),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [anon_sym_abstract] = ACTIONS(822),
    [anon_sym_interface] = ACTIONS(824),
    [anon_sym_enum] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [238] = {
    [sym_declaration] = STATE(4926),
    [sym_import] = STATE(4293),
    [sym_variable_declaration] = STATE(4937),
    [sym_lexical_declaration] = STATE(4937),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2900),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(4937),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(4937),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(4937),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(238),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_function_signature] = STATE(4937),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(4937),
    [sym_abstract_class_declaration] = STATE(4937),
    [sym_module] = STATE(4937),
    [sym_internal_module] = STATE(3044),
    [sym_import_alias] = STATE(4937),
    [sym_interface_declaration] = STATE(4937),
    [sym_enum_declaration] = STATE(4937),
    [sym_type_alias_declaration] = STATE(4937),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5120),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1820),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(1822),
    [anon_sym_var] = ACTIONS(1824),
    [anon_sym_let] = ACTIONS(1826),
    [anon_sym_const] = ACTIONS(1828),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1830),
    [anon_sym_async] = ACTIONS(1832),
    [anon_sym_function] = ACTIONS(1834),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1836),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1838),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [anon_sym_abstract] = ACTIONS(1840),
    [anon_sym_interface] = ACTIONS(1842),
    [anon_sym_enum] = ACTIONS(1844),
    [sym_html_comment] = ACTIONS(5),
  },
  [239] = {
    [sym_declaration] = STATE(1200),
    [sym_import] = STATE(4293),
    [sym_variable_declaration] = STATE(1244),
    [sym_lexical_declaration] = STATE(1244),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2891),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(1244),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(1244),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(1244),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(239),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_function_signature] = STATE(1244),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(1244),
    [sym_abstract_class_declaration] = STATE(1244),
    [sym_module] = STATE(1244),
    [sym_internal_module] = STATE(419),
    [sym_import_alias] = STATE(1244),
    [sym_interface_declaration] = STATE(1244),
    [sym_enum_declaration] = STATE(1244),
    [sym_type_alias_declaration] = STATE(1244),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5081),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1860),
    [anon_sym_namespace] = ACTIONS(1862),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(1864),
    [anon_sym_var] = ACTIONS(351),
    [anon_sym_let] = ACTIONS(1866),
    [anon_sym_const] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(383),
    [anon_sym_async] = ACTIONS(1868),
    [anon_sym_function] = ACTIONS(387),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1870),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1872),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [anon_sym_abstract] = ACTIONS(397),
    [anon_sym_interface] = ACTIONS(399),
    [anon_sym_enum] = ACTIONS(401),
    [sym_html_comment] = ACTIONS(5),
  },
  [240] = {
    [sym_declaration] = STATE(6666),
    [sym_import] = STATE(4293),
    [sym_variable_declaration] = STATE(6698),
    [sym_lexical_declaration] = STATE(6698),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2966),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_class_declaration] = STATE(6698),
    [sym_function_expression] = STATE(3051),
    [sym_function_declaration] = STATE(6698),
    [sym_generator_function] = STATE(3051),
    [sym_generator_function_declaration] = STATE(6698),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(240),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_function_signature] = STATE(6698),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_ambient_declaration] = STATE(6698),
    [sym_abstract_class_declaration] = STATE(6698),
    [sym_module] = STATE(6698),
    [sym_internal_module] = STATE(3227),
    [sym_import_alias] = STATE(6698),
    [sym_interface_declaration] = STATE(6698),
    [sym_enum_declaration] = STATE(6698),
    [sym_type_alias_declaration] = STATE(6698),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5295),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1874),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(1876),
    [anon_sym_var] = ACTIONS(840),
    [anon_sym_let] = ACTIONS(1878),
    [anon_sym_const] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(872),
    [anon_sym_async] = ACTIONS(1880),
    [anon_sym_function] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1882),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1884),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [anon_sym_abstract] = ACTIONS(886),
    [anon_sym_interface] = ACTIONS(888),
    [anon_sym_enum] = ACTIONS(890),
    [sym_html_comment] = ACTIONS(5),
  },
  [241] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(241),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(3847),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1135),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [242] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(242),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(3847),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1175),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [243] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(243),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(3847),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1183),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1189),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [244] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(244),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(3847),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [245] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(245),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(3847),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1135),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_COMMA] = ACTIONS(1208),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(1208),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [246] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(246),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(3847),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_COMMA] = ACTIONS(216),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(216),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [247] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4104),
    [sym_comment] = STATE(247),
    [sym_formal_parameters] = STATE(7432),
    [sym_nested_type_identifier] = STATE(3989),
    [sym__type] = STATE(4108),
    [sym_constructor_type] = STATE(4101),
    [sym__primary_type] = STATE(4067),
    [sym_template_literal_type] = STATE(4110),
    [sym_infer_type] = STATE(4101),
    [sym_conditional_type] = STATE(4110),
    [sym_generic_type] = STATE(4110),
    [sym_type_query] = STATE(4110),
    [sym_index_type_query] = STATE(4110),
    [sym_lookup_type] = STATE(4110),
    [sym_literal_type] = STATE(4110),
    [sym__number] = STATE(4068),
    [sym_existential_type] = STATE(4110),
    [sym_flow_maybe_type] = STATE(4110),
    [sym_parenthesized_type] = STATE(4110),
    [sym_predefined_type] = STATE(4110),
    [sym_object_type] = STATE(4110),
    [sym_type_parameters] = STATE(7009),
    [sym_array_type] = STATE(4110),
    [sym_tuple_type] = STATE(4110),
    [sym_readonly_type] = STATE(4101),
    [sym_union_type] = STATE(4110),
    [sym_intersection_type] = STATE(4110),
    [sym_function_type] = STATE(4101),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_COMMA] = ACTIONS(216),
    [anon_sym_RBRACE] = ACTIONS(216),
    [anon_sym_typeof] = ACTIONS(1914),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1928),
    [sym_number] = ACTIONS(1930),
    [sym_this] = ACTIONS(1932),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [sym_null] = ACTIONS(1930),
    [sym_undefined] = ACTIONS(1930),
    [anon_sym_readonly] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_abstract] = ACTIONS(1342),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(1344),
    [anon_sym_keyof] = ACTIONS(1346),
    [anon_sym_unique] = ACTIONS(1348),
    [anon_sym_unknown] = ACTIONS(1350),
    [anon_sym_never] = ACTIONS(1350),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1352),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [248] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2369),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym__formal_parameter] = STATE(6020),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2069),
    [sym_subscript_expression] = STATE(2069),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4577),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_sequence_expression] = STATE(7139),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(248),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(2088),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5160),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2069),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_accessibility_modifier] = STATE(413),
    [sym_override_modifier] = STATE(444),
    [sym_required_parameter] = STATE(7039),
    [sym_optional_parameter] = STATE(7039),
    [sym__parameter_name] = STATE(4704),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(1936),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1143),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1938),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(1940),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1942),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(1161),
    [anon_sym_private] = ACTIONS(1161),
    [anon_sym_protected] = ACTIONS(1161),
    [anon_sym_override] = ACTIONS(1163),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_object] = ACTIONS(958),
    [sym_html_comment] = ACTIONS(5),
  },
  [249] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2447),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym__formal_parameter] = STATE(6020),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2069),
    [sym_subscript_expression] = STATE(2069),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4577),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_sequence_expression] = STATE(7093),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(249),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(2088),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5160),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2069),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_accessibility_modifier] = STATE(413),
    [sym_override_modifier] = STATE(444),
    [sym_required_parameter] = STATE(7039),
    [sym_optional_parameter] = STATE(7039),
    [sym__parameter_name] = STATE(4704),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(1936),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1143),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1938),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(1940),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1942),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(1944),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(1161),
    [anon_sym_private] = ACTIONS(1161),
    [anon_sym_protected] = ACTIONS(1161),
    [anon_sym_override] = ACTIONS(1163),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_object] = ACTIONS(958),
    [sym_html_comment] = ACTIONS(5),
  },
  [250] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(250),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(3847),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1266),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1272),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [251] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(251),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(3847),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1250),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1244),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [252] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(252),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(3847),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1232),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1238),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [253] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym__formal_parameter] = STATE(7074),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2067),
    [sym_subscript_expression] = STATE(2067),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4604),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(253),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(2088),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5160),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2067),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_accessibility_modifier] = STATE(413),
    [sym_override_modifier] = STATE(444),
    [sym_required_parameter] = STATE(7039),
    [sym_optional_parameter] = STATE(7039),
    [sym__parameter_name] = STATE(4704),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1946),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1950),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1952),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1171),
    [anon_sym_private] = ACTIONS(1171),
    [anon_sym_protected] = ACTIONS(1171),
    [anon_sym_override] = ACTIONS(1173),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [254] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym__formal_parameter] = STATE(5808),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2067),
    [sym_subscript_expression] = STATE(2067),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4604),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(254),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(2088),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5160),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2067),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_accessibility_modifier] = STATE(413),
    [sym_override_modifier] = STATE(444),
    [sym_required_parameter] = STATE(7039),
    [sym_optional_parameter] = STATE(7039),
    [sym__parameter_name] = STATE(4704),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1954),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1950),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1952),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1171),
    [anon_sym_private] = ACTIONS(1171),
    [anon_sym_protected] = ACTIONS(1171),
    [anon_sym_override] = ACTIONS(1173),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [255] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(255),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(3847),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1280),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1286),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [256] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym__formal_parameter] = STATE(7074),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2067),
    [sym_subscript_expression] = STATE(2067),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4604),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(256),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(2088),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5160),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2067),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_accessibility_modifier] = STATE(413),
    [sym_override_modifier] = STATE(444),
    [sym_required_parameter] = STATE(7039),
    [sym_optional_parameter] = STATE(7039),
    [sym__parameter_name] = STATE(4704),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1956),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1950),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1952),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1171),
    [anon_sym_private] = ACTIONS(1171),
    [anon_sym_protected] = ACTIONS(1171),
    [anon_sym_override] = ACTIONS(1173),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [257] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym__formal_parameter] = STATE(7074),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2067),
    [sym_subscript_expression] = STATE(2067),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4604),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(257),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(2088),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5160),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2067),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_accessibility_modifier] = STATE(413),
    [sym_override_modifier] = STATE(444),
    [sym_required_parameter] = STATE(7039),
    [sym_optional_parameter] = STATE(7039),
    [sym__parameter_name] = STATE(4704),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1958),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1950),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1952),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1171),
    [anon_sym_private] = ACTIONS(1171),
    [anon_sym_protected] = ACTIONS(1171),
    [anon_sym_override] = ACTIONS(1173),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [258] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(258),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(3847),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1258),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1224),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [259] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym__formal_parameter] = STATE(7074),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2067),
    [sym_subscript_expression] = STATE(2067),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4604),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(259),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(2088),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5160),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2067),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_accessibility_modifier] = STATE(413),
    [sym_override_modifier] = STATE(444),
    [sym_required_parameter] = STATE(7039),
    [sym_optional_parameter] = STATE(7039),
    [sym__parameter_name] = STATE(4704),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1960),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1950),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1952),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1171),
    [anon_sym_private] = ACTIONS(1171),
    [anon_sym_protected] = ACTIONS(1171),
    [anon_sym_override] = ACTIONS(1173),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [260] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym__formal_parameter] = STATE(7074),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2067),
    [sym_subscript_expression] = STATE(2067),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4604),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(260),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(2088),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5160),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2067),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_accessibility_modifier] = STATE(413),
    [sym_override_modifier] = STATE(444),
    [sym_required_parameter] = STATE(7039),
    [sym_optional_parameter] = STATE(7039),
    [sym__parameter_name] = STATE(4704),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1962),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1950),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1952),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1171),
    [anon_sym_private] = ACTIONS(1171),
    [anon_sym_protected] = ACTIONS(1171),
    [anon_sym_override] = ACTIONS(1173),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [261] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(261),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(3847),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [262] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym__formal_parameter] = STATE(7074),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2067),
    [sym_subscript_expression] = STATE(2067),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4604),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(262),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(2088),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5160),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2067),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_accessibility_modifier] = STATE(413),
    [sym_override_modifier] = STATE(444),
    [sym_required_parameter] = STATE(7039),
    [sym_optional_parameter] = STATE(7039),
    [sym__parameter_name] = STATE(4704),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1964),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1950),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1952),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1171),
    [anon_sym_private] = ACTIONS(1171),
    [anon_sym_protected] = ACTIONS(1171),
    [anon_sym_override] = ACTIONS(1173),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [263] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym__formal_parameter] = STATE(6020),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2067),
    [sym_subscript_expression] = STATE(2067),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4604),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(263),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(2088),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5160),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2067),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_accessibility_modifier] = STATE(413),
    [sym_override_modifier] = STATE(444),
    [sym_required_parameter] = STATE(7039),
    [sym_optional_parameter] = STATE(7039),
    [sym__parameter_name] = STATE(4704),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1143),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1950),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1952),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1171),
    [anon_sym_private] = ACTIONS(1171),
    [anon_sym_protected] = ACTIONS(1171),
    [anon_sym_override] = ACTIONS(1173),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [264] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym__formal_parameter] = STATE(6045),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2067),
    [sym_subscript_expression] = STATE(2067),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4604),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(264),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(2088),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5160),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2067),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_accessibility_modifier] = STATE(413),
    [sym_override_modifier] = STATE(444),
    [sym_required_parameter] = STATE(7039),
    [sym_optional_parameter] = STATE(7039),
    [sym__parameter_name] = STATE(4704),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1966),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1950),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1952),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1171),
    [anon_sym_private] = ACTIONS(1171),
    [anon_sym_protected] = ACTIONS(1171),
    [anon_sym_override] = ACTIONS(1173),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [265] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2734),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_assignment_pattern] = STATE(6079),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2069),
    [sym_subscript_expression] = STATE(2069),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4577),
    [sym_spread_element] = STATE(6075),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(265),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5622),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2069),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [aux_sym_array_repeat1] = STATE(6080),
    [aux_sym_array_pattern_repeat1] = STATE(6095),
    [sym_identifier] = ACTIONS(1936),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(1968),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_RBRACK] = ACTIONS(1970),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1938),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1942),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_object] = ACTIONS(958),
    [sym_html_comment] = ACTIONS(5),
  },
  [266] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2715),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_assignment_pattern] = STATE(6079),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2069),
    [sym_subscript_expression] = STATE(2069),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4577),
    [sym_spread_element] = STATE(6085),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(266),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5622),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2069),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [aux_sym_array_repeat1] = STATE(6093),
    [aux_sym_array_pattern_repeat1] = STATE(6095),
    [sym_identifier] = ACTIONS(1936),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(1968),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_RBRACK] = ACTIONS(1972),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1938),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1942),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_object] = ACTIONS(958),
    [sym_html_comment] = ACTIONS(5),
  },
  [267] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2370),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(267),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(1974),
    [anon_sym_RBRACE] = ACTIONS(1974),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1974),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1974),
    [anon_sym_RBRACK] = ACTIONS(1974),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1974),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(1974),
    [anon_sym_PIPE] = ACTIONS(1974),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_QMARK] = ACTIONS(1974),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [anon_sym_extends] = ACTIONS(1974),
    [sym_html_comment] = ACTIONS(5),
  },
  [268] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2734),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_assignment_pattern] = STATE(6079),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2069),
    [sym_subscript_expression] = STATE(2069),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4577),
    [sym_spread_element] = STATE(6075),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(268),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5622),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2069),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [aux_sym_array_repeat1] = STATE(6080),
    [aux_sym_array_pattern_repeat1] = STATE(6095),
    [sym_identifier] = ACTIONS(1936),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(1968),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_RBRACK] = ACTIONS(1976),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1938),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1942),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_object] = ACTIONS(958),
    [sym_html_comment] = ACTIONS(5),
  },
  [269] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2734),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_assignment_pattern] = STATE(6079),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2069),
    [sym_subscript_expression] = STATE(2069),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4577),
    [sym_spread_element] = STATE(6075),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(269),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5622),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2069),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [aux_sym_array_repeat1] = STATE(6080),
    [aux_sym_array_pattern_repeat1] = STATE(6095),
    [sym_identifier] = ACTIONS(1936),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(1968),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_RBRACK] = ACTIONS(1978),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1938),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1942),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_object] = ACTIONS(958),
    [sym_html_comment] = ACTIONS(5),
  },
  [270] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2744),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_assignment_pattern] = STATE(6079),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2069),
    [sym_subscript_expression] = STATE(2069),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4577),
    [sym_spread_element] = STATE(6085),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(270),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5622),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2069),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [aux_sym_array_repeat1] = STATE(6093),
    [aux_sym_array_pattern_repeat1] = STATE(6095),
    [sym_identifier] = ACTIONS(1936),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(1968),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_RBRACK] = ACTIONS(1972),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1938),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1942),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_object] = ACTIONS(958),
    [sym_html_comment] = ACTIONS(5),
  },
  [271] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2734),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_assignment_pattern] = STATE(6079),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2069),
    [sym_subscript_expression] = STATE(2069),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4577),
    [sym_spread_element] = STATE(6075),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(271),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5622),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2069),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [aux_sym_array_repeat1] = STATE(6080),
    [aux_sym_array_pattern_repeat1] = STATE(6095),
    [sym_identifier] = ACTIONS(1936),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(1968),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_RBRACK] = ACTIONS(1980),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1938),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1942),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_object] = ACTIONS(958),
    [sym_html_comment] = ACTIONS(5),
  },
  [272] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(272),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(3847),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [273] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2734),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_assignment_pattern] = STATE(6079),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2069),
    [sym_subscript_expression] = STATE(2069),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4577),
    [sym_spread_element] = STATE(6075),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(273),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5622),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2069),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [aux_sym_array_repeat1] = STATE(6080),
    [aux_sym_array_pattern_repeat1] = STATE(6095),
    [sym_identifier] = ACTIONS(1936),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(1968),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_RBRACK] = ACTIONS(1982),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1938),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1942),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_object] = ACTIONS(958),
    [sym_html_comment] = ACTIONS(5),
  },
  [274] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym__formal_parameter] = STATE(7074),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2067),
    [sym_subscript_expression] = STATE(2067),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4604),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(274),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(2088),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5160),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2067),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_accessibility_modifier] = STATE(413),
    [sym_override_modifier] = STATE(444),
    [sym_required_parameter] = STATE(7039),
    [sym_optional_parameter] = STATE(7039),
    [sym__parameter_name] = STATE(4704),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(339),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1950),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1952),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1171),
    [anon_sym_private] = ACTIONS(1171),
    [anon_sym_protected] = ACTIONS(1171),
    [anon_sym_override] = ACTIONS(1173),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [275] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2715),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_assignment_pattern] = STATE(6079),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2069),
    [sym_subscript_expression] = STATE(2069),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4577),
    [sym_spread_element] = STATE(6085),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(275),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5622),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2069),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [aux_sym_array_repeat1] = STATE(6093),
    [aux_sym_array_pattern_repeat1] = STATE(6095),
    [sym_identifier] = ACTIONS(1936),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(1968),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_RBRACK] = ACTIONS(1984),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1938),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1942),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_object] = ACTIONS(958),
    [sym_html_comment] = ACTIONS(5),
  },
  [276] = {
    [sym_import] = STATE(4293),
    [sym_expression_statement] = STATE(391),
    [sym_variable_declaration] = STATE(391),
    [sym_lexical_declaration] = STATE(391),
    [sym_empty_statement] = STATE(391),
    [sym_parenthesized_expression] = STATE(2137),
    [sym_expression] = STATE(2624),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2137),
    [sym_subscript_expression] = STATE(2137),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(5988),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6942),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(276),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2137),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1986),
    [anon_sym_export] = ACTIONS(1988),
    [anon_sym_type] = ACTIONS(1988),
    [anon_sym_namespace] = ACTIONS(1990),
    [anon_sym_LBRACE] = ACTIONS(1992),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_var] = ACTIONS(1994),
    [anon_sym_let] = ACTIONS(1996),
    [anon_sym_const] = ACTIONS(1998),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(2000),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(2002),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(2004),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(2008),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1988),
    [anon_sym_readonly] = ACTIONS(1988),
    [anon_sym_get] = ACTIONS(1988),
    [anon_sym_set] = ACTIONS(1988),
    [anon_sym_declare] = ACTIONS(1988),
    [anon_sym_public] = ACTIONS(1988),
    [anon_sym_private] = ACTIONS(1988),
    [anon_sym_protected] = ACTIONS(1988),
    [anon_sym_override] = ACTIONS(1988),
    [anon_sym_module] = ACTIONS(1988),
    [anon_sym_any] = ACTIONS(1988),
    [anon_sym_number] = ACTIONS(1988),
    [anon_sym_boolean] = ACTIONS(1988),
    [anon_sym_string] = ACTIONS(1988),
    [anon_sym_symbol] = ACTIONS(1988),
    [anon_sym_object] = ACTIONS(1988),
    [sym_html_comment] = ACTIONS(5),
  },
  [277] = {
    [sym_import] = STATE(4293),
    [sym_expression_statement] = STATE(386),
    [sym_variable_declaration] = STATE(386),
    [sym_lexical_declaration] = STATE(386),
    [sym_empty_statement] = STATE(386),
    [sym_parenthesized_expression] = STATE(2137),
    [sym_expression] = STATE(2624),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2137),
    [sym_subscript_expression] = STATE(2137),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(5988),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6942),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(277),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2137),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1986),
    [anon_sym_export] = ACTIONS(1988),
    [anon_sym_type] = ACTIONS(1988),
    [anon_sym_namespace] = ACTIONS(1990),
    [anon_sym_LBRACE] = ACTIONS(1992),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_var] = ACTIONS(1994),
    [anon_sym_let] = ACTIONS(1996),
    [anon_sym_const] = ACTIONS(1998),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(2000),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(2002),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(2004),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(2008),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1988),
    [anon_sym_readonly] = ACTIONS(1988),
    [anon_sym_get] = ACTIONS(1988),
    [anon_sym_set] = ACTIONS(1988),
    [anon_sym_declare] = ACTIONS(1988),
    [anon_sym_public] = ACTIONS(1988),
    [anon_sym_private] = ACTIONS(1988),
    [anon_sym_protected] = ACTIONS(1988),
    [anon_sym_override] = ACTIONS(1988),
    [anon_sym_module] = ACTIONS(1988),
    [anon_sym_any] = ACTIONS(1988),
    [anon_sym_number] = ACTIONS(1988),
    [anon_sym_boolean] = ACTIONS(1988),
    [anon_sym_string] = ACTIONS(1988),
    [anon_sym_symbol] = ACTIONS(1988),
    [anon_sym_object] = ACTIONS(1988),
    [sym_html_comment] = ACTIONS(5),
  },
  [278] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2241),
    [sym_expression] = STATE(3294),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_assignment_pattern] = STATE(6079),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2195),
    [sym_subscript_expression] = STATE(2195),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3867),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(5753),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(278),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5622),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2195),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_mapped_type_clause] = STATE(7221),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [aux_sym_array_pattern_repeat1] = STATE(6095),
    [sym_identifier] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(2012),
    [anon_sym_type] = ACTIONS(2012),
    [anon_sym_namespace] = ACTIONS(2014),
    [anon_sym_LBRACE] = ACTIONS(2016),
    [anon_sym_COMMA] = ACTIONS(2018),
    [anon_sym_typeof] = ACTIONS(1570),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2012),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1572),
    [anon_sym_yield] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(2020),
    [anon_sym_RBRACK] = ACTIONS(2022),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(2024),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(2026),
    [anon_sym_using] = ACTIONS(1580),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_void] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1588),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(2028),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2012),
    [anon_sym_readonly] = ACTIONS(2012),
    [anon_sym_get] = ACTIONS(2012),
    [anon_sym_set] = ACTIONS(2012),
    [anon_sym_declare] = ACTIONS(2012),
    [anon_sym_public] = ACTIONS(2012),
    [anon_sym_private] = ACTIONS(2012),
    [anon_sym_protected] = ACTIONS(2012),
    [anon_sym_override] = ACTIONS(2012),
    [anon_sym_module] = ACTIONS(2012),
    [anon_sym_any] = ACTIONS(2012),
    [anon_sym_number] = ACTIONS(2012),
    [anon_sym_boolean] = ACTIONS(2012),
    [anon_sym_string] = ACTIONS(2012),
    [anon_sym_symbol] = ACTIONS(2012),
    [anon_sym_object] = ACTIONS(2012),
    [sym_html_comment] = ACTIONS(5),
  },
  [279] = {
    [sym_import] = STATE(4293),
    [sym_expression_statement] = STATE(415),
    [sym_variable_declaration] = STATE(415),
    [sym_lexical_declaration] = STATE(415),
    [sym_empty_statement] = STATE(415),
    [sym_parenthesized_expression] = STATE(2137),
    [sym_expression] = STATE(2624),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2137),
    [sym_subscript_expression] = STATE(2137),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(5988),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6942),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(279),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2137),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1986),
    [anon_sym_export] = ACTIONS(1988),
    [anon_sym_type] = ACTIONS(1988),
    [anon_sym_namespace] = ACTIONS(1990),
    [anon_sym_LBRACE] = ACTIONS(1992),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_var] = ACTIONS(1994),
    [anon_sym_let] = ACTIONS(1996),
    [anon_sym_const] = ACTIONS(1998),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(2000),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(2002),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(2004),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(2008),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1988),
    [anon_sym_readonly] = ACTIONS(1988),
    [anon_sym_get] = ACTIONS(1988),
    [anon_sym_set] = ACTIONS(1988),
    [anon_sym_declare] = ACTIONS(1988),
    [anon_sym_public] = ACTIONS(1988),
    [anon_sym_private] = ACTIONS(1988),
    [anon_sym_protected] = ACTIONS(1988),
    [anon_sym_override] = ACTIONS(1988),
    [anon_sym_module] = ACTIONS(1988),
    [anon_sym_any] = ACTIONS(1988),
    [anon_sym_number] = ACTIONS(1988),
    [anon_sym_boolean] = ACTIONS(1988),
    [anon_sym_string] = ACTIONS(1988),
    [anon_sym_symbol] = ACTIONS(1988),
    [anon_sym_object] = ACTIONS(1988),
    [sym_html_comment] = ACTIONS(5),
  },
  [280] = {
    [sym_import] = STATE(4293),
    [sym_expression_statement] = STATE(399),
    [sym_variable_declaration] = STATE(399),
    [sym_lexical_declaration] = STATE(399),
    [sym_empty_statement] = STATE(399),
    [sym_parenthesized_expression] = STATE(2137),
    [sym_expression] = STATE(2624),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2137),
    [sym_subscript_expression] = STATE(2137),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(5988),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6942),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(280),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2137),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1986),
    [anon_sym_export] = ACTIONS(1988),
    [anon_sym_type] = ACTIONS(1988),
    [anon_sym_namespace] = ACTIONS(1990),
    [anon_sym_LBRACE] = ACTIONS(1992),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_var] = ACTIONS(1994),
    [anon_sym_let] = ACTIONS(1996),
    [anon_sym_const] = ACTIONS(1998),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(2000),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(2002),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(2004),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(2008),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1988),
    [anon_sym_readonly] = ACTIONS(1988),
    [anon_sym_get] = ACTIONS(1988),
    [anon_sym_set] = ACTIONS(1988),
    [anon_sym_declare] = ACTIONS(1988),
    [anon_sym_public] = ACTIONS(1988),
    [anon_sym_private] = ACTIONS(1988),
    [anon_sym_protected] = ACTIONS(1988),
    [anon_sym_override] = ACTIONS(1988),
    [anon_sym_module] = ACTIONS(1988),
    [anon_sym_any] = ACTIONS(1988),
    [anon_sym_number] = ACTIONS(1988),
    [anon_sym_boolean] = ACTIONS(1988),
    [anon_sym_string] = ACTIONS(1988),
    [anon_sym_symbol] = ACTIONS(1988),
    [anon_sym_object] = ACTIONS(1988),
    [sym_html_comment] = ACTIONS(5),
  },
  [281] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2370),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(281),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(1974),
    [anon_sym_RBRACE] = ACTIONS(1974),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_SEMI] = ACTIONS(1974),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1974),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(1974),
    [anon_sym_PIPE] = ACTIONS(1974),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [anon_sym_extends] = ACTIONS(1974),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1974),
    [sym__automatic_semicolon] = ACTIONS(2030),
    [sym_html_comment] = ACTIONS(5),
  },
  [282] = {
    [sym_import] = STATE(4293),
    [sym_expression_statement] = STATE(380),
    [sym_variable_declaration] = STATE(380),
    [sym_lexical_declaration] = STATE(380),
    [sym_empty_statement] = STATE(380),
    [sym_parenthesized_expression] = STATE(2137),
    [sym_expression] = STATE(2624),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2137),
    [sym_subscript_expression] = STATE(2137),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(5988),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6942),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(282),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2137),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1986),
    [anon_sym_export] = ACTIONS(1988),
    [anon_sym_type] = ACTIONS(1988),
    [anon_sym_namespace] = ACTIONS(1990),
    [anon_sym_LBRACE] = ACTIONS(1992),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_var] = ACTIONS(1994),
    [anon_sym_let] = ACTIONS(1996),
    [anon_sym_const] = ACTIONS(1998),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(2000),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(2002),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(2004),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(2008),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1988),
    [anon_sym_readonly] = ACTIONS(1988),
    [anon_sym_get] = ACTIONS(1988),
    [anon_sym_set] = ACTIONS(1988),
    [anon_sym_declare] = ACTIONS(1988),
    [anon_sym_public] = ACTIONS(1988),
    [anon_sym_private] = ACTIONS(1988),
    [anon_sym_protected] = ACTIONS(1988),
    [anon_sym_override] = ACTIONS(1988),
    [anon_sym_module] = ACTIONS(1988),
    [anon_sym_any] = ACTIONS(1988),
    [anon_sym_number] = ACTIONS(1988),
    [anon_sym_boolean] = ACTIONS(1988),
    [anon_sym_string] = ACTIONS(1988),
    [anon_sym_symbol] = ACTIONS(1988),
    [anon_sym_object] = ACTIONS(1988),
    [sym_html_comment] = ACTIONS(5),
  },
  [283] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2241),
    [sym_expression] = STATE(3231),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_assignment_pattern] = STATE(6079),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2195),
    [sym_subscript_expression] = STATE(2195),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3867),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(5753),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(283),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5622),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2195),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [aux_sym_array_pattern_repeat1] = STATE(6095),
    [sym_identifier] = ACTIONS(2032),
    [anon_sym_export] = ACTIONS(2034),
    [anon_sym_type] = ACTIONS(2034),
    [anon_sym_namespace] = ACTIONS(2036),
    [anon_sym_LBRACE] = ACTIONS(2016),
    [anon_sym_COMMA] = ACTIONS(2018),
    [anon_sym_typeof] = ACTIONS(1570),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2034),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1572),
    [anon_sym_yield] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(2020),
    [anon_sym_RBRACK] = ACTIONS(2022),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(2038),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(2040),
    [anon_sym_using] = ACTIONS(1580),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_void] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1588),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(2028),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2034),
    [anon_sym_readonly] = ACTIONS(2034),
    [anon_sym_get] = ACTIONS(2034),
    [anon_sym_set] = ACTIONS(2034),
    [anon_sym_declare] = ACTIONS(2034),
    [anon_sym_public] = ACTIONS(2034),
    [anon_sym_private] = ACTIONS(2034),
    [anon_sym_protected] = ACTIONS(2034),
    [anon_sym_override] = ACTIONS(2034),
    [anon_sym_module] = ACTIONS(2034),
    [anon_sym_any] = ACTIONS(2034),
    [anon_sym_number] = ACTIONS(2034),
    [anon_sym_boolean] = ACTIONS(2034),
    [anon_sym_string] = ACTIONS(2034),
    [anon_sym_symbol] = ACTIONS(2034),
    [anon_sym_object] = ACTIONS(2034),
    [sym_html_comment] = ACTIONS(5),
  },
  [284] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_assignment_pattern] = STATE(6079),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2067),
    [sym_subscript_expression] = STATE(2067),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4604),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(284),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5622),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2067),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [aux_sym_array_pattern_repeat1] = STATE(6095),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_COMMA] = ACTIONS(2018),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_RBRACK] = ACTIONS(2022),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [285] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2780),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_assignment_pattern] = STATE(6823),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2069),
    [sym_subscript_expression] = STATE(2069),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4577),
    [sym_spread_element] = STATE(5867),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(285),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5866),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2069),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1936),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(2042),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_RBRACK] = ACTIONS(2045),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1938),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1942),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_object] = ACTIONS(958),
    [sym_html_comment] = ACTIONS(5),
  },
  [286] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2780),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_assignment_pattern] = STATE(6823),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2069),
    [sym_subscript_expression] = STATE(2069),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4577),
    [sym_spread_element] = STATE(5867),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(286),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5866),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2069),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1936),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(2042),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_RBRACK] = ACTIONS(2049),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1938),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1942),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_object] = ACTIONS(958),
    [sym_html_comment] = ACTIONS(5),
  },
  [287] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2780),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_assignment_pattern] = STATE(6823),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2069),
    [sym_subscript_expression] = STATE(2069),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4577),
    [sym_spread_element] = STATE(5867),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(287),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5866),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2069),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1936),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(2042),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_RBRACK] = ACTIONS(2042),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1938),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1942),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_object] = ACTIONS(958),
    [sym_html_comment] = ACTIONS(5),
  },
  [288] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_assignment_pattern] = STATE(6072),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2067),
    [sym_subscript_expression] = STATE(2067),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4604),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(288),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5623),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2067),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [aux_sym_array_pattern_repeat1] = STATE(6083),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_COMMA] = ACTIONS(2018),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_RBRACK] = ACTIONS(2053),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [289] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3299),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(289),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(1974),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1974),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1974),
    [anon_sym_RBRACK] = ACTIONS(1974),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1974),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_AMP] = ACTIONS(1974),
    [anon_sym_PIPE] = ACTIONS(1974),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [anon_sym_extends] = ACTIONS(1974),
    [sym_html_comment] = ACTIONS(5),
  },
  [290] = {
    [sym_statement_block] = STATE(308),
    [sym_comment] = STATE(290),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2055),
    [anon_sym_default] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_as] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2057),
    [anon_sym_COMMA] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_else] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_in] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_case] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_GT] = ACTIONS(2055),
    [anon_sym_DOT] = ACTIONS(2059),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_QMARK_DOT] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_AMP_AMP] = ACTIONS(2055),
    [anon_sym_PIPE_PIPE] = ACTIONS(2055),
    [anon_sym_GT_GT] = ACTIONS(2055),
    [anon_sym_GT_GT_GT] = ACTIONS(2055),
    [anon_sym_LT_LT] = ACTIONS(2055),
    [anon_sym_AMP] = ACTIONS(2055),
    [anon_sym_CARET] = ACTIONS(2055),
    [anon_sym_PIPE] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_PERCENT] = ACTIONS(2055),
    [anon_sym_STAR_STAR] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_LT_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2055),
    [anon_sym_GT_EQ] = ACTIONS(2055),
    [anon_sym_QMARK_QMARK] = ACTIONS(2055),
    [anon_sym_instanceof] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_satisfies] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(2061),
    [sym__ternary_qmark] = ACTIONS(2061),
    [sym_html_comment] = ACTIONS(5),
  },
  [291] = {
    [sym_statement_block] = STATE(308),
    [sym_comment] = STATE(291),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2055),
    [anon_sym_default] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_as] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2057),
    [anon_sym_COMMA] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_else] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_in] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_case] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_GT] = ACTIONS(2055),
    [anon_sym_DOT] = ACTIONS(2063),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_QMARK_DOT] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_AMP_AMP] = ACTIONS(2055),
    [anon_sym_PIPE_PIPE] = ACTIONS(2055),
    [anon_sym_GT_GT] = ACTIONS(2055),
    [anon_sym_GT_GT_GT] = ACTIONS(2055),
    [anon_sym_LT_LT] = ACTIONS(2055),
    [anon_sym_AMP] = ACTIONS(2055),
    [anon_sym_CARET] = ACTIONS(2055),
    [anon_sym_PIPE] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_PERCENT] = ACTIONS(2055),
    [anon_sym_STAR_STAR] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_LT_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2055),
    [anon_sym_GT_EQ] = ACTIONS(2055),
    [anon_sym_QMARK_QMARK] = ACTIONS(2055),
    [anon_sym_instanceof] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_satisfies] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(2061),
    [sym__ternary_qmark] = ACTIONS(2061),
    [sym_html_comment] = ACTIONS(5),
  },
  [292] = {
    [sym_statement_block] = STATE(308),
    [sym_comment] = STATE(292),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2055),
    [anon_sym_default] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_as] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2057),
    [anon_sym_COMMA] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_else] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_in] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_case] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_GT] = ACTIONS(2055),
    [anon_sym_DOT] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_QMARK_DOT] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_AMP_AMP] = ACTIONS(2055),
    [anon_sym_PIPE_PIPE] = ACTIONS(2055),
    [anon_sym_GT_GT] = ACTIONS(2055),
    [anon_sym_GT_GT_GT] = ACTIONS(2055),
    [anon_sym_LT_LT] = ACTIONS(2055),
    [anon_sym_AMP] = ACTIONS(2055),
    [anon_sym_CARET] = ACTIONS(2055),
    [anon_sym_PIPE] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_PERCENT] = ACTIONS(2055),
    [anon_sym_STAR_STAR] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_LT_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2055),
    [anon_sym_GT_EQ] = ACTIONS(2055),
    [anon_sym_QMARK_QMARK] = ACTIONS(2055),
    [anon_sym_instanceof] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_satisfies] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(2061),
    [sym__ternary_qmark] = ACTIONS(2061),
    [sym_html_comment] = ACTIONS(5),
  },
  [293] = {
    [sym_comment] = STATE(293),
    [sym_identifier] = ACTIONS(2065),
    [anon_sym_export] = ACTIONS(2065),
    [anon_sym_STAR] = ACTIONS(2067),
    [anon_sym_default] = ACTIONS(2065),
    [anon_sym_type] = ACTIONS(2065),
    [anon_sym_EQ] = ACTIONS(2069),
    [anon_sym_as] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2065),
    [anon_sym_LBRACE] = ACTIONS(2065),
    [anon_sym_COMMA] = ACTIONS(2067),
    [anon_sym_RBRACE] = ACTIONS(2065),
    [anon_sym_typeof] = ACTIONS(2065),
    [anon_sym_import] = ACTIONS(2065),
    [anon_sym_var] = ACTIONS(2065),
    [anon_sym_let] = ACTIONS(2065),
    [anon_sym_const] = ACTIONS(2065),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_else] = ACTIONS(2065),
    [anon_sym_if] = ACTIONS(2065),
    [anon_sym_switch] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2065),
    [anon_sym_LPAREN] = ACTIONS(2065),
    [anon_sym_await] = ACTIONS(2065),
    [anon_sym_in] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_do] = ACTIONS(2065),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_with] = ACTIONS(2065),
    [anon_sym_break] = ACTIONS(2065),
    [anon_sym_continue] = ACTIONS(2065),
    [anon_sym_debugger] = ACTIONS(2065),
    [anon_sym_return] = ACTIONS(2065),
    [anon_sym_throw] = ACTIONS(2065),
    [anon_sym_SEMI] = ACTIONS(2065),
    [anon_sym_case] = ACTIONS(2065),
    [anon_sym_yield] = ACTIONS(2065),
    [anon_sym_LBRACK] = ACTIONS(2065),
    [anon_sym_LTtemplate_GT] = ACTIONS(2065),
    [anon_sym_GT] = ACTIONS(2067),
    [anon_sym_DOT] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2065),
    [anon_sym_async] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2065),
    [anon_sym_QMARK_DOT] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2065),
    [anon_sym_using] = ACTIONS(2065),
    [anon_sym_AMP_AMP] = ACTIONS(2067),
    [anon_sym_PIPE_PIPE] = ACTIONS(2067),
    [anon_sym_GT_GT] = ACTIONS(2067),
    [anon_sym_GT_GT_GT] = ACTIONS(2067),
    [anon_sym_LT_LT] = ACTIONS(2067),
    [anon_sym_AMP] = ACTIONS(2067),
    [anon_sym_CARET] = ACTIONS(2067),
    [anon_sym_PIPE] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2065),
    [anon_sym_DASH] = ACTIONS(2065),
    [anon_sym_SLASH] = ACTIONS(2065),
    [anon_sym_PERCENT] = ACTIONS(2067),
    [anon_sym_STAR_STAR] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2065),
    [anon_sym_LT_EQ] = ACTIONS(2067),
    [anon_sym_EQ_EQ] = ACTIONS(2067),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2067),
    [anon_sym_BANG_EQ] = ACTIONS(2067),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2067),
    [anon_sym_GT_EQ] = ACTIONS(2067),
    [anon_sym_QMARK_QMARK] = ACTIONS(2067),
    [anon_sym_instanceof] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_void] = ACTIONS(2065),
    [anon_sym_delete] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_DQUOTE] = ACTIONS(2065),
    [anon_sym_SQUOTE] = ACTIONS(2065),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2065),
    [sym_number] = ACTIONS(2065),
    [sym_private_property_identifier] = ACTIONS(2065),
    [sym_this] = ACTIONS(2065),
    [sym_super] = ACTIONS(2065),
    [sym_true] = ACTIONS(2065),
    [sym_false] = ACTIONS(2065),
    [sym_null] = ACTIONS(2065),
    [sym_undefined] = ACTIONS(2065),
    [anon_sym_AT] = ACTIONS(2065),
    [anon_sym_static] = ACTIONS(2065),
    [anon_sym_readonly] = ACTIONS(2065),
    [anon_sym_get] = ACTIONS(2065),
    [anon_sym_set] = ACTIONS(2065),
    [anon_sym_declare] = ACTIONS(2065),
    [anon_sym_public] = ACTIONS(2065),
    [anon_sym_private] = ACTIONS(2065),
    [anon_sym_protected] = ACTIONS(2065),
    [anon_sym_override] = ACTIONS(2065),
    [anon_sym_module] = ACTIONS(2065),
    [anon_sym_any] = ACTIONS(2065),
    [anon_sym_number] = ACTIONS(2065),
    [anon_sym_boolean] = ACTIONS(2065),
    [anon_sym_string] = ACTIONS(2065),
    [anon_sym_symbol] = ACTIONS(2065),
    [anon_sym_object] = ACTIONS(2065),
    [anon_sym_abstract] = ACTIONS(2065),
    [anon_sym_satisfies] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2065),
    [anon_sym_enum] = ACTIONS(2065),
    [sym__automatic_semicolon] = ACTIONS(2071),
    [sym__ternary_qmark] = ACTIONS(2073),
    [sym_html_comment] = ACTIONS(5),
  },
  [294] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_assignment_pattern] = STATE(6823),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2067),
    [sym_subscript_expression] = STATE(2067),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4604),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(294),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5866),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2067),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_COMMA] = ACTIONS(2075),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_RBRACK] = ACTIONS(2075),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [295] = {
    [sym_comment] = STATE(295),
    [sym_identifier] = ACTIONS(2077),
    [anon_sym_export] = ACTIONS(2077),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_default] = ACTIONS(2077),
    [anon_sym_type] = ACTIONS(2077),
    [anon_sym_as] = ACTIONS(2079),
    [anon_sym_namespace] = ACTIONS(2077),
    [anon_sym_LBRACE] = ACTIONS(2077),
    [anon_sym_COMMA] = ACTIONS(2079),
    [anon_sym_RBRACE] = ACTIONS(2077),
    [anon_sym_typeof] = ACTIONS(2077),
    [anon_sym_import] = ACTIONS(2077),
    [anon_sym_var] = ACTIONS(2077),
    [anon_sym_let] = ACTIONS(2077),
    [anon_sym_const] = ACTIONS(2077),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_else] = ACTIONS(2077),
    [anon_sym_if] = ACTIONS(2077),
    [anon_sym_switch] = ACTIONS(2077),
    [anon_sym_for] = ACTIONS(2077),
    [anon_sym_LPAREN] = ACTIONS(2077),
    [anon_sym_await] = ACTIONS(2077),
    [anon_sym_in] = ACTIONS(2079),
    [anon_sym_while] = ACTIONS(2077),
    [anon_sym_do] = ACTIONS(2077),
    [anon_sym_try] = ACTIONS(2077),
    [anon_sym_with] = ACTIONS(2077),
    [anon_sym_break] = ACTIONS(2077),
    [anon_sym_continue] = ACTIONS(2077),
    [anon_sym_debugger] = ACTIONS(2077),
    [anon_sym_return] = ACTIONS(2077),
    [anon_sym_throw] = ACTIONS(2077),
    [anon_sym_SEMI] = ACTIONS(2077),
    [anon_sym_case] = ACTIONS(2077),
    [anon_sym_yield] = ACTIONS(2077),
    [anon_sym_LBRACK] = ACTIONS(2077),
    [anon_sym_LTtemplate_GT] = ACTIONS(2077),
    [anon_sym_GT] = ACTIONS(2079),
    [anon_sym_DOT] = ACTIONS(2079),
    [anon_sym_class] = ACTIONS(2077),
    [anon_sym_async] = ACTIONS(2077),
    [anon_sym_function] = ACTIONS(2077),
    [anon_sym_QMARK_DOT] = ACTIONS(2079),
    [anon_sym_new] = ACTIONS(2077),
    [anon_sym_using] = ACTIONS(2077),
    [anon_sym_AMP_AMP] = ACTIONS(2079),
    [anon_sym_PIPE_PIPE] = ACTIONS(2079),
    [anon_sym_GT_GT] = ACTIONS(2079),
    [anon_sym_GT_GT_GT] = ACTIONS(2079),
    [anon_sym_LT_LT] = ACTIONS(2079),
    [anon_sym_AMP] = ACTIONS(2079),
    [anon_sym_CARET] = ACTIONS(2079),
    [anon_sym_PIPE] = ACTIONS(2079),
    [anon_sym_PLUS] = ACTIONS(2077),
    [anon_sym_DASH] = ACTIONS(2077),
    [anon_sym_SLASH] = ACTIONS(2077),
    [anon_sym_PERCENT] = ACTIONS(2079),
    [anon_sym_STAR_STAR] = ACTIONS(2079),
    [anon_sym_LT] = ACTIONS(2077),
    [anon_sym_LT_EQ] = ACTIONS(2079),
    [anon_sym_EQ_EQ] = ACTIONS(2079),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2079),
    [anon_sym_BANG_EQ] = ACTIONS(2079),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2079),
    [anon_sym_GT_EQ] = ACTIONS(2079),
    [anon_sym_QMARK_QMARK] = ACTIONS(2079),
    [anon_sym_instanceof] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_void] = ACTIONS(2077),
    [anon_sym_delete] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_DQUOTE] = ACTIONS(2077),
    [anon_sym_SQUOTE] = ACTIONS(2077),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2077),
    [sym_number] = ACTIONS(2077),
    [sym_private_property_identifier] = ACTIONS(2077),
    [sym_this] = ACTIONS(2077),
    [sym_super] = ACTIONS(2077),
    [sym_true] = ACTIONS(2077),
    [sym_false] = ACTIONS(2077),
    [sym_null] = ACTIONS(2077),
    [sym_undefined] = ACTIONS(2077),
    [anon_sym_AT] = ACTIONS(2077),
    [anon_sym_static] = ACTIONS(2077),
    [anon_sym_readonly] = ACTIONS(2077),
    [anon_sym_get] = ACTIONS(2077),
    [anon_sym_set] = ACTIONS(2077),
    [anon_sym_declare] = ACTIONS(2077),
    [anon_sym_public] = ACTIONS(2077),
    [anon_sym_private] = ACTIONS(2077),
    [anon_sym_protected] = ACTIONS(2077),
    [anon_sym_override] = ACTIONS(2077),
    [anon_sym_module] = ACTIONS(2077),
    [anon_sym_any] = ACTIONS(2077),
    [anon_sym_number] = ACTIONS(2077),
    [anon_sym_boolean] = ACTIONS(2077),
    [anon_sym_string] = ACTIONS(2077),
    [anon_sym_symbol] = ACTIONS(2077),
    [anon_sym_object] = ACTIONS(2077),
    [anon_sym_abstract] = ACTIONS(2077),
    [anon_sym_satisfies] = ACTIONS(2079),
    [anon_sym_interface] = ACTIONS(2077),
    [anon_sym_enum] = ACTIONS(2077),
    [sym__automatic_semicolon] = ACTIONS(2081),
    [sym__ternary_qmark] = ACTIONS(2083),
    [sym_html_comment] = ACTIONS(5),
  },
  [296] = {
    [sym_comment] = STATE(296),
    [sym_identifier] = ACTIONS(2085),
    [anon_sym_export] = ACTIONS(2085),
    [anon_sym_STAR] = ACTIONS(2085),
    [anon_sym_default] = ACTIONS(2085),
    [anon_sym_type] = ACTIONS(2085),
    [anon_sym_as] = ACTIONS(2085),
    [anon_sym_namespace] = ACTIONS(2085),
    [anon_sym_LBRACE] = ACTIONS(2085),
    [anon_sym_COMMA] = ACTIONS(2085),
    [anon_sym_RBRACE] = ACTIONS(2085),
    [anon_sym_typeof] = ACTIONS(2085),
    [anon_sym_import] = ACTIONS(2085),
    [anon_sym_var] = ACTIONS(2085),
    [anon_sym_let] = ACTIONS(2085),
    [anon_sym_const] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_else] = ACTIONS(2085),
    [anon_sym_if] = ACTIONS(2085),
    [anon_sym_switch] = ACTIONS(2085),
    [anon_sym_for] = ACTIONS(2085),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_await] = ACTIONS(2085),
    [anon_sym_in] = ACTIONS(2085),
    [anon_sym_while] = ACTIONS(2085),
    [anon_sym_do] = ACTIONS(2085),
    [anon_sym_try] = ACTIONS(2085),
    [anon_sym_with] = ACTIONS(2085),
    [anon_sym_break] = ACTIONS(2085),
    [anon_sym_continue] = ACTIONS(2085),
    [anon_sym_debugger] = ACTIONS(2085),
    [anon_sym_return] = ACTIONS(2085),
    [anon_sym_throw] = ACTIONS(2085),
    [anon_sym_SEMI] = ACTIONS(2085),
    [anon_sym_case] = ACTIONS(2085),
    [anon_sym_yield] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2085),
    [anon_sym_LTtemplate_GT] = ACTIONS(2085),
    [anon_sym_GT] = ACTIONS(2085),
    [anon_sym_DOT] = ACTIONS(2085),
    [anon_sym_class] = ACTIONS(2085),
    [anon_sym_async] = ACTIONS(2085),
    [anon_sym_function] = ACTIONS(2085),
    [anon_sym_QMARK_DOT] = ACTIONS(2085),
    [anon_sym_new] = ACTIONS(2085),
    [anon_sym_using] = ACTIONS(2085),
    [anon_sym_AMP_AMP] = ACTIONS(2085),
    [anon_sym_PIPE_PIPE] = ACTIONS(2085),
    [anon_sym_GT_GT] = ACTIONS(2085),
    [anon_sym_GT_GT_GT] = ACTIONS(2085),
    [anon_sym_LT_LT] = ACTIONS(2085),
    [anon_sym_AMP] = ACTIONS(2085),
    [anon_sym_CARET] = ACTIONS(2085),
    [anon_sym_PIPE] = ACTIONS(2085),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_SLASH] = ACTIONS(2085),
    [anon_sym_PERCENT] = ACTIONS(2085),
    [anon_sym_STAR_STAR] = ACTIONS(2085),
    [anon_sym_LT] = ACTIONS(2085),
    [anon_sym_LT_EQ] = ACTIONS(2085),
    [anon_sym_EQ_EQ] = ACTIONS(2085),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2085),
    [anon_sym_BANG_EQ] = ACTIONS(2085),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2085),
    [anon_sym_GT_EQ] = ACTIONS(2085),
    [anon_sym_QMARK_QMARK] = ACTIONS(2085),
    [anon_sym_instanceof] = ACTIONS(2085),
    [anon_sym_TILDE] = ACTIONS(2085),
    [anon_sym_void] = ACTIONS(2085),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_PLUS_PLUS] = ACTIONS(2085),
    [anon_sym_DASH_DASH] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2085),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2085),
    [sym_number] = ACTIONS(2085),
    [sym_private_property_identifier] = ACTIONS(2085),
    [sym_this] = ACTIONS(2085),
    [sym_super] = ACTIONS(2085),
    [sym_true] = ACTIONS(2085),
    [sym_false] = ACTIONS(2085),
    [sym_null] = ACTIONS(2085),
    [sym_undefined] = ACTIONS(2085),
    [anon_sym_AT] = ACTIONS(2085),
    [anon_sym_static] = ACTIONS(2085),
    [anon_sym_readonly] = ACTIONS(2085),
    [anon_sym_get] = ACTIONS(2085),
    [anon_sym_set] = ACTIONS(2085),
    [anon_sym_declare] = ACTIONS(2085),
    [anon_sym_public] = ACTIONS(2085),
    [anon_sym_private] = ACTIONS(2085),
    [anon_sym_protected] = ACTIONS(2085),
    [anon_sym_override] = ACTIONS(2085),
    [anon_sym_module] = ACTIONS(2085),
    [anon_sym_any] = ACTIONS(2085),
    [anon_sym_number] = ACTIONS(2085),
    [anon_sym_boolean] = ACTIONS(2085),
    [anon_sym_string] = ACTIONS(2085),
    [anon_sym_symbol] = ACTIONS(2085),
    [anon_sym_object] = ACTIONS(2085),
    [anon_sym_abstract] = ACTIONS(2085),
    [anon_sym_satisfies] = ACTIONS(2085),
    [anon_sym_interface] = ACTIONS(2085),
    [anon_sym_enum] = ACTIONS(2085),
    [sym__automatic_semicolon] = ACTIONS(2087),
    [sym__ternary_qmark] = ACTIONS(2087),
    [sym_html_comment] = ACTIONS(5),
  },
  [297] = {
    [sym_comment] = STATE(297),
    [sym_identifier] = ACTIONS(2089),
    [anon_sym_export] = ACTIONS(2089),
    [anon_sym_STAR] = ACTIONS(2089),
    [anon_sym_default] = ACTIONS(2089),
    [anon_sym_type] = ACTIONS(2089),
    [anon_sym_as] = ACTIONS(2089),
    [anon_sym_namespace] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2089),
    [anon_sym_COMMA] = ACTIONS(2089),
    [anon_sym_RBRACE] = ACTIONS(2089),
    [anon_sym_typeof] = ACTIONS(2089),
    [anon_sym_import] = ACTIONS(2089),
    [anon_sym_var] = ACTIONS(2089),
    [anon_sym_let] = ACTIONS(2089),
    [anon_sym_const] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2089),
    [anon_sym_else] = ACTIONS(2089),
    [anon_sym_if] = ACTIONS(2089),
    [anon_sym_switch] = ACTIONS(2089),
    [anon_sym_for] = ACTIONS(2089),
    [anon_sym_LPAREN] = ACTIONS(2089),
    [anon_sym_await] = ACTIONS(2089),
    [anon_sym_in] = ACTIONS(2089),
    [anon_sym_while] = ACTIONS(2089),
    [anon_sym_do] = ACTIONS(2089),
    [anon_sym_try] = ACTIONS(2089),
    [anon_sym_with] = ACTIONS(2089),
    [anon_sym_break] = ACTIONS(2089),
    [anon_sym_continue] = ACTIONS(2089),
    [anon_sym_debugger] = ACTIONS(2089),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_throw] = ACTIONS(2089),
    [anon_sym_SEMI] = ACTIONS(2089),
    [anon_sym_case] = ACTIONS(2089),
    [anon_sym_yield] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2089),
    [anon_sym_LTtemplate_GT] = ACTIONS(2089),
    [anon_sym_GT] = ACTIONS(2089),
    [anon_sym_DOT] = ACTIONS(2089),
    [anon_sym_class] = ACTIONS(2089),
    [anon_sym_async] = ACTIONS(2089),
    [anon_sym_function] = ACTIONS(2089),
    [anon_sym_QMARK_DOT] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2089),
    [anon_sym_using] = ACTIONS(2089),
    [anon_sym_AMP_AMP] = ACTIONS(2089),
    [anon_sym_PIPE_PIPE] = ACTIONS(2089),
    [anon_sym_GT_GT] = ACTIONS(2089),
    [anon_sym_GT_GT_GT] = ACTIONS(2089),
    [anon_sym_LT_LT] = ACTIONS(2089),
    [anon_sym_AMP] = ACTIONS(2089),
    [anon_sym_CARET] = ACTIONS(2089),
    [anon_sym_PIPE] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(2089),
    [anon_sym_DASH] = ACTIONS(2089),
    [anon_sym_SLASH] = ACTIONS(2089),
    [anon_sym_PERCENT] = ACTIONS(2089),
    [anon_sym_STAR_STAR] = ACTIONS(2089),
    [anon_sym_LT] = ACTIONS(2089),
    [anon_sym_LT_EQ] = ACTIONS(2089),
    [anon_sym_EQ_EQ] = ACTIONS(2089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2089),
    [anon_sym_BANG_EQ] = ACTIONS(2089),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2089),
    [anon_sym_GT_EQ] = ACTIONS(2089),
    [anon_sym_QMARK_QMARK] = ACTIONS(2089),
    [anon_sym_instanceof] = ACTIONS(2089),
    [anon_sym_TILDE] = ACTIONS(2089),
    [anon_sym_void] = ACTIONS(2089),
    [anon_sym_delete] = ACTIONS(2089),
    [anon_sym_PLUS_PLUS] = ACTIONS(2089),
    [anon_sym_DASH_DASH] = ACTIONS(2089),
    [anon_sym_DQUOTE] = ACTIONS(2089),
    [anon_sym_SQUOTE] = ACTIONS(2089),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2089),
    [sym_number] = ACTIONS(2089),
    [sym_private_property_identifier] = ACTIONS(2089),
    [sym_this] = ACTIONS(2089),
    [sym_super] = ACTIONS(2089),
    [sym_true] = ACTIONS(2089),
    [sym_false] = ACTIONS(2089),
    [sym_null] = ACTIONS(2089),
    [sym_undefined] = ACTIONS(2089),
    [anon_sym_AT] = ACTIONS(2089),
    [anon_sym_static] = ACTIONS(2089),
    [anon_sym_readonly] = ACTIONS(2089),
    [anon_sym_get] = ACTIONS(2089),
    [anon_sym_set] = ACTIONS(2089),
    [anon_sym_declare] = ACTIONS(2089),
    [anon_sym_public] = ACTIONS(2089),
    [anon_sym_private] = ACTIONS(2089),
    [anon_sym_protected] = ACTIONS(2089),
    [anon_sym_override] = ACTIONS(2089),
    [anon_sym_module] = ACTIONS(2089),
    [anon_sym_any] = ACTIONS(2089),
    [anon_sym_number] = ACTIONS(2089),
    [anon_sym_boolean] = ACTIONS(2089),
    [anon_sym_string] = ACTIONS(2089),
    [anon_sym_symbol] = ACTIONS(2089),
    [anon_sym_object] = ACTIONS(2089),
    [anon_sym_abstract] = ACTIONS(2089),
    [anon_sym_satisfies] = ACTIONS(2089),
    [anon_sym_interface] = ACTIONS(2089),
    [anon_sym_enum] = ACTIONS(2089),
    [sym__automatic_semicolon] = ACTIONS(2091),
    [sym__ternary_qmark] = ACTIONS(2091),
    [sym_html_comment] = ACTIONS(5),
  },
  [298] = {
    [sym_comment] = STATE(298),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_STAR] = ACTIONS(2093),
    [anon_sym_default] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_as] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_COMMA] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_else] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_in] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_case] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_GT] = ACTIONS(2093),
    [anon_sym_DOT] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_QMARK_DOT] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_AMP_AMP] = ACTIONS(2093),
    [anon_sym_PIPE_PIPE] = ACTIONS(2093),
    [anon_sym_GT_GT] = ACTIONS(2093),
    [anon_sym_GT_GT_GT] = ACTIONS(2093),
    [anon_sym_LT_LT] = ACTIONS(2093),
    [anon_sym_AMP] = ACTIONS(2093),
    [anon_sym_CARET] = ACTIONS(2093),
    [anon_sym_PIPE] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_PERCENT] = ACTIONS(2093),
    [anon_sym_STAR_STAR] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_LT_EQ] = ACTIONS(2093),
    [anon_sym_EQ_EQ] = ACTIONS(2093),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2093),
    [anon_sym_BANG_EQ] = ACTIONS(2093),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2093),
    [anon_sym_GT_EQ] = ACTIONS(2093),
    [anon_sym_QMARK_QMARK] = ACTIONS(2093),
    [anon_sym_instanceof] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_satisfies] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym__automatic_semicolon] = ACTIONS(2095),
    [sym__ternary_qmark] = ACTIONS(2095),
    [sym_html_comment] = ACTIONS(5),
  },
  [299] = {
    [sym_statement_block] = STATE(384),
    [sym_comment] = STATE(299),
    [ts_builtin_sym_end] = ACTIONS(2061),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_as] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2097),
    [anon_sym_COMMA] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_else] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_in] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_GT] = ACTIONS(2055),
    [anon_sym_DOT] = ACTIONS(2099),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_QMARK_DOT] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_AMP_AMP] = ACTIONS(2055),
    [anon_sym_PIPE_PIPE] = ACTIONS(2055),
    [anon_sym_GT_GT] = ACTIONS(2055),
    [anon_sym_GT_GT_GT] = ACTIONS(2055),
    [anon_sym_LT_LT] = ACTIONS(2055),
    [anon_sym_AMP] = ACTIONS(2055),
    [anon_sym_CARET] = ACTIONS(2055),
    [anon_sym_PIPE] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_PERCENT] = ACTIONS(2055),
    [anon_sym_STAR_STAR] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_LT_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2055),
    [anon_sym_GT_EQ] = ACTIONS(2055),
    [anon_sym_QMARK_QMARK] = ACTIONS(2055),
    [anon_sym_instanceof] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_satisfies] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(2061),
    [sym__ternary_qmark] = ACTIONS(2061),
    [sym_html_comment] = ACTIONS(5),
  },
  [300] = {
    [sym_comment] = STATE(300),
    [sym_identifier] = ACTIONS(2101),
    [anon_sym_export] = ACTIONS(2101),
    [anon_sym_STAR] = ACTIONS(2101),
    [anon_sym_default] = ACTIONS(2101),
    [anon_sym_type] = ACTIONS(2101),
    [anon_sym_as] = ACTIONS(2101),
    [anon_sym_namespace] = ACTIONS(2101),
    [anon_sym_LBRACE] = ACTIONS(2101),
    [anon_sym_COMMA] = ACTIONS(2101),
    [anon_sym_RBRACE] = ACTIONS(2101),
    [anon_sym_typeof] = ACTIONS(2101),
    [anon_sym_import] = ACTIONS(2101),
    [anon_sym_var] = ACTIONS(2101),
    [anon_sym_let] = ACTIONS(2101),
    [anon_sym_const] = ACTIONS(2101),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_else] = ACTIONS(2101),
    [anon_sym_if] = ACTIONS(2101),
    [anon_sym_switch] = ACTIONS(2101),
    [anon_sym_for] = ACTIONS(2101),
    [anon_sym_LPAREN] = ACTIONS(2101),
    [anon_sym_await] = ACTIONS(2101),
    [anon_sym_in] = ACTIONS(2101),
    [anon_sym_while] = ACTIONS(2101),
    [anon_sym_do] = ACTIONS(2101),
    [anon_sym_try] = ACTIONS(2101),
    [anon_sym_with] = ACTIONS(2101),
    [anon_sym_break] = ACTIONS(2101),
    [anon_sym_continue] = ACTIONS(2101),
    [anon_sym_debugger] = ACTIONS(2101),
    [anon_sym_return] = ACTIONS(2101),
    [anon_sym_throw] = ACTIONS(2101),
    [anon_sym_SEMI] = ACTIONS(2101),
    [anon_sym_case] = ACTIONS(2101),
    [anon_sym_yield] = ACTIONS(2101),
    [anon_sym_LBRACK] = ACTIONS(2101),
    [anon_sym_LTtemplate_GT] = ACTIONS(2101),
    [anon_sym_GT] = ACTIONS(2101),
    [anon_sym_DOT] = ACTIONS(2101),
    [anon_sym_class] = ACTIONS(2101),
    [anon_sym_async] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2101),
    [anon_sym_QMARK_DOT] = ACTIONS(2101),
    [anon_sym_new] = ACTIONS(2101),
    [anon_sym_using] = ACTIONS(2101),
    [anon_sym_AMP_AMP] = ACTIONS(2101),
    [anon_sym_PIPE_PIPE] = ACTIONS(2101),
    [anon_sym_GT_GT] = ACTIONS(2101),
    [anon_sym_GT_GT_GT] = ACTIONS(2101),
    [anon_sym_LT_LT] = ACTIONS(2101),
    [anon_sym_AMP] = ACTIONS(2101),
    [anon_sym_CARET] = ACTIONS(2101),
    [anon_sym_PIPE] = ACTIONS(2101),
    [anon_sym_PLUS] = ACTIONS(2101),
    [anon_sym_DASH] = ACTIONS(2101),
    [anon_sym_SLASH] = ACTIONS(2101),
    [anon_sym_PERCENT] = ACTIONS(2101),
    [anon_sym_STAR_STAR] = ACTIONS(2101),
    [anon_sym_LT] = ACTIONS(2101),
    [anon_sym_LT_EQ] = ACTIONS(2101),
    [anon_sym_EQ_EQ] = ACTIONS(2101),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2101),
    [anon_sym_BANG_EQ] = ACTIONS(2101),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2101),
    [anon_sym_GT_EQ] = ACTIONS(2101),
    [anon_sym_QMARK_QMARK] = ACTIONS(2101),
    [anon_sym_instanceof] = ACTIONS(2101),
    [anon_sym_TILDE] = ACTIONS(2101),
    [anon_sym_void] = ACTIONS(2101),
    [anon_sym_delete] = ACTIONS(2101),
    [anon_sym_PLUS_PLUS] = ACTIONS(2101),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_DQUOTE] = ACTIONS(2101),
    [anon_sym_SQUOTE] = ACTIONS(2101),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2101),
    [sym_number] = ACTIONS(2101),
    [sym_private_property_identifier] = ACTIONS(2101),
    [sym_this] = ACTIONS(2101),
    [sym_super] = ACTIONS(2101),
    [sym_true] = ACTIONS(2101),
    [sym_false] = ACTIONS(2101),
    [sym_null] = ACTIONS(2101),
    [sym_undefined] = ACTIONS(2101),
    [anon_sym_AT] = ACTIONS(2101),
    [anon_sym_static] = ACTIONS(2101),
    [anon_sym_readonly] = ACTIONS(2101),
    [anon_sym_get] = ACTIONS(2101),
    [anon_sym_set] = ACTIONS(2101),
    [anon_sym_declare] = ACTIONS(2101),
    [anon_sym_public] = ACTIONS(2101),
    [anon_sym_private] = ACTIONS(2101),
    [anon_sym_protected] = ACTIONS(2101),
    [anon_sym_override] = ACTIONS(2101),
    [anon_sym_module] = ACTIONS(2101),
    [anon_sym_any] = ACTIONS(2101),
    [anon_sym_number] = ACTIONS(2101),
    [anon_sym_boolean] = ACTIONS(2101),
    [anon_sym_string] = ACTIONS(2101),
    [anon_sym_symbol] = ACTIONS(2101),
    [anon_sym_object] = ACTIONS(2101),
    [anon_sym_abstract] = ACTIONS(2101),
    [anon_sym_satisfies] = ACTIONS(2101),
    [anon_sym_interface] = ACTIONS(2101),
    [anon_sym_enum] = ACTIONS(2101),
    [sym__automatic_semicolon] = ACTIONS(2103),
    [sym__ternary_qmark] = ACTIONS(2103),
    [sym_html_comment] = ACTIONS(5),
  },
  [301] = {
    [sym_statement_block] = STATE(384),
    [sym_comment] = STATE(301),
    [ts_builtin_sym_end] = ACTIONS(2061),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_as] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2097),
    [anon_sym_COMMA] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_else] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_in] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_GT] = ACTIONS(2055),
    [anon_sym_DOT] = ACTIONS(2105),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_QMARK_DOT] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_AMP_AMP] = ACTIONS(2055),
    [anon_sym_PIPE_PIPE] = ACTIONS(2055),
    [anon_sym_GT_GT] = ACTIONS(2055),
    [anon_sym_GT_GT_GT] = ACTIONS(2055),
    [anon_sym_LT_LT] = ACTIONS(2055),
    [anon_sym_AMP] = ACTIONS(2055),
    [anon_sym_CARET] = ACTIONS(2055),
    [anon_sym_PIPE] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_PERCENT] = ACTIONS(2055),
    [anon_sym_STAR_STAR] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_LT_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2055),
    [anon_sym_GT_EQ] = ACTIONS(2055),
    [anon_sym_QMARK_QMARK] = ACTIONS(2055),
    [anon_sym_instanceof] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_satisfies] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(2061),
    [sym__ternary_qmark] = ACTIONS(2061),
    [sym_html_comment] = ACTIONS(5),
  },
  [302] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2597),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(302),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_COMMA] = ACTIONS(1974),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(1974),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1974),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_AMP] = ACTIONS(1974),
    [anon_sym_PIPE] = ACTIONS(1974),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [anon_sym_extends] = ACTIONS(1974),
    [sym_html_comment] = ACTIONS(5),
  },
  [303] = {
    [sym_comment] = STATE(303),
    [sym_identifier] = ACTIONS(2107),
    [anon_sym_export] = ACTIONS(2107),
    [anon_sym_STAR] = ACTIONS(2109),
    [anon_sym_default] = ACTIONS(2107),
    [anon_sym_type] = ACTIONS(2107),
    [anon_sym_as] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2107),
    [anon_sym_LBRACE] = ACTIONS(2107),
    [anon_sym_COMMA] = ACTIONS(2109),
    [anon_sym_RBRACE] = ACTIONS(2107),
    [anon_sym_typeof] = ACTIONS(2107),
    [anon_sym_import] = ACTIONS(2107),
    [anon_sym_var] = ACTIONS(2107),
    [anon_sym_let] = ACTIONS(2107),
    [anon_sym_const] = ACTIONS(2107),
    [anon_sym_BANG] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(2107),
    [anon_sym_if] = ACTIONS(2107),
    [anon_sym_switch] = ACTIONS(2107),
    [anon_sym_for] = ACTIONS(2107),
    [anon_sym_LPAREN] = ACTIONS(2107),
    [anon_sym_await] = ACTIONS(2107),
    [anon_sym_in] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2107),
    [anon_sym_do] = ACTIONS(2107),
    [anon_sym_try] = ACTIONS(2107),
    [anon_sym_with] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2107),
    [anon_sym_continue] = ACTIONS(2107),
    [anon_sym_debugger] = ACTIONS(2107),
    [anon_sym_return] = ACTIONS(2107),
    [anon_sym_throw] = ACTIONS(2107),
    [anon_sym_SEMI] = ACTIONS(2107),
    [anon_sym_case] = ACTIONS(2107),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_LBRACK] = ACTIONS(2107),
    [anon_sym_LTtemplate_GT] = ACTIONS(2107),
    [anon_sym_GT] = ACTIONS(2109),
    [anon_sym_DOT] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2107),
    [anon_sym_async] = ACTIONS(2107),
    [anon_sym_function] = ACTIONS(2107),
    [anon_sym_QMARK_DOT] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_using] = ACTIONS(2107),
    [anon_sym_AMP_AMP] = ACTIONS(2109),
    [anon_sym_PIPE_PIPE] = ACTIONS(2109),
    [anon_sym_GT_GT] = ACTIONS(2109),
    [anon_sym_GT_GT_GT] = ACTIONS(2109),
    [anon_sym_LT_LT] = ACTIONS(2109),
    [anon_sym_AMP] = ACTIONS(2109),
    [anon_sym_CARET] = ACTIONS(2109),
    [anon_sym_PIPE] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2107),
    [anon_sym_DASH] = ACTIONS(2107),
    [anon_sym_SLASH] = ACTIONS(2107),
    [anon_sym_PERCENT] = ACTIONS(2109),
    [anon_sym_STAR_STAR] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2107),
    [anon_sym_LT_EQ] = ACTIONS(2109),
    [anon_sym_EQ_EQ] = ACTIONS(2109),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2109),
    [anon_sym_BANG_EQ] = ACTIONS(2109),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2109),
    [anon_sym_GT_EQ] = ACTIONS(2109),
    [anon_sym_QMARK_QMARK] = ACTIONS(2109),
    [anon_sym_instanceof] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2107),
    [anon_sym_void] = ACTIONS(2107),
    [anon_sym_delete] = ACTIONS(2107),
    [anon_sym_PLUS_PLUS] = ACTIONS(2107),
    [anon_sym_DASH_DASH] = ACTIONS(2107),
    [anon_sym_DQUOTE] = ACTIONS(2107),
    [anon_sym_SQUOTE] = ACTIONS(2107),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2107),
    [sym_number] = ACTIONS(2107),
    [sym_private_property_identifier] = ACTIONS(2107),
    [sym_this] = ACTIONS(2107),
    [sym_super] = ACTIONS(2107),
    [sym_true] = ACTIONS(2107),
    [sym_false] = ACTIONS(2107),
    [sym_null] = ACTIONS(2107),
    [sym_undefined] = ACTIONS(2107),
    [anon_sym_AT] = ACTIONS(2107),
    [anon_sym_static] = ACTIONS(2107),
    [anon_sym_readonly] = ACTIONS(2107),
    [anon_sym_get] = ACTIONS(2107),
    [anon_sym_set] = ACTIONS(2107),
    [anon_sym_declare] = ACTIONS(2107),
    [anon_sym_public] = ACTIONS(2107),
    [anon_sym_private] = ACTIONS(2107),
    [anon_sym_protected] = ACTIONS(2107),
    [anon_sym_override] = ACTIONS(2107),
    [anon_sym_module] = ACTIONS(2107),
    [anon_sym_any] = ACTIONS(2107),
    [anon_sym_number] = ACTIONS(2107),
    [anon_sym_boolean] = ACTIONS(2107),
    [anon_sym_string] = ACTIONS(2107),
    [anon_sym_symbol] = ACTIONS(2107),
    [anon_sym_object] = ACTIONS(2107),
    [anon_sym_abstract] = ACTIONS(2107),
    [anon_sym_satisfies] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2107),
    [anon_sym_enum] = ACTIONS(2107),
    [sym__automatic_semicolon] = ACTIONS(2111),
    [sym__ternary_qmark] = ACTIONS(2111),
    [sym_html_comment] = ACTIONS(5),
  },
  [304] = {
    [sym_statement_block] = STATE(384),
    [sym_comment] = STATE(304),
    [ts_builtin_sym_end] = ACTIONS(2061),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_as] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2097),
    [anon_sym_COMMA] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_else] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_in] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_GT] = ACTIONS(2055),
    [anon_sym_DOT] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_QMARK_DOT] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_AMP_AMP] = ACTIONS(2055),
    [anon_sym_PIPE_PIPE] = ACTIONS(2055),
    [anon_sym_GT_GT] = ACTIONS(2055),
    [anon_sym_GT_GT_GT] = ACTIONS(2055),
    [anon_sym_LT_LT] = ACTIONS(2055),
    [anon_sym_AMP] = ACTIONS(2055),
    [anon_sym_CARET] = ACTIONS(2055),
    [anon_sym_PIPE] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_PERCENT] = ACTIONS(2055),
    [anon_sym_STAR_STAR] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_LT_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2055),
    [anon_sym_GT_EQ] = ACTIONS(2055),
    [anon_sym_QMARK_QMARK] = ACTIONS(2055),
    [anon_sym_instanceof] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_satisfies] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(2061),
    [sym__ternary_qmark] = ACTIONS(2061),
    [sym_html_comment] = ACTIONS(5),
  },
  [305] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2727),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_spread_element] = STATE(6053),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(305),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [aux_sym_array_repeat1] = STATE(6054),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(2113),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(2115),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2117),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [306] = {
    [sym_comment] = STATE(306),
    [sym_identifier] = ACTIONS(2119),
    [anon_sym_export] = ACTIONS(2119),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_default] = ACTIONS(2119),
    [anon_sym_type] = ACTIONS(2119),
    [anon_sym_as] = ACTIONS(2119),
    [anon_sym_namespace] = ACTIONS(2119),
    [anon_sym_LBRACE] = ACTIONS(2119),
    [anon_sym_COMMA] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2119),
    [anon_sym_import] = ACTIONS(2119),
    [anon_sym_var] = ACTIONS(2119),
    [anon_sym_let] = ACTIONS(2119),
    [anon_sym_const] = ACTIONS(2119),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_else] = ACTIONS(2119),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_switch] = ACTIONS(2119),
    [anon_sym_for] = ACTIONS(2119),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2119),
    [anon_sym_in] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2119),
    [anon_sym_do] = ACTIONS(2119),
    [anon_sym_try] = ACTIONS(2119),
    [anon_sym_with] = ACTIONS(2119),
    [anon_sym_break] = ACTIONS(2119),
    [anon_sym_continue] = ACTIONS(2119),
    [anon_sym_debugger] = ACTIONS(2119),
    [anon_sym_return] = ACTIONS(2119),
    [anon_sym_throw] = ACTIONS(2119),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_case] = ACTIONS(2119),
    [anon_sym_yield] = ACTIONS(2119),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_GT] = ACTIONS(2119),
    [anon_sym_DOT] = ACTIONS(2119),
    [anon_sym_class] = ACTIONS(2119),
    [anon_sym_async] = ACTIONS(2119),
    [anon_sym_function] = ACTIONS(2119),
    [anon_sym_QMARK_DOT] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2119),
    [anon_sym_using] = ACTIONS(2119),
    [anon_sym_AMP_AMP] = ACTIONS(2119),
    [anon_sym_PIPE_PIPE] = ACTIONS(2119),
    [anon_sym_GT_GT] = ACTIONS(2119),
    [anon_sym_GT_GT_GT] = ACTIONS(2119),
    [anon_sym_LT_LT] = ACTIONS(2119),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2119),
    [anon_sym_PIPE] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2119),
    [anon_sym_DASH] = ACTIONS(2119),
    [anon_sym_SLASH] = ACTIONS(2119),
    [anon_sym_PERCENT] = ACTIONS(2119),
    [anon_sym_STAR_STAR] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2119),
    [anon_sym_LT_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2119),
    [anon_sym_GT_EQ] = ACTIONS(2119),
    [anon_sym_QMARK_QMARK] = ACTIONS(2119),
    [anon_sym_instanceof] = ACTIONS(2119),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2119),
    [anon_sym_delete] = ACTIONS(2119),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_private_property_identifier] = ACTIONS(2119),
    [sym_this] = ACTIONS(2119),
    [sym_super] = ACTIONS(2119),
    [sym_true] = ACTIONS(2119),
    [sym_false] = ACTIONS(2119),
    [sym_null] = ACTIONS(2119),
    [sym_undefined] = ACTIONS(2119),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2119),
    [anon_sym_readonly] = ACTIONS(2119),
    [anon_sym_get] = ACTIONS(2119),
    [anon_sym_set] = ACTIONS(2119),
    [anon_sym_declare] = ACTIONS(2119),
    [anon_sym_public] = ACTIONS(2119),
    [anon_sym_private] = ACTIONS(2119),
    [anon_sym_protected] = ACTIONS(2119),
    [anon_sym_override] = ACTIONS(2119),
    [anon_sym_module] = ACTIONS(2119),
    [anon_sym_any] = ACTIONS(2119),
    [anon_sym_number] = ACTIONS(2119),
    [anon_sym_boolean] = ACTIONS(2119),
    [anon_sym_string] = ACTIONS(2119),
    [anon_sym_symbol] = ACTIONS(2119),
    [anon_sym_object] = ACTIONS(2119),
    [anon_sym_abstract] = ACTIONS(2119),
    [anon_sym_satisfies] = ACTIONS(2119),
    [anon_sym_interface] = ACTIONS(2119),
    [anon_sym_enum] = ACTIONS(2119),
    [sym__automatic_semicolon] = ACTIONS(2121),
    [sym__ternary_qmark] = ACTIONS(2121),
    [sym_html_comment] = ACTIONS(5),
  },
  [307] = {
    [sym_comment] = STATE(307),
    [sym_identifier] = ACTIONS(2065),
    [anon_sym_export] = ACTIONS(2065),
    [anon_sym_STAR] = ACTIONS(2065),
    [anon_sym_default] = ACTIONS(2065),
    [anon_sym_type] = ACTIONS(2065),
    [anon_sym_as] = ACTIONS(2065),
    [anon_sym_namespace] = ACTIONS(2065),
    [anon_sym_LBRACE] = ACTIONS(2065),
    [anon_sym_COMMA] = ACTIONS(2065),
    [anon_sym_RBRACE] = ACTIONS(2065),
    [anon_sym_typeof] = ACTIONS(2065),
    [anon_sym_import] = ACTIONS(2065),
    [anon_sym_var] = ACTIONS(2065),
    [anon_sym_let] = ACTIONS(2065),
    [anon_sym_const] = ACTIONS(2065),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_else] = ACTIONS(2065),
    [anon_sym_if] = ACTIONS(2065),
    [anon_sym_switch] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2065),
    [anon_sym_LPAREN] = ACTIONS(2065),
    [anon_sym_await] = ACTIONS(2065),
    [anon_sym_in] = ACTIONS(2065),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_do] = ACTIONS(2065),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_with] = ACTIONS(2065),
    [anon_sym_break] = ACTIONS(2065),
    [anon_sym_continue] = ACTIONS(2065),
    [anon_sym_debugger] = ACTIONS(2065),
    [anon_sym_return] = ACTIONS(2065),
    [anon_sym_throw] = ACTIONS(2065),
    [anon_sym_SEMI] = ACTIONS(2065),
    [anon_sym_case] = ACTIONS(2065),
    [anon_sym_yield] = ACTIONS(2065),
    [anon_sym_LBRACK] = ACTIONS(2065),
    [anon_sym_LTtemplate_GT] = ACTIONS(2065),
    [anon_sym_GT] = ACTIONS(2065),
    [anon_sym_DOT] = ACTIONS(2065),
    [anon_sym_class] = ACTIONS(2065),
    [anon_sym_async] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2065),
    [anon_sym_QMARK_DOT] = ACTIONS(2065),
    [anon_sym_new] = ACTIONS(2065),
    [anon_sym_using] = ACTIONS(2065),
    [anon_sym_AMP_AMP] = ACTIONS(2065),
    [anon_sym_PIPE_PIPE] = ACTIONS(2065),
    [anon_sym_GT_GT] = ACTIONS(2065),
    [anon_sym_GT_GT_GT] = ACTIONS(2065),
    [anon_sym_LT_LT] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_PIPE] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2065),
    [anon_sym_DASH] = ACTIONS(2065),
    [anon_sym_SLASH] = ACTIONS(2065),
    [anon_sym_PERCENT] = ACTIONS(2065),
    [anon_sym_STAR_STAR] = ACTIONS(2065),
    [anon_sym_LT] = ACTIONS(2065),
    [anon_sym_LT_EQ] = ACTIONS(2065),
    [anon_sym_EQ_EQ] = ACTIONS(2065),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2065),
    [anon_sym_BANG_EQ] = ACTIONS(2065),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2065),
    [anon_sym_GT_EQ] = ACTIONS(2065),
    [anon_sym_QMARK_QMARK] = ACTIONS(2065),
    [anon_sym_instanceof] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_void] = ACTIONS(2065),
    [anon_sym_delete] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_DQUOTE] = ACTIONS(2065),
    [anon_sym_SQUOTE] = ACTIONS(2065),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2065),
    [sym_number] = ACTIONS(2065),
    [sym_private_property_identifier] = ACTIONS(2065),
    [sym_this] = ACTIONS(2065),
    [sym_super] = ACTIONS(2065),
    [sym_true] = ACTIONS(2065),
    [sym_false] = ACTIONS(2065),
    [sym_null] = ACTIONS(2065),
    [sym_undefined] = ACTIONS(2065),
    [anon_sym_AT] = ACTIONS(2065),
    [anon_sym_static] = ACTIONS(2065),
    [anon_sym_readonly] = ACTIONS(2065),
    [anon_sym_get] = ACTIONS(2065),
    [anon_sym_set] = ACTIONS(2065),
    [anon_sym_declare] = ACTIONS(2065),
    [anon_sym_public] = ACTIONS(2065),
    [anon_sym_private] = ACTIONS(2065),
    [anon_sym_protected] = ACTIONS(2065),
    [anon_sym_override] = ACTIONS(2065),
    [anon_sym_module] = ACTIONS(2065),
    [anon_sym_any] = ACTIONS(2065),
    [anon_sym_number] = ACTIONS(2065),
    [anon_sym_boolean] = ACTIONS(2065),
    [anon_sym_string] = ACTIONS(2065),
    [anon_sym_symbol] = ACTIONS(2065),
    [anon_sym_object] = ACTIONS(2065),
    [anon_sym_abstract] = ACTIONS(2065),
    [anon_sym_satisfies] = ACTIONS(2065),
    [anon_sym_interface] = ACTIONS(2065),
    [anon_sym_enum] = ACTIONS(2065),
    [sym__automatic_semicolon] = ACTIONS(2123),
    [sym__ternary_qmark] = ACTIONS(2125),
    [sym_html_comment] = ACTIONS(5),
  },
  [308] = {
    [sym_comment] = STATE(308),
    [sym_identifier] = ACTIONS(2127),
    [anon_sym_export] = ACTIONS(2127),
    [anon_sym_STAR] = ACTIONS(2127),
    [anon_sym_default] = ACTIONS(2127),
    [anon_sym_type] = ACTIONS(2127),
    [anon_sym_as] = ACTIONS(2127),
    [anon_sym_namespace] = ACTIONS(2127),
    [anon_sym_LBRACE] = ACTIONS(2127),
    [anon_sym_COMMA] = ACTIONS(2127),
    [anon_sym_RBRACE] = ACTIONS(2127),
    [anon_sym_typeof] = ACTIONS(2127),
    [anon_sym_import] = ACTIONS(2127),
    [anon_sym_var] = ACTIONS(2127),
    [anon_sym_let] = ACTIONS(2127),
    [anon_sym_const] = ACTIONS(2127),
    [anon_sym_BANG] = ACTIONS(2127),
    [anon_sym_else] = ACTIONS(2127),
    [anon_sym_if] = ACTIONS(2127),
    [anon_sym_switch] = ACTIONS(2127),
    [anon_sym_for] = ACTIONS(2127),
    [anon_sym_LPAREN] = ACTIONS(2127),
    [anon_sym_await] = ACTIONS(2127),
    [anon_sym_in] = ACTIONS(2127),
    [anon_sym_while] = ACTIONS(2127),
    [anon_sym_do] = ACTIONS(2127),
    [anon_sym_try] = ACTIONS(2127),
    [anon_sym_with] = ACTIONS(2127),
    [anon_sym_break] = ACTIONS(2127),
    [anon_sym_continue] = ACTIONS(2127),
    [anon_sym_debugger] = ACTIONS(2127),
    [anon_sym_return] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2127),
    [anon_sym_SEMI] = ACTIONS(2127),
    [anon_sym_case] = ACTIONS(2127),
    [anon_sym_yield] = ACTIONS(2127),
    [anon_sym_LBRACK] = ACTIONS(2127),
    [anon_sym_LTtemplate_GT] = ACTIONS(2127),
    [anon_sym_GT] = ACTIONS(2127),
    [anon_sym_DOT] = ACTIONS(2127),
    [anon_sym_class] = ACTIONS(2127),
    [anon_sym_async] = ACTIONS(2127),
    [anon_sym_function] = ACTIONS(2127),
    [anon_sym_QMARK_DOT] = ACTIONS(2127),
    [anon_sym_new] = ACTIONS(2127),
    [anon_sym_using] = ACTIONS(2127),
    [anon_sym_AMP_AMP] = ACTIONS(2127),
    [anon_sym_PIPE_PIPE] = ACTIONS(2127),
    [anon_sym_GT_GT] = ACTIONS(2127),
    [anon_sym_GT_GT_GT] = ACTIONS(2127),
    [anon_sym_LT_LT] = ACTIONS(2127),
    [anon_sym_AMP] = ACTIONS(2127),
    [anon_sym_CARET] = ACTIONS(2127),
    [anon_sym_PIPE] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_SLASH] = ACTIONS(2127),
    [anon_sym_PERCENT] = ACTIONS(2127),
    [anon_sym_STAR_STAR] = ACTIONS(2127),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_LT_EQ] = ACTIONS(2127),
    [anon_sym_EQ_EQ] = ACTIONS(2127),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2127),
    [anon_sym_BANG_EQ] = ACTIONS(2127),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2127),
    [anon_sym_GT_EQ] = ACTIONS(2127),
    [anon_sym_QMARK_QMARK] = ACTIONS(2127),
    [anon_sym_instanceof] = ACTIONS(2127),
    [anon_sym_TILDE] = ACTIONS(2127),
    [anon_sym_void] = ACTIONS(2127),
    [anon_sym_delete] = ACTIONS(2127),
    [anon_sym_PLUS_PLUS] = ACTIONS(2127),
    [anon_sym_DASH_DASH] = ACTIONS(2127),
    [anon_sym_DQUOTE] = ACTIONS(2127),
    [anon_sym_SQUOTE] = ACTIONS(2127),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2127),
    [sym_number] = ACTIONS(2127),
    [sym_private_property_identifier] = ACTIONS(2127),
    [sym_this] = ACTIONS(2127),
    [sym_super] = ACTIONS(2127),
    [sym_true] = ACTIONS(2127),
    [sym_false] = ACTIONS(2127),
    [sym_null] = ACTIONS(2127),
    [sym_undefined] = ACTIONS(2127),
    [anon_sym_AT] = ACTIONS(2127),
    [anon_sym_static] = ACTIONS(2127),
    [anon_sym_readonly] = ACTIONS(2127),
    [anon_sym_get] = ACTIONS(2127),
    [anon_sym_set] = ACTIONS(2127),
    [anon_sym_declare] = ACTIONS(2127),
    [anon_sym_public] = ACTIONS(2127),
    [anon_sym_private] = ACTIONS(2127),
    [anon_sym_protected] = ACTIONS(2127),
    [anon_sym_override] = ACTIONS(2127),
    [anon_sym_module] = ACTIONS(2127),
    [anon_sym_any] = ACTIONS(2127),
    [anon_sym_number] = ACTIONS(2127),
    [anon_sym_boolean] = ACTIONS(2127),
    [anon_sym_string] = ACTIONS(2127),
    [anon_sym_symbol] = ACTIONS(2127),
    [anon_sym_object] = ACTIONS(2127),
    [anon_sym_abstract] = ACTIONS(2127),
    [anon_sym_satisfies] = ACTIONS(2127),
    [anon_sym_interface] = ACTIONS(2127),
    [anon_sym_enum] = ACTIONS(2127),
    [sym__automatic_semicolon] = ACTIONS(2129),
    [sym__ternary_qmark] = ACTIONS(2129),
    [sym_html_comment] = ACTIONS(5),
  },
  [309] = {
    [sym_comment] = STATE(309),
    [sym_identifier] = ACTIONS(2131),
    [anon_sym_export] = ACTIONS(2131),
    [anon_sym_STAR] = ACTIONS(2131),
    [anon_sym_default] = ACTIONS(2131),
    [anon_sym_type] = ACTIONS(2131),
    [anon_sym_as] = ACTIONS(2131),
    [anon_sym_namespace] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(2131),
    [anon_sym_COMMA] = ACTIONS(2131),
    [anon_sym_RBRACE] = ACTIONS(2131),
    [anon_sym_typeof] = ACTIONS(2131),
    [anon_sym_import] = ACTIONS(2131),
    [anon_sym_var] = ACTIONS(2131),
    [anon_sym_let] = ACTIONS(2131),
    [anon_sym_const] = ACTIONS(2131),
    [anon_sym_BANG] = ACTIONS(2131),
    [anon_sym_else] = ACTIONS(2131),
    [anon_sym_if] = ACTIONS(2131),
    [anon_sym_switch] = ACTIONS(2131),
    [anon_sym_for] = ACTIONS(2131),
    [anon_sym_LPAREN] = ACTIONS(2131),
    [anon_sym_await] = ACTIONS(2131),
    [anon_sym_in] = ACTIONS(2131),
    [anon_sym_while] = ACTIONS(2131),
    [anon_sym_do] = ACTIONS(2131),
    [anon_sym_try] = ACTIONS(2131),
    [anon_sym_with] = ACTIONS(2131),
    [anon_sym_break] = ACTIONS(2131),
    [anon_sym_continue] = ACTIONS(2131),
    [anon_sym_debugger] = ACTIONS(2131),
    [anon_sym_return] = ACTIONS(2131),
    [anon_sym_throw] = ACTIONS(2131),
    [anon_sym_SEMI] = ACTIONS(2131),
    [anon_sym_case] = ACTIONS(2131),
    [anon_sym_yield] = ACTIONS(2131),
    [anon_sym_LBRACK] = ACTIONS(2131),
    [anon_sym_LTtemplate_GT] = ACTIONS(2131),
    [anon_sym_GT] = ACTIONS(2131),
    [anon_sym_DOT] = ACTIONS(2131),
    [anon_sym_class] = ACTIONS(2131),
    [anon_sym_async] = ACTIONS(2131),
    [anon_sym_function] = ACTIONS(2131),
    [anon_sym_QMARK_DOT] = ACTIONS(2131),
    [anon_sym_new] = ACTIONS(2131),
    [anon_sym_using] = ACTIONS(2131),
    [anon_sym_AMP_AMP] = ACTIONS(2131),
    [anon_sym_PIPE_PIPE] = ACTIONS(2131),
    [anon_sym_GT_GT] = ACTIONS(2131),
    [anon_sym_GT_GT_GT] = ACTIONS(2131),
    [anon_sym_LT_LT] = ACTIONS(2131),
    [anon_sym_AMP] = ACTIONS(2131),
    [anon_sym_CARET] = ACTIONS(2131),
    [anon_sym_PIPE] = ACTIONS(2131),
    [anon_sym_PLUS] = ACTIONS(2131),
    [anon_sym_DASH] = ACTIONS(2131),
    [anon_sym_SLASH] = ACTIONS(2131),
    [anon_sym_PERCENT] = ACTIONS(2131),
    [anon_sym_STAR_STAR] = ACTIONS(2131),
    [anon_sym_LT] = ACTIONS(2131),
    [anon_sym_LT_EQ] = ACTIONS(2131),
    [anon_sym_EQ_EQ] = ACTIONS(2131),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2131),
    [anon_sym_BANG_EQ] = ACTIONS(2131),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2131),
    [anon_sym_GT_EQ] = ACTIONS(2131),
    [anon_sym_QMARK_QMARK] = ACTIONS(2131),
    [anon_sym_instanceof] = ACTIONS(2131),
    [anon_sym_TILDE] = ACTIONS(2131),
    [anon_sym_void] = ACTIONS(2131),
    [anon_sym_delete] = ACTIONS(2131),
    [anon_sym_PLUS_PLUS] = ACTIONS(2131),
    [anon_sym_DASH_DASH] = ACTIONS(2131),
    [anon_sym_DQUOTE] = ACTIONS(2131),
    [anon_sym_SQUOTE] = ACTIONS(2131),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2131),
    [sym_number] = ACTIONS(2131),
    [sym_private_property_identifier] = ACTIONS(2131),
    [sym_this] = ACTIONS(2131),
    [sym_super] = ACTIONS(2131),
    [sym_true] = ACTIONS(2131),
    [sym_false] = ACTIONS(2131),
    [sym_null] = ACTIONS(2131),
    [sym_undefined] = ACTIONS(2131),
    [anon_sym_AT] = ACTIONS(2131),
    [anon_sym_static] = ACTIONS(2131),
    [anon_sym_readonly] = ACTIONS(2131),
    [anon_sym_get] = ACTIONS(2131),
    [anon_sym_set] = ACTIONS(2131),
    [anon_sym_declare] = ACTIONS(2131),
    [anon_sym_public] = ACTIONS(2131),
    [anon_sym_private] = ACTIONS(2131),
    [anon_sym_protected] = ACTIONS(2131),
    [anon_sym_override] = ACTIONS(2131),
    [anon_sym_module] = ACTIONS(2131),
    [anon_sym_any] = ACTIONS(2131),
    [anon_sym_number] = ACTIONS(2131),
    [anon_sym_boolean] = ACTIONS(2131),
    [anon_sym_string] = ACTIONS(2131),
    [anon_sym_symbol] = ACTIONS(2131),
    [anon_sym_object] = ACTIONS(2131),
    [anon_sym_abstract] = ACTIONS(2131),
    [anon_sym_satisfies] = ACTIONS(2131),
    [anon_sym_interface] = ACTIONS(2131),
    [anon_sym_enum] = ACTIONS(2131),
    [sym__automatic_semicolon] = ACTIONS(2133),
    [sym__ternary_qmark] = ACTIONS(2133),
    [sym_html_comment] = ACTIONS(5),
  },
  [310] = {
    [sym_comment] = STATE(310),
    [sym_identifier] = ACTIONS(2135),
    [anon_sym_export] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2135),
    [anon_sym_default] = ACTIONS(2135),
    [anon_sym_type] = ACTIONS(2135),
    [anon_sym_as] = ACTIONS(2135),
    [anon_sym_namespace] = ACTIONS(2135),
    [anon_sym_LBRACE] = ACTIONS(2135),
    [anon_sym_COMMA] = ACTIONS(2135),
    [anon_sym_RBRACE] = ACTIONS(2135),
    [anon_sym_typeof] = ACTIONS(2135),
    [anon_sym_import] = ACTIONS(2135),
    [anon_sym_var] = ACTIONS(2135),
    [anon_sym_let] = ACTIONS(2135),
    [anon_sym_const] = ACTIONS(2135),
    [anon_sym_BANG] = ACTIONS(2135),
    [anon_sym_else] = ACTIONS(2135),
    [anon_sym_if] = ACTIONS(2135),
    [anon_sym_switch] = ACTIONS(2135),
    [anon_sym_for] = ACTIONS(2135),
    [anon_sym_LPAREN] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2135),
    [anon_sym_in] = ACTIONS(2135),
    [anon_sym_while] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(2135),
    [anon_sym_try] = ACTIONS(2135),
    [anon_sym_with] = ACTIONS(2135),
    [anon_sym_break] = ACTIONS(2135),
    [anon_sym_continue] = ACTIONS(2135),
    [anon_sym_debugger] = ACTIONS(2135),
    [anon_sym_return] = ACTIONS(2135),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_SEMI] = ACTIONS(2135),
    [anon_sym_case] = ACTIONS(2135),
    [anon_sym_yield] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(2135),
    [anon_sym_LTtemplate_GT] = ACTIONS(2135),
    [anon_sym_GT] = ACTIONS(2135),
    [anon_sym_DOT] = ACTIONS(2135),
    [anon_sym_class] = ACTIONS(2135),
    [anon_sym_async] = ACTIONS(2135),
    [anon_sym_function] = ACTIONS(2135),
    [anon_sym_QMARK_DOT] = ACTIONS(2135),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_using] = ACTIONS(2135),
    [anon_sym_AMP_AMP] = ACTIONS(2135),
    [anon_sym_PIPE_PIPE] = ACTIONS(2135),
    [anon_sym_GT_GT] = ACTIONS(2135),
    [anon_sym_GT_GT_GT] = ACTIONS(2135),
    [anon_sym_LT_LT] = ACTIONS(2135),
    [anon_sym_AMP] = ACTIONS(2135),
    [anon_sym_CARET] = ACTIONS(2135),
    [anon_sym_PIPE] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_SLASH] = ACTIONS(2135),
    [anon_sym_PERCENT] = ACTIONS(2135),
    [anon_sym_STAR_STAR] = ACTIONS(2135),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_LT_EQ] = ACTIONS(2135),
    [anon_sym_EQ_EQ] = ACTIONS(2135),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2135),
    [anon_sym_BANG_EQ] = ACTIONS(2135),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2135),
    [anon_sym_GT_EQ] = ACTIONS(2135),
    [anon_sym_QMARK_QMARK] = ACTIONS(2135),
    [anon_sym_instanceof] = ACTIONS(2135),
    [anon_sym_TILDE] = ACTIONS(2135),
    [anon_sym_void] = ACTIONS(2135),
    [anon_sym_delete] = ACTIONS(2135),
    [anon_sym_PLUS_PLUS] = ACTIONS(2135),
    [anon_sym_DASH_DASH] = ACTIONS(2135),
    [anon_sym_DQUOTE] = ACTIONS(2135),
    [anon_sym_SQUOTE] = ACTIONS(2135),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2135),
    [sym_number] = ACTIONS(2135),
    [sym_private_property_identifier] = ACTIONS(2135),
    [sym_this] = ACTIONS(2135),
    [sym_super] = ACTIONS(2135),
    [sym_true] = ACTIONS(2135),
    [sym_false] = ACTIONS(2135),
    [sym_null] = ACTIONS(2135),
    [sym_undefined] = ACTIONS(2135),
    [anon_sym_AT] = ACTIONS(2135),
    [anon_sym_static] = ACTIONS(2135),
    [anon_sym_readonly] = ACTIONS(2135),
    [anon_sym_get] = ACTIONS(2135),
    [anon_sym_set] = ACTIONS(2135),
    [anon_sym_declare] = ACTIONS(2135),
    [anon_sym_public] = ACTIONS(2135),
    [anon_sym_private] = ACTIONS(2135),
    [anon_sym_protected] = ACTIONS(2135),
    [anon_sym_override] = ACTIONS(2135),
    [anon_sym_module] = ACTIONS(2135),
    [anon_sym_any] = ACTIONS(2135),
    [anon_sym_number] = ACTIONS(2135),
    [anon_sym_boolean] = ACTIONS(2135),
    [anon_sym_string] = ACTIONS(2135),
    [anon_sym_symbol] = ACTIONS(2135),
    [anon_sym_object] = ACTIONS(2135),
    [anon_sym_abstract] = ACTIONS(2135),
    [anon_sym_satisfies] = ACTIONS(2135),
    [anon_sym_interface] = ACTIONS(2135),
    [anon_sym_enum] = ACTIONS(2135),
    [sym__automatic_semicolon] = ACTIONS(2137),
    [sym__ternary_qmark] = ACTIONS(2137),
    [sym_html_comment] = ACTIONS(5),
  },
  [311] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2735),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_spread_element] = STATE(6358),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(311),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [aux_sym_array_repeat1] = STATE(6357),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(2113),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(2139),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2117),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [312] = {
    [sym_comment] = STATE(312),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_STAR] = ACTIONS(2141),
    [anon_sym_default] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_as] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_COMMA] = ACTIONS(2141),
    [anon_sym_RBRACE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_else] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_in] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_case] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LTtemplate_GT] = ACTIONS(2141),
    [anon_sym_GT] = ACTIONS(2141),
    [anon_sym_DOT] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_QMARK_DOT] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_using] = ACTIONS(2141),
    [anon_sym_AMP_AMP] = ACTIONS(2141),
    [anon_sym_PIPE_PIPE] = ACTIONS(2141),
    [anon_sym_GT_GT] = ACTIONS(2141),
    [anon_sym_GT_GT_GT] = ACTIONS(2141),
    [anon_sym_LT_LT] = ACTIONS(2141),
    [anon_sym_AMP] = ACTIONS(2141),
    [anon_sym_CARET] = ACTIONS(2141),
    [anon_sym_PIPE] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_PERCENT] = ACTIONS(2141),
    [anon_sym_STAR_STAR] = ACTIONS(2141),
    [anon_sym_LT] = ACTIONS(2141),
    [anon_sym_LT_EQ] = ACTIONS(2141),
    [anon_sym_EQ_EQ] = ACTIONS(2141),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2141),
    [anon_sym_BANG_EQ] = ACTIONS(2141),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2141),
    [anon_sym_GT_EQ] = ACTIONS(2141),
    [anon_sym_QMARK_QMARK] = ACTIONS(2141),
    [anon_sym_instanceof] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [sym_private_property_identifier] = ACTIONS(2141),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_object] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_satisfies] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
    [sym__automatic_semicolon] = ACTIONS(2143),
    [sym__ternary_qmark] = ACTIONS(2143),
    [sym_html_comment] = ACTIONS(5),
  },
  [313] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2701),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_spread_element] = STATE(5953),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(313),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [aux_sym_array_repeat1] = STATE(5948),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(2113),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(2145),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2117),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [314] = {
    [sym_comment] = STATE(314),
    [sym_identifier] = ACTIONS(2147),
    [anon_sym_export] = ACTIONS(2147),
    [anon_sym_STAR] = ACTIONS(2149),
    [anon_sym_default] = ACTIONS(2147),
    [anon_sym_type] = ACTIONS(2147),
    [anon_sym_as] = ACTIONS(2149),
    [anon_sym_namespace] = ACTIONS(2147),
    [anon_sym_LBRACE] = ACTIONS(2147),
    [anon_sym_COMMA] = ACTIONS(2149),
    [anon_sym_RBRACE] = ACTIONS(2147),
    [anon_sym_typeof] = ACTIONS(2147),
    [anon_sym_import] = ACTIONS(2147),
    [anon_sym_var] = ACTIONS(2147),
    [anon_sym_let] = ACTIONS(2147),
    [anon_sym_const] = ACTIONS(2147),
    [anon_sym_BANG] = ACTIONS(2147),
    [anon_sym_else] = ACTIONS(2147),
    [anon_sym_if] = ACTIONS(2147),
    [anon_sym_switch] = ACTIONS(2147),
    [anon_sym_for] = ACTIONS(2147),
    [anon_sym_LPAREN] = ACTIONS(2147),
    [anon_sym_await] = ACTIONS(2147),
    [anon_sym_in] = ACTIONS(2149),
    [anon_sym_while] = ACTIONS(2147),
    [anon_sym_do] = ACTIONS(2147),
    [anon_sym_try] = ACTIONS(2147),
    [anon_sym_with] = ACTIONS(2147),
    [anon_sym_break] = ACTIONS(2147),
    [anon_sym_continue] = ACTIONS(2147),
    [anon_sym_debugger] = ACTIONS(2147),
    [anon_sym_return] = ACTIONS(2147),
    [anon_sym_throw] = ACTIONS(2147),
    [anon_sym_SEMI] = ACTIONS(2147),
    [anon_sym_case] = ACTIONS(2147),
    [anon_sym_yield] = ACTIONS(2147),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_LTtemplate_GT] = ACTIONS(2147),
    [anon_sym_GT] = ACTIONS(2149),
    [anon_sym_DOT] = ACTIONS(2149),
    [anon_sym_class] = ACTIONS(2147),
    [anon_sym_async] = ACTIONS(2147),
    [anon_sym_function] = ACTIONS(2147),
    [anon_sym_QMARK_DOT] = ACTIONS(2149),
    [anon_sym_new] = ACTIONS(2147),
    [anon_sym_using] = ACTIONS(2147),
    [anon_sym_AMP_AMP] = ACTIONS(2149),
    [anon_sym_PIPE_PIPE] = ACTIONS(2149),
    [anon_sym_GT_GT] = ACTIONS(2149),
    [anon_sym_GT_GT_GT] = ACTIONS(2149),
    [anon_sym_LT_LT] = ACTIONS(2149),
    [anon_sym_AMP] = ACTIONS(2149),
    [anon_sym_CARET] = ACTIONS(2149),
    [anon_sym_PIPE] = ACTIONS(2149),
    [anon_sym_PLUS] = ACTIONS(2147),
    [anon_sym_DASH] = ACTIONS(2147),
    [anon_sym_SLASH] = ACTIONS(2147),
    [anon_sym_PERCENT] = ACTIONS(2149),
    [anon_sym_STAR_STAR] = ACTIONS(2149),
    [anon_sym_LT] = ACTIONS(2147),
    [anon_sym_LT_EQ] = ACTIONS(2149),
    [anon_sym_EQ_EQ] = ACTIONS(2149),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2149),
    [anon_sym_BANG_EQ] = ACTIONS(2149),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2149),
    [anon_sym_GT_EQ] = ACTIONS(2149),
    [anon_sym_QMARK_QMARK] = ACTIONS(2149),
    [anon_sym_instanceof] = ACTIONS(2149),
    [anon_sym_TILDE] = ACTIONS(2147),
    [anon_sym_void] = ACTIONS(2147),
    [anon_sym_delete] = ACTIONS(2147),
    [anon_sym_PLUS_PLUS] = ACTIONS(2147),
    [anon_sym_DASH_DASH] = ACTIONS(2147),
    [anon_sym_DQUOTE] = ACTIONS(2147),
    [anon_sym_SQUOTE] = ACTIONS(2147),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2147),
    [sym_number] = ACTIONS(2147),
    [sym_private_property_identifier] = ACTIONS(2147),
    [sym_this] = ACTIONS(2147),
    [sym_super] = ACTIONS(2147),
    [sym_true] = ACTIONS(2147),
    [sym_false] = ACTIONS(2147),
    [sym_null] = ACTIONS(2147),
    [sym_undefined] = ACTIONS(2147),
    [anon_sym_AT] = ACTIONS(2147),
    [anon_sym_static] = ACTIONS(2147),
    [anon_sym_readonly] = ACTIONS(2147),
    [anon_sym_get] = ACTIONS(2147),
    [anon_sym_set] = ACTIONS(2147),
    [anon_sym_declare] = ACTIONS(2147),
    [anon_sym_public] = ACTIONS(2147),
    [anon_sym_private] = ACTIONS(2147),
    [anon_sym_protected] = ACTIONS(2147),
    [anon_sym_override] = ACTIONS(2147),
    [anon_sym_module] = ACTIONS(2147),
    [anon_sym_any] = ACTIONS(2147),
    [anon_sym_number] = ACTIONS(2147),
    [anon_sym_boolean] = ACTIONS(2147),
    [anon_sym_string] = ACTIONS(2147),
    [anon_sym_symbol] = ACTIONS(2147),
    [anon_sym_object] = ACTIONS(2147),
    [anon_sym_abstract] = ACTIONS(2147),
    [anon_sym_satisfies] = ACTIONS(2149),
    [anon_sym_interface] = ACTIONS(2147),
    [anon_sym_enum] = ACTIONS(2147),
    [sym__automatic_semicolon] = ACTIONS(2151),
    [sym__ternary_qmark] = ACTIONS(2153),
    [sym_html_comment] = ACTIONS(5),
  },
  [315] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3037),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7312),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3830),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7314),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(315),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1632),
    [anon_sym_type] = ACTIONS(1632),
    [anon_sym_namespace] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(1974),
    [anon_sym_typeof] = ACTIONS(1638),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1632),
    [anon_sym_BANG] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1640),
    [anon_sym_yield] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1974),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1974),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1644),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1648),
    [anon_sym_AMP] = ACTIONS(1974),
    [anon_sym_PIPE] = ACTIONS(1974),
    [anon_sym_PLUS] = ACTIONS(1638),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1638),
    [anon_sym_void] = ACTIONS(1638),
    [anon_sym_delete] = ACTIONS(1638),
    [anon_sym_PLUS_PLUS] = ACTIONS(1654),
    [anon_sym_DASH_DASH] = ACTIONS(1654),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1656),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1632),
    [anon_sym_readonly] = ACTIONS(1632),
    [anon_sym_get] = ACTIONS(1632),
    [anon_sym_set] = ACTIONS(1632),
    [anon_sym_declare] = ACTIONS(1632),
    [anon_sym_public] = ACTIONS(1632),
    [anon_sym_private] = ACTIONS(1632),
    [anon_sym_protected] = ACTIONS(1632),
    [anon_sym_override] = ACTIONS(1632),
    [anon_sym_module] = ACTIONS(1632),
    [anon_sym_any] = ACTIONS(1632),
    [anon_sym_number] = ACTIONS(1632),
    [anon_sym_boolean] = ACTIONS(1632),
    [anon_sym_string] = ACTIONS(1632),
    [anon_sym_symbol] = ACTIONS(1632),
    [anon_sym_object] = ACTIONS(1632),
    [anon_sym_extends] = ACTIONS(1974),
    [sym_html_comment] = ACTIONS(5),
  },
  [316] = {
    [sym_comment] = STATE(316),
    [sym_identifier] = ACTIONS(2155),
    [anon_sym_export] = ACTIONS(2155),
    [anon_sym_STAR] = ACTIONS(2157),
    [anon_sym_default] = ACTIONS(2155),
    [anon_sym_type] = ACTIONS(2155),
    [anon_sym_as] = ACTIONS(2157),
    [anon_sym_namespace] = ACTIONS(2155),
    [anon_sym_LBRACE] = ACTIONS(2155),
    [anon_sym_COMMA] = ACTIONS(2157),
    [anon_sym_RBRACE] = ACTIONS(2155),
    [anon_sym_typeof] = ACTIONS(2155),
    [anon_sym_import] = ACTIONS(2155),
    [anon_sym_var] = ACTIONS(2155),
    [anon_sym_let] = ACTIONS(2155),
    [anon_sym_const] = ACTIONS(2155),
    [anon_sym_BANG] = ACTIONS(2155),
    [anon_sym_else] = ACTIONS(2155),
    [anon_sym_if] = ACTIONS(2155),
    [anon_sym_switch] = ACTIONS(2155),
    [anon_sym_for] = ACTIONS(2155),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_await] = ACTIONS(2155),
    [anon_sym_in] = ACTIONS(2157),
    [anon_sym_while] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(2155),
    [anon_sym_try] = ACTIONS(2155),
    [anon_sym_with] = ACTIONS(2155),
    [anon_sym_break] = ACTIONS(2155),
    [anon_sym_continue] = ACTIONS(2155),
    [anon_sym_debugger] = ACTIONS(2155),
    [anon_sym_return] = ACTIONS(2155),
    [anon_sym_throw] = ACTIONS(2155),
    [anon_sym_SEMI] = ACTIONS(2155),
    [anon_sym_case] = ACTIONS(2155),
    [anon_sym_yield] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2155),
    [anon_sym_LTtemplate_GT] = ACTIONS(2155),
    [anon_sym_GT] = ACTIONS(2157),
    [anon_sym_DOT] = ACTIONS(2157),
    [anon_sym_class] = ACTIONS(2155),
    [anon_sym_async] = ACTIONS(2155),
    [anon_sym_function] = ACTIONS(2155),
    [anon_sym_QMARK_DOT] = ACTIONS(2157),
    [anon_sym_new] = ACTIONS(2155),
    [anon_sym_using] = ACTIONS(2155),
    [anon_sym_AMP_AMP] = ACTIONS(2157),
    [anon_sym_PIPE_PIPE] = ACTIONS(2157),
    [anon_sym_GT_GT] = ACTIONS(2157),
    [anon_sym_GT_GT_GT] = ACTIONS(2157),
    [anon_sym_LT_LT] = ACTIONS(2157),
    [anon_sym_AMP] = ACTIONS(2157),
    [anon_sym_CARET] = ACTIONS(2157),
    [anon_sym_PIPE] = ACTIONS(2157),
    [anon_sym_PLUS] = ACTIONS(2155),
    [anon_sym_DASH] = ACTIONS(2155),
    [anon_sym_SLASH] = ACTIONS(2155),
    [anon_sym_PERCENT] = ACTIONS(2157),
    [anon_sym_STAR_STAR] = ACTIONS(2157),
    [anon_sym_LT] = ACTIONS(2155),
    [anon_sym_LT_EQ] = ACTIONS(2157),
    [anon_sym_EQ_EQ] = ACTIONS(2157),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2157),
    [anon_sym_BANG_EQ] = ACTIONS(2157),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2157),
    [anon_sym_GT_EQ] = ACTIONS(2157),
    [anon_sym_QMARK_QMARK] = ACTIONS(2157),
    [anon_sym_instanceof] = ACTIONS(2157),
    [anon_sym_TILDE] = ACTIONS(2155),
    [anon_sym_void] = ACTIONS(2155),
    [anon_sym_delete] = ACTIONS(2155),
    [anon_sym_PLUS_PLUS] = ACTIONS(2155),
    [anon_sym_DASH_DASH] = ACTIONS(2155),
    [anon_sym_DQUOTE] = ACTIONS(2155),
    [anon_sym_SQUOTE] = ACTIONS(2155),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2155),
    [sym_number] = ACTIONS(2155),
    [sym_private_property_identifier] = ACTIONS(2155),
    [sym_this] = ACTIONS(2155),
    [sym_super] = ACTIONS(2155),
    [sym_true] = ACTIONS(2155),
    [sym_false] = ACTIONS(2155),
    [sym_null] = ACTIONS(2155),
    [sym_undefined] = ACTIONS(2155),
    [anon_sym_AT] = ACTIONS(2155),
    [anon_sym_static] = ACTIONS(2155),
    [anon_sym_readonly] = ACTIONS(2155),
    [anon_sym_get] = ACTIONS(2155),
    [anon_sym_set] = ACTIONS(2155),
    [anon_sym_declare] = ACTIONS(2155),
    [anon_sym_public] = ACTIONS(2155),
    [anon_sym_private] = ACTIONS(2155),
    [anon_sym_protected] = ACTIONS(2155),
    [anon_sym_override] = ACTIONS(2155),
    [anon_sym_module] = ACTIONS(2155),
    [anon_sym_any] = ACTIONS(2155),
    [anon_sym_number] = ACTIONS(2155),
    [anon_sym_boolean] = ACTIONS(2155),
    [anon_sym_string] = ACTIONS(2155),
    [anon_sym_symbol] = ACTIONS(2155),
    [anon_sym_object] = ACTIONS(2155),
    [anon_sym_abstract] = ACTIONS(2155),
    [anon_sym_satisfies] = ACTIONS(2157),
    [anon_sym_interface] = ACTIONS(2155),
    [anon_sym_enum] = ACTIONS(2155),
    [sym__automatic_semicolon] = ACTIONS(2159),
    [sym__ternary_qmark] = ACTIONS(2161),
    [sym_html_comment] = ACTIONS(5),
  },
  [317] = {
    [sym_comment] = STATE(317),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_STAR] = ACTIONS(2141),
    [anon_sym_default] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_as] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_COMMA] = ACTIONS(2141),
    [anon_sym_RBRACE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_else] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_in] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_case] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LTtemplate_GT] = ACTIONS(2141),
    [anon_sym_GT] = ACTIONS(2141),
    [anon_sym_DOT] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_QMARK_DOT] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_using] = ACTIONS(2141),
    [anon_sym_AMP_AMP] = ACTIONS(2141),
    [anon_sym_PIPE_PIPE] = ACTIONS(2141),
    [anon_sym_GT_GT] = ACTIONS(2141),
    [anon_sym_GT_GT_GT] = ACTIONS(2141),
    [anon_sym_LT_LT] = ACTIONS(2141),
    [anon_sym_AMP] = ACTIONS(2141),
    [anon_sym_CARET] = ACTIONS(2141),
    [anon_sym_PIPE] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_PERCENT] = ACTIONS(2141),
    [anon_sym_STAR_STAR] = ACTIONS(2141),
    [anon_sym_LT] = ACTIONS(2141),
    [anon_sym_LT_EQ] = ACTIONS(2141),
    [anon_sym_EQ_EQ] = ACTIONS(2141),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2141),
    [anon_sym_BANG_EQ] = ACTIONS(2141),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2141),
    [anon_sym_GT_EQ] = ACTIONS(2141),
    [anon_sym_QMARK_QMARK] = ACTIONS(2141),
    [anon_sym_instanceof] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [sym_private_property_identifier] = ACTIONS(2141),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_object] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_satisfies] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
    [sym__automatic_semicolon] = ACTIONS(2163),
    [sym__ternary_qmark] = ACTIONS(2143),
    [sym_html_comment] = ACTIONS(5),
  },
  [318] = {
    [sym_comment] = STATE(318),
    [sym_identifier] = ACTIONS(2165),
    [anon_sym_export] = ACTIONS(2165),
    [anon_sym_STAR] = ACTIONS(2165),
    [anon_sym_default] = ACTIONS(2165),
    [anon_sym_type] = ACTIONS(2165),
    [anon_sym_as] = ACTIONS(2165),
    [anon_sym_namespace] = ACTIONS(2165),
    [anon_sym_LBRACE] = ACTIONS(2165),
    [anon_sym_COMMA] = ACTIONS(2165),
    [anon_sym_RBRACE] = ACTIONS(2165),
    [anon_sym_typeof] = ACTIONS(2165),
    [anon_sym_import] = ACTIONS(2165),
    [anon_sym_var] = ACTIONS(2165),
    [anon_sym_let] = ACTIONS(2165),
    [anon_sym_const] = ACTIONS(2165),
    [anon_sym_BANG] = ACTIONS(2165),
    [anon_sym_else] = ACTIONS(2165),
    [anon_sym_if] = ACTIONS(2165),
    [anon_sym_switch] = ACTIONS(2165),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_LPAREN] = ACTIONS(2165),
    [anon_sym_await] = ACTIONS(2165),
    [anon_sym_in] = ACTIONS(2165),
    [anon_sym_while] = ACTIONS(2165),
    [anon_sym_do] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_with] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2165),
    [anon_sym_continue] = ACTIONS(2165),
    [anon_sym_debugger] = ACTIONS(2165),
    [anon_sym_return] = ACTIONS(2165),
    [anon_sym_throw] = ACTIONS(2165),
    [anon_sym_SEMI] = ACTIONS(2165),
    [anon_sym_case] = ACTIONS(2165),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_LBRACK] = ACTIONS(2165),
    [anon_sym_LTtemplate_GT] = ACTIONS(2165),
    [anon_sym_GT] = ACTIONS(2165),
    [anon_sym_DOT] = ACTIONS(2165),
    [anon_sym_class] = ACTIONS(2165),
    [anon_sym_async] = ACTIONS(2165),
    [anon_sym_function] = ACTIONS(2165),
    [anon_sym_QMARK_DOT] = ACTIONS(2165),
    [anon_sym_new] = ACTIONS(2165),
    [anon_sym_using] = ACTIONS(2165),
    [anon_sym_AMP_AMP] = ACTIONS(2165),
    [anon_sym_PIPE_PIPE] = ACTIONS(2165),
    [anon_sym_GT_GT] = ACTIONS(2165),
    [anon_sym_GT_GT_GT] = ACTIONS(2165),
    [anon_sym_LT_LT] = ACTIONS(2165),
    [anon_sym_AMP] = ACTIONS(2165),
    [anon_sym_CARET] = ACTIONS(2165),
    [anon_sym_PIPE] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(2165),
    [anon_sym_DASH] = ACTIONS(2165),
    [anon_sym_SLASH] = ACTIONS(2165),
    [anon_sym_PERCENT] = ACTIONS(2165),
    [anon_sym_STAR_STAR] = ACTIONS(2165),
    [anon_sym_LT] = ACTIONS(2165),
    [anon_sym_LT_EQ] = ACTIONS(2165),
    [anon_sym_EQ_EQ] = ACTIONS(2165),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2165),
    [anon_sym_BANG_EQ] = ACTIONS(2165),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2165),
    [anon_sym_GT_EQ] = ACTIONS(2165),
    [anon_sym_QMARK_QMARK] = ACTIONS(2165),
    [anon_sym_instanceof] = ACTIONS(2165),
    [anon_sym_TILDE] = ACTIONS(2165),
    [anon_sym_void] = ACTIONS(2165),
    [anon_sym_delete] = ACTIONS(2165),
    [anon_sym_PLUS_PLUS] = ACTIONS(2165),
    [anon_sym_DASH_DASH] = ACTIONS(2165),
    [anon_sym_DQUOTE] = ACTIONS(2165),
    [anon_sym_SQUOTE] = ACTIONS(2165),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2165),
    [sym_number] = ACTIONS(2165),
    [sym_private_property_identifier] = ACTIONS(2165),
    [sym_this] = ACTIONS(2165),
    [sym_super] = ACTIONS(2165),
    [sym_true] = ACTIONS(2165),
    [sym_false] = ACTIONS(2165),
    [sym_null] = ACTIONS(2165),
    [sym_undefined] = ACTIONS(2165),
    [anon_sym_AT] = ACTIONS(2165),
    [anon_sym_static] = ACTIONS(2165),
    [anon_sym_readonly] = ACTIONS(2165),
    [anon_sym_get] = ACTIONS(2165),
    [anon_sym_set] = ACTIONS(2165),
    [anon_sym_declare] = ACTIONS(2165),
    [anon_sym_public] = ACTIONS(2165),
    [anon_sym_private] = ACTIONS(2165),
    [anon_sym_protected] = ACTIONS(2165),
    [anon_sym_override] = ACTIONS(2165),
    [anon_sym_module] = ACTIONS(2165),
    [anon_sym_any] = ACTIONS(2165),
    [anon_sym_number] = ACTIONS(2165),
    [anon_sym_boolean] = ACTIONS(2165),
    [anon_sym_string] = ACTIONS(2165),
    [anon_sym_symbol] = ACTIONS(2165),
    [anon_sym_object] = ACTIONS(2165),
    [anon_sym_abstract] = ACTIONS(2165),
    [anon_sym_satisfies] = ACTIONS(2165),
    [anon_sym_interface] = ACTIONS(2165),
    [anon_sym_enum] = ACTIONS(2165),
    [sym__automatic_semicolon] = ACTIONS(2167),
    [sym__ternary_qmark] = ACTIONS(2167),
    [sym_html_comment] = ACTIONS(5),
  },
  [319] = {
    [sym_comment] = STATE(319),
    [sym_identifier] = ACTIONS(2169),
    [anon_sym_export] = ACTIONS(2169),
    [anon_sym_STAR] = ACTIONS(2171),
    [anon_sym_default] = ACTIONS(2169),
    [anon_sym_type] = ACTIONS(2169),
    [anon_sym_as] = ACTIONS(2171),
    [anon_sym_namespace] = ACTIONS(2169),
    [anon_sym_LBRACE] = ACTIONS(2169),
    [anon_sym_COMMA] = ACTIONS(2171),
    [anon_sym_RBRACE] = ACTIONS(2169),
    [anon_sym_typeof] = ACTIONS(2169),
    [anon_sym_import] = ACTIONS(2169),
    [anon_sym_var] = ACTIONS(2169),
    [anon_sym_let] = ACTIONS(2169),
    [anon_sym_const] = ACTIONS(2169),
    [anon_sym_BANG] = ACTIONS(2169),
    [anon_sym_else] = ACTIONS(2169),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_switch] = ACTIONS(2169),
    [anon_sym_for] = ACTIONS(2169),
    [anon_sym_LPAREN] = ACTIONS(2169),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_in] = ACTIONS(2171),
    [anon_sym_while] = ACTIONS(2169),
    [anon_sym_do] = ACTIONS(2169),
    [anon_sym_try] = ACTIONS(2169),
    [anon_sym_with] = ACTIONS(2169),
    [anon_sym_break] = ACTIONS(2169),
    [anon_sym_continue] = ACTIONS(2169),
    [anon_sym_debugger] = ACTIONS(2169),
    [anon_sym_return] = ACTIONS(2169),
    [anon_sym_throw] = ACTIONS(2169),
    [anon_sym_SEMI] = ACTIONS(2169),
    [anon_sym_case] = ACTIONS(2169),
    [anon_sym_yield] = ACTIONS(2169),
    [anon_sym_LBRACK] = ACTIONS(2169),
    [anon_sym_LTtemplate_GT] = ACTIONS(2169),
    [anon_sym_GT] = ACTIONS(2171),
    [anon_sym_DOT] = ACTIONS(2171),
    [anon_sym_class] = ACTIONS(2169),
    [anon_sym_async] = ACTIONS(2169),
    [anon_sym_function] = ACTIONS(2169),
    [anon_sym_QMARK_DOT] = ACTIONS(2171),
    [anon_sym_new] = ACTIONS(2169),
    [anon_sym_using] = ACTIONS(2169),
    [anon_sym_AMP_AMP] = ACTIONS(2171),
    [anon_sym_PIPE_PIPE] = ACTIONS(2171),
    [anon_sym_GT_GT] = ACTIONS(2171),
    [anon_sym_GT_GT_GT] = ACTIONS(2171),
    [anon_sym_LT_LT] = ACTIONS(2171),
    [anon_sym_AMP] = ACTIONS(2171),
    [anon_sym_CARET] = ACTIONS(2171),
    [anon_sym_PIPE] = ACTIONS(2171),
    [anon_sym_PLUS] = ACTIONS(2169),
    [anon_sym_DASH] = ACTIONS(2169),
    [anon_sym_SLASH] = ACTIONS(2169),
    [anon_sym_PERCENT] = ACTIONS(2171),
    [anon_sym_STAR_STAR] = ACTIONS(2171),
    [anon_sym_LT] = ACTIONS(2169),
    [anon_sym_LT_EQ] = ACTIONS(2171),
    [anon_sym_EQ_EQ] = ACTIONS(2171),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2171),
    [anon_sym_BANG_EQ] = ACTIONS(2171),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2171),
    [anon_sym_GT_EQ] = ACTIONS(2171),
    [anon_sym_QMARK_QMARK] = ACTIONS(2171),
    [anon_sym_instanceof] = ACTIONS(2171),
    [anon_sym_TILDE] = ACTIONS(2169),
    [anon_sym_void] = ACTIONS(2169),
    [anon_sym_delete] = ACTIONS(2169),
    [anon_sym_PLUS_PLUS] = ACTIONS(2169),
    [anon_sym_DASH_DASH] = ACTIONS(2169),
    [anon_sym_DQUOTE] = ACTIONS(2169),
    [anon_sym_SQUOTE] = ACTIONS(2169),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2169),
    [sym_number] = ACTIONS(2169),
    [sym_private_property_identifier] = ACTIONS(2169),
    [sym_this] = ACTIONS(2169),
    [sym_super] = ACTIONS(2169),
    [sym_true] = ACTIONS(2169),
    [sym_false] = ACTIONS(2169),
    [sym_null] = ACTIONS(2169),
    [sym_undefined] = ACTIONS(2169),
    [anon_sym_AT] = ACTIONS(2169),
    [anon_sym_static] = ACTIONS(2169),
    [anon_sym_readonly] = ACTIONS(2169),
    [anon_sym_get] = ACTIONS(2169),
    [anon_sym_set] = ACTIONS(2169),
    [anon_sym_declare] = ACTIONS(2169),
    [anon_sym_public] = ACTIONS(2169),
    [anon_sym_private] = ACTIONS(2169),
    [anon_sym_protected] = ACTIONS(2169),
    [anon_sym_override] = ACTIONS(2169),
    [anon_sym_module] = ACTIONS(2169),
    [anon_sym_any] = ACTIONS(2169),
    [anon_sym_number] = ACTIONS(2169),
    [anon_sym_boolean] = ACTIONS(2169),
    [anon_sym_string] = ACTIONS(2169),
    [anon_sym_symbol] = ACTIONS(2169),
    [anon_sym_object] = ACTIONS(2169),
    [anon_sym_abstract] = ACTIONS(2169),
    [anon_sym_satisfies] = ACTIONS(2171),
    [anon_sym_interface] = ACTIONS(2169),
    [anon_sym_enum] = ACTIONS(2169),
    [sym__automatic_semicolon] = ACTIONS(2173),
    [sym__ternary_qmark] = ACTIONS(2175),
    [sym_html_comment] = ACTIONS(5),
  },
  [320] = {
    [sym_comment] = STATE(320),
    [sym_identifier] = ACTIONS(2177),
    [anon_sym_export] = ACTIONS(2177),
    [anon_sym_STAR] = ACTIONS(2179),
    [anon_sym_default] = ACTIONS(2177),
    [anon_sym_type] = ACTIONS(2177),
    [anon_sym_as] = ACTIONS(2179),
    [anon_sym_namespace] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(2177),
    [anon_sym_COMMA] = ACTIONS(2179),
    [anon_sym_RBRACE] = ACTIONS(2177),
    [anon_sym_typeof] = ACTIONS(2177),
    [anon_sym_import] = ACTIONS(2177),
    [anon_sym_var] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2177),
    [anon_sym_const] = ACTIONS(2177),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_else] = ACTIONS(2177),
    [anon_sym_if] = ACTIONS(2177),
    [anon_sym_switch] = ACTIONS(2177),
    [anon_sym_for] = ACTIONS(2177),
    [anon_sym_LPAREN] = ACTIONS(2177),
    [anon_sym_await] = ACTIONS(2177),
    [anon_sym_in] = ACTIONS(2179),
    [anon_sym_while] = ACTIONS(2177),
    [anon_sym_do] = ACTIONS(2177),
    [anon_sym_try] = ACTIONS(2177),
    [anon_sym_with] = ACTIONS(2177),
    [anon_sym_break] = ACTIONS(2177),
    [anon_sym_continue] = ACTIONS(2177),
    [anon_sym_debugger] = ACTIONS(2177),
    [anon_sym_return] = ACTIONS(2177),
    [anon_sym_throw] = ACTIONS(2177),
    [anon_sym_SEMI] = ACTIONS(2177),
    [anon_sym_case] = ACTIONS(2177),
    [anon_sym_yield] = ACTIONS(2177),
    [anon_sym_LBRACK] = ACTIONS(2177),
    [anon_sym_LTtemplate_GT] = ACTIONS(2177),
    [anon_sym_GT] = ACTIONS(2179),
    [anon_sym_DOT] = ACTIONS(2179),
    [anon_sym_class] = ACTIONS(2177),
    [anon_sym_async] = ACTIONS(2177),
    [anon_sym_function] = ACTIONS(2177),
    [anon_sym_QMARK_DOT] = ACTIONS(2179),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_using] = ACTIONS(2177),
    [anon_sym_AMP_AMP] = ACTIONS(2179),
    [anon_sym_PIPE_PIPE] = ACTIONS(2179),
    [anon_sym_GT_GT] = ACTIONS(2179),
    [anon_sym_GT_GT_GT] = ACTIONS(2179),
    [anon_sym_LT_LT] = ACTIONS(2179),
    [anon_sym_AMP] = ACTIONS(2179),
    [anon_sym_CARET] = ACTIONS(2179),
    [anon_sym_PIPE] = ACTIONS(2179),
    [anon_sym_PLUS] = ACTIONS(2177),
    [anon_sym_DASH] = ACTIONS(2177),
    [anon_sym_SLASH] = ACTIONS(2177),
    [anon_sym_PERCENT] = ACTIONS(2179),
    [anon_sym_STAR_STAR] = ACTIONS(2179),
    [anon_sym_LT] = ACTIONS(2177),
    [anon_sym_LT_EQ] = ACTIONS(2179),
    [anon_sym_EQ_EQ] = ACTIONS(2179),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2179),
    [anon_sym_BANG_EQ] = ACTIONS(2179),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2179),
    [anon_sym_GT_EQ] = ACTIONS(2179),
    [anon_sym_QMARK_QMARK] = ACTIONS(2179),
    [anon_sym_instanceof] = ACTIONS(2179),
    [anon_sym_TILDE] = ACTIONS(2177),
    [anon_sym_void] = ACTIONS(2177),
    [anon_sym_delete] = ACTIONS(2177),
    [anon_sym_PLUS_PLUS] = ACTIONS(2177),
    [anon_sym_DASH_DASH] = ACTIONS(2177),
    [anon_sym_DQUOTE] = ACTIONS(2177),
    [anon_sym_SQUOTE] = ACTIONS(2177),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2177),
    [sym_number] = ACTIONS(2177),
    [sym_private_property_identifier] = ACTIONS(2177),
    [sym_this] = ACTIONS(2177),
    [sym_super] = ACTIONS(2177),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [sym_null] = ACTIONS(2177),
    [sym_undefined] = ACTIONS(2177),
    [anon_sym_AT] = ACTIONS(2177),
    [anon_sym_static] = ACTIONS(2177),
    [anon_sym_readonly] = ACTIONS(2177),
    [anon_sym_get] = ACTIONS(2177),
    [anon_sym_set] = ACTIONS(2177),
    [anon_sym_declare] = ACTIONS(2177),
    [anon_sym_public] = ACTIONS(2177),
    [anon_sym_private] = ACTIONS(2177),
    [anon_sym_protected] = ACTIONS(2177),
    [anon_sym_override] = ACTIONS(2177),
    [anon_sym_module] = ACTIONS(2177),
    [anon_sym_any] = ACTIONS(2177),
    [anon_sym_number] = ACTIONS(2177),
    [anon_sym_boolean] = ACTIONS(2177),
    [anon_sym_string] = ACTIONS(2177),
    [anon_sym_symbol] = ACTIONS(2177),
    [anon_sym_object] = ACTIONS(2177),
    [anon_sym_abstract] = ACTIONS(2177),
    [anon_sym_satisfies] = ACTIONS(2179),
    [anon_sym_interface] = ACTIONS(2177),
    [anon_sym_enum] = ACTIONS(2177),
    [sym__automatic_semicolon] = ACTIONS(2181),
    [sym__ternary_qmark] = ACTIONS(2183),
    [sym_html_comment] = ACTIONS(5),
  },
  [321] = {
    [sym_comment] = STATE(321),
    [sym_identifier] = ACTIONS(2185),
    [anon_sym_export] = ACTIONS(2185),
    [anon_sym_STAR] = ACTIONS(2187),
    [anon_sym_default] = ACTIONS(2185),
    [anon_sym_type] = ACTIONS(2185),
    [anon_sym_as] = ACTIONS(2187),
    [anon_sym_namespace] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2185),
    [anon_sym_COMMA] = ACTIONS(2187),
    [anon_sym_RBRACE] = ACTIONS(2185),
    [anon_sym_typeof] = ACTIONS(2185),
    [anon_sym_import] = ACTIONS(2185),
    [anon_sym_var] = ACTIONS(2185),
    [anon_sym_let] = ACTIONS(2185),
    [anon_sym_const] = ACTIONS(2185),
    [anon_sym_BANG] = ACTIONS(2185),
    [anon_sym_else] = ACTIONS(2185),
    [anon_sym_if] = ACTIONS(2185),
    [anon_sym_switch] = ACTIONS(2185),
    [anon_sym_for] = ACTIONS(2185),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_in] = ACTIONS(2187),
    [anon_sym_while] = ACTIONS(2185),
    [anon_sym_do] = ACTIONS(2185),
    [anon_sym_try] = ACTIONS(2185),
    [anon_sym_with] = ACTIONS(2185),
    [anon_sym_break] = ACTIONS(2185),
    [anon_sym_continue] = ACTIONS(2185),
    [anon_sym_debugger] = ACTIONS(2185),
    [anon_sym_return] = ACTIONS(2185),
    [anon_sym_throw] = ACTIONS(2185),
    [anon_sym_SEMI] = ACTIONS(2185),
    [anon_sym_case] = ACTIONS(2185),
    [anon_sym_yield] = ACTIONS(2185),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_LTtemplate_GT] = ACTIONS(2185),
    [anon_sym_GT] = ACTIONS(2187),
    [anon_sym_DOT] = ACTIONS(2187),
    [anon_sym_class] = ACTIONS(2185),
    [anon_sym_async] = ACTIONS(2185),
    [anon_sym_function] = ACTIONS(2185),
    [anon_sym_QMARK_DOT] = ACTIONS(2187),
    [anon_sym_new] = ACTIONS(2185),
    [anon_sym_using] = ACTIONS(2185),
    [anon_sym_AMP_AMP] = ACTIONS(2187),
    [anon_sym_PIPE_PIPE] = ACTIONS(2187),
    [anon_sym_GT_GT] = ACTIONS(2187),
    [anon_sym_GT_GT_GT] = ACTIONS(2187),
    [anon_sym_LT_LT] = ACTIONS(2187),
    [anon_sym_AMP] = ACTIONS(2187),
    [anon_sym_CARET] = ACTIONS(2187),
    [anon_sym_PIPE] = ACTIONS(2187),
    [anon_sym_PLUS] = ACTIONS(2185),
    [anon_sym_DASH] = ACTIONS(2185),
    [anon_sym_SLASH] = ACTIONS(2185),
    [anon_sym_PERCENT] = ACTIONS(2187),
    [anon_sym_STAR_STAR] = ACTIONS(2187),
    [anon_sym_LT] = ACTIONS(2185),
    [anon_sym_LT_EQ] = ACTIONS(2187),
    [anon_sym_EQ_EQ] = ACTIONS(2187),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2187),
    [anon_sym_BANG_EQ] = ACTIONS(2187),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2187),
    [anon_sym_GT_EQ] = ACTIONS(2187),
    [anon_sym_QMARK_QMARK] = ACTIONS(2187),
    [anon_sym_instanceof] = ACTIONS(2187),
    [anon_sym_TILDE] = ACTIONS(2185),
    [anon_sym_void] = ACTIONS(2185),
    [anon_sym_delete] = ACTIONS(2185),
    [anon_sym_PLUS_PLUS] = ACTIONS(2185),
    [anon_sym_DASH_DASH] = ACTIONS(2185),
    [anon_sym_DQUOTE] = ACTIONS(2185),
    [anon_sym_SQUOTE] = ACTIONS(2185),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2185),
    [sym_number] = ACTIONS(2185),
    [sym_private_property_identifier] = ACTIONS(2185),
    [sym_this] = ACTIONS(2185),
    [sym_super] = ACTIONS(2185),
    [sym_true] = ACTIONS(2185),
    [sym_false] = ACTIONS(2185),
    [sym_null] = ACTIONS(2185),
    [sym_undefined] = ACTIONS(2185),
    [anon_sym_AT] = ACTIONS(2185),
    [anon_sym_static] = ACTIONS(2185),
    [anon_sym_readonly] = ACTIONS(2185),
    [anon_sym_get] = ACTIONS(2185),
    [anon_sym_set] = ACTIONS(2185),
    [anon_sym_declare] = ACTIONS(2185),
    [anon_sym_public] = ACTIONS(2185),
    [anon_sym_private] = ACTIONS(2185),
    [anon_sym_protected] = ACTIONS(2185),
    [anon_sym_override] = ACTIONS(2185),
    [anon_sym_module] = ACTIONS(2185),
    [anon_sym_any] = ACTIONS(2185),
    [anon_sym_number] = ACTIONS(2185),
    [anon_sym_boolean] = ACTIONS(2185),
    [anon_sym_string] = ACTIONS(2185),
    [anon_sym_symbol] = ACTIONS(2185),
    [anon_sym_object] = ACTIONS(2185),
    [anon_sym_abstract] = ACTIONS(2185),
    [anon_sym_satisfies] = ACTIONS(2187),
    [anon_sym_interface] = ACTIONS(2185),
    [anon_sym_enum] = ACTIONS(2185),
    [sym__automatic_semicolon] = ACTIONS(2189),
    [sym__ternary_qmark] = ACTIONS(2191),
    [sym_html_comment] = ACTIONS(5),
  },
  [322] = {
    [sym_comment] = STATE(322),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_export] = ACTIONS(2193),
    [anon_sym_STAR] = ACTIONS(2195),
    [anon_sym_default] = ACTIONS(2193),
    [anon_sym_type] = ACTIONS(2193),
    [anon_sym_as] = ACTIONS(2195),
    [anon_sym_namespace] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(2193),
    [anon_sym_COMMA] = ACTIONS(2195),
    [anon_sym_RBRACE] = ACTIONS(2193),
    [anon_sym_typeof] = ACTIONS(2193),
    [anon_sym_import] = ACTIONS(2193),
    [anon_sym_var] = ACTIONS(2193),
    [anon_sym_let] = ACTIONS(2193),
    [anon_sym_const] = ACTIONS(2193),
    [anon_sym_BANG] = ACTIONS(2193),
    [anon_sym_else] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2193),
    [anon_sym_switch] = ACTIONS(2193),
    [anon_sym_for] = ACTIONS(2193),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_await] = ACTIONS(2193),
    [anon_sym_in] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(2193),
    [anon_sym_do] = ACTIONS(2193),
    [anon_sym_try] = ACTIONS(2193),
    [anon_sym_with] = ACTIONS(2193),
    [anon_sym_break] = ACTIONS(2193),
    [anon_sym_continue] = ACTIONS(2193),
    [anon_sym_debugger] = ACTIONS(2193),
    [anon_sym_return] = ACTIONS(2193),
    [anon_sym_throw] = ACTIONS(2193),
    [anon_sym_SEMI] = ACTIONS(2193),
    [anon_sym_case] = ACTIONS(2193),
    [anon_sym_yield] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2193),
    [anon_sym_LTtemplate_GT] = ACTIONS(2193),
    [anon_sym_GT] = ACTIONS(2195),
    [anon_sym_DOT] = ACTIONS(2195),
    [anon_sym_class] = ACTIONS(2193),
    [anon_sym_async] = ACTIONS(2193),
    [anon_sym_function] = ACTIONS(2193),
    [anon_sym_QMARK_DOT] = ACTIONS(2195),
    [anon_sym_new] = ACTIONS(2193),
    [anon_sym_using] = ACTIONS(2193),
    [anon_sym_AMP_AMP] = ACTIONS(2195),
    [anon_sym_PIPE_PIPE] = ACTIONS(2195),
    [anon_sym_GT_GT] = ACTIONS(2195),
    [anon_sym_GT_GT_GT] = ACTIONS(2195),
    [anon_sym_LT_LT] = ACTIONS(2195),
    [anon_sym_AMP] = ACTIONS(2195),
    [anon_sym_CARET] = ACTIONS(2195),
    [anon_sym_PIPE] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2193),
    [anon_sym_DASH] = ACTIONS(2193),
    [anon_sym_SLASH] = ACTIONS(2193),
    [anon_sym_PERCENT] = ACTIONS(2195),
    [anon_sym_STAR_STAR] = ACTIONS(2195),
    [anon_sym_LT] = ACTIONS(2193),
    [anon_sym_LT_EQ] = ACTIONS(2195),
    [anon_sym_EQ_EQ] = ACTIONS(2195),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2195),
    [anon_sym_BANG_EQ] = ACTIONS(2195),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2195),
    [anon_sym_GT_EQ] = ACTIONS(2195),
    [anon_sym_QMARK_QMARK] = ACTIONS(2195),
    [anon_sym_instanceof] = ACTIONS(2195),
    [anon_sym_TILDE] = ACTIONS(2193),
    [anon_sym_void] = ACTIONS(2193),
    [anon_sym_delete] = ACTIONS(2193),
    [anon_sym_PLUS_PLUS] = ACTIONS(2193),
    [anon_sym_DASH_DASH] = ACTIONS(2193),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [anon_sym_SQUOTE] = ACTIONS(2193),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2193),
    [sym_number] = ACTIONS(2193),
    [sym_private_property_identifier] = ACTIONS(2193),
    [sym_this] = ACTIONS(2193),
    [sym_super] = ACTIONS(2193),
    [sym_true] = ACTIONS(2193),
    [sym_false] = ACTIONS(2193),
    [sym_null] = ACTIONS(2193),
    [sym_undefined] = ACTIONS(2193),
    [anon_sym_AT] = ACTIONS(2193),
    [anon_sym_static] = ACTIONS(2193),
    [anon_sym_readonly] = ACTIONS(2193),
    [anon_sym_get] = ACTIONS(2193),
    [anon_sym_set] = ACTIONS(2193),
    [anon_sym_declare] = ACTIONS(2193),
    [anon_sym_public] = ACTIONS(2193),
    [anon_sym_private] = ACTIONS(2193),
    [anon_sym_protected] = ACTIONS(2193),
    [anon_sym_override] = ACTIONS(2193),
    [anon_sym_module] = ACTIONS(2193),
    [anon_sym_any] = ACTIONS(2193),
    [anon_sym_number] = ACTIONS(2193),
    [anon_sym_boolean] = ACTIONS(2193),
    [anon_sym_string] = ACTIONS(2193),
    [anon_sym_symbol] = ACTIONS(2193),
    [anon_sym_object] = ACTIONS(2193),
    [anon_sym_abstract] = ACTIONS(2193),
    [anon_sym_satisfies] = ACTIONS(2195),
    [anon_sym_interface] = ACTIONS(2193),
    [anon_sym_enum] = ACTIONS(2193),
    [sym__automatic_semicolon] = ACTIONS(2197),
    [sym__ternary_qmark] = ACTIONS(2199),
    [sym_html_comment] = ACTIONS(5),
  },
  [323] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2886),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3815),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7334),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(323),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(1974),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1504),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1974),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1974),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1508),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1512),
    [anon_sym_AMP] = ACTIONS(1974),
    [anon_sym_PIPE] = ACTIONS(1974),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1502),
    [anon_sym_delete] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1520),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1494),
    [anon_sym_readonly] = ACTIONS(1494),
    [anon_sym_get] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_declare] = ACTIONS(1494),
    [anon_sym_public] = ACTIONS(1494),
    [anon_sym_private] = ACTIONS(1494),
    [anon_sym_protected] = ACTIONS(1494),
    [anon_sym_override] = ACTIONS(1494),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_any] = ACTIONS(1494),
    [anon_sym_number] = ACTIONS(1494),
    [anon_sym_boolean] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_symbol] = ACTIONS(1494),
    [anon_sym_object] = ACTIONS(1494),
    [anon_sym_extends] = ACTIONS(1974),
    [sym_html_comment] = ACTIONS(5),
  },
  [324] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2241),
    [sym_expression] = STATE(3072),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2241),
    [sym_subscript_expression] = STATE(2241),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3867),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7457),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(324),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2241),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1564),
    [anon_sym_type] = ACTIONS(1564),
    [anon_sym_namespace] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(1974),
    [anon_sym_typeof] = ACTIONS(1570),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1572),
    [anon_sym_yield] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1974),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1974),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1576),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1580),
    [anon_sym_AMP] = ACTIONS(1974),
    [anon_sym_PIPE] = ACTIONS(1974),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_void] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1588),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1564),
    [anon_sym_readonly] = ACTIONS(1564),
    [anon_sym_get] = ACTIONS(1564),
    [anon_sym_set] = ACTIONS(1564),
    [anon_sym_declare] = ACTIONS(1564),
    [anon_sym_public] = ACTIONS(1564),
    [anon_sym_private] = ACTIONS(1564),
    [anon_sym_protected] = ACTIONS(1564),
    [anon_sym_override] = ACTIONS(1564),
    [anon_sym_module] = ACTIONS(1564),
    [anon_sym_any] = ACTIONS(1564),
    [anon_sym_number] = ACTIONS(1564),
    [anon_sym_boolean] = ACTIONS(1564),
    [anon_sym_string] = ACTIONS(1564),
    [anon_sym_symbol] = ACTIONS(1564),
    [anon_sym_object] = ACTIONS(1564),
    [anon_sym_extends] = ACTIONS(1974),
    [sym_html_comment] = ACTIONS(5),
  },
  [325] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2815),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(325),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1420),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_COMMA] = ACTIONS(1974),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1974),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1974),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1974),
    [anon_sym_PIPE] = ACTIONS(1974),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1420),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1420),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [anon_sym_extends] = ACTIONS(1974),
    [sym_html_comment] = ACTIONS(5),
  },
  [326] = {
    [sym_comment] = STATE(326),
    [sym_identifier] = ACTIONS(2065),
    [anon_sym_export] = ACTIONS(2065),
    [anon_sym_STAR] = ACTIONS(2067),
    [anon_sym_default] = ACTIONS(2065),
    [anon_sym_type] = ACTIONS(2065),
    [anon_sym_EQ] = ACTIONS(2069),
    [anon_sym_as] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2065),
    [anon_sym_LBRACE] = ACTIONS(2065),
    [anon_sym_COMMA] = ACTIONS(2067),
    [anon_sym_RBRACE] = ACTIONS(2065),
    [anon_sym_typeof] = ACTIONS(2065),
    [anon_sym_import] = ACTIONS(2065),
    [anon_sym_var] = ACTIONS(2065),
    [anon_sym_let] = ACTIONS(2065),
    [anon_sym_const] = ACTIONS(2065),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_if] = ACTIONS(2065),
    [anon_sym_switch] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2065),
    [anon_sym_LPAREN] = ACTIONS(2065),
    [anon_sym_await] = ACTIONS(2065),
    [anon_sym_in] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_do] = ACTIONS(2065),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_with] = ACTIONS(2065),
    [anon_sym_break] = ACTIONS(2065),
    [anon_sym_continue] = ACTIONS(2065),
    [anon_sym_debugger] = ACTIONS(2065),
    [anon_sym_return] = ACTIONS(2065),
    [anon_sym_throw] = ACTIONS(2065),
    [anon_sym_SEMI] = ACTIONS(2065),
    [anon_sym_case] = ACTIONS(2065),
    [anon_sym_yield] = ACTIONS(2065),
    [anon_sym_LBRACK] = ACTIONS(2065),
    [anon_sym_LTtemplate_GT] = ACTIONS(2065),
    [anon_sym_GT] = ACTIONS(2067),
    [anon_sym_DOT] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2065),
    [anon_sym_async] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2065),
    [anon_sym_QMARK_DOT] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2065),
    [anon_sym_using] = ACTIONS(2065),
    [anon_sym_AMP_AMP] = ACTIONS(2067),
    [anon_sym_PIPE_PIPE] = ACTIONS(2067),
    [anon_sym_GT_GT] = ACTIONS(2067),
    [anon_sym_GT_GT_GT] = ACTIONS(2067),
    [anon_sym_LT_LT] = ACTIONS(2067),
    [anon_sym_AMP] = ACTIONS(2067),
    [anon_sym_CARET] = ACTIONS(2067),
    [anon_sym_PIPE] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2065),
    [anon_sym_DASH] = ACTIONS(2065),
    [anon_sym_SLASH] = ACTIONS(2065),
    [anon_sym_PERCENT] = ACTIONS(2067),
    [anon_sym_STAR_STAR] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2065),
    [anon_sym_LT_EQ] = ACTIONS(2067),
    [anon_sym_EQ_EQ] = ACTIONS(2067),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2067),
    [anon_sym_BANG_EQ] = ACTIONS(2067),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2067),
    [anon_sym_GT_EQ] = ACTIONS(2067),
    [anon_sym_QMARK_QMARK] = ACTIONS(2067),
    [anon_sym_instanceof] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_void] = ACTIONS(2065),
    [anon_sym_delete] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_DQUOTE] = ACTIONS(2065),
    [anon_sym_SQUOTE] = ACTIONS(2065),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2065),
    [sym_number] = ACTIONS(2065),
    [sym_private_property_identifier] = ACTIONS(2065),
    [sym_this] = ACTIONS(2065),
    [sym_super] = ACTIONS(2065),
    [sym_true] = ACTIONS(2065),
    [sym_false] = ACTIONS(2065),
    [sym_null] = ACTIONS(2065),
    [sym_undefined] = ACTIONS(2065),
    [anon_sym_AT] = ACTIONS(2065),
    [anon_sym_static] = ACTIONS(2065),
    [anon_sym_readonly] = ACTIONS(2065),
    [anon_sym_get] = ACTIONS(2065),
    [anon_sym_set] = ACTIONS(2065),
    [anon_sym_declare] = ACTIONS(2065),
    [anon_sym_public] = ACTIONS(2065),
    [anon_sym_private] = ACTIONS(2065),
    [anon_sym_protected] = ACTIONS(2065),
    [anon_sym_override] = ACTIONS(2065),
    [anon_sym_module] = ACTIONS(2065),
    [anon_sym_any] = ACTIONS(2065),
    [anon_sym_number] = ACTIONS(2065),
    [anon_sym_boolean] = ACTIONS(2065),
    [anon_sym_string] = ACTIONS(2065),
    [anon_sym_symbol] = ACTIONS(2065),
    [anon_sym_object] = ACTIONS(2065),
    [anon_sym_abstract] = ACTIONS(2065),
    [anon_sym_satisfies] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2065),
    [anon_sym_enum] = ACTIONS(2065),
    [sym__automatic_semicolon] = ACTIONS(2201),
    [sym__ternary_qmark] = ACTIONS(2073),
    [sym_html_comment] = ACTIONS(5),
  },
  [327] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2776),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7156),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3817),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7159),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(327),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1530),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_namespace] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(1974),
    [anon_sym_typeof] = ACTIONS(1536),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1538),
    [anon_sym_yield] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1974),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1974),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1542),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1546),
    [anon_sym_AMP] = ACTIONS(1974),
    [anon_sym_PIPE] = ACTIONS(1974),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1242),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_void] = ACTIONS(1536),
    [anon_sym_delete] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1554),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1530),
    [anon_sym_readonly] = ACTIONS(1530),
    [anon_sym_get] = ACTIONS(1530),
    [anon_sym_set] = ACTIONS(1530),
    [anon_sym_declare] = ACTIONS(1530),
    [anon_sym_public] = ACTIONS(1530),
    [anon_sym_private] = ACTIONS(1530),
    [anon_sym_protected] = ACTIONS(1530),
    [anon_sym_override] = ACTIONS(1530),
    [anon_sym_module] = ACTIONS(1530),
    [anon_sym_any] = ACTIONS(1530),
    [anon_sym_number] = ACTIONS(1530),
    [anon_sym_boolean] = ACTIONS(1530),
    [anon_sym_string] = ACTIONS(1530),
    [anon_sym_symbol] = ACTIONS(1530),
    [anon_sym_object] = ACTIONS(1530),
    [anon_sym_extends] = ACTIONS(1974),
    [sym_html_comment] = ACTIONS(5),
  },
  [328] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2780),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_spread_element] = STATE(5867),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(328),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(2203),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(2203),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(2203),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2117),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [329] = {
    [sym_comment] = STATE(329),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_export] = ACTIONS(2205),
    [anon_sym_STAR] = ACTIONS(2207),
    [anon_sym_default] = ACTIONS(2205),
    [anon_sym_type] = ACTIONS(2205),
    [anon_sym_as] = ACTIONS(2207),
    [anon_sym_namespace] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2205),
    [anon_sym_COMMA] = ACTIONS(2207),
    [anon_sym_RBRACE] = ACTIONS(2205),
    [anon_sym_typeof] = ACTIONS(2205),
    [anon_sym_import] = ACTIONS(2205),
    [anon_sym_var] = ACTIONS(2205),
    [anon_sym_let] = ACTIONS(2205),
    [anon_sym_const] = ACTIONS(2205),
    [anon_sym_BANG] = ACTIONS(2205),
    [anon_sym_else] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2205),
    [anon_sym_switch] = ACTIONS(2205),
    [anon_sym_for] = ACTIONS(2205),
    [anon_sym_LPAREN] = ACTIONS(2205),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_in] = ACTIONS(2207),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_try] = ACTIONS(2205),
    [anon_sym_with] = ACTIONS(2205),
    [anon_sym_break] = ACTIONS(2205),
    [anon_sym_continue] = ACTIONS(2205),
    [anon_sym_debugger] = ACTIONS(2205),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2205),
    [anon_sym_SEMI] = ACTIONS(2205),
    [anon_sym_case] = ACTIONS(2205),
    [anon_sym_yield] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_LTtemplate_GT] = ACTIONS(2205),
    [anon_sym_GT] = ACTIONS(2207),
    [anon_sym_DOT] = ACTIONS(2207),
    [anon_sym_class] = ACTIONS(2205),
    [anon_sym_async] = ACTIONS(2205),
    [anon_sym_function] = ACTIONS(2205),
    [anon_sym_QMARK_DOT] = ACTIONS(2207),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_using] = ACTIONS(2205),
    [anon_sym_AMP_AMP] = ACTIONS(2207),
    [anon_sym_PIPE_PIPE] = ACTIONS(2207),
    [anon_sym_GT_GT] = ACTIONS(2207),
    [anon_sym_GT_GT_GT] = ACTIONS(2207),
    [anon_sym_LT_LT] = ACTIONS(2207),
    [anon_sym_AMP] = ACTIONS(2207),
    [anon_sym_CARET] = ACTIONS(2207),
    [anon_sym_PIPE] = ACTIONS(2207),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_SLASH] = ACTIONS(2205),
    [anon_sym_PERCENT] = ACTIONS(2207),
    [anon_sym_STAR_STAR] = ACTIONS(2207),
    [anon_sym_LT] = ACTIONS(2205),
    [anon_sym_LT_EQ] = ACTIONS(2207),
    [anon_sym_EQ_EQ] = ACTIONS(2207),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2207),
    [anon_sym_BANG_EQ] = ACTIONS(2207),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2207),
    [anon_sym_GT_EQ] = ACTIONS(2207),
    [anon_sym_QMARK_QMARK] = ACTIONS(2207),
    [anon_sym_instanceof] = ACTIONS(2207),
    [anon_sym_TILDE] = ACTIONS(2205),
    [anon_sym_void] = ACTIONS(2205),
    [anon_sym_delete] = ACTIONS(2205),
    [anon_sym_PLUS_PLUS] = ACTIONS(2205),
    [anon_sym_DASH_DASH] = ACTIONS(2205),
    [anon_sym_DQUOTE] = ACTIONS(2205),
    [anon_sym_SQUOTE] = ACTIONS(2205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2205),
    [sym_number] = ACTIONS(2205),
    [sym_private_property_identifier] = ACTIONS(2205),
    [sym_this] = ACTIONS(2205),
    [sym_super] = ACTIONS(2205),
    [sym_true] = ACTIONS(2205),
    [sym_false] = ACTIONS(2205),
    [sym_null] = ACTIONS(2205),
    [sym_undefined] = ACTIONS(2205),
    [anon_sym_AT] = ACTIONS(2205),
    [anon_sym_static] = ACTIONS(2205),
    [anon_sym_readonly] = ACTIONS(2205),
    [anon_sym_get] = ACTIONS(2205),
    [anon_sym_set] = ACTIONS(2205),
    [anon_sym_declare] = ACTIONS(2205),
    [anon_sym_public] = ACTIONS(2205),
    [anon_sym_private] = ACTIONS(2205),
    [anon_sym_protected] = ACTIONS(2205),
    [anon_sym_override] = ACTIONS(2205),
    [anon_sym_module] = ACTIONS(2205),
    [anon_sym_any] = ACTIONS(2205),
    [anon_sym_number] = ACTIONS(2205),
    [anon_sym_boolean] = ACTIONS(2205),
    [anon_sym_string] = ACTIONS(2205),
    [anon_sym_symbol] = ACTIONS(2205),
    [anon_sym_object] = ACTIONS(2205),
    [anon_sym_abstract] = ACTIONS(2205),
    [anon_sym_satisfies] = ACTIONS(2207),
    [anon_sym_interface] = ACTIONS(2205),
    [anon_sym_enum] = ACTIONS(2205),
    [sym__automatic_semicolon] = ACTIONS(2209),
    [sym__ternary_qmark] = ACTIONS(2211),
    [sym_html_comment] = ACTIONS(5),
  },
  [330] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2143),
    [sym_expression] = STATE(2628),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7153),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2143),
    [sym_subscript_expression] = STATE(2143),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3819),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7151),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(330),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2143),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1598),
    [anon_sym_type] = ACTIONS(1598),
    [anon_sym_namespace] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_COMMA] = ACTIONS(1974),
    [anon_sym_typeof] = ACTIONS(1604),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1598),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1606),
    [anon_sym_yield] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(1974),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1974),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1610),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1614),
    [anon_sym_AMP] = ACTIONS(1974),
    [anon_sym_PIPE] = ACTIONS(1974),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_void] = ACTIONS(1604),
    [anon_sym_delete] = ACTIONS(1604),
    [anon_sym_PLUS_PLUS] = ACTIONS(1620),
    [anon_sym_DASH_DASH] = ACTIONS(1620),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1622),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1598),
    [anon_sym_readonly] = ACTIONS(1598),
    [anon_sym_get] = ACTIONS(1598),
    [anon_sym_set] = ACTIONS(1598),
    [anon_sym_declare] = ACTIONS(1598),
    [anon_sym_public] = ACTIONS(1598),
    [anon_sym_private] = ACTIONS(1598),
    [anon_sym_protected] = ACTIONS(1598),
    [anon_sym_override] = ACTIONS(1598),
    [anon_sym_module] = ACTIONS(1598),
    [anon_sym_any] = ACTIONS(1598),
    [anon_sym_number] = ACTIONS(1598),
    [anon_sym_boolean] = ACTIONS(1598),
    [anon_sym_string] = ACTIONS(1598),
    [anon_sym_symbol] = ACTIONS(1598),
    [anon_sym_object] = ACTIONS(1598),
    [anon_sym_extends] = ACTIONS(1974),
    [sym_html_comment] = ACTIONS(5),
  },
  [331] = {
    [sym_comment] = STATE(331),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_export] = ACTIONS(2213),
    [anon_sym_STAR] = ACTIONS(2215),
    [anon_sym_default] = ACTIONS(2213),
    [anon_sym_type] = ACTIONS(2213),
    [anon_sym_as] = ACTIONS(2215),
    [anon_sym_namespace] = ACTIONS(2213),
    [anon_sym_LBRACE] = ACTIONS(2213),
    [anon_sym_COMMA] = ACTIONS(2215),
    [anon_sym_RBRACE] = ACTIONS(2213),
    [anon_sym_typeof] = ACTIONS(2213),
    [anon_sym_import] = ACTIONS(2213),
    [anon_sym_var] = ACTIONS(2213),
    [anon_sym_let] = ACTIONS(2213),
    [anon_sym_const] = ACTIONS(2213),
    [anon_sym_BANG] = ACTIONS(2213),
    [anon_sym_else] = ACTIONS(2213),
    [anon_sym_if] = ACTIONS(2213),
    [anon_sym_switch] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2213),
    [anon_sym_LPAREN] = ACTIONS(2213),
    [anon_sym_await] = ACTIONS(2213),
    [anon_sym_in] = ACTIONS(2215),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_do] = ACTIONS(2213),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_with] = ACTIONS(2213),
    [anon_sym_break] = ACTIONS(2213),
    [anon_sym_continue] = ACTIONS(2213),
    [anon_sym_debugger] = ACTIONS(2213),
    [anon_sym_return] = ACTIONS(2213),
    [anon_sym_throw] = ACTIONS(2213),
    [anon_sym_SEMI] = ACTIONS(2213),
    [anon_sym_case] = ACTIONS(2213),
    [anon_sym_yield] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(2213),
    [anon_sym_LTtemplate_GT] = ACTIONS(2213),
    [anon_sym_GT] = ACTIONS(2215),
    [anon_sym_DOT] = ACTIONS(2215),
    [anon_sym_class] = ACTIONS(2213),
    [anon_sym_async] = ACTIONS(2213),
    [anon_sym_function] = ACTIONS(2213),
    [anon_sym_QMARK_DOT] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2213),
    [anon_sym_using] = ACTIONS(2213),
    [anon_sym_AMP_AMP] = ACTIONS(2215),
    [anon_sym_PIPE_PIPE] = ACTIONS(2215),
    [anon_sym_GT_GT] = ACTIONS(2215),
    [anon_sym_GT_GT_GT] = ACTIONS(2215),
    [anon_sym_LT_LT] = ACTIONS(2215),
    [anon_sym_AMP] = ACTIONS(2215),
    [anon_sym_CARET] = ACTIONS(2215),
    [anon_sym_PIPE] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2213),
    [anon_sym_DASH] = ACTIONS(2213),
    [anon_sym_SLASH] = ACTIONS(2213),
    [anon_sym_PERCENT] = ACTIONS(2215),
    [anon_sym_STAR_STAR] = ACTIONS(2215),
    [anon_sym_LT] = ACTIONS(2213),
    [anon_sym_LT_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2215),
    [anon_sym_GT_EQ] = ACTIONS(2215),
    [anon_sym_QMARK_QMARK] = ACTIONS(2215),
    [anon_sym_instanceof] = ACTIONS(2215),
    [anon_sym_TILDE] = ACTIONS(2213),
    [anon_sym_void] = ACTIONS(2213),
    [anon_sym_delete] = ACTIONS(2213),
    [anon_sym_PLUS_PLUS] = ACTIONS(2213),
    [anon_sym_DASH_DASH] = ACTIONS(2213),
    [anon_sym_DQUOTE] = ACTIONS(2213),
    [anon_sym_SQUOTE] = ACTIONS(2213),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2213),
    [sym_number] = ACTIONS(2213),
    [sym_private_property_identifier] = ACTIONS(2213),
    [sym_this] = ACTIONS(2213),
    [sym_super] = ACTIONS(2213),
    [sym_true] = ACTIONS(2213),
    [sym_false] = ACTIONS(2213),
    [sym_null] = ACTIONS(2213),
    [sym_undefined] = ACTIONS(2213),
    [anon_sym_AT] = ACTIONS(2213),
    [anon_sym_static] = ACTIONS(2213),
    [anon_sym_readonly] = ACTIONS(2213),
    [anon_sym_get] = ACTIONS(2213),
    [anon_sym_set] = ACTIONS(2213),
    [anon_sym_declare] = ACTIONS(2213),
    [anon_sym_public] = ACTIONS(2213),
    [anon_sym_private] = ACTIONS(2213),
    [anon_sym_protected] = ACTIONS(2213),
    [anon_sym_override] = ACTIONS(2213),
    [anon_sym_module] = ACTIONS(2213),
    [anon_sym_any] = ACTIONS(2213),
    [anon_sym_number] = ACTIONS(2213),
    [anon_sym_boolean] = ACTIONS(2213),
    [anon_sym_string] = ACTIONS(2213),
    [anon_sym_symbol] = ACTIONS(2213),
    [anon_sym_object] = ACTIONS(2213),
    [anon_sym_abstract] = ACTIONS(2213),
    [anon_sym_satisfies] = ACTIONS(2215),
    [anon_sym_interface] = ACTIONS(2213),
    [anon_sym_enum] = ACTIONS(2213),
    [sym__automatic_semicolon] = ACTIONS(2217),
    [sym__ternary_qmark] = ACTIONS(2219),
    [sym_html_comment] = ACTIONS(5),
  },
  [332] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2728),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_spread_element] = STATE(6312),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(332),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [aux_sym_array_repeat1] = STATE(6311),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(2113),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(2221),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2117),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [333] = {
    [sym_comment] = STATE(333),
    [sym_identifier] = ACTIONS(2223),
    [anon_sym_export] = ACTIONS(2223),
    [anon_sym_STAR] = ACTIONS(2225),
    [anon_sym_default] = ACTIONS(2223),
    [anon_sym_type] = ACTIONS(2223),
    [anon_sym_as] = ACTIONS(2225),
    [anon_sym_namespace] = ACTIONS(2223),
    [anon_sym_LBRACE] = ACTIONS(2223),
    [anon_sym_COMMA] = ACTIONS(2225),
    [anon_sym_RBRACE] = ACTIONS(2223),
    [anon_sym_typeof] = ACTIONS(2223),
    [anon_sym_import] = ACTIONS(2223),
    [anon_sym_var] = ACTIONS(2223),
    [anon_sym_let] = ACTIONS(2223),
    [anon_sym_const] = ACTIONS(2223),
    [anon_sym_BANG] = ACTIONS(2223),
    [anon_sym_else] = ACTIONS(2223),
    [anon_sym_if] = ACTIONS(2223),
    [anon_sym_switch] = ACTIONS(2223),
    [anon_sym_for] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(2223),
    [anon_sym_await] = ACTIONS(2223),
    [anon_sym_in] = ACTIONS(2225),
    [anon_sym_while] = ACTIONS(2223),
    [anon_sym_do] = ACTIONS(2223),
    [anon_sym_try] = ACTIONS(2223),
    [anon_sym_with] = ACTIONS(2223),
    [anon_sym_break] = ACTIONS(2223),
    [anon_sym_continue] = ACTIONS(2223),
    [anon_sym_debugger] = ACTIONS(2223),
    [anon_sym_return] = ACTIONS(2223),
    [anon_sym_throw] = ACTIONS(2223),
    [anon_sym_SEMI] = ACTIONS(2223),
    [anon_sym_case] = ACTIONS(2223),
    [anon_sym_yield] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(2223),
    [anon_sym_LTtemplate_GT] = ACTIONS(2223),
    [anon_sym_GT] = ACTIONS(2225),
    [anon_sym_DOT] = ACTIONS(2225),
    [anon_sym_class] = ACTIONS(2223),
    [anon_sym_async] = ACTIONS(2223),
    [anon_sym_function] = ACTIONS(2223),
    [anon_sym_QMARK_DOT] = ACTIONS(2225),
    [anon_sym_new] = ACTIONS(2223),
    [anon_sym_using] = ACTIONS(2223),
    [anon_sym_AMP_AMP] = ACTIONS(2225),
    [anon_sym_PIPE_PIPE] = ACTIONS(2225),
    [anon_sym_GT_GT] = ACTIONS(2225),
    [anon_sym_GT_GT_GT] = ACTIONS(2225),
    [anon_sym_LT_LT] = ACTIONS(2225),
    [anon_sym_AMP] = ACTIONS(2225),
    [anon_sym_CARET] = ACTIONS(2225),
    [anon_sym_PIPE] = ACTIONS(2225),
    [anon_sym_PLUS] = ACTIONS(2223),
    [anon_sym_DASH] = ACTIONS(2223),
    [anon_sym_SLASH] = ACTIONS(2223),
    [anon_sym_PERCENT] = ACTIONS(2225),
    [anon_sym_STAR_STAR] = ACTIONS(2225),
    [anon_sym_LT] = ACTIONS(2223),
    [anon_sym_LT_EQ] = ACTIONS(2225),
    [anon_sym_EQ_EQ] = ACTIONS(2225),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2225),
    [anon_sym_BANG_EQ] = ACTIONS(2225),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2225),
    [anon_sym_GT_EQ] = ACTIONS(2225),
    [anon_sym_QMARK_QMARK] = ACTIONS(2225),
    [anon_sym_instanceof] = ACTIONS(2225),
    [anon_sym_TILDE] = ACTIONS(2223),
    [anon_sym_void] = ACTIONS(2223),
    [anon_sym_delete] = ACTIONS(2223),
    [anon_sym_PLUS_PLUS] = ACTIONS(2223),
    [anon_sym_DASH_DASH] = ACTIONS(2223),
    [anon_sym_DQUOTE] = ACTIONS(2223),
    [anon_sym_SQUOTE] = ACTIONS(2223),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2223),
    [sym_number] = ACTIONS(2223),
    [sym_private_property_identifier] = ACTIONS(2223),
    [sym_this] = ACTIONS(2223),
    [sym_super] = ACTIONS(2223),
    [sym_true] = ACTIONS(2223),
    [sym_false] = ACTIONS(2223),
    [sym_null] = ACTIONS(2223),
    [sym_undefined] = ACTIONS(2223),
    [anon_sym_AT] = ACTIONS(2223),
    [anon_sym_static] = ACTIONS(2223),
    [anon_sym_readonly] = ACTIONS(2223),
    [anon_sym_get] = ACTIONS(2223),
    [anon_sym_set] = ACTIONS(2223),
    [anon_sym_declare] = ACTIONS(2223),
    [anon_sym_public] = ACTIONS(2223),
    [anon_sym_private] = ACTIONS(2223),
    [anon_sym_protected] = ACTIONS(2223),
    [anon_sym_override] = ACTIONS(2223),
    [anon_sym_module] = ACTIONS(2223),
    [anon_sym_any] = ACTIONS(2223),
    [anon_sym_number] = ACTIONS(2223),
    [anon_sym_boolean] = ACTIONS(2223),
    [anon_sym_string] = ACTIONS(2223),
    [anon_sym_symbol] = ACTIONS(2223),
    [anon_sym_object] = ACTIONS(2223),
    [anon_sym_abstract] = ACTIONS(2223),
    [anon_sym_satisfies] = ACTIONS(2225),
    [anon_sym_interface] = ACTIONS(2223),
    [anon_sym_enum] = ACTIONS(2223),
    [sym__automatic_semicolon] = ACTIONS(2227),
    [sym__ternary_qmark] = ACTIONS(2229),
    [sym_html_comment] = ACTIONS(5),
  },
  [334] = {
    [sym_comment] = STATE(334),
    [ts_builtin_sym_end] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2065),
    [anon_sym_export] = ACTIONS(2065),
    [anon_sym_STAR] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2065),
    [anon_sym_EQ] = ACTIONS(2069),
    [anon_sym_as] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2065),
    [anon_sym_LBRACE] = ACTIONS(2065),
    [anon_sym_COMMA] = ACTIONS(2067),
    [anon_sym_RBRACE] = ACTIONS(2065),
    [anon_sym_typeof] = ACTIONS(2065),
    [anon_sym_import] = ACTIONS(2065),
    [anon_sym_var] = ACTIONS(2065),
    [anon_sym_let] = ACTIONS(2065),
    [anon_sym_const] = ACTIONS(2065),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_else] = ACTIONS(2065),
    [anon_sym_if] = ACTIONS(2065),
    [anon_sym_switch] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2065),
    [anon_sym_LPAREN] = ACTIONS(2065),
    [anon_sym_await] = ACTIONS(2065),
    [anon_sym_in] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_do] = ACTIONS(2065),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_with] = ACTIONS(2065),
    [anon_sym_break] = ACTIONS(2065),
    [anon_sym_continue] = ACTIONS(2065),
    [anon_sym_debugger] = ACTIONS(2065),
    [anon_sym_return] = ACTIONS(2065),
    [anon_sym_throw] = ACTIONS(2065),
    [anon_sym_SEMI] = ACTIONS(2065),
    [anon_sym_yield] = ACTIONS(2065),
    [anon_sym_LBRACK] = ACTIONS(2065),
    [anon_sym_LTtemplate_GT] = ACTIONS(2065),
    [anon_sym_GT] = ACTIONS(2067),
    [anon_sym_DOT] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2065),
    [anon_sym_async] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2065),
    [anon_sym_QMARK_DOT] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2065),
    [anon_sym_using] = ACTIONS(2065),
    [anon_sym_AMP_AMP] = ACTIONS(2067),
    [anon_sym_PIPE_PIPE] = ACTIONS(2067),
    [anon_sym_GT_GT] = ACTIONS(2067),
    [anon_sym_GT_GT_GT] = ACTIONS(2067),
    [anon_sym_LT_LT] = ACTIONS(2067),
    [anon_sym_AMP] = ACTIONS(2067),
    [anon_sym_CARET] = ACTIONS(2067),
    [anon_sym_PIPE] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2065),
    [anon_sym_DASH] = ACTIONS(2065),
    [anon_sym_SLASH] = ACTIONS(2065),
    [anon_sym_PERCENT] = ACTIONS(2067),
    [anon_sym_STAR_STAR] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2065),
    [anon_sym_LT_EQ] = ACTIONS(2067),
    [anon_sym_EQ_EQ] = ACTIONS(2067),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2067),
    [anon_sym_BANG_EQ] = ACTIONS(2067),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2067),
    [anon_sym_GT_EQ] = ACTIONS(2067),
    [anon_sym_QMARK_QMARK] = ACTIONS(2067),
    [anon_sym_instanceof] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_void] = ACTIONS(2065),
    [anon_sym_delete] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_DQUOTE] = ACTIONS(2065),
    [anon_sym_SQUOTE] = ACTIONS(2065),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2065),
    [sym_number] = ACTIONS(2065),
    [sym_private_property_identifier] = ACTIONS(2065),
    [sym_this] = ACTIONS(2065),
    [sym_super] = ACTIONS(2065),
    [sym_true] = ACTIONS(2065),
    [sym_false] = ACTIONS(2065),
    [sym_null] = ACTIONS(2065),
    [sym_undefined] = ACTIONS(2065),
    [anon_sym_AT] = ACTIONS(2065),
    [anon_sym_static] = ACTIONS(2065),
    [anon_sym_readonly] = ACTIONS(2065),
    [anon_sym_get] = ACTIONS(2065),
    [anon_sym_set] = ACTIONS(2065),
    [anon_sym_declare] = ACTIONS(2065),
    [anon_sym_public] = ACTIONS(2065),
    [anon_sym_private] = ACTIONS(2065),
    [anon_sym_protected] = ACTIONS(2065),
    [anon_sym_override] = ACTIONS(2065),
    [anon_sym_module] = ACTIONS(2065),
    [anon_sym_any] = ACTIONS(2065),
    [anon_sym_number] = ACTIONS(2065),
    [anon_sym_boolean] = ACTIONS(2065),
    [anon_sym_string] = ACTIONS(2065),
    [anon_sym_symbol] = ACTIONS(2065),
    [anon_sym_object] = ACTIONS(2065),
    [anon_sym_abstract] = ACTIONS(2065),
    [anon_sym_satisfies] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2065),
    [anon_sym_enum] = ACTIONS(2065),
    [sym__automatic_semicolon] = ACTIONS(2231),
    [sym__ternary_qmark] = ACTIONS(2073),
    [sym_html_comment] = ACTIONS(5),
  },
  [335] = {
    [sym_statement_block] = STATE(403),
    [sym_comment] = STATE(335),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2055),
    [anon_sym_default] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_as] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2233),
    [anon_sym_COMMA] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_in] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_case] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_GT] = ACTIONS(2055),
    [anon_sym_DOT] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_QMARK_DOT] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_AMP_AMP] = ACTIONS(2055),
    [anon_sym_PIPE_PIPE] = ACTIONS(2055),
    [anon_sym_GT_GT] = ACTIONS(2055),
    [anon_sym_GT_GT_GT] = ACTIONS(2055),
    [anon_sym_LT_LT] = ACTIONS(2055),
    [anon_sym_AMP] = ACTIONS(2055),
    [anon_sym_CARET] = ACTIONS(2055),
    [anon_sym_PIPE] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_PERCENT] = ACTIONS(2055),
    [anon_sym_STAR_STAR] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_LT_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2055),
    [anon_sym_GT_EQ] = ACTIONS(2055),
    [anon_sym_QMARK_QMARK] = ACTIONS(2055),
    [anon_sym_instanceof] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_satisfies] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(2061),
    [sym__ternary_qmark] = ACTIONS(2061),
    [sym_html_comment] = ACTIONS(5),
  },
  [336] = {
    [sym_statement_block] = STATE(403),
    [sym_comment] = STATE(336),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2055),
    [anon_sym_default] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_as] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2233),
    [anon_sym_COMMA] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_in] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_case] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_GT] = ACTIONS(2055),
    [anon_sym_DOT] = ACTIONS(2235),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_QMARK_DOT] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_AMP_AMP] = ACTIONS(2055),
    [anon_sym_PIPE_PIPE] = ACTIONS(2055),
    [anon_sym_GT_GT] = ACTIONS(2055),
    [anon_sym_GT_GT_GT] = ACTIONS(2055),
    [anon_sym_LT_LT] = ACTIONS(2055),
    [anon_sym_AMP] = ACTIONS(2055),
    [anon_sym_CARET] = ACTIONS(2055),
    [anon_sym_PIPE] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_PERCENT] = ACTIONS(2055),
    [anon_sym_STAR_STAR] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_LT_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2055),
    [anon_sym_GT_EQ] = ACTIONS(2055),
    [anon_sym_QMARK_QMARK] = ACTIONS(2055),
    [anon_sym_instanceof] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_satisfies] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(2061),
    [sym__ternary_qmark] = ACTIONS(2061),
    [sym_html_comment] = ACTIONS(5),
  },
  [337] = {
    [sym_statement_block] = STATE(403),
    [sym_comment] = STATE(337),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2055),
    [anon_sym_default] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_as] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2233),
    [anon_sym_COMMA] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_in] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_case] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_GT] = ACTIONS(2055),
    [anon_sym_DOT] = ACTIONS(2237),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_QMARK_DOT] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_AMP_AMP] = ACTIONS(2055),
    [anon_sym_PIPE_PIPE] = ACTIONS(2055),
    [anon_sym_GT_GT] = ACTIONS(2055),
    [anon_sym_GT_GT_GT] = ACTIONS(2055),
    [anon_sym_LT_LT] = ACTIONS(2055),
    [anon_sym_AMP] = ACTIONS(2055),
    [anon_sym_CARET] = ACTIONS(2055),
    [anon_sym_PIPE] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_PERCENT] = ACTIONS(2055),
    [anon_sym_STAR_STAR] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_LT_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2055),
    [anon_sym_GT_EQ] = ACTIONS(2055),
    [anon_sym_QMARK_QMARK] = ACTIONS(2055),
    [anon_sym_instanceof] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_satisfies] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(2061),
    [sym__ternary_qmark] = ACTIONS(2061),
    [sym_html_comment] = ACTIONS(5),
  },
  [338] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2698),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_spread_element] = STATE(6300),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(338),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [aux_sym_array_repeat1] = STATE(6301),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(2113),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(2239),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2117),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [339] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2067),
    [sym_subscript_expression] = STATE(2067),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4604),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(339),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(2088),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5157),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2067),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_accessibility_modifier] = STATE(352),
    [sym_override_modifier] = STATE(438),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(2042),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(2241),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(2243),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2245),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1171),
    [anon_sym_private] = ACTIONS(1171),
    [anon_sym_protected] = ACTIONS(1171),
    [anon_sym_override] = ACTIONS(1173),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [340] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2742),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_spread_element] = STATE(5766),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(340),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [aux_sym_array_repeat1] = STATE(5767),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(2113),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(2247),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2117),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [341] = {
    [sym_comment] = STATE(341),
    [sym_identifier] = ACTIONS(2249),
    [anon_sym_export] = ACTIONS(2249),
    [anon_sym_STAR] = ACTIONS(2251),
    [anon_sym_default] = ACTIONS(2249),
    [anon_sym_type] = ACTIONS(2249),
    [anon_sym_as] = ACTIONS(2251),
    [anon_sym_namespace] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2249),
    [anon_sym_COMMA] = ACTIONS(2251),
    [anon_sym_RBRACE] = ACTIONS(2249),
    [anon_sym_typeof] = ACTIONS(2249),
    [anon_sym_import] = ACTIONS(2249),
    [anon_sym_var] = ACTIONS(2249),
    [anon_sym_let] = ACTIONS(2249),
    [anon_sym_const] = ACTIONS(2249),
    [anon_sym_BANG] = ACTIONS(2249),
    [anon_sym_else] = ACTIONS(2249),
    [anon_sym_if] = ACTIONS(2249),
    [anon_sym_switch] = ACTIONS(2249),
    [anon_sym_for] = ACTIONS(2249),
    [anon_sym_LPAREN] = ACTIONS(2249),
    [anon_sym_await] = ACTIONS(2249),
    [anon_sym_in] = ACTIONS(2251),
    [anon_sym_while] = ACTIONS(2249),
    [anon_sym_do] = ACTIONS(2249),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_with] = ACTIONS(2249),
    [anon_sym_break] = ACTIONS(2249),
    [anon_sym_continue] = ACTIONS(2249),
    [anon_sym_debugger] = ACTIONS(2249),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_throw] = ACTIONS(2249),
    [anon_sym_SEMI] = ACTIONS(2249),
    [anon_sym_case] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2249),
    [anon_sym_LBRACK] = ACTIONS(2249),
    [anon_sym_LTtemplate_GT] = ACTIONS(2249),
    [anon_sym_GT] = ACTIONS(2251),
    [anon_sym_DOT] = ACTIONS(2251),
    [anon_sym_class] = ACTIONS(2249),
    [anon_sym_async] = ACTIONS(2249),
    [anon_sym_function] = ACTIONS(2249),
    [anon_sym_QMARK_DOT] = ACTIONS(2251),
    [anon_sym_new] = ACTIONS(2249),
    [anon_sym_using] = ACTIONS(2249),
    [anon_sym_AMP_AMP] = ACTIONS(2251),
    [anon_sym_PIPE_PIPE] = ACTIONS(2251),
    [anon_sym_GT_GT] = ACTIONS(2251),
    [anon_sym_GT_GT_GT] = ACTIONS(2251),
    [anon_sym_LT_LT] = ACTIONS(2251),
    [anon_sym_AMP] = ACTIONS(2251),
    [anon_sym_CARET] = ACTIONS(2251),
    [anon_sym_PIPE] = ACTIONS(2251),
    [anon_sym_PLUS] = ACTIONS(2249),
    [anon_sym_DASH] = ACTIONS(2249),
    [anon_sym_SLASH] = ACTIONS(2249),
    [anon_sym_PERCENT] = ACTIONS(2251),
    [anon_sym_STAR_STAR] = ACTIONS(2251),
    [anon_sym_LT] = ACTIONS(2249),
    [anon_sym_LT_EQ] = ACTIONS(2251),
    [anon_sym_EQ_EQ] = ACTIONS(2251),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2251),
    [anon_sym_BANG_EQ] = ACTIONS(2251),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2251),
    [anon_sym_GT_EQ] = ACTIONS(2251),
    [anon_sym_QMARK_QMARK] = ACTIONS(2251),
    [anon_sym_instanceof] = ACTIONS(2251),
    [anon_sym_TILDE] = ACTIONS(2249),
    [anon_sym_void] = ACTIONS(2249),
    [anon_sym_delete] = ACTIONS(2249),
    [anon_sym_PLUS_PLUS] = ACTIONS(2249),
    [anon_sym_DASH_DASH] = ACTIONS(2249),
    [anon_sym_DQUOTE] = ACTIONS(2249),
    [anon_sym_SQUOTE] = ACTIONS(2249),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2249),
    [sym_number] = ACTIONS(2249),
    [sym_private_property_identifier] = ACTIONS(2249),
    [sym_this] = ACTIONS(2249),
    [sym_super] = ACTIONS(2249),
    [sym_true] = ACTIONS(2249),
    [sym_false] = ACTIONS(2249),
    [sym_null] = ACTIONS(2249),
    [sym_undefined] = ACTIONS(2249),
    [anon_sym_AT] = ACTIONS(2249),
    [anon_sym_static] = ACTIONS(2249),
    [anon_sym_readonly] = ACTIONS(2249),
    [anon_sym_get] = ACTIONS(2249),
    [anon_sym_set] = ACTIONS(2249),
    [anon_sym_declare] = ACTIONS(2249),
    [anon_sym_public] = ACTIONS(2249),
    [anon_sym_private] = ACTIONS(2249),
    [anon_sym_protected] = ACTIONS(2249),
    [anon_sym_override] = ACTIONS(2249),
    [anon_sym_module] = ACTIONS(2249),
    [anon_sym_any] = ACTIONS(2249),
    [anon_sym_number] = ACTIONS(2249),
    [anon_sym_boolean] = ACTIONS(2249),
    [anon_sym_string] = ACTIONS(2249),
    [anon_sym_symbol] = ACTIONS(2249),
    [anon_sym_object] = ACTIONS(2249),
    [anon_sym_abstract] = ACTIONS(2249),
    [anon_sym_satisfies] = ACTIONS(2251),
    [anon_sym_interface] = ACTIONS(2249),
    [anon_sym_enum] = ACTIONS(2249),
    [sym__automatic_semicolon] = ACTIONS(2253),
    [sym__ternary_qmark] = ACTIONS(2255),
    [sym_html_comment] = ACTIONS(5),
  },
  [342] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2750),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_spread_element] = STATE(6220),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(342),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [aux_sym_array_repeat1] = STATE(6221),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(2113),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(2257),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2117),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [343] = {
    [sym_comment] = STATE(343),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_export] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(2261),
    [anon_sym_default] = ACTIONS(2259),
    [anon_sym_type] = ACTIONS(2259),
    [anon_sym_as] = ACTIONS(2261),
    [anon_sym_namespace] = ACTIONS(2259),
    [anon_sym_LBRACE] = ACTIONS(2259),
    [anon_sym_COMMA] = ACTIONS(2261),
    [anon_sym_RBRACE] = ACTIONS(2259),
    [anon_sym_typeof] = ACTIONS(2259),
    [anon_sym_import] = ACTIONS(2259),
    [anon_sym_var] = ACTIONS(2259),
    [anon_sym_let] = ACTIONS(2259),
    [anon_sym_const] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2259),
    [anon_sym_else] = ACTIONS(2259),
    [anon_sym_if] = ACTIONS(2259),
    [anon_sym_switch] = ACTIONS(2259),
    [anon_sym_for] = ACTIONS(2259),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_in] = ACTIONS(2261),
    [anon_sym_while] = ACTIONS(2259),
    [anon_sym_do] = ACTIONS(2259),
    [anon_sym_try] = ACTIONS(2259),
    [anon_sym_with] = ACTIONS(2259),
    [anon_sym_break] = ACTIONS(2259),
    [anon_sym_continue] = ACTIONS(2259),
    [anon_sym_debugger] = ACTIONS(2259),
    [anon_sym_return] = ACTIONS(2259),
    [anon_sym_throw] = ACTIONS(2259),
    [anon_sym_SEMI] = ACTIONS(2259),
    [anon_sym_case] = ACTIONS(2259),
    [anon_sym_yield] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2259),
    [anon_sym_LTtemplate_GT] = ACTIONS(2259),
    [anon_sym_GT] = ACTIONS(2261),
    [anon_sym_DOT] = ACTIONS(2261),
    [anon_sym_class] = ACTIONS(2259),
    [anon_sym_async] = ACTIONS(2259),
    [anon_sym_function] = ACTIONS(2259),
    [anon_sym_QMARK_DOT] = ACTIONS(2261),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_using] = ACTIONS(2259),
    [anon_sym_AMP_AMP] = ACTIONS(2261),
    [anon_sym_PIPE_PIPE] = ACTIONS(2261),
    [anon_sym_GT_GT] = ACTIONS(2261),
    [anon_sym_GT_GT_GT] = ACTIONS(2261),
    [anon_sym_LT_LT] = ACTIONS(2261),
    [anon_sym_AMP] = ACTIONS(2261),
    [anon_sym_CARET] = ACTIONS(2261),
    [anon_sym_PIPE] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2259),
    [anon_sym_DASH] = ACTIONS(2259),
    [anon_sym_SLASH] = ACTIONS(2259),
    [anon_sym_PERCENT] = ACTIONS(2261),
    [anon_sym_STAR_STAR] = ACTIONS(2261),
    [anon_sym_LT] = ACTIONS(2259),
    [anon_sym_LT_EQ] = ACTIONS(2261),
    [anon_sym_EQ_EQ] = ACTIONS(2261),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2261),
    [anon_sym_BANG_EQ] = ACTIONS(2261),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2261),
    [anon_sym_GT_EQ] = ACTIONS(2261),
    [anon_sym_QMARK_QMARK] = ACTIONS(2261),
    [anon_sym_instanceof] = ACTIONS(2261),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_void] = ACTIONS(2259),
    [anon_sym_delete] = ACTIONS(2259),
    [anon_sym_PLUS_PLUS] = ACTIONS(2259),
    [anon_sym_DASH_DASH] = ACTIONS(2259),
    [anon_sym_DQUOTE] = ACTIONS(2259),
    [anon_sym_SQUOTE] = ACTIONS(2259),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2259),
    [sym_number] = ACTIONS(2259),
    [sym_private_property_identifier] = ACTIONS(2259),
    [sym_this] = ACTIONS(2259),
    [sym_super] = ACTIONS(2259),
    [sym_true] = ACTIONS(2259),
    [sym_false] = ACTIONS(2259),
    [sym_null] = ACTIONS(2259),
    [sym_undefined] = ACTIONS(2259),
    [anon_sym_AT] = ACTIONS(2259),
    [anon_sym_static] = ACTIONS(2259),
    [anon_sym_readonly] = ACTIONS(2259),
    [anon_sym_get] = ACTIONS(2259),
    [anon_sym_set] = ACTIONS(2259),
    [anon_sym_declare] = ACTIONS(2259),
    [anon_sym_public] = ACTIONS(2259),
    [anon_sym_private] = ACTIONS(2259),
    [anon_sym_protected] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2259),
    [anon_sym_module] = ACTIONS(2259),
    [anon_sym_any] = ACTIONS(2259),
    [anon_sym_number] = ACTIONS(2259),
    [anon_sym_boolean] = ACTIONS(2259),
    [anon_sym_string] = ACTIONS(2259),
    [anon_sym_symbol] = ACTIONS(2259),
    [anon_sym_object] = ACTIONS(2259),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_satisfies] = ACTIONS(2261),
    [anon_sym_interface] = ACTIONS(2259),
    [anon_sym_enum] = ACTIONS(2259),
    [sym__automatic_semicolon] = ACTIONS(2263),
    [sym__ternary_qmark] = ACTIONS(2265),
    [sym_html_comment] = ACTIONS(5),
  },
  [344] = {
    [sym_comment] = STATE(344),
    [ts_builtin_sym_end] = ACTIONS(2103),
    [sym_identifier] = ACTIONS(2101),
    [anon_sym_export] = ACTIONS(2101),
    [anon_sym_STAR] = ACTIONS(2101),
    [anon_sym_type] = ACTIONS(2101),
    [anon_sym_as] = ACTIONS(2101),
    [anon_sym_namespace] = ACTIONS(2101),
    [anon_sym_LBRACE] = ACTIONS(2101),
    [anon_sym_COMMA] = ACTIONS(2101),
    [anon_sym_RBRACE] = ACTIONS(2101),
    [anon_sym_typeof] = ACTIONS(2101),
    [anon_sym_import] = ACTIONS(2101),
    [anon_sym_var] = ACTIONS(2101),
    [anon_sym_let] = ACTIONS(2101),
    [anon_sym_const] = ACTIONS(2101),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_else] = ACTIONS(2101),
    [anon_sym_if] = ACTIONS(2101),
    [anon_sym_switch] = ACTIONS(2101),
    [anon_sym_for] = ACTIONS(2101),
    [anon_sym_LPAREN] = ACTIONS(2101),
    [anon_sym_await] = ACTIONS(2101),
    [anon_sym_in] = ACTIONS(2101),
    [anon_sym_while] = ACTIONS(2101),
    [anon_sym_do] = ACTIONS(2101),
    [anon_sym_try] = ACTIONS(2101),
    [anon_sym_with] = ACTIONS(2101),
    [anon_sym_break] = ACTIONS(2101),
    [anon_sym_continue] = ACTIONS(2101),
    [anon_sym_debugger] = ACTIONS(2101),
    [anon_sym_return] = ACTIONS(2101),
    [anon_sym_throw] = ACTIONS(2101),
    [anon_sym_SEMI] = ACTIONS(2101),
    [anon_sym_yield] = ACTIONS(2101),
    [anon_sym_LBRACK] = ACTIONS(2101),
    [anon_sym_LTtemplate_GT] = ACTIONS(2101),
    [anon_sym_GT] = ACTIONS(2101),
    [anon_sym_DOT] = ACTIONS(2101),
    [anon_sym_class] = ACTIONS(2101),
    [anon_sym_async] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2101),
    [anon_sym_QMARK_DOT] = ACTIONS(2101),
    [anon_sym_new] = ACTIONS(2101),
    [anon_sym_using] = ACTIONS(2101),
    [anon_sym_AMP_AMP] = ACTIONS(2101),
    [anon_sym_PIPE_PIPE] = ACTIONS(2101),
    [anon_sym_GT_GT] = ACTIONS(2101),
    [anon_sym_GT_GT_GT] = ACTIONS(2101),
    [anon_sym_LT_LT] = ACTIONS(2101),
    [anon_sym_AMP] = ACTIONS(2101),
    [anon_sym_CARET] = ACTIONS(2101),
    [anon_sym_PIPE] = ACTIONS(2101),
    [anon_sym_PLUS] = ACTIONS(2101),
    [anon_sym_DASH] = ACTIONS(2101),
    [anon_sym_SLASH] = ACTIONS(2101),
    [anon_sym_PERCENT] = ACTIONS(2101),
    [anon_sym_STAR_STAR] = ACTIONS(2101),
    [anon_sym_LT] = ACTIONS(2101),
    [anon_sym_LT_EQ] = ACTIONS(2101),
    [anon_sym_EQ_EQ] = ACTIONS(2101),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2101),
    [anon_sym_BANG_EQ] = ACTIONS(2101),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2101),
    [anon_sym_GT_EQ] = ACTIONS(2101),
    [anon_sym_QMARK_QMARK] = ACTIONS(2101),
    [anon_sym_instanceof] = ACTIONS(2101),
    [anon_sym_TILDE] = ACTIONS(2101),
    [anon_sym_void] = ACTIONS(2101),
    [anon_sym_delete] = ACTIONS(2101),
    [anon_sym_PLUS_PLUS] = ACTIONS(2101),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_DQUOTE] = ACTIONS(2101),
    [anon_sym_SQUOTE] = ACTIONS(2101),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2101),
    [sym_number] = ACTIONS(2101),
    [sym_private_property_identifier] = ACTIONS(2101),
    [sym_this] = ACTIONS(2101),
    [sym_super] = ACTIONS(2101),
    [sym_true] = ACTIONS(2101),
    [sym_false] = ACTIONS(2101),
    [sym_null] = ACTIONS(2101),
    [sym_undefined] = ACTIONS(2101),
    [anon_sym_AT] = ACTIONS(2101),
    [anon_sym_static] = ACTIONS(2101),
    [anon_sym_readonly] = ACTIONS(2101),
    [anon_sym_get] = ACTIONS(2101),
    [anon_sym_set] = ACTIONS(2101),
    [anon_sym_declare] = ACTIONS(2101),
    [anon_sym_public] = ACTIONS(2101),
    [anon_sym_private] = ACTIONS(2101),
    [anon_sym_protected] = ACTIONS(2101),
    [anon_sym_override] = ACTIONS(2101),
    [anon_sym_module] = ACTIONS(2101),
    [anon_sym_any] = ACTIONS(2101),
    [anon_sym_number] = ACTIONS(2101),
    [anon_sym_boolean] = ACTIONS(2101),
    [anon_sym_string] = ACTIONS(2101),
    [anon_sym_symbol] = ACTIONS(2101),
    [anon_sym_object] = ACTIONS(2101),
    [anon_sym_abstract] = ACTIONS(2101),
    [anon_sym_satisfies] = ACTIONS(2101),
    [anon_sym_interface] = ACTIONS(2101),
    [anon_sym_enum] = ACTIONS(2101),
    [sym__automatic_semicolon] = ACTIONS(2103),
    [sym__ternary_qmark] = ACTIONS(2103),
    [sym_html_comment] = ACTIONS(5),
  },
  [345] = {
    [sym_statement_block] = STATE(446),
    [sym_comment] = STATE(345),
    [ts_builtin_sym_end] = ACTIONS(2061),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_as] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2267),
    [anon_sym_COMMA] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_in] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_GT] = ACTIONS(2055),
    [anon_sym_DOT] = ACTIONS(2269),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_QMARK_DOT] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_AMP_AMP] = ACTIONS(2055),
    [anon_sym_PIPE_PIPE] = ACTIONS(2055),
    [anon_sym_GT_GT] = ACTIONS(2055),
    [anon_sym_GT_GT_GT] = ACTIONS(2055),
    [anon_sym_LT_LT] = ACTIONS(2055),
    [anon_sym_AMP] = ACTIONS(2055),
    [anon_sym_CARET] = ACTIONS(2055),
    [anon_sym_PIPE] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_PERCENT] = ACTIONS(2055),
    [anon_sym_STAR_STAR] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_LT_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2055),
    [anon_sym_GT_EQ] = ACTIONS(2055),
    [anon_sym_QMARK_QMARK] = ACTIONS(2055),
    [anon_sym_instanceof] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_satisfies] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(2061),
    [sym__ternary_qmark] = ACTIONS(2061),
    [sym_html_comment] = ACTIONS(5),
  },
  [346] = {
    [sym_comment] = STATE(346),
    [ts_builtin_sym_end] = ACTIONS(2271),
    [sym_identifier] = ACTIONS(2147),
    [anon_sym_export] = ACTIONS(2147),
    [anon_sym_STAR] = ACTIONS(2149),
    [anon_sym_type] = ACTIONS(2147),
    [anon_sym_as] = ACTIONS(2149),
    [anon_sym_namespace] = ACTIONS(2147),
    [anon_sym_LBRACE] = ACTIONS(2147),
    [anon_sym_COMMA] = ACTIONS(2149),
    [anon_sym_RBRACE] = ACTIONS(2147),
    [anon_sym_typeof] = ACTIONS(2147),
    [anon_sym_import] = ACTIONS(2147),
    [anon_sym_var] = ACTIONS(2147),
    [anon_sym_let] = ACTIONS(2147),
    [anon_sym_const] = ACTIONS(2147),
    [anon_sym_BANG] = ACTIONS(2147),
    [anon_sym_else] = ACTIONS(2147),
    [anon_sym_if] = ACTIONS(2147),
    [anon_sym_switch] = ACTIONS(2147),
    [anon_sym_for] = ACTIONS(2147),
    [anon_sym_LPAREN] = ACTIONS(2147),
    [anon_sym_await] = ACTIONS(2147),
    [anon_sym_in] = ACTIONS(2149),
    [anon_sym_while] = ACTIONS(2147),
    [anon_sym_do] = ACTIONS(2147),
    [anon_sym_try] = ACTIONS(2147),
    [anon_sym_with] = ACTIONS(2147),
    [anon_sym_break] = ACTIONS(2147),
    [anon_sym_continue] = ACTIONS(2147),
    [anon_sym_debugger] = ACTIONS(2147),
    [anon_sym_return] = ACTIONS(2147),
    [anon_sym_throw] = ACTIONS(2147),
    [anon_sym_SEMI] = ACTIONS(2147),
    [anon_sym_yield] = ACTIONS(2147),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_LTtemplate_GT] = ACTIONS(2147),
    [anon_sym_GT] = ACTIONS(2149),
    [anon_sym_DOT] = ACTIONS(2149),
    [anon_sym_class] = ACTIONS(2147),
    [anon_sym_async] = ACTIONS(2147),
    [anon_sym_function] = ACTIONS(2147),
    [anon_sym_QMARK_DOT] = ACTIONS(2149),
    [anon_sym_new] = ACTIONS(2147),
    [anon_sym_using] = ACTIONS(2147),
    [anon_sym_AMP_AMP] = ACTIONS(2149),
    [anon_sym_PIPE_PIPE] = ACTIONS(2149),
    [anon_sym_GT_GT] = ACTIONS(2149),
    [anon_sym_GT_GT_GT] = ACTIONS(2149),
    [anon_sym_LT_LT] = ACTIONS(2149),
    [anon_sym_AMP] = ACTIONS(2149),
    [anon_sym_CARET] = ACTIONS(2149),
    [anon_sym_PIPE] = ACTIONS(2149),
    [anon_sym_PLUS] = ACTIONS(2147),
    [anon_sym_DASH] = ACTIONS(2147),
    [anon_sym_SLASH] = ACTIONS(2147),
    [anon_sym_PERCENT] = ACTIONS(2149),
    [anon_sym_STAR_STAR] = ACTIONS(2149),
    [anon_sym_LT] = ACTIONS(2147),
    [anon_sym_LT_EQ] = ACTIONS(2149),
    [anon_sym_EQ_EQ] = ACTIONS(2149),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2149),
    [anon_sym_BANG_EQ] = ACTIONS(2149),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2149),
    [anon_sym_GT_EQ] = ACTIONS(2149),
    [anon_sym_QMARK_QMARK] = ACTIONS(2149),
    [anon_sym_instanceof] = ACTIONS(2149),
    [anon_sym_TILDE] = ACTIONS(2147),
    [anon_sym_void] = ACTIONS(2147),
    [anon_sym_delete] = ACTIONS(2147),
    [anon_sym_PLUS_PLUS] = ACTIONS(2147),
    [anon_sym_DASH_DASH] = ACTIONS(2147),
    [anon_sym_DQUOTE] = ACTIONS(2147),
    [anon_sym_SQUOTE] = ACTIONS(2147),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2147),
    [sym_number] = ACTIONS(2147),
    [sym_private_property_identifier] = ACTIONS(2147),
    [sym_this] = ACTIONS(2147),
    [sym_super] = ACTIONS(2147),
    [sym_true] = ACTIONS(2147),
    [sym_false] = ACTIONS(2147),
    [sym_null] = ACTIONS(2147),
    [sym_undefined] = ACTIONS(2147),
    [anon_sym_AT] = ACTIONS(2147),
    [anon_sym_static] = ACTIONS(2147),
    [anon_sym_readonly] = ACTIONS(2147),
    [anon_sym_get] = ACTIONS(2147),
    [anon_sym_set] = ACTIONS(2147),
    [anon_sym_declare] = ACTIONS(2147),
    [anon_sym_public] = ACTIONS(2147),
    [anon_sym_private] = ACTIONS(2147),
    [anon_sym_protected] = ACTIONS(2147),
    [anon_sym_override] = ACTIONS(2147),
    [anon_sym_module] = ACTIONS(2147),
    [anon_sym_any] = ACTIONS(2147),
    [anon_sym_number] = ACTIONS(2147),
    [anon_sym_boolean] = ACTIONS(2147),
    [anon_sym_string] = ACTIONS(2147),
    [anon_sym_symbol] = ACTIONS(2147),
    [anon_sym_object] = ACTIONS(2147),
    [anon_sym_abstract] = ACTIONS(2147),
    [anon_sym_satisfies] = ACTIONS(2149),
    [anon_sym_interface] = ACTIONS(2147),
    [anon_sym_enum] = ACTIONS(2147),
    [sym__automatic_semicolon] = ACTIONS(2273),
    [sym__ternary_qmark] = ACTIONS(2153),
    [sym_html_comment] = ACTIONS(5),
  },
  [347] = {
    [sym_comment] = STATE(347),
    [ts_builtin_sym_end] = ACTIONS(2275),
    [sym_identifier] = ACTIONS(2169),
    [anon_sym_export] = ACTIONS(2169),
    [anon_sym_STAR] = ACTIONS(2171),
    [anon_sym_type] = ACTIONS(2169),
    [anon_sym_as] = ACTIONS(2171),
    [anon_sym_namespace] = ACTIONS(2169),
    [anon_sym_LBRACE] = ACTIONS(2169),
    [anon_sym_COMMA] = ACTIONS(2171),
    [anon_sym_RBRACE] = ACTIONS(2169),
    [anon_sym_typeof] = ACTIONS(2169),
    [anon_sym_import] = ACTIONS(2169),
    [anon_sym_var] = ACTIONS(2169),
    [anon_sym_let] = ACTIONS(2169),
    [anon_sym_const] = ACTIONS(2169),
    [anon_sym_BANG] = ACTIONS(2169),
    [anon_sym_else] = ACTIONS(2169),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_switch] = ACTIONS(2169),
    [anon_sym_for] = ACTIONS(2169),
    [anon_sym_LPAREN] = ACTIONS(2169),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_in] = ACTIONS(2171),
    [anon_sym_while] = ACTIONS(2169),
    [anon_sym_do] = ACTIONS(2169),
    [anon_sym_try] = ACTIONS(2169),
    [anon_sym_with] = ACTIONS(2169),
    [anon_sym_break] = ACTIONS(2169),
    [anon_sym_continue] = ACTIONS(2169),
    [anon_sym_debugger] = ACTIONS(2169),
    [anon_sym_return] = ACTIONS(2169),
    [anon_sym_throw] = ACTIONS(2169),
    [anon_sym_SEMI] = ACTIONS(2169),
    [anon_sym_yield] = ACTIONS(2169),
    [anon_sym_LBRACK] = ACTIONS(2169),
    [anon_sym_LTtemplate_GT] = ACTIONS(2169),
    [anon_sym_GT] = ACTIONS(2171),
    [anon_sym_DOT] = ACTIONS(2171),
    [anon_sym_class] = ACTIONS(2169),
    [anon_sym_async] = ACTIONS(2169),
    [anon_sym_function] = ACTIONS(2169),
    [anon_sym_QMARK_DOT] = ACTIONS(2171),
    [anon_sym_new] = ACTIONS(2169),
    [anon_sym_using] = ACTIONS(2169),
    [anon_sym_AMP_AMP] = ACTIONS(2171),
    [anon_sym_PIPE_PIPE] = ACTIONS(2171),
    [anon_sym_GT_GT] = ACTIONS(2171),
    [anon_sym_GT_GT_GT] = ACTIONS(2171),
    [anon_sym_LT_LT] = ACTIONS(2171),
    [anon_sym_AMP] = ACTIONS(2171),
    [anon_sym_CARET] = ACTIONS(2171),
    [anon_sym_PIPE] = ACTIONS(2171),
    [anon_sym_PLUS] = ACTIONS(2169),
    [anon_sym_DASH] = ACTIONS(2169),
    [anon_sym_SLASH] = ACTIONS(2169),
    [anon_sym_PERCENT] = ACTIONS(2171),
    [anon_sym_STAR_STAR] = ACTIONS(2171),
    [anon_sym_LT] = ACTIONS(2169),
    [anon_sym_LT_EQ] = ACTIONS(2171),
    [anon_sym_EQ_EQ] = ACTIONS(2171),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2171),
    [anon_sym_BANG_EQ] = ACTIONS(2171),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2171),
    [anon_sym_GT_EQ] = ACTIONS(2171),
    [anon_sym_QMARK_QMARK] = ACTIONS(2171),
    [anon_sym_instanceof] = ACTIONS(2171),
    [anon_sym_TILDE] = ACTIONS(2169),
    [anon_sym_void] = ACTIONS(2169),
    [anon_sym_delete] = ACTIONS(2169),
    [anon_sym_PLUS_PLUS] = ACTIONS(2169),
    [anon_sym_DASH_DASH] = ACTIONS(2169),
    [anon_sym_DQUOTE] = ACTIONS(2169),
    [anon_sym_SQUOTE] = ACTIONS(2169),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2169),
    [sym_number] = ACTIONS(2169),
    [sym_private_property_identifier] = ACTIONS(2169),
    [sym_this] = ACTIONS(2169),
    [sym_super] = ACTIONS(2169),
    [sym_true] = ACTIONS(2169),
    [sym_false] = ACTIONS(2169),
    [sym_null] = ACTIONS(2169),
    [sym_undefined] = ACTIONS(2169),
    [anon_sym_AT] = ACTIONS(2169),
    [anon_sym_static] = ACTIONS(2169),
    [anon_sym_readonly] = ACTIONS(2169),
    [anon_sym_get] = ACTIONS(2169),
    [anon_sym_set] = ACTIONS(2169),
    [anon_sym_declare] = ACTIONS(2169),
    [anon_sym_public] = ACTIONS(2169),
    [anon_sym_private] = ACTIONS(2169),
    [anon_sym_protected] = ACTIONS(2169),
    [anon_sym_override] = ACTIONS(2169),
    [anon_sym_module] = ACTIONS(2169),
    [anon_sym_any] = ACTIONS(2169),
    [anon_sym_number] = ACTIONS(2169),
    [anon_sym_boolean] = ACTIONS(2169),
    [anon_sym_string] = ACTIONS(2169),
    [anon_sym_symbol] = ACTIONS(2169),
    [anon_sym_object] = ACTIONS(2169),
    [anon_sym_abstract] = ACTIONS(2169),
    [anon_sym_satisfies] = ACTIONS(2171),
    [anon_sym_interface] = ACTIONS(2169),
    [anon_sym_enum] = ACTIONS(2169),
    [sym__automatic_semicolon] = ACTIONS(2277),
    [sym__ternary_qmark] = ACTIONS(2175),
    [sym_html_comment] = ACTIONS(5),
  },
  [348] = {
    [sym_import] = STATE(4300),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3037),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7312),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3830),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7314),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(348),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym__type_query_member_expression] = STATE(3703),
    [sym__type_query_subscript_expression] = STATE(3704),
    [sym__type_query_call_expression] = STATE(3764),
    [sym__type_query_instantiation_expression] = STATE(3816),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(2279),
    [anon_sym_export] = ACTIONS(1632),
    [anon_sym_type] = ACTIONS(1632),
    [anon_sym_namespace] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1638),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1632),
    [anon_sym_BANG] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1640),
    [anon_sym_yield] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1644),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1638),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1638),
    [anon_sym_void] = ACTIONS(1638),
    [anon_sym_delete] = ACTIONS(1638),
    [anon_sym_PLUS_PLUS] = ACTIONS(1654),
    [anon_sym_DASH_DASH] = ACTIONS(1654),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1656),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1632),
    [anon_sym_readonly] = ACTIONS(1632),
    [anon_sym_get] = ACTIONS(1632),
    [anon_sym_set] = ACTIONS(1632),
    [anon_sym_declare] = ACTIONS(1632),
    [anon_sym_public] = ACTIONS(1632),
    [anon_sym_private] = ACTIONS(1632),
    [anon_sym_protected] = ACTIONS(1632),
    [anon_sym_override] = ACTIONS(1632),
    [anon_sym_module] = ACTIONS(1632),
    [anon_sym_any] = ACTIONS(1632),
    [anon_sym_number] = ACTIONS(1632),
    [anon_sym_boolean] = ACTIONS(1632),
    [anon_sym_string] = ACTIONS(1632),
    [anon_sym_symbol] = ACTIONS(1632),
    [anon_sym_object] = ACTIONS(1632),
    [sym_html_comment] = ACTIONS(5),
  },
  [349] = {
    [sym_comment] = STATE(349),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_STAR] = ACTIONS(2141),
    [anon_sym_default] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_as] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_COMMA] = ACTIONS(2141),
    [anon_sym_RBRACE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_in] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_case] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LTtemplate_GT] = ACTIONS(2141),
    [anon_sym_GT] = ACTIONS(2141),
    [anon_sym_DOT] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_QMARK_DOT] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_using] = ACTIONS(2141),
    [anon_sym_AMP_AMP] = ACTIONS(2141),
    [anon_sym_PIPE_PIPE] = ACTIONS(2141),
    [anon_sym_GT_GT] = ACTIONS(2141),
    [anon_sym_GT_GT_GT] = ACTIONS(2141),
    [anon_sym_LT_LT] = ACTIONS(2141),
    [anon_sym_AMP] = ACTIONS(2141),
    [anon_sym_CARET] = ACTIONS(2141),
    [anon_sym_PIPE] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_PERCENT] = ACTIONS(2141),
    [anon_sym_STAR_STAR] = ACTIONS(2141),
    [anon_sym_LT] = ACTIONS(2141),
    [anon_sym_LT_EQ] = ACTIONS(2141),
    [anon_sym_EQ_EQ] = ACTIONS(2141),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2141),
    [anon_sym_BANG_EQ] = ACTIONS(2141),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2141),
    [anon_sym_GT_EQ] = ACTIONS(2141),
    [anon_sym_QMARK_QMARK] = ACTIONS(2141),
    [anon_sym_instanceof] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [sym_private_property_identifier] = ACTIONS(2141),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_object] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_satisfies] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
    [sym__automatic_semicolon] = ACTIONS(2281),
    [sym__ternary_qmark] = ACTIONS(2143),
    [sym_html_comment] = ACTIONS(5),
  },
  [350] = {
    [sym_import] = STATE(4289),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2597),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(350),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym__type_query_member_expression] = STATE(3703),
    [sym__type_query_subscript_expression] = STATE(3704),
    [sym__type_query_call_expression] = STATE(3764),
    [sym__type_query_instantiation_expression] = STATE(3816),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(2283),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [351] = {
    [sym_import] = STATE(4176),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2370),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(351),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym__type_query_member_expression] = STATE(3703),
    [sym__type_query_subscript_expression] = STATE(3704),
    [sym__type_query_call_expression] = STATE(3764),
    [sym__type_query_instantiation_expression] = STATE(3816),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(2285),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [352] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2067),
    [sym_subscript_expression] = STATE(2067),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4604),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(352),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5229),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2067),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_override_modifier] = STATE(460),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(2287),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2289),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(1173),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [353] = {
    [sym_comment] = STATE(353),
    [sym_identifier] = ACTIONS(2101),
    [anon_sym_export] = ACTIONS(2101),
    [anon_sym_STAR] = ACTIONS(2101),
    [anon_sym_default] = ACTIONS(2101),
    [anon_sym_type] = ACTIONS(2101),
    [anon_sym_as] = ACTIONS(2101),
    [anon_sym_namespace] = ACTIONS(2101),
    [anon_sym_LBRACE] = ACTIONS(2101),
    [anon_sym_COMMA] = ACTIONS(2101),
    [anon_sym_RBRACE] = ACTIONS(2101),
    [anon_sym_typeof] = ACTIONS(2101),
    [anon_sym_import] = ACTIONS(2101),
    [anon_sym_var] = ACTIONS(2101),
    [anon_sym_let] = ACTIONS(2101),
    [anon_sym_const] = ACTIONS(2101),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_if] = ACTIONS(2101),
    [anon_sym_switch] = ACTIONS(2101),
    [anon_sym_for] = ACTIONS(2101),
    [anon_sym_LPAREN] = ACTIONS(2101),
    [anon_sym_await] = ACTIONS(2101),
    [anon_sym_in] = ACTIONS(2101),
    [anon_sym_while] = ACTIONS(2101),
    [anon_sym_do] = ACTIONS(2101),
    [anon_sym_try] = ACTIONS(2101),
    [anon_sym_with] = ACTIONS(2101),
    [anon_sym_break] = ACTIONS(2101),
    [anon_sym_continue] = ACTIONS(2101),
    [anon_sym_debugger] = ACTIONS(2101),
    [anon_sym_return] = ACTIONS(2101),
    [anon_sym_throw] = ACTIONS(2101),
    [anon_sym_SEMI] = ACTIONS(2101),
    [anon_sym_case] = ACTIONS(2101),
    [anon_sym_yield] = ACTIONS(2101),
    [anon_sym_LBRACK] = ACTIONS(2101),
    [anon_sym_LTtemplate_GT] = ACTIONS(2101),
    [anon_sym_GT] = ACTIONS(2101),
    [anon_sym_DOT] = ACTIONS(2101),
    [anon_sym_class] = ACTIONS(2101),
    [anon_sym_async] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2101),
    [anon_sym_QMARK_DOT] = ACTIONS(2101),
    [anon_sym_new] = ACTIONS(2101),
    [anon_sym_using] = ACTIONS(2101),
    [anon_sym_AMP_AMP] = ACTIONS(2101),
    [anon_sym_PIPE_PIPE] = ACTIONS(2101),
    [anon_sym_GT_GT] = ACTIONS(2101),
    [anon_sym_GT_GT_GT] = ACTIONS(2101),
    [anon_sym_LT_LT] = ACTIONS(2101),
    [anon_sym_AMP] = ACTIONS(2101),
    [anon_sym_CARET] = ACTIONS(2101),
    [anon_sym_PIPE] = ACTIONS(2101),
    [anon_sym_PLUS] = ACTIONS(2101),
    [anon_sym_DASH] = ACTIONS(2101),
    [anon_sym_SLASH] = ACTIONS(2101),
    [anon_sym_PERCENT] = ACTIONS(2101),
    [anon_sym_STAR_STAR] = ACTIONS(2101),
    [anon_sym_LT] = ACTIONS(2101),
    [anon_sym_LT_EQ] = ACTIONS(2101),
    [anon_sym_EQ_EQ] = ACTIONS(2101),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2101),
    [anon_sym_BANG_EQ] = ACTIONS(2101),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2101),
    [anon_sym_GT_EQ] = ACTIONS(2101),
    [anon_sym_QMARK_QMARK] = ACTIONS(2101),
    [anon_sym_instanceof] = ACTIONS(2101),
    [anon_sym_TILDE] = ACTIONS(2101),
    [anon_sym_void] = ACTIONS(2101),
    [anon_sym_delete] = ACTIONS(2101),
    [anon_sym_PLUS_PLUS] = ACTIONS(2101),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_DQUOTE] = ACTIONS(2101),
    [anon_sym_SQUOTE] = ACTIONS(2101),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2101),
    [sym_number] = ACTIONS(2101),
    [sym_private_property_identifier] = ACTIONS(2101),
    [sym_this] = ACTIONS(2101),
    [sym_super] = ACTIONS(2101),
    [sym_true] = ACTIONS(2101),
    [sym_false] = ACTIONS(2101),
    [sym_null] = ACTIONS(2101),
    [sym_undefined] = ACTIONS(2101),
    [anon_sym_AT] = ACTIONS(2101),
    [anon_sym_static] = ACTIONS(2101),
    [anon_sym_readonly] = ACTIONS(2101),
    [anon_sym_get] = ACTIONS(2101),
    [anon_sym_set] = ACTIONS(2101),
    [anon_sym_declare] = ACTIONS(2101),
    [anon_sym_public] = ACTIONS(2101),
    [anon_sym_private] = ACTIONS(2101),
    [anon_sym_protected] = ACTIONS(2101),
    [anon_sym_override] = ACTIONS(2101),
    [anon_sym_module] = ACTIONS(2101),
    [anon_sym_any] = ACTIONS(2101),
    [anon_sym_number] = ACTIONS(2101),
    [anon_sym_boolean] = ACTIONS(2101),
    [anon_sym_string] = ACTIONS(2101),
    [anon_sym_symbol] = ACTIONS(2101),
    [anon_sym_object] = ACTIONS(2101),
    [anon_sym_abstract] = ACTIONS(2101),
    [anon_sym_satisfies] = ACTIONS(2101),
    [anon_sym_interface] = ACTIONS(2101),
    [anon_sym_enum] = ACTIONS(2101),
    [sym__automatic_semicolon] = ACTIONS(2103),
    [sym__ternary_qmark] = ACTIONS(2103),
    [sym_html_comment] = ACTIONS(5),
  },
  [354] = {
    [sym_comment] = STATE(354),
    [ts_builtin_sym_end] = ACTIONS(2095),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_STAR] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_as] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_COMMA] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_else] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_in] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_GT] = ACTIONS(2093),
    [anon_sym_DOT] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_QMARK_DOT] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_AMP_AMP] = ACTIONS(2093),
    [anon_sym_PIPE_PIPE] = ACTIONS(2093),
    [anon_sym_GT_GT] = ACTIONS(2093),
    [anon_sym_GT_GT_GT] = ACTIONS(2093),
    [anon_sym_LT_LT] = ACTIONS(2093),
    [anon_sym_AMP] = ACTIONS(2093),
    [anon_sym_CARET] = ACTIONS(2093),
    [anon_sym_PIPE] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_PERCENT] = ACTIONS(2093),
    [anon_sym_STAR_STAR] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_LT_EQ] = ACTIONS(2093),
    [anon_sym_EQ_EQ] = ACTIONS(2093),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2093),
    [anon_sym_BANG_EQ] = ACTIONS(2093),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2093),
    [anon_sym_GT_EQ] = ACTIONS(2093),
    [anon_sym_QMARK_QMARK] = ACTIONS(2093),
    [anon_sym_instanceof] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_satisfies] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym__automatic_semicolon] = ACTIONS(2095),
    [sym__ternary_qmark] = ACTIONS(2095),
    [sym_html_comment] = ACTIONS(5),
  },
  [355] = {
    [sym_comment] = STATE(355),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_export] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(2261),
    [anon_sym_default] = ACTIONS(2259),
    [anon_sym_type] = ACTIONS(2259),
    [anon_sym_as] = ACTIONS(2261),
    [anon_sym_namespace] = ACTIONS(2259),
    [anon_sym_LBRACE] = ACTIONS(2259),
    [anon_sym_COMMA] = ACTIONS(2261),
    [anon_sym_RBRACE] = ACTIONS(2259),
    [anon_sym_typeof] = ACTIONS(2259),
    [anon_sym_import] = ACTIONS(2259),
    [anon_sym_var] = ACTIONS(2259),
    [anon_sym_let] = ACTIONS(2259),
    [anon_sym_const] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2259),
    [anon_sym_if] = ACTIONS(2259),
    [anon_sym_switch] = ACTIONS(2259),
    [anon_sym_for] = ACTIONS(2259),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_in] = ACTIONS(2261),
    [anon_sym_while] = ACTIONS(2259),
    [anon_sym_do] = ACTIONS(2259),
    [anon_sym_try] = ACTIONS(2259),
    [anon_sym_with] = ACTIONS(2259),
    [anon_sym_break] = ACTIONS(2259),
    [anon_sym_continue] = ACTIONS(2259),
    [anon_sym_debugger] = ACTIONS(2259),
    [anon_sym_return] = ACTIONS(2259),
    [anon_sym_throw] = ACTIONS(2259),
    [anon_sym_SEMI] = ACTIONS(2259),
    [anon_sym_case] = ACTIONS(2259),
    [anon_sym_yield] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2259),
    [anon_sym_LTtemplate_GT] = ACTIONS(2259),
    [anon_sym_GT] = ACTIONS(2261),
    [anon_sym_DOT] = ACTIONS(2261),
    [anon_sym_class] = ACTIONS(2259),
    [anon_sym_async] = ACTIONS(2259),
    [anon_sym_function] = ACTIONS(2259),
    [anon_sym_QMARK_DOT] = ACTIONS(2261),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_using] = ACTIONS(2259),
    [anon_sym_AMP_AMP] = ACTIONS(2261),
    [anon_sym_PIPE_PIPE] = ACTIONS(2261),
    [anon_sym_GT_GT] = ACTIONS(2261),
    [anon_sym_GT_GT_GT] = ACTIONS(2261),
    [anon_sym_LT_LT] = ACTIONS(2261),
    [anon_sym_AMP] = ACTIONS(2261),
    [anon_sym_CARET] = ACTIONS(2261),
    [anon_sym_PIPE] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2259),
    [anon_sym_DASH] = ACTIONS(2259),
    [anon_sym_SLASH] = ACTIONS(2259),
    [anon_sym_PERCENT] = ACTIONS(2261),
    [anon_sym_STAR_STAR] = ACTIONS(2261),
    [anon_sym_LT] = ACTIONS(2259),
    [anon_sym_LT_EQ] = ACTIONS(2261),
    [anon_sym_EQ_EQ] = ACTIONS(2261),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2261),
    [anon_sym_BANG_EQ] = ACTIONS(2261),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2261),
    [anon_sym_GT_EQ] = ACTIONS(2261),
    [anon_sym_QMARK_QMARK] = ACTIONS(2261),
    [anon_sym_instanceof] = ACTIONS(2261),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_void] = ACTIONS(2259),
    [anon_sym_delete] = ACTIONS(2259),
    [anon_sym_PLUS_PLUS] = ACTIONS(2259),
    [anon_sym_DASH_DASH] = ACTIONS(2259),
    [anon_sym_DQUOTE] = ACTIONS(2259),
    [anon_sym_SQUOTE] = ACTIONS(2259),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2259),
    [sym_number] = ACTIONS(2259),
    [sym_private_property_identifier] = ACTIONS(2259),
    [sym_this] = ACTIONS(2259),
    [sym_super] = ACTIONS(2259),
    [sym_true] = ACTIONS(2259),
    [sym_false] = ACTIONS(2259),
    [sym_null] = ACTIONS(2259),
    [sym_undefined] = ACTIONS(2259),
    [anon_sym_AT] = ACTIONS(2259),
    [anon_sym_static] = ACTIONS(2259),
    [anon_sym_readonly] = ACTIONS(2259),
    [anon_sym_get] = ACTIONS(2259),
    [anon_sym_set] = ACTIONS(2259),
    [anon_sym_declare] = ACTIONS(2259),
    [anon_sym_public] = ACTIONS(2259),
    [anon_sym_private] = ACTIONS(2259),
    [anon_sym_protected] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2259),
    [anon_sym_module] = ACTIONS(2259),
    [anon_sym_any] = ACTIONS(2259),
    [anon_sym_number] = ACTIONS(2259),
    [anon_sym_boolean] = ACTIONS(2259),
    [anon_sym_string] = ACTIONS(2259),
    [anon_sym_symbol] = ACTIONS(2259),
    [anon_sym_object] = ACTIONS(2259),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_satisfies] = ACTIONS(2261),
    [anon_sym_interface] = ACTIONS(2259),
    [anon_sym_enum] = ACTIONS(2259),
    [sym__automatic_semicolon] = ACTIONS(2291),
    [sym__ternary_qmark] = ACTIONS(2265),
    [sym_html_comment] = ACTIONS(5),
  },
  [356] = {
    [sym_comment] = STATE(356),
    [sym_identifier] = ACTIONS(2249),
    [anon_sym_export] = ACTIONS(2249),
    [anon_sym_STAR] = ACTIONS(2251),
    [anon_sym_default] = ACTIONS(2249),
    [anon_sym_type] = ACTIONS(2249),
    [anon_sym_as] = ACTIONS(2251),
    [anon_sym_namespace] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2249),
    [anon_sym_COMMA] = ACTIONS(2251),
    [anon_sym_RBRACE] = ACTIONS(2249),
    [anon_sym_typeof] = ACTIONS(2249),
    [anon_sym_import] = ACTIONS(2249),
    [anon_sym_var] = ACTIONS(2249),
    [anon_sym_let] = ACTIONS(2249),
    [anon_sym_const] = ACTIONS(2249),
    [anon_sym_BANG] = ACTIONS(2249),
    [anon_sym_if] = ACTIONS(2249),
    [anon_sym_switch] = ACTIONS(2249),
    [anon_sym_for] = ACTIONS(2249),
    [anon_sym_LPAREN] = ACTIONS(2249),
    [anon_sym_await] = ACTIONS(2249),
    [anon_sym_in] = ACTIONS(2251),
    [anon_sym_while] = ACTIONS(2249),
    [anon_sym_do] = ACTIONS(2249),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_with] = ACTIONS(2249),
    [anon_sym_break] = ACTIONS(2249),
    [anon_sym_continue] = ACTIONS(2249),
    [anon_sym_debugger] = ACTIONS(2249),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_throw] = ACTIONS(2249),
    [anon_sym_SEMI] = ACTIONS(2249),
    [anon_sym_case] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2249),
    [anon_sym_LBRACK] = ACTIONS(2249),
    [anon_sym_LTtemplate_GT] = ACTIONS(2249),
    [anon_sym_GT] = ACTIONS(2251),
    [anon_sym_DOT] = ACTIONS(2251),
    [anon_sym_class] = ACTIONS(2249),
    [anon_sym_async] = ACTIONS(2249),
    [anon_sym_function] = ACTIONS(2249),
    [anon_sym_QMARK_DOT] = ACTIONS(2251),
    [anon_sym_new] = ACTIONS(2249),
    [anon_sym_using] = ACTIONS(2249),
    [anon_sym_AMP_AMP] = ACTIONS(2251),
    [anon_sym_PIPE_PIPE] = ACTIONS(2251),
    [anon_sym_GT_GT] = ACTIONS(2251),
    [anon_sym_GT_GT_GT] = ACTIONS(2251),
    [anon_sym_LT_LT] = ACTIONS(2251),
    [anon_sym_AMP] = ACTIONS(2251),
    [anon_sym_CARET] = ACTIONS(2251),
    [anon_sym_PIPE] = ACTIONS(2251),
    [anon_sym_PLUS] = ACTIONS(2249),
    [anon_sym_DASH] = ACTIONS(2249),
    [anon_sym_SLASH] = ACTIONS(2249),
    [anon_sym_PERCENT] = ACTIONS(2251),
    [anon_sym_STAR_STAR] = ACTIONS(2251),
    [anon_sym_LT] = ACTIONS(2249),
    [anon_sym_LT_EQ] = ACTIONS(2251),
    [anon_sym_EQ_EQ] = ACTIONS(2251),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2251),
    [anon_sym_BANG_EQ] = ACTIONS(2251),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2251),
    [anon_sym_GT_EQ] = ACTIONS(2251),
    [anon_sym_QMARK_QMARK] = ACTIONS(2251),
    [anon_sym_instanceof] = ACTIONS(2251),
    [anon_sym_TILDE] = ACTIONS(2249),
    [anon_sym_void] = ACTIONS(2249),
    [anon_sym_delete] = ACTIONS(2249),
    [anon_sym_PLUS_PLUS] = ACTIONS(2249),
    [anon_sym_DASH_DASH] = ACTIONS(2249),
    [anon_sym_DQUOTE] = ACTIONS(2249),
    [anon_sym_SQUOTE] = ACTIONS(2249),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2249),
    [sym_number] = ACTIONS(2249),
    [sym_private_property_identifier] = ACTIONS(2249),
    [sym_this] = ACTIONS(2249),
    [sym_super] = ACTIONS(2249),
    [sym_true] = ACTIONS(2249),
    [sym_false] = ACTIONS(2249),
    [sym_null] = ACTIONS(2249),
    [sym_undefined] = ACTIONS(2249),
    [anon_sym_AT] = ACTIONS(2249),
    [anon_sym_static] = ACTIONS(2249),
    [anon_sym_readonly] = ACTIONS(2249),
    [anon_sym_get] = ACTIONS(2249),
    [anon_sym_set] = ACTIONS(2249),
    [anon_sym_declare] = ACTIONS(2249),
    [anon_sym_public] = ACTIONS(2249),
    [anon_sym_private] = ACTIONS(2249),
    [anon_sym_protected] = ACTIONS(2249),
    [anon_sym_override] = ACTIONS(2249),
    [anon_sym_module] = ACTIONS(2249),
    [anon_sym_any] = ACTIONS(2249),
    [anon_sym_number] = ACTIONS(2249),
    [anon_sym_boolean] = ACTIONS(2249),
    [anon_sym_string] = ACTIONS(2249),
    [anon_sym_symbol] = ACTIONS(2249),
    [anon_sym_object] = ACTIONS(2249),
    [anon_sym_abstract] = ACTIONS(2249),
    [anon_sym_satisfies] = ACTIONS(2251),
    [anon_sym_interface] = ACTIONS(2249),
    [anon_sym_enum] = ACTIONS(2249),
    [sym__automatic_semicolon] = ACTIONS(2293),
    [sym__ternary_qmark] = ACTIONS(2255),
    [sym_html_comment] = ACTIONS(5),
  },
  [357] = {
    [sym_comment] = STATE(357),
    [ts_builtin_sym_end] = ACTIONS(2143),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_STAR] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_as] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_COMMA] = ACTIONS(2141),
    [anon_sym_RBRACE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_else] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_in] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LTtemplate_GT] = ACTIONS(2141),
    [anon_sym_GT] = ACTIONS(2141),
    [anon_sym_DOT] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_QMARK_DOT] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_using] = ACTIONS(2141),
    [anon_sym_AMP_AMP] = ACTIONS(2141),
    [anon_sym_PIPE_PIPE] = ACTIONS(2141),
    [anon_sym_GT_GT] = ACTIONS(2141),
    [anon_sym_GT_GT_GT] = ACTIONS(2141),
    [anon_sym_LT_LT] = ACTIONS(2141),
    [anon_sym_AMP] = ACTIONS(2141),
    [anon_sym_CARET] = ACTIONS(2141),
    [anon_sym_PIPE] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_PERCENT] = ACTIONS(2141),
    [anon_sym_STAR_STAR] = ACTIONS(2141),
    [anon_sym_LT] = ACTIONS(2141),
    [anon_sym_LT_EQ] = ACTIONS(2141),
    [anon_sym_EQ_EQ] = ACTIONS(2141),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2141),
    [anon_sym_BANG_EQ] = ACTIONS(2141),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2141),
    [anon_sym_GT_EQ] = ACTIONS(2141),
    [anon_sym_QMARK_QMARK] = ACTIONS(2141),
    [anon_sym_instanceof] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [sym_private_property_identifier] = ACTIONS(2141),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_object] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_satisfies] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
    [sym__automatic_semicolon] = ACTIONS(2143),
    [sym__ternary_qmark] = ACTIONS(2143),
    [sym_html_comment] = ACTIONS(5),
  },
  [358] = {
    [sym_comment] = STATE(358),
    [ts_builtin_sym_end] = ACTIONS(2295),
    [sym_identifier] = ACTIONS(2155),
    [anon_sym_export] = ACTIONS(2155),
    [anon_sym_STAR] = ACTIONS(2157),
    [anon_sym_type] = ACTIONS(2155),
    [anon_sym_as] = ACTIONS(2157),
    [anon_sym_namespace] = ACTIONS(2155),
    [anon_sym_LBRACE] = ACTIONS(2155),
    [anon_sym_COMMA] = ACTIONS(2157),
    [anon_sym_RBRACE] = ACTIONS(2155),
    [anon_sym_typeof] = ACTIONS(2155),
    [anon_sym_import] = ACTIONS(2155),
    [anon_sym_var] = ACTIONS(2155),
    [anon_sym_let] = ACTIONS(2155),
    [anon_sym_const] = ACTIONS(2155),
    [anon_sym_BANG] = ACTIONS(2155),
    [anon_sym_else] = ACTIONS(2155),
    [anon_sym_if] = ACTIONS(2155),
    [anon_sym_switch] = ACTIONS(2155),
    [anon_sym_for] = ACTIONS(2155),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_await] = ACTIONS(2155),
    [anon_sym_in] = ACTIONS(2157),
    [anon_sym_while] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(2155),
    [anon_sym_try] = ACTIONS(2155),
    [anon_sym_with] = ACTIONS(2155),
    [anon_sym_break] = ACTIONS(2155),
    [anon_sym_continue] = ACTIONS(2155),
    [anon_sym_debugger] = ACTIONS(2155),
    [anon_sym_return] = ACTIONS(2155),
    [anon_sym_throw] = ACTIONS(2155),
    [anon_sym_SEMI] = ACTIONS(2155),
    [anon_sym_yield] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2155),
    [anon_sym_LTtemplate_GT] = ACTIONS(2155),
    [anon_sym_GT] = ACTIONS(2157),
    [anon_sym_DOT] = ACTIONS(2157),
    [anon_sym_class] = ACTIONS(2155),
    [anon_sym_async] = ACTIONS(2155),
    [anon_sym_function] = ACTIONS(2155),
    [anon_sym_QMARK_DOT] = ACTIONS(2157),
    [anon_sym_new] = ACTIONS(2155),
    [anon_sym_using] = ACTIONS(2155),
    [anon_sym_AMP_AMP] = ACTIONS(2157),
    [anon_sym_PIPE_PIPE] = ACTIONS(2157),
    [anon_sym_GT_GT] = ACTIONS(2157),
    [anon_sym_GT_GT_GT] = ACTIONS(2157),
    [anon_sym_LT_LT] = ACTIONS(2157),
    [anon_sym_AMP] = ACTIONS(2157),
    [anon_sym_CARET] = ACTIONS(2157),
    [anon_sym_PIPE] = ACTIONS(2157),
    [anon_sym_PLUS] = ACTIONS(2155),
    [anon_sym_DASH] = ACTIONS(2155),
    [anon_sym_SLASH] = ACTIONS(2155),
    [anon_sym_PERCENT] = ACTIONS(2157),
    [anon_sym_STAR_STAR] = ACTIONS(2157),
    [anon_sym_LT] = ACTIONS(2155),
    [anon_sym_LT_EQ] = ACTIONS(2157),
    [anon_sym_EQ_EQ] = ACTIONS(2157),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2157),
    [anon_sym_BANG_EQ] = ACTIONS(2157),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2157),
    [anon_sym_GT_EQ] = ACTIONS(2157),
    [anon_sym_QMARK_QMARK] = ACTIONS(2157),
    [anon_sym_instanceof] = ACTIONS(2157),
    [anon_sym_TILDE] = ACTIONS(2155),
    [anon_sym_void] = ACTIONS(2155),
    [anon_sym_delete] = ACTIONS(2155),
    [anon_sym_PLUS_PLUS] = ACTIONS(2155),
    [anon_sym_DASH_DASH] = ACTIONS(2155),
    [anon_sym_DQUOTE] = ACTIONS(2155),
    [anon_sym_SQUOTE] = ACTIONS(2155),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2155),
    [sym_number] = ACTIONS(2155),
    [sym_private_property_identifier] = ACTIONS(2155),
    [sym_this] = ACTIONS(2155),
    [sym_super] = ACTIONS(2155),
    [sym_true] = ACTIONS(2155),
    [sym_false] = ACTIONS(2155),
    [sym_null] = ACTIONS(2155),
    [sym_undefined] = ACTIONS(2155),
    [anon_sym_AT] = ACTIONS(2155),
    [anon_sym_static] = ACTIONS(2155),
    [anon_sym_readonly] = ACTIONS(2155),
    [anon_sym_get] = ACTIONS(2155),
    [anon_sym_set] = ACTIONS(2155),
    [anon_sym_declare] = ACTIONS(2155),
    [anon_sym_public] = ACTIONS(2155),
    [anon_sym_private] = ACTIONS(2155),
    [anon_sym_protected] = ACTIONS(2155),
    [anon_sym_override] = ACTIONS(2155),
    [anon_sym_module] = ACTIONS(2155),
    [anon_sym_any] = ACTIONS(2155),
    [anon_sym_number] = ACTIONS(2155),
    [anon_sym_boolean] = ACTIONS(2155),
    [anon_sym_string] = ACTIONS(2155),
    [anon_sym_symbol] = ACTIONS(2155),
    [anon_sym_object] = ACTIONS(2155),
    [anon_sym_abstract] = ACTIONS(2155),
    [anon_sym_satisfies] = ACTIONS(2157),
    [anon_sym_interface] = ACTIONS(2155),
    [anon_sym_enum] = ACTIONS(2155),
    [sym__automatic_semicolon] = ACTIONS(2297),
    [sym__ternary_qmark] = ACTIONS(2161),
    [sym_html_comment] = ACTIONS(5),
  },
  [359] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_spread_element] = STATE(7234),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_sequence_expression] = STATE(7234),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(359),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_RBRACE] = ACTIONS(2299),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2301),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [360] = {
    [sym_comment] = STATE(360),
    [sym_identifier] = ACTIONS(2223),
    [anon_sym_export] = ACTIONS(2223),
    [anon_sym_STAR] = ACTIONS(2225),
    [anon_sym_default] = ACTIONS(2223),
    [anon_sym_type] = ACTIONS(2223),
    [anon_sym_as] = ACTIONS(2225),
    [anon_sym_namespace] = ACTIONS(2223),
    [anon_sym_LBRACE] = ACTIONS(2223),
    [anon_sym_COMMA] = ACTIONS(2225),
    [anon_sym_RBRACE] = ACTIONS(2223),
    [anon_sym_typeof] = ACTIONS(2223),
    [anon_sym_import] = ACTIONS(2223),
    [anon_sym_var] = ACTIONS(2223),
    [anon_sym_let] = ACTIONS(2223),
    [anon_sym_const] = ACTIONS(2223),
    [anon_sym_BANG] = ACTIONS(2223),
    [anon_sym_if] = ACTIONS(2223),
    [anon_sym_switch] = ACTIONS(2223),
    [anon_sym_for] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(2223),
    [anon_sym_await] = ACTIONS(2223),
    [anon_sym_in] = ACTIONS(2225),
    [anon_sym_while] = ACTIONS(2223),
    [anon_sym_do] = ACTIONS(2223),
    [anon_sym_try] = ACTIONS(2223),
    [anon_sym_with] = ACTIONS(2223),
    [anon_sym_break] = ACTIONS(2223),
    [anon_sym_continue] = ACTIONS(2223),
    [anon_sym_debugger] = ACTIONS(2223),
    [anon_sym_return] = ACTIONS(2223),
    [anon_sym_throw] = ACTIONS(2223),
    [anon_sym_SEMI] = ACTIONS(2223),
    [anon_sym_case] = ACTIONS(2223),
    [anon_sym_yield] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(2223),
    [anon_sym_LTtemplate_GT] = ACTIONS(2223),
    [anon_sym_GT] = ACTIONS(2225),
    [anon_sym_DOT] = ACTIONS(2225),
    [anon_sym_class] = ACTIONS(2223),
    [anon_sym_async] = ACTIONS(2223),
    [anon_sym_function] = ACTIONS(2223),
    [anon_sym_QMARK_DOT] = ACTIONS(2225),
    [anon_sym_new] = ACTIONS(2223),
    [anon_sym_using] = ACTIONS(2223),
    [anon_sym_AMP_AMP] = ACTIONS(2225),
    [anon_sym_PIPE_PIPE] = ACTIONS(2225),
    [anon_sym_GT_GT] = ACTIONS(2225),
    [anon_sym_GT_GT_GT] = ACTIONS(2225),
    [anon_sym_LT_LT] = ACTIONS(2225),
    [anon_sym_AMP] = ACTIONS(2225),
    [anon_sym_CARET] = ACTIONS(2225),
    [anon_sym_PIPE] = ACTIONS(2225),
    [anon_sym_PLUS] = ACTIONS(2223),
    [anon_sym_DASH] = ACTIONS(2223),
    [anon_sym_SLASH] = ACTIONS(2223),
    [anon_sym_PERCENT] = ACTIONS(2225),
    [anon_sym_STAR_STAR] = ACTIONS(2225),
    [anon_sym_LT] = ACTIONS(2223),
    [anon_sym_LT_EQ] = ACTIONS(2225),
    [anon_sym_EQ_EQ] = ACTIONS(2225),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2225),
    [anon_sym_BANG_EQ] = ACTIONS(2225),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2225),
    [anon_sym_GT_EQ] = ACTIONS(2225),
    [anon_sym_QMARK_QMARK] = ACTIONS(2225),
    [anon_sym_instanceof] = ACTIONS(2225),
    [anon_sym_TILDE] = ACTIONS(2223),
    [anon_sym_void] = ACTIONS(2223),
    [anon_sym_delete] = ACTIONS(2223),
    [anon_sym_PLUS_PLUS] = ACTIONS(2223),
    [anon_sym_DASH_DASH] = ACTIONS(2223),
    [anon_sym_DQUOTE] = ACTIONS(2223),
    [anon_sym_SQUOTE] = ACTIONS(2223),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2223),
    [sym_number] = ACTIONS(2223),
    [sym_private_property_identifier] = ACTIONS(2223),
    [sym_this] = ACTIONS(2223),
    [sym_super] = ACTIONS(2223),
    [sym_true] = ACTIONS(2223),
    [sym_false] = ACTIONS(2223),
    [sym_null] = ACTIONS(2223),
    [sym_undefined] = ACTIONS(2223),
    [anon_sym_AT] = ACTIONS(2223),
    [anon_sym_static] = ACTIONS(2223),
    [anon_sym_readonly] = ACTIONS(2223),
    [anon_sym_get] = ACTIONS(2223),
    [anon_sym_set] = ACTIONS(2223),
    [anon_sym_declare] = ACTIONS(2223),
    [anon_sym_public] = ACTIONS(2223),
    [anon_sym_private] = ACTIONS(2223),
    [anon_sym_protected] = ACTIONS(2223),
    [anon_sym_override] = ACTIONS(2223),
    [anon_sym_module] = ACTIONS(2223),
    [anon_sym_any] = ACTIONS(2223),
    [anon_sym_number] = ACTIONS(2223),
    [anon_sym_boolean] = ACTIONS(2223),
    [anon_sym_string] = ACTIONS(2223),
    [anon_sym_symbol] = ACTIONS(2223),
    [anon_sym_object] = ACTIONS(2223),
    [anon_sym_abstract] = ACTIONS(2223),
    [anon_sym_satisfies] = ACTIONS(2225),
    [anon_sym_interface] = ACTIONS(2223),
    [anon_sym_enum] = ACTIONS(2223),
    [sym__automatic_semicolon] = ACTIONS(2303),
    [sym__ternary_qmark] = ACTIONS(2229),
    [sym_html_comment] = ACTIONS(5),
  },
  [361] = {
    [sym_comment] = STATE(361),
    [sym_identifier] = ACTIONS(2065),
    [anon_sym_export] = ACTIONS(2065),
    [anon_sym_STAR] = ACTIONS(2065),
    [anon_sym_default] = ACTIONS(2065),
    [anon_sym_type] = ACTIONS(2065),
    [anon_sym_as] = ACTIONS(2065),
    [anon_sym_namespace] = ACTIONS(2065),
    [anon_sym_LBRACE] = ACTIONS(2065),
    [anon_sym_COMMA] = ACTIONS(2065),
    [anon_sym_RBRACE] = ACTIONS(2065),
    [anon_sym_typeof] = ACTIONS(2065),
    [anon_sym_import] = ACTIONS(2065),
    [anon_sym_var] = ACTIONS(2065),
    [anon_sym_let] = ACTIONS(2065),
    [anon_sym_const] = ACTIONS(2065),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_if] = ACTIONS(2065),
    [anon_sym_switch] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2065),
    [anon_sym_LPAREN] = ACTIONS(2065),
    [anon_sym_await] = ACTIONS(2065),
    [anon_sym_in] = ACTIONS(2065),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_do] = ACTIONS(2065),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_with] = ACTIONS(2065),
    [anon_sym_break] = ACTIONS(2065),
    [anon_sym_continue] = ACTIONS(2065),
    [anon_sym_debugger] = ACTIONS(2065),
    [anon_sym_return] = ACTIONS(2065),
    [anon_sym_throw] = ACTIONS(2065),
    [anon_sym_SEMI] = ACTIONS(2065),
    [anon_sym_case] = ACTIONS(2065),
    [anon_sym_yield] = ACTIONS(2065),
    [anon_sym_LBRACK] = ACTIONS(2065),
    [anon_sym_LTtemplate_GT] = ACTIONS(2065),
    [anon_sym_GT] = ACTIONS(2065),
    [anon_sym_DOT] = ACTIONS(2065),
    [anon_sym_class] = ACTIONS(2065),
    [anon_sym_async] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2065),
    [anon_sym_QMARK_DOT] = ACTIONS(2065),
    [anon_sym_new] = ACTIONS(2065),
    [anon_sym_using] = ACTIONS(2065),
    [anon_sym_AMP_AMP] = ACTIONS(2065),
    [anon_sym_PIPE_PIPE] = ACTIONS(2065),
    [anon_sym_GT_GT] = ACTIONS(2065),
    [anon_sym_GT_GT_GT] = ACTIONS(2065),
    [anon_sym_LT_LT] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_PIPE] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2065),
    [anon_sym_DASH] = ACTIONS(2065),
    [anon_sym_SLASH] = ACTIONS(2065),
    [anon_sym_PERCENT] = ACTIONS(2065),
    [anon_sym_STAR_STAR] = ACTIONS(2065),
    [anon_sym_LT] = ACTIONS(2065),
    [anon_sym_LT_EQ] = ACTIONS(2065),
    [anon_sym_EQ_EQ] = ACTIONS(2065),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2065),
    [anon_sym_BANG_EQ] = ACTIONS(2065),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2065),
    [anon_sym_GT_EQ] = ACTIONS(2065),
    [anon_sym_QMARK_QMARK] = ACTIONS(2065),
    [anon_sym_instanceof] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_void] = ACTIONS(2065),
    [anon_sym_delete] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_DQUOTE] = ACTIONS(2065),
    [anon_sym_SQUOTE] = ACTIONS(2065),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2065),
    [sym_number] = ACTIONS(2065),
    [sym_private_property_identifier] = ACTIONS(2065),
    [sym_this] = ACTIONS(2065),
    [sym_super] = ACTIONS(2065),
    [sym_true] = ACTIONS(2065),
    [sym_false] = ACTIONS(2065),
    [sym_null] = ACTIONS(2065),
    [sym_undefined] = ACTIONS(2065),
    [anon_sym_AT] = ACTIONS(2065),
    [anon_sym_static] = ACTIONS(2065),
    [anon_sym_readonly] = ACTIONS(2065),
    [anon_sym_get] = ACTIONS(2065),
    [anon_sym_set] = ACTIONS(2065),
    [anon_sym_declare] = ACTIONS(2065),
    [anon_sym_public] = ACTIONS(2065),
    [anon_sym_private] = ACTIONS(2065),
    [anon_sym_protected] = ACTIONS(2065),
    [anon_sym_override] = ACTIONS(2065),
    [anon_sym_module] = ACTIONS(2065),
    [anon_sym_any] = ACTIONS(2065),
    [anon_sym_number] = ACTIONS(2065),
    [anon_sym_boolean] = ACTIONS(2065),
    [anon_sym_string] = ACTIONS(2065),
    [anon_sym_symbol] = ACTIONS(2065),
    [anon_sym_object] = ACTIONS(2065),
    [anon_sym_abstract] = ACTIONS(2065),
    [anon_sym_satisfies] = ACTIONS(2065),
    [anon_sym_interface] = ACTIONS(2065),
    [anon_sym_enum] = ACTIONS(2065),
    [sym__automatic_semicolon] = ACTIONS(2305),
    [sym__ternary_qmark] = ACTIONS(2125),
    [sym_html_comment] = ACTIONS(5),
  },
  [362] = {
    [sym_comment] = STATE(362),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_STAR] = ACTIONS(2141),
    [anon_sym_default] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_as] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_COMMA] = ACTIONS(2141),
    [anon_sym_RBRACE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_in] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_case] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LTtemplate_GT] = ACTIONS(2141),
    [anon_sym_GT] = ACTIONS(2141),
    [anon_sym_DOT] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_QMARK_DOT] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_using] = ACTIONS(2141),
    [anon_sym_AMP_AMP] = ACTIONS(2141),
    [anon_sym_PIPE_PIPE] = ACTIONS(2141),
    [anon_sym_GT_GT] = ACTIONS(2141),
    [anon_sym_GT_GT_GT] = ACTIONS(2141),
    [anon_sym_LT_LT] = ACTIONS(2141),
    [anon_sym_AMP] = ACTIONS(2141),
    [anon_sym_CARET] = ACTIONS(2141),
    [anon_sym_PIPE] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_PERCENT] = ACTIONS(2141),
    [anon_sym_STAR_STAR] = ACTIONS(2141),
    [anon_sym_LT] = ACTIONS(2141),
    [anon_sym_LT_EQ] = ACTIONS(2141),
    [anon_sym_EQ_EQ] = ACTIONS(2141),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2141),
    [anon_sym_BANG_EQ] = ACTIONS(2141),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2141),
    [anon_sym_GT_EQ] = ACTIONS(2141),
    [anon_sym_QMARK_QMARK] = ACTIONS(2141),
    [anon_sym_instanceof] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [sym_private_property_identifier] = ACTIONS(2141),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_object] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_satisfies] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
    [sym__automatic_semicolon] = ACTIONS(2143),
    [sym__ternary_qmark] = ACTIONS(2143),
    [sym_html_comment] = ACTIONS(5),
  },
  [363] = {
    [sym_comment] = STATE(363),
    [ts_builtin_sym_end] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2065),
    [anon_sym_export] = ACTIONS(2065),
    [anon_sym_STAR] = ACTIONS(2065),
    [anon_sym_type] = ACTIONS(2065),
    [anon_sym_as] = ACTIONS(2065),
    [anon_sym_namespace] = ACTIONS(2065),
    [anon_sym_LBRACE] = ACTIONS(2065),
    [anon_sym_COMMA] = ACTIONS(2065),
    [anon_sym_RBRACE] = ACTIONS(2065),
    [anon_sym_typeof] = ACTIONS(2065),
    [anon_sym_import] = ACTIONS(2065),
    [anon_sym_var] = ACTIONS(2065),
    [anon_sym_let] = ACTIONS(2065),
    [anon_sym_const] = ACTIONS(2065),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_else] = ACTIONS(2065),
    [anon_sym_if] = ACTIONS(2065),
    [anon_sym_switch] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2065),
    [anon_sym_LPAREN] = ACTIONS(2065),
    [anon_sym_await] = ACTIONS(2065),
    [anon_sym_in] = ACTIONS(2065),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_do] = ACTIONS(2065),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_with] = ACTIONS(2065),
    [anon_sym_break] = ACTIONS(2065),
    [anon_sym_continue] = ACTIONS(2065),
    [anon_sym_debugger] = ACTIONS(2065),
    [anon_sym_return] = ACTIONS(2065),
    [anon_sym_throw] = ACTIONS(2065),
    [anon_sym_SEMI] = ACTIONS(2065),
    [anon_sym_yield] = ACTIONS(2065),
    [anon_sym_LBRACK] = ACTIONS(2065),
    [anon_sym_LTtemplate_GT] = ACTIONS(2065),
    [anon_sym_GT] = ACTIONS(2065),
    [anon_sym_DOT] = ACTIONS(2065),
    [anon_sym_class] = ACTIONS(2065),
    [anon_sym_async] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2065),
    [anon_sym_QMARK_DOT] = ACTIONS(2065),
    [anon_sym_new] = ACTIONS(2065),
    [anon_sym_using] = ACTIONS(2065),
    [anon_sym_AMP_AMP] = ACTIONS(2065),
    [anon_sym_PIPE_PIPE] = ACTIONS(2065),
    [anon_sym_GT_GT] = ACTIONS(2065),
    [anon_sym_GT_GT_GT] = ACTIONS(2065),
    [anon_sym_LT_LT] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_PIPE] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2065),
    [anon_sym_DASH] = ACTIONS(2065),
    [anon_sym_SLASH] = ACTIONS(2065),
    [anon_sym_PERCENT] = ACTIONS(2065),
    [anon_sym_STAR_STAR] = ACTIONS(2065),
    [anon_sym_LT] = ACTIONS(2065),
    [anon_sym_LT_EQ] = ACTIONS(2065),
    [anon_sym_EQ_EQ] = ACTIONS(2065),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2065),
    [anon_sym_BANG_EQ] = ACTIONS(2065),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2065),
    [anon_sym_GT_EQ] = ACTIONS(2065),
    [anon_sym_QMARK_QMARK] = ACTIONS(2065),
    [anon_sym_instanceof] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_void] = ACTIONS(2065),
    [anon_sym_delete] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_DQUOTE] = ACTIONS(2065),
    [anon_sym_SQUOTE] = ACTIONS(2065),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2065),
    [sym_number] = ACTIONS(2065),
    [sym_private_property_identifier] = ACTIONS(2065),
    [sym_this] = ACTIONS(2065),
    [sym_super] = ACTIONS(2065),
    [sym_true] = ACTIONS(2065),
    [sym_false] = ACTIONS(2065),
    [sym_null] = ACTIONS(2065),
    [sym_undefined] = ACTIONS(2065),
    [anon_sym_AT] = ACTIONS(2065),
    [anon_sym_static] = ACTIONS(2065),
    [anon_sym_readonly] = ACTIONS(2065),
    [anon_sym_get] = ACTIONS(2065),
    [anon_sym_set] = ACTIONS(2065),
    [anon_sym_declare] = ACTIONS(2065),
    [anon_sym_public] = ACTIONS(2065),
    [anon_sym_private] = ACTIONS(2065),
    [anon_sym_protected] = ACTIONS(2065),
    [anon_sym_override] = ACTIONS(2065),
    [anon_sym_module] = ACTIONS(2065),
    [anon_sym_any] = ACTIONS(2065),
    [anon_sym_number] = ACTIONS(2065),
    [anon_sym_boolean] = ACTIONS(2065),
    [anon_sym_string] = ACTIONS(2065),
    [anon_sym_symbol] = ACTIONS(2065),
    [anon_sym_object] = ACTIONS(2065),
    [anon_sym_abstract] = ACTIONS(2065),
    [anon_sym_satisfies] = ACTIONS(2065),
    [anon_sym_interface] = ACTIONS(2065),
    [anon_sym_enum] = ACTIONS(2065),
    [sym__automatic_semicolon] = ACTIONS(2307),
    [sym__ternary_qmark] = ACTIONS(2125),
    [sym_html_comment] = ACTIONS(5),
  },
  [364] = {
    [sym_comment] = STATE(364),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_export] = ACTIONS(2213),
    [anon_sym_STAR] = ACTIONS(2215),
    [anon_sym_default] = ACTIONS(2213),
    [anon_sym_type] = ACTIONS(2213),
    [anon_sym_as] = ACTIONS(2215),
    [anon_sym_namespace] = ACTIONS(2213),
    [anon_sym_LBRACE] = ACTIONS(2213),
    [anon_sym_COMMA] = ACTIONS(2215),
    [anon_sym_RBRACE] = ACTIONS(2213),
    [anon_sym_typeof] = ACTIONS(2213),
    [anon_sym_import] = ACTIONS(2213),
    [anon_sym_var] = ACTIONS(2213),
    [anon_sym_let] = ACTIONS(2213),
    [anon_sym_const] = ACTIONS(2213),
    [anon_sym_BANG] = ACTIONS(2213),
    [anon_sym_if] = ACTIONS(2213),
    [anon_sym_switch] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2213),
    [anon_sym_LPAREN] = ACTIONS(2213),
    [anon_sym_await] = ACTIONS(2213),
    [anon_sym_in] = ACTIONS(2215),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_do] = ACTIONS(2213),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_with] = ACTIONS(2213),
    [anon_sym_break] = ACTIONS(2213),
    [anon_sym_continue] = ACTIONS(2213),
    [anon_sym_debugger] = ACTIONS(2213),
    [anon_sym_return] = ACTIONS(2213),
    [anon_sym_throw] = ACTIONS(2213),
    [anon_sym_SEMI] = ACTIONS(2213),
    [anon_sym_case] = ACTIONS(2213),
    [anon_sym_yield] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(2213),
    [anon_sym_LTtemplate_GT] = ACTIONS(2213),
    [anon_sym_GT] = ACTIONS(2215),
    [anon_sym_DOT] = ACTIONS(2215),
    [anon_sym_class] = ACTIONS(2213),
    [anon_sym_async] = ACTIONS(2213),
    [anon_sym_function] = ACTIONS(2213),
    [anon_sym_QMARK_DOT] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2213),
    [anon_sym_using] = ACTIONS(2213),
    [anon_sym_AMP_AMP] = ACTIONS(2215),
    [anon_sym_PIPE_PIPE] = ACTIONS(2215),
    [anon_sym_GT_GT] = ACTIONS(2215),
    [anon_sym_GT_GT_GT] = ACTIONS(2215),
    [anon_sym_LT_LT] = ACTIONS(2215),
    [anon_sym_AMP] = ACTIONS(2215),
    [anon_sym_CARET] = ACTIONS(2215),
    [anon_sym_PIPE] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2213),
    [anon_sym_DASH] = ACTIONS(2213),
    [anon_sym_SLASH] = ACTIONS(2213),
    [anon_sym_PERCENT] = ACTIONS(2215),
    [anon_sym_STAR_STAR] = ACTIONS(2215),
    [anon_sym_LT] = ACTIONS(2213),
    [anon_sym_LT_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2215),
    [anon_sym_GT_EQ] = ACTIONS(2215),
    [anon_sym_QMARK_QMARK] = ACTIONS(2215),
    [anon_sym_instanceof] = ACTIONS(2215),
    [anon_sym_TILDE] = ACTIONS(2213),
    [anon_sym_void] = ACTIONS(2213),
    [anon_sym_delete] = ACTIONS(2213),
    [anon_sym_PLUS_PLUS] = ACTIONS(2213),
    [anon_sym_DASH_DASH] = ACTIONS(2213),
    [anon_sym_DQUOTE] = ACTIONS(2213),
    [anon_sym_SQUOTE] = ACTIONS(2213),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2213),
    [sym_number] = ACTIONS(2213),
    [sym_private_property_identifier] = ACTIONS(2213),
    [sym_this] = ACTIONS(2213),
    [sym_super] = ACTIONS(2213),
    [sym_true] = ACTIONS(2213),
    [sym_false] = ACTIONS(2213),
    [sym_null] = ACTIONS(2213),
    [sym_undefined] = ACTIONS(2213),
    [anon_sym_AT] = ACTIONS(2213),
    [anon_sym_static] = ACTIONS(2213),
    [anon_sym_readonly] = ACTIONS(2213),
    [anon_sym_get] = ACTIONS(2213),
    [anon_sym_set] = ACTIONS(2213),
    [anon_sym_declare] = ACTIONS(2213),
    [anon_sym_public] = ACTIONS(2213),
    [anon_sym_private] = ACTIONS(2213),
    [anon_sym_protected] = ACTIONS(2213),
    [anon_sym_override] = ACTIONS(2213),
    [anon_sym_module] = ACTIONS(2213),
    [anon_sym_any] = ACTIONS(2213),
    [anon_sym_number] = ACTIONS(2213),
    [anon_sym_boolean] = ACTIONS(2213),
    [anon_sym_string] = ACTIONS(2213),
    [anon_sym_symbol] = ACTIONS(2213),
    [anon_sym_object] = ACTIONS(2213),
    [anon_sym_abstract] = ACTIONS(2213),
    [anon_sym_satisfies] = ACTIONS(2215),
    [anon_sym_interface] = ACTIONS(2213),
    [anon_sym_enum] = ACTIONS(2213),
    [sym__automatic_semicolon] = ACTIONS(2309),
    [sym__ternary_qmark] = ACTIONS(2219),
    [sym_html_comment] = ACTIONS(5),
  },
  [365] = {
    [sym_comment] = STATE(365),
    [sym_identifier] = ACTIONS(2089),
    [anon_sym_export] = ACTIONS(2089),
    [anon_sym_STAR] = ACTIONS(2089),
    [anon_sym_default] = ACTIONS(2089),
    [anon_sym_type] = ACTIONS(2089),
    [anon_sym_as] = ACTIONS(2089),
    [anon_sym_namespace] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2089),
    [anon_sym_COMMA] = ACTIONS(2089),
    [anon_sym_RBRACE] = ACTIONS(2089),
    [anon_sym_typeof] = ACTIONS(2089),
    [anon_sym_import] = ACTIONS(2089),
    [anon_sym_var] = ACTIONS(2089),
    [anon_sym_let] = ACTIONS(2089),
    [anon_sym_const] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2089),
    [anon_sym_if] = ACTIONS(2089),
    [anon_sym_switch] = ACTIONS(2089),
    [anon_sym_for] = ACTIONS(2089),
    [anon_sym_LPAREN] = ACTIONS(2089),
    [anon_sym_await] = ACTIONS(2089),
    [anon_sym_in] = ACTIONS(2089),
    [anon_sym_while] = ACTIONS(2089),
    [anon_sym_do] = ACTIONS(2089),
    [anon_sym_try] = ACTIONS(2089),
    [anon_sym_with] = ACTIONS(2089),
    [anon_sym_break] = ACTIONS(2089),
    [anon_sym_continue] = ACTIONS(2089),
    [anon_sym_debugger] = ACTIONS(2089),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_throw] = ACTIONS(2089),
    [anon_sym_SEMI] = ACTIONS(2089),
    [anon_sym_case] = ACTIONS(2089),
    [anon_sym_yield] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2089),
    [anon_sym_LTtemplate_GT] = ACTIONS(2089),
    [anon_sym_GT] = ACTIONS(2089),
    [anon_sym_DOT] = ACTIONS(2089),
    [anon_sym_class] = ACTIONS(2089),
    [anon_sym_async] = ACTIONS(2089),
    [anon_sym_function] = ACTIONS(2089),
    [anon_sym_QMARK_DOT] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2089),
    [anon_sym_using] = ACTIONS(2089),
    [anon_sym_AMP_AMP] = ACTIONS(2089),
    [anon_sym_PIPE_PIPE] = ACTIONS(2089),
    [anon_sym_GT_GT] = ACTIONS(2089),
    [anon_sym_GT_GT_GT] = ACTIONS(2089),
    [anon_sym_LT_LT] = ACTIONS(2089),
    [anon_sym_AMP] = ACTIONS(2089),
    [anon_sym_CARET] = ACTIONS(2089),
    [anon_sym_PIPE] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(2089),
    [anon_sym_DASH] = ACTIONS(2089),
    [anon_sym_SLASH] = ACTIONS(2089),
    [anon_sym_PERCENT] = ACTIONS(2089),
    [anon_sym_STAR_STAR] = ACTIONS(2089),
    [anon_sym_LT] = ACTIONS(2089),
    [anon_sym_LT_EQ] = ACTIONS(2089),
    [anon_sym_EQ_EQ] = ACTIONS(2089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2089),
    [anon_sym_BANG_EQ] = ACTIONS(2089),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2089),
    [anon_sym_GT_EQ] = ACTIONS(2089),
    [anon_sym_QMARK_QMARK] = ACTIONS(2089),
    [anon_sym_instanceof] = ACTIONS(2089),
    [anon_sym_TILDE] = ACTIONS(2089),
    [anon_sym_void] = ACTIONS(2089),
    [anon_sym_delete] = ACTIONS(2089),
    [anon_sym_PLUS_PLUS] = ACTIONS(2089),
    [anon_sym_DASH_DASH] = ACTIONS(2089),
    [anon_sym_DQUOTE] = ACTIONS(2089),
    [anon_sym_SQUOTE] = ACTIONS(2089),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2089),
    [sym_number] = ACTIONS(2089),
    [sym_private_property_identifier] = ACTIONS(2089),
    [sym_this] = ACTIONS(2089),
    [sym_super] = ACTIONS(2089),
    [sym_true] = ACTIONS(2089),
    [sym_false] = ACTIONS(2089),
    [sym_null] = ACTIONS(2089),
    [sym_undefined] = ACTIONS(2089),
    [anon_sym_AT] = ACTIONS(2089),
    [anon_sym_static] = ACTIONS(2089),
    [anon_sym_readonly] = ACTIONS(2089),
    [anon_sym_get] = ACTIONS(2089),
    [anon_sym_set] = ACTIONS(2089),
    [anon_sym_declare] = ACTIONS(2089),
    [anon_sym_public] = ACTIONS(2089),
    [anon_sym_private] = ACTIONS(2089),
    [anon_sym_protected] = ACTIONS(2089),
    [anon_sym_override] = ACTIONS(2089),
    [anon_sym_module] = ACTIONS(2089),
    [anon_sym_any] = ACTIONS(2089),
    [anon_sym_number] = ACTIONS(2089),
    [anon_sym_boolean] = ACTIONS(2089),
    [anon_sym_string] = ACTIONS(2089),
    [anon_sym_symbol] = ACTIONS(2089),
    [anon_sym_object] = ACTIONS(2089),
    [anon_sym_abstract] = ACTIONS(2089),
    [anon_sym_satisfies] = ACTIONS(2089),
    [anon_sym_interface] = ACTIONS(2089),
    [anon_sym_enum] = ACTIONS(2089),
    [sym__automatic_semicolon] = ACTIONS(2091),
    [sym__ternary_qmark] = ACTIONS(2091),
    [sym_html_comment] = ACTIONS(5),
  },
  [366] = {
    [sym_comment] = STATE(366),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_export] = ACTIONS(2205),
    [anon_sym_STAR] = ACTIONS(2207),
    [anon_sym_default] = ACTIONS(2205),
    [anon_sym_type] = ACTIONS(2205),
    [anon_sym_as] = ACTIONS(2207),
    [anon_sym_namespace] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2205),
    [anon_sym_COMMA] = ACTIONS(2207),
    [anon_sym_RBRACE] = ACTIONS(2205),
    [anon_sym_typeof] = ACTIONS(2205),
    [anon_sym_import] = ACTIONS(2205),
    [anon_sym_var] = ACTIONS(2205),
    [anon_sym_let] = ACTIONS(2205),
    [anon_sym_const] = ACTIONS(2205),
    [anon_sym_BANG] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2205),
    [anon_sym_switch] = ACTIONS(2205),
    [anon_sym_for] = ACTIONS(2205),
    [anon_sym_LPAREN] = ACTIONS(2205),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_in] = ACTIONS(2207),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_try] = ACTIONS(2205),
    [anon_sym_with] = ACTIONS(2205),
    [anon_sym_break] = ACTIONS(2205),
    [anon_sym_continue] = ACTIONS(2205),
    [anon_sym_debugger] = ACTIONS(2205),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2205),
    [anon_sym_SEMI] = ACTIONS(2205),
    [anon_sym_case] = ACTIONS(2205),
    [anon_sym_yield] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_LTtemplate_GT] = ACTIONS(2205),
    [anon_sym_GT] = ACTIONS(2207),
    [anon_sym_DOT] = ACTIONS(2207),
    [anon_sym_class] = ACTIONS(2205),
    [anon_sym_async] = ACTIONS(2205),
    [anon_sym_function] = ACTIONS(2205),
    [anon_sym_QMARK_DOT] = ACTIONS(2207),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_using] = ACTIONS(2205),
    [anon_sym_AMP_AMP] = ACTIONS(2207),
    [anon_sym_PIPE_PIPE] = ACTIONS(2207),
    [anon_sym_GT_GT] = ACTIONS(2207),
    [anon_sym_GT_GT_GT] = ACTIONS(2207),
    [anon_sym_LT_LT] = ACTIONS(2207),
    [anon_sym_AMP] = ACTIONS(2207),
    [anon_sym_CARET] = ACTIONS(2207),
    [anon_sym_PIPE] = ACTIONS(2207),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_SLASH] = ACTIONS(2205),
    [anon_sym_PERCENT] = ACTIONS(2207),
    [anon_sym_STAR_STAR] = ACTIONS(2207),
    [anon_sym_LT] = ACTIONS(2205),
    [anon_sym_LT_EQ] = ACTIONS(2207),
    [anon_sym_EQ_EQ] = ACTIONS(2207),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2207),
    [anon_sym_BANG_EQ] = ACTIONS(2207),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2207),
    [anon_sym_GT_EQ] = ACTIONS(2207),
    [anon_sym_QMARK_QMARK] = ACTIONS(2207),
    [anon_sym_instanceof] = ACTIONS(2207),
    [anon_sym_TILDE] = ACTIONS(2205),
    [anon_sym_void] = ACTIONS(2205),
    [anon_sym_delete] = ACTIONS(2205),
    [anon_sym_PLUS_PLUS] = ACTIONS(2205),
    [anon_sym_DASH_DASH] = ACTIONS(2205),
    [anon_sym_DQUOTE] = ACTIONS(2205),
    [anon_sym_SQUOTE] = ACTIONS(2205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2205),
    [sym_number] = ACTIONS(2205),
    [sym_private_property_identifier] = ACTIONS(2205),
    [sym_this] = ACTIONS(2205),
    [sym_super] = ACTIONS(2205),
    [sym_true] = ACTIONS(2205),
    [sym_false] = ACTIONS(2205),
    [sym_null] = ACTIONS(2205),
    [sym_undefined] = ACTIONS(2205),
    [anon_sym_AT] = ACTIONS(2205),
    [anon_sym_static] = ACTIONS(2205),
    [anon_sym_readonly] = ACTIONS(2205),
    [anon_sym_get] = ACTIONS(2205),
    [anon_sym_set] = ACTIONS(2205),
    [anon_sym_declare] = ACTIONS(2205),
    [anon_sym_public] = ACTIONS(2205),
    [anon_sym_private] = ACTIONS(2205),
    [anon_sym_protected] = ACTIONS(2205),
    [anon_sym_override] = ACTIONS(2205),
    [anon_sym_module] = ACTIONS(2205),
    [anon_sym_any] = ACTIONS(2205),
    [anon_sym_number] = ACTIONS(2205),
    [anon_sym_boolean] = ACTIONS(2205),
    [anon_sym_string] = ACTIONS(2205),
    [anon_sym_symbol] = ACTIONS(2205),
    [anon_sym_object] = ACTIONS(2205),
    [anon_sym_abstract] = ACTIONS(2205),
    [anon_sym_satisfies] = ACTIONS(2207),
    [anon_sym_interface] = ACTIONS(2205),
    [anon_sym_enum] = ACTIONS(2205),
    [sym__automatic_semicolon] = ACTIONS(2311),
    [sym__ternary_qmark] = ACTIONS(2211),
    [sym_html_comment] = ACTIONS(5),
  },
  [367] = {
    [sym_comment] = STATE(367),
    [sym_identifier] = ACTIONS(2077),
    [anon_sym_export] = ACTIONS(2077),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_default] = ACTIONS(2077),
    [anon_sym_type] = ACTIONS(2077),
    [anon_sym_as] = ACTIONS(2079),
    [anon_sym_namespace] = ACTIONS(2077),
    [anon_sym_LBRACE] = ACTIONS(2077),
    [anon_sym_COMMA] = ACTIONS(2079),
    [anon_sym_RBRACE] = ACTIONS(2077),
    [anon_sym_typeof] = ACTIONS(2077),
    [anon_sym_import] = ACTIONS(2077),
    [anon_sym_var] = ACTIONS(2077),
    [anon_sym_let] = ACTIONS(2077),
    [anon_sym_const] = ACTIONS(2077),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_if] = ACTIONS(2077),
    [anon_sym_switch] = ACTIONS(2077),
    [anon_sym_for] = ACTIONS(2077),
    [anon_sym_LPAREN] = ACTIONS(2077),
    [anon_sym_await] = ACTIONS(2077),
    [anon_sym_in] = ACTIONS(2079),
    [anon_sym_while] = ACTIONS(2077),
    [anon_sym_do] = ACTIONS(2077),
    [anon_sym_try] = ACTIONS(2077),
    [anon_sym_with] = ACTIONS(2077),
    [anon_sym_break] = ACTIONS(2077),
    [anon_sym_continue] = ACTIONS(2077),
    [anon_sym_debugger] = ACTIONS(2077),
    [anon_sym_return] = ACTIONS(2077),
    [anon_sym_throw] = ACTIONS(2077),
    [anon_sym_SEMI] = ACTIONS(2077),
    [anon_sym_case] = ACTIONS(2077),
    [anon_sym_yield] = ACTIONS(2077),
    [anon_sym_LBRACK] = ACTIONS(2077),
    [anon_sym_LTtemplate_GT] = ACTIONS(2077),
    [anon_sym_GT] = ACTIONS(2079),
    [anon_sym_DOT] = ACTIONS(2079),
    [anon_sym_class] = ACTIONS(2077),
    [anon_sym_async] = ACTIONS(2077),
    [anon_sym_function] = ACTIONS(2077),
    [anon_sym_QMARK_DOT] = ACTIONS(2079),
    [anon_sym_new] = ACTIONS(2077),
    [anon_sym_using] = ACTIONS(2077),
    [anon_sym_AMP_AMP] = ACTIONS(2079),
    [anon_sym_PIPE_PIPE] = ACTIONS(2079),
    [anon_sym_GT_GT] = ACTIONS(2079),
    [anon_sym_GT_GT_GT] = ACTIONS(2079),
    [anon_sym_LT_LT] = ACTIONS(2079),
    [anon_sym_AMP] = ACTIONS(2079),
    [anon_sym_CARET] = ACTIONS(2079),
    [anon_sym_PIPE] = ACTIONS(2079),
    [anon_sym_PLUS] = ACTIONS(2077),
    [anon_sym_DASH] = ACTIONS(2077),
    [anon_sym_SLASH] = ACTIONS(2077),
    [anon_sym_PERCENT] = ACTIONS(2079),
    [anon_sym_STAR_STAR] = ACTIONS(2079),
    [anon_sym_LT] = ACTIONS(2077),
    [anon_sym_LT_EQ] = ACTIONS(2079),
    [anon_sym_EQ_EQ] = ACTIONS(2079),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2079),
    [anon_sym_BANG_EQ] = ACTIONS(2079),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2079),
    [anon_sym_GT_EQ] = ACTIONS(2079),
    [anon_sym_QMARK_QMARK] = ACTIONS(2079),
    [anon_sym_instanceof] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_void] = ACTIONS(2077),
    [anon_sym_delete] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_DQUOTE] = ACTIONS(2077),
    [anon_sym_SQUOTE] = ACTIONS(2077),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2077),
    [sym_number] = ACTIONS(2077),
    [sym_private_property_identifier] = ACTIONS(2077),
    [sym_this] = ACTIONS(2077),
    [sym_super] = ACTIONS(2077),
    [sym_true] = ACTIONS(2077),
    [sym_false] = ACTIONS(2077),
    [sym_null] = ACTIONS(2077),
    [sym_undefined] = ACTIONS(2077),
    [anon_sym_AT] = ACTIONS(2077),
    [anon_sym_static] = ACTIONS(2077),
    [anon_sym_readonly] = ACTIONS(2077),
    [anon_sym_get] = ACTIONS(2077),
    [anon_sym_set] = ACTIONS(2077),
    [anon_sym_declare] = ACTIONS(2077),
    [anon_sym_public] = ACTIONS(2077),
    [anon_sym_private] = ACTIONS(2077),
    [anon_sym_protected] = ACTIONS(2077),
    [anon_sym_override] = ACTIONS(2077),
    [anon_sym_module] = ACTIONS(2077),
    [anon_sym_any] = ACTIONS(2077),
    [anon_sym_number] = ACTIONS(2077),
    [anon_sym_boolean] = ACTIONS(2077),
    [anon_sym_string] = ACTIONS(2077),
    [anon_sym_symbol] = ACTIONS(2077),
    [anon_sym_object] = ACTIONS(2077),
    [anon_sym_abstract] = ACTIONS(2077),
    [anon_sym_satisfies] = ACTIONS(2079),
    [anon_sym_interface] = ACTIONS(2077),
    [anon_sym_enum] = ACTIONS(2077),
    [sym__automatic_semicolon] = ACTIONS(2313),
    [sym__ternary_qmark] = ACTIONS(2083),
    [sym_html_comment] = ACTIONS(5),
  },
  [368] = {
    [sym_comment] = STATE(368),
    [ts_builtin_sym_end] = ACTIONS(2167),
    [sym_identifier] = ACTIONS(2165),
    [anon_sym_export] = ACTIONS(2165),
    [anon_sym_STAR] = ACTIONS(2165),
    [anon_sym_type] = ACTIONS(2165),
    [anon_sym_as] = ACTIONS(2165),
    [anon_sym_namespace] = ACTIONS(2165),
    [anon_sym_LBRACE] = ACTIONS(2165),
    [anon_sym_COMMA] = ACTIONS(2165),
    [anon_sym_RBRACE] = ACTIONS(2165),
    [anon_sym_typeof] = ACTIONS(2165),
    [anon_sym_import] = ACTIONS(2165),
    [anon_sym_var] = ACTIONS(2165),
    [anon_sym_let] = ACTIONS(2165),
    [anon_sym_const] = ACTIONS(2165),
    [anon_sym_BANG] = ACTIONS(2165),
    [anon_sym_else] = ACTIONS(2165),
    [anon_sym_if] = ACTIONS(2165),
    [anon_sym_switch] = ACTIONS(2165),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_LPAREN] = ACTIONS(2165),
    [anon_sym_await] = ACTIONS(2165),
    [anon_sym_in] = ACTIONS(2165),
    [anon_sym_while] = ACTIONS(2165),
    [anon_sym_do] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_with] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2165),
    [anon_sym_continue] = ACTIONS(2165),
    [anon_sym_debugger] = ACTIONS(2165),
    [anon_sym_return] = ACTIONS(2165),
    [anon_sym_throw] = ACTIONS(2165),
    [anon_sym_SEMI] = ACTIONS(2165),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_LBRACK] = ACTIONS(2165),
    [anon_sym_LTtemplate_GT] = ACTIONS(2165),
    [anon_sym_GT] = ACTIONS(2165),
    [anon_sym_DOT] = ACTIONS(2165),
    [anon_sym_class] = ACTIONS(2165),
    [anon_sym_async] = ACTIONS(2165),
    [anon_sym_function] = ACTIONS(2165),
    [anon_sym_QMARK_DOT] = ACTIONS(2165),
    [anon_sym_new] = ACTIONS(2165),
    [anon_sym_using] = ACTIONS(2165),
    [anon_sym_AMP_AMP] = ACTIONS(2165),
    [anon_sym_PIPE_PIPE] = ACTIONS(2165),
    [anon_sym_GT_GT] = ACTIONS(2165),
    [anon_sym_GT_GT_GT] = ACTIONS(2165),
    [anon_sym_LT_LT] = ACTIONS(2165),
    [anon_sym_AMP] = ACTIONS(2165),
    [anon_sym_CARET] = ACTIONS(2165),
    [anon_sym_PIPE] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(2165),
    [anon_sym_DASH] = ACTIONS(2165),
    [anon_sym_SLASH] = ACTIONS(2165),
    [anon_sym_PERCENT] = ACTIONS(2165),
    [anon_sym_STAR_STAR] = ACTIONS(2165),
    [anon_sym_LT] = ACTIONS(2165),
    [anon_sym_LT_EQ] = ACTIONS(2165),
    [anon_sym_EQ_EQ] = ACTIONS(2165),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2165),
    [anon_sym_BANG_EQ] = ACTIONS(2165),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2165),
    [anon_sym_GT_EQ] = ACTIONS(2165),
    [anon_sym_QMARK_QMARK] = ACTIONS(2165),
    [anon_sym_instanceof] = ACTIONS(2165),
    [anon_sym_TILDE] = ACTIONS(2165),
    [anon_sym_void] = ACTIONS(2165),
    [anon_sym_delete] = ACTIONS(2165),
    [anon_sym_PLUS_PLUS] = ACTIONS(2165),
    [anon_sym_DASH_DASH] = ACTIONS(2165),
    [anon_sym_DQUOTE] = ACTIONS(2165),
    [anon_sym_SQUOTE] = ACTIONS(2165),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2165),
    [sym_number] = ACTIONS(2165),
    [sym_private_property_identifier] = ACTIONS(2165),
    [sym_this] = ACTIONS(2165),
    [sym_super] = ACTIONS(2165),
    [sym_true] = ACTIONS(2165),
    [sym_false] = ACTIONS(2165),
    [sym_null] = ACTIONS(2165),
    [sym_undefined] = ACTIONS(2165),
    [anon_sym_AT] = ACTIONS(2165),
    [anon_sym_static] = ACTIONS(2165),
    [anon_sym_readonly] = ACTIONS(2165),
    [anon_sym_get] = ACTIONS(2165),
    [anon_sym_set] = ACTIONS(2165),
    [anon_sym_declare] = ACTIONS(2165),
    [anon_sym_public] = ACTIONS(2165),
    [anon_sym_private] = ACTIONS(2165),
    [anon_sym_protected] = ACTIONS(2165),
    [anon_sym_override] = ACTIONS(2165),
    [anon_sym_module] = ACTIONS(2165),
    [anon_sym_any] = ACTIONS(2165),
    [anon_sym_number] = ACTIONS(2165),
    [anon_sym_boolean] = ACTIONS(2165),
    [anon_sym_string] = ACTIONS(2165),
    [anon_sym_symbol] = ACTIONS(2165),
    [anon_sym_object] = ACTIONS(2165),
    [anon_sym_abstract] = ACTIONS(2165),
    [anon_sym_satisfies] = ACTIONS(2165),
    [anon_sym_interface] = ACTIONS(2165),
    [anon_sym_enum] = ACTIONS(2165),
    [sym__automatic_semicolon] = ACTIONS(2167),
    [sym__ternary_qmark] = ACTIONS(2167),
    [sym_html_comment] = ACTIONS(5),
  },
  [369] = {
    [sym_comment] = STATE(369),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_export] = ACTIONS(2193),
    [anon_sym_STAR] = ACTIONS(2195),
    [anon_sym_default] = ACTIONS(2193),
    [anon_sym_type] = ACTIONS(2193),
    [anon_sym_as] = ACTIONS(2195),
    [anon_sym_namespace] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(2193),
    [anon_sym_COMMA] = ACTIONS(2195),
    [anon_sym_RBRACE] = ACTIONS(2193),
    [anon_sym_typeof] = ACTIONS(2193),
    [anon_sym_import] = ACTIONS(2193),
    [anon_sym_var] = ACTIONS(2193),
    [anon_sym_let] = ACTIONS(2193),
    [anon_sym_const] = ACTIONS(2193),
    [anon_sym_BANG] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2193),
    [anon_sym_switch] = ACTIONS(2193),
    [anon_sym_for] = ACTIONS(2193),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_await] = ACTIONS(2193),
    [anon_sym_in] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(2193),
    [anon_sym_do] = ACTIONS(2193),
    [anon_sym_try] = ACTIONS(2193),
    [anon_sym_with] = ACTIONS(2193),
    [anon_sym_break] = ACTIONS(2193),
    [anon_sym_continue] = ACTIONS(2193),
    [anon_sym_debugger] = ACTIONS(2193),
    [anon_sym_return] = ACTIONS(2193),
    [anon_sym_throw] = ACTIONS(2193),
    [anon_sym_SEMI] = ACTIONS(2193),
    [anon_sym_case] = ACTIONS(2193),
    [anon_sym_yield] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2193),
    [anon_sym_LTtemplate_GT] = ACTIONS(2193),
    [anon_sym_GT] = ACTIONS(2195),
    [anon_sym_DOT] = ACTIONS(2195),
    [anon_sym_class] = ACTIONS(2193),
    [anon_sym_async] = ACTIONS(2193),
    [anon_sym_function] = ACTIONS(2193),
    [anon_sym_QMARK_DOT] = ACTIONS(2195),
    [anon_sym_new] = ACTIONS(2193),
    [anon_sym_using] = ACTIONS(2193),
    [anon_sym_AMP_AMP] = ACTIONS(2195),
    [anon_sym_PIPE_PIPE] = ACTIONS(2195),
    [anon_sym_GT_GT] = ACTIONS(2195),
    [anon_sym_GT_GT_GT] = ACTIONS(2195),
    [anon_sym_LT_LT] = ACTIONS(2195),
    [anon_sym_AMP] = ACTIONS(2195),
    [anon_sym_CARET] = ACTIONS(2195),
    [anon_sym_PIPE] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2193),
    [anon_sym_DASH] = ACTIONS(2193),
    [anon_sym_SLASH] = ACTIONS(2193),
    [anon_sym_PERCENT] = ACTIONS(2195),
    [anon_sym_STAR_STAR] = ACTIONS(2195),
    [anon_sym_LT] = ACTIONS(2193),
    [anon_sym_LT_EQ] = ACTIONS(2195),
    [anon_sym_EQ_EQ] = ACTIONS(2195),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2195),
    [anon_sym_BANG_EQ] = ACTIONS(2195),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2195),
    [anon_sym_GT_EQ] = ACTIONS(2195),
    [anon_sym_QMARK_QMARK] = ACTIONS(2195),
    [anon_sym_instanceof] = ACTIONS(2195),
    [anon_sym_TILDE] = ACTIONS(2193),
    [anon_sym_void] = ACTIONS(2193),
    [anon_sym_delete] = ACTIONS(2193),
    [anon_sym_PLUS_PLUS] = ACTIONS(2193),
    [anon_sym_DASH_DASH] = ACTIONS(2193),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [anon_sym_SQUOTE] = ACTIONS(2193),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2193),
    [sym_number] = ACTIONS(2193),
    [sym_private_property_identifier] = ACTIONS(2193),
    [sym_this] = ACTIONS(2193),
    [sym_super] = ACTIONS(2193),
    [sym_true] = ACTIONS(2193),
    [sym_false] = ACTIONS(2193),
    [sym_null] = ACTIONS(2193),
    [sym_undefined] = ACTIONS(2193),
    [anon_sym_AT] = ACTIONS(2193),
    [anon_sym_static] = ACTIONS(2193),
    [anon_sym_readonly] = ACTIONS(2193),
    [anon_sym_get] = ACTIONS(2193),
    [anon_sym_set] = ACTIONS(2193),
    [anon_sym_declare] = ACTIONS(2193),
    [anon_sym_public] = ACTIONS(2193),
    [anon_sym_private] = ACTIONS(2193),
    [anon_sym_protected] = ACTIONS(2193),
    [anon_sym_override] = ACTIONS(2193),
    [anon_sym_module] = ACTIONS(2193),
    [anon_sym_any] = ACTIONS(2193),
    [anon_sym_number] = ACTIONS(2193),
    [anon_sym_boolean] = ACTIONS(2193),
    [anon_sym_string] = ACTIONS(2193),
    [anon_sym_symbol] = ACTIONS(2193),
    [anon_sym_object] = ACTIONS(2193),
    [anon_sym_abstract] = ACTIONS(2193),
    [anon_sym_satisfies] = ACTIONS(2195),
    [anon_sym_interface] = ACTIONS(2193),
    [anon_sym_enum] = ACTIONS(2193),
    [sym__automatic_semicolon] = ACTIONS(2315),
    [sym__ternary_qmark] = ACTIONS(2199),
    [sym_html_comment] = ACTIONS(5),
  },
  [370] = {
    [sym_comment] = STATE(370),
    [sym_identifier] = ACTIONS(2165),
    [anon_sym_export] = ACTIONS(2165),
    [anon_sym_STAR] = ACTIONS(2165),
    [anon_sym_default] = ACTIONS(2165),
    [anon_sym_type] = ACTIONS(2165),
    [anon_sym_as] = ACTIONS(2165),
    [anon_sym_namespace] = ACTIONS(2165),
    [anon_sym_LBRACE] = ACTIONS(2165),
    [anon_sym_COMMA] = ACTIONS(2165),
    [anon_sym_RBRACE] = ACTIONS(2165),
    [anon_sym_typeof] = ACTIONS(2165),
    [anon_sym_import] = ACTIONS(2165),
    [anon_sym_var] = ACTIONS(2165),
    [anon_sym_let] = ACTIONS(2165),
    [anon_sym_const] = ACTIONS(2165),
    [anon_sym_BANG] = ACTIONS(2165),
    [anon_sym_if] = ACTIONS(2165),
    [anon_sym_switch] = ACTIONS(2165),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_LPAREN] = ACTIONS(2165),
    [anon_sym_await] = ACTIONS(2165),
    [anon_sym_in] = ACTIONS(2165),
    [anon_sym_while] = ACTIONS(2165),
    [anon_sym_do] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_with] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2165),
    [anon_sym_continue] = ACTIONS(2165),
    [anon_sym_debugger] = ACTIONS(2165),
    [anon_sym_return] = ACTIONS(2165),
    [anon_sym_throw] = ACTIONS(2165),
    [anon_sym_SEMI] = ACTIONS(2165),
    [anon_sym_case] = ACTIONS(2165),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_LBRACK] = ACTIONS(2165),
    [anon_sym_LTtemplate_GT] = ACTIONS(2165),
    [anon_sym_GT] = ACTIONS(2165),
    [anon_sym_DOT] = ACTIONS(2165),
    [anon_sym_class] = ACTIONS(2165),
    [anon_sym_async] = ACTIONS(2165),
    [anon_sym_function] = ACTIONS(2165),
    [anon_sym_QMARK_DOT] = ACTIONS(2165),
    [anon_sym_new] = ACTIONS(2165),
    [anon_sym_using] = ACTIONS(2165),
    [anon_sym_AMP_AMP] = ACTIONS(2165),
    [anon_sym_PIPE_PIPE] = ACTIONS(2165),
    [anon_sym_GT_GT] = ACTIONS(2165),
    [anon_sym_GT_GT_GT] = ACTIONS(2165),
    [anon_sym_LT_LT] = ACTIONS(2165),
    [anon_sym_AMP] = ACTIONS(2165),
    [anon_sym_CARET] = ACTIONS(2165),
    [anon_sym_PIPE] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(2165),
    [anon_sym_DASH] = ACTIONS(2165),
    [anon_sym_SLASH] = ACTIONS(2165),
    [anon_sym_PERCENT] = ACTIONS(2165),
    [anon_sym_STAR_STAR] = ACTIONS(2165),
    [anon_sym_LT] = ACTIONS(2165),
    [anon_sym_LT_EQ] = ACTIONS(2165),
    [anon_sym_EQ_EQ] = ACTIONS(2165),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2165),
    [anon_sym_BANG_EQ] = ACTIONS(2165),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2165),
    [anon_sym_GT_EQ] = ACTIONS(2165),
    [anon_sym_QMARK_QMARK] = ACTIONS(2165),
    [anon_sym_instanceof] = ACTIONS(2165),
    [anon_sym_TILDE] = ACTIONS(2165),
    [anon_sym_void] = ACTIONS(2165),
    [anon_sym_delete] = ACTIONS(2165),
    [anon_sym_PLUS_PLUS] = ACTIONS(2165),
    [anon_sym_DASH_DASH] = ACTIONS(2165),
    [anon_sym_DQUOTE] = ACTIONS(2165),
    [anon_sym_SQUOTE] = ACTIONS(2165),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2165),
    [sym_number] = ACTIONS(2165),
    [sym_private_property_identifier] = ACTIONS(2165),
    [sym_this] = ACTIONS(2165),
    [sym_super] = ACTIONS(2165),
    [sym_true] = ACTIONS(2165),
    [sym_false] = ACTIONS(2165),
    [sym_null] = ACTIONS(2165),
    [sym_undefined] = ACTIONS(2165),
    [anon_sym_AT] = ACTIONS(2165),
    [anon_sym_static] = ACTIONS(2165),
    [anon_sym_readonly] = ACTIONS(2165),
    [anon_sym_get] = ACTIONS(2165),
    [anon_sym_set] = ACTIONS(2165),
    [anon_sym_declare] = ACTIONS(2165),
    [anon_sym_public] = ACTIONS(2165),
    [anon_sym_private] = ACTIONS(2165),
    [anon_sym_protected] = ACTIONS(2165),
    [anon_sym_override] = ACTIONS(2165),
    [anon_sym_module] = ACTIONS(2165),
    [anon_sym_any] = ACTIONS(2165),
    [anon_sym_number] = ACTIONS(2165),
    [anon_sym_boolean] = ACTIONS(2165),
    [anon_sym_string] = ACTIONS(2165),
    [anon_sym_symbol] = ACTIONS(2165),
    [anon_sym_object] = ACTIONS(2165),
    [anon_sym_abstract] = ACTIONS(2165),
    [anon_sym_satisfies] = ACTIONS(2165),
    [anon_sym_interface] = ACTIONS(2165),
    [anon_sym_enum] = ACTIONS(2165),
    [sym__automatic_semicolon] = ACTIONS(2167),
    [sym__ternary_qmark] = ACTIONS(2167),
    [sym_html_comment] = ACTIONS(5),
  },
  [371] = {
    [sym_comment] = STATE(371),
    [sym_identifier] = ACTIONS(2185),
    [anon_sym_export] = ACTIONS(2185),
    [anon_sym_STAR] = ACTIONS(2187),
    [anon_sym_default] = ACTIONS(2185),
    [anon_sym_type] = ACTIONS(2185),
    [anon_sym_as] = ACTIONS(2187),
    [anon_sym_namespace] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2185),
    [anon_sym_COMMA] = ACTIONS(2187),
    [anon_sym_RBRACE] = ACTIONS(2185),
    [anon_sym_typeof] = ACTIONS(2185),
    [anon_sym_import] = ACTIONS(2185),
    [anon_sym_var] = ACTIONS(2185),
    [anon_sym_let] = ACTIONS(2185),
    [anon_sym_const] = ACTIONS(2185),
    [anon_sym_BANG] = ACTIONS(2185),
    [anon_sym_if] = ACTIONS(2185),
    [anon_sym_switch] = ACTIONS(2185),
    [anon_sym_for] = ACTIONS(2185),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_in] = ACTIONS(2187),
    [anon_sym_while] = ACTIONS(2185),
    [anon_sym_do] = ACTIONS(2185),
    [anon_sym_try] = ACTIONS(2185),
    [anon_sym_with] = ACTIONS(2185),
    [anon_sym_break] = ACTIONS(2185),
    [anon_sym_continue] = ACTIONS(2185),
    [anon_sym_debugger] = ACTIONS(2185),
    [anon_sym_return] = ACTIONS(2185),
    [anon_sym_throw] = ACTIONS(2185),
    [anon_sym_SEMI] = ACTIONS(2185),
    [anon_sym_case] = ACTIONS(2185),
    [anon_sym_yield] = ACTIONS(2185),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_LTtemplate_GT] = ACTIONS(2185),
    [anon_sym_GT] = ACTIONS(2187),
    [anon_sym_DOT] = ACTIONS(2187),
    [anon_sym_class] = ACTIONS(2185),
    [anon_sym_async] = ACTIONS(2185),
    [anon_sym_function] = ACTIONS(2185),
    [anon_sym_QMARK_DOT] = ACTIONS(2187),
    [anon_sym_new] = ACTIONS(2185),
    [anon_sym_using] = ACTIONS(2185),
    [anon_sym_AMP_AMP] = ACTIONS(2187),
    [anon_sym_PIPE_PIPE] = ACTIONS(2187),
    [anon_sym_GT_GT] = ACTIONS(2187),
    [anon_sym_GT_GT_GT] = ACTIONS(2187),
    [anon_sym_LT_LT] = ACTIONS(2187),
    [anon_sym_AMP] = ACTIONS(2187),
    [anon_sym_CARET] = ACTIONS(2187),
    [anon_sym_PIPE] = ACTIONS(2187),
    [anon_sym_PLUS] = ACTIONS(2185),
    [anon_sym_DASH] = ACTIONS(2185),
    [anon_sym_SLASH] = ACTIONS(2185),
    [anon_sym_PERCENT] = ACTIONS(2187),
    [anon_sym_STAR_STAR] = ACTIONS(2187),
    [anon_sym_LT] = ACTIONS(2185),
    [anon_sym_LT_EQ] = ACTIONS(2187),
    [anon_sym_EQ_EQ] = ACTIONS(2187),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2187),
    [anon_sym_BANG_EQ] = ACTIONS(2187),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2187),
    [anon_sym_GT_EQ] = ACTIONS(2187),
    [anon_sym_QMARK_QMARK] = ACTIONS(2187),
    [anon_sym_instanceof] = ACTIONS(2187),
    [anon_sym_TILDE] = ACTIONS(2185),
    [anon_sym_void] = ACTIONS(2185),
    [anon_sym_delete] = ACTIONS(2185),
    [anon_sym_PLUS_PLUS] = ACTIONS(2185),
    [anon_sym_DASH_DASH] = ACTIONS(2185),
    [anon_sym_DQUOTE] = ACTIONS(2185),
    [anon_sym_SQUOTE] = ACTIONS(2185),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2185),
    [sym_number] = ACTIONS(2185),
    [sym_private_property_identifier] = ACTIONS(2185),
    [sym_this] = ACTIONS(2185),
    [sym_super] = ACTIONS(2185),
    [sym_true] = ACTIONS(2185),
    [sym_false] = ACTIONS(2185),
    [sym_null] = ACTIONS(2185),
    [sym_undefined] = ACTIONS(2185),
    [anon_sym_AT] = ACTIONS(2185),
    [anon_sym_static] = ACTIONS(2185),
    [anon_sym_readonly] = ACTIONS(2185),
    [anon_sym_get] = ACTIONS(2185),
    [anon_sym_set] = ACTIONS(2185),
    [anon_sym_declare] = ACTIONS(2185),
    [anon_sym_public] = ACTIONS(2185),
    [anon_sym_private] = ACTIONS(2185),
    [anon_sym_protected] = ACTIONS(2185),
    [anon_sym_override] = ACTIONS(2185),
    [anon_sym_module] = ACTIONS(2185),
    [anon_sym_any] = ACTIONS(2185),
    [anon_sym_number] = ACTIONS(2185),
    [anon_sym_boolean] = ACTIONS(2185),
    [anon_sym_string] = ACTIONS(2185),
    [anon_sym_symbol] = ACTIONS(2185),
    [anon_sym_object] = ACTIONS(2185),
    [anon_sym_abstract] = ACTIONS(2185),
    [anon_sym_satisfies] = ACTIONS(2187),
    [anon_sym_interface] = ACTIONS(2185),
    [anon_sym_enum] = ACTIONS(2185),
    [sym__automatic_semicolon] = ACTIONS(2317),
    [sym__ternary_qmark] = ACTIONS(2191),
    [sym_html_comment] = ACTIONS(5),
  },
  [372] = {
    [sym_comment] = STATE(372),
    [ts_builtin_sym_end] = ACTIONS(2143),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_STAR] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_as] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_COMMA] = ACTIONS(2141),
    [anon_sym_RBRACE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_else] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_in] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LTtemplate_GT] = ACTIONS(2141),
    [anon_sym_GT] = ACTIONS(2141),
    [anon_sym_DOT] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_QMARK_DOT] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_using] = ACTIONS(2141),
    [anon_sym_AMP_AMP] = ACTIONS(2141),
    [anon_sym_PIPE_PIPE] = ACTIONS(2141),
    [anon_sym_GT_GT] = ACTIONS(2141),
    [anon_sym_GT_GT_GT] = ACTIONS(2141),
    [anon_sym_LT_LT] = ACTIONS(2141),
    [anon_sym_AMP] = ACTIONS(2141),
    [anon_sym_CARET] = ACTIONS(2141),
    [anon_sym_PIPE] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_PERCENT] = ACTIONS(2141),
    [anon_sym_STAR_STAR] = ACTIONS(2141),
    [anon_sym_LT] = ACTIONS(2141),
    [anon_sym_LT_EQ] = ACTIONS(2141),
    [anon_sym_EQ_EQ] = ACTIONS(2141),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2141),
    [anon_sym_BANG_EQ] = ACTIONS(2141),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2141),
    [anon_sym_GT_EQ] = ACTIONS(2141),
    [anon_sym_QMARK_QMARK] = ACTIONS(2141),
    [anon_sym_instanceof] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [sym_private_property_identifier] = ACTIONS(2141),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_object] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_satisfies] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
    [sym__automatic_semicolon] = ACTIONS(2319),
    [sym__ternary_qmark] = ACTIONS(2143),
    [sym_html_comment] = ACTIONS(5),
  },
  [373] = {
    [sym_comment] = STATE(373),
    [sym_identifier] = ACTIONS(2177),
    [anon_sym_export] = ACTIONS(2177),
    [anon_sym_STAR] = ACTIONS(2179),
    [anon_sym_default] = ACTIONS(2177),
    [anon_sym_type] = ACTIONS(2177),
    [anon_sym_as] = ACTIONS(2179),
    [anon_sym_namespace] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(2177),
    [anon_sym_COMMA] = ACTIONS(2179),
    [anon_sym_RBRACE] = ACTIONS(2177),
    [anon_sym_typeof] = ACTIONS(2177),
    [anon_sym_import] = ACTIONS(2177),
    [anon_sym_var] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2177),
    [anon_sym_const] = ACTIONS(2177),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_if] = ACTIONS(2177),
    [anon_sym_switch] = ACTIONS(2177),
    [anon_sym_for] = ACTIONS(2177),
    [anon_sym_LPAREN] = ACTIONS(2177),
    [anon_sym_await] = ACTIONS(2177),
    [anon_sym_in] = ACTIONS(2179),
    [anon_sym_while] = ACTIONS(2177),
    [anon_sym_do] = ACTIONS(2177),
    [anon_sym_try] = ACTIONS(2177),
    [anon_sym_with] = ACTIONS(2177),
    [anon_sym_break] = ACTIONS(2177),
    [anon_sym_continue] = ACTIONS(2177),
    [anon_sym_debugger] = ACTIONS(2177),
    [anon_sym_return] = ACTIONS(2177),
    [anon_sym_throw] = ACTIONS(2177),
    [anon_sym_SEMI] = ACTIONS(2177),
    [anon_sym_case] = ACTIONS(2177),
    [anon_sym_yield] = ACTIONS(2177),
    [anon_sym_LBRACK] = ACTIONS(2177),
    [anon_sym_LTtemplate_GT] = ACTIONS(2177),
    [anon_sym_GT] = ACTIONS(2179),
    [anon_sym_DOT] = ACTIONS(2179),
    [anon_sym_class] = ACTIONS(2177),
    [anon_sym_async] = ACTIONS(2177),
    [anon_sym_function] = ACTIONS(2177),
    [anon_sym_QMARK_DOT] = ACTIONS(2179),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_using] = ACTIONS(2177),
    [anon_sym_AMP_AMP] = ACTIONS(2179),
    [anon_sym_PIPE_PIPE] = ACTIONS(2179),
    [anon_sym_GT_GT] = ACTIONS(2179),
    [anon_sym_GT_GT_GT] = ACTIONS(2179),
    [anon_sym_LT_LT] = ACTIONS(2179),
    [anon_sym_AMP] = ACTIONS(2179),
    [anon_sym_CARET] = ACTIONS(2179),
    [anon_sym_PIPE] = ACTIONS(2179),
    [anon_sym_PLUS] = ACTIONS(2177),
    [anon_sym_DASH] = ACTIONS(2177),
    [anon_sym_SLASH] = ACTIONS(2177),
    [anon_sym_PERCENT] = ACTIONS(2179),
    [anon_sym_STAR_STAR] = ACTIONS(2179),
    [anon_sym_LT] = ACTIONS(2177),
    [anon_sym_LT_EQ] = ACTIONS(2179),
    [anon_sym_EQ_EQ] = ACTIONS(2179),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2179),
    [anon_sym_BANG_EQ] = ACTIONS(2179),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2179),
    [anon_sym_GT_EQ] = ACTIONS(2179),
    [anon_sym_QMARK_QMARK] = ACTIONS(2179),
    [anon_sym_instanceof] = ACTIONS(2179),
    [anon_sym_TILDE] = ACTIONS(2177),
    [anon_sym_void] = ACTIONS(2177),
    [anon_sym_delete] = ACTIONS(2177),
    [anon_sym_PLUS_PLUS] = ACTIONS(2177),
    [anon_sym_DASH_DASH] = ACTIONS(2177),
    [anon_sym_DQUOTE] = ACTIONS(2177),
    [anon_sym_SQUOTE] = ACTIONS(2177),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2177),
    [sym_number] = ACTIONS(2177),
    [sym_private_property_identifier] = ACTIONS(2177),
    [sym_this] = ACTIONS(2177),
    [sym_super] = ACTIONS(2177),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [sym_null] = ACTIONS(2177),
    [sym_undefined] = ACTIONS(2177),
    [anon_sym_AT] = ACTIONS(2177),
    [anon_sym_static] = ACTIONS(2177),
    [anon_sym_readonly] = ACTIONS(2177),
    [anon_sym_get] = ACTIONS(2177),
    [anon_sym_set] = ACTIONS(2177),
    [anon_sym_declare] = ACTIONS(2177),
    [anon_sym_public] = ACTIONS(2177),
    [anon_sym_private] = ACTIONS(2177),
    [anon_sym_protected] = ACTIONS(2177),
    [anon_sym_override] = ACTIONS(2177),
    [anon_sym_module] = ACTIONS(2177),
    [anon_sym_any] = ACTIONS(2177),
    [anon_sym_number] = ACTIONS(2177),
    [anon_sym_boolean] = ACTIONS(2177),
    [anon_sym_string] = ACTIONS(2177),
    [anon_sym_symbol] = ACTIONS(2177),
    [anon_sym_object] = ACTIONS(2177),
    [anon_sym_abstract] = ACTIONS(2177),
    [anon_sym_satisfies] = ACTIONS(2179),
    [anon_sym_interface] = ACTIONS(2177),
    [anon_sym_enum] = ACTIONS(2177),
    [sym__automatic_semicolon] = ACTIONS(2321),
    [sym__ternary_qmark] = ACTIONS(2183),
    [sym_html_comment] = ACTIONS(5),
  },
  [374] = {
    [sym_comment] = STATE(374),
    [ts_builtin_sym_end] = ACTIONS(2323),
    [sym_identifier] = ACTIONS(2177),
    [anon_sym_export] = ACTIONS(2177),
    [anon_sym_STAR] = ACTIONS(2179),
    [anon_sym_type] = ACTIONS(2177),
    [anon_sym_as] = ACTIONS(2179),
    [anon_sym_namespace] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(2177),
    [anon_sym_COMMA] = ACTIONS(2179),
    [anon_sym_RBRACE] = ACTIONS(2177),
    [anon_sym_typeof] = ACTIONS(2177),
    [anon_sym_import] = ACTIONS(2177),
    [anon_sym_var] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2177),
    [anon_sym_const] = ACTIONS(2177),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_else] = ACTIONS(2177),
    [anon_sym_if] = ACTIONS(2177),
    [anon_sym_switch] = ACTIONS(2177),
    [anon_sym_for] = ACTIONS(2177),
    [anon_sym_LPAREN] = ACTIONS(2177),
    [anon_sym_await] = ACTIONS(2177),
    [anon_sym_in] = ACTIONS(2179),
    [anon_sym_while] = ACTIONS(2177),
    [anon_sym_do] = ACTIONS(2177),
    [anon_sym_try] = ACTIONS(2177),
    [anon_sym_with] = ACTIONS(2177),
    [anon_sym_break] = ACTIONS(2177),
    [anon_sym_continue] = ACTIONS(2177),
    [anon_sym_debugger] = ACTIONS(2177),
    [anon_sym_return] = ACTIONS(2177),
    [anon_sym_throw] = ACTIONS(2177),
    [anon_sym_SEMI] = ACTIONS(2177),
    [anon_sym_yield] = ACTIONS(2177),
    [anon_sym_LBRACK] = ACTIONS(2177),
    [anon_sym_LTtemplate_GT] = ACTIONS(2177),
    [anon_sym_GT] = ACTIONS(2179),
    [anon_sym_DOT] = ACTIONS(2179),
    [anon_sym_class] = ACTIONS(2177),
    [anon_sym_async] = ACTIONS(2177),
    [anon_sym_function] = ACTIONS(2177),
    [anon_sym_QMARK_DOT] = ACTIONS(2179),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_using] = ACTIONS(2177),
    [anon_sym_AMP_AMP] = ACTIONS(2179),
    [anon_sym_PIPE_PIPE] = ACTIONS(2179),
    [anon_sym_GT_GT] = ACTIONS(2179),
    [anon_sym_GT_GT_GT] = ACTIONS(2179),
    [anon_sym_LT_LT] = ACTIONS(2179),
    [anon_sym_AMP] = ACTIONS(2179),
    [anon_sym_CARET] = ACTIONS(2179),
    [anon_sym_PIPE] = ACTIONS(2179),
    [anon_sym_PLUS] = ACTIONS(2177),
    [anon_sym_DASH] = ACTIONS(2177),
    [anon_sym_SLASH] = ACTIONS(2177),
    [anon_sym_PERCENT] = ACTIONS(2179),
    [anon_sym_STAR_STAR] = ACTIONS(2179),
    [anon_sym_LT] = ACTIONS(2177),
    [anon_sym_LT_EQ] = ACTIONS(2179),
    [anon_sym_EQ_EQ] = ACTIONS(2179),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2179),
    [anon_sym_BANG_EQ] = ACTIONS(2179),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2179),
    [anon_sym_GT_EQ] = ACTIONS(2179),
    [anon_sym_QMARK_QMARK] = ACTIONS(2179),
    [anon_sym_instanceof] = ACTIONS(2179),
    [anon_sym_TILDE] = ACTIONS(2177),
    [anon_sym_void] = ACTIONS(2177),
    [anon_sym_delete] = ACTIONS(2177),
    [anon_sym_PLUS_PLUS] = ACTIONS(2177),
    [anon_sym_DASH_DASH] = ACTIONS(2177),
    [anon_sym_DQUOTE] = ACTIONS(2177),
    [anon_sym_SQUOTE] = ACTIONS(2177),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2177),
    [sym_number] = ACTIONS(2177),
    [sym_private_property_identifier] = ACTIONS(2177),
    [sym_this] = ACTIONS(2177),
    [sym_super] = ACTIONS(2177),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [sym_null] = ACTIONS(2177),
    [sym_undefined] = ACTIONS(2177),
    [anon_sym_AT] = ACTIONS(2177),
    [anon_sym_static] = ACTIONS(2177),
    [anon_sym_readonly] = ACTIONS(2177),
    [anon_sym_get] = ACTIONS(2177),
    [anon_sym_set] = ACTIONS(2177),
    [anon_sym_declare] = ACTIONS(2177),
    [anon_sym_public] = ACTIONS(2177),
    [anon_sym_private] = ACTIONS(2177),
    [anon_sym_protected] = ACTIONS(2177),
    [anon_sym_override] = ACTIONS(2177),
    [anon_sym_module] = ACTIONS(2177),
    [anon_sym_any] = ACTIONS(2177),
    [anon_sym_number] = ACTIONS(2177),
    [anon_sym_boolean] = ACTIONS(2177),
    [anon_sym_string] = ACTIONS(2177),
    [anon_sym_symbol] = ACTIONS(2177),
    [anon_sym_object] = ACTIONS(2177),
    [anon_sym_abstract] = ACTIONS(2177),
    [anon_sym_satisfies] = ACTIONS(2179),
    [anon_sym_interface] = ACTIONS(2177),
    [anon_sym_enum] = ACTIONS(2177),
    [sym__automatic_semicolon] = ACTIONS(2325),
    [sym__ternary_qmark] = ACTIONS(2183),
    [sym_html_comment] = ACTIONS(5),
  },
  [375] = {
    [sym_comment] = STATE(375),
    [sym_identifier] = ACTIONS(2169),
    [anon_sym_export] = ACTIONS(2169),
    [anon_sym_STAR] = ACTIONS(2171),
    [anon_sym_default] = ACTIONS(2169),
    [anon_sym_type] = ACTIONS(2169),
    [anon_sym_as] = ACTIONS(2171),
    [anon_sym_namespace] = ACTIONS(2169),
    [anon_sym_LBRACE] = ACTIONS(2169),
    [anon_sym_COMMA] = ACTIONS(2171),
    [anon_sym_RBRACE] = ACTIONS(2169),
    [anon_sym_typeof] = ACTIONS(2169),
    [anon_sym_import] = ACTIONS(2169),
    [anon_sym_var] = ACTIONS(2169),
    [anon_sym_let] = ACTIONS(2169),
    [anon_sym_const] = ACTIONS(2169),
    [anon_sym_BANG] = ACTIONS(2169),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_switch] = ACTIONS(2169),
    [anon_sym_for] = ACTIONS(2169),
    [anon_sym_LPAREN] = ACTIONS(2169),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_in] = ACTIONS(2171),
    [anon_sym_while] = ACTIONS(2169),
    [anon_sym_do] = ACTIONS(2169),
    [anon_sym_try] = ACTIONS(2169),
    [anon_sym_with] = ACTIONS(2169),
    [anon_sym_break] = ACTIONS(2169),
    [anon_sym_continue] = ACTIONS(2169),
    [anon_sym_debugger] = ACTIONS(2169),
    [anon_sym_return] = ACTIONS(2169),
    [anon_sym_throw] = ACTIONS(2169),
    [anon_sym_SEMI] = ACTIONS(2169),
    [anon_sym_case] = ACTIONS(2169),
    [anon_sym_yield] = ACTIONS(2169),
    [anon_sym_LBRACK] = ACTIONS(2169),
    [anon_sym_LTtemplate_GT] = ACTIONS(2169),
    [anon_sym_GT] = ACTIONS(2171),
    [anon_sym_DOT] = ACTIONS(2171),
    [anon_sym_class] = ACTIONS(2169),
    [anon_sym_async] = ACTIONS(2169),
    [anon_sym_function] = ACTIONS(2169),
    [anon_sym_QMARK_DOT] = ACTIONS(2171),
    [anon_sym_new] = ACTIONS(2169),
    [anon_sym_using] = ACTIONS(2169),
    [anon_sym_AMP_AMP] = ACTIONS(2171),
    [anon_sym_PIPE_PIPE] = ACTIONS(2171),
    [anon_sym_GT_GT] = ACTIONS(2171),
    [anon_sym_GT_GT_GT] = ACTIONS(2171),
    [anon_sym_LT_LT] = ACTIONS(2171),
    [anon_sym_AMP] = ACTIONS(2171),
    [anon_sym_CARET] = ACTIONS(2171),
    [anon_sym_PIPE] = ACTIONS(2171),
    [anon_sym_PLUS] = ACTIONS(2169),
    [anon_sym_DASH] = ACTIONS(2169),
    [anon_sym_SLASH] = ACTIONS(2169),
    [anon_sym_PERCENT] = ACTIONS(2171),
    [anon_sym_STAR_STAR] = ACTIONS(2171),
    [anon_sym_LT] = ACTIONS(2169),
    [anon_sym_LT_EQ] = ACTIONS(2171),
    [anon_sym_EQ_EQ] = ACTIONS(2171),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2171),
    [anon_sym_BANG_EQ] = ACTIONS(2171),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2171),
    [anon_sym_GT_EQ] = ACTIONS(2171),
    [anon_sym_QMARK_QMARK] = ACTIONS(2171),
    [anon_sym_instanceof] = ACTIONS(2171),
    [anon_sym_TILDE] = ACTIONS(2169),
    [anon_sym_void] = ACTIONS(2169),
    [anon_sym_delete] = ACTIONS(2169),
    [anon_sym_PLUS_PLUS] = ACTIONS(2169),
    [anon_sym_DASH_DASH] = ACTIONS(2169),
    [anon_sym_DQUOTE] = ACTIONS(2169),
    [anon_sym_SQUOTE] = ACTIONS(2169),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2169),
    [sym_number] = ACTIONS(2169),
    [sym_private_property_identifier] = ACTIONS(2169),
    [sym_this] = ACTIONS(2169),
    [sym_super] = ACTIONS(2169),
    [sym_true] = ACTIONS(2169),
    [sym_false] = ACTIONS(2169),
    [sym_null] = ACTIONS(2169),
    [sym_undefined] = ACTIONS(2169),
    [anon_sym_AT] = ACTIONS(2169),
    [anon_sym_static] = ACTIONS(2169),
    [anon_sym_readonly] = ACTIONS(2169),
    [anon_sym_get] = ACTIONS(2169),
    [anon_sym_set] = ACTIONS(2169),
    [anon_sym_declare] = ACTIONS(2169),
    [anon_sym_public] = ACTIONS(2169),
    [anon_sym_private] = ACTIONS(2169),
    [anon_sym_protected] = ACTIONS(2169),
    [anon_sym_override] = ACTIONS(2169),
    [anon_sym_module] = ACTIONS(2169),
    [anon_sym_any] = ACTIONS(2169),
    [anon_sym_number] = ACTIONS(2169),
    [anon_sym_boolean] = ACTIONS(2169),
    [anon_sym_string] = ACTIONS(2169),
    [anon_sym_symbol] = ACTIONS(2169),
    [anon_sym_object] = ACTIONS(2169),
    [anon_sym_abstract] = ACTIONS(2169),
    [anon_sym_satisfies] = ACTIONS(2171),
    [anon_sym_interface] = ACTIONS(2169),
    [anon_sym_enum] = ACTIONS(2169),
    [sym__automatic_semicolon] = ACTIONS(2327),
    [sym__ternary_qmark] = ACTIONS(2175),
    [sym_html_comment] = ACTIONS(5),
  },
  [376] = {
    [sym_comment] = STATE(376),
    [sym_identifier] = ACTIONS(2155),
    [anon_sym_export] = ACTIONS(2155),
    [anon_sym_STAR] = ACTIONS(2157),
    [anon_sym_default] = ACTIONS(2155),
    [anon_sym_type] = ACTIONS(2155),
    [anon_sym_as] = ACTIONS(2157),
    [anon_sym_namespace] = ACTIONS(2155),
    [anon_sym_LBRACE] = ACTIONS(2155),
    [anon_sym_COMMA] = ACTIONS(2157),
    [anon_sym_RBRACE] = ACTIONS(2155),
    [anon_sym_typeof] = ACTIONS(2155),
    [anon_sym_import] = ACTIONS(2155),
    [anon_sym_var] = ACTIONS(2155),
    [anon_sym_let] = ACTIONS(2155),
    [anon_sym_const] = ACTIONS(2155),
    [anon_sym_BANG] = ACTIONS(2155),
    [anon_sym_if] = ACTIONS(2155),
    [anon_sym_switch] = ACTIONS(2155),
    [anon_sym_for] = ACTIONS(2155),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_await] = ACTIONS(2155),
    [anon_sym_in] = ACTIONS(2157),
    [anon_sym_while] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(2155),
    [anon_sym_try] = ACTIONS(2155),
    [anon_sym_with] = ACTIONS(2155),
    [anon_sym_break] = ACTIONS(2155),
    [anon_sym_continue] = ACTIONS(2155),
    [anon_sym_debugger] = ACTIONS(2155),
    [anon_sym_return] = ACTIONS(2155),
    [anon_sym_throw] = ACTIONS(2155),
    [anon_sym_SEMI] = ACTIONS(2155),
    [anon_sym_case] = ACTIONS(2155),
    [anon_sym_yield] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2155),
    [anon_sym_LTtemplate_GT] = ACTIONS(2155),
    [anon_sym_GT] = ACTIONS(2157),
    [anon_sym_DOT] = ACTIONS(2157),
    [anon_sym_class] = ACTIONS(2155),
    [anon_sym_async] = ACTIONS(2155),
    [anon_sym_function] = ACTIONS(2155),
    [anon_sym_QMARK_DOT] = ACTIONS(2157),
    [anon_sym_new] = ACTIONS(2155),
    [anon_sym_using] = ACTIONS(2155),
    [anon_sym_AMP_AMP] = ACTIONS(2157),
    [anon_sym_PIPE_PIPE] = ACTIONS(2157),
    [anon_sym_GT_GT] = ACTIONS(2157),
    [anon_sym_GT_GT_GT] = ACTIONS(2157),
    [anon_sym_LT_LT] = ACTIONS(2157),
    [anon_sym_AMP] = ACTIONS(2157),
    [anon_sym_CARET] = ACTIONS(2157),
    [anon_sym_PIPE] = ACTIONS(2157),
    [anon_sym_PLUS] = ACTIONS(2155),
    [anon_sym_DASH] = ACTIONS(2155),
    [anon_sym_SLASH] = ACTIONS(2155),
    [anon_sym_PERCENT] = ACTIONS(2157),
    [anon_sym_STAR_STAR] = ACTIONS(2157),
    [anon_sym_LT] = ACTIONS(2155),
    [anon_sym_LT_EQ] = ACTIONS(2157),
    [anon_sym_EQ_EQ] = ACTIONS(2157),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2157),
    [anon_sym_BANG_EQ] = ACTIONS(2157),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2157),
    [anon_sym_GT_EQ] = ACTIONS(2157),
    [anon_sym_QMARK_QMARK] = ACTIONS(2157),
    [anon_sym_instanceof] = ACTIONS(2157),
    [anon_sym_TILDE] = ACTIONS(2155),
    [anon_sym_void] = ACTIONS(2155),
    [anon_sym_delete] = ACTIONS(2155),
    [anon_sym_PLUS_PLUS] = ACTIONS(2155),
    [anon_sym_DASH_DASH] = ACTIONS(2155),
    [anon_sym_DQUOTE] = ACTIONS(2155),
    [anon_sym_SQUOTE] = ACTIONS(2155),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2155),
    [sym_number] = ACTIONS(2155),
    [sym_private_property_identifier] = ACTIONS(2155),
    [sym_this] = ACTIONS(2155),
    [sym_super] = ACTIONS(2155),
    [sym_true] = ACTIONS(2155),
    [sym_false] = ACTIONS(2155),
    [sym_null] = ACTIONS(2155),
    [sym_undefined] = ACTIONS(2155),
    [anon_sym_AT] = ACTIONS(2155),
    [anon_sym_static] = ACTIONS(2155),
    [anon_sym_readonly] = ACTIONS(2155),
    [anon_sym_get] = ACTIONS(2155),
    [anon_sym_set] = ACTIONS(2155),
    [anon_sym_declare] = ACTIONS(2155),
    [anon_sym_public] = ACTIONS(2155),
    [anon_sym_private] = ACTIONS(2155),
    [anon_sym_protected] = ACTIONS(2155),
    [anon_sym_override] = ACTIONS(2155),
    [anon_sym_module] = ACTIONS(2155),
    [anon_sym_any] = ACTIONS(2155),
    [anon_sym_number] = ACTIONS(2155),
    [anon_sym_boolean] = ACTIONS(2155),
    [anon_sym_string] = ACTIONS(2155),
    [anon_sym_symbol] = ACTIONS(2155),
    [anon_sym_object] = ACTIONS(2155),
    [anon_sym_abstract] = ACTIONS(2155),
    [anon_sym_satisfies] = ACTIONS(2157),
    [anon_sym_interface] = ACTIONS(2155),
    [anon_sym_enum] = ACTIONS(2155),
    [sym__automatic_semicolon] = ACTIONS(2329),
    [sym__ternary_qmark] = ACTIONS(2161),
    [sym_html_comment] = ACTIONS(5),
  },
  [377] = {
    [sym_comment] = STATE(377),
    [sym_identifier] = ACTIONS(2135),
    [anon_sym_export] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2135),
    [anon_sym_default] = ACTIONS(2135),
    [anon_sym_type] = ACTIONS(2135),
    [anon_sym_as] = ACTIONS(2135),
    [anon_sym_namespace] = ACTIONS(2135),
    [anon_sym_LBRACE] = ACTIONS(2135),
    [anon_sym_COMMA] = ACTIONS(2135),
    [anon_sym_RBRACE] = ACTIONS(2135),
    [anon_sym_typeof] = ACTIONS(2135),
    [anon_sym_import] = ACTIONS(2135),
    [anon_sym_var] = ACTIONS(2135),
    [anon_sym_let] = ACTIONS(2135),
    [anon_sym_const] = ACTIONS(2135),
    [anon_sym_BANG] = ACTIONS(2135),
    [anon_sym_if] = ACTIONS(2135),
    [anon_sym_switch] = ACTIONS(2135),
    [anon_sym_for] = ACTIONS(2135),
    [anon_sym_LPAREN] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2135),
    [anon_sym_in] = ACTIONS(2135),
    [anon_sym_while] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(2135),
    [anon_sym_try] = ACTIONS(2135),
    [anon_sym_with] = ACTIONS(2135),
    [anon_sym_break] = ACTIONS(2135),
    [anon_sym_continue] = ACTIONS(2135),
    [anon_sym_debugger] = ACTIONS(2135),
    [anon_sym_return] = ACTIONS(2135),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_SEMI] = ACTIONS(2135),
    [anon_sym_case] = ACTIONS(2135),
    [anon_sym_yield] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(2135),
    [anon_sym_LTtemplate_GT] = ACTIONS(2135),
    [anon_sym_GT] = ACTIONS(2135),
    [anon_sym_DOT] = ACTIONS(2135),
    [anon_sym_class] = ACTIONS(2135),
    [anon_sym_async] = ACTIONS(2135),
    [anon_sym_function] = ACTIONS(2135),
    [anon_sym_QMARK_DOT] = ACTIONS(2135),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_using] = ACTIONS(2135),
    [anon_sym_AMP_AMP] = ACTIONS(2135),
    [anon_sym_PIPE_PIPE] = ACTIONS(2135),
    [anon_sym_GT_GT] = ACTIONS(2135),
    [anon_sym_GT_GT_GT] = ACTIONS(2135),
    [anon_sym_LT_LT] = ACTIONS(2135),
    [anon_sym_AMP] = ACTIONS(2135),
    [anon_sym_CARET] = ACTIONS(2135),
    [anon_sym_PIPE] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_SLASH] = ACTIONS(2135),
    [anon_sym_PERCENT] = ACTIONS(2135),
    [anon_sym_STAR_STAR] = ACTIONS(2135),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_LT_EQ] = ACTIONS(2135),
    [anon_sym_EQ_EQ] = ACTIONS(2135),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2135),
    [anon_sym_BANG_EQ] = ACTIONS(2135),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2135),
    [anon_sym_GT_EQ] = ACTIONS(2135),
    [anon_sym_QMARK_QMARK] = ACTIONS(2135),
    [anon_sym_instanceof] = ACTIONS(2135),
    [anon_sym_TILDE] = ACTIONS(2135),
    [anon_sym_void] = ACTIONS(2135),
    [anon_sym_delete] = ACTIONS(2135),
    [anon_sym_PLUS_PLUS] = ACTIONS(2135),
    [anon_sym_DASH_DASH] = ACTIONS(2135),
    [anon_sym_DQUOTE] = ACTIONS(2135),
    [anon_sym_SQUOTE] = ACTIONS(2135),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2135),
    [sym_number] = ACTIONS(2135),
    [sym_private_property_identifier] = ACTIONS(2135),
    [sym_this] = ACTIONS(2135),
    [sym_super] = ACTIONS(2135),
    [sym_true] = ACTIONS(2135),
    [sym_false] = ACTIONS(2135),
    [sym_null] = ACTIONS(2135),
    [sym_undefined] = ACTIONS(2135),
    [anon_sym_AT] = ACTIONS(2135),
    [anon_sym_static] = ACTIONS(2135),
    [anon_sym_readonly] = ACTIONS(2135),
    [anon_sym_get] = ACTIONS(2135),
    [anon_sym_set] = ACTIONS(2135),
    [anon_sym_declare] = ACTIONS(2135),
    [anon_sym_public] = ACTIONS(2135),
    [anon_sym_private] = ACTIONS(2135),
    [anon_sym_protected] = ACTIONS(2135),
    [anon_sym_override] = ACTIONS(2135),
    [anon_sym_module] = ACTIONS(2135),
    [anon_sym_any] = ACTIONS(2135),
    [anon_sym_number] = ACTIONS(2135),
    [anon_sym_boolean] = ACTIONS(2135),
    [anon_sym_string] = ACTIONS(2135),
    [anon_sym_symbol] = ACTIONS(2135),
    [anon_sym_object] = ACTIONS(2135),
    [anon_sym_abstract] = ACTIONS(2135),
    [anon_sym_satisfies] = ACTIONS(2135),
    [anon_sym_interface] = ACTIONS(2135),
    [anon_sym_enum] = ACTIONS(2135),
    [sym__automatic_semicolon] = ACTIONS(2137),
    [sym__ternary_qmark] = ACTIONS(2137),
    [sym_html_comment] = ACTIONS(5),
  },
  [378] = {
    [sym_statement_block] = STATE(446),
    [sym_comment] = STATE(378),
    [ts_builtin_sym_end] = ACTIONS(2061),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_as] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2267),
    [anon_sym_COMMA] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_in] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_GT] = ACTIONS(2055),
    [anon_sym_DOT] = ACTIONS(2331),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_QMARK_DOT] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_AMP_AMP] = ACTIONS(2055),
    [anon_sym_PIPE_PIPE] = ACTIONS(2055),
    [anon_sym_GT_GT] = ACTIONS(2055),
    [anon_sym_GT_GT_GT] = ACTIONS(2055),
    [anon_sym_LT_LT] = ACTIONS(2055),
    [anon_sym_AMP] = ACTIONS(2055),
    [anon_sym_CARET] = ACTIONS(2055),
    [anon_sym_PIPE] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_PERCENT] = ACTIONS(2055),
    [anon_sym_STAR_STAR] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_LT_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2055),
    [anon_sym_GT_EQ] = ACTIONS(2055),
    [anon_sym_QMARK_QMARK] = ACTIONS(2055),
    [anon_sym_instanceof] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_satisfies] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(2061),
    [sym__ternary_qmark] = ACTIONS(2061),
    [sym_html_comment] = ACTIONS(5),
  },
  [379] = {
    [sym_comment] = STATE(379),
    [sym_identifier] = ACTIONS(2085),
    [anon_sym_export] = ACTIONS(2085),
    [anon_sym_STAR] = ACTIONS(2085),
    [anon_sym_default] = ACTIONS(2085),
    [anon_sym_type] = ACTIONS(2085),
    [anon_sym_as] = ACTIONS(2085),
    [anon_sym_namespace] = ACTIONS(2085),
    [anon_sym_LBRACE] = ACTIONS(2085),
    [anon_sym_COMMA] = ACTIONS(2085),
    [anon_sym_RBRACE] = ACTIONS(2085),
    [anon_sym_typeof] = ACTIONS(2085),
    [anon_sym_import] = ACTIONS(2085),
    [anon_sym_var] = ACTIONS(2085),
    [anon_sym_let] = ACTIONS(2085),
    [anon_sym_const] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_if] = ACTIONS(2085),
    [anon_sym_switch] = ACTIONS(2085),
    [anon_sym_for] = ACTIONS(2085),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_await] = ACTIONS(2085),
    [anon_sym_in] = ACTIONS(2085),
    [anon_sym_while] = ACTIONS(2085),
    [anon_sym_do] = ACTIONS(2085),
    [anon_sym_try] = ACTIONS(2085),
    [anon_sym_with] = ACTIONS(2085),
    [anon_sym_break] = ACTIONS(2085),
    [anon_sym_continue] = ACTIONS(2085),
    [anon_sym_debugger] = ACTIONS(2085),
    [anon_sym_return] = ACTIONS(2085),
    [anon_sym_throw] = ACTIONS(2085),
    [anon_sym_SEMI] = ACTIONS(2085),
    [anon_sym_case] = ACTIONS(2085),
    [anon_sym_yield] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2085),
    [anon_sym_LTtemplate_GT] = ACTIONS(2085),
    [anon_sym_GT] = ACTIONS(2085),
    [anon_sym_DOT] = ACTIONS(2085),
    [anon_sym_class] = ACTIONS(2085),
    [anon_sym_async] = ACTIONS(2085),
    [anon_sym_function] = ACTIONS(2085),
    [anon_sym_QMARK_DOT] = ACTIONS(2085),
    [anon_sym_new] = ACTIONS(2085),
    [anon_sym_using] = ACTIONS(2085),
    [anon_sym_AMP_AMP] = ACTIONS(2085),
    [anon_sym_PIPE_PIPE] = ACTIONS(2085),
    [anon_sym_GT_GT] = ACTIONS(2085),
    [anon_sym_GT_GT_GT] = ACTIONS(2085),
    [anon_sym_LT_LT] = ACTIONS(2085),
    [anon_sym_AMP] = ACTIONS(2085),
    [anon_sym_CARET] = ACTIONS(2085),
    [anon_sym_PIPE] = ACTIONS(2085),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_SLASH] = ACTIONS(2085),
    [anon_sym_PERCENT] = ACTIONS(2085),
    [anon_sym_STAR_STAR] = ACTIONS(2085),
    [anon_sym_LT] = ACTIONS(2085),
    [anon_sym_LT_EQ] = ACTIONS(2085),
    [anon_sym_EQ_EQ] = ACTIONS(2085),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2085),
    [anon_sym_BANG_EQ] = ACTIONS(2085),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2085),
    [anon_sym_GT_EQ] = ACTIONS(2085),
    [anon_sym_QMARK_QMARK] = ACTIONS(2085),
    [anon_sym_instanceof] = ACTIONS(2085),
    [anon_sym_TILDE] = ACTIONS(2085),
    [anon_sym_void] = ACTIONS(2085),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_PLUS_PLUS] = ACTIONS(2085),
    [anon_sym_DASH_DASH] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2085),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2085),
    [sym_number] = ACTIONS(2085),
    [sym_private_property_identifier] = ACTIONS(2085),
    [sym_this] = ACTIONS(2085),
    [sym_super] = ACTIONS(2085),
    [sym_true] = ACTIONS(2085),
    [sym_false] = ACTIONS(2085),
    [sym_null] = ACTIONS(2085),
    [sym_undefined] = ACTIONS(2085),
    [anon_sym_AT] = ACTIONS(2085),
    [anon_sym_static] = ACTIONS(2085),
    [anon_sym_readonly] = ACTIONS(2085),
    [anon_sym_get] = ACTIONS(2085),
    [anon_sym_set] = ACTIONS(2085),
    [anon_sym_declare] = ACTIONS(2085),
    [anon_sym_public] = ACTIONS(2085),
    [anon_sym_private] = ACTIONS(2085),
    [anon_sym_protected] = ACTIONS(2085),
    [anon_sym_override] = ACTIONS(2085),
    [anon_sym_module] = ACTIONS(2085),
    [anon_sym_any] = ACTIONS(2085),
    [anon_sym_number] = ACTIONS(2085),
    [anon_sym_boolean] = ACTIONS(2085),
    [anon_sym_string] = ACTIONS(2085),
    [anon_sym_symbol] = ACTIONS(2085),
    [anon_sym_object] = ACTIONS(2085),
    [anon_sym_abstract] = ACTIONS(2085),
    [anon_sym_satisfies] = ACTIONS(2085),
    [anon_sym_interface] = ACTIONS(2085),
    [anon_sym_enum] = ACTIONS(2085),
    [sym__automatic_semicolon] = ACTIONS(2087),
    [sym__ternary_qmark] = ACTIONS(2087),
    [sym_html_comment] = ACTIONS(5),
  },
  [380] = {
    [sym_import] = STATE(4293),
    [sym_expression_statement] = STATE(464),
    [sym_empty_statement] = STATE(464),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2624),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6942),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(380),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(2000),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [381] = {
    [sym_statement_block] = STATE(446),
    [sym_comment] = STATE(381),
    [ts_builtin_sym_end] = ACTIONS(2061),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_as] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2267),
    [anon_sym_COMMA] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_in] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_GT] = ACTIONS(2055),
    [anon_sym_DOT] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_QMARK_DOT] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_AMP_AMP] = ACTIONS(2055),
    [anon_sym_PIPE_PIPE] = ACTIONS(2055),
    [anon_sym_GT_GT] = ACTIONS(2055),
    [anon_sym_GT_GT_GT] = ACTIONS(2055),
    [anon_sym_LT_LT] = ACTIONS(2055),
    [anon_sym_AMP] = ACTIONS(2055),
    [anon_sym_CARET] = ACTIONS(2055),
    [anon_sym_PIPE] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_PERCENT] = ACTIONS(2055),
    [anon_sym_STAR_STAR] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_LT_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2055),
    [anon_sym_GT_EQ] = ACTIONS(2055),
    [anon_sym_QMARK_QMARK] = ACTIONS(2055),
    [anon_sym_instanceof] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_satisfies] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym__automatic_semicolon] = ACTIONS(2061),
    [sym__ternary_qmark] = ACTIONS(2061),
    [sym_html_comment] = ACTIONS(5),
  },
  [382] = {
    [sym_import] = STATE(4289),
    [sym_parenthesized_expression] = STATE(2143),
    [sym_expression] = STATE(2628),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7153),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2143),
    [sym_subscript_expression] = STATE(2143),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3819),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7151),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(382),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2143),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym__type_query_member_expression] = STATE(3703),
    [sym__type_query_subscript_expression] = STATE(3704),
    [sym__type_query_call_expression] = STATE(3764),
    [sym__type_query_instantiation_expression] = STATE(3816),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(2333),
    [anon_sym_export] = ACTIONS(1598),
    [anon_sym_type] = ACTIONS(1598),
    [anon_sym_namespace] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1604),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1598),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1606),
    [anon_sym_yield] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1610),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_void] = ACTIONS(1604),
    [anon_sym_delete] = ACTIONS(1604),
    [anon_sym_PLUS_PLUS] = ACTIONS(1620),
    [anon_sym_DASH_DASH] = ACTIONS(1620),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1622),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1598),
    [anon_sym_readonly] = ACTIONS(1598),
    [anon_sym_get] = ACTIONS(1598),
    [anon_sym_set] = ACTIONS(1598),
    [anon_sym_declare] = ACTIONS(1598),
    [anon_sym_public] = ACTIONS(1598),
    [anon_sym_private] = ACTIONS(1598),
    [anon_sym_protected] = ACTIONS(1598),
    [anon_sym_override] = ACTIONS(1598),
    [anon_sym_module] = ACTIONS(1598),
    [anon_sym_any] = ACTIONS(1598),
    [anon_sym_number] = ACTIONS(1598),
    [anon_sym_boolean] = ACTIONS(1598),
    [anon_sym_string] = ACTIONS(1598),
    [anon_sym_symbol] = ACTIONS(1598),
    [anon_sym_object] = ACTIONS(1598),
    [sym_html_comment] = ACTIONS(5),
  },
  [383] = {
    [sym_comment] = STATE(383),
    [ts_builtin_sym_end] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2065),
    [anon_sym_export] = ACTIONS(2065),
    [anon_sym_STAR] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2065),
    [anon_sym_EQ] = ACTIONS(2069),
    [anon_sym_as] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2065),
    [anon_sym_LBRACE] = ACTIONS(2065),
    [anon_sym_COMMA] = ACTIONS(2067),
    [anon_sym_RBRACE] = ACTIONS(2065),
    [anon_sym_typeof] = ACTIONS(2065),
    [anon_sym_import] = ACTIONS(2065),
    [anon_sym_var] = ACTIONS(2065),
    [anon_sym_let] = ACTIONS(2065),
    [anon_sym_const] = ACTIONS(2065),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_if] = ACTIONS(2065),
    [anon_sym_switch] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2065),
    [anon_sym_LPAREN] = ACTIONS(2065),
    [anon_sym_await] = ACTIONS(2065),
    [anon_sym_in] = ACTIONS(2067),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_do] = ACTIONS(2065),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_with] = ACTIONS(2065),
    [anon_sym_break] = ACTIONS(2065),
    [anon_sym_continue] = ACTIONS(2065),
    [anon_sym_debugger] = ACTIONS(2065),
    [anon_sym_return] = ACTIONS(2065),
    [anon_sym_throw] = ACTIONS(2065),
    [anon_sym_SEMI] = ACTIONS(2065),
    [anon_sym_yield] = ACTIONS(2065),
    [anon_sym_LBRACK] = ACTIONS(2065),
    [anon_sym_LTtemplate_GT] = ACTIONS(2065),
    [anon_sym_GT] = ACTIONS(2067),
    [anon_sym_DOT] = ACTIONS(2067),
    [anon_sym_class] = ACTIONS(2065),
    [anon_sym_async] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2065),
    [anon_sym_QMARK_DOT] = ACTIONS(2067),
    [anon_sym_new] = ACTIONS(2065),
    [anon_sym_using] = ACTIONS(2065),
    [anon_sym_AMP_AMP] = ACTIONS(2067),
    [anon_sym_PIPE_PIPE] = ACTIONS(2067),
    [anon_sym_GT_GT] = ACTIONS(2067),
    [anon_sym_GT_GT_GT] = ACTIONS(2067),
    [anon_sym_LT_LT] = ACTIONS(2067),
    [anon_sym_AMP] = ACTIONS(2067),
    [anon_sym_CARET] = ACTIONS(2067),
    [anon_sym_PIPE] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2065),
    [anon_sym_DASH] = ACTIONS(2065),
    [anon_sym_SLASH] = ACTIONS(2065),
    [anon_sym_PERCENT] = ACTIONS(2067),
    [anon_sym_STAR_STAR] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2065),
    [anon_sym_LT_EQ] = ACTIONS(2067),
    [anon_sym_EQ_EQ] = ACTIONS(2067),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2067),
    [anon_sym_BANG_EQ] = ACTIONS(2067),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2067),
    [anon_sym_GT_EQ] = ACTIONS(2067),
    [anon_sym_QMARK_QMARK] = ACTIONS(2067),
    [anon_sym_instanceof] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_void] = ACTIONS(2065),
    [anon_sym_delete] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_DQUOTE] = ACTIONS(2065),
    [anon_sym_SQUOTE] = ACTIONS(2065),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2065),
    [sym_number] = ACTIONS(2065),
    [sym_private_property_identifier] = ACTIONS(2065),
    [sym_this] = ACTIONS(2065),
    [sym_super] = ACTIONS(2065),
    [sym_true] = ACTIONS(2065),
    [sym_false] = ACTIONS(2065),
    [sym_null] = ACTIONS(2065),
    [sym_undefined] = ACTIONS(2065),
    [anon_sym_AT] = ACTIONS(2065),
    [anon_sym_static] = ACTIONS(2065),
    [anon_sym_readonly] = ACTIONS(2065),
    [anon_sym_get] = ACTIONS(2065),
    [anon_sym_set] = ACTIONS(2065),
    [anon_sym_declare] = ACTIONS(2065),
    [anon_sym_public] = ACTIONS(2065),
    [anon_sym_private] = ACTIONS(2065),
    [anon_sym_protected] = ACTIONS(2065),
    [anon_sym_override] = ACTIONS(2065),
    [anon_sym_module] = ACTIONS(2065),
    [anon_sym_any] = ACTIONS(2065),
    [anon_sym_number] = ACTIONS(2065),
    [anon_sym_boolean] = ACTIONS(2065),
    [anon_sym_string] = ACTIONS(2065),
    [anon_sym_symbol] = ACTIONS(2065),
    [anon_sym_object] = ACTIONS(2065),
    [anon_sym_abstract] = ACTIONS(2065),
    [anon_sym_satisfies] = ACTIONS(2067),
    [anon_sym_interface] = ACTIONS(2065),
    [anon_sym_enum] = ACTIONS(2065),
    [sym__automatic_semicolon] = ACTIONS(2335),
    [sym__ternary_qmark] = ACTIONS(2073),
    [sym_html_comment] = ACTIONS(5),
  },
  [384] = {
    [sym_comment] = STATE(384),
    [ts_builtin_sym_end] = ACTIONS(2129),
    [sym_identifier] = ACTIONS(2127),
    [anon_sym_export] = ACTIONS(2127),
    [anon_sym_STAR] = ACTIONS(2127),
    [anon_sym_type] = ACTIONS(2127),
    [anon_sym_as] = ACTIONS(2127),
    [anon_sym_namespace] = ACTIONS(2127),
    [anon_sym_LBRACE] = ACTIONS(2127),
    [anon_sym_COMMA] = ACTIONS(2127),
    [anon_sym_RBRACE] = ACTIONS(2127),
    [anon_sym_typeof] = ACTIONS(2127),
    [anon_sym_import] = ACTIONS(2127),
    [anon_sym_var] = ACTIONS(2127),
    [anon_sym_let] = ACTIONS(2127),
    [anon_sym_const] = ACTIONS(2127),
    [anon_sym_BANG] = ACTIONS(2127),
    [anon_sym_else] = ACTIONS(2127),
    [anon_sym_if] = ACTIONS(2127),
    [anon_sym_switch] = ACTIONS(2127),
    [anon_sym_for] = ACTIONS(2127),
    [anon_sym_LPAREN] = ACTIONS(2127),
    [anon_sym_await] = ACTIONS(2127),
    [anon_sym_in] = ACTIONS(2127),
    [anon_sym_while] = ACTIONS(2127),
    [anon_sym_do] = ACTIONS(2127),
    [anon_sym_try] = ACTIONS(2127),
    [anon_sym_with] = ACTIONS(2127),
    [anon_sym_break] = ACTIONS(2127),
    [anon_sym_continue] = ACTIONS(2127),
    [anon_sym_debugger] = ACTIONS(2127),
    [anon_sym_return] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2127),
    [anon_sym_SEMI] = ACTIONS(2127),
    [anon_sym_yield] = ACTIONS(2127),
    [anon_sym_LBRACK] = ACTIONS(2127),
    [anon_sym_LTtemplate_GT] = ACTIONS(2127),
    [anon_sym_GT] = ACTIONS(2127),
    [anon_sym_DOT] = ACTIONS(2127),
    [anon_sym_class] = ACTIONS(2127),
    [anon_sym_async] = ACTIONS(2127),
    [anon_sym_function] = ACTIONS(2127),
    [anon_sym_QMARK_DOT] = ACTIONS(2127),
    [anon_sym_new] = ACTIONS(2127),
    [anon_sym_using] = ACTIONS(2127),
    [anon_sym_AMP_AMP] = ACTIONS(2127),
    [anon_sym_PIPE_PIPE] = ACTIONS(2127),
    [anon_sym_GT_GT] = ACTIONS(2127),
    [anon_sym_GT_GT_GT] = ACTIONS(2127),
    [anon_sym_LT_LT] = ACTIONS(2127),
    [anon_sym_AMP] = ACTIONS(2127),
    [anon_sym_CARET] = ACTIONS(2127),
    [anon_sym_PIPE] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_SLASH] = ACTIONS(2127),
    [anon_sym_PERCENT] = ACTIONS(2127),
    [anon_sym_STAR_STAR] = ACTIONS(2127),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_LT_EQ] = ACTIONS(2127),
    [anon_sym_EQ_EQ] = ACTIONS(2127),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2127),
    [anon_sym_BANG_EQ] = ACTIONS(2127),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2127),
    [anon_sym_GT_EQ] = ACTIONS(2127),
    [anon_sym_QMARK_QMARK] = ACTIONS(2127),
    [anon_sym_instanceof] = ACTIONS(2127),
    [anon_sym_TILDE] = ACTIONS(2127),
    [anon_sym_void] = ACTIONS(2127),
    [anon_sym_delete] = ACTIONS(2127),
    [anon_sym_PLUS_PLUS] = ACTIONS(2127),
    [anon_sym_DASH_DASH] = ACTIONS(2127),
    [anon_sym_DQUOTE] = ACTIONS(2127),
    [anon_sym_SQUOTE] = ACTIONS(2127),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2127),
    [sym_number] = ACTIONS(2127),
    [sym_private_property_identifier] = ACTIONS(2127),
    [sym_this] = ACTIONS(2127),
    [sym_super] = ACTIONS(2127),
    [sym_true] = ACTIONS(2127),
    [sym_false] = ACTIONS(2127),
    [sym_null] = ACTIONS(2127),
    [sym_undefined] = ACTIONS(2127),
    [anon_sym_AT] = ACTIONS(2127),
    [anon_sym_static] = ACTIONS(2127),
    [anon_sym_readonly] = ACTIONS(2127),
    [anon_sym_get] = ACTIONS(2127),
    [anon_sym_set] = ACTIONS(2127),
    [anon_sym_declare] = ACTIONS(2127),
    [anon_sym_public] = ACTIONS(2127),
    [anon_sym_private] = ACTIONS(2127),
    [anon_sym_protected] = ACTIONS(2127),
    [anon_sym_override] = ACTIONS(2127),
    [anon_sym_module] = ACTIONS(2127),
    [anon_sym_any] = ACTIONS(2127),
    [anon_sym_number] = ACTIONS(2127),
    [anon_sym_boolean] = ACTIONS(2127),
    [anon_sym_string] = ACTIONS(2127),
    [anon_sym_symbol] = ACTIONS(2127),
    [anon_sym_object] = ACTIONS(2127),
    [anon_sym_abstract] = ACTIONS(2127),
    [anon_sym_satisfies] = ACTIONS(2127),
    [anon_sym_interface] = ACTIONS(2127),
    [anon_sym_enum] = ACTIONS(2127),
    [sym__automatic_semicolon] = ACTIONS(2129),
    [sym__ternary_qmark] = ACTIONS(2129),
    [sym_html_comment] = ACTIONS(5),
  },
  [385] = {
    [sym_comment] = STATE(385),
    [ts_builtin_sym_end] = ACTIONS(2337),
    [sym_identifier] = ACTIONS(2185),
    [anon_sym_export] = ACTIONS(2185),
    [anon_sym_STAR] = ACTIONS(2187),
    [anon_sym_type] = ACTIONS(2185),
    [anon_sym_as] = ACTIONS(2187),
    [anon_sym_namespace] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2185),
    [anon_sym_COMMA] = ACTIONS(2187),
    [anon_sym_RBRACE] = ACTIONS(2185),
    [anon_sym_typeof] = ACTIONS(2185),
    [anon_sym_import] = ACTIONS(2185),
    [anon_sym_var] = ACTIONS(2185),
    [anon_sym_let] = ACTIONS(2185),
    [anon_sym_const] = ACTIONS(2185),
    [anon_sym_BANG] = ACTIONS(2185),
    [anon_sym_else] = ACTIONS(2185),
    [anon_sym_if] = ACTIONS(2185),
    [anon_sym_switch] = ACTIONS(2185),
    [anon_sym_for] = ACTIONS(2185),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_in] = ACTIONS(2187),
    [anon_sym_while] = ACTIONS(2185),
    [anon_sym_do] = ACTIONS(2185),
    [anon_sym_try] = ACTIONS(2185),
    [anon_sym_with] = ACTIONS(2185),
    [anon_sym_break] = ACTIONS(2185),
    [anon_sym_continue] = ACTIONS(2185),
    [anon_sym_debugger] = ACTIONS(2185),
    [anon_sym_return] = ACTIONS(2185),
    [anon_sym_throw] = ACTIONS(2185),
    [anon_sym_SEMI] = ACTIONS(2185),
    [anon_sym_yield] = ACTIONS(2185),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_LTtemplate_GT] = ACTIONS(2185),
    [anon_sym_GT] = ACTIONS(2187),
    [anon_sym_DOT] = ACTIONS(2187),
    [anon_sym_class] = ACTIONS(2185),
    [anon_sym_async] = ACTIONS(2185),
    [anon_sym_function] = ACTIONS(2185),
    [anon_sym_QMARK_DOT] = ACTIONS(2187),
    [anon_sym_new] = ACTIONS(2185),
    [anon_sym_using] = ACTIONS(2185),
    [anon_sym_AMP_AMP] = ACTIONS(2187),
    [anon_sym_PIPE_PIPE] = ACTIONS(2187),
    [anon_sym_GT_GT] = ACTIONS(2187),
    [anon_sym_GT_GT_GT] = ACTIONS(2187),
    [anon_sym_LT_LT] = ACTIONS(2187),
    [anon_sym_AMP] = ACTIONS(2187),
    [anon_sym_CARET] = ACTIONS(2187),
    [anon_sym_PIPE] = ACTIONS(2187),
    [anon_sym_PLUS] = ACTIONS(2185),
    [anon_sym_DASH] = ACTIONS(2185),
    [anon_sym_SLASH] = ACTIONS(2185),
    [anon_sym_PERCENT] = ACTIONS(2187),
    [anon_sym_STAR_STAR] = ACTIONS(2187),
    [anon_sym_LT] = ACTIONS(2185),
    [anon_sym_LT_EQ] = ACTIONS(2187),
    [anon_sym_EQ_EQ] = ACTIONS(2187),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2187),
    [anon_sym_BANG_EQ] = ACTIONS(2187),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2187),
    [anon_sym_GT_EQ] = ACTIONS(2187),
    [anon_sym_QMARK_QMARK] = ACTIONS(2187),
    [anon_sym_instanceof] = ACTIONS(2187),
    [anon_sym_TILDE] = ACTIONS(2185),
    [anon_sym_void] = ACTIONS(2185),
    [anon_sym_delete] = ACTIONS(2185),
    [anon_sym_PLUS_PLUS] = ACTIONS(2185),
    [anon_sym_DASH_DASH] = ACTIONS(2185),
    [anon_sym_DQUOTE] = ACTIONS(2185),
    [anon_sym_SQUOTE] = ACTIONS(2185),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2185),
    [sym_number] = ACTIONS(2185),
    [sym_private_property_identifier] = ACTIONS(2185),
    [sym_this] = ACTIONS(2185),
    [sym_super] = ACTIONS(2185),
    [sym_true] = ACTIONS(2185),
    [sym_false] = ACTIONS(2185),
    [sym_null] = ACTIONS(2185),
    [sym_undefined] = ACTIONS(2185),
    [anon_sym_AT] = ACTIONS(2185),
    [anon_sym_static] = ACTIONS(2185),
    [anon_sym_readonly] = ACTIONS(2185),
    [anon_sym_get] = ACTIONS(2185),
    [anon_sym_set] = ACTIONS(2185),
    [anon_sym_declare] = ACTIONS(2185),
    [anon_sym_public] = ACTIONS(2185),
    [anon_sym_private] = ACTIONS(2185),
    [anon_sym_protected] = ACTIONS(2185),
    [anon_sym_override] = ACTIONS(2185),
    [anon_sym_module] = ACTIONS(2185),
    [anon_sym_any] = ACTIONS(2185),
    [anon_sym_number] = ACTIONS(2185),
    [anon_sym_boolean] = ACTIONS(2185),
    [anon_sym_string] = ACTIONS(2185),
    [anon_sym_symbol] = ACTIONS(2185),
    [anon_sym_object] = ACTIONS(2185),
    [anon_sym_abstract] = ACTIONS(2185),
    [anon_sym_satisfies] = ACTIONS(2187),
    [anon_sym_interface] = ACTIONS(2185),
    [anon_sym_enum] = ACTIONS(2185),
    [sym__automatic_semicolon] = ACTIONS(2339),
    [sym__ternary_qmark] = ACTIONS(2191),
    [sym_html_comment] = ACTIONS(5),
  },
  [386] = {
    [sym_import] = STATE(4293),
    [sym_expression_statement] = STATE(462),
    [sym_empty_statement] = STATE(462),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2624),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6942),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(386),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(2000),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [387] = {
    [sym_comment] = STATE(387),
    [ts_builtin_sym_end] = ACTIONS(2341),
    [sym_identifier] = ACTIONS(2107),
    [anon_sym_export] = ACTIONS(2107),
    [anon_sym_STAR] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2107),
    [anon_sym_as] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2107),
    [anon_sym_LBRACE] = ACTIONS(2107),
    [anon_sym_COMMA] = ACTIONS(2109),
    [anon_sym_RBRACE] = ACTIONS(2107),
    [anon_sym_typeof] = ACTIONS(2107),
    [anon_sym_import] = ACTIONS(2107),
    [anon_sym_var] = ACTIONS(2107),
    [anon_sym_let] = ACTIONS(2107),
    [anon_sym_const] = ACTIONS(2107),
    [anon_sym_BANG] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(2107),
    [anon_sym_if] = ACTIONS(2107),
    [anon_sym_switch] = ACTIONS(2107),
    [anon_sym_for] = ACTIONS(2107),
    [anon_sym_LPAREN] = ACTIONS(2107),
    [anon_sym_await] = ACTIONS(2107),
    [anon_sym_in] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2107),
    [anon_sym_do] = ACTIONS(2107),
    [anon_sym_try] = ACTIONS(2107),
    [anon_sym_with] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2107),
    [anon_sym_continue] = ACTIONS(2107),
    [anon_sym_debugger] = ACTIONS(2107),
    [anon_sym_return] = ACTIONS(2107),
    [anon_sym_throw] = ACTIONS(2107),
    [anon_sym_SEMI] = ACTIONS(2107),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_LBRACK] = ACTIONS(2107),
    [anon_sym_LTtemplate_GT] = ACTIONS(2107),
    [anon_sym_GT] = ACTIONS(2109),
    [anon_sym_DOT] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2107),
    [anon_sym_async] = ACTIONS(2107),
    [anon_sym_function] = ACTIONS(2107),
    [anon_sym_QMARK_DOT] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_using] = ACTIONS(2107),
    [anon_sym_AMP_AMP] = ACTIONS(2109),
    [anon_sym_PIPE_PIPE] = ACTIONS(2109),
    [anon_sym_GT_GT] = ACTIONS(2109),
    [anon_sym_GT_GT_GT] = ACTIONS(2109),
    [anon_sym_LT_LT] = ACTIONS(2109),
    [anon_sym_AMP] = ACTIONS(2109),
    [anon_sym_CARET] = ACTIONS(2109),
    [anon_sym_PIPE] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2107),
    [anon_sym_DASH] = ACTIONS(2107),
    [anon_sym_SLASH] = ACTIONS(2107),
    [anon_sym_PERCENT] = ACTIONS(2109),
    [anon_sym_STAR_STAR] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2107),
    [anon_sym_LT_EQ] = ACTIONS(2109),
    [anon_sym_EQ_EQ] = ACTIONS(2109),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2109),
    [anon_sym_BANG_EQ] = ACTIONS(2109),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2109),
    [anon_sym_GT_EQ] = ACTIONS(2109),
    [anon_sym_QMARK_QMARK] = ACTIONS(2109),
    [anon_sym_instanceof] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2107),
    [anon_sym_void] = ACTIONS(2107),
    [anon_sym_delete] = ACTIONS(2107),
    [anon_sym_PLUS_PLUS] = ACTIONS(2107),
    [anon_sym_DASH_DASH] = ACTIONS(2107),
    [anon_sym_DQUOTE] = ACTIONS(2107),
    [anon_sym_SQUOTE] = ACTIONS(2107),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2107),
    [sym_number] = ACTIONS(2107),
    [sym_private_property_identifier] = ACTIONS(2107),
    [sym_this] = ACTIONS(2107),
    [sym_super] = ACTIONS(2107),
    [sym_true] = ACTIONS(2107),
    [sym_false] = ACTIONS(2107),
    [sym_null] = ACTIONS(2107),
    [sym_undefined] = ACTIONS(2107),
    [anon_sym_AT] = ACTIONS(2107),
    [anon_sym_static] = ACTIONS(2107),
    [anon_sym_readonly] = ACTIONS(2107),
    [anon_sym_get] = ACTIONS(2107),
    [anon_sym_set] = ACTIONS(2107),
    [anon_sym_declare] = ACTIONS(2107),
    [anon_sym_public] = ACTIONS(2107),
    [anon_sym_private] = ACTIONS(2107),
    [anon_sym_protected] = ACTIONS(2107),
    [anon_sym_override] = ACTIONS(2107),
    [anon_sym_module] = ACTIONS(2107),
    [anon_sym_any] = ACTIONS(2107),
    [anon_sym_number] = ACTIONS(2107),
    [anon_sym_boolean] = ACTIONS(2107),
    [anon_sym_string] = ACTIONS(2107),
    [anon_sym_symbol] = ACTIONS(2107),
    [anon_sym_object] = ACTIONS(2107),
    [anon_sym_abstract] = ACTIONS(2107),
    [anon_sym_satisfies] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2107),
    [anon_sym_enum] = ACTIONS(2107),
    [sym__automatic_semicolon] = ACTIONS(2111),
    [sym__ternary_qmark] = ACTIONS(2111),
    [sym_html_comment] = ACTIONS(5),
  },
  [388] = {
    [sym_comment] = STATE(388),
    [sym_identifier] = ACTIONS(2131),
    [anon_sym_export] = ACTIONS(2131),
    [anon_sym_STAR] = ACTIONS(2131),
    [anon_sym_default] = ACTIONS(2131),
    [anon_sym_type] = ACTIONS(2131),
    [anon_sym_as] = ACTIONS(2131),
    [anon_sym_namespace] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(2131),
    [anon_sym_COMMA] = ACTIONS(2131),
    [anon_sym_RBRACE] = ACTIONS(2131),
    [anon_sym_typeof] = ACTIONS(2131),
    [anon_sym_import] = ACTIONS(2131),
    [anon_sym_var] = ACTIONS(2131),
    [anon_sym_let] = ACTIONS(2131),
    [anon_sym_const] = ACTIONS(2131),
    [anon_sym_BANG] = ACTIONS(2131),
    [anon_sym_if] = ACTIONS(2131),
    [anon_sym_switch] = ACTIONS(2131),
    [anon_sym_for] = ACTIONS(2131),
    [anon_sym_LPAREN] = ACTIONS(2131),
    [anon_sym_await] = ACTIONS(2131),
    [anon_sym_in] = ACTIONS(2131),
    [anon_sym_while] = ACTIONS(2131),
    [anon_sym_do] = ACTIONS(2131),
    [anon_sym_try] = ACTIONS(2131),
    [anon_sym_with] = ACTIONS(2131),
    [anon_sym_break] = ACTIONS(2131),
    [anon_sym_continue] = ACTIONS(2131),
    [anon_sym_debugger] = ACTIONS(2131),
    [anon_sym_return] = ACTIONS(2131),
    [anon_sym_throw] = ACTIONS(2131),
    [anon_sym_SEMI] = ACTIONS(2131),
    [anon_sym_case] = ACTIONS(2131),
    [anon_sym_yield] = ACTIONS(2131),
    [anon_sym_LBRACK] = ACTIONS(2131),
    [anon_sym_LTtemplate_GT] = ACTIONS(2131),
    [anon_sym_GT] = ACTIONS(2131),
    [anon_sym_DOT] = ACTIONS(2131),
    [anon_sym_class] = ACTIONS(2131),
    [anon_sym_async] = ACTIONS(2131),
    [anon_sym_function] = ACTIONS(2131),
    [anon_sym_QMARK_DOT] = ACTIONS(2131),
    [anon_sym_new] = ACTIONS(2131),
    [anon_sym_using] = ACTIONS(2131),
    [anon_sym_AMP_AMP] = ACTIONS(2131),
    [anon_sym_PIPE_PIPE] = ACTIONS(2131),
    [anon_sym_GT_GT] = ACTIONS(2131),
    [anon_sym_GT_GT_GT] = ACTIONS(2131),
    [anon_sym_LT_LT] = ACTIONS(2131),
    [anon_sym_AMP] = ACTIONS(2131),
    [anon_sym_CARET] = ACTIONS(2131),
    [anon_sym_PIPE] = ACTIONS(2131),
    [anon_sym_PLUS] = ACTIONS(2131),
    [anon_sym_DASH] = ACTIONS(2131),
    [anon_sym_SLASH] = ACTIONS(2131),
    [anon_sym_PERCENT] = ACTIONS(2131),
    [anon_sym_STAR_STAR] = ACTIONS(2131),
    [anon_sym_LT] = ACTIONS(2131),
    [anon_sym_LT_EQ] = ACTIONS(2131),
    [anon_sym_EQ_EQ] = ACTIONS(2131),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2131),
    [anon_sym_BANG_EQ] = ACTIONS(2131),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2131),
    [anon_sym_GT_EQ] = ACTIONS(2131),
    [anon_sym_QMARK_QMARK] = ACTIONS(2131),
    [anon_sym_instanceof] = ACTIONS(2131),
    [anon_sym_TILDE] = ACTIONS(2131),
    [anon_sym_void] = ACTIONS(2131),
    [anon_sym_delete] = ACTIONS(2131),
    [anon_sym_PLUS_PLUS] = ACTIONS(2131),
    [anon_sym_DASH_DASH] = ACTIONS(2131),
    [anon_sym_DQUOTE] = ACTIONS(2131),
    [anon_sym_SQUOTE] = ACTIONS(2131),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2131),
    [sym_number] = ACTIONS(2131),
    [sym_private_property_identifier] = ACTIONS(2131),
    [sym_this] = ACTIONS(2131),
    [sym_super] = ACTIONS(2131),
    [sym_true] = ACTIONS(2131),
    [sym_false] = ACTIONS(2131),
    [sym_null] = ACTIONS(2131),
    [sym_undefined] = ACTIONS(2131),
    [anon_sym_AT] = ACTIONS(2131),
    [anon_sym_static] = ACTIONS(2131),
    [anon_sym_readonly] = ACTIONS(2131),
    [anon_sym_get] = ACTIONS(2131),
    [anon_sym_set] = ACTIONS(2131),
    [anon_sym_declare] = ACTIONS(2131),
    [anon_sym_public] = ACTIONS(2131),
    [anon_sym_private] = ACTIONS(2131),
    [anon_sym_protected] = ACTIONS(2131),
    [anon_sym_override] = ACTIONS(2131),
    [anon_sym_module] = ACTIONS(2131),
    [anon_sym_any] = ACTIONS(2131),
    [anon_sym_number] = ACTIONS(2131),
    [anon_sym_boolean] = ACTIONS(2131),
    [anon_sym_string] = ACTIONS(2131),
    [anon_sym_symbol] = ACTIONS(2131),
    [anon_sym_object] = ACTIONS(2131),
    [anon_sym_abstract] = ACTIONS(2131),
    [anon_sym_satisfies] = ACTIONS(2131),
    [anon_sym_interface] = ACTIONS(2131),
    [anon_sym_enum] = ACTIONS(2131),
    [sym__automatic_semicolon] = ACTIONS(2133),
    [sym__ternary_qmark] = ACTIONS(2133),
    [sym_html_comment] = ACTIONS(5),
  },
  [389] = {
    [sym_comment] = STATE(389),
    [sym_identifier] = ACTIONS(2147),
    [anon_sym_export] = ACTIONS(2147),
    [anon_sym_STAR] = ACTIONS(2149),
    [anon_sym_default] = ACTIONS(2147),
    [anon_sym_type] = ACTIONS(2147),
    [anon_sym_as] = ACTIONS(2149),
    [anon_sym_namespace] = ACTIONS(2147),
    [anon_sym_LBRACE] = ACTIONS(2147),
    [anon_sym_COMMA] = ACTIONS(2149),
    [anon_sym_RBRACE] = ACTIONS(2147),
    [anon_sym_typeof] = ACTIONS(2147),
    [anon_sym_import] = ACTIONS(2147),
    [anon_sym_var] = ACTIONS(2147),
    [anon_sym_let] = ACTIONS(2147),
    [anon_sym_const] = ACTIONS(2147),
    [anon_sym_BANG] = ACTIONS(2147),
    [anon_sym_if] = ACTIONS(2147),
    [anon_sym_switch] = ACTIONS(2147),
    [anon_sym_for] = ACTIONS(2147),
    [anon_sym_LPAREN] = ACTIONS(2147),
    [anon_sym_await] = ACTIONS(2147),
    [anon_sym_in] = ACTIONS(2149),
    [anon_sym_while] = ACTIONS(2147),
    [anon_sym_do] = ACTIONS(2147),
    [anon_sym_try] = ACTIONS(2147),
    [anon_sym_with] = ACTIONS(2147),
    [anon_sym_break] = ACTIONS(2147),
    [anon_sym_continue] = ACTIONS(2147),
    [anon_sym_debugger] = ACTIONS(2147),
    [anon_sym_return] = ACTIONS(2147),
    [anon_sym_throw] = ACTIONS(2147),
    [anon_sym_SEMI] = ACTIONS(2147),
    [anon_sym_case] = ACTIONS(2147),
    [anon_sym_yield] = ACTIONS(2147),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_LTtemplate_GT] = ACTIONS(2147),
    [anon_sym_GT] = ACTIONS(2149),
    [anon_sym_DOT] = ACTIONS(2149),
    [anon_sym_class] = ACTIONS(2147),
    [anon_sym_async] = ACTIONS(2147),
    [anon_sym_function] = ACTIONS(2147),
    [anon_sym_QMARK_DOT] = ACTIONS(2149),
    [anon_sym_new] = ACTIONS(2147),
    [anon_sym_using] = ACTIONS(2147),
    [anon_sym_AMP_AMP] = ACTIONS(2149),
    [anon_sym_PIPE_PIPE] = ACTIONS(2149),
    [anon_sym_GT_GT] = ACTIONS(2149),
    [anon_sym_GT_GT_GT] = ACTIONS(2149),
    [anon_sym_LT_LT] = ACTIONS(2149),
    [anon_sym_AMP] = ACTIONS(2149),
    [anon_sym_CARET] = ACTIONS(2149),
    [anon_sym_PIPE] = ACTIONS(2149),
    [anon_sym_PLUS] = ACTIONS(2147),
    [anon_sym_DASH] = ACTIONS(2147),
    [anon_sym_SLASH] = ACTIONS(2147),
    [anon_sym_PERCENT] = ACTIONS(2149),
    [anon_sym_STAR_STAR] = ACTIONS(2149),
    [anon_sym_LT] = ACTIONS(2147),
    [anon_sym_LT_EQ] = ACTIONS(2149),
    [anon_sym_EQ_EQ] = ACTIONS(2149),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2149),
    [anon_sym_BANG_EQ] = ACTIONS(2149),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2149),
    [anon_sym_GT_EQ] = ACTIONS(2149),
    [anon_sym_QMARK_QMARK] = ACTIONS(2149),
    [anon_sym_instanceof] = ACTIONS(2149),
    [anon_sym_TILDE] = ACTIONS(2147),
    [anon_sym_void] = ACTIONS(2147),
    [anon_sym_delete] = ACTIONS(2147),
    [anon_sym_PLUS_PLUS] = ACTIONS(2147),
    [anon_sym_DASH_DASH] = ACTIONS(2147),
    [anon_sym_DQUOTE] = ACTIONS(2147),
    [anon_sym_SQUOTE] = ACTIONS(2147),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2147),
    [sym_number] = ACTIONS(2147),
    [sym_private_property_identifier] = ACTIONS(2147),
    [sym_this] = ACTIONS(2147),
    [sym_super] = ACTIONS(2147),
    [sym_true] = ACTIONS(2147),
    [sym_false] = ACTIONS(2147),
    [sym_null] = ACTIONS(2147),
    [sym_undefined] = ACTIONS(2147),
    [anon_sym_AT] = ACTIONS(2147),
    [anon_sym_static] = ACTIONS(2147),
    [anon_sym_readonly] = ACTIONS(2147),
    [anon_sym_get] = ACTIONS(2147),
    [anon_sym_set] = ACTIONS(2147),
    [anon_sym_declare] = ACTIONS(2147),
    [anon_sym_public] = ACTIONS(2147),
    [anon_sym_private] = ACTIONS(2147),
    [anon_sym_protected] = ACTIONS(2147),
    [anon_sym_override] = ACTIONS(2147),
    [anon_sym_module] = ACTIONS(2147),
    [anon_sym_any] = ACTIONS(2147),
    [anon_sym_number] = ACTIONS(2147),
    [anon_sym_boolean] = ACTIONS(2147),
    [anon_sym_string] = ACTIONS(2147),
    [anon_sym_symbol] = ACTIONS(2147),
    [anon_sym_object] = ACTIONS(2147),
    [anon_sym_abstract] = ACTIONS(2147),
    [anon_sym_satisfies] = ACTIONS(2149),
    [anon_sym_interface] = ACTIONS(2147),
    [anon_sym_enum] = ACTIONS(2147),
    [sym__automatic_semicolon] = ACTIONS(2343),
    [sym__ternary_qmark] = ACTIONS(2153),
    [sym_html_comment] = ACTIONS(5),
  },
  [390] = {
    [sym_import] = STATE(4200),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2815),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(390),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym__type_query_member_expression] = STATE(3703),
    [sym__type_query_subscript_expression] = STATE(3704),
    [sym__type_query_call_expression] = STATE(3764),
    [sym__type_query_instantiation_expression] = STATE(3816),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(2345),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1420),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1420),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1420),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [sym_html_comment] = ACTIONS(5),
  },
  [391] = {
    [sym_import] = STATE(4293),
    [sym_expression_statement] = STATE(466),
    [sym_empty_statement] = STATE(466),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2624),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6942),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(391),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(2000),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [392] = {
    [sym_comment] = STATE(392),
    [sym_identifier] = ACTIONS(2119),
    [anon_sym_export] = ACTIONS(2119),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_default] = ACTIONS(2119),
    [anon_sym_type] = ACTIONS(2119),
    [anon_sym_as] = ACTIONS(2119),
    [anon_sym_namespace] = ACTIONS(2119),
    [anon_sym_LBRACE] = ACTIONS(2119),
    [anon_sym_COMMA] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2119),
    [anon_sym_import] = ACTIONS(2119),
    [anon_sym_var] = ACTIONS(2119),
    [anon_sym_let] = ACTIONS(2119),
    [anon_sym_const] = ACTIONS(2119),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_switch] = ACTIONS(2119),
    [anon_sym_for] = ACTIONS(2119),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2119),
    [anon_sym_in] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2119),
    [anon_sym_do] = ACTIONS(2119),
    [anon_sym_try] = ACTIONS(2119),
    [anon_sym_with] = ACTIONS(2119),
    [anon_sym_break] = ACTIONS(2119),
    [anon_sym_continue] = ACTIONS(2119),
    [anon_sym_debugger] = ACTIONS(2119),
    [anon_sym_return] = ACTIONS(2119),
    [anon_sym_throw] = ACTIONS(2119),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_case] = ACTIONS(2119),
    [anon_sym_yield] = ACTIONS(2119),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_GT] = ACTIONS(2119),
    [anon_sym_DOT] = ACTIONS(2119),
    [anon_sym_class] = ACTIONS(2119),
    [anon_sym_async] = ACTIONS(2119),
    [anon_sym_function] = ACTIONS(2119),
    [anon_sym_QMARK_DOT] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2119),
    [anon_sym_using] = ACTIONS(2119),
    [anon_sym_AMP_AMP] = ACTIONS(2119),
    [anon_sym_PIPE_PIPE] = ACTIONS(2119),
    [anon_sym_GT_GT] = ACTIONS(2119),
    [anon_sym_GT_GT_GT] = ACTIONS(2119),
    [anon_sym_LT_LT] = ACTIONS(2119),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2119),
    [anon_sym_PIPE] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2119),
    [anon_sym_DASH] = ACTIONS(2119),
    [anon_sym_SLASH] = ACTIONS(2119),
    [anon_sym_PERCENT] = ACTIONS(2119),
    [anon_sym_STAR_STAR] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2119),
    [anon_sym_LT_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2119),
    [anon_sym_GT_EQ] = ACTIONS(2119),
    [anon_sym_QMARK_QMARK] = ACTIONS(2119),
    [anon_sym_instanceof] = ACTIONS(2119),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2119),
    [anon_sym_delete] = ACTIONS(2119),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_private_property_identifier] = ACTIONS(2119),
    [sym_this] = ACTIONS(2119),
    [sym_super] = ACTIONS(2119),
    [sym_true] = ACTIONS(2119),
    [sym_false] = ACTIONS(2119),
    [sym_null] = ACTIONS(2119),
    [sym_undefined] = ACTIONS(2119),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2119),
    [anon_sym_readonly] = ACTIONS(2119),
    [anon_sym_get] = ACTIONS(2119),
    [anon_sym_set] = ACTIONS(2119),
    [anon_sym_declare] = ACTIONS(2119),
    [anon_sym_public] = ACTIONS(2119),
    [anon_sym_private] = ACTIONS(2119),
    [anon_sym_protected] = ACTIONS(2119),
    [anon_sym_override] = ACTIONS(2119),
    [anon_sym_module] = ACTIONS(2119),
    [anon_sym_any] = ACTIONS(2119),
    [anon_sym_number] = ACTIONS(2119),
    [anon_sym_boolean] = ACTIONS(2119),
    [anon_sym_string] = ACTIONS(2119),
    [anon_sym_symbol] = ACTIONS(2119),
    [anon_sym_object] = ACTIONS(2119),
    [anon_sym_abstract] = ACTIONS(2119),
    [anon_sym_satisfies] = ACTIONS(2119),
    [anon_sym_interface] = ACTIONS(2119),
    [anon_sym_enum] = ACTIONS(2119),
    [sym__automatic_semicolon] = ACTIONS(2121),
    [sym__ternary_qmark] = ACTIONS(2121),
    [sym_html_comment] = ACTIONS(5),
  },
  [393] = {
    [sym_comment] = STATE(393),
    [ts_builtin_sym_end] = ACTIONS(2091),
    [sym_identifier] = ACTIONS(2089),
    [anon_sym_export] = ACTIONS(2089),
    [anon_sym_STAR] = ACTIONS(2089),
    [anon_sym_type] = ACTIONS(2089),
    [anon_sym_as] = ACTIONS(2089),
    [anon_sym_namespace] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2089),
    [anon_sym_COMMA] = ACTIONS(2089),
    [anon_sym_RBRACE] = ACTIONS(2089),
    [anon_sym_typeof] = ACTIONS(2089),
    [anon_sym_import] = ACTIONS(2089),
    [anon_sym_var] = ACTIONS(2089),
    [anon_sym_let] = ACTIONS(2089),
    [anon_sym_const] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2089),
    [anon_sym_else] = ACTIONS(2089),
    [anon_sym_if] = ACTIONS(2089),
    [anon_sym_switch] = ACTIONS(2089),
    [anon_sym_for] = ACTIONS(2089),
    [anon_sym_LPAREN] = ACTIONS(2089),
    [anon_sym_await] = ACTIONS(2089),
    [anon_sym_in] = ACTIONS(2089),
    [anon_sym_while] = ACTIONS(2089),
    [anon_sym_do] = ACTIONS(2089),
    [anon_sym_try] = ACTIONS(2089),
    [anon_sym_with] = ACTIONS(2089),
    [anon_sym_break] = ACTIONS(2089),
    [anon_sym_continue] = ACTIONS(2089),
    [anon_sym_debugger] = ACTIONS(2089),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_throw] = ACTIONS(2089),
    [anon_sym_SEMI] = ACTIONS(2089),
    [anon_sym_yield] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2089),
    [anon_sym_LTtemplate_GT] = ACTIONS(2089),
    [anon_sym_GT] = ACTIONS(2089),
    [anon_sym_DOT] = ACTIONS(2089),
    [anon_sym_class] = ACTIONS(2089),
    [anon_sym_async] = ACTIONS(2089),
    [anon_sym_function] = ACTIONS(2089),
    [anon_sym_QMARK_DOT] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2089),
    [anon_sym_using] = ACTIONS(2089),
    [anon_sym_AMP_AMP] = ACTIONS(2089),
    [anon_sym_PIPE_PIPE] = ACTIONS(2089),
    [anon_sym_GT_GT] = ACTIONS(2089),
    [anon_sym_GT_GT_GT] = ACTIONS(2089),
    [anon_sym_LT_LT] = ACTIONS(2089),
    [anon_sym_AMP] = ACTIONS(2089),
    [anon_sym_CARET] = ACTIONS(2089),
    [anon_sym_PIPE] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(2089),
    [anon_sym_DASH] = ACTIONS(2089),
    [anon_sym_SLASH] = ACTIONS(2089),
    [anon_sym_PERCENT] = ACTIONS(2089),
    [anon_sym_STAR_STAR] = ACTIONS(2089),
    [anon_sym_LT] = ACTIONS(2089),
    [anon_sym_LT_EQ] = ACTIONS(2089),
    [anon_sym_EQ_EQ] = ACTIONS(2089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2089),
    [anon_sym_BANG_EQ] = ACTIONS(2089),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2089),
    [anon_sym_GT_EQ] = ACTIONS(2089),
    [anon_sym_QMARK_QMARK] = ACTIONS(2089),
    [anon_sym_instanceof] = ACTIONS(2089),
    [anon_sym_TILDE] = ACTIONS(2089),
    [anon_sym_void] = ACTIONS(2089),
    [anon_sym_delete] = ACTIONS(2089),
    [anon_sym_PLUS_PLUS] = ACTIONS(2089),
    [anon_sym_DASH_DASH] = ACTIONS(2089),
    [anon_sym_DQUOTE] = ACTIONS(2089),
    [anon_sym_SQUOTE] = ACTIONS(2089),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2089),
    [sym_number] = ACTIONS(2089),
    [sym_private_property_identifier] = ACTIONS(2089),
    [sym_this] = ACTIONS(2089),
    [sym_super] = ACTIONS(2089),
    [sym_true] = ACTIONS(2089),
    [sym_false] = ACTIONS(2089),
    [sym_null] = ACTIONS(2089),
    [sym_undefined] = ACTIONS(2089),
    [anon_sym_AT] = ACTIONS(2089),
    [anon_sym_static] = ACTIONS(2089),
    [anon_sym_readonly] = ACTIONS(2089),
    [anon_sym_get] = ACTIONS(2089),
    [anon_sym_set] = ACTIONS(2089),
    [anon_sym_declare] = ACTIONS(2089),
    [anon_sym_public] = ACTIONS(2089),
    [anon_sym_private] = ACTIONS(2089),
    [anon_sym_protected] = ACTIONS(2089),
    [anon_sym_override] = ACTIONS(2089),
    [anon_sym_module] = ACTIONS(2089),
    [anon_sym_any] = ACTIONS(2089),
    [anon_sym_number] = ACTIONS(2089),
    [anon_sym_boolean] = ACTIONS(2089),
    [anon_sym_string] = ACTIONS(2089),
    [anon_sym_symbol] = ACTIONS(2089),
    [anon_sym_object] = ACTIONS(2089),
    [anon_sym_abstract] = ACTIONS(2089),
    [anon_sym_satisfies] = ACTIONS(2089),
    [anon_sym_interface] = ACTIONS(2089),
    [anon_sym_enum] = ACTIONS(2089),
    [sym__automatic_semicolon] = ACTIONS(2091),
    [sym__ternary_qmark] = ACTIONS(2091),
    [sym_html_comment] = ACTIONS(5),
  },
  [394] = {
    [sym_import] = STATE(4300),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3299),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(394),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym__type_query_member_expression] = STATE(3703),
    [sym__type_query_subscript_expression] = STATE(3704),
    [sym__type_query_call_expression] = STATE(3764),
    [sym__type_query_instantiation_expression] = STATE(3816),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(2347),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [395] = {
    [sym_import] = STATE(4300),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3299),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(395),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym__type_query_member_expression] = STATE(3703),
    [sym__type_query_subscript_expression] = STATE(3704),
    [sym__type_query_call_expression] = STATE(3764),
    [sym__type_query_instantiation_expression] = STATE(3816),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(2349),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [396] = {
    [sym_comment] = STATE(396),
    [ts_builtin_sym_end] = ACTIONS(2351),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_export] = ACTIONS(2193),
    [anon_sym_STAR] = ACTIONS(2195),
    [anon_sym_type] = ACTIONS(2193),
    [anon_sym_as] = ACTIONS(2195),
    [anon_sym_namespace] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(2193),
    [anon_sym_COMMA] = ACTIONS(2195),
    [anon_sym_RBRACE] = ACTIONS(2193),
    [anon_sym_typeof] = ACTIONS(2193),
    [anon_sym_import] = ACTIONS(2193),
    [anon_sym_var] = ACTIONS(2193),
    [anon_sym_let] = ACTIONS(2193),
    [anon_sym_const] = ACTIONS(2193),
    [anon_sym_BANG] = ACTIONS(2193),
    [anon_sym_else] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2193),
    [anon_sym_switch] = ACTIONS(2193),
    [anon_sym_for] = ACTIONS(2193),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_await] = ACTIONS(2193),
    [anon_sym_in] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(2193),
    [anon_sym_do] = ACTIONS(2193),
    [anon_sym_try] = ACTIONS(2193),
    [anon_sym_with] = ACTIONS(2193),
    [anon_sym_break] = ACTIONS(2193),
    [anon_sym_continue] = ACTIONS(2193),
    [anon_sym_debugger] = ACTIONS(2193),
    [anon_sym_return] = ACTIONS(2193),
    [anon_sym_throw] = ACTIONS(2193),
    [anon_sym_SEMI] = ACTIONS(2193),
    [anon_sym_yield] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2193),
    [anon_sym_LTtemplate_GT] = ACTIONS(2193),
    [anon_sym_GT] = ACTIONS(2195),
    [anon_sym_DOT] = ACTIONS(2195),
    [anon_sym_class] = ACTIONS(2193),
    [anon_sym_async] = ACTIONS(2193),
    [anon_sym_function] = ACTIONS(2193),
    [anon_sym_QMARK_DOT] = ACTIONS(2195),
    [anon_sym_new] = ACTIONS(2193),
    [anon_sym_using] = ACTIONS(2193),
    [anon_sym_AMP_AMP] = ACTIONS(2195),
    [anon_sym_PIPE_PIPE] = ACTIONS(2195),
    [anon_sym_GT_GT] = ACTIONS(2195),
    [anon_sym_GT_GT_GT] = ACTIONS(2195),
    [anon_sym_LT_LT] = ACTIONS(2195),
    [anon_sym_AMP] = ACTIONS(2195),
    [anon_sym_CARET] = ACTIONS(2195),
    [anon_sym_PIPE] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2193),
    [anon_sym_DASH] = ACTIONS(2193),
    [anon_sym_SLASH] = ACTIONS(2193),
    [anon_sym_PERCENT] = ACTIONS(2195),
    [anon_sym_STAR_STAR] = ACTIONS(2195),
    [anon_sym_LT] = ACTIONS(2193),
    [anon_sym_LT_EQ] = ACTIONS(2195),
    [anon_sym_EQ_EQ] = ACTIONS(2195),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2195),
    [anon_sym_BANG_EQ] = ACTIONS(2195),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2195),
    [anon_sym_GT_EQ] = ACTIONS(2195),
    [anon_sym_QMARK_QMARK] = ACTIONS(2195),
    [anon_sym_instanceof] = ACTIONS(2195),
    [anon_sym_TILDE] = ACTIONS(2193),
    [anon_sym_void] = ACTIONS(2193),
    [anon_sym_delete] = ACTIONS(2193),
    [anon_sym_PLUS_PLUS] = ACTIONS(2193),
    [anon_sym_DASH_DASH] = ACTIONS(2193),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [anon_sym_SQUOTE] = ACTIONS(2193),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2193),
    [sym_number] = ACTIONS(2193),
    [sym_private_property_identifier] = ACTIONS(2193),
    [sym_this] = ACTIONS(2193),
    [sym_super] = ACTIONS(2193),
    [sym_true] = ACTIONS(2193),
    [sym_false] = ACTIONS(2193),
    [sym_null] = ACTIONS(2193),
    [sym_undefined] = ACTIONS(2193),
    [anon_sym_AT] = ACTIONS(2193),
    [anon_sym_static] = ACTIONS(2193),
    [anon_sym_readonly] = ACTIONS(2193),
    [anon_sym_get] = ACTIONS(2193),
    [anon_sym_set] = ACTIONS(2193),
    [anon_sym_declare] = ACTIONS(2193),
    [anon_sym_public] = ACTIONS(2193),
    [anon_sym_private] = ACTIONS(2193),
    [anon_sym_protected] = ACTIONS(2193),
    [anon_sym_override] = ACTIONS(2193),
    [anon_sym_module] = ACTIONS(2193),
    [anon_sym_any] = ACTIONS(2193),
    [anon_sym_number] = ACTIONS(2193),
    [anon_sym_boolean] = ACTIONS(2193),
    [anon_sym_string] = ACTIONS(2193),
    [anon_sym_symbol] = ACTIONS(2193),
    [anon_sym_object] = ACTIONS(2193),
    [anon_sym_abstract] = ACTIONS(2193),
    [anon_sym_satisfies] = ACTIONS(2195),
    [anon_sym_interface] = ACTIONS(2193),
    [anon_sym_enum] = ACTIONS(2193),
    [sym__automatic_semicolon] = ACTIONS(2353),
    [sym__ternary_qmark] = ACTIONS(2199),
    [sym_html_comment] = ACTIONS(5),
  },
  [397] = {
    [sym_comment] = STATE(397),
    [ts_builtin_sym_end] = ACTIONS(2355),
    [sym_identifier] = ACTIONS(2077),
    [anon_sym_export] = ACTIONS(2077),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_type] = ACTIONS(2077),
    [anon_sym_as] = ACTIONS(2079),
    [anon_sym_namespace] = ACTIONS(2077),
    [anon_sym_LBRACE] = ACTIONS(2077),
    [anon_sym_COMMA] = ACTIONS(2079),
    [anon_sym_RBRACE] = ACTIONS(2077),
    [anon_sym_typeof] = ACTIONS(2077),
    [anon_sym_import] = ACTIONS(2077),
    [anon_sym_var] = ACTIONS(2077),
    [anon_sym_let] = ACTIONS(2077),
    [anon_sym_const] = ACTIONS(2077),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_else] = ACTIONS(2077),
    [anon_sym_if] = ACTIONS(2077),
    [anon_sym_switch] = ACTIONS(2077),
    [anon_sym_for] = ACTIONS(2077),
    [anon_sym_LPAREN] = ACTIONS(2077),
    [anon_sym_await] = ACTIONS(2077),
    [anon_sym_in] = ACTIONS(2079),
    [anon_sym_while] = ACTIONS(2077),
    [anon_sym_do] = ACTIONS(2077),
    [anon_sym_try] = ACTIONS(2077),
    [anon_sym_with] = ACTIONS(2077),
    [anon_sym_break] = ACTIONS(2077),
    [anon_sym_continue] = ACTIONS(2077),
    [anon_sym_debugger] = ACTIONS(2077),
    [anon_sym_return] = ACTIONS(2077),
    [anon_sym_throw] = ACTIONS(2077),
    [anon_sym_SEMI] = ACTIONS(2077),
    [anon_sym_yield] = ACTIONS(2077),
    [anon_sym_LBRACK] = ACTIONS(2077),
    [anon_sym_LTtemplate_GT] = ACTIONS(2077),
    [anon_sym_GT] = ACTIONS(2079),
    [anon_sym_DOT] = ACTIONS(2079),
    [anon_sym_class] = ACTIONS(2077),
    [anon_sym_async] = ACTIONS(2077),
    [anon_sym_function] = ACTIONS(2077),
    [anon_sym_QMARK_DOT] = ACTIONS(2079),
    [anon_sym_new] = ACTIONS(2077),
    [anon_sym_using] = ACTIONS(2077),
    [anon_sym_AMP_AMP] = ACTIONS(2079),
    [anon_sym_PIPE_PIPE] = ACTIONS(2079),
    [anon_sym_GT_GT] = ACTIONS(2079),
    [anon_sym_GT_GT_GT] = ACTIONS(2079),
    [anon_sym_LT_LT] = ACTIONS(2079),
    [anon_sym_AMP] = ACTIONS(2079),
    [anon_sym_CARET] = ACTIONS(2079),
    [anon_sym_PIPE] = ACTIONS(2079),
    [anon_sym_PLUS] = ACTIONS(2077),
    [anon_sym_DASH] = ACTIONS(2077),
    [anon_sym_SLASH] = ACTIONS(2077),
    [anon_sym_PERCENT] = ACTIONS(2079),
    [anon_sym_STAR_STAR] = ACTIONS(2079),
    [anon_sym_LT] = ACTIONS(2077),
    [anon_sym_LT_EQ] = ACTIONS(2079),
    [anon_sym_EQ_EQ] = ACTIONS(2079),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2079),
    [anon_sym_BANG_EQ] = ACTIONS(2079),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2079),
    [anon_sym_GT_EQ] = ACTIONS(2079),
    [anon_sym_QMARK_QMARK] = ACTIONS(2079),
    [anon_sym_instanceof] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_void] = ACTIONS(2077),
    [anon_sym_delete] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_DQUOTE] = ACTIONS(2077),
    [anon_sym_SQUOTE] = ACTIONS(2077),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2077),
    [sym_number] = ACTIONS(2077),
    [sym_private_property_identifier] = ACTIONS(2077),
    [sym_this] = ACTIONS(2077),
    [sym_super] = ACTIONS(2077),
    [sym_true] = ACTIONS(2077),
    [sym_false] = ACTIONS(2077),
    [sym_null] = ACTIONS(2077),
    [sym_undefined] = ACTIONS(2077),
    [anon_sym_AT] = ACTIONS(2077),
    [anon_sym_static] = ACTIONS(2077),
    [anon_sym_readonly] = ACTIONS(2077),
    [anon_sym_get] = ACTIONS(2077),
    [anon_sym_set] = ACTIONS(2077),
    [anon_sym_declare] = ACTIONS(2077),
    [anon_sym_public] = ACTIONS(2077),
    [anon_sym_private] = ACTIONS(2077),
    [anon_sym_protected] = ACTIONS(2077),
    [anon_sym_override] = ACTIONS(2077),
    [anon_sym_module] = ACTIONS(2077),
    [anon_sym_any] = ACTIONS(2077),
    [anon_sym_number] = ACTIONS(2077),
    [anon_sym_boolean] = ACTIONS(2077),
    [anon_sym_string] = ACTIONS(2077),
    [anon_sym_symbol] = ACTIONS(2077),
    [anon_sym_object] = ACTIONS(2077),
    [anon_sym_abstract] = ACTIONS(2077),
    [anon_sym_satisfies] = ACTIONS(2079),
    [anon_sym_interface] = ACTIONS(2077),
    [anon_sym_enum] = ACTIONS(2077),
    [sym__automatic_semicolon] = ACTIONS(2357),
    [sym__ternary_qmark] = ACTIONS(2083),
    [sym_html_comment] = ACTIONS(5),
  },
  [398] = {
    [sym_import] = STATE(4400),
    [sym_parenthesized_expression] = STATE(2241),
    [sym_expression] = STATE(3072),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2241),
    [sym_subscript_expression] = STATE(2241),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3867),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7457),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(398),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2241),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym__type_query_member_expression] = STATE(3703),
    [sym__type_query_subscript_expression] = STATE(3704),
    [sym__type_query_call_expression] = STATE(3764),
    [sym__type_query_instantiation_expression] = STATE(3816),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(2359),
    [anon_sym_export] = ACTIONS(1564),
    [anon_sym_type] = ACTIONS(1564),
    [anon_sym_namespace] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1570),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1572),
    [anon_sym_yield] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1576),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_void] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1588),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1564),
    [anon_sym_readonly] = ACTIONS(1564),
    [anon_sym_get] = ACTIONS(1564),
    [anon_sym_set] = ACTIONS(1564),
    [anon_sym_declare] = ACTIONS(1564),
    [anon_sym_public] = ACTIONS(1564),
    [anon_sym_private] = ACTIONS(1564),
    [anon_sym_protected] = ACTIONS(1564),
    [anon_sym_override] = ACTIONS(1564),
    [anon_sym_module] = ACTIONS(1564),
    [anon_sym_any] = ACTIONS(1564),
    [anon_sym_number] = ACTIONS(1564),
    [anon_sym_boolean] = ACTIONS(1564),
    [anon_sym_string] = ACTIONS(1564),
    [anon_sym_symbol] = ACTIONS(1564),
    [anon_sym_object] = ACTIONS(1564),
    [sym_html_comment] = ACTIONS(5),
  },
  [399] = {
    [sym_import] = STATE(4293),
    [sym_expression_statement] = STATE(465),
    [sym_empty_statement] = STATE(465),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2624),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6942),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(399),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(2000),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [400] = {
    [sym_import] = STATE(4176),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2370),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(400),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym__type_query_member_expression] = STATE(3703),
    [sym__type_query_subscript_expression] = STATE(3704),
    [sym__type_query_call_expression] = STATE(3764),
    [sym__type_query_instantiation_expression] = STATE(3816),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [401] = {
    [sym_comment] = STATE(401),
    [ts_builtin_sym_end] = ACTIONS(2363),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_export] = ACTIONS(2205),
    [anon_sym_STAR] = ACTIONS(2207),
    [anon_sym_type] = ACTIONS(2205),
    [anon_sym_as] = ACTIONS(2207),
    [anon_sym_namespace] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2205),
    [anon_sym_COMMA] = ACTIONS(2207),
    [anon_sym_RBRACE] = ACTIONS(2205),
    [anon_sym_typeof] = ACTIONS(2205),
    [anon_sym_import] = ACTIONS(2205),
    [anon_sym_var] = ACTIONS(2205),
    [anon_sym_let] = ACTIONS(2205),
    [anon_sym_const] = ACTIONS(2205),
    [anon_sym_BANG] = ACTIONS(2205),
    [anon_sym_else] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2205),
    [anon_sym_switch] = ACTIONS(2205),
    [anon_sym_for] = ACTIONS(2205),
    [anon_sym_LPAREN] = ACTIONS(2205),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_in] = ACTIONS(2207),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_try] = ACTIONS(2205),
    [anon_sym_with] = ACTIONS(2205),
    [anon_sym_break] = ACTIONS(2205),
    [anon_sym_continue] = ACTIONS(2205),
    [anon_sym_debugger] = ACTIONS(2205),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2205),
    [anon_sym_SEMI] = ACTIONS(2205),
    [anon_sym_yield] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_LTtemplate_GT] = ACTIONS(2205),
    [anon_sym_GT] = ACTIONS(2207),
    [anon_sym_DOT] = ACTIONS(2207),
    [anon_sym_class] = ACTIONS(2205),
    [anon_sym_async] = ACTIONS(2205),
    [anon_sym_function] = ACTIONS(2205),
    [anon_sym_QMARK_DOT] = ACTIONS(2207),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_using] = ACTIONS(2205),
    [anon_sym_AMP_AMP] = ACTIONS(2207),
    [anon_sym_PIPE_PIPE] = ACTIONS(2207),
    [anon_sym_GT_GT] = ACTIONS(2207),
    [anon_sym_GT_GT_GT] = ACTIONS(2207),
    [anon_sym_LT_LT] = ACTIONS(2207),
    [anon_sym_AMP] = ACTIONS(2207),
    [anon_sym_CARET] = ACTIONS(2207),
    [anon_sym_PIPE] = ACTIONS(2207),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_SLASH] = ACTIONS(2205),
    [anon_sym_PERCENT] = ACTIONS(2207),
    [anon_sym_STAR_STAR] = ACTIONS(2207),
    [anon_sym_LT] = ACTIONS(2205),
    [anon_sym_LT_EQ] = ACTIONS(2207),
    [anon_sym_EQ_EQ] = ACTIONS(2207),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2207),
    [anon_sym_BANG_EQ] = ACTIONS(2207),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2207),
    [anon_sym_GT_EQ] = ACTIONS(2207),
    [anon_sym_QMARK_QMARK] = ACTIONS(2207),
    [anon_sym_instanceof] = ACTIONS(2207),
    [anon_sym_TILDE] = ACTIONS(2205),
    [anon_sym_void] = ACTIONS(2205),
    [anon_sym_delete] = ACTIONS(2205),
    [anon_sym_PLUS_PLUS] = ACTIONS(2205),
    [anon_sym_DASH_DASH] = ACTIONS(2205),
    [anon_sym_DQUOTE] = ACTIONS(2205),
    [anon_sym_SQUOTE] = ACTIONS(2205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2205),
    [sym_number] = ACTIONS(2205),
    [sym_private_property_identifier] = ACTIONS(2205),
    [sym_this] = ACTIONS(2205),
    [sym_super] = ACTIONS(2205),
    [sym_true] = ACTIONS(2205),
    [sym_false] = ACTIONS(2205),
    [sym_null] = ACTIONS(2205),
    [sym_undefined] = ACTIONS(2205),
    [anon_sym_AT] = ACTIONS(2205),
    [anon_sym_static] = ACTIONS(2205),
    [anon_sym_readonly] = ACTIONS(2205),
    [anon_sym_get] = ACTIONS(2205),
    [anon_sym_set] = ACTIONS(2205),
    [anon_sym_declare] = ACTIONS(2205),
    [anon_sym_public] = ACTIONS(2205),
    [anon_sym_private] = ACTIONS(2205),
    [anon_sym_protected] = ACTIONS(2205),
    [anon_sym_override] = ACTIONS(2205),
    [anon_sym_module] = ACTIONS(2205),
    [anon_sym_any] = ACTIONS(2205),
    [anon_sym_number] = ACTIONS(2205),
    [anon_sym_boolean] = ACTIONS(2205),
    [anon_sym_string] = ACTIONS(2205),
    [anon_sym_symbol] = ACTIONS(2205),
    [anon_sym_object] = ACTIONS(2205),
    [anon_sym_abstract] = ACTIONS(2205),
    [anon_sym_satisfies] = ACTIONS(2207),
    [anon_sym_interface] = ACTIONS(2205),
    [anon_sym_enum] = ACTIONS(2205),
    [sym__automatic_semicolon] = ACTIONS(2365),
    [sym__ternary_qmark] = ACTIONS(2211),
    [sym_html_comment] = ACTIONS(5),
  },
  [402] = {
    [sym_comment] = STATE(402),
    [ts_builtin_sym_end] = ACTIONS(2367),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_export] = ACTIONS(2213),
    [anon_sym_STAR] = ACTIONS(2215),
    [anon_sym_type] = ACTIONS(2213),
    [anon_sym_as] = ACTIONS(2215),
    [anon_sym_namespace] = ACTIONS(2213),
    [anon_sym_LBRACE] = ACTIONS(2213),
    [anon_sym_COMMA] = ACTIONS(2215),
    [anon_sym_RBRACE] = ACTIONS(2213),
    [anon_sym_typeof] = ACTIONS(2213),
    [anon_sym_import] = ACTIONS(2213),
    [anon_sym_var] = ACTIONS(2213),
    [anon_sym_let] = ACTIONS(2213),
    [anon_sym_const] = ACTIONS(2213),
    [anon_sym_BANG] = ACTIONS(2213),
    [anon_sym_else] = ACTIONS(2213),
    [anon_sym_if] = ACTIONS(2213),
    [anon_sym_switch] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2213),
    [anon_sym_LPAREN] = ACTIONS(2213),
    [anon_sym_await] = ACTIONS(2213),
    [anon_sym_in] = ACTIONS(2215),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_do] = ACTIONS(2213),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_with] = ACTIONS(2213),
    [anon_sym_break] = ACTIONS(2213),
    [anon_sym_continue] = ACTIONS(2213),
    [anon_sym_debugger] = ACTIONS(2213),
    [anon_sym_return] = ACTIONS(2213),
    [anon_sym_throw] = ACTIONS(2213),
    [anon_sym_SEMI] = ACTIONS(2213),
    [anon_sym_yield] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(2213),
    [anon_sym_LTtemplate_GT] = ACTIONS(2213),
    [anon_sym_GT] = ACTIONS(2215),
    [anon_sym_DOT] = ACTIONS(2215),
    [anon_sym_class] = ACTIONS(2213),
    [anon_sym_async] = ACTIONS(2213),
    [anon_sym_function] = ACTIONS(2213),
    [anon_sym_QMARK_DOT] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2213),
    [anon_sym_using] = ACTIONS(2213),
    [anon_sym_AMP_AMP] = ACTIONS(2215),
    [anon_sym_PIPE_PIPE] = ACTIONS(2215),
    [anon_sym_GT_GT] = ACTIONS(2215),
    [anon_sym_GT_GT_GT] = ACTIONS(2215),
    [anon_sym_LT_LT] = ACTIONS(2215),
    [anon_sym_AMP] = ACTIONS(2215),
    [anon_sym_CARET] = ACTIONS(2215),
    [anon_sym_PIPE] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2213),
    [anon_sym_DASH] = ACTIONS(2213),
    [anon_sym_SLASH] = ACTIONS(2213),
    [anon_sym_PERCENT] = ACTIONS(2215),
    [anon_sym_STAR_STAR] = ACTIONS(2215),
    [anon_sym_LT] = ACTIONS(2213),
    [anon_sym_LT_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2215),
    [anon_sym_GT_EQ] = ACTIONS(2215),
    [anon_sym_QMARK_QMARK] = ACTIONS(2215),
    [anon_sym_instanceof] = ACTIONS(2215),
    [anon_sym_TILDE] = ACTIONS(2213),
    [anon_sym_void] = ACTIONS(2213),
    [anon_sym_delete] = ACTIONS(2213),
    [anon_sym_PLUS_PLUS] = ACTIONS(2213),
    [anon_sym_DASH_DASH] = ACTIONS(2213),
    [anon_sym_DQUOTE] = ACTIONS(2213),
    [anon_sym_SQUOTE] = ACTIONS(2213),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2213),
    [sym_number] = ACTIONS(2213),
    [sym_private_property_identifier] = ACTIONS(2213),
    [sym_this] = ACTIONS(2213),
    [sym_super] = ACTIONS(2213),
    [sym_true] = ACTIONS(2213),
    [sym_false] = ACTIONS(2213),
    [sym_null] = ACTIONS(2213),
    [sym_undefined] = ACTIONS(2213),
    [anon_sym_AT] = ACTIONS(2213),
    [anon_sym_static] = ACTIONS(2213),
    [anon_sym_readonly] = ACTIONS(2213),
    [anon_sym_get] = ACTIONS(2213),
    [anon_sym_set] = ACTIONS(2213),
    [anon_sym_declare] = ACTIONS(2213),
    [anon_sym_public] = ACTIONS(2213),
    [anon_sym_private] = ACTIONS(2213),
    [anon_sym_protected] = ACTIONS(2213),
    [anon_sym_override] = ACTIONS(2213),
    [anon_sym_module] = ACTIONS(2213),
    [anon_sym_any] = ACTIONS(2213),
    [anon_sym_number] = ACTIONS(2213),
    [anon_sym_boolean] = ACTIONS(2213),
    [anon_sym_string] = ACTIONS(2213),
    [anon_sym_symbol] = ACTIONS(2213),
    [anon_sym_object] = ACTIONS(2213),
    [anon_sym_abstract] = ACTIONS(2213),
    [anon_sym_satisfies] = ACTIONS(2215),
    [anon_sym_interface] = ACTIONS(2213),
    [anon_sym_enum] = ACTIONS(2213),
    [sym__automatic_semicolon] = ACTIONS(2369),
    [sym__ternary_qmark] = ACTIONS(2219),
    [sym_html_comment] = ACTIONS(5),
  },
  [403] = {
    [sym_comment] = STATE(403),
    [sym_identifier] = ACTIONS(2127),
    [anon_sym_export] = ACTIONS(2127),
    [anon_sym_STAR] = ACTIONS(2127),
    [anon_sym_default] = ACTIONS(2127),
    [anon_sym_type] = ACTIONS(2127),
    [anon_sym_as] = ACTIONS(2127),
    [anon_sym_namespace] = ACTIONS(2127),
    [anon_sym_LBRACE] = ACTIONS(2127),
    [anon_sym_COMMA] = ACTIONS(2127),
    [anon_sym_RBRACE] = ACTIONS(2127),
    [anon_sym_typeof] = ACTIONS(2127),
    [anon_sym_import] = ACTIONS(2127),
    [anon_sym_var] = ACTIONS(2127),
    [anon_sym_let] = ACTIONS(2127),
    [anon_sym_const] = ACTIONS(2127),
    [anon_sym_BANG] = ACTIONS(2127),
    [anon_sym_if] = ACTIONS(2127),
    [anon_sym_switch] = ACTIONS(2127),
    [anon_sym_for] = ACTIONS(2127),
    [anon_sym_LPAREN] = ACTIONS(2127),
    [anon_sym_await] = ACTIONS(2127),
    [anon_sym_in] = ACTIONS(2127),
    [anon_sym_while] = ACTIONS(2127),
    [anon_sym_do] = ACTIONS(2127),
    [anon_sym_try] = ACTIONS(2127),
    [anon_sym_with] = ACTIONS(2127),
    [anon_sym_break] = ACTIONS(2127),
    [anon_sym_continue] = ACTIONS(2127),
    [anon_sym_debugger] = ACTIONS(2127),
    [anon_sym_return] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2127),
    [anon_sym_SEMI] = ACTIONS(2127),
    [anon_sym_case] = ACTIONS(2127),
    [anon_sym_yield] = ACTIONS(2127),
    [anon_sym_LBRACK] = ACTIONS(2127),
    [anon_sym_LTtemplate_GT] = ACTIONS(2127),
    [anon_sym_GT] = ACTIONS(2127),
    [anon_sym_DOT] = ACTIONS(2127),
    [anon_sym_class] = ACTIONS(2127),
    [anon_sym_async] = ACTIONS(2127),
    [anon_sym_function] = ACTIONS(2127),
    [anon_sym_QMARK_DOT] = ACTIONS(2127),
    [anon_sym_new] = ACTIONS(2127),
    [anon_sym_using] = ACTIONS(2127),
    [anon_sym_AMP_AMP] = ACTIONS(2127),
    [anon_sym_PIPE_PIPE] = ACTIONS(2127),
    [anon_sym_GT_GT] = ACTIONS(2127),
    [anon_sym_GT_GT_GT] = ACTIONS(2127),
    [anon_sym_LT_LT] = ACTIONS(2127),
    [anon_sym_AMP] = ACTIONS(2127),
    [anon_sym_CARET] = ACTIONS(2127),
    [anon_sym_PIPE] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_SLASH] = ACTIONS(2127),
    [anon_sym_PERCENT] = ACTIONS(2127),
    [anon_sym_STAR_STAR] = ACTIONS(2127),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_LT_EQ] = ACTIONS(2127),
    [anon_sym_EQ_EQ] = ACTIONS(2127),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2127),
    [anon_sym_BANG_EQ] = ACTIONS(2127),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2127),
    [anon_sym_GT_EQ] = ACTIONS(2127),
    [anon_sym_QMARK_QMARK] = ACTIONS(2127),
    [anon_sym_instanceof] = ACTIONS(2127),
    [anon_sym_TILDE] = ACTIONS(2127),
    [anon_sym_void] = ACTIONS(2127),
    [anon_sym_delete] = ACTIONS(2127),
    [anon_sym_PLUS_PLUS] = ACTIONS(2127),
    [anon_sym_DASH_DASH] = ACTIONS(2127),
    [anon_sym_DQUOTE] = ACTIONS(2127),
    [anon_sym_SQUOTE] = ACTIONS(2127),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2127),
    [sym_number] = ACTIONS(2127),
    [sym_private_property_identifier] = ACTIONS(2127),
    [sym_this] = ACTIONS(2127),
    [sym_super] = ACTIONS(2127),
    [sym_true] = ACTIONS(2127),
    [sym_false] = ACTIONS(2127),
    [sym_null] = ACTIONS(2127),
    [sym_undefined] = ACTIONS(2127),
    [anon_sym_AT] = ACTIONS(2127),
    [anon_sym_static] = ACTIONS(2127),
    [anon_sym_readonly] = ACTIONS(2127),
    [anon_sym_get] = ACTIONS(2127),
    [anon_sym_set] = ACTIONS(2127),
    [anon_sym_declare] = ACTIONS(2127),
    [anon_sym_public] = ACTIONS(2127),
    [anon_sym_private] = ACTIONS(2127),
    [anon_sym_protected] = ACTIONS(2127),
    [anon_sym_override] = ACTIONS(2127),
    [anon_sym_module] = ACTIONS(2127),
    [anon_sym_any] = ACTIONS(2127),
    [anon_sym_number] = ACTIONS(2127),
    [anon_sym_boolean] = ACTIONS(2127),
    [anon_sym_string] = ACTIONS(2127),
    [anon_sym_symbol] = ACTIONS(2127),
    [anon_sym_object] = ACTIONS(2127),
    [anon_sym_abstract] = ACTIONS(2127),
    [anon_sym_satisfies] = ACTIONS(2127),
    [anon_sym_interface] = ACTIONS(2127),
    [anon_sym_enum] = ACTIONS(2127),
    [sym__automatic_semicolon] = ACTIONS(2129),
    [sym__ternary_qmark] = ACTIONS(2129),
    [sym_html_comment] = ACTIONS(5),
  },
  [404] = {
    [sym_comment] = STATE(404),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_STAR] = ACTIONS(2093),
    [anon_sym_default] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_as] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_COMMA] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_in] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_case] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_GT] = ACTIONS(2093),
    [anon_sym_DOT] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_QMARK_DOT] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_AMP_AMP] = ACTIONS(2093),
    [anon_sym_PIPE_PIPE] = ACTIONS(2093),
    [anon_sym_GT_GT] = ACTIONS(2093),
    [anon_sym_GT_GT_GT] = ACTIONS(2093),
    [anon_sym_LT_LT] = ACTIONS(2093),
    [anon_sym_AMP] = ACTIONS(2093),
    [anon_sym_CARET] = ACTIONS(2093),
    [anon_sym_PIPE] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_PERCENT] = ACTIONS(2093),
    [anon_sym_STAR_STAR] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_LT_EQ] = ACTIONS(2093),
    [anon_sym_EQ_EQ] = ACTIONS(2093),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2093),
    [anon_sym_BANG_EQ] = ACTIONS(2093),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2093),
    [anon_sym_GT_EQ] = ACTIONS(2093),
    [anon_sym_QMARK_QMARK] = ACTIONS(2093),
    [anon_sym_instanceof] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_satisfies] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym__automatic_semicolon] = ACTIONS(2095),
    [sym__ternary_qmark] = ACTIONS(2095),
    [sym_html_comment] = ACTIONS(5),
  },
  [405] = {
    [sym_comment] = STATE(405),
    [ts_builtin_sym_end] = ACTIONS(2371),
    [sym_identifier] = ACTIONS(2223),
    [anon_sym_export] = ACTIONS(2223),
    [anon_sym_STAR] = ACTIONS(2225),
    [anon_sym_type] = ACTIONS(2223),
    [anon_sym_as] = ACTIONS(2225),
    [anon_sym_namespace] = ACTIONS(2223),
    [anon_sym_LBRACE] = ACTIONS(2223),
    [anon_sym_COMMA] = ACTIONS(2225),
    [anon_sym_RBRACE] = ACTIONS(2223),
    [anon_sym_typeof] = ACTIONS(2223),
    [anon_sym_import] = ACTIONS(2223),
    [anon_sym_var] = ACTIONS(2223),
    [anon_sym_let] = ACTIONS(2223),
    [anon_sym_const] = ACTIONS(2223),
    [anon_sym_BANG] = ACTIONS(2223),
    [anon_sym_else] = ACTIONS(2223),
    [anon_sym_if] = ACTIONS(2223),
    [anon_sym_switch] = ACTIONS(2223),
    [anon_sym_for] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(2223),
    [anon_sym_await] = ACTIONS(2223),
    [anon_sym_in] = ACTIONS(2225),
    [anon_sym_while] = ACTIONS(2223),
    [anon_sym_do] = ACTIONS(2223),
    [anon_sym_try] = ACTIONS(2223),
    [anon_sym_with] = ACTIONS(2223),
    [anon_sym_break] = ACTIONS(2223),
    [anon_sym_continue] = ACTIONS(2223),
    [anon_sym_debugger] = ACTIONS(2223),
    [anon_sym_return] = ACTIONS(2223),
    [anon_sym_throw] = ACTIONS(2223),
    [anon_sym_SEMI] = ACTIONS(2223),
    [anon_sym_yield] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(2223),
    [anon_sym_LTtemplate_GT] = ACTIONS(2223),
    [anon_sym_GT] = ACTIONS(2225),
    [anon_sym_DOT] = ACTIONS(2225),
    [anon_sym_class] = ACTIONS(2223),
    [anon_sym_async] = ACTIONS(2223),
    [anon_sym_function] = ACTIONS(2223),
    [anon_sym_QMARK_DOT] = ACTIONS(2225),
    [anon_sym_new] = ACTIONS(2223),
    [anon_sym_using] = ACTIONS(2223),
    [anon_sym_AMP_AMP] = ACTIONS(2225),
    [anon_sym_PIPE_PIPE] = ACTIONS(2225),
    [anon_sym_GT_GT] = ACTIONS(2225),
    [anon_sym_GT_GT_GT] = ACTIONS(2225),
    [anon_sym_LT_LT] = ACTIONS(2225),
    [anon_sym_AMP] = ACTIONS(2225),
    [anon_sym_CARET] = ACTIONS(2225),
    [anon_sym_PIPE] = ACTIONS(2225),
    [anon_sym_PLUS] = ACTIONS(2223),
    [anon_sym_DASH] = ACTIONS(2223),
    [anon_sym_SLASH] = ACTIONS(2223),
    [anon_sym_PERCENT] = ACTIONS(2225),
    [anon_sym_STAR_STAR] = ACTIONS(2225),
    [anon_sym_LT] = ACTIONS(2223),
    [anon_sym_LT_EQ] = ACTIONS(2225),
    [anon_sym_EQ_EQ] = ACTIONS(2225),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2225),
    [anon_sym_BANG_EQ] = ACTIONS(2225),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2225),
    [anon_sym_GT_EQ] = ACTIONS(2225),
    [anon_sym_QMARK_QMARK] = ACTIONS(2225),
    [anon_sym_instanceof] = ACTIONS(2225),
    [anon_sym_TILDE] = ACTIONS(2223),
    [anon_sym_void] = ACTIONS(2223),
    [anon_sym_delete] = ACTIONS(2223),
    [anon_sym_PLUS_PLUS] = ACTIONS(2223),
    [anon_sym_DASH_DASH] = ACTIONS(2223),
    [anon_sym_DQUOTE] = ACTIONS(2223),
    [anon_sym_SQUOTE] = ACTIONS(2223),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2223),
    [sym_number] = ACTIONS(2223),
    [sym_private_property_identifier] = ACTIONS(2223),
    [sym_this] = ACTIONS(2223),
    [sym_super] = ACTIONS(2223),
    [sym_true] = ACTIONS(2223),
    [sym_false] = ACTIONS(2223),
    [sym_null] = ACTIONS(2223),
    [sym_undefined] = ACTIONS(2223),
    [anon_sym_AT] = ACTIONS(2223),
    [anon_sym_static] = ACTIONS(2223),
    [anon_sym_readonly] = ACTIONS(2223),
    [anon_sym_get] = ACTIONS(2223),
    [anon_sym_set] = ACTIONS(2223),
    [anon_sym_declare] = ACTIONS(2223),
    [anon_sym_public] = ACTIONS(2223),
    [anon_sym_private] = ACTIONS(2223),
    [anon_sym_protected] = ACTIONS(2223),
    [anon_sym_override] = ACTIONS(2223),
    [anon_sym_module] = ACTIONS(2223),
    [anon_sym_any] = ACTIONS(2223),
    [anon_sym_number] = ACTIONS(2223),
    [anon_sym_boolean] = ACTIONS(2223),
    [anon_sym_string] = ACTIONS(2223),
    [anon_sym_symbol] = ACTIONS(2223),
    [anon_sym_object] = ACTIONS(2223),
    [anon_sym_abstract] = ACTIONS(2223),
    [anon_sym_satisfies] = ACTIONS(2225),
    [anon_sym_interface] = ACTIONS(2223),
    [anon_sym_enum] = ACTIONS(2223),
    [sym__automatic_semicolon] = ACTIONS(2373),
    [sym__ternary_qmark] = ACTIONS(2229),
    [sym_html_comment] = ACTIONS(5),
  },
  [406] = {
    [sym_comment] = STATE(406),
    [ts_builtin_sym_end] = ACTIONS(2133),
    [sym_identifier] = ACTIONS(2131),
    [anon_sym_export] = ACTIONS(2131),
    [anon_sym_STAR] = ACTIONS(2131),
    [anon_sym_type] = ACTIONS(2131),
    [anon_sym_as] = ACTIONS(2131),
    [anon_sym_namespace] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(2131),
    [anon_sym_COMMA] = ACTIONS(2131),
    [anon_sym_RBRACE] = ACTIONS(2131),
    [anon_sym_typeof] = ACTIONS(2131),
    [anon_sym_import] = ACTIONS(2131),
    [anon_sym_var] = ACTIONS(2131),
    [anon_sym_let] = ACTIONS(2131),
    [anon_sym_const] = ACTIONS(2131),
    [anon_sym_BANG] = ACTIONS(2131),
    [anon_sym_else] = ACTIONS(2131),
    [anon_sym_if] = ACTIONS(2131),
    [anon_sym_switch] = ACTIONS(2131),
    [anon_sym_for] = ACTIONS(2131),
    [anon_sym_LPAREN] = ACTIONS(2131),
    [anon_sym_await] = ACTIONS(2131),
    [anon_sym_in] = ACTIONS(2131),
    [anon_sym_while] = ACTIONS(2131),
    [anon_sym_do] = ACTIONS(2131),
    [anon_sym_try] = ACTIONS(2131),
    [anon_sym_with] = ACTIONS(2131),
    [anon_sym_break] = ACTIONS(2131),
    [anon_sym_continue] = ACTIONS(2131),
    [anon_sym_debugger] = ACTIONS(2131),
    [anon_sym_return] = ACTIONS(2131),
    [anon_sym_throw] = ACTIONS(2131),
    [anon_sym_SEMI] = ACTIONS(2131),
    [anon_sym_yield] = ACTIONS(2131),
    [anon_sym_LBRACK] = ACTIONS(2131),
    [anon_sym_LTtemplate_GT] = ACTIONS(2131),
    [anon_sym_GT] = ACTIONS(2131),
    [anon_sym_DOT] = ACTIONS(2131),
    [anon_sym_class] = ACTIONS(2131),
    [anon_sym_async] = ACTIONS(2131),
    [anon_sym_function] = ACTIONS(2131),
    [anon_sym_QMARK_DOT] = ACTIONS(2131),
    [anon_sym_new] = ACTIONS(2131),
    [anon_sym_using] = ACTIONS(2131),
    [anon_sym_AMP_AMP] = ACTIONS(2131),
    [anon_sym_PIPE_PIPE] = ACTIONS(2131),
    [anon_sym_GT_GT] = ACTIONS(2131),
    [anon_sym_GT_GT_GT] = ACTIONS(2131),
    [anon_sym_LT_LT] = ACTIONS(2131),
    [anon_sym_AMP] = ACTIONS(2131),
    [anon_sym_CARET] = ACTIONS(2131),
    [anon_sym_PIPE] = ACTIONS(2131),
    [anon_sym_PLUS] = ACTIONS(2131),
    [anon_sym_DASH] = ACTIONS(2131),
    [anon_sym_SLASH] = ACTIONS(2131),
    [anon_sym_PERCENT] = ACTIONS(2131),
    [anon_sym_STAR_STAR] = ACTIONS(2131),
    [anon_sym_LT] = ACTIONS(2131),
    [anon_sym_LT_EQ] = ACTIONS(2131),
    [anon_sym_EQ_EQ] = ACTIONS(2131),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2131),
    [anon_sym_BANG_EQ] = ACTIONS(2131),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2131),
    [anon_sym_GT_EQ] = ACTIONS(2131),
    [anon_sym_QMARK_QMARK] = ACTIONS(2131),
    [anon_sym_instanceof] = ACTIONS(2131),
    [anon_sym_TILDE] = ACTIONS(2131),
    [anon_sym_void] = ACTIONS(2131),
    [anon_sym_delete] = ACTIONS(2131),
    [anon_sym_PLUS_PLUS] = ACTIONS(2131),
    [anon_sym_DASH_DASH] = ACTIONS(2131),
    [anon_sym_DQUOTE] = ACTIONS(2131),
    [anon_sym_SQUOTE] = ACTIONS(2131),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2131),
    [sym_number] = ACTIONS(2131),
    [sym_private_property_identifier] = ACTIONS(2131),
    [sym_this] = ACTIONS(2131),
    [sym_super] = ACTIONS(2131),
    [sym_true] = ACTIONS(2131),
    [sym_false] = ACTIONS(2131),
    [sym_null] = ACTIONS(2131),
    [sym_undefined] = ACTIONS(2131),
    [anon_sym_AT] = ACTIONS(2131),
    [anon_sym_static] = ACTIONS(2131),
    [anon_sym_readonly] = ACTIONS(2131),
    [anon_sym_get] = ACTIONS(2131),
    [anon_sym_set] = ACTIONS(2131),
    [anon_sym_declare] = ACTIONS(2131),
    [anon_sym_public] = ACTIONS(2131),
    [anon_sym_private] = ACTIONS(2131),
    [anon_sym_protected] = ACTIONS(2131),
    [anon_sym_override] = ACTIONS(2131),
    [anon_sym_module] = ACTIONS(2131),
    [anon_sym_any] = ACTIONS(2131),
    [anon_sym_number] = ACTIONS(2131),
    [anon_sym_boolean] = ACTIONS(2131),
    [anon_sym_string] = ACTIONS(2131),
    [anon_sym_symbol] = ACTIONS(2131),
    [anon_sym_object] = ACTIONS(2131),
    [anon_sym_abstract] = ACTIONS(2131),
    [anon_sym_satisfies] = ACTIONS(2131),
    [anon_sym_interface] = ACTIONS(2131),
    [anon_sym_enum] = ACTIONS(2131),
    [sym__automatic_semicolon] = ACTIONS(2133),
    [sym__ternary_qmark] = ACTIONS(2133),
    [sym_html_comment] = ACTIONS(5),
  },
  [407] = {
    [sym_comment] = STATE(407),
    [ts_builtin_sym_end] = ACTIONS(2121),
    [sym_identifier] = ACTIONS(2119),
    [anon_sym_export] = ACTIONS(2119),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_type] = ACTIONS(2119),
    [anon_sym_as] = ACTIONS(2119),
    [anon_sym_namespace] = ACTIONS(2119),
    [anon_sym_LBRACE] = ACTIONS(2119),
    [anon_sym_COMMA] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2119),
    [anon_sym_import] = ACTIONS(2119),
    [anon_sym_var] = ACTIONS(2119),
    [anon_sym_let] = ACTIONS(2119),
    [anon_sym_const] = ACTIONS(2119),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_else] = ACTIONS(2119),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_switch] = ACTIONS(2119),
    [anon_sym_for] = ACTIONS(2119),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2119),
    [anon_sym_in] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2119),
    [anon_sym_do] = ACTIONS(2119),
    [anon_sym_try] = ACTIONS(2119),
    [anon_sym_with] = ACTIONS(2119),
    [anon_sym_break] = ACTIONS(2119),
    [anon_sym_continue] = ACTIONS(2119),
    [anon_sym_debugger] = ACTIONS(2119),
    [anon_sym_return] = ACTIONS(2119),
    [anon_sym_throw] = ACTIONS(2119),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_yield] = ACTIONS(2119),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_GT] = ACTIONS(2119),
    [anon_sym_DOT] = ACTIONS(2119),
    [anon_sym_class] = ACTIONS(2119),
    [anon_sym_async] = ACTIONS(2119),
    [anon_sym_function] = ACTIONS(2119),
    [anon_sym_QMARK_DOT] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2119),
    [anon_sym_using] = ACTIONS(2119),
    [anon_sym_AMP_AMP] = ACTIONS(2119),
    [anon_sym_PIPE_PIPE] = ACTIONS(2119),
    [anon_sym_GT_GT] = ACTIONS(2119),
    [anon_sym_GT_GT_GT] = ACTIONS(2119),
    [anon_sym_LT_LT] = ACTIONS(2119),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2119),
    [anon_sym_PIPE] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2119),
    [anon_sym_DASH] = ACTIONS(2119),
    [anon_sym_SLASH] = ACTIONS(2119),
    [anon_sym_PERCENT] = ACTIONS(2119),
    [anon_sym_STAR_STAR] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2119),
    [anon_sym_LT_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2119),
    [anon_sym_GT_EQ] = ACTIONS(2119),
    [anon_sym_QMARK_QMARK] = ACTIONS(2119),
    [anon_sym_instanceof] = ACTIONS(2119),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2119),
    [anon_sym_delete] = ACTIONS(2119),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_private_property_identifier] = ACTIONS(2119),
    [sym_this] = ACTIONS(2119),
    [sym_super] = ACTIONS(2119),
    [sym_true] = ACTIONS(2119),
    [sym_false] = ACTIONS(2119),
    [sym_null] = ACTIONS(2119),
    [sym_undefined] = ACTIONS(2119),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2119),
    [anon_sym_readonly] = ACTIONS(2119),
    [anon_sym_get] = ACTIONS(2119),
    [anon_sym_set] = ACTIONS(2119),
    [anon_sym_declare] = ACTIONS(2119),
    [anon_sym_public] = ACTIONS(2119),
    [anon_sym_private] = ACTIONS(2119),
    [anon_sym_protected] = ACTIONS(2119),
    [anon_sym_override] = ACTIONS(2119),
    [anon_sym_module] = ACTIONS(2119),
    [anon_sym_any] = ACTIONS(2119),
    [anon_sym_number] = ACTIONS(2119),
    [anon_sym_boolean] = ACTIONS(2119),
    [anon_sym_string] = ACTIONS(2119),
    [anon_sym_symbol] = ACTIONS(2119),
    [anon_sym_object] = ACTIONS(2119),
    [anon_sym_abstract] = ACTIONS(2119),
    [anon_sym_satisfies] = ACTIONS(2119),
    [anon_sym_interface] = ACTIONS(2119),
    [anon_sym_enum] = ACTIONS(2119),
    [sym__automatic_semicolon] = ACTIONS(2121),
    [sym__ternary_qmark] = ACTIONS(2121),
    [sym_html_comment] = ACTIONS(5),
  },
  [408] = {
    [sym_import] = STATE(4350),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2370),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(408),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym__type_query_member_expression] = STATE(3770),
    [sym__type_query_subscript_expression] = STATE(3751),
    [sym__type_query_call_expression] = STATE(3952),
    [sym__type_query_instantiation_expression] = STATE(4124),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(2375),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [409] = {
    [sym_import] = STATE(4176),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2776),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7156),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3817),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7159),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(409),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym__type_query_member_expression] = STATE(3703),
    [sym__type_query_subscript_expression] = STATE(3704),
    [sym__type_query_call_expression] = STATE(3764),
    [sym__type_query_instantiation_expression] = STATE(3816),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(2377),
    [anon_sym_export] = ACTIONS(1530),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_namespace] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1536),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1538),
    [anon_sym_yield] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1542),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1242),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_void] = ACTIONS(1536),
    [anon_sym_delete] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1554),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1530),
    [anon_sym_readonly] = ACTIONS(1530),
    [anon_sym_get] = ACTIONS(1530),
    [anon_sym_set] = ACTIONS(1530),
    [anon_sym_declare] = ACTIONS(1530),
    [anon_sym_public] = ACTIONS(1530),
    [anon_sym_private] = ACTIONS(1530),
    [anon_sym_protected] = ACTIONS(1530),
    [anon_sym_override] = ACTIONS(1530),
    [anon_sym_module] = ACTIONS(1530),
    [anon_sym_any] = ACTIONS(1530),
    [anon_sym_number] = ACTIONS(1530),
    [anon_sym_boolean] = ACTIONS(1530),
    [anon_sym_string] = ACTIONS(1530),
    [anon_sym_symbol] = ACTIONS(1530),
    [anon_sym_object] = ACTIONS(1530),
    [sym_html_comment] = ACTIONS(5),
  },
  [410] = {
    [sym_comment] = STATE(410),
    [ts_builtin_sym_end] = ACTIONS(2087),
    [sym_identifier] = ACTIONS(2085),
    [anon_sym_export] = ACTIONS(2085),
    [anon_sym_STAR] = ACTIONS(2085),
    [anon_sym_type] = ACTIONS(2085),
    [anon_sym_as] = ACTIONS(2085),
    [anon_sym_namespace] = ACTIONS(2085),
    [anon_sym_LBRACE] = ACTIONS(2085),
    [anon_sym_COMMA] = ACTIONS(2085),
    [anon_sym_RBRACE] = ACTIONS(2085),
    [anon_sym_typeof] = ACTIONS(2085),
    [anon_sym_import] = ACTIONS(2085),
    [anon_sym_var] = ACTIONS(2085),
    [anon_sym_let] = ACTIONS(2085),
    [anon_sym_const] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_else] = ACTIONS(2085),
    [anon_sym_if] = ACTIONS(2085),
    [anon_sym_switch] = ACTIONS(2085),
    [anon_sym_for] = ACTIONS(2085),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_await] = ACTIONS(2085),
    [anon_sym_in] = ACTIONS(2085),
    [anon_sym_while] = ACTIONS(2085),
    [anon_sym_do] = ACTIONS(2085),
    [anon_sym_try] = ACTIONS(2085),
    [anon_sym_with] = ACTIONS(2085),
    [anon_sym_break] = ACTIONS(2085),
    [anon_sym_continue] = ACTIONS(2085),
    [anon_sym_debugger] = ACTIONS(2085),
    [anon_sym_return] = ACTIONS(2085),
    [anon_sym_throw] = ACTIONS(2085),
    [anon_sym_SEMI] = ACTIONS(2085),
    [anon_sym_yield] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2085),
    [anon_sym_LTtemplate_GT] = ACTIONS(2085),
    [anon_sym_GT] = ACTIONS(2085),
    [anon_sym_DOT] = ACTIONS(2085),
    [anon_sym_class] = ACTIONS(2085),
    [anon_sym_async] = ACTIONS(2085),
    [anon_sym_function] = ACTIONS(2085),
    [anon_sym_QMARK_DOT] = ACTIONS(2085),
    [anon_sym_new] = ACTIONS(2085),
    [anon_sym_using] = ACTIONS(2085),
    [anon_sym_AMP_AMP] = ACTIONS(2085),
    [anon_sym_PIPE_PIPE] = ACTIONS(2085),
    [anon_sym_GT_GT] = ACTIONS(2085),
    [anon_sym_GT_GT_GT] = ACTIONS(2085),
    [anon_sym_LT_LT] = ACTIONS(2085),
    [anon_sym_AMP] = ACTIONS(2085),
    [anon_sym_CARET] = ACTIONS(2085),
    [anon_sym_PIPE] = ACTIONS(2085),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_SLASH] = ACTIONS(2085),
    [anon_sym_PERCENT] = ACTIONS(2085),
    [anon_sym_STAR_STAR] = ACTIONS(2085),
    [anon_sym_LT] = ACTIONS(2085),
    [anon_sym_LT_EQ] = ACTIONS(2085),
    [anon_sym_EQ_EQ] = ACTIONS(2085),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2085),
    [anon_sym_BANG_EQ] = ACTIONS(2085),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2085),
    [anon_sym_GT_EQ] = ACTIONS(2085),
    [anon_sym_QMARK_QMARK] = ACTIONS(2085),
    [anon_sym_instanceof] = ACTIONS(2085),
    [anon_sym_TILDE] = ACTIONS(2085),
    [anon_sym_void] = ACTIONS(2085),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_PLUS_PLUS] = ACTIONS(2085),
    [anon_sym_DASH_DASH] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2085),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2085),
    [sym_number] = ACTIONS(2085),
    [sym_private_property_identifier] = ACTIONS(2085),
    [sym_this] = ACTIONS(2085),
    [sym_super] = ACTIONS(2085),
    [sym_true] = ACTIONS(2085),
    [sym_false] = ACTIONS(2085),
    [sym_null] = ACTIONS(2085),
    [sym_undefined] = ACTIONS(2085),
    [anon_sym_AT] = ACTIONS(2085),
    [anon_sym_static] = ACTIONS(2085),
    [anon_sym_readonly] = ACTIONS(2085),
    [anon_sym_get] = ACTIONS(2085),
    [anon_sym_set] = ACTIONS(2085),
    [anon_sym_declare] = ACTIONS(2085),
    [anon_sym_public] = ACTIONS(2085),
    [anon_sym_private] = ACTIONS(2085),
    [anon_sym_protected] = ACTIONS(2085),
    [anon_sym_override] = ACTIONS(2085),
    [anon_sym_module] = ACTIONS(2085),
    [anon_sym_any] = ACTIONS(2085),
    [anon_sym_number] = ACTIONS(2085),
    [anon_sym_boolean] = ACTIONS(2085),
    [anon_sym_string] = ACTIONS(2085),
    [anon_sym_symbol] = ACTIONS(2085),
    [anon_sym_object] = ACTIONS(2085),
    [anon_sym_abstract] = ACTIONS(2085),
    [anon_sym_satisfies] = ACTIONS(2085),
    [anon_sym_interface] = ACTIONS(2085),
    [anon_sym_enum] = ACTIONS(2085),
    [sym__automatic_semicolon] = ACTIONS(2087),
    [sym__ternary_qmark] = ACTIONS(2087),
    [sym_html_comment] = ACTIONS(5),
  },
  [411] = {
    [sym_import] = STATE(4300),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2886),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3815),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7334),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(411),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym__type_query_member_expression] = STATE(3703),
    [sym__type_query_subscript_expression] = STATE(3704),
    [sym__type_query_call_expression] = STATE(3764),
    [sym__type_query_instantiation_expression] = STATE(3816),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(2379),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1504),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1508),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1502),
    [anon_sym_delete] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1520),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1494),
    [anon_sym_readonly] = ACTIONS(1494),
    [anon_sym_get] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_declare] = ACTIONS(1494),
    [anon_sym_public] = ACTIONS(1494),
    [anon_sym_private] = ACTIONS(1494),
    [anon_sym_protected] = ACTIONS(1494),
    [anon_sym_override] = ACTIONS(1494),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_any] = ACTIONS(1494),
    [anon_sym_number] = ACTIONS(1494),
    [anon_sym_boolean] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_symbol] = ACTIONS(1494),
    [anon_sym_object] = ACTIONS(1494),
    [sym_html_comment] = ACTIONS(5),
  },
  [412] = {
    [sym_import] = STATE(4176),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2370),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(412),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym__type_query_member_expression] = STATE(3703),
    [sym__type_query_subscript_expression] = STATE(3704),
    [sym__type_query_call_expression] = STATE(3764),
    [sym__type_query_instantiation_expression] = STATE(3816),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(2381),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [413] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2067),
    [sym_subscript_expression] = STATE(2067),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4604),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(413),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5186),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2067),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_override_modifier] = STATE(445),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1089),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2383),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(1173),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [414] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2760),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_spread_element] = STATE(7076),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_sequence_expression] = STATE(7076),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(414),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_RBRACE] = ACTIONS(2385),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2301),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [415] = {
    [sym_import] = STATE(4293),
    [sym_expression_statement] = STATE(463),
    [sym_empty_statement] = STATE(463),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2624),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6942),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(415),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(2000),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [416] = {
    [sym_import] = STATE(4300),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3299),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(416),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym__type_query_member_expression] = STATE(3703),
    [sym__type_query_subscript_expression] = STATE(3704),
    [sym__type_query_call_expression] = STATE(3764),
    [sym__type_query_instantiation_expression] = STATE(3816),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(2387),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [417] = {
    [sym_comment] = STATE(417),
    [ts_builtin_sym_end] = ACTIONS(2389),
    [sym_identifier] = ACTIONS(2249),
    [anon_sym_export] = ACTIONS(2249),
    [anon_sym_STAR] = ACTIONS(2251),
    [anon_sym_type] = ACTIONS(2249),
    [anon_sym_as] = ACTIONS(2251),
    [anon_sym_namespace] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2249),
    [anon_sym_COMMA] = ACTIONS(2251),
    [anon_sym_RBRACE] = ACTIONS(2249),
    [anon_sym_typeof] = ACTIONS(2249),
    [anon_sym_import] = ACTIONS(2249),
    [anon_sym_var] = ACTIONS(2249),
    [anon_sym_let] = ACTIONS(2249),
    [anon_sym_const] = ACTIONS(2249),
    [anon_sym_BANG] = ACTIONS(2249),
    [anon_sym_else] = ACTIONS(2249),
    [anon_sym_if] = ACTIONS(2249),
    [anon_sym_switch] = ACTIONS(2249),
    [anon_sym_for] = ACTIONS(2249),
    [anon_sym_LPAREN] = ACTIONS(2249),
    [anon_sym_await] = ACTIONS(2249),
    [anon_sym_in] = ACTIONS(2251),
    [anon_sym_while] = ACTIONS(2249),
    [anon_sym_do] = ACTIONS(2249),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_with] = ACTIONS(2249),
    [anon_sym_break] = ACTIONS(2249),
    [anon_sym_continue] = ACTIONS(2249),
    [anon_sym_debugger] = ACTIONS(2249),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_throw] = ACTIONS(2249),
    [anon_sym_SEMI] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2249),
    [anon_sym_LBRACK] = ACTIONS(2249),
    [anon_sym_LTtemplate_GT] = ACTIONS(2249),
    [anon_sym_GT] = ACTIONS(2251),
    [anon_sym_DOT] = ACTIONS(2251),
    [anon_sym_class] = ACTIONS(2249),
    [anon_sym_async] = ACTIONS(2249),
    [anon_sym_function] = ACTIONS(2249),
    [anon_sym_QMARK_DOT] = ACTIONS(2251),
    [anon_sym_new] = ACTIONS(2249),
    [anon_sym_using] = ACTIONS(2249),
    [anon_sym_AMP_AMP] = ACTIONS(2251),
    [anon_sym_PIPE_PIPE] = ACTIONS(2251),
    [anon_sym_GT_GT] = ACTIONS(2251),
    [anon_sym_GT_GT_GT] = ACTIONS(2251),
    [anon_sym_LT_LT] = ACTIONS(2251),
    [anon_sym_AMP] = ACTIONS(2251),
    [anon_sym_CARET] = ACTIONS(2251),
    [anon_sym_PIPE] = ACTIONS(2251),
    [anon_sym_PLUS] = ACTIONS(2249),
    [anon_sym_DASH] = ACTIONS(2249),
    [anon_sym_SLASH] = ACTIONS(2249),
    [anon_sym_PERCENT] = ACTIONS(2251),
    [anon_sym_STAR_STAR] = ACTIONS(2251),
    [anon_sym_LT] = ACTIONS(2249),
    [anon_sym_LT_EQ] = ACTIONS(2251),
    [anon_sym_EQ_EQ] = ACTIONS(2251),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2251),
    [anon_sym_BANG_EQ] = ACTIONS(2251),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2251),
    [anon_sym_GT_EQ] = ACTIONS(2251),
    [anon_sym_QMARK_QMARK] = ACTIONS(2251),
    [anon_sym_instanceof] = ACTIONS(2251),
    [anon_sym_TILDE] = ACTIONS(2249),
    [anon_sym_void] = ACTIONS(2249),
    [anon_sym_delete] = ACTIONS(2249),
    [anon_sym_PLUS_PLUS] = ACTIONS(2249),
    [anon_sym_DASH_DASH] = ACTIONS(2249),
    [anon_sym_DQUOTE] = ACTIONS(2249),
    [anon_sym_SQUOTE] = ACTIONS(2249),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2249),
    [sym_number] = ACTIONS(2249),
    [sym_private_property_identifier] = ACTIONS(2249),
    [sym_this] = ACTIONS(2249),
    [sym_super] = ACTIONS(2249),
    [sym_true] = ACTIONS(2249),
    [sym_false] = ACTIONS(2249),
    [sym_null] = ACTIONS(2249),
    [sym_undefined] = ACTIONS(2249),
    [anon_sym_AT] = ACTIONS(2249),
    [anon_sym_static] = ACTIONS(2249),
    [anon_sym_readonly] = ACTIONS(2249),
    [anon_sym_get] = ACTIONS(2249),
    [anon_sym_set] = ACTIONS(2249),
    [anon_sym_declare] = ACTIONS(2249),
    [anon_sym_public] = ACTIONS(2249),
    [anon_sym_private] = ACTIONS(2249),
    [anon_sym_protected] = ACTIONS(2249),
    [anon_sym_override] = ACTIONS(2249),
    [anon_sym_module] = ACTIONS(2249),
    [anon_sym_any] = ACTIONS(2249),
    [anon_sym_number] = ACTIONS(2249),
    [anon_sym_boolean] = ACTIONS(2249),
    [anon_sym_string] = ACTIONS(2249),
    [anon_sym_symbol] = ACTIONS(2249),
    [anon_sym_object] = ACTIONS(2249),
    [anon_sym_abstract] = ACTIONS(2249),
    [anon_sym_satisfies] = ACTIONS(2251),
    [anon_sym_interface] = ACTIONS(2249),
    [anon_sym_enum] = ACTIONS(2249),
    [sym__automatic_semicolon] = ACTIONS(2391),
    [sym__ternary_qmark] = ACTIONS(2255),
    [sym_html_comment] = ACTIONS(5),
  },
  [418] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2819),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_assignment_pattern] = STATE(6420),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2069),
    [sym_subscript_expression] = STATE(2069),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4577),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(418),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5718),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2069),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1936),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(978),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1938),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1942),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_object] = ACTIONS(958),
    [sym_html_comment] = ACTIONS(5),
  },
  [419] = {
    [sym_comment] = STATE(419),
    [sym_identifier] = ACTIONS(2107),
    [anon_sym_export] = ACTIONS(2107),
    [anon_sym_STAR] = ACTIONS(2109),
    [anon_sym_default] = ACTIONS(2107),
    [anon_sym_type] = ACTIONS(2107),
    [anon_sym_as] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2107),
    [anon_sym_LBRACE] = ACTIONS(2107),
    [anon_sym_COMMA] = ACTIONS(2109),
    [anon_sym_RBRACE] = ACTIONS(2107),
    [anon_sym_typeof] = ACTIONS(2107),
    [anon_sym_import] = ACTIONS(2107),
    [anon_sym_var] = ACTIONS(2107),
    [anon_sym_let] = ACTIONS(2107),
    [anon_sym_const] = ACTIONS(2107),
    [anon_sym_BANG] = ACTIONS(2107),
    [anon_sym_if] = ACTIONS(2107),
    [anon_sym_switch] = ACTIONS(2107),
    [anon_sym_for] = ACTIONS(2107),
    [anon_sym_LPAREN] = ACTIONS(2107),
    [anon_sym_await] = ACTIONS(2107),
    [anon_sym_in] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2107),
    [anon_sym_do] = ACTIONS(2107),
    [anon_sym_try] = ACTIONS(2107),
    [anon_sym_with] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2107),
    [anon_sym_continue] = ACTIONS(2107),
    [anon_sym_debugger] = ACTIONS(2107),
    [anon_sym_return] = ACTIONS(2107),
    [anon_sym_throw] = ACTIONS(2107),
    [anon_sym_SEMI] = ACTIONS(2107),
    [anon_sym_case] = ACTIONS(2107),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_LBRACK] = ACTIONS(2107),
    [anon_sym_LTtemplate_GT] = ACTIONS(2107),
    [anon_sym_GT] = ACTIONS(2109),
    [anon_sym_DOT] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2107),
    [anon_sym_async] = ACTIONS(2107),
    [anon_sym_function] = ACTIONS(2107),
    [anon_sym_QMARK_DOT] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_using] = ACTIONS(2107),
    [anon_sym_AMP_AMP] = ACTIONS(2109),
    [anon_sym_PIPE_PIPE] = ACTIONS(2109),
    [anon_sym_GT_GT] = ACTIONS(2109),
    [anon_sym_GT_GT_GT] = ACTIONS(2109),
    [anon_sym_LT_LT] = ACTIONS(2109),
    [anon_sym_AMP] = ACTIONS(2109),
    [anon_sym_CARET] = ACTIONS(2109),
    [anon_sym_PIPE] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2107),
    [anon_sym_DASH] = ACTIONS(2107),
    [anon_sym_SLASH] = ACTIONS(2107),
    [anon_sym_PERCENT] = ACTIONS(2109),
    [anon_sym_STAR_STAR] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2107),
    [anon_sym_LT_EQ] = ACTIONS(2109),
    [anon_sym_EQ_EQ] = ACTIONS(2109),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2109),
    [anon_sym_BANG_EQ] = ACTIONS(2109),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2109),
    [anon_sym_GT_EQ] = ACTIONS(2109),
    [anon_sym_QMARK_QMARK] = ACTIONS(2109),
    [anon_sym_instanceof] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2107),
    [anon_sym_void] = ACTIONS(2107),
    [anon_sym_delete] = ACTIONS(2107),
    [anon_sym_PLUS_PLUS] = ACTIONS(2107),
    [anon_sym_DASH_DASH] = ACTIONS(2107),
    [anon_sym_DQUOTE] = ACTIONS(2107),
    [anon_sym_SQUOTE] = ACTIONS(2107),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2107),
    [sym_number] = ACTIONS(2107),
    [sym_private_property_identifier] = ACTIONS(2107),
    [sym_this] = ACTIONS(2107),
    [sym_super] = ACTIONS(2107),
    [sym_true] = ACTIONS(2107),
    [sym_false] = ACTIONS(2107),
    [sym_null] = ACTIONS(2107),
    [sym_undefined] = ACTIONS(2107),
    [anon_sym_AT] = ACTIONS(2107),
    [anon_sym_static] = ACTIONS(2107),
    [anon_sym_readonly] = ACTIONS(2107),
    [anon_sym_get] = ACTIONS(2107),
    [anon_sym_set] = ACTIONS(2107),
    [anon_sym_declare] = ACTIONS(2107),
    [anon_sym_public] = ACTIONS(2107),
    [anon_sym_private] = ACTIONS(2107),
    [anon_sym_protected] = ACTIONS(2107),
    [anon_sym_override] = ACTIONS(2107),
    [anon_sym_module] = ACTIONS(2107),
    [anon_sym_any] = ACTIONS(2107),
    [anon_sym_number] = ACTIONS(2107),
    [anon_sym_boolean] = ACTIONS(2107),
    [anon_sym_string] = ACTIONS(2107),
    [anon_sym_symbol] = ACTIONS(2107),
    [anon_sym_object] = ACTIONS(2107),
    [anon_sym_abstract] = ACTIONS(2107),
    [anon_sym_satisfies] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2107),
    [anon_sym_enum] = ACTIONS(2107),
    [sym__automatic_semicolon] = ACTIONS(2111),
    [sym__ternary_qmark] = ACTIONS(2111),
    [sym_html_comment] = ACTIONS(5),
  },
  [420] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_assignment_pattern] = STATE(6420),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2067),
    [sym_subscript_expression] = STATE(2067),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4604),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(420),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5718),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2067),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [421] = {
    [sym_comment] = STATE(421),
    [ts_builtin_sym_end] = ACTIONS(2137),
    [sym_identifier] = ACTIONS(2135),
    [anon_sym_export] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2135),
    [anon_sym_type] = ACTIONS(2135),
    [anon_sym_as] = ACTIONS(2135),
    [anon_sym_namespace] = ACTIONS(2135),
    [anon_sym_LBRACE] = ACTIONS(2135),
    [anon_sym_COMMA] = ACTIONS(2135),
    [anon_sym_RBRACE] = ACTIONS(2135),
    [anon_sym_typeof] = ACTIONS(2135),
    [anon_sym_import] = ACTIONS(2135),
    [anon_sym_var] = ACTIONS(2135),
    [anon_sym_let] = ACTIONS(2135),
    [anon_sym_const] = ACTIONS(2135),
    [anon_sym_BANG] = ACTIONS(2135),
    [anon_sym_else] = ACTIONS(2135),
    [anon_sym_if] = ACTIONS(2135),
    [anon_sym_switch] = ACTIONS(2135),
    [anon_sym_for] = ACTIONS(2135),
    [anon_sym_LPAREN] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2135),
    [anon_sym_in] = ACTIONS(2135),
    [anon_sym_while] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(2135),
    [anon_sym_try] = ACTIONS(2135),
    [anon_sym_with] = ACTIONS(2135),
    [anon_sym_break] = ACTIONS(2135),
    [anon_sym_continue] = ACTIONS(2135),
    [anon_sym_debugger] = ACTIONS(2135),
    [anon_sym_return] = ACTIONS(2135),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_SEMI] = ACTIONS(2135),
    [anon_sym_yield] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(2135),
    [anon_sym_LTtemplate_GT] = ACTIONS(2135),
    [anon_sym_GT] = ACTIONS(2135),
    [anon_sym_DOT] = ACTIONS(2135),
    [anon_sym_class] = ACTIONS(2135),
    [anon_sym_async] = ACTIONS(2135),
    [anon_sym_function] = ACTIONS(2135),
    [anon_sym_QMARK_DOT] = ACTIONS(2135),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_using] = ACTIONS(2135),
    [anon_sym_AMP_AMP] = ACTIONS(2135),
    [anon_sym_PIPE_PIPE] = ACTIONS(2135),
    [anon_sym_GT_GT] = ACTIONS(2135),
    [anon_sym_GT_GT_GT] = ACTIONS(2135),
    [anon_sym_LT_LT] = ACTIONS(2135),
    [anon_sym_AMP] = ACTIONS(2135),
    [anon_sym_CARET] = ACTIONS(2135),
    [anon_sym_PIPE] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_SLASH] = ACTIONS(2135),
    [anon_sym_PERCENT] = ACTIONS(2135),
    [anon_sym_STAR_STAR] = ACTIONS(2135),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_LT_EQ] = ACTIONS(2135),
    [anon_sym_EQ_EQ] = ACTIONS(2135),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2135),
    [anon_sym_BANG_EQ] = ACTIONS(2135),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2135),
    [anon_sym_GT_EQ] = ACTIONS(2135),
    [anon_sym_QMARK_QMARK] = ACTIONS(2135),
    [anon_sym_instanceof] = ACTIONS(2135),
    [anon_sym_TILDE] = ACTIONS(2135),
    [anon_sym_void] = ACTIONS(2135),
    [anon_sym_delete] = ACTIONS(2135),
    [anon_sym_PLUS_PLUS] = ACTIONS(2135),
    [anon_sym_DASH_DASH] = ACTIONS(2135),
    [anon_sym_DQUOTE] = ACTIONS(2135),
    [anon_sym_SQUOTE] = ACTIONS(2135),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2135),
    [sym_number] = ACTIONS(2135),
    [sym_private_property_identifier] = ACTIONS(2135),
    [sym_this] = ACTIONS(2135),
    [sym_super] = ACTIONS(2135),
    [sym_true] = ACTIONS(2135),
    [sym_false] = ACTIONS(2135),
    [sym_null] = ACTIONS(2135),
    [sym_undefined] = ACTIONS(2135),
    [anon_sym_AT] = ACTIONS(2135),
    [anon_sym_static] = ACTIONS(2135),
    [anon_sym_readonly] = ACTIONS(2135),
    [anon_sym_get] = ACTIONS(2135),
    [anon_sym_set] = ACTIONS(2135),
    [anon_sym_declare] = ACTIONS(2135),
    [anon_sym_public] = ACTIONS(2135),
    [anon_sym_private] = ACTIONS(2135),
    [anon_sym_protected] = ACTIONS(2135),
    [anon_sym_override] = ACTIONS(2135),
    [anon_sym_module] = ACTIONS(2135),
    [anon_sym_any] = ACTIONS(2135),
    [anon_sym_number] = ACTIONS(2135),
    [anon_sym_boolean] = ACTIONS(2135),
    [anon_sym_string] = ACTIONS(2135),
    [anon_sym_symbol] = ACTIONS(2135),
    [anon_sym_object] = ACTIONS(2135),
    [anon_sym_abstract] = ACTIONS(2135),
    [anon_sym_satisfies] = ACTIONS(2135),
    [anon_sym_interface] = ACTIONS(2135),
    [anon_sym_enum] = ACTIONS(2135),
    [sym__automatic_semicolon] = ACTIONS(2137),
    [sym__ternary_qmark] = ACTIONS(2137),
    [sym_html_comment] = ACTIONS(5),
  },
  [422] = {
    [sym_comment] = STATE(422),
    [ts_builtin_sym_end] = ACTIONS(2393),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_export] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(2261),
    [anon_sym_type] = ACTIONS(2259),
    [anon_sym_as] = ACTIONS(2261),
    [anon_sym_namespace] = ACTIONS(2259),
    [anon_sym_LBRACE] = ACTIONS(2259),
    [anon_sym_COMMA] = ACTIONS(2261),
    [anon_sym_RBRACE] = ACTIONS(2259),
    [anon_sym_typeof] = ACTIONS(2259),
    [anon_sym_import] = ACTIONS(2259),
    [anon_sym_var] = ACTIONS(2259),
    [anon_sym_let] = ACTIONS(2259),
    [anon_sym_const] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2259),
    [anon_sym_else] = ACTIONS(2259),
    [anon_sym_if] = ACTIONS(2259),
    [anon_sym_switch] = ACTIONS(2259),
    [anon_sym_for] = ACTIONS(2259),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_in] = ACTIONS(2261),
    [anon_sym_while] = ACTIONS(2259),
    [anon_sym_do] = ACTIONS(2259),
    [anon_sym_try] = ACTIONS(2259),
    [anon_sym_with] = ACTIONS(2259),
    [anon_sym_break] = ACTIONS(2259),
    [anon_sym_continue] = ACTIONS(2259),
    [anon_sym_debugger] = ACTIONS(2259),
    [anon_sym_return] = ACTIONS(2259),
    [anon_sym_throw] = ACTIONS(2259),
    [anon_sym_SEMI] = ACTIONS(2259),
    [anon_sym_yield] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2259),
    [anon_sym_LTtemplate_GT] = ACTIONS(2259),
    [anon_sym_GT] = ACTIONS(2261),
    [anon_sym_DOT] = ACTIONS(2261),
    [anon_sym_class] = ACTIONS(2259),
    [anon_sym_async] = ACTIONS(2259),
    [anon_sym_function] = ACTIONS(2259),
    [anon_sym_QMARK_DOT] = ACTIONS(2261),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_using] = ACTIONS(2259),
    [anon_sym_AMP_AMP] = ACTIONS(2261),
    [anon_sym_PIPE_PIPE] = ACTIONS(2261),
    [anon_sym_GT_GT] = ACTIONS(2261),
    [anon_sym_GT_GT_GT] = ACTIONS(2261),
    [anon_sym_LT_LT] = ACTIONS(2261),
    [anon_sym_AMP] = ACTIONS(2261),
    [anon_sym_CARET] = ACTIONS(2261),
    [anon_sym_PIPE] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2259),
    [anon_sym_DASH] = ACTIONS(2259),
    [anon_sym_SLASH] = ACTIONS(2259),
    [anon_sym_PERCENT] = ACTIONS(2261),
    [anon_sym_STAR_STAR] = ACTIONS(2261),
    [anon_sym_LT] = ACTIONS(2259),
    [anon_sym_LT_EQ] = ACTIONS(2261),
    [anon_sym_EQ_EQ] = ACTIONS(2261),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2261),
    [anon_sym_BANG_EQ] = ACTIONS(2261),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2261),
    [anon_sym_GT_EQ] = ACTIONS(2261),
    [anon_sym_QMARK_QMARK] = ACTIONS(2261),
    [anon_sym_instanceof] = ACTIONS(2261),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_void] = ACTIONS(2259),
    [anon_sym_delete] = ACTIONS(2259),
    [anon_sym_PLUS_PLUS] = ACTIONS(2259),
    [anon_sym_DASH_DASH] = ACTIONS(2259),
    [anon_sym_DQUOTE] = ACTIONS(2259),
    [anon_sym_SQUOTE] = ACTIONS(2259),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2259),
    [sym_number] = ACTIONS(2259),
    [sym_private_property_identifier] = ACTIONS(2259),
    [sym_this] = ACTIONS(2259),
    [sym_super] = ACTIONS(2259),
    [sym_true] = ACTIONS(2259),
    [sym_false] = ACTIONS(2259),
    [sym_null] = ACTIONS(2259),
    [sym_undefined] = ACTIONS(2259),
    [anon_sym_AT] = ACTIONS(2259),
    [anon_sym_static] = ACTIONS(2259),
    [anon_sym_readonly] = ACTIONS(2259),
    [anon_sym_get] = ACTIONS(2259),
    [anon_sym_set] = ACTIONS(2259),
    [anon_sym_declare] = ACTIONS(2259),
    [anon_sym_public] = ACTIONS(2259),
    [anon_sym_private] = ACTIONS(2259),
    [anon_sym_protected] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2259),
    [anon_sym_module] = ACTIONS(2259),
    [anon_sym_any] = ACTIONS(2259),
    [anon_sym_number] = ACTIONS(2259),
    [anon_sym_boolean] = ACTIONS(2259),
    [anon_sym_string] = ACTIONS(2259),
    [anon_sym_symbol] = ACTIONS(2259),
    [anon_sym_object] = ACTIONS(2259),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_satisfies] = ACTIONS(2261),
    [anon_sym_interface] = ACTIONS(2259),
    [anon_sym_enum] = ACTIONS(2259),
    [sym__automatic_semicolon] = ACTIONS(2395),
    [sym__ternary_qmark] = ACTIONS(2265),
    [sym_html_comment] = ACTIONS(5),
  },
  [423] = {
    [sym_comment] = STATE(423),
    [ts_builtin_sym_end] = ACTIONS(2371),
    [sym_identifier] = ACTIONS(2223),
    [anon_sym_export] = ACTIONS(2223),
    [anon_sym_STAR] = ACTIONS(2225),
    [anon_sym_type] = ACTIONS(2223),
    [anon_sym_as] = ACTIONS(2225),
    [anon_sym_namespace] = ACTIONS(2223),
    [anon_sym_LBRACE] = ACTIONS(2223),
    [anon_sym_COMMA] = ACTIONS(2225),
    [anon_sym_RBRACE] = ACTIONS(2223),
    [anon_sym_typeof] = ACTIONS(2223),
    [anon_sym_import] = ACTIONS(2223),
    [anon_sym_var] = ACTIONS(2223),
    [anon_sym_let] = ACTIONS(2223),
    [anon_sym_const] = ACTIONS(2223),
    [anon_sym_BANG] = ACTIONS(2223),
    [anon_sym_if] = ACTIONS(2223),
    [anon_sym_switch] = ACTIONS(2223),
    [anon_sym_for] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(2223),
    [anon_sym_await] = ACTIONS(2223),
    [anon_sym_in] = ACTIONS(2225),
    [anon_sym_while] = ACTIONS(2223),
    [anon_sym_do] = ACTIONS(2223),
    [anon_sym_try] = ACTIONS(2223),
    [anon_sym_with] = ACTIONS(2223),
    [anon_sym_break] = ACTIONS(2223),
    [anon_sym_continue] = ACTIONS(2223),
    [anon_sym_debugger] = ACTIONS(2223),
    [anon_sym_return] = ACTIONS(2223),
    [anon_sym_throw] = ACTIONS(2223),
    [anon_sym_SEMI] = ACTIONS(2223),
    [anon_sym_yield] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(2223),
    [anon_sym_LTtemplate_GT] = ACTIONS(2223),
    [anon_sym_GT] = ACTIONS(2225),
    [anon_sym_DOT] = ACTIONS(2225),
    [anon_sym_class] = ACTIONS(2223),
    [anon_sym_async] = ACTIONS(2223),
    [anon_sym_function] = ACTIONS(2223),
    [anon_sym_QMARK_DOT] = ACTIONS(2225),
    [anon_sym_new] = ACTIONS(2223),
    [anon_sym_using] = ACTIONS(2223),
    [anon_sym_AMP_AMP] = ACTIONS(2225),
    [anon_sym_PIPE_PIPE] = ACTIONS(2225),
    [anon_sym_GT_GT] = ACTIONS(2225),
    [anon_sym_GT_GT_GT] = ACTIONS(2225),
    [anon_sym_LT_LT] = ACTIONS(2225),
    [anon_sym_AMP] = ACTIONS(2225),
    [anon_sym_CARET] = ACTIONS(2225),
    [anon_sym_PIPE] = ACTIONS(2225),
    [anon_sym_PLUS] = ACTIONS(2223),
    [anon_sym_DASH] = ACTIONS(2223),
    [anon_sym_SLASH] = ACTIONS(2223),
    [anon_sym_PERCENT] = ACTIONS(2225),
    [anon_sym_STAR_STAR] = ACTIONS(2225),
    [anon_sym_LT] = ACTIONS(2223),
    [anon_sym_LT_EQ] = ACTIONS(2225),
    [anon_sym_EQ_EQ] = ACTIONS(2225),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2225),
    [anon_sym_BANG_EQ] = ACTIONS(2225),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2225),
    [anon_sym_GT_EQ] = ACTIONS(2225),
    [anon_sym_QMARK_QMARK] = ACTIONS(2225),
    [anon_sym_instanceof] = ACTIONS(2225),
    [anon_sym_TILDE] = ACTIONS(2223),
    [anon_sym_void] = ACTIONS(2223),
    [anon_sym_delete] = ACTIONS(2223),
    [anon_sym_PLUS_PLUS] = ACTIONS(2223),
    [anon_sym_DASH_DASH] = ACTIONS(2223),
    [anon_sym_DQUOTE] = ACTIONS(2223),
    [anon_sym_SQUOTE] = ACTIONS(2223),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2223),
    [sym_number] = ACTIONS(2223),
    [sym_private_property_identifier] = ACTIONS(2223),
    [sym_this] = ACTIONS(2223),
    [sym_super] = ACTIONS(2223),
    [sym_true] = ACTIONS(2223),
    [sym_false] = ACTIONS(2223),
    [sym_null] = ACTIONS(2223),
    [sym_undefined] = ACTIONS(2223),
    [anon_sym_AT] = ACTIONS(2223),
    [anon_sym_static] = ACTIONS(2223),
    [anon_sym_readonly] = ACTIONS(2223),
    [anon_sym_get] = ACTIONS(2223),
    [anon_sym_set] = ACTIONS(2223),
    [anon_sym_declare] = ACTIONS(2223),
    [anon_sym_public] = ACTIONS(2223),
    [anon_sym_private] = ACTIONS(2223),
    [anon_sym_protected] = ACTIONS(2223),
    [anon_sym_override] = ACTIONS(2223),
    [anon_sym_module] = ACTIONS(2223),
    [anon_sym_any] = ACTIONS(2223),
    [anon_sym_number] = ACTIONS(2223),
    [anon_sym_boolean] = ACTIONS(2223),
    [anon_sym_string] = ACTIONS(2223),
    [anon_sym_symbol] = ACTIONS(2223),
    [anon_sym_object] = ACTIONS(2223),
    [anon_sym_abstract] = ACTIONS(2223),
    [anon_sym_satisfies] = ACTIONS(2225),
    [anon_sym_interface] = ACTIONS(2223),
    [anon_sym_enum] = ACTIONS(2223),
    [sym__automatic_semicolon] = ACTIONS(2397),
    [sym__ternary_qmark] = ACTIONS(2229),
    [sym_html_comment] = ACTIONS(5),
  },
  [424] = {
    [sym_comment] = STATE(424),
    [ts_builtin_sym_end] = ACTIONS(2351),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_export] = ACTIONS(2193),
    [anon_sym_STAR] = ACTIONS(2195),
    [anon_sym_type] = ACTIONS(2193),
    [anon_sym_as] = ACTIONS(2195),
    [anon_sym_namespace] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(2193),
    [anon_sym_COMMA] = ACTIONS(2195),
    [anon_sym_RBRACE] = ACTIONS(2193),
    [anon_sym_typeof] = ACTIONS(2193),
    [anon_sym_import] = ACTIONS(2193),
    [anon_sym_var] = ACTIONS(2193),
    [anon_sym_let] = ACTIONS(2193),
    [anon_sym_const] = ACTIONS(2193),
    [anon_sym_BANG] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2193),
    [anon_sym_switch] = ACTIONS(2193),
    [anon_sym_for] = ACTIONS(2193),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_await] = ACTIONS(2193),
    [anon_sym_in] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(2193),
    [anon_sym_do] = ACTIONS(2193),
    [anon_sym_try] = ACTIONS(2193),
    [anon_sym_with] = ACTIONS(2193),
    [anon_sym_break] = ACTIONS(2193),
    [anon_sym_continue] = ACTIONS(2193),
    [anon_sym_debugger] = ACTIONS(2193),
    [anon_sym_return] = ACTIONS(2193),
    [anon_sym_throw] = ACTIONS(2193),
    [anon_sym_SEMI] = ACTIONS(2193),
    [anon_sym_yield] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2193),
    [anon_sym_LTtemplate_GT] = ACTIONS(2193),
    [anon_sym_GT] = ACTIONS(2195),
    [anon_sym_DOT] = ACTIONS(2195),
    [anon_sym_class] = ACTIONS(2193),
    [anon_sym_async] = ACTIONS(2193),
    [anon_sym_function] = ACTIONS(2193),
    [anon_sym_QMARK_DOT] = ACTIONS(2195),
    [anon_sym_new] = ACTIONS(2193),
    [anon_sym_using] = ACTIONS(2193),
    [anon_sym_AMP_AMP] = ACTIONS(2195),
    [anon_sym_PIPE_PIPE] = ACTIONS(2195),
    [anon_sym_GT_GT] = ACTIONS(2195),
    [anon_sym_GT_GT_GT] = ACTIONS(2195),
    [anon_sym_LT_LT] = ACTIONS(2195),
    [anon_sym_AMP] = ACTIONS(2195),
    [anon_sym_CARET] = ACTIONS(2195),
    [anon_sym_PIPE] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2193),
    [anon_sym_DASH] = ACTIONS(2193),
    [anon_sym_SLASH] = ACTIONS(2193),
    [anon_sym_PERCENT] = ACTIONS(2195),
    [anon_sym_STAR_STAR] = ACTIONS(2195),
    [anon_sym_LT] = ACTIONS(2193),
    [anon_sym_LT_EQ] = ACTIONS(2195),
    [anon_sym_EQ_EQ] = ACTIONS(2195),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2195),
    [anon_sym_BANG_EQ] = ACTIONS(2195),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2195),
    [anon_sym_GT_EQ] = ACTIONS(2195),
    [anon_sym_QMARK_QMARK] = ACTIONS(2195),
    [anon_sym_instanceof] = ACTIONS(2195),
    [anon_sym_TILDE] = ACTIONS(2193),
    [anon_sym_void] = ACTIONS(2193),
    [anon_sym_delete] = ACTIONS(2193),
    [anon_sym_PLUS_PLUS] = ACTIONS(2193),
    [anon_sym_DASH_DASH] = ACTIONS(2193),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [anon_sym_SQUOTE] = ACTIONS(2193),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2193),
    [sym_number] = ACTIONS(2193),
    [sym_private_property_identifier] = ACTIONS(2193),
    [sym_this] = ACTIONS(2193),
    [sym_super] = ACTIONS(2193),
    [sym_true] = ACTIONS(2193),
    [sym_false] = ACTIONS(2193),
    [sym_null] = ACTIONS(2193),
    [sym_undefined] = ACTIONS(2193),
    [anon_sym_AT] = ACTIONS(2193),
    [anon_sym_static] = ACTIONS(2193),
    [anon_sym_readonly] = ACTIONS(2193),
    [anon_sym_get] = ACTIONS(2193),
    [anon_sym_set] = ACTIONS(2193),
    [anon_sym_declare] = ACTIONS(2193),
    [anon_sym_public] = ACTIONS(2193),
    [anon_sym_private] = ACTIONS(2193),
    [anon_sym_protected] = ACTIONS(2193),
    [anon_sym_override] = ACTIONS(2193),
    [anon_sym_module] = ACTIONS(2193),
    [anon_sym_any] = ACTIONS(2193),
    [anon_sym_number] = ACTIONS(2193),
    [anon_sym_boolean] = ACTIONS(2193),
    [anon_sym_string] = ACTIONS(2193),
    [anon_sym_symbol] = ACTIONS(2193),
    [anon_sym_object] = ACTIONS(2193),
    [anon_sym_abstract] = ACTIONS(2193),
    [anon_sym_satisfies] = ACTIONS(2195),
    [anon_sym_interface] = ACTIONS(2193),
    [anon_sym_enum] = ACTIONS(2193),
    [sym__automatic_semicolon] = ACTIONS(2399),
    [sym__ternary_qmark] = ACTIONS(2199),
    [sym_html_comment] = ACTIONS(5),
  },
  [425] = {
    [sym_comment] = STATE(425),
    [ts_builtin_sym_end] = ACTIONS(2363),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_export] = ACTIONS(2205),
    [anon_sym_STAR] = ACTIONS(2207),
    [anon_sym_type] = ACTIONS(2205),
    [anon_sym_as] = ACTIONS(2207),
    [anon_sym_namespace] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2205),
    [anon_sym_COMMA] = ACTIONS(2207),
    [anon_sym_RBRACE] = ACTIONS(2205),
    [anon_sym_typeof] = ACTIONS(2205),
    [anon_sym_import] = ACTIONS(2205),
    [anon_sym_var] = ACTIONS(2205),
    [anon_sym_let] = ACTIONS(2205),
    [anon_sym_const] = ACTIONS(2205),
    [anon_sym_BANG] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2205),
    [anon_sym_switch] = ACTIONS(2205),
    [anon_sym_for] = ACTIONS(2205),
    [anon_sym_LPAREN] = ACTIONS(2205),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_in] = ACTIONS(2207),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_try] = ACTIONS(2205),
    [anon_sym_with] = ACTIONS(2205),
    [anon_sym_break] = ACTIONS(2205),
    [anon_sym_continue] = ACTIONS(2205),
    [anon_sym_debugger] = ACTIONS(2205),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2205),
    [anon_sym_SEMI] = ACTIONS(2205),
    [anon_sym_yield] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_LTtemplate_GT] = ACTIONS(2205),
    [anon_sym_GT] = ACTIONS(2207),
    [anon_sym_DOT] = ACTIONS(2207),
    [anon_sym_class] = ACTIONS(2205),
    [anon_sym_async] = ACTIONS(2205),
    [anon_sym_function] = ACTIONS(2205),
    [anon_sym_QMARK_DOT] = ACTIONS(2207),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_using] = ACTIONS(2205),
    [anon_sym_AMP_AMP] = ACTIONS(2207),
    [anon_sym_PIPE_PIPE] = ACTIONS(2207),
    [anon_sym_GT_GT] = ACTIONS(2207),
    [anon_sym_GT_GT_GT] = ACTIONS(2207),
    [anon_sym_LT_LT] = ACTIONS(2207),
    [anon_sym_AMP] = ACTIONS(2207),
    [anon_sym_CARET] = ACTIONS(2207),
    [anon_sym_PIPE] = ACTIONS(2207),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_SLASH] = ACTIONS(2205),
    [anon_sym_PERCENT] = ACTIONS(2207),
    [anon_sym_STAR_STAR] = ACTIONS(2207),
    [anon_sym_LT] = ACTIONS(2205),
    [anon_sym_LT_EQ] = ACTIONS(2207),
    [anon_sym_EQ_EQ] = ACTIONS(2207),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2207),
    [anon_sym_BANG_EQ] = ACTIONS(2207),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2207),
    [anon_sym_GT_EQ] = ACTIONS(2207),
    [anon_sym_QMARK_QMARK] = ACTIONS(2207),
    [anon_sym_instanceof] = ACTIONS(2207),
    [anon_sym_TILDE] = ACTIONS(2205),
    [anon_sym_void] = ACTIONS(2205),
    [anon_sym_delete] = ACTIONS(2205),
    [anon_sym_PLUS_PLUS] = ACTIONS(2205),
    [anon_sym_DASH_DASH] = ACTIONS(2205),
    [anon_sym_DQUOTE] = ACTIONS(2205),
    [anon_sym_SQUOTE] = ACTIONS(2205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2205),
    [sym_number] = ACTIONS(2205),
    [sym_private_property_identifier] = ACTIONS(2205),
    [sym_this] = ACTIONS(2205),
    [sym_super] = ACTIONS(2205),
    [sym_true] = ACTIONS(2205),
    [sym_false] = ACTIONS(2205),
    [sym_null] = ACTIONS(2205),
    [sym_undefined] = ACTIONS(2205),
    [anon_sym_AT] = ACTIONS(2205),
    [anon_sym_static] = ACTIONS(2205),
    [anon_sym_readonly] = ACTIONS(2205),
    [anon_sym_get] = ACTIONS(2205),
    [anon_sym_set] = ACTIONS(2205),
    [anon_sym_declare] = ACTIONS(2205),
    [anon_sym_public] = ACTIONS(2205),
    [anon_sym_private] = ACTIONS(2205),
    [anon_sym_protected] = ACTIONS(2205),
    [anon_sym_override] = ACTIONS(2205),
    [anon_sym_module] = ACTIONS(2205),
    [anon_sym_any] = ACTIONS(2205),
    [anon_sym_number] = ACTIONS(2205),
    [anon_sym_boolean] = ACTIONS(2205),
    [anon_sym_string] = ACTIONS(2205),
    [anon_sym_symbol] = ACTIONS(2205),
    [anon_sym_object] = ACTIONS(2205),
    [anon_sym_abstract] = ACTIONS(2205),
    [anon_sym_satisfies] = ACTIONS(2207),
    [anon_sym_interface] = ACTIONS(2205),
    [anon_sym_enum] = ACTIONS(2205),
    [sym__automatic_semicolon] = ACTIONS(2401),
    [sym__ternary_qmark] = ACTIONS(2211),
    [sym_html_comment] = ACTIONS(5),
  },
  [426] = {
    [sym_comment] = STATE(426),
    [ts_builtin_sym_end] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2065),
    [anon_sym_export] = ACTIONS(2065),
    [anon_sym_STAR] = ACTIONS(2065),
    [anon_sym_type] = ACTIONS(2065),
    [anon_sym_as] = ACTIONS(2065),
    [anon_sym_namespace] = ACTIONS(2065),
    [anon_sym_LBRACE] = ACTIONS(2065),
    [anon_sym_COMMA] = ACTIONS(2065),
    [anon_sym_RBRACE] = ACTIONS(2065),
    [anon_sym_typeof] = ACTIONS(2065),
    [anon_sym_import] = ACTIONS(2065),
    [anon_sym_var] = ACTIONS(2065),
    [anon_sym_let] = ACTIONS(2065),
    [anon_sym_const] = ACTIONS(2065),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_if] = ACTIONS(2065),
    [anon_sym_switch] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2065),
    [anon_sym_LPAREN] = ACTIONS(2065),
    [anon_sym_await] = ACTIONS(2065),
    [anon_sym_in] = ACTIONS(2065),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_do] = ACTIONS(2065),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_with] = ACTIONS(2065),
    [anon_sym_break] = ACTIONS(2065),
    [anon_sym_continue] = ACTIONS(2065),
    [anon_sym_debugger] = ACTIONS(2065),
    [anon_sym_return] = ACTIONS(2065),
    [anon_sym_throw] = ACTIONS(2065),
    [anon_sym_SEMI] = ACTIONS(2065),
    [anon_sym_yield] = ACTIONS(2065),
    [anon_sym_LBRACK] = ACTIONS(2065),
    [anon_sym_LTtemplate_GT] = ACTIONS(2065),
    [anon_sym_GT] = ACTIONS(2065),
    [anon_sym_DOT] = ACTIONS(2065),
    [anon_sym_class] = ACTIONS(2065),
    [anon_sym_async] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2065),
    [anon_sym_QMARK_DOT] = ACTIONS(2065),
    [anon_sym_new] = ACTIONS(2065),
    [anon_sym_using] = ACTIONS(2065),
    [anon_sym_AMP_AMP] = ACTIONS(2065),
    [anon_sym_PIPE_PIPE] = ACTIONS(2065),
    [anon_sym_GT_GT] = ACTIONS(2065),
    [anon_sym_GT_GT_GT] = ACTIONS(2065),
    [anon_sym_LT_LT] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_PIPE] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2065),
    [anon_sym_DASH] = ACTIONS(2065),
    [anon_sym_SLASH] = ACTIONS(2065),
    [anon_sym_PERCENT] = ACTIONS(2065),
    [anon_sym_STAR_STAR] = ACTIONS(2065),
    [anon_sym_LT] = ACTIONS(2065),
    [anon_sym_LT_EQ] = ACTIONS(2065),
    [anon_sym_EQ_EQ] = ACTIONS(2065),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2065),
    [anon_sym_BANG_EQ] = ACTIONS(2065),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2065),
    [anon_sym_GT_EQ] = ACTIONS(2065),
    [anon_sym_QMARK_QMARK] = ACTIONS(2065),
    [anon_sym_instanceof] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_void] = ACTIONS(2065),
    [anon_sym_delete] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_DQUOTE] = ACTIONS(2065),
    [anon_sym_SQUOTE] = ACTIONS(2065),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2065),
    [sym_number] = ACTIONS(2065),
    [sym_private_property_identifier] = ACTIONS(2065),
    [sym_this] = ACTIONS(2065),
    [sym_super] = ACTIONS(2065),
    [sym_true] = ACTIONS(2065),
    [sym_false] = ACTIONS(2065),
    [sym_null] = ACTIONS(2065),
    [sym_undefined] = ACTIONS(2065),
    [anon_sym_AT] = ACTIONS(2065),
    [anon_sym_static] = ACTIONS(2065),
    [anon_sym_readonly] = ACTIONS(2065),
    [anon_sym_get] = ACTIONS(2065),
    [anon_sym_set] = ACTIONS(2065),
    [anon_sym_declare] = ACTIONS(2065),
    [anon_sym_public] = ACTIONS(2065),
    [anon_sym_private] = ACTIONS(2065),
    [anon_sym_protected] = ACTIONS(2065),
    [anon_sym_override] = ACTIONS(2065),
    [anon_sym_module] = ACTIONS(2065),
    [anon_sym_any] = ACTIONS(2065),
    [anon_sym_number] = ACTIONS(2065),
    [anon_sym_boolean] = ACTIONS(2065),
    [anon_sym_string] = ACTIONS(2065),
    [anon_sym_symbol] = ACTIONS(2065),
    [anon_sym_object] = ACTIONS(2065),
    [anon_sym_abstract] = ACTIONS(2065),
    [anon_sym_satisfies] = ACTIONS(2065),
    [anon_sym_interface] = ACTIONS(2065),
    [anon_sym_enum] = ACTIONS(2065),
    [sym__automatic_semicolon] = ACTIONS(2403),
    [sym__ternary_qmark] = ACTIONS(2125),
    [sym_html_comment] = ACTIONS(5),
  },
  [427] = {
    [sym_comment] = STATE(427),
    [ts_builtin_sym_end] = ACTIONS(2295),
    [sym_identifier] = ACTIONS(2155),
    [anon_sym_export] = ACTIONS(2155),
    [anon_sym_STAR] = ACTIONS(2157),
    [anon_sym_type] = ACTIONS(2155),
    [anon_sym_as] = ACTIONS(2157),
    [anon_sym_namespace] = ACTIONS(2155),
    [anon_sym_LBRACE] = ACTIONS(2155),
    [anon_sym_COMMA] = ACTIONS(2157),
    [anon_sym_RBRACE] = ACTIONS(2155),
    [anon_sym_typeof] = ACTIONS(2155),
    [anon_sym_import] = ACTIONS(2155),
    [anon_sym_var] = ACTIONS(2155),
    [anon_sym_let] = ACTIONS(2155),
    [anon_sym_const] = ACTIONS(2155),
    [anon_sym_BANG] = ACTIONS(2155),
    [anon_sym_if] = ACTIONS(2155),
    [anon_sym_switch] = ACTIONS(2155),
    [anon_sym_for] = ACTIONS(2155),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_await] = ACTIONS(2155),
    [anon_sym_in] = ACTIONS(2157),
    [anon_sym_while] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(2155),
    [anon_sym_try] = ACTIONS(2155),
    [anon_sym_with] = ACTIONS(2155),
    [anon_sym_break] = ACTIONS(2155),
    [anon_sym_continue] = ACTIONS(2155),
    [anon_sym_debugger] = ACTIONS(2155),
    [anon_sym_return] = ACTIONS(2155),
    [anon_sym_throw] = ACTIONS(2155),
    [anon_sym_SEMI] = ACTIONS(2155),
    [anon_sym_yield] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2155),
    [anon_sym_LTtemplate_GT] = ACTIONS(2155),
    [anon_sym_GT] = ACTIONS(2157),
    [anon_sym_DOT] = ACTIONS(2157),
    [anon_sym_class] = ACTIONS(2155),
    [anon_sym_async] = ACTIONS(2155),
    [anon_sym_function] = ACTIONS(2155),
    [anon_sym_QMARK_DOT] = ACTIONS(2157),
    [anon_sym_new] = ACTIONS(2155),
    [anon_sym_using] = ACTIONS(2155),
    [anon_sym_AMP_AMP] = ACTIONS(2157),
    [anon_sym_PIPE_PIPE] = ACTIONS(2157),
    [anon_sym_GT_GT] = ACTIONS(2157),
    [anon_sym_GT_GT_GT] = ACTIONS(2157),
    [anon_sym_LT_LT] = ACTIONS(2157),
    [anon_sym_AMP] = ACTIONS(2157),
    [anon_sym_CARET] = ACTIONS(2157),
    [anon_sym_PIPE] = ACTIONS(2157),
    [anon_sym_PLUS] = ACTIONS(2155),
    [anon_sym_DASH] = ACTIONS(2155),
    [anon_sym_SLASH] = ACTIONS(2155),
    [anon_sym_PERCENT] = ACTIONS(2157),
    [anon_sym_STAR_STAR] = ACTIONS(2157),
    [anon_sym_LT] = ACTIONS(2155),
    [anon_sym_LT_EQ] = ACTIONS(2157),
    [anon_sym_EQ_EQ] = ACTIONS(2157),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2157),
    [anon_sym_BANG_EQ] = ACTIONS(2157),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2157),
    [anon_sym_GT_EQ] = ACTIONS(2157),
    [anon_sym_QMARK_QMARK] = ACTIONS(2157),
    [anon_sym_instanceof] = ACTIONS(2157),
    [anon_sym_TILDE] = ACTIONS(2155),
    [anon_sym_void] = ACTIONS(2155),
    [anon_sym_delete] = ACTIONS(2155),
    [anon_sym_PLUS_PLUS] = ACTIONS(2155),
    [anon_sym_DASH_DASH] = ACTIONS(2155),
    [anon_sym_DQUOTE] = ACTIONS(2155),
    [anon_sym_SQUOTE] = ACTIONS(2155),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2155),
    [sym_number] = ACTIONS(2155),
    [sym_private_property_identifier] = ACTIONS(2155),
    [sym_this] = ACTIONS(2155),
    [sym_super] = ACTIONS(2155),
    [sym_true] = ACTIONS(2155),
    [sym_false] = ACTIONS(2155),
    [sym_null] = ACTIONS(2155),
    [sym_undefined] = ACTIONS(2155),
    [anon_sym_AT] = ACTIONS(2155),
    [anon_sym_static] = ACTIONS(2155),
    [anon_sym_readonly] = ACTIONS(2155),
    [anon_sym_get] = ACTIONS(2155),
    [anon_sym_set] = ACTIONS(2155),
    [anon_sym_declare] = ACTIONS(2155),
    [anon_sym_public] = ACTIONS(2155),
    [anon_sym_private] = ACTIONS(2155),
    [anon_sym_protected] = ACTIONS(2155),
    [anon_sym_override] = ACTIONS(2155),
    [anon_sym_module] = ACTIONS(2155),
    [anon_sym_any] = ACTIONS(2155),
    [anon_sym_number] = ACTIONS(2155),
    [anon_sym_boolean] = ACTIONS(2155),
    [anon_sym_string] = ACTIONS(2155),
    [anon_sym_symbol] = ACTIONS(2155),
    [anon_sym_object] = ACTIONS(2155),
    [anon_sym_abstract] = ACTIONS(2155),
    [anon_sym_satisfies] = ACTIONS(2157),
    [anon_sym_interface] = ACTIONS(2155),
    [anon_sym_enum] = ACTIONS(2155),
    [sym__automatic_semicolon] = ACTIONS(2405),
    [sym__ternary_qmark] = ACTIONS(2161),
    [sym_html_comment] = ACTIONS(5),
  },
  [428] = {
    [sym_comment] = STATE(428),
    [ts_builtin_sym_end] = ACTIONS(2337),
    [sym_identifier] = ACTIONS(2185),
    [anon_sym_export] = ACTIONS(2185),
    [anon_sym_STAR] = ACTIONS(2187),
    [anon_sym_type] = ACTIONS(2185),
    [anon_sym_as] = ACTIONS(2187),
    [anon_sym_namespace] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2185),
    [anon_sym_COMMA] = ACTIONS(2187),
    [anon_sym_RBRACE] = ACTIONS(2185),
    [anon_sym_typeof] = ACTIONS(2185),
    [anon_sym_import] = ACTIONS(2185),
    [anon_sym_var] = ACTIONS(2185),
    [anon_sym_let] = ACTIONS(2185),
    [anon_sym_const] = ACTIONS(2185),
    [anon_sym_BANG] = ACTIONS(2185),
    [anon_sym_if] = ACTIONS(2185),
    [anon_sym_switch] = ACTIONS(2185),
    [anon_sym_for] = ACTIONS(2185),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_in] = ACTIONS(2187),
    [anon_sym_while] = ACTIONS(2185),
    [anon_sym_do] = ACTIONS(2185),
    [anon_sym_try] = ACTIONS(2185),
    [anon_sym_with] = ACTIONS(2185),
    [anon_sym_break] = ACTIONS(2185),
    [anon_sym_continue] = ACTIONS(2185),
    [anon_sym_debugger] = ACTIONS(2185),
    [anon_sym_return] = ACTIONS(2185),
    [anon_sym_throw] = ACTIONS(2185),
    [anon_sym_SEMI] = ACTIONS(2185),
    [anon_sym_yield] = ACTIONS(2185),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_LTtemplate_GT] = ACTIONS(2185),
    [anon_sym_GT] = ACTIONS(2187),
    [anon_sym_DOT] = ACTIONS(2187),
    [anon_sym_class] = ACTIONS(2185),
    [anon_sym_async] = ACTIONS(2185),
    [anon_sym_function] = ACTIONS(2185),
    [anon_sym_QMARK_DOT] = ACTIONS(2187),
    [anon_sym_new] = ACTIONS(2185),
    [anon_sym_using] = ACTIONS(2185),
    [anon_sym_AMP_AMP] = ACTIONS(2187),
    [anon_sym_PIPE_PIPE] = ACTIONS(2187),
    [anon_sym_GT_GT] = ACTIONS(2187),
    [anon_sym_GT_GT_GT] = ACTIONS(2187),
    [anon_sym_LT_LT] = ACTIONS(2187),
    [anon_sym_AMP] = ACTIONS(2187),
    [anon_sym_CARET] = ACTIONS(2187),
    [anon_sym_PIPE] = ACTIONS(2187),
    [anon_sym_PLUS] = ACTIONS(2185),
    [anon_sym_DASH] = ACTIONS(2185),
    [anon_sym_SLASH] = ACTIONS(2185),
    [anon_sym_PERCENT] = ACTIONS(2187),
    [anon_sym_STAR_STAR] = ACTIONS(2187),
    [anon_sym_LT] = ACTIONS(2185),
    [anon_sym_LT_EQ] = ACTIONS(2187),
    [anon_sym_EQ_EQ] = ACTIONS(2187),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2187),
    [anon_sym_BANG_EQ] = ACTIONS(2187),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2187),
    [anon_sym_GT_EQ] = ACTIONS(2187),
    [anon_sym_QMARK_QMARK] = ACTIONS(2187),
    [anon_sym_instanceof] = ACTIONS(2187),
    [anon_sym_TILDE] = ACTIONS(2185),
    [anon_sym_void] = ACTIONS(2185),
    [anon_sym_delete] = ACTIONS(2185),
    [anon_sym_PLUS_PLUS] = ACTIONS(2185),
    [anon_sym_DASH_DASH] = ACTIONS(2185),
    [anon_sym_DQUOTE] = ACTIONS(2185),
    [anon_sym_SQUOTE] = ACTIONS(2185),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2185),
    [sym_number] = ACTIONS(2185),
    [sym_private_property_identifier] = ACTIONS(2185),
    [sym_this] = ACTIONS(2185),
    [sym_super] = ACTIONS(2185),
    [sym_true] = ACTIONS(2185),
    [sym_false] = ACTIONS(2185),
    [sym_null] = ACTIONS(2185),
    [sym_undefined] = ACTIONS(2185),
    [anon_sym_AT] = ACTIONS(2185),
    [anon_sym_static] = ACTIONS(2185),
    [anon_sym_readonly] = ACTIONS(2185),
    [anon_sym_get] = ACTIONS(2185),
    [anon_sym_set] = ACTIONS(2185),
    [anon_sym_declare] = ACTIONS(2185),
    [anon_sym_public] = ACTIONS(2185),
    [anon_sym_private] = ACTIONS(2185),
    [anon_sym_protected] = ACTIONS(2185),
    [anon_sym_override] = ACTIONS(2185),
    [anon_sym_module] = ACTIONS(2185),
    [anon_sym_any] = ACTIONS(2185),
    [anon_sym_number] = ACTIONS(2185),
    [anon_sym_boolean] = ACTIONS(2185),
    [anon_sym_string] = ACTIONS(2185),
    [anon_sym_symbol] = ACTIONS(2185),
    [anon_sym_object] = ACTIONS(2185),
    [anon_sym_abstract] = ACTIONS(2185),
    [anon_sym_satisfies] = ACTIONS(2187),
    [anon_sym_interface] = ACTIONS(2185),
    [anon_sym_enum] = ACTIONS(2185),
    [sym__automatic_semicolon] = ACTIONS(2407),
    [sym__ternary_qmark] = ACTIONS(2191),
    [sym_html_comment] = ACTIONS(5),
  },
  [429] = {
    [sym_comment] = STATE(429),
    [ts_builtin_sym_end] = ACTIONS(2103),
    [sym_identifier] = ACTIONS(2101),
    [anon_sym_export] = ACTIONS(2101),
    [anon_sym_STAR] = ACTIONS(2101),
    [anon_sym_type] = ACTIONS(2101),
    [anon_sym_as] = ACTIONS(2101),
    [anon_sym_namespace] = ACTIONS(2101),
    [anon_sym_LBRACE] = ACTIONS(2101),
    [anon_sym_COMMA] = ACTIONS(2101),
    [anon_sym_RBRACE] = ACTIONS(2101),
    [anon_sym_typeof] = ACTIONS(2101),
    [anon_sym_import] = ACTIONS(2101),
    [anon_sym_var] = ACTIONS(2101),
    [anon_sym_let] = ACTIONS(2101),
    [anon_sym_const] = ACTIONS(2101),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_if] = ACTIONS(2101),
    [anon_sym_switch] = ACTIONS(2101),
    [anon_sym_for] = ACTIONS(2101),
    [anon_sym_LPAREN] = ACTIONS(2101),
    [anon_sym_await] = ACTIONS(2101),
    [anon_sym_in] = ACTIONS(2101),
    [anon_sym_while] = ACTIONS(2101),
    [anon_sym_do] = ACTIONS(2101),
    [anon_sym_try] = ACTIONS(2101),
    [anon_sym_with] = ACTIONS(2101),
    [anon_sym_break] = ACTIONS(2101),
    [anon_sym_continue] = ACTIONS(2101),
    [anon_sym_debugger] = ACTIONS(2101),
    [anon_sym_return] = ACTIONS(2101),
    [anon_sym_throw] = ACTIONS(2101),
    [anon_sym_SEMI] = ACTIONS(2101),
    [anon_sym_yield] = ACTIONS(2101),
    [anon_sym_LBRACK] = ACTIONS(2101),
    [anon_sym_LTtemplate_GT] = ACTIONS(2101),
    [anon_sym_GT] = ACTIONS(2101),
    [anon_sym_DOT] = ACTIONS(2101),
    [anon_sym_class] = ACTIONS(2101),
    [anon_sym_async] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2101),
    [anon_sym_QMARK_DOT] = ACTIONS(2101),
    [anon_sym_new] = ACTIONS(2101),
    [anon_sym_using] = ACTIONS(2101),
    [anon_sym_AMP_AMP] = ACTIONS(2101),
    [anon_sym_PIPE_PIPE] = ACTIONS(2101),
    [anon_sym_GT_GT] = ACTIONS(2101),
    [anon_sym_GT_GT_GT] = ACTIONS(2101),
    [anon_sym_LT_LT] = ACTIONS(2101),
    [anon_sym_AMP] = ACTIONS(2101),
    [anon_sym_CARET] = ACTIONS(2101),
    [anon_sym_PIPE] = ACTIONS(2101),
    [anon_sym_PLUS] = ACTIONS(2101),
    [anon_sym_DASH] = ACTIONS(2101),
    [anon_sym_SLASH] = ACTIONS(2101),
    [anon_sym_PERCENT] = ACTIONS(2101),
    [anon_sym_STAR_STAR] = ACTIONS(2101),
    [anon_sym_LT] = ACTIONS(2101),
    [anon_sym_LT_EQ] = ACTIONS(2101),
    [anon_sym_EQ_EQ] = ACTIONS(2101),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2101),
    [anon_sym_BANG_EQ] = ACTIONS(2101),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2101),
    [anon_sym_GT_EQ] = ACTIONS(2101),
    [anon_sym_QMARK_QMARK] = ACTIONS(2101),
    [anon_sym_instanceof] = ACTIONS(2101),
    [anon_sym_TILDE] = ACTIONS(2101),
    [anon_sym_void] = ACTIONS(2101),
    [anon_sym_delete] = ACTIONS(2101),
    [anon_sym_PLUS_PLUS] = ACTIONS(2101),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_DQUOTE] = ACTIONS(2101),
    [anon_sym_SQUOTE] = ACTIONS(2101),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2101),
    [sym_number] = ACTIONS(2101),
    [sym_private_property_identifier] = ACTIONS(2101),
    [sym_this] = ACTIONS(2101),
    [sym_super] = ACTIONS(2101),
    [sym_true] = ACTIONS(2101),
    [sym_false] = ACTIONS(2101),
    [sym_null] = ACTIONS(2101),
    [sym_undefined] = ACTIONS(2101),
    [anon_sym_AT] = ACTIONS(2101),
    [anon_sym_static] = ACTIONS(2101),
    [anon_sym_readonly] = ACTIONS(2101),
    [anon_sym_get] = ACTIONS(2101),
    [anon_sym_set] = ACTIONS(2101),
    [anon_sym_declare] = ACTIONS(2101),
    [anon_sym_public] = ACTIONS(2101),
    [anon_sym_private] = ACTIONS(2101),
    [anon_sym_protected] = ACTIONS(2101),
    [anon_sym_override] = ACTIONS(2101),
    [anon_sym_module] = ACTIONS(2101),
    [anon_sym_any] = ACTIONS(2101),
    [anon_sym_number] = ACTIONS(2101),
    [anon_sym_boolean] = ACTIONS(2101),
    [anon_sym_string] = ACTIONS(2101),
    [anon_sym_symbol] = ACTIONS(2101),
    [anon_sym_object] = ACTIONS(2101),
    [anon_sym_abstract] = ACTIONS(2101),
    [anon_sym_satisfies] = ACTIONS(2101),
    [anon_sym_interface] = ACTIONS(2101),
    [anon_sym_enum] = ACTIONS(2101),
    [sym__automatic_semicolon] = ACTIONS(2103),
    [sym__ternary_qmark] = ACTIONS(2103),
    [sym_html_comment] = ACTIONS(5),
  },
  [430] = {
    [sym_comment] = STATE(430),
    [ts_builtin_sym_end] = ACTIONS(2091),
    [sym_identifier] = ACTIONS(2089),
    [anon_sym_export] = ACTIONS(2089),
    [anon_sym_STAR] = ACTIONS(2089),
    [anon_sym_type] = ACTIONS(2089),
    [anon_sym_as] = ACTIONS(2089),
    [anon_sym_namespace] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2089),
    [anon_sym_COMMA] = ACTIONS(2089),
    [anon_sym_RBRACE] = ACTIONS(2089),
    [anon_sym_typeof] = ACTIONS(2089),
    [anon_sym_import] = ACTIONS(2089),
    [anon_sym_var] = ACTIONS(2089),
    [anon_sym_let] = ACTIONS(2089),
    [anon_sym_const] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2089),
    [anon_sym_if] = ACTIONS(2089),
    [anon_sym_switch] = ACTIONS(2089),
    [anon_sym_for] = ACTIONS(2089),
    [anon_sym_LPAREN] = ACTIONS(2089),
    [anon_sym_await] = ACTIONS(2089),
    [anon_sym_in] = ACTIONS(2089),
    [anon_sym_while] = ACTIONS(2089),
    [anon_sym_do] = ACTIONS(2089),
    [anon_sym_try] = ACTIONS(2089),
    [anon_sym_with] = ACTIONS(2089),
    [anon_sym_break] = ACTIONS(2089),
    [anon_sym_continue] = ACTIONS(2089),
    [anon_sym_debugger] = ACTIONS(2089),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_throw] = ACTIONS(2089),
    [anon_sym_SEMI] = ACTIONS(2089),
    [anon_sym_yield] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2089),
    [anon_sym_LTtemplate_GT] = ACTIONS(2089),
    [anon_sym_GT] = ACTIONS(2089),
    [anon_sym_DOT] = ACTIONS(2089),
    [anon_sym_class] = ACTIONS(2089),
    [anon_sym_async] = ACTIONS(2089),
    [anon_sym_function] = ACTIONS(2089),
    [anon_sym_QMARK_DOT] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2089),
    [anon_sym_using] = ACTIONS(2089),
    [anon_sym_AMP_AMP] = ACTIONS(2089),
    [anon_sym_PIPE_PIPE] = ACTIONS(2089),
    [anon_sym_GT_GT] = ACTIONS(2089),
    [anon_sym_GT_GT_GT] = ACTIONS(2089),
    [anon_sym_LT_LT] = ACTIONS(2089),
    [anon_sym_AMP] = ACTIONS(2089),
    [anon_sym_CARET] = ACTIONS(2089),
    [anon_sym_PIPE] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(2089),
    [anon_sym_DASH] = ACTIONS(2089),
    [anon_sym_SLASH] = ACTIONS(2089),
    [anon_sym_PERCENT] = ACTIONS(2089),
    [anon_sym_STAR_STAR] = ACTIONS(2089),
    [anon_sym_LT] = ACTIONS(2089),
    [anon_sym_LT_EQ] = ACTIONS(2089),
    [anon_sym_EQ_EQ] = ACTIONS(2089),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2089),
    [anon_sym_BANG_EQ] = ACTIONS(2089),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2089),
    [anon_sym_GT_EQ] = ACTIONS(2089),
    [anon_sym_QMARK_QMARK] = ACTIONS(2089),
    [anon_sym_instanceof] = ACTIONS(2089),
    [anon_sym_TILDE] = ACTIONS(2089),
    [anon_sym_void] = ACTIONS(2089),
    [anon_sym_delete] = ACTIONS(2089),
    [anon_sym_PLUS_PLUS] = ACTIONS(2089),
    [anon_sym_DASH_DASH] = ACTIONS(2089),
    [anon_sym_DQUOTE] = ACTIONS(2089),
    [anon_sym_SQUOTE] = ACTIONS(2089),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2089),
    [sym_number] = ACTIONS(2089),
    [sym_private_property_identifier] = ACTIONS(2089),
    [sym_this] = ACTIONS(2089),
    [sym_super] = ACTIONS(2089),
    [sym_true] = ACTIONS(2089),
    [sym_false] = ACTIONS(2089),
    [sym_null] = ACTIONS(2089),
    [sym_undefined] = ACTIONS(2089),
    [anon_sym_AT] = ACTIONS(2089),
    [anon_sym_static] = ACTIONS(2089),
    [anon_sym_readonly] = ACTIONS(2089),
    [anon_sym_get] = ACTIONS(2089),
    [anon_sym_set] = ACTIONS(2089),
    [anon_sym_declare] = ACTIONS(2089),
    [anon_sym_public] = ACTIONS(2089),
    [anon_sym_private] = ACTIONS(2089),
    [anon_sym_protected] = ACTIONS(2089),
    [anon_sym_override] = ACTIONS(2089),
    [anon_sym_module] = ACTIONS(2089),
    [anon_sym_any] = ACTIONS(2089),
    [anon_sym_number] = ACTIONS(2089),
    [anon_sym_boolean] = ACTIONS(2089),
    [anon_sym_string] = ACTIONS(2089),
    [anon_sym_symbol] = ACTIONS(2089),
    [anon_sym_object] = ACTIONS(2089),
    [anon_sym_abstract] = ACTIONS(2089),
    [anon_sym_satisfies] = ACTIONS(2089),
    [anon_sym_interface] = ACTIONS(2089),
    [anon_sym_enum] = ACTIONS(2089),
    [sym__automatic_semicolon] = ACTIONS(2091),
    [sym__ternary_qmark] = ACTIONS(2091),
    [sym_html_comment] = ACTIONS(5),
  },
  [431] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2671),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6996),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(431),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(2409),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym__automatic_semicolon] = ACTIONS(2411),
    [sym_html_comment] = ACTIONS(5),
  },
  [432] = {
    [sym_comment] = STATE(432),
    [ts_builtin_sym_end] = ACTIONS(2121),
    [sym_identifier] = ACTIONS(2119),
    [anon_sym_export] = ACTIONS(2119),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_type] = ACTIONS(2119),
    [anon_sym_as] = ACTIONS(2119),
    [anon_sym_namespace] = ACTIONS(2119),
    [anon_sym_LBRACE] = ACTIONS(2119),
    [anon_sym_COMMA] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2119),
    [anon_sym_import] = ACTIONS(2119),
    [anon_sym_var] = ACTIONS(2119),
    [anon_sym_let] = ACTIONS(2119),
    [anon_sym_const] = ACTIONS(2119),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_switch] = ACTIONS(2119),
    [anon_sym_for] = ACTIONS(2119),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2119),
    [anon_sym_in] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2119),
    [anon_sym_do] = ACTIONS(2119),
    [anon_sym_try] = ACTIONS(2119),
    [anon_sym_with] = ACTIONS(2119),
    [anon_sym_break] = ACTIONS(2119),
    [anon_sym_continue] = ACTIONS(2119),
    [anon_sym_debugger] = ACTIONS(2119),
    [anon_sym_return] = ACTIONS(2119),
    [anon_sym_throw] = ACTIONS(2119),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_yield] = ACTIONS(2119),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_GT] = ACTIONS(2119),
    [anon_sym_DOT] = ACTIONS(2119),
    [anon_sym_class] = ACTIONS(2119),
    [anon_sym_async] = ACTIONS(2119),
    [anon_sym_function] = ACTIONS(2119),
    [anon_sym_QMARK_DOT] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2119),
    [anon_sym_using] = ACTIONS(2119),
    [anon_sym_AMP_AMP] = ACTIONS(2119),
    [anon_sym_PIPE_PIPE] = ACTIONS(2119),
    [anon_sym_GT_GT] = ACTIONS(2119),
    [anon_sym_GT_GT_GT] = ACTIONS(2119),
    [anon_sym_LT_LT] = ACTIONS(2119),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2119),
    [anon_sym_PIPE] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2119),
    [anon_sym_DASH] = ACTIONS(2119),
    [anon_sym_SLASH] = ACTIONS(2119),
    [anon_sym_PERCENT] = ACTIONS(2119),
    [anon_sym_STAR_STAR] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2119),
    [anon_sym_LT_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ] = ACTIONS(2119),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ] = ACTIONS(2119),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2119),
    [anon_sym_GT_EQ] = ACTIONS(2119),
    [anon_sym_QMARK_QMARK] = ACTIONS(2119),
    [anon_sym_instanceof] = ACTIONS(2119),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2119),
    [anon_sym_delete] = ACTIONS(2119),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_private_property_identifier] = ACTIONS(2119),
    [sym_this] = ACTIONS(2119),
    [sym_super] = ACTIONS(2119),
    [sym_true] = ACTIONS(2119),
    [sym_false] = ACTIONS(2119),
    [sym_null] = ACTIONS(2119),
    [sym_undefined] = ACTIONS(2119),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2119),
    [anon_sym_readonly] = ACTIONS(2119),
    [anon_sym_get] = ACTIONS(2119),
    [anon_sym_set] = ACTIONS(2119),
    [anon_sym_declare] = ACTIONS(2119),
    [anon_sym_public] = ACTIONS(2119),
    [anon_sym_private] = ACTIONS(2119),
    [anon_sym_protected] = ACTIONS(2119),
    [anon_sym_override] = ACTIONS(2119),
    [anon_sym_module] = ACTIONS(2119),
    [anon_sym_any] = ACTIONS(2119),
    [anon_sym_number] = ACTIONS(2119),
    [anon_sym_boolean] = ACTIONS(2119),
    [anon_sym_string] = ACTIONS(2119),
    [anon_sym_symbol] = ACTIONS(2119),
    [anon_sym_object] = ACTIONS(2119),
    [anon_sym_abstract] = ACTIONS(2119),
    [anon_sym_satisfies] = ACTIONS(2119),
    [anon_sym_interface] = ACTIONS(2119),
    [anon_sym_enum] = ACTIONS(2119),
    [sym__automatic_semicolon] = ACTIONS(2121),
    [sym__ternary_qmark] = ACTIONS(2121),
    [sym_html_comment] = ACTIONS(5),
  },
  [433] = {
    [sym_comment] = STATE(433),
    [ts_builtin_sym_end] = ACTIONS(2393),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_export] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(2261),
    [anon_sym_type] = ACTIONS(2259),
    [anon_sym_as] = ACTIONS(2261),
    [anon_sym_namespace] = ACTIONS(2259),
    [anon_sym_LBRACE] = ACTIONS(2259),
    [anon_sym_COMMA] = ACTIONS(2261),
    [anon_sym_RBRACE] = ACTIONS(2259),
    [anon_sym_typeof] = ACTIONS(2259),
    [anon_sym_import] = ACTIONS(2259),
    [anon_sym_var] = ACTIONS(2259),
    [anon_sym_let] = ACTIONS(2259),
    [anon_sym_const] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2259),
    [anon_sym_if] = ACTIONS(2259),
    [anon_sym_switch] = ACTIONS(2259),
    [anon_sym_for] = ACTIONS(2259),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_in] = ACTIONS(2261),
    [anon_sym_while] = ACTIONS(2259),
    [anon_sym_do] = ACTIONS(2259),
    [anon_sym_try] = ACTIONS(2259),
    [anon_sym_with] = ACTIONS(2259),
    [anon_sym_break] = ACTIONS(2259),
    [anon_sym_continue] = ACTIONS(2259),
    [anon_sym_debugger] = ACTIONS(2259),
    [anon_sym_return] = ACTIONS(2259),
    [anon_sym_throw] = ACTIONS(2259),
    [anon_sym_SEMI] = ACTIONS(2259),
    [anon_sym_yield] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2259),
    [anon_sym_LTtemplate_GT] = ACTIONS(2259),
    [anon_sym_GT] = ACTIONS(2261),
    [anon_sym_DOT] = ACTIONS(2261),
    [anon_sym_class] = ACTIONS(2259),
    [anon_sym_async] = ACTIONS(2259),
    [anon_sym_function] = ACTIONS(2259),
    [anon_sym_QMARK_DOT] = ACTIONS(2261),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_using] = ACTIONS(2259),
    [anon_sym_AMP_AMP] = ACTIONS(2261),
    [anon_sym_PIPE_PIPE] = ACTIONS(2261),
    [anon_sym_GT_GT] = ACTIONS(2261),
    [anon_sym_GT_GT_GT] = ACTIONS(2261),
    [anon_sym_LT_LT] = ACTIONS(2261),
    [anon_sym_AMP] = ACTIONS(2261),
    [anon_sym_CARET] = ACTIONS(2261),
    [anon_sym_PIPE] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2259),
    [anon_sym_DASH] = ACTIONS(2259),
    [anon_sym_SLASH] = ACTIONS(2259),
    [anon_sym_PERCENT] = ACTIONS(2261),
    [anon_sym_STAR_STAR] = ACTIONS(2261),
    [anon_sym_LT] = ACTIONS(2259),
    [anon_sym_LT_EQ] = ACTIONS(2261),
    [anon_sym_EQ_EQ] = ACTIONS(2261),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2261),
    [anon_sym_BANG_EQ] = ACTIONS(2261),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2261),
    [anon_sym_GT_EQ] = ACTIONS(2261),
    [anon_sym_QMARK_QMARK] = ACTIONS(2261),
    [anon_sym_instanceof] = ACTIONS(2261),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_void] = ACTIONS(2259),
    [anon_sym_delete] = ACTIONS(2259),
    [anon_sym_PLUS_PLUS] = ACTIONS(2259),
    [anon_sym_DASH_DASH] = ACTIONS(2259),
    [anon_sym_DQUOTE] = ACTIONS(2259),
    [anon_sym_SQUOTE] = ACTIONS(2259),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2259),
    [sym_number] = ACTIONS(2259),
    [sym_private_property_identifier] = ACTIONS(2259),
    [sym_this] = ACTIONS(2259),
    [sym_super] = ACTIONS(2259),
    [sym_true] = ACTIONS(2259),
    [sym_false] = ACTIONS(2259),
    [sym_null] = ACTIONS(2259),
    [sym_undefined] = ACTIONS(2259),
    [anon_sym_AT] = ACTIONS(2259),
    [anon_sym_static] = ACTIONS(2259),
    [anon_sym_readonly] = ACTIONS(2259),
    [anon_sym_get] = ACTIONS(2259),
    [anon_sym_set] = ACTIONS(2259),
    [anon_sym_declare] = ACTIONS(2259),
    [anon_sym_public] = ACTIONS(2259),
    [anon_sym_private] = ACTIONS(2259),
    [anon_sym_protected] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2259),
    [anon_sym_module] = ACTIONS(2259),
    [anon_sym_any] = ACTIONS(2259),
    [anon_sym_number] = ACTIONS(2259),
    [anon_sym_boolean] = ACTIONS(2259),
    [anon_sym_string] = ACTIONS(2259),
    [anon_sym_symbol] = ACTIONS(2259),
    [anon_sym_object] = ACTIONS(2259),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_satisfies] = ACTIONS(2261),
    [anon_sym_interface] = ACTIONS(2259),
    [anon_sym_enum] = ACTIONS(2259),
    [sym__automatic_semicolon] = ACTIONS(2413),
    [sym__ternary_qmark] = ACTIONS(2265),
    [sym_html_comment] = ACTIONS(5),
  },
  [434] = {
    [sym_comment] = STATE(434),
    [ts_builtin_sym_end] = ACTIONS(2143),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_STAR] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_as] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_COMMA] = ACTIONS(2141),
    [anon_sym_RBRACE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_in] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LTtemplate_GT] = ACTIONS(2141),
    [anon_sym_GT] = ACTIONS(2141),
    [anon_sym_DOT] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_QMARK_DOT] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_using] = ACTIONS(2141),
    [anon_sym_AMP_AMP] = ACTIONS(2141),
    [anon_sym_PIPE_PIPE] = ACTIONS(2141),
    [anon_sym_GT_GT] = ACTIONS(2141),
    [anon_sym_GT_GT_GT] = ACTIONS(2141),
    [anon_sym_LT_LT] = ACTIONS(2141),
    [anon_sym_AMP] = ACTIONS(2141),
    [anon_sym_CARET] = ACTIONS(2141),
    [anon_sym_PIPE] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_PERCENT] = ACTIONS(2141),
    [anon_sym_STAR_STAR] = ACTIONS(2141),
    [anon_sym_LT] = ACTIONS(2141),
    [anon_sym_LT_EQ] = ACTIONS(2141),
    [anon_sym_EQ_EQ] = ACTIONS(2141),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2141),
    [anon_sym_BANG_EQ] = ACTIONS(2141),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2141),
    [anon_sym_GT_EQ] = ACTIONS(2141),
    [anon_sym_QMARK_QMARK] = ACTIONS(2141),
    [anon_sym_instanceof] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [sym_private_property_identifier] = ACTIONS(2141),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_object] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_satisfies] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
    [sym__automatic_semicolon] = ACTIONS(2415),
    [sym__ternary_qmark] = ACTIONS(2143),
    [sym_html_comment] = ACTIONS(5),
  },
  [435] = {
    [sym_comment] = STATE(435),
    [ts_builtin_sym_end] = ACTIONS(2143),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_STAR] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_as] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_COMMA] = ACTIONS(2141),
    [anon_sym_RBRACE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_in] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LTtemplate_GT] = ACTIONS(2141),
    [anon_sym_GT] = ACTIONS(2141),
    [anon_sym_DOT] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_QMARK_DOT] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_using] = ACTIONS(2141),
    [anon_sym_AMP_AMP] = ACTIONS(2141),
    [anon_sym_PIPE_PIPE] = ACTIONS(2141),
    [anon_sym_GT_GT] = ACTIONS(2141),
    [anon_sym_GT_GT_GT] = ACTIONS(2141),
    [anon_sym_LT_LT] = ACTIONS(2141),
    [anon_sym_AMP] = ACTIONS(2141),
    [anon_sym_CARET] = ACTIONS(2141),
    [anon_sym_PIPE] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_PERCENT] = ACTIONS(2141),
    [anon_sym_STAR_STAR] = ACTIONS(2141),
    [anon_sym_LT] = ACTIONS(2141),
    [anon_sym_LT_EQ] = ACTIONS(2141),
    [anon_sym_EQ_EQ] = ACTIONS(2141),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2141),
    [anon_sym_BANG_EQ] = ACTIONS(2141),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2141),
    [anon_sym_GT_EQ] = ACTIONS(2141),
    [anon_sym_QMARK_QMARK] = ACTIONS(2141),
    [anon_sym_instanceof] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [sym_private_property_identifier] = ACTIONS(2141),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_object] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_satisfies] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
    [sym__automatic_semicolon] = ACTIONS(2143),
    [sym__ternary_qmark] = ACTIONS(2143),
    [sym_html_comment] = ACTIONS(5),
  },
  [436] = {
    [sym_comment] = STATE(436),
    [ts_builtin_sym_end] = ACTIONS(2167),
    [sym_identifier] = ACTIONS(2165),
    [anon_sym_export] = ACTIONS(2165),
    [anon_sym_STAR] = ACTIONS(2165),
    [anon_sym_type] = ACTIONS(2165),
    [anon_sym_as] = ACTIONS(2165),
    [anon_sym_namespace] = ACTIONS(2165),
    [anon_sym_LBRACE] = ACTIONS(2165),
    [anon_sym_COMMA] = ACTIONS(2165),
    [anon_sym_RBRACE] = ACTIONS(2165),
    [anon_sym_typeof] = ACTIONS(2165),
    [anon_sym_import] = ACTIONS(2165),
    [anon_sym_var] = ACTIONS(2165),
    [anon_sym_let] = ACTIONS(2165),
    [anon_sym_const] = ACTIONS(2165),
    [anon_sym_BANG] = ACTIONS(2165),
    [anon_sym_if] = ACTIONS(2165),
    [anon_sym_switch] = ACTIONS(2165),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_LPAREN] = ACTIONS(2165),
    [anon_sym_await] = ACTIONS(2165),
    [anon_sym_in] = ACTIONS(2165),
    [anon_sym_while] = ACTIONS(2165),
    [anon_sym_do] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_with] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2165),
    [anon_sym_continue] = ACTIONS(2165),
    [anon_sym_debugger] = ACTIONS(2165),
    [anon_sym_return] = ACTIONS(2165),
    [anon_sym_throw] = ACTIONS(2165),
    [anon_sym_SEMI] = ACTIONS(2165),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_LBRACK] = ACTIONS(2165),
    [anon_sym_LTtemplate_GT] = ACTIONS(2165),
    [anon_sym_GT] = ACTIONS(2165),
    [anon_sym_DOT] = ACTIONS(2165),
    [anon_sym_class] = ACTIONS(2165),
    [anon_sym_async] = ACTIONS(2165),
    [anon_sym_function] = ACTIONS(2165),
    [anon_sym_QMARK_DOT] = ACTIONS(2165),
    [anon_sym_new] = ACTIONS(2165),
    [anon_sym_using] = ACTIONS(2165),
    [anon_sym_AMP_AMP] = ACTIONS(2165),
    [anon_sym_PIPE_PIPE] = ACTIONS(2165),
    [anon_sym_GT_GT] = ACTIONS(2165),
    [anon_sym_GT_GT_GT] = ACTIONS(2165),
    [anon_sym_LT_LT] = ACTIONS(2165),
    [anon_sym_AMP] = ACTIONS(2165),
    [anon_sym_CARET] = ACTIONS(2165),
    [anon_sym_PIPE] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(2165),
    [anon_sym_DASH] = ACTIONS(2165),
    [anon_sym_SLASH] = ACTIONS(2165),
    [anon_sym_PERCENT] = ACTIONS(2165),
    [anon_sym_STAR_STAR] = ACTIONS(2165),
    [anon_sym_LT] = ACTIONS(2165),
    [anon_sym_LT_EQ] = ACTIONS(2165),
    [anon_sym_EQ_EQ] = ACTIONS(2165),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2165),
    [anon_sym_BANG_EQ] = ACTIONS(2165),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2165),
    [anon_sym_GT_EQ] = ACTIONS(2165),
    [anon_sym_QMARK_QMARK] = ACTIONS(2165),
    [anon_sym_instanceof] = ACTIONS(2165),
    [anon_sym_TILDE] = ACTIONS(2165),
    [anon_sym_void] = ACTIONS(2165),
    [anon_sym_delete] = ACTIONS(2165),
    [anon_sym_PLUS_PLUS] = ACTIONS(2165),
    [anon_sym_DASH_DASH] = ACTIONS(2165),
    [anon_sym_DQUOTE] = ACTIONS(2165),
    [anon_sym_SQUOTE] = ACTIONS(2165),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2165),
    [sym_number] = ACTIONS(2165),
    [sym_private_property_identifier] = ACTIONS(2165),
    [sym_this] = ACTIONS(2165),
    [sym_super] = ACTIONS(2165),
    [sym_true] = ACTIONS(2165),
    [sym_false] = ACTIONS(2165),
    [sym_null] = ACTIONS(2165),
    [sym_undefined] = ACTIONS(2165),
    [anon_sym_AT] = ACTIONS(2165),
    [anon_sym_static] = ACTIONS(2165),
    [anon_sym_readonly] = ACTIONS(2165),
    [anon_sym_get] = ACTIONS(2165),
    [anon_sym_set] = ACTIONS(2165),
    [anon_sym_declare] = ACTIONS(2165),
    [anon_sym_public] = ACTIONS(2165),
    [anon_sym_private] = ACTIONS(2165),
    [anon_sym_protected] = ACTIONS(2165),
    [anon_sym_override] = ACTIONS(2165),
    [anon_sym_module] = ACTIONS(2165),
    [anon_sym_any] = ACTIONS(2165),
    [anon_sym_number] = ACTIONS(2165),
    [anon_sym_boolean] = ACTIONS(2165),
    [anon_sym_string] = ACTIONS(2165),
    [anon_sym_symbol] = ACTIONS(2165),
    [anon_sym_object] = ACTIONS(2165),
    [anon_sym_abstract] = ACTIONS(2165),
    [anon_sym_satisfies] = ACTIONS(2165),
    [anon_sym_interface] = ACTIONS(2165),
    [anon_sym_enum] = ACTIONS(2165),
    [sym__automatic_semicolon] = ACTIONS(2167),
    [sym__ternary_qmark] = ACTIONS(2167),
    [sym_html_comment] = ACTIONS(5),
  },
  [437] = {
    [sym_comment] = STATE(437),
    [ts_builtin_sym_end] = ACTIONS(2323),
    [sym_identifier] = ACTIONS(2177),
    [anon_sym_export] = ACTIONS(2177),
    [anon_sym_STAR] = ACTIONS(2179),
    [anon_sym_type] = ACTIONS(2177),
    [anon_sym_as] = ACTIONS(2179),
    [anon_sym_namespace] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(2177),
    [anon_sym_COMMA] = ACTIONS(2179),
    [anon_sym_RBRACE] = ACTIONS(2177),
    [anon_sym_typeof] = ACTIONS(2177),
    [anon_sym_import] = ACTIONS(2177),
    [anon_sym_var] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2177),
    [anon_sym_const] = ACTIONS(2177),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_if] = ACTIONS(2177),
    [anon_sym_switch] = ACTIONS(2177),
    [anon_sym_for] = ACTIONS(2177),
    [anon_sym_LPAREN] = ACTIONS(2177),
    [anon_sym_await] = ACTIONS(2177),
    [anon_sym_in] = ACTIONS(2179),
    [anon_sym_while] = ACTIONS(2177),
    [anon_sym_do] = ACTIONS(2177),
    [anon_sym_try] = ACTIONS(2177),
    [anon_sym_with] = ACTIONS(2177),
    [anon_sym_break] = ACTIONS(2177),
    [anon_sym_continue] = ACTIONS(2177),
    [anon_sym_debugger] = ACTIONS(2177),
    [anon_sym_return] = ACTIONS(2177),
    [anon_sym_throw] = ACTIONS(2177),
    [anon_sym_SEMI] = ACTIONS(2177),
    [anon_sym_yield] = ACTIONS(2177),
    [anon_sym_LBRACK] = ACTIONS(2177),
    [anon_sym_LTtemplate_GT] = ACTIONS(2177),
    [anon_sym_GT] = ACTIONS(2179),
    [anon_sym_DOT] = ACTIONS(2179),
    [anon_sym_class] = ACTIONS(2177),
    [anon_sym_async] = ACTIONS(2177),
    [anon_sym_function] = ACTIONS(2177),
    [anon_sym_QMARK_DOT] = ACTIONS(2179),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_using] = ACTIONS(2177),
    [anon_sym_AMP_AMP] = ACTIONS(2179),
    [anon_sym_PIPE_PIPE] = ACTIONS(2179),
    [anon_sym_GT_GT] = ACTIONS(2179),
    [anon_sym_GT_GT_GT] = ACTIONS(2179),
    [anon_sym_LT_LT] = ACTIONS(2179),
    [anon_sym_AMP] = ACTIONS(2179),
    [anon_sym_CARET] = ACTIONS(2179),
    [anon_sym_PIPE] = ACTIONS(2179),
    [anon_sym_PLUS] = ACTIONS(2177),
    [anon_sym_DASH] = ACTIONS(2177),
    [anon_sym_SLASH] = ACTIONS(2177),
    [anon_sym_PERCENT] = ACTIONS(2179),
    [anon_sym_STAR_STAR] = ACTIONS(2179),
    [anon_sym_LT] = ACTIONS(2177),
    [anon_sym_LT_EQ] = ACTIONS(2179),
    [anon_sym_EQ_EQ] = ACTIONS(2179),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2179),
    [anon_sym_BANG_EQ] = ACTIONS(2179),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2179),
    [anon_sym_GT_EQ] = ACTIONS(2179),
    [anon_sym_QMARK_QMARK] = ACTIONS(2179),
    [anon_sym_instanceof] = ACTIONS(2179),
    [anon_sym_TILDE] = ACTIONS(2177),
    [anon_sym_void] = ACTIONS(2177),
    [anon_sym_delete] = ACTIONS(2177),
    [anon_sym_PLUS_PLUS] = ACTIONS(2177),
    [anon_sym_DASH_DASH] = ACTIONS(2177),
    [anon_sym_DQUOTE] = ACTIONS(2177),
    [anon_sym_SQUOTE] = ACTIONS(2177),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2177),
    [sym_number] = ACTIONS(2177),
    [sym_private_property_identifier] = ACTIONS(2177),
    [sym_this] = ACTIONS(2177),
    [sym_super] = ACTIONS(2177),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [sym_null] = ACTIONS(2177),
    [sym_undefined] = ACTIONS(2177),
    [anon_sym_AT] = ACTIONS(2177),
    [anon_sym_static] = ACTIONS(2177),
    [anon_sym_readonly] = ACTIONS(2177),
    [anon_sym_get] = ACTIONS(2177),
    [anon_sym_set] = ACTIONS(2177),
    [anon_sym_declare] = ACTIONS(2177),
    [anon_sym_public] = ACTIONS(2177),
    [anon_sym_private] = ACTIONS(2177),
    [anon_sym_protected] = ACTIONS(2177),
    [anon_sym_override] = ACTIONS(2177),
    [anon_sym_module] = ACTIONS(2177),
    [anon_sym_any] = ACTIONS(2177),
    [anon_sym_number] = ACTIONS(2177),
    [anon_sym_boolean] = ACTIONS(2177),
    [anon_sym_string] = ACTIONS(2177),
    [anon_sym_symbol] = ACTIONS(2177),
    [anon_sym_object] = ACTIONS(2177),
    [anon_sym_abstract] = ACTIONS(2177),
    [anon_sym_satisfies] = ACTIONS(2179),
    [anon_sym_interface] = ACTIONS(2177),
    [anon_sym_enum] = ACTIONS(2177),
    [sym__automatic_semicolon] = ACTIONS(2417),
    [sym__ternary_qmark] = ACTIONS(2183),
    [sym_html_comment] = ACTIONS(5),
  },
  [438] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2067),
    [sym_subscript_expression] = STATE(2067),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4604),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(438),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5232),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2067),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(2419),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2421),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [439] = {
    [sym_comment] = STATE(439),
    [ts_builtin_sym_end] = ACTIONS(2137),
    [sym_identifier] = ACTIONS(2135),
    [anon_sym_export] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2135),
    [anon_sym_type] = ACTIONS(2135),
    [anon_sym_as] = ACTIONS(2135),
    [anon_sym_namespace] = ACTIONS(2135),
    [anon_sym_LBRACE] = ACTIONS(2135),
    [anon_sym_COMMA] = ACTIONS(2135),
    [anon_sym_RBRACE] = ACTIONS(2135),
    [anon_sym_typeof] = ACTIONS(2135),
    [anon_sym_import] = ACTIONS(2135),
    [anon_sym_var] = ACTIONS(2135),
    [anon_sym_let] = ACTIONS(2135),
    [anon_sym_const] = ACTIONS(2135),
    [anon_sym_BANG] = ACTIONS(2135),
    [anon_sym_if] = ACTIONS(2135),
    [anon_sym_switch] = ACTIONS(2135),
    [anon_sym_for] = ACTIONS(2135),
    [anon_sym_LPAREN] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2135),
    [anon_sym_in] = ACTIONS(2135),
    [anon_sym_while] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(2135),
    [anon_sym_try] = ACTIONS(2135),
    [anon_sym_with] = ACTIONS(2135),
    [anon_sym_break] = ACTIONS(2135),
    [anon_sym_continue] = ACTIONS(2135),
    [anon_sym_debugger] = ACTIONS(2135),
    [anon_sym_return] = ACTIONS(2135),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_SEMI] = ACTIONS(2135),
    [anon_sym_yield] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(2135),
    [anon_sym_LTtemplate_GT] = ACTIONS(2135),
    [anon_sym_GT] = ACTIONS(2135),
    [anon_sym_DOT] = ACTIONS(2135),
    [anon_sym_class] = ACTIONS(2135),
    [anon_sym_async] = ACTIONS(2135),
    [anon_sym_function] = ACTIONS(2135),
    [anon_sym_QMARK_DOT] = ACTIONS(2135),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_using] = ACTIONS(2135),
    [anon_sym_AMP_AMP] = ACTIONS(2135),
    [anon_sym_PIPE_PIPE] = ACTIONS(2135),
    [anon_sym_GT_GT] = ACTIONS(2135),
    [anon_sym_GT_GT_GT] = ACTIONS(2135),
    [anon_sym_LT_LT] = ACTIONS(2135),
    [anon_sym_AMP] = ACTIONS(2135),
    [anon_sym_CARET] = ACTIONS(2135),
    [anon_sym_PIPE] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_SLASH] = ACTIONS(2135),
    [anon_sym_PERCENT] = ACTIONS(2135),
    [anon_sym_STAR_STAR] = ACTIONS(2135),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_LT_EQ] = ACTIONS(2135),
    [anon_sym_EQ_EQ] = ACTIONS(2135),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2135),
    [anon_sym_BANG_EQ] = ACTIONS(2135),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2135),
    [anon_sym_GT_EQ] = ACTIONS(2135),
    [anon_sym_QMARK_QMARK] = ACTIONS(2135),
    [anon_sym_instanceof] = ACTIONS(2135),
    [anon_sym_TILDE] = ACTIONS(2135),
    [anon_sym_void] = ACTIONS(2135),
    [anon_sym_delete] = ACTIONS(2135),
    [anon_sym_PLUS_PLUS] = ACTIONS(2135),
    [anon_sym_DASH_DASH] = ACTIONS(2135),
    [anon_sym_DQUOTE] = ACTIONS(2135),
    [anon_sym_SQUOTE] = ACTIONS(2135),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2135),
    [sym_number] = ACTIONS(2135),
    [sym_private_property_identifier] = ACTIONS(2135),
    [sym_this] = ACTIONS(2135),
    [sym_super] = ACTIONS(2135),
    [sym_true] = ACTIONS(2135),
    [sym_false] = ACTIONS(2135),
    [sym_null] = ACTIONS(2135),
    [sym_undefined] = ACTIONS(2135),
    [anon_sym_AT] = ACTIONS(2135),
    [anon_sym_static] = ACTIONS(2135),
    [anon_sym_readonly] = ACTIONS(2135),
    [anon_sym_get] = ACTIONS(2135),
    [anon_sym_set] = ACTIONS(2135),
    [anon_sym_declare] = ACTIONS(2135),
    [anon_sym_public] = ACTIONS(2135),
    [anon_sym_private] = ACTIONS(2135),
    [anon_sym_protected] = ACTIONS(2135),
    [anon_sym_override] = ACTIONS(2135),
    [anon_sym_module] = ACTIONS(2135),
    [anon_sym_any] = ACTIONS(2135),
    [anon_sym_number] = ACTIONS(2135),
    [anon_sym_boolean] = ACTIONS(2135),
    [anon_sym_string] = ACTIONS(2135),
    [anon_sym_symbol] = ACTIONS(2135),
    [anon_sym_object] = ACTIONS(2135),
    [anon_sym_abstract] = ACTIONS(2135),
    [anon_sym_satisfies] = ACTIONS(2135),
    [anon_sym_interface] = ACTIONS(2135),
    [anon_sym_enum] = ACTIONS(2135),
    [sym__automatic_semicolon] = ACTIONS(2137),
    [sym__ternary_qmark] = ACTIONS(2137),
    [sym_html_comment] = ACTIONS(5),
  },
  [440] = {
    [sym_comment] = STATE(440),
    [ts_builtin_sym_end] = ACTIONS(2271),
    [sym_identifier] = ACTIONS(2147),
    [anon_sym_export] = ACTIONS(2147),
    [anon_sym_STAR] = ACTIONS(2149),
    [anon_sym_type] = ACTIONS(2147),
    [anon_sym_as] = ACTIONS(2149),
    [anon_sym_namespace] = ACTIONS(2147),
    [anon_sym_LBRACE] = ACTIONS(2147),
    [anon_sym_COMMA] = ACTIONS(2149),
    [anon_sym_RBRACE] = ACTIONS(2147),
    [anon_sym_typeof] = ACTIONS(2147),
    [anon_sym_import] = ACTIONS(2147),
    [anon_sym_var] = ACTIONS(2147),
    [anon_sym_let] = ACTIONS(2147),
    [anon_sym_const] = ACTIONS(2147),
    [anon_sym_BANG] = ACTIONS(2147),
    [anon_sym_if] = ACTIONS(2147),
    [anon_sym_switch] = ACTIONS(2147),
    [anon_sym_for] = ACTIONS(2147),
    [anon_sym_LPAREN] = ACTIONS(2147),
    [anon_sym_await] = ACTIONS(2147),
    [anon_sym_in] = ACTIONS(2149),
    [anon_sym_while] = ACTIONS(2147),
    [anon_sym_do] = ACTIONS(2147),
    [anon_sym_try] = ACTIONS(2147),
    [anon_sym_with] = ACTIONS(2147),
    [anon_sym_break] = ACTIONS(2147),
    [anon_sym_continue] = ACTIONS(2147),
    [anon_sym_debugger] = ACTIONS(2147),
    [anon_sym_return] = ACTIONS(2147),
    [anon_sym_throw] = ACTIONS(2147),
    [anon_sym_SEMI] = ACTIONS(2147),
    [anon_sym_yield] = ACTIONS(2147),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_LTtemplate_GT] = ACTIONS(2147),
    [anon_sym_GT] = ACTIONS(2149),
    [anon_sym_DOT] = ACTIONS(2149),
    [anon_sym_class] = ACTIONS(2147),
    [anon_sym_async] = ACTIONS(2147),
    [anon_sym_function] = ACTIONS(2147),
    [anon_sym_QMARK_DOT] = ACTIONS(2149),
    [anon_sym_new] = ACTIONS(2147),
    [anon_sym_using] = ACTIONS(2147),
    [anon_sym_AMP_AMP] = ACTIONS(2149),
    [anon_sym_PIPE_PIPE] = ACTIONS(2149),
    [anon_sym_GT_GT] = ACTIONS(2149),
    [anon_sym_GT_GT_GT] = ACTIONS(2149),
    [anon_sym_LT_LT] = ACTIONS(2149),
    [anon_sym_AMP] = ACTIONS(2149),
    [anon_sym_CARET] = ACTIONS(2149),
    [anon_sym_PIPE] = ACTIONS(2149),
    [anon_sym_PLUS] = ACTIONS(2147),
    [anon_sym_DASH] = ACTIONS(2147),
    [anon_sym_SLASH] = ACTIONS(2147),
    [anon_sym_PERCENT] = ACTIONS(2149),
    [anon_sym_STAR_STAR] = ACTIONS(2149),
    [anon_sym_LT] = ACTIONS(2147),
    [anon_sym_LT_EQ] = ACTIONS(2149),
    [anon_sym_EQ_EQ] = ACTIONS(2149),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2149),
    [anon_sym_BANG_EQ] = ACTIONS(2149),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2149),
    [anon_sym_GT_EQ] = ACTIONS(2149),
    [anon_sym_QMARK_QMARK] = ACTIONS(2149),
    [anon_sym_instanceof] = ACTIONS(2149),
    [anon_sym_TILDE] = ACTIONS(2147),
    [anon_sym_void] = ACTIONS(2147),
    [anon_sym_delete] = ACTIONS(2147),
    [anon_sym_PLUS_PLUS] = ACTIONS(2147),
    [anon_sym_DASH_DASH] = ACTIONS(2147),
    [anon_sym_DQUOTE] = ACTIONS(2147),
    [anon_sym_SQUOTE] = ACTIONS(2147),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2147),
    [sym_number] = ACTIONS(2147),
    [sym_private_property_identifier] = ACTIONS(2147),
    [sym_this] = ACTIONS(2147),
    [sym_super] = ACTIONS(2147),
    [sym_true] = ACTIONS(2147),
    [sym_false] = ACTIONS(2147),
    [sym_null] = ACTIONS(2147),
    [sym_undefined] = ACTIONS(2147),
    [anon_sym_AT] = ACTIONS(2147),
    [anon_sym_static] = ACTIONS(2147),
    [anon_sym_readonly] = ACTIONS(2147),
    [anon_sym_get] = ACTIONS(2147),
    [anon_sym_set] = ACTIONS(2147),
    [anon_sym_declare] = ACTIONS(2147),
    [anon_sym_public] = ACTIONS(2147),
    [anon_sym_private] = ACTIONS(2147),
    [anon_sym_protected] = ACTIONS(2147),
    [anon_sym_override] = ACTIONS(2147),
    [anon_sym_module] = ACTIONS(2147),
    [anon_sym_any] = ACTIONS(2147),
    [anon_sym_number] = ACTIONS(2147),
    [anon_sym_boolean] = ACTIONS(2147),
    [anon_sym_string] = ACTIONS(2147),
    [anon_sym_symbol] = ACTIONS(2147),
    [anon_sym_object] = ACTIONS(2147),
    [anon_sym_abstract] = ACTIONS(2147),
    [anon_sym_satisfies] = ACTIONS(2149),
    [anon_sym_interface] = ACTIONS(2147),
    [anon_sym_enum] = ACTIONS(2147),
    [sym__automatic_semicolon] = ACTIONS(2423),
    [sym__ternary_qmark] = ACTIONS(2153),
    [sym_html_comment] = ACTIONS(5),
  },
  [441] = {
    [sym_comment] = STATE(441),
    [ts_builtin_sym_end] = ACTIONS(2087),
    [sym_identifier] = ACTIONS(2085),
    [anon_sym_export] = ACTIONS(2085),
    [anon_sym_STAR] = ACTIONS(2085),
    [anon_sym_type] = ACTIONS(2085),
    [anon_sym_as] = ACTIONS(2085),
    [anon_sym_namespace] = ACTIONS(2085),
    [anon_sym_LBRACE] = ACTIONS(2085),
    [anon_sym_COMMA] = ACTIONS(2085),
    [anon_sym_RBRACE] = ACTIONS(2085),
    [anon_sym_typeof] = ACTIONS(2085),
    [anon_sym_import] = ACTIONS(2085),
    [anon_sym_var] = ACTIONS(2085),
    [anon_sym_let] = ACTIONS(2085),
    [anon_sym_const] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_if] = ACTIONS(2085),
    [anon_sym_switch] = ACTIONS(2085),
    [anon_sym_for] = ACTIONS(2085),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_await] = ACTIONS(2085),
    [anon_sym_in] = ACTIONS(2085),
    [anon_sym_while] = ACTIONS(2085),
    [anon_sym_do] = ACTIONS(2085),
    [anon_sym_try] = ACTIONS(2085),
    [anon_sym_with] = ACTIONS(2085),
    [anon_sym_break] = ACTIONS(2085),
    [anon_sym_continue] = ACTIONS(2085),
    [anon_sym_debugger] = ACTIONS(2085),
    [anon_sym_return] = ACTIONS(2085),
    [anon_sym_throw] = ACTIONS(2085),
    [anon_sym_SEMI] = ACTIONS(2085),
    [anon_sym_yield] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2085),
    [anon_sym_LTtemplate_GT] = ACTIONS(2085),
    [anon_sym_GT] = ACTIONS(2085),
    [anon_sym_DOT] = ACTIONS(2085),
    [anon_sym_class] = ACTIONS(2085),
    [anon_sym_async] = ACTIONS(2085),
    [anon_sym_function] = ACTIONS(2085),
    [anon_sym_QMARK_DOT] = ACTIONS(2085),
    [anon_sym_new] = ACTIONS(2085),
    [anon_sym_using] = ACTIONS(2085),
    [anon_sym_AMP_AMP] = ACTIONS(2085),
    [anon_sym_PIPE_PIPE] = ACTIONS(2085),
    [anon_sym_GT_GT] = ACTIONS(2085),
    [anon_sym_GT_GT_GT] = ACTIONS(2085),
    [anon_sym_LT_LT] = ACTIONS(2085),
    [anon_sym_AMP] = ACTIONS(2085),
    [anon_sym_CARET] = ACTIONS(2085),
    [anon_sym_PIPE] = ACTIONS(2085),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_SLASH] = ACTIONS(2085),
    [anon_sym_PERCENT] = ACTIONS(2085),
    [anon_sym_STAR_STAR] = ACTIONS(2085),
    [anon_sym_LT] = ACTIONS(2085),
    [anon_sym_LT_EQ] = ACTIONS(2085),
    [anon_sym_EQ_EQ] = ACTIONS(2085),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2085),
    [anon_sym_BANG_EQ] = ACTIONS(2085),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2085),
    [anon_sym_GT_EQ] = ACTIONS(2085),
    [anon_sym_QMARK_QMARK] = ACTIONS(2085),
    [anon_sym_instanceof] = ACTIONS(2085),
    [anon_sym_TILDE] = ACTIONS(2085),
    [anon_sym_void] = ACTIONS(2085),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_PLUS_PLUS] = ACTIONS(2085),
    [anon_sym_DASH_DASH] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2085),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2085),
    [sym_number] = ACTIONS(2085),
    [sym_private_property_identifier] = ACTIONS(2085),
    [sym_this] = ACTIONS(2085),
    [sym_super] = ACTIONS(2085),
    [sym_true] = ACTIONS(2085),
    [sym_false] = ACTIONS(2085),
    [sym_null] = ACTIONS(2085),
    [sym_undefined] = ACTIONS(2085),
    [anon_sym_AT] = ACTIONS(2085),
    [anon_sym_static] = ACTIONS(2085),
    [anon_sym_readonly] = ACTIONS(2085),
    [anon_sym_get] = ACTIONS(2085),
    [anon_sym_set] = ACTIONS(2085),
    [anon_sym_declare] = ACTIONS(2085),
    [anon_sym_public] = ACTIONS(2085),
    [anon_sym_private] = ACTIONS(2085),
    [anon_sym_protected] = ACTIONS(2085),
    [anon_sym_override] = ACTIONS(2085),
    [anon_sym_module] = ACTIONS(2085),
    [anon_sym_any] = ACTIONS(2085),
    [anon_sym_number] = ACTIONS(2085),
    [anon_sym_boolean] = ACTIONS(2085),
    [anon_sym_string] = ACTIONS(2085),
    [anon_sym_symbol] = ACTIONS(2085),
    [anon_sym_object] = ACTIONS(2085),
    [anon_sym_abstract] = ACTIONS(2085),
    [anon_sym_satisfies] = ACTIONS(2085),
    [anon_sym_interface] = ACTIONS(2085),
    [anon_sym_enum] = ACTIONS(2085),
    [sym__automatic_semicolon] = ACTIONS(2087),
    [sym__ternary_qmark] = ACTIONS(2087),
    [sym_html_comment] = ACTIONS(5),
  },
  [442] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2626),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6985),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(442),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(2425),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym__automatic_semicolon] = ACTIONS(2427),
    [sym_html_comment] = ACTIONS(5),
  },
  [443] = {
    [sym_comment] = STATE(443),
    [ts_builtin_sym_end] = ACTIONS(2355),
    [sym_identifier] = ACTIONS(2077),
    [anon_sym_export] = ACTIONS(2077),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_type] = ACTIONS(2077),
    [anon_sym_as] = ACTIONS(2079),
    [anon_sym_namespace] = ACTIONS(2077),
    [anon_sym_LBRACE] = ACTIONS(2077),
    [anon_sym_COMMA] = ACTIONS(2079),
    [anon_sym_RBRACE] = ACTIONS(2077),
    [anon_sym_typeof] = ACTIONS(2077),
    [anon_sym_import] = ACTIONS(2077),
    [anon_sym_var] = ACTIONS(2077),
    [anon_sym_let] = ACTIONS(2077),
    [anon_sym_const] = ACTIONS(2077),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_if] = ACTIONS(2077),
    [anon_sym_switch] = ACTIONS(2077),
    [anon_sym_for] = ACTIONS(2077),
    [anon_sym_LPAREN] = ACTIONS(2077),
    [anon_sym_await] = ACTIONS(2077),
    [anon_sym_in] = ACTIONS(2079),
    [anon_sym_while] = ACTIONS(2077),
    [anon_sym_do] = ACTIONS(2077),
    [anon_sym_try] = ACTIONS(2077),
    [anon_sym_with] = ACTIONS(2077),
    [anon_sym_break] = ACTIONS(2077),
    [anon_sym_continue] = ACTIONS(2077),
    [anon_sym_debugger] = ACTIONS(2077),
    [anon_sym_return] = ACTIONS(2077),
    [anon_sym_throw] = ACTIONS(2077),
    [anon_sym_SEMI] = ACTIONS(2077),
    [anon_sym_yield] = ACTIONS(2077),
    [anon_sym_LBRACK] = ACTIONS(2077),
    [anon_sym_LTtemplate_GT] = ACTIONS(2077),
    [anon_sym_GT] = ACTIONS(2079),
    [anon_sym_DOT] = ACTIONS(2079),
    [anon_sym_class] = ACTIONS(2077),
    [anon_sym_async] = ACTIONS(2077),
    [anon_sym_function] = ACTIONS(2077),
    [anon_sym_QMARK_DOT] = ACTIONS(2079),
    [anon_sym_new] = ACTIONS(2077),
    [anon_sym_using] = ACTIONS(2077),
    [anon_sym_AMP_AMP] = ACTIONS(2079),
    [anon_sym_PIPE_PIPE] = ACTIONS(2079),
    [anon_sym_GT_GT] = ACTIONS(2079),
    [anon_sym_GT_GT_GT] = ACTIONS(2079),
    [anon_sym_LT_LT] = ACTIONS(2079),
    [anon_sym_AMP] = ACTIONS(2079),
    [anon_sym_CARET] = ACTIONS(2079),
    [anon_sym_PIPE] = ACTIONS(2079),
    [anon_sym_PLUS] = ACTIONS(2077),
    [anon_sym_DASH] = ACTIONS(2077),
    [anon_sym_SLASH] = ACTIONS(2077),
    [anon_sym_PERCENT] = ACTIONS(2079),
    [anon_sym_STAR_STAR] = ACTIONS(2079),
    [anon_sym_LT] = ACTIONS(2077),
    [anon_sym_LT_EQ] = ACTIONS(2079),
    [anon_sym_EQ_EQ] = ACTIONS(2079),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2079),
    [anon_sym_BANG_EQ] = ACTIONS(2079),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2079),
    [anon_sym_GT_EQ] = ACTIONS(2079),
    [anon_sym_QMARK_QMARK] = ACTIONS(2079),
    [anon_sym_instanceof] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_void] = ACTIONS(2077),
    [anon_sym_delete] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_DQUOTE] = ACTIONS(2077),
    [anon_sym_SQUOTE] = ACTIONS(2077),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2077),
    [sym_number] = ACTIONS(2077),
    [sym_private_property_identifier] = ACTIONS(2077),
    [sym_this] = ACTIONS(2077),
    [sym_super] = ACTIONS(2077),
    [sym_true] = ACTIONS(2077),
    [sym_false] = ACTIONS(2077),
    [sym_null] = ACTIONS(2077),
    [sym_undefined] = ACTIONS(2077),
    [anon_sym_AT] = ACTIONS(2077),
    [anon_sym_static] = ACTIONS(2077),
    [anon_sym_readonly] = ACTIONS(2077),
    [anon_sym_get] = ACTIONS(2077),
    [anon_sym_set] = ACTIONS(2077),
    [anon_sym_declare] = ACTIONS(2077),
    [anon_sym_public] = ACTIONS(2077),
    [anon_sym_private] = ACTIONS(2077),
    [anon_sym_protected] = ACTIONS(2077),
    [anon_sym_override] = ACTIONS(2077),
    [anon_sym_module] = ACTIONS(2077),
    [anon_sym_any] = ACTIONS(2077),
    [anon_sym_number] = ACTIONS(2077),
    [anon_sym_boolean] = ACTIONS(2077),
    [anon_sym_string] = ACTIONS(2077),
    [anon_sym_symbol] = ACTIONS(2077),
    [anon_sym_object] = ACTIONS(2077),
    [anon_sym_abstract] = ACTIONS(2077),
    [anon_sym_satisfies] = ACTIONS(2079),
    [anon_sym_interface] = ACTIONS(2077),
    [anon_sym_enum] = ACTIONS(2077),
    [sym__automatic_semicolon] = ACTIONS(2429),
    [sym__ternary_qmark] = ACTIONS(2083),
    [sym_html_comment] = ACTIONS(5),
  },
  [444] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2067),
    [sym_subscript_expression] = STATE(2067),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4604),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(444),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5186),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2067),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1089),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2383),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [445] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2067),
    [sym_subscript_expression] = STATE(2067),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4604),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(445),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5165),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2067),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(1085),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2431),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [446] = {
    [sym_comment] = STATE(446),
    [ts_builtin_sym_end] = ACTIONS(2129),
    [sym_identifier] = ACTIONS(2127),
    [anon_sym_export] = ACTIONS(2127),
    [anon_sym_STAR] = ACTIONS(2127),
    [anon_sym_type] = ACTIONS(2127),
    [anon_sym_as] = ACTIONS(2127),
    [anon_sym_namespace] = ACTIONS(2127),
    [anon_sym_LBRACE] = ACTIONS(2127),
    [anon_sym_COMMA] = ACTIONS(2127),
    [anon_sym_RBRACE] = ACTIONS(2127),
    [anon_sym_typeof] = ACTIONS(2127),
    [anon_sym_import] = ACTIONS(2127),
    [anon_sym_var] = ACTIONS(2127),
    [anon_sym_let] = ACTIONS(2127),
    [anon_sym_const] = ACTIONS(2127),
    [anon_sym_BANG] = ACTIONS(2127),
    [anon_sym_if] = ACTIONS(2127),
    [anon_sym_switch] = ACTIONS(2127),
    [anon_sym_for] = ACTIONS(2127),
    [anon_sym_LPAREN] = ACTIONS(2127),
    [anon_sym_await] = ACTIONS(2127),
    [anon_sym_in] = ACTIONS(2127),
    [anon_sym_while] = ACTIONS(2127),
    [anon_sym_do] = ACTIONS(2127),
    [anon_sym_try] = ACTIONS(2127),
    [anon_sym_with] = ACTIONS(2127),
    [anon_sym_break] = ACTIONS(2127),
    [anon_sym_continue] = ACTIONS(2127),
    [anon_sym_debugger] = ACTIONS(2127),
    [anon_sym_return] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2127),
    [anon_sym_SEMI] = ACTIONS(2127),
    [anon_sym_yield] = ACTIONS(2127),
    [anon_sym_LBRACK] = ACTIONS(2127),
    [anon_sym_LTtemplate_GT] = ACTIONS(2127),
    [anon_sym_GT] = ACTIONS(2127),
    [anon_sym_DOT] = ACTIONS(2127),
    [anon_sym_class] = ACTIONS(2127),
    [anon_sym_async] = ACTIONS(2127),
    [anon_sym_function] = ACTIONS(2127),
    [anon_sym_QMARK_DOT] = ACTIONS(2127),
    [anon_sym_new] = ACTIONS(2127),
    [anon_sym_using] = ACTIONS(2127),
    [anon_sym_AMP_AMP] = ACTIONS(2127),
    [anon_sym_PIPE_PIPE] = ACTIONS(2127),
    [anon_sym_GT_GT] = ACTIONS(2127),
    [anon_sym_GT_GT_GT] = ACTIONS(2127),
    [anon_sym_LT_LT] = ACTIONS(2127),
    [anon_sym_AMP] = ACTIONS(2127),
    [anon_sym_CARET] = ACTIONS(2127),
    [anon_sym_PIPE] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_SLASH] = ACTIONS(2127),
    [anon_sym_PERCENT] = ACTIONS(2127),
    [anon_sym_STAR_STAR] = ACTIONS(2127),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_LT_EQ] = ACTIONS(2127),
    [anon_sym_EQ_EQ] = ACTIONS(2127),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2127),
    [anon_sym_BANG_EQ] = ACTIONS(2127),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2127),
    [anon_sym_GT_EQ] = ACTIONS(2127),
    [anon_sym_QMARK_QMARK] = ACTIONS(2127),
    [anon_sym_instanceof] = ACTIONS(2127),
    [anon_sym_TILDE] = ACTIONS(2127),
    [anon_sym_void] = ACTIONS(2127),
    [anon_sym_delete] = ACTIONS(2127),
    [anon_sym_PLUS_PLUS] = ACTIONS(2127),
    [anon_sym_DASH_DASH] = ACTIONS(2127),
    [anon_sym_DQUOTE] = ACTIONS(2127),
    [anon_sym_SQUOTE] = ACTIONS(2127),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2127),
    [sym_number] = ACTIONS(2127),
    [sym_private_property_identifier] = ACTIONS(2127),
    [sym_this] = ACTIONS(2127),
    [sym_super] = ACTIONS(2127),
    [sym_true] = ACTIONS(2127),
    [sym_false] = ACTIONS(2127),
    [sym_null] = ACTIONS(2127),
    [sym_undefined] = ACTIONS(2127),
    [anon_sym_AT] = ACTIONS(2127),
    [anon_sym_static] = ACTIONS(2127),
    [anon_sym_readonly] = ACTIONS(2127),
    [anon_sym_get] = ACTIONS(2127),
    [anon_sym_set] = ACTIONS(2127),
    [anon_sym_declare] = ACTIONS(2127),
    [anon_sym_public] = ACTIONS(2127),
    [anon_sym_private] = ACTIONS(2127),
    [anon_sym_protected] = ACTIONS(2127),
    [anon_sym_override] = ACTIONS(2127),
    [anon_sym_module] = ACTIONS(2127),
    [anon_sym_any] = ACTIONS(2127),
    [anon_sym_number] = ACTIONS(2127),
    [anon_sym_boolean] = ACTIONS(2127),
    [anon_sym_string] = ACTIONS(2127),
    [anon_sym_symbol] = ACTIONS(2127),
    [anon_sym_object] = ACTIONS(2127),
    [anon_sym_abstract] = ACTIONS(2127),
    [anon_sym_satisfies] = ACTIONS(2127),
    [anon_sym_interface] = ACTIONS(2127),
    [anon_sym_enum] = ACTIONS(2127),
    [sym__automatic_semicolon] = ACTIONS(2129),
    [sym__ternary_qmark] = ACTIONS(2129),
    [sym_html_comment] = ACTIONS(5),
  },
  [447] = {
    [sym_comment] = STATE(447),
    [ts_builtin_sym_end] = ACTIONS(2133),
    [sym_identifier] = ACTIONS(2131),
    [anon_sym_export] = ACTIONS(2131),
    [anon_sym_STAR] = ACTIONS(2131),
    [anon_sym_type] = ACTIONS(2131),
    [anon_sym_as] = ACTIONS(2131),
    [anon_sym_namespace] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(2131),
    [anon_sym_COMMA] = ACTIONS(2131),
    [anon_sym_RBRACE] = ACTIONS(2131),
    [anon_sym_typeof] = ACTIONS(2131),
    [anon_sym_import] = ACTIONS(2131),
    [anon_sym_var] = ACTIONS(2131),
    [anon_sym_let] = ACTIONS(2131),
    [anon_sym_const] = ACTIONS(2131),
    [anon_sym_BANG] = ACTIONS(2131),
    [anon_sym_if] = ACTIONS(2131),
    [anon_sym_switch] = ACTIONS(2131),
    [anon_sym_for] = ACTIONS(2131),
    [anon_sym_LPAREN] = ACTIONS(2131),
    [anon_sym_await] = ACTIONS(2131),
    [anon_sym_in] = ACTIONS(2131),
    [anon_sym_while] = ACTIONS(2131),
    [anon_sym_do] = ACTIONS(2131),
    [anon_sym_try] = ACTIONS(2131),
    [anon_sym_with] = ACTIONS(2131),
    [anon_sym_break] = ACTIONS(2131),
    [anon_sym_continue] = ACTIONS(2131),
    [anon_sym_debugger] = ACTIONS(2131),
    [anon_sym_return] = ACTIONS(2131),
    [anon_sym_throw] = ACTIONS(2131),
    [anon_sym_SEMI] = ACTIONS(2131),
    [anon_sym_yield] = ACTIONS(2131),
    [anon_sym_LBRACK] = ACTIONS(2131),
    [anon_sym_LTtemplate_GT] = ACTIONS(2131),
    [anon_sym_GT] = ACTIONS(2131),
    [anon_sym_DOT] = ACTIONS(2131),
    [anon_sym_class] = ACTIONS(2131),
    [anon_sym_async] = ACTIONS(2131),
    [anon_sym_function] = ACTIONS(2131),
    [anon_sym_QMARK_DOT] = ACTIONS(2131),
    [anon_sym_new] = ACTIONS(2131),
    [anon_sym_using] = ACTIONS(2131),
    [anon_sym_AMP_AMP] = ACTIONS(2131),
    [anon_sym_PIPE_PIPE] = ACTIONS(2131),
    [anon_sym_GT_GT] = ACTIONS(2131),
    [anon_sym_GT_GT_GT] = ACTIONS(2131),
    [anon_sym_LT_LT] = ACTIONS(2131),
    [anon_sym_AMP] = ACTIONS(2131),
    [anon_sym_CARET] = ACTIONS(2131),
    [anon_sym_PIPE] = ACTIONS(2131),
    [anon_sym_PLUS] = ACTIONS(2131),
    [anon_sym_DASH] = ACTIONS(2131),
    [anon_sym_SLASH] = ACTIONS(2131),
    [anon_sym_PERCENT] = ACTIONS(2131),
    [anon_sym_STAR_STAR] = ACTIONS(2131),
    [anon_sym_LT] = ACTIONS(2131),
    [anon_sym_LT_EQ] = ACTIONS(2131),
    [anon_sym_EQ_EQ] = ACTIONS(2131),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2131),
    [anon_sym_BANG_EQ] = ACTIONS(2131),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2131),
    [anon_sym_GT_EQ] = ACTIONS(2131),
    [anon_sym_QMARK_QMARK] = ACTIONS(2131),
    [anon_sym_instanceof] = ACTIONS(2131),
    [anon_sym_TILDE] = ACTIONS(2131),
    [anon_sym_void] = ACTIONS(2131),
    [anon_sym_delete] = ACTIONS(2131),
    [anon_sym_PLUS_PLUS] = ACTIONS(2131),
    [anon_sym_DASH_DASH] = ACTIONS(2131),
    [anon_sym_DQUOTE] = ACTIONS(2131),
    [anon_sym_SQUOTE] = ACTIONS(2131),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2131),
    [sym_number] = ACTIONS(2131),
    [sym_private_property_identifier] = ACTIONS(2131),
    [sym_this] = ACTIONS(2131),
    [sym_super] = ACTIONS(2131),
    [sym_true] = ACTIONS(2131),
    [sym_false] = ACTIONS(2131),
    [sym_null] = ACTIONS(2131),
    [sym_undefined] = ACTIONS(2131),
    [anon_sym_AT] = ACTIONS(2131),
    [anon_sym_static] = ACTIONS(2131),
    [anon_sym_readonly] = ACTIONS(2131),
    [anon_sym_get] = ACTIONS(2131),
    [anon_sym_set] = ACTIONS(2131),
    [anon_sym_declare] = ACTIONS(2131),
    [anon_sym_public] = ACTIONS(2131),
    [anon_sym_private] = ACTIONS(2131),
    [anon_sym_protected] = ACTIONS(2131),
    [anon_sym_override] = ACTIONS(2131),
    [anon_sym_module] = ACTIONS(2131),
    [anon_sym_any] = ACTIONS(2131),
    [anon_sym_number] = ACTIONS(2131),
    [anon_sym_boolean] = ACTIONS(2131),
    [anon_sym_string] = ACTIONS(2131),
    [anon_sym_symbol] = ACTIONS(2131),
    [anon_sym_object] = ACTIONS(2131),
    [anon_sym_abstract] = ACTIONS(2131),
    [anon_sym_satisfies] = ACTIONS(2131),
    [anon_sym_interface] = ACTIONS(2131),
    [anon_sym_enum] = ACTIONS(2131),
    [sym__automatic_semicolon] = ACTIONS(2133),
    [sym__ternary_qmark] = ACTIONS(2133),
    [sym_html_comment] = ACTIONS(5),
  },
  [448] = {
    [sym_comment] = STATE(448),
    [sym_identifier] = ACTIONS(2433),
    [anon_sym_export] = ACTIONS(2433),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2433),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2433),
    [anon_sym_LBRACE] = ACTIONS(2433),
    [anon_sym_COMMA] = ACTIONS(216),
    [anon_sym_typeof] = ACTIONS(2433),
    [anon_sym_import] = ACTIONS(2433),
    [anon_sym_let] = ACTIONS(2433),
    [anon_sym_BANG] = ACTIONS(2433),
    [anon_sym_LPAREN] = ACTIONS(2433),
    [anon_sym_RPAREN] = ACTIONS(216),
    [anon_sym_await] = ACTIONS(2433),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(216),
    [anon_sym_yield] = ACTIONS(2433),
    [anon_sym_LBRACK] = ACTIONS(2433),
    [anon_sym_LTtemplate_GT] = ACTIONS(2433),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_class] = ACTIONS(2433),
    [anon_sym_async] = ACTIONS(2433),
    [anon_sym_function] = ACTIONS(2433),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2433),
    [anon_sym_using] = ACTIONS(2433),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2433),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_SLASH] = ACTIONS(2433),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2433),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(2433),
    [anon_sym_void] = ACTIONS(2433),
    [anon_sym_delete] = ACTIONS(2433),
    [anon_sym_PLUS_PLUS] = ACTIONS(2433),
    [anon_sym_DASH_DASH] = ACTIONS(2433),
    [anon_sym_DQUOTE] = ACTIONS(2433),
    [anon_sym_SQUOTE] = ACTIONS(2433),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2433),
    [sym_number] = ACTIONS(2433),
    [sym_private_property_identifier] = ACTIONS(2433),
    [sym_this] = ACTIONS(2433),
    [sym_super] = ACTIONS(2433),
    [sym_true] = ACTIONS(2433),
    [sym_false] = ACTIONS(2433),
    [sym_null] = ACTIONS(2433),
    [sym_undefined] = ACTIONS(2433),
    [anon_sym_AT] = ACTIONS(2433),
    [anon_sym_static] = ACTIONS(2433),
    [anon_sym_readonly] = ACTIONS(2433),
    [anon_sym_get] = ACTIONS(2433),
    [anon_sym_set] = ACTIONS(2433),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(2433),
    [anon_sym_public] = ACTIONS(2433),
    [anon_sym_private] = ACTIONS(2433),
    [anon_sym_protected] = ACTIONS(2433),
    [anon_sym_override] = ACTIONS(2433),
    [anon_sym_module] = ACTIONS(2433),
    [anon_sym_any] = ACTIONS(2433),
    [anon_sym_number] = ACTIONS(2433),
    [anon_sym_boolean] = ACTIONS(2433),
    [anon_sym_string] = ACTIONS(2433),
    [anon_sym_symbol] = ACTIONS(2433),
    [anon_sym_object] = ACTIONS(2433),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [449] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2565),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6667),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(449),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(2435),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym__automatic_semicolon] = ACTIONS(2437),
    [sym_html_comment] = ACTIONS(5),
  },
  [450] = {
    [sym_comment] = STATE(450),
    [sym_identifier] = ACTIONS(2439),
    [anon_sym_export] = ACTIONS(2439),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2439),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2439),
    [anon_sym_LBRACE] = ACTIONS(2439),
    [anon_sym_COMMA] = ACTIONS(216),
    [anon_sym_typeof] = ACTIONS(2439),
    [anon_sym_import] = ACTIONS(2439),
    [anon_sym_let] = ACTIONS(2439),
    [anon_sym_BANG] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_RPAREN] = ACTIONS(216),
    [anon_sym_await] = ACTIONS(2439),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(216),
    [anon_sym_yield] = ACTIONS(2439),
    [anon_sym_LBRACK] = ACTIONS(2439),
    [anon_sym_LTtemplate_GT] = ACTIONS(2439),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_class] = ACTIONS(2439),
    [anon_sym_async] = ACTIONS(2439),
    [anon_sym_function] = ACTIONS(2439),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2439),
    [anon_sym_using] = ACTIONS(2439),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2439),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(2439),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_SLASH] = ACTIONS(2439),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2439),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(2439),
    [anon_sym_void] = ACTIONS(2439),
    [anon_sym_delete] = ACTIONS(2439),
    [anon_sym_PLUS_PLUS] = ACTIONS(2439),
    [anon_sym_DASH_DASH] = ACTIONS(2439),
    [anon_sym_DQUOTE] = ACTIONS(2439),
    [anon_sym_SQUOTE] = ACTIONS(2439),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2439),
    [sym_number] = ACTIONS(2439),
    [sym_private_property_identifier] = ACTIONS(2439),
    [sym_this] = ACTIONS(2439),
    [sym_super] = ACTIONS(2439),
    [sym_true] = ACTIONS(2439),
    [sym_false] = ACTIONS(2439),
    [sym_null] = ACTIONS(2439),
    [sym_undefined] = ACTIONS(2439),
    [anon_sym_AT] = ACTIONS(2439),
    [anon_sym_static] = ACTIONS(2439),
    [anon_sym_readonly] = ACTIONS(2439),
    [anon_sym_get] = ACTIONS(2439),
    [anon_sym_set] = ACTIONS(2439),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(2439),
    [anon_sym_public] = ACTIONS(2439),
    [anon_sym_private] = ACTIONS(2439),
    [anon_sym_protected] = ACTIONS(2439),
    [anon_sym_override] = ACTIONS(2439),
    [anon_sym_module] = ACTIONS(2439),
    [anon_sym_any] = ACTIONS(2439),
    [anon_sym_number] = ACTIONS(2439),
    [anon_sym_boolean] = ACTIONS(2439),
    [anon_sym_string] = ACTIONS(2439),
    [anon_sym_symbol] = ACTIONS(2439),
    [anon_sym_object] = ACTIONS(2439),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [451] = {
    [sym_comment] = STATE(451),
    [ts_builtin_sym_end] = ACTIONS(2341),
    [sym_identifier] = ACTIONS(2107),
    [anon_sym_export] = ACTIONS(2107),
    [anon_sym_STAR] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2107),
    [anon_sym_as] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2107),
    [anon_sym_LBRACE] = ACTIONS(2107),
    [anon_sym_COMMA] = ACTIONS(2109),
    [anon_sym_RBRACE] = ACTIONS(2107),
    [anon_sym_typeof] = ACTIONS(2107),
    [anon_sym_import] = ACTIONS(2107),
    [anon_sym_var] = ACTIONS(2107),
    [anon_sym_let] = ACTIONS(2107),
    [anon_sym_const] = ACTIONS(2107),
    [anon_sym_BANG] = ACTIONS(2107),
    [anon_sym_if] = ACTIONS(2107),
    [anon_sym_switch] = ACTIONS(2107),
    [anon_sym_for] = ACTIONS(2107),
    [anon_sym_LPAREN] = ACTIONS(2107),
    [anon_sym_await] = ACTIONS(2107),
    [anon_sym_in] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2107),
    [anon_sym_do] = ACTIONS(2107),
    [anon_sym_try] = ACTIONS(2107),
    [anon_sym_with] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2107),
    [anon_sym_continue] = ACTIONS(2107),
    [anon_sym_debugger] = ACTIONS(2107),
    [anon_sym_return] = ACTIONS(2107),
    [anon_sym_throw] = ACTIONS(2107),
    [anon_sym_SEMI] = ACTIONS(2107),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_LBRACK] = ACTIONS(2107),
    [anon_sym_LTtemplate_GT] = ACTIONS(2107),
    [anon_sym_GT] = ACTIONS(2109),
    [anon_sym_DOT] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2107),
    [anon_sym_async] = ACTIONS(2107),
    [anon_sym_function] = ACTIONS(2107),
    [anon_sym_QMARK_DOT] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_using] = ACTIONS(2107),
    [anon_sym_AMP_AMP] = ACTIONS(2109),
    [anon_sym_PIPE_PIPE] = ACTIONS(2109),
    [anon_sym_GT_GT] = ACTIONS(2109),
    [anon_sym_GT_GT_GT] = ACTIONS(2109),
    [anon_sym_LT_LT] = ACTIONS(2109),
    [anon_sym_AMP] = ACTIONS(2109),
    [anon_sym_CARET] = ACTIONS(2109),
    [anon_sym_PIPE] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2107),
    [anon_sym_DASH] = ACTIONS(2107),
    [anon_sym_SLASH] = ACTIONS(2107),
    [anon_sym_PERCENT] = ACTIONS(2109),
    [anon_sym_STAR_STAR] = ACTIONS(2109),
    [anon_sym_LT] = ACTIONS(2107),
    [anon_sym_LT_EQ] = ACTIONS(2109),
    [anon_sym_EQ_EQ] = ACTIONS(2109),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2109),
    [anon_sym_BANG_EQ] = ACTIONS(2109),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2109),
    [anon_sym_GT_EQ] = ACTIONS(2109),
    [anon_sym_QMARK_QMARK] = ACTIONS(2109),
    [anon_sym_instanceof] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2107),
    [anon_sym_void] = ACTIONS(2107),
    [anon_sym_delete] = ACTIONS(2107),
    [anon_sym_PLUS_PLUS] = ACTIONS(2107),
    [anon_sym_DASH_DASH] = ACTIONS(2107),
    [anon_sym_DQUOTE] = ACTIONS(2107),
    [anon_sym_SQUOTE] = ACTIONS(2107),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2107),
    [sym_number] = ACTIONS(2107),
    [sym_private_property_identifier] = ACTIONS(2107),
    [sym_this] = ACTIONS(2107),
    [sym_super] = ACTIONS(2107),
    [sym_true] = ACTIONS(2107),
    [sym_false] = ACTIONS(2107),
    [sym_null] = ACTIONS(2107),
    [sym_undefined] = ACTIONS(2107),
    [anon_sym_AT] = ACTIONS(2107),
    [anon_sym_static] = ACTIONS(2107),
    [anon_sym_readonly] = ACTIONS(2107),
    [anon_sym_get] = ACTIONS(2107),
    [anon_sym_set] = ACTIONS(2107),
    [anon_sym_declare] = ACTIONS(2107),
    [anon_sym_public] = ACTIONS(2107),
    [anon_sym_private] = ACTIONS(2107),
    [anon_sym_protected] = ACTIONS(2107),
    [anon_sym_override] = ACTIONS(2107),
    [anon_sym_module] = ACTIONS(2107),
    [anon_sym_any] = ACTIONS(2107),
    [anon_sym_number] = ACTIONS(2107),
    [anon_sym_boolean] = ACTIONS(2107),
    [anon_sym_string] = ACTIONS(2107),
    [anon_sym_symbol] = ACTIONS(2107),
    [anon_sym_object] = ACTIONS(2107),
    [anon_sym_abstract] = ACTIONS(2107),
    [anon_sym_satisfies] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2107),
    [anon_sym_enum] = ACTIONS(2107),
    [sym__automatic_semicolon] = ACTIONS(2111),
    [sym__ternary_qmark] = ACTIONS(2111),
    [sym_html_comment] = ACTIONS(5),
  },
  [452] = {
    [sym_comment] = STATE(452),
    [ts_builtin_sym_end] = ACTIONS(2367),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_export] = ACTIONS(2213),
    [anon_sym_STAR] = ACTIONS(2215),
    [anon_sym_type] = ACTIONS(2213),
    [anon_sym_as] = ACTIONS(2215),
    [anon_sym_namespace] = ACTIONS(2213),
    [anon_sym_LBRACE] = ACTIONS(2213),
    [anon_sym_COMMA] = ACTIONS(2215),
    [anon_sym_RBRACE] = ACTIONS(2213),
    [anon_sym_typeof] = ACTIONS(2213),
    [anon_sym_import] = ACTIONS(2213),
    [anon_sym_var] = ACTIONS(2213),
    [anon_sym_let] = ACTIONS(2213),
    [anon_sym_const] = ACTIONS(2213),
    [anon_sym_BANG] = ACTIONS(2213),
    [anon_sym_if] = ACTIONS(2213),
    [anon_sym_switch] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2213),
    [anon_sym_LPAREN] = ACTIONS(2213),
    [anon_sym_await] = ACTIONS(2213),
    [anon_sym_in] = ACTIONS(2215),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_do] = ACTIONS(2213),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_with] = ACTIONS(2213),
    [anon_sym_break] = ACTIONS(2213),
    [anon_sym_continue] = ACTIONS(2213),
    [anon_sym_debugger] = ACTIONS(2213),
    [anon_sym_return] = ACTIONS(2213),
    [anon_sym_throw] = ACTIONS(2213),
    [anon_sym_SEMI] = ACTIONS(2213),
    [anon_sym_yield] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(2213),
    [anon_sym_LTtemplate_GT] = ACTIONS(2213),
    [anon_sym_GT] = ACTIONS(2215),
    [anon_sym_DOT] = ACTIONS(2215),
    [anon_sym_class] = ACTIONS(2213),
    [anon_sym_async] = ACTIONS(2213),
    [anon_sym_function] = ACTIONS(2213),
    [anon_sym_QMARK_DOT] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2213),
    [anon_sym_using] = ACTIONS(2213),
    [anon_sym_AMP_AMP] = ACTIONS(2215),
    [anon_sym_PIPE_PIPE] = ACTIONS(2215),
    [anon_sym_GT_GT] = ACTIONS(2215),
    [anon_sym_GT_GT_GT] = ACTIONS(2215),
    [anon_sym_LT_LT] = ACTIONS(2215),
    [anon_sym_AMP] = ACTIONS(2215),
    [anon_sym_CARET] = ACTIONS(2215),
    [anon_sym_PIPE] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2213),
    [anon_sym_DASH] = ACTIONS(2213),
    [anon_sym_SLASH] = ACTIONS(2213),
    [anon_sym_PERCENT] = ACTIONS(2215),
    [anon_sym_STAR_STAR] = ACTIONS(2215),
    [anon_sym_LT] = ACTIONS(2213),
    [anon_sym_LT_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ] = ACTIONS(2215),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ] = ACTIONS(2215),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2215),
    [anon_sym_GT_EQ] = ACTIONS(2215),
    [anon_sym_QMARK_QMARK] = ACTIONS(2215),
    [anon_sym_instanceof] = ACTIONS(2215),
    [anon_sym_TILDE] = ACTIONS(2213),
    [anon_sym_void] = ACTIONS(2213),
    [anon_sym_delete] = ACTIONS(2213),
    [anon_sym_PLUS_PLUS] = ACTIONS(2213),
    [anon_sym_DASH_DASH] = ACTIONS(2213),
    [anon_sym_DQUOTE] = ACTIONS(2213),
    [anon_sym_SQUOTE] = ACTIONS(2213),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2213),
    [sym_number] = ACTIONS(2213),
    [sym_private_property_identifier] = ACTIONS(2213),
    [sym_this] = ACTIONS(2213),
    [sym_super] = ACTIONS(2213),
    [sym_true] = ACTIONS(2213),
    [sym_false] = ACTIONS(2213),
    [sym_null] = ACTIONS(2213),
    [sym_undefined] = ACTIONS(2213),
    [anon_sym_AT] = ACTIONS(2213),
    [anon_sym_static] = ACTIONS(2213),
    [anon_sym_readonly] = ACTIONS(2213),
    [anon_sym_get] = ACTIONS(2213),
    [anon_sym_set] = ACTIONS(2213),
    [anon_sym_declare] = ACTIONS(2213),
    [anon_sym_public] = ACTIONS(2213),
    [anon_sym_private] = ACTIONS(2213),
    [anon_sym_protected] = ACTIONS(2213),
    [anon_sym_override] = ACTIONS(2213),
    [anon_sym_module] = ACTIONS(2213),
    [anon_sym_any] = ACTIONS(2213),
    [anon_sym_number] = ACTIONS(2213),
    [anon_sym_boolean] = ACTIONS(2213),
    [anon_sym_string] = ACTIONS(2213),
    [anon_sym_symbol] = ACTIONS(2213),
    [anon_sym_object] = ACTIONS(2213),
    [anon_sym_abstract] = ACTIONS(2213),
    [anon_sym_satisfies] = ACTIONS(2215),
    [anon_sym_interface] = ACTIONS(2213),
    [anon_sym_enum] = ACTIONS(2213),
    [sym__automatic_semicolon] = ACTIONS(2441),
    [sym__ternary_qmark] = ACTIONS(2219),
    [sym_html_comment] = ACTIONS(5),
  },
  [453] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2638),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6723),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(453),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(2443),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym__automatic_semicolon] = ACTIONS(2445),
    [sym_html_comment] = ACTIONS(5),
  },
  [454] = {
    [sym_comment] = STATE(454),
    [sym_identifier] = ACTIONS(2433),
    [anon_sym_export] = ACTIONS(2433),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2433),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2433),
    [anon_sym_LBRACE] = ACTIONS(2433),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2433),
    [anon_sym_import] = ACTIONS(2433),
    [anon_sym_let] = ACTIONS(2433),
    [anon_sym_BANG] = ACTIONS(2433),
    [anon_sym_LPAREN] = ACTIONS(2433),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(2433),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(2433),
    [anon_sym_LBRACK] = ACTIONS(2433),
    [anon_sym_LTtemplate_GT] = ACTIONS(2433),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_class] = ACTIONS(2433),
    [anon_sym_async] = ACTIONS(2433),
    [anon_sym_function] = ACTIONS(2433),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2433),
    [anon_sym_using] = ACTIONS(2433),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2433),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_SLASH] = ACTIONS(2433),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2433),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(2433),
    [anon_sym_void] = ACTIONS(2433),
    [anon_sym_delete] = ACTIONS(2433),
    [anon_sym_PLUS_PLUS] = ACTIONS(2433),
    [anon_sym_DASH_DASH] = ACTIONS(2433),
    [anon_sym_DQUOTE] = ACTIONS(2433),
    [anon_sym_SQUOTE] = ACTIONS(2433),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2433),
    [sym_number] = ACTIONS(2433),
    [sym_private_property_identifier] = ACTIONS(2433),
    [sym_this] = ACTIONS(2433),
    [sym_super] = ACTIONS(2433),
    [sym_true] = ACTIONS(2433),
    [sym_false] = ACTIONS(2433),
    [sym_null] = ACTIONS(2433),
    [sym_undefined] = ACTIONS(2433),
    [anon_sym_AT] = ACTIONS(2433),
    [anon_sym_static] = ACTIONS(2433),
    [anon_sym_readonly] = ACTIONS(2433),
    [anon_sym_get] = ACTIONS(2433),
    [anon_sym_set] = ACTIONS(2433),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(2433),
    [anon_sym_public] = ACTIONS(2433),
    [anon_sym_private] = ACTIONS(2433),
    [anon_sym_protected] = ACTIONS(2433),
    [anon_sym_override] = ACTIONS(2433),
    [anon_sym_module] = ACTIONS(2433),
    [anon_sym_any] = ACTIONS(2433),
    [anon_sym_number] = ACTIONS(2433),
    [anon_sym_boolean] = ACTIONS(2433),
    [anon_sym_string] = ACTIONS(2433),
    [anon_sym_symbol] = ACTIONS(2433),
    [anon_sym_object] = ACTIONS(2433),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [455] = {
    [sym_comment] = STATE(455),
    [sym_identifier] = ACTIONS(2439),
    [anon_sym_export] = ACTIONS(2439),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2439),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2439),
    [anon_sym_LBRACE] = ACTIONS(2439),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2439),
    [anon_sym_import] = ACTIONS(2439),
    [anon_sym_let] = ACTIONS(2439),
    [anon_sym_BANG] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(2439),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(2439),
    [anon_sym_LBRACK] = ACTIONS(2439),
    [anon_sym_LTtemplate_GT] = ACTIONS(2439),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_class] = ACTIONS(2439),
    [anon_sym_async] = ACTIONS(2439),
    [anon_sym_function] = ACTIONS(2439),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2439),
    [anon_sym_using] = ACTIONS(2439),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2439),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(2439),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_SLASH] = ACTIONS(2439),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2439),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(2439),
    [anon_sym_void] = ACTIONS(2439),
    [anon_sym_delete] = ACTIONS(2439),
    [anon_sym_PLUS_PLUS] = ACTIONS(2439),
    [anon_sym_DASH_DASH] = ACTIONS(2439),
    [anon_sym_DQUOTE] = ACTIONS(2439),
    [anon_sym_SQUOTE] = ACTIONS(2439),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2439),
    [sym_number] = ACTIONS(2439),
    [sym_private_property_identifier] = ACTIONS(2439),
    [sym_this] = ACTIONS(2439),
    [sym_super] = ACTIONS(2439),
    [sym_true] = ACTIONS(2439),
    [sym_false] = ACTIONS(2439),
    [sym_null] = ACTIONS(2439),
    [sym_undefined] = ACTIONS(2439),
    [anon_sym_AT] = ACTIONS(2439),
    [anon_sym_static] = ACTIONS(2439),
    [anon_sym_readonly] = ACTIONS(2439),
    [anon_sym_get] = ACTIONS(2439),
    [anon_sym_set] = ACTIONS(2439),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(2439),
    [anon_sym_public] = ACTIONS(2439),
    [anon_sym_private] = ACTIONS(2439),
    [anon_sym_protected] = ACTIONS(2439),
    [anon_sym_override] = ACTIONS(2439),
    [anon_sym_module] = ACTIONS(2439),
    [anon_sym_any] = ACTIONS(2439),
    [anon_sym_number] = ACTIONS(2439),
    [anon_sym_boolean] = ACTIONS(2439),
    [anon_sym_string] = ACTIONS(2439),
    [anon_sym_symbol] = ACTIONS(2439),
    [anon_sym_object] = ACTIONS(2439),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [456] = {
    [sym_comment] = STATE(456),
    [ts_builtin_sym_end] = ACTIONS(2095),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_STAR] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_as] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_COMMA] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_in] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_GT] = ACTIONS(2093),
    [anon_sym_DOT] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_QMARK_DOT] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_AMP_AMP] = ACTIONS(2093),
    [anon_sym_PIPE_PIPE] = ACTIONS(2093),
    [anon_sym_GT_GT] = ACTIONS(2093),
    [anon_sym_GT_GT_GT] = ACTIONS(2093),
    [anon_sym_LT_LT] = ACTIONS(2093),
    [anon_sym_AMP] = ACTIONS(2093),
    [anon_sym_CARET] = ACTIONS(2093),
    [anon_sym_PIPE] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_PERCENT] = ACTIONS(2093),
    [anon_sym_STAR_STAR] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_LT_EQ] = ACTIONS(2093),
    [anon_sym_EQ_EQ] = ACTIONS(2093),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2093),
    [anon_sym_BANG_EQ] = ACTIONS(2093),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2093),
    [anon_sym_GT_EQ] = ACTIONS(2093),
    [anon_sym_QMARK_QMARK] = ACTIONS(2093),
    [anon_sym_instanceof] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_satisfies] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym__automatic_semicolon] = ACTIONS(2095),
    [sym__ternary_qmark] = ACTIONS(2095),
    [sym_html_comment] = ACTIONS(5),
  },
  [457] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2623),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6951),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(457),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(2447),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym__automatic_semicolon] = ACTIONS(2449),
    [sym_html_comment] = ACTIONS(5),
  },
  [458] = {
    [sym_comment] = STATE(458),
    [ts_builtin_sym_end] = ACTIONS(2389),
    [sym_identifier] = ACTIONS(2249),
    [anon_sym_export] = ACTIONS(2249),
    [anon_sym_STAR] = ACTIONS(2251),
    [anon_sym_type] = ACTIONS(2249),
    [anon_sym_as] = ACTIONS(2251),
    [anon_sym_namespace] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2249),
    [anon_sym_COMMA] = ACTIONS(2251),
    [anon_sym_RBRACE] = ACTIONS(2249),
    [anon_sym_typeof] = ACTIONS(2249),
    [anon_sym_import] = ACTIONS(2249),
    [anon_sym_var] = ACTIONS(2249),
    [anon_sym_let] = ACTIONS(2249),
    [anon_sym_const] = ACTIONS(2249),
    [anon_sym_BANG] = ACTIONS(2249),
    [anon_sym_if] = ACTIONS(2249),
    [anon_sym_switch] = ACTIONS(2249),
    [anon_sym_for] = ACTIONS(2249),
    [anon_sym_LPAREN] = ACTIONS(2249),
    [anon_sym_await] = ACTIONS(2249),
    [anon_sym_in] = ACTIONS(2251),
    [anon_sym_while] = ACTIONS(2249),
    [anon_sym_do] = ACTIONS(2249),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_with] = ACTIONS(2249),
    [anon_sym_break] = ACTIONS(2249),
    [anon_sym_continue] = ACTIONS(2249),
    [anon_sym_debugger] = ACTIONS(2249),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_throw] = ACTIONS(2249),
    [anon_sym_SEMI] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2249),
    [anon_sym_LBRACK] = ACTIONS(2249),
    [anon_sym_LTtemplate_GT] = ACTIONS(2249),
    [anon_sym_GT] = ACTIONS(2251),
    [anon_sym_DOT] = ACTIONS(2251),
    [anon_sym_class] = ACTIONS(2249),
    [anon_sym_async] = ACTIONS(2249),
    [anon_sym_function] = ACTIONS(2249),
    [anon_sym_QMARK_DOT] = ACTIONS(2251),
    [anon_sym_new] = ACTIONS(2249),
    [anon_sym_using] = ACTIONS(2249),
    [anon_sym_AMP_AMP] = ACTIONS(2251),
    [anon_sym_PIPE_PIPE] = ACTIONS(2251),
    [anon_sym_GT_GT] = ACTIONS(2251),
    [anon_sym_GT_GT_GT] = ACTIONS(2251),
    [anon_sym_LT_LT] = ACTIONS(2251),
    [anon_sym_AMP] = ACTIONS(2251),
    [anon_sym_CARET] = ACTIONS(2251),
    [anon_sym_PIPE] = ACTIONS(2251),
    [anon_sym_PLUS] = ACTIONS(2249),
    [anon_sym_DASH] = ACTIONS(2249),
    [anon_sym_SLASH] = ACTIONS(2249),
    [anon_sym_PERCENT] = ACTIONS(2251),
    [anon_sym_STAR_STAR] = ACTIONS(2251),
    [anon_sym_LT] = ACTIONS(2249),
    [anon_sym_LT_EQ] = ACTIONS(2251),
    [anon_sym_EQ_EQ] = ACTIONS(2251),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2251),
    [anon_sym_BANG_EQ] = ACTIONS(2251),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2251),
    [anon_sym_GT_EQ] = ACTIONS(2251),
    [anon_sym_QMARK_QMARK] = ACTIONS(2251),
    [anon_sym_instanceof] = ACTIONS(2251),
    [anon_sym_TILDE] = ACTIONS(2249),
    [anon_sym_void] = ACTIONS(2249),
    [anon_sym_delete] = ACTIONS(2249),
    [anon_sym_PLUS_PLUS] = ACTIONS(2249),
    [anon_sym_DASH_DASH] = ACTIONS(2249),
    [anon_sym_DQUOTE] = ACTIONS(2249),
    [anon_sym_SQUOTE] = ACTIONS(2249),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2249),
    [sym_number] = ACTIONS(2249),
    [sym_private_property_identifier] = ACTIONS(2249),
    [sym_this] = ACTIONS(2249),
    [sym_super] = ACTIONS(2249),
    [sym_true] = ACTIONS(2249),
    [sym_false] = ACTIONS(2249),
    [sym_null] = ACTIONS(2249),
    [sym_undefined] = ACTIONS(2249),
    [anon_sym_AT] = ACTIONS(2249),
    [anon_sym_static] = ACTIONS(2249),
    [anon_sym_readonly] = ACTIONS(2249),
    [anon_sym_get] = ACTIONS(2249),
    [anon_sym_set] = ACTIONS(2249),
    [anon_sym_declare] = ACTIONS(2249),
    [anon_sym_public] = ACTIONS(2249),
    [anon_sym_private] = ACTIONS(2249),
    [anon_sym_protected] = ACTIONS(2249),
    [anon_sym_override] = ACTIONS(2249),
    [anon_sym_module] = ACTIONS(2249),
    [anon_sym_any] = ACTIONS(2249),
    [anon_sym_number] = ACTIONS(2249),
    [anon_sym_boolean] = ACTIONS(2249),
    [anon_sym_string] = ACTIONS(2249),
    [anon_sym_symbol] = ACTIONS(2249),
    [anon_sym_object] = ACTIONS(2249),
    [anon_sym_abstract] = ACTIONS(2249),
    [anon_sym_satisfies] = ACTIONS(2251),
    [anon_sym_interface] = ACTIONS(2249),
    [anon_sym_enum] = ACTIONS(2249),
    [sym__automatic_semicolon] = ACTIONS(2451),
    [sym__ternary_qmark] = ACTIONS(2255),
    [sym_html_comment] = ACTIONS(5),
  },
  [459] = {
    [sym_comment] = STATE(459),
    [ts_builtin_sym_end] = ACTIONS(2275),
    [sym_identifier] = ACTIONS(2169),
    [anon_sym_export] = ACTIONS(2169),
    [anon_sym_STAR] = ACTIONS(2171),
    [anon_sym_type] = ACTIONS(2169),
    [anon_sym_as] = ACTIONS(2171),
    [anon_sym_namespace] = ACTIONS(2169),
    [anon_sym_LBRACE] = ACTIONS(2169),
    [anon_sym_COMMA] = ACTIONS(2171),
    [anon_sym_RBRACE] = ACTIONS(2169),
    [anon_sym_typeof] = ACTIONS(2169),
    [anon_sym_import] = ACTIONS(2169),
    [anon_sym_var] = ACTIONS(2169),
    [anon_sym_let] = ACTIONS(2169),
    [anon_sym_const] = ACTIONS(2169),
    [anon_sym_BANG] = ACTIONS(2169),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_switch] = ACTIONS(2169),
    [anon_sym_for] = ACTIONS(2169),
    [anon_sym_LPAREN] = ACTIONS(2169),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_in] = ACTIONS(2171),
    [anon_sym_while] = ACTIONS(2169),
    [anon_sym_do] = ACTIONS(2169),
    [anon_sym_try] = ACTIONS(2169),
    [anon_sym_with] = ACTIONS(2169),
    [anon_sym_break] = ACTIONS(2169),
    [anon_sym_continue] = ACTIONS(2169),
    [anon_sym_debugger] = ACTIONS(2169),
    [anon_sym_return] = ACTIONS(2169),
    [anon_sym_throw] = ACTIONS(2169),
    [anon_sym_SEMI] = ACTIONS(2169),
    [anon_sym_yield] = ACTIONS(2169),
    [anon_sym_LBRACK] = ACTIONS(2169),
    [anon_sym_LTtemplate_GT] = ACTIONS(2169),
    [anon_sym_GT] = ACTIONS(2171),
    [anon_sym_DOT] = ACTIONS(2171),
    [anon_sym_class] = ACTIONS(2169),
    [anon_sym_async] = ACTIONS(2169),
    [anon_sym_function] = ACTIONS(2169),
    [anon_sym_QMARK_DOT] = ACTIONS(2171),
    [anon_sym_new] = ACTIONS(2169),
    [anon_sym_using] = ACTIONS(2169),
    [anon_sym_AMP_AMP] = ACTIONS(2171),
    [anon_sym_PIPE_PIPE] = ACTIONS(2171),
    [anon_sym_GT_GT] = ACTIONS(2171),
    [anon_sym_GT_GT_GT] = ACTIONS(2171),
    [anon_sym_LT_LT] = ACTIONS(2171),
    [anon_sym_AMP] = ACTIONS(2171),
    [anon_sym_CARET] = ACTIONS(2171),
    [anon_sym_PIPE] = ACTIONS(2171),
    [anon_sym_PLUS] = ACTIONS(2169),
    [anon_sym_DASH] = ACTIONS(2169),
    [anon_sym_SLASH] = ACTIONS(2169),
    [anon_sym_PERCENT] = ACTIONS(2171),
    [anon_sym_STAR_STAR] = ACTIONS(2171),
    [anon_sym_LT] = ACTIONS(2169),
    [anon_sym_LT_EQ] = ACTIONS(2171),
    [anon_sym_EQ_EQ] = ACTIONS(2171),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2171),
    [anon_sym_BANG_EQ] = ACTIONS(2171),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2171),
    [anon_sym_GT_EQ] = ACTIONS(2171),
    [anon_sym_QMARK_QMARK] = ACTIONS(2171),
    [anon_sym_instanceof] = ACTIONS(2171),
    [anon_sym_TILDE] = ACTIONS(2169),
    [anon_sym_void] = ACTIONS(2169),
    [anon_sym_delete] = ACTIONS(2169),
    [anon_sym_PLUS_PLUS] = ACTIONS(2169),
    [anon_sym_DASH_DASH] = ACTIONS(2169),
    [anon_sym_DQUOTE] = ACTIONS(2169),
    [anon_sym_SQUOTE] = ACTIONS(2169),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2169),
    [sym_number] = ACTIONS(2169),
    [sym_private_property_identifier] = ACTIONS(2169),
    [sym_this] = ACTIONS(2169),
    [sym_super] = ACTIONS(2169),
    [sym_true] = ACTIONS(2169),
    [sym_false] = ACTIONS(2169),
    [sym_null] = ACTIONS(2169),
    [sym_undefined] = ACTIONS(2169),
    [anon_sym_AT] = ACTIONS(2169),
    [anon_sym_static] = ACTIONS(2169),
    [anon_sym_readonly] = ACTIONS(2169),
    [anon_sym_get] = ACTIONS(2169),
    [anon_sym_set] = ACTIONS(2169),
    [anon_sym_declare] = ACTIONS(2169),
    [anon_sym_public] = ACTIONS(2169),
    [anon_sym_private] = ACTIONS(2169),
    [anon_sym_protected] = ACTIONS(2169),
    [anon_sym_override] = ACTIONS(2169),
    [anon_sym_module] = ACTIONS(2169),
    [anon_sym_any] = ACTIONS(2169),
    [anon_sym_number] = ACTIONS(2169),
    [anon_sym_boolean] = ACTIONS(2169),
    [anon_sym_string] = ACTIONS(2169),
    [anon_sym_symbol] = ACTIONS(2169),
    [anon_sym_object] = ACTIONS(2169),
    [anon_sym_abstract] = ACTIONS(2169),
    [anon_sym_satisfies] = ACTIONS(2171),
    [anon_sym_interface] = ACTIONS(2169),
    [anon_sym_enum] = ACTIONS(2169),
    [sym__automatic_semicolon] = ACTIONS(2453),
    [sym__ternary_qmark] = ACTIONS(2175),
    [sym_html_comment] = ACTIONS(5),
  },
  [460] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2067),
    [sym_subscript_expression] = STATE(2067),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4604),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(460),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_pattern] = STATE(5132),
    [sym_rest_pattern] = STATE(4710),
    [sym_non_null_expression] = STATE(2067),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(2455),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2457),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [461] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2231),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2231),
    [sym_subscript_expression] = STATE(2231),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(5780),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(461),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2231),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_export] = ACTIONS(2461),
    [anon_sym_type] = ACTIONS(2461),
    [anon_sym_namespace] = ACTIONS(2463),
    [anon_sym_LBRACE] = ACTIONS(2465),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_var] = ACTIONS(2467),
    [anon_sym_let] = ACTIONS(2469),
    [anon_sym_const] = ACTIONS(2471),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(2473),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(2475),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(2477),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(2479),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2461),
    [anon_sym_readonly] = ACTIONS(2461),
    [anon_sym_get] = ACTIONS(2461),
    [anon_sym_set] = ACTIONS(2461),
    [anon_sym_declare] = ACTIONS(2461),
    [anon_sym_public] = ACTIONS(2461),
    [anon_sym_private] = ACTIONS(2461),
    [anon_sym_protected] = ACTIONS(2461),
    [anon_sym_override] = ACTIONS(2461),
    [anon_sym_module] = ACTIONS(2461),
    [anon_sym_any] = ACTIONS(2461),
    [anon_sym_number] = ACTIONS(2461),
    [anon_sym_boolean] = ACTIONS(2461),
    [anon_sym_string] = ACTIONS(2461),
    [anon_sym_symbol] = ACTIONS(2461),
    [anon_sym_object] = ACTIONS(2461),
    [sym_html_comment] = ACTIONS(5),
  },
  [462] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2757),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_sequence_expression] = STATE(7291),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(462),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(2481),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [463] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2738),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_sequence_expression] = STATE(7289),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(463),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(2483),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [464] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2766),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_sequence_expression] = STATE(7456),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(464),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(2485),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [465] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2724),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_sequence_expression] = STATE(7200),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(465),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(2487),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [466] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2709),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_sequence_expression] = STATE(7463),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(466),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(2489),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [467] = {
    [sym_import] = STATE(4293),
    [sym_statement_block] = STATE(3174),
    [sym_parenthesized_expression] = STATE(2143),
    [sym_expression] = STATE(2522),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7153),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2143),
    [sym_subscript_expression] = STATE(2143),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3819),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7151),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(467),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2143),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1598),
    [anon_sym_type] = ACTIONS(1598),
    [anon_sym_namespace] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(1604),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1598),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1606),
    [anon_sym_yield] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1610),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_void] = ACTIONS(1604),
    [anon_sym_delete] = ACTIONS(1604),
    [anon_sym_PLUS_PLUS] = ACTIONS(1620),
    [anon_sym_DASH_DASH] = ACTIONS(1620),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1622),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1598),
    [anon_sym_readonly] = ACTIONS(1598),
    [anon_sym_get] = ACTIONS(1598),
    [anon_sym_set] = ACTIONS(1598),
    [anon_sym_declare] = ACTIONS(1598),
    [anon_sym_public] = ACTIONS(1598),
    [anon_sym_private] = ACTIONS(1598),
    [anon_sym_protected] = ACTIONS(1598),
    [anon_sym_override] = ACTIONS(1598),
    [anon_sym_module] = ACTIONS(1598),
    [anon_sym_any] = ACTIONS(1598),
    [anon_sym_number] = ACTIONS(1598),
    [anon_sym_boolean] = ACTIONS(1598),
    [anon_sym_string] = ACTIONS(1598),
    [anon_sym_symbol] = ACTIONS(1598),
    [anon_sym_object] = ACTIONS(1598),
    [sym_html_comment] = ACTIONS(5),
  },
  [468] = {
    [sym_import] = STATE(4284),
    [sym_statement_block] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2241),
    [sym_expression] = STATE(3120),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2241),
    [sym_subscript_expression] = STATE(2241),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3867),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7457),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(468),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2241),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1564),
    [anon_sym_type] = ACTIONS(1564),
    [anon_sym_namespace] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(1570),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1572),
    [anon_sym_yield] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1576),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_void] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1588),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1564),
    [anon_sym_readonly] = ACTIONS(1564),
    [anon_sym_get] = ACTIONS(1564),
    [anon_sym_set] = ACTIONS(1564),
    [anon_sym_declare] = ACTIONS(1564),
    [anon_sym_public] = ACTIONS(1564),
    [anon_sym_private] = ACTIONS(1564),
    [anon_sym_protected] = ACTIONS(1564),
    [anon_sym_override] = ACTIONS(1564),
    [anon_sym_module] = ACTIONS(1564),
    [anon_sym_any] = ACTIONS(1564),
    [anon_sym_number] = ACTIONS(1564),
    [anon_sym_boolean] = ACTIONS(1564),
    [anon_sym_string] = ACTIONS(1564),
    [anon_sym_symbol] = ACTIONS(1564),
    [anon_sym_object] = ACTIONS(1564),
    [sym_html_comment] = ACTIONS(5),
  },
  [469] = {
    [sym_import] = STATE(4284),
    [sym_statement_block] = STATE(2534),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2494),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(469),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [470] = {
    [sym_import] = STATE(4284),
    [sym_statement_block] = STATE(2534),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3371),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(470),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [471] = {
    [sym_import] = STATE(4284),
    [sym_statement_block] = STATE(2604),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2719),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7156),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3817),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7159),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(471),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1530),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_namespace] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(1536),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1538),
    [anon_sym_yield] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1542),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1242),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_void] = ACTIONS(1536),
    [anon_sym_delete] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1554),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1530),
    [anon_sym_readonly] = ACTIONS(1530),
    [anon_sym_get] = ACTIONS(1530),
    [anon_sym_set] = ACTIONS(1530),
    [anon_sym_declare] = ACTIONS(1530),
    [anon_sym_public] = ACTIONS(1530),
    [anon_sym_private] = ACTIONS(1530),
    [anon_sym_protected] = ACTIONS(1530),
    [anon_sym_override] = ACTIONS(1530),
    [anon_sym_module] = ACTIONS(1530),
    [anon_sym_any] = ACTIONS(1530),
    [anon_sym_number] = ACTIONS(1530),
    [anon_sym_boolean] = ACTIONS(1530),
    [anon_sym_string] = ACTIONS(1530),
    [anon_sym_symbol] = ACTIONS(1530),
    [anon_sym_object] = ACTIONS(1530),
    [sym_html_comment] = ACTIONS(5),
  },
  [472] = {
    [sym_import] = STATE(4284),
    [sym_statement_block] = STATE(2603),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2789),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7156),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3817),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7159),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(472),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1530),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_namespace] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(1536),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1538),
    [anon_sym_yield] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1542),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1242),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_void] = ACTIONS(1536),
    [anon_sym_delete] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1554),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1530),
    [anon_sym_readonly] = ACTIONS(1530),
    [anon_sym_get] = ACTIONS(1530),
    [anon_sym_set] = ACTIONS(1530),
    [anon_sym_declare] = ACTIONS(1530),
    [anon_sym_public] = ACTIONS(1530),
    [anon_sym_private] = ACTIONS(1530),
    [anon_sym_protected] = ACTIONS(1530),
    [anon_sym_override] = ACTIONS(1530),
    [anon_sym_module] = ACTIONS(1530),
    [anon_sym_any] = ACTIONS(1530),
    [anon_sym_number] = ACTIONS(1530),
    [anon_sym_boolean] = ACTIONS(1530),
    [anon_sym_string] = ACTIONS(1530),
    [anon_sym_symbol] = ACTIONS(1530),
    [anon_sym_object] = ACTIONS(1530),
    [sym_html_comment] = ACTIONS(5),
  },
  [473] = {
    [sym_import] = STATE(4284),
    [sym_statement_block] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3338),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(473),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [474] = {
    [sym_import] = STATE(4293),
    [sym_statement_block] = STATE(3268),
    [sym_parenthesized_expression] = STATE(2143),
    [sym_expression] = STATE(2583),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7153),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2143),
    [sym_subscript_expression] = STATE(2143),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3819),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7151),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(474),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2143),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1598),
    [anon_sym_type] = ACTIONS(1598),
    [anon_sym_namespace] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(1604),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1598),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1606),
    [anon_sym_yield] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1610),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_void] = ACTIONS(1604),
    [anon_sym_delete] = ACTIONS(1604),
    [anon_sym_PLUS_PLUS] = ACTIONS(1620),
    [anon_sym_DASH_DASH] = ACTIONS(1620),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1622),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1598),
    [anon_sym_readonly] = ACTIONS(1598),
    [anon_sym_get] = ACTIONS(1598),
    [anon_sym_set] = ACTIONS(1598),
    [anon_sym_declare] = ACTIONS(1598),
    [anon_sym_public] = ACTIONS(1598),
    [anon_sym_private] = ACTIONS(1598),
    [anon_sym_protected] = ACTIONS(1598),
    [anon_sym_override] = ACTIONS(1598),
    [anon_sym_module] = ACTIONS(1598),
    [anon_sym_any] = ACTIONS(1598),
    [anon_sym_number] = ACTIONS(1598),
    [anon_sym_boolean] = ACTIONS(1598),
    [anon_sym_string] = ACTIONS(1598),
    [anon_sym_symbol] = ACTIONS(1598),
    [anon_sym_object] = ACTIONS(1598),
    [sym_html_comment] = ACTIONS(5),
  },
  [475] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2241),
    [sym_expression] = STATE(3294),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2241),
    [sym_subscript_expression] = STATE(2241),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3867),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7457),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(475),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2241),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_mapped_type_clause] = STATE(7176),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(2497),
    [anon_sym_export] = ACTIONS(2499),
    [anon_sym_type] = ACTIONS(2499),
    [anon_sym_namespace] = ACTIONS(2501),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1570),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2499),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1572),
    [anon_sym_yield] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(2503),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(2505),
    [anon_sym_using] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_void] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1588),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2499),
    [anon_sym_readonly] = ACTIONS(2499),
    [anon_sym_get] = ACTIONS(2499),
    [anon_sym_set] = ACTIONS(2499),
    [anon_sym_declare] = ACTIONS(2499),
    [anon_sym_public] = ACTIONS(2499),
    [anon_sym_private] = ACTIONS(2499),
    [anon_sym_protected] = ACTIONS(2499),
    [anon_sym_override] = ACTIONS(2499),
    [anon_sym_module] = ACTIONS(2499),
    [anon_sym_any] = ACTIONS(2499),
    [anon_sym_number] = ACTIONS(2499),
    [anon_sym_boolean] = ACTIONS(2499),
    [anon_sym_string] = ACTIONS(2499),
    [anon_sym_symbol] = ACTIONS(2499),
    [anon_sym_object] = ACTIONS(2499),
    [sym_html_comment] = ACTIONS(5),
  },
  [476] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2629),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6992),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(476),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [477] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2368),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_sequence_expression] = STATE(7490),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(477),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [478] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2640),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6720),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(478),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [479] = {
    [sym_import] = STATE(4284),
    [sym_statement_block] = STATE(2575),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3334),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(479),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [480] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2383),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_sequence_expression] = STATE(7421),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(480),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [481] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2765),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_sequence_expression] = STATE(7427),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(481),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [482] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2716),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_sequence_expression] = STATE(7099),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(482),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [483] = {
    [sym_import] = STATE(4293),
    [sym_statement_block] = STATE(3283),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2655),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(483),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [484] = {
    [sym_import] = STATE(4293),
    [sym_statement_block] = STATE(3170),
    [sym_parenthesized_expression] = STATE(2143),
    [sym_expression] = STATE(2520),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7153),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2143),
    [sym_subscript_expression] = STATE(2143),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3819),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7151),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(484),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2143),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1598),
    [anon_sym_type] = ACTIONS(1598),
    [anon_sym_namespace] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(1604),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1598),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1606),
    [anon_sym_yield] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1610),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_void] = ACTIONS(1604),
    [anon_sym_delete] = ACTIONS(1604),
    [anon_sym_PLUS_PLUS] = ACTIONS(1620),
    [anon_sym_DASH_DASH] = ACTIONS(1620),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1622),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1598),
    [anon_sym_readonly] = ACTIONS(1598),
    [anon_sym_get] = ACTIONS(1598),
    [anon_sym_set] = ACTIONS(1598),
    [anon_sym_declare] = ACTIONS(1598),
    [anon_sym_public] = ACTIONS(1598),
    [anon_sym_private] = ACTIONS(1598),
    [anon_sym_protected] = ACTIONS(1598),
    [anon_sym_override] = ACTIONS(1598),
    [anon_sym_module] = ACTIONS(1598),
    [anon_sym_any] = ACTIONS(1598),
    [anon_sym_number] = ACTIONS(1598),
    [anon_sym_boolean] = ACTIONS(1598),
    [anon_sym_string] = ACTIONS(1598),
    [anon_sym_symbol] = ACTIONS(1598),
    [anon_sym_object] = ACTIONS(1598),
    [sym_html_comment] = ACTIONS(5),
  },
  [485] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2772),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7156),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3817),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7159),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(485),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym__extends_clause_single] = STATE(5723),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1530),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_namespace] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1536),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1538),
    [anon_sym_yield] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1542),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1242),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_void] = ACTIONS(1536),
    [anon_sym_delete] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1554),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1530),
    [anon_sym_readonly] = ACTIONS(1530),
    [anon_sym_get] = ACTIONS(1530),
    [anon_sym_set] = ACTIONS(1530),
    [anon_sym_declare] = ACTIONS(1530),
    [anon_sym_public] = ACTIONS(1530),
    [anon_sym_private] = ACTIONS(1530),
    [anon_sym_protected] = ACTIONS(1530),
    [anon_sym_override] = ACTIONS(1530),
    [anon_sym_module] = ACTIONS(1530),
    [anon_sym_any] = ACTIONS(1530),
    [anon_sym_number] = ACTIONS(1530),
    [anon_sym_boolean] = ACTIONS(1530),
    [anon_sym_string] = ACTIONS(1530),
    [anon_sym_symbol] = ACTIONS(1530),
    [anon_sym_object] = ACTIONS(1530),
    [sym_html_comment] = ACTIONS(5),
  },
  [486] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2786),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_sequence_expression] = STATE(7539),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(486),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [487] = {
    [sym_import] = STATE(4293),
    [sym_statement_block] = STATE(3178),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2959),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(487),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1420),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1420),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1420),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [sym_html_comment] = ACTIONS(5),
  },
  [488] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2772),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7156),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3817),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7159),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(488),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym__extends_clause_single] = STATE(5648),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1530),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_namespace] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1536),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1538),
    [anon_sym_yield] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1542),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1242),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_void] = ACTIONS(1536),
    [anon_sym_delete] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1554),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1530),
    [anon_sym_readonly] = ACTIONS(1530),
    [anon_sym_get] = ACTIONS(1530),
    [anon_sym_set] = ACTIONS(1530),
    [anon_sym_declare] = ACTIONS(1530),
    [anon_sym_public] = ACTIONS(1530),
    [anon_sym_private] = ACTIONS(1530),
    [anon_sym_protected] = ACTIONS(1530),
    [anon_sym_override] = ACTIONS(1530),
    [anon_sym_module] = ACTIONS(1530),
    [anon_sym_any] = ACTIONS(1530),
    [anon_sym_number] = ACTIONS(1530),
    [anon_sym_boolean] = ACTIONS(1530),
    [anon_sym_string] = ACTIONS(1530),
    [anon_sym_symbol] = ACTIONS(1530),
    [anon_sym_object] = ACTIONS(1530),
    [sym_html_comment] = ACTIONS(5),
  },
  [489] = {
    [sym_import] = STATE(4284),
    [sym_statement_block] = STATE(2603),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2853),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3815),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7334),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(489),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1504),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1508),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1502),
    [anon_sym_delete] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1520),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1494),
    [anon_sym_readonly] = ACTIONS(1494),
    [anon_sym_get] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_declare] = ACTIONS(1494),
    [anon_sym_public] = ACTIONS(1494),
    [anon_sym_private] = ACTIONS(1494),
    [anon_sym_protected] = ACTIONS(1494),
    [anon_sym_override] = ACTIONS(1494),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_any] = ACTIONS(1494),
    [anon_sym_number] = ACTIONS(1494),
    [anon_sym_boolean] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_symbol] = ACTIONS(1494),
    [anon_sym_object] = ACTIONS(1494),
    [sym_html_comment] = ACTIONS(5),
  },
  [490] = {
    [sym_import] = STATE(4293),
    [sym_statement_block] = STATE(3174),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2958),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(490),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1420),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1420),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1420),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [sym_html_comment] = ACTIONS(5),
  },
  [491] = {
    [sym_import] = STATE(4293),
    [sym_statement_block] = STATE(3178),
    [sym_parenthesized_expression] = STATE(2143),
    [sym_expression] = STATE(2530),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7153),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2143),
    [sym_subscript_expression] = STATE(2143),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3819),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7151),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(491),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2143),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1598),
    [anon_sym_type] = ACTIONS(1598),
    [anon_sym_namespace] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(1604),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1598),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1606),
    [anon_sym_yield] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1610),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_void] = ACTIONS(1604),
    [anon_sym_delete] = ACTIONS(1604),
    [anon_sym_PLUS_PLUS] = ACTIONS(1620),
    [anon_sym_DASH_DASH] = ACTIONS(1620),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1622),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1598),
    [anon_sym_readonly] = ACTIONS(1598),
    [anon_sym_get] = ACTIONS(1598),
    [anon_sym_set] = ACTIONS(1598),
    [anon_sym_declare] = ACTIONS(1598),
    [anon_sym_public] = ACTIONS(1598),
    [anon_sym_private] = ACTIONS(1598),
    [anon_sym_protected] = ACTIONS(1598),
    [anon_sym_override] = ACTIONS(1598),
    [anon_sym_module] = ACTIONS(1598),
    [anon_sym_any] = ACTIONS(1598),
    [anon_sym_number] = ACTIONS(1598),
    [anon_sym_boolean] = ACTIONS(1598),
    [anon_sym_string] = ACTIONS(1598),
    [anon_sym_symbol] = ACTIONS(1598),
    [anon_sym_object] = ACTIONS(1598),
    [sym_html_comment] = ACTIONS(5),
  },
  [492] = {
    [sym_import] = STATE(4284),
    [sym_statement_block] = STATE(2575),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2770),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7156),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3817),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7159),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(492),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1530),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_namespace] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(1536),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1538),
    [anon_sym_yield] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1542),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1242),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_void] = ACTIONS(1536),
    [anon_sym_delete] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1554),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1530),
    [anon_sym_readonly] = ACTIONS(1530),
    [anon_sym_get] = ACTIONS(1530),
    [anon_sym_set] = ACTIONS(1530),
    [anon_sym_declare] = ACTIONS(1530),
    [anon_sym_public] = ACTIONS(1530),
    [anon_sym_private] = ACTIONS(1530),
    [anon_sym_protected] = ACTIONS(1530),
    [anon_sym_override] = ACTIONS(1530),
    [anon_sym_module] = ACTIONS(1530),
    [anon_sym_any] = ACTIONS(1530),
    [anon_sym_number] = ACTIONS(1530),
    [anon_sym_boolean] = ACTIONS(1530),
    [anon_sym_string] = ACTIONS(1530),
    [anon_sym_symbol] = ACTIONS(1530),
    [anon_sym_object] = ACTIONS(1530),
    [sym_html_comment] = ACTIONS(5),
  },
  [493] = {
    [sym_import] = STATE(4293),
    [sym_statement_block] = STATE(3170),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2957),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(493),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1420),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1420),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1420),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [sym_html_comment] = ACTIONS(5),
  },
  [494] = {
    [sym_import] = STATE(4293),
    [sym_statement_block] = STATE(3170),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2508),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(494),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [495] = {
    [sym_import] = STATE(4284),
    [sym_statement_block] = STATE(2591),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2852),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3815),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7334),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(495),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1504),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1508),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1502),
    [anon_sym_delete] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1520),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1494),
    [anon_sym_readonly] = ACTIONS(1494),
    [anon_sym_get] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_declare] = ACTIONS(1494),
    [anon_sym_public] = ACTIONS(1494),
    [anon_sym_private] = ACTIONS(1494),
    [anon_sym_protected] = ACTIONS(1494),
    [anon_sym_override] = ACTIONS(1494),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_any] = ACTIONS(1494),
    [anon_sym_number] = ACTIONS(1494),
    [anon_sym_boolean] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_symbol] = ACTIONS(1494),
    [anon_sym_object] = ACTIONS(1494),
    [sym_html_comment] = ACTIONS(5),
  },
  [496] = {
    [sym_import] = STATE(4293),
    [sym_statement_block] = STATE(3268),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2953),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(496),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1420),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1420),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1420),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [sym_html_comment] = ACTIONS(5),
  },
  [497] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2367),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_sequence_expression] = STATE(7146),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(497),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [498] = {
    [sym_import] = STATE(4284),
    [sym_statement_block] = STATE(2575),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2423),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(498),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [499] = {
    [sym_import] = STATE(4293),
    [sym_statement_block] = STATE(3133),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2644),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(499),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [500] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2790),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_sequence_expression] = STATE(7544),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(500),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [501] = {
    [sym_import] = STATE(4284),
    [sym_statement_block] = STATE(2575),
    [sym_parenthesized_expression] = STATE(2241),
    [sym_expression] = STATE(3137),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2241),
    [sym_subscript_expression] = STATE(2241),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3867),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7457),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(501),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2241),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1564),
    [anon_sym_type] = ACTIONS(1564),
    [anon_sym_namespace] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(1570),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1572),
    [anon_sym_yield] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1576),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_void] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1588),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1564),
    [anon_sym_readonly] = ACTIONS(1564),
    [anon_sym_get] = ACTIONS(1564),
    [anon_sym_set] = ACTIONS(1564),
    [anon_sym_declare] = ACTIONS(1564),
    [anon_sym_public] = ACTIONS(1564),
    [anon_sym_private] = ACTIONS(1564),
    [anon_sym_protected] = ACTIONS(1564),
    [anon_sym_override] = ACTIONS(1564),
    [anon_sym_module] = ACTIONS(1564),
    [anon_sym_any] = ACTIONS(1564),
    [anon_sym_number] = ACTIONS(1564),
    [anon_sym_boolean] = ACTIONS(1564),
    [anon_sym_string] = ACTIONS(1564),
    [anon_sym_symbol] = ACTIONS(1564),
    [anon_sym_object] = ACTIONS(1564),
    [sym_html_comment] = ACTIONS(5),
  },
  [502] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2791),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_sequence_expression] = STATE(7549),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(502),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [503] = {
    [sym_import] = STATE(4284),
    [sym_statement_block] = STATE(2591),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3360),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(503),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [504] = {
    [sym_import] = STATE(4293),
    [sym_statement_block] = STATE(3268),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2663),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(504),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [505] = {
    [sym_import] = STATE(4284),
    [sym_statement_block] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2718),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7156),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3817),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7159),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(505),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1530),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_namespace] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(1536),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1538),
    [anon_sym_yield] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1542),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1242),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_void] = ACTIONS(1536),
    [anon_sym_delete] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1554),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1530),
    [anon_sym_readonly] = ACTIONS(1530),
    [anon_sym_get] = ACTIONS(1530),
    [anon_sym_set] = ACTIONS(1530),
    [anon_sym_declare] = ACTIONS(1530),
    [anon_sym_public] = ACTIONS(1530),
    [anon_sym_private] = ACTIONS(1530),
    [anon_sym_protected] = ACTIONS(1530),
    [anon_sym_override] = ACTIONS(1530),
    [anon_sym_module] = ACTIONS(1530),
    [anon_sym_any] = ACTIONS(1530),
    [anon_sym_number] = ACTIONS(1530),
    [anon_sym_boolean] = ACTIONS(1530),
    [anon_sym_string] = ACTIONS(1530),
    [anon_sym_symbol] = ACTIONS(1530),
    [anon_sym_object] = ACTIONS(1530),
    [sym_html_comment] = ACTIONS(5),
  },
  [506] = {
    [sym_import] = STATE(4284),
    [sym_statement_block] = STATE(2534),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2848),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3815),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7334),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(506),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1504),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1508),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1502),
    [anon_sym_delete] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1520),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1494),
    [anon_sym_readonly] = ACTIONS(1494),
    [anon_sym_get] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_declare] = ACTIONS(1494),
    [anon_sym_public] = ACTIONS(1494),
    [anon_sym_private] = ACTIONS(1494),
    [anon_sym_protected] = ACTIONS(1494),
    [anon_sym_override] = ACTIONS(1494),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_any] = ACTIONS(1494),
    [anon_sym_number] = ACTIONS(1494),
    [anon_sym_boolean] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_symbol] = ACTIONS(1494),
    [anon_sym_object] = ACTIONS(1494),
    [sym_html_comment] = ACTIONS(5),
  },
  [507] = {
    [sym_import] = STATE(4284),
    [sym_statement_block] = STATE(2591),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2788),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7156),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3817),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7159),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(507),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1530),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_namespace] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(1536),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1538),
    [anon_sym_yield] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1542),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1242),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_void] = ACTIONS(1536),
    [anon_sym_delete] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1554),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1530),
    [anon_sym_readonly] = ACTIONS(1530),
    [anon_sym_get] = ACTIONS(1530),
    [anon_sym_set] = ACTIONS(1530),
    [anon_sym_declare] = ACTIONS(1530),
    [anon_sym_public] = ACTIONS(1530),
    [anon_sym_private] = ACTIONS(1530),
    [anon_sym_protected] = ACTIONS(1530),
    [anon_sym_override] = ACTIONS(1530),
    [anon_sym_module] = ACTIONS(1530),
    [anon_sym_any] = ACTIONS(1530),
    [anon_sym_number] = ACTIONS(1530),
    [anon_sym_boolean] = ACTIONS(1530),
    [anon_sym_string] = ACTIONS(1530),
    [anon_sym_symbol] = ACTIONS(1530),
    [anon_sym_object] = ACTIONS(1530),
    [sym_html_comment] = ACTIONS(5),
  },
  [508] = {
    [sym_import] = STATE(4284),
    [sym_statement_block] = STATE(2604),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2854),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3815),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7334),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(508),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1504),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1508),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1502),
    [anon_sym_delete] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1520),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1494),
    [anon_sym_readonly] = ACTIONS(1494),
    [anon_sym_get] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_declare] = ACTIONS(1494),
    [anon_sym_public] = ACTIONS(1494),
    [anon_sym_private] = ACTIONS(1494),
    [anon_sym_protected] = ACTIONS(1494),
    [anon_sym_override] = ACTIONS(1494),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_any] = ACTIONS(1494),
    [anon_sym_number] = ACTIONS(1494),
    [anon_sym_boolean] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_symbol] = ACTIONS(1494),
    [anon_sym_object] = ACTIONS(1494),
    [sym_html_comment] = ACTIONS(5),
  },
  [509] = {
    [sym_import] = STATE(4293),
    [sym_statement_block] = STATE(3283),
    [sym_parenthesized_expression] = STATE(2143),
    [sym_expression] = STATE(2562),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7153),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2143),
    [sym_subscript_expression] = STATE(2143),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3819),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7151),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(509),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2143),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1598),
    [anon_sym_type] = ACTIONS(1598),
    [anon_sym_namespace] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(1604),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1598),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1606),
    [anon_sym_yield] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1610),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_void] = ACTIONS(1604),
    [anon_sym_delete] = ACTIONS(1604),
    [anon_sym_PLUS_PLUS] = ACTIONS(1620),
    [anon_sym_DASH_DASH] = ACTIONS(1620),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1622),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1598),
    [anon_sym_readonly] = ACTIONS(1598),
    [anon_sym_get] = ACTIONS(1598),
    [anon_sym_set] = ACTIONS(1598),
    [anon_sym_declare] = ACTIONS(1598),
    [anon_sym_public] = ACTIONS(1598),
    [anon_sym_private] = ACTIONS(1598),
    [anon_sym_protected] = ACTIONS(1598),
    [anon_sym_override] = ACTIONS(1598),
    [anon_sym_module] = ACTIONS(1598),
    [anon_sym_any] = ACTIONS(1598),
    [anon_sym_number] = ACTIONS(1598),
    [anon_sym_boolean] = ACTIONS(1598),
    [anon_sym_string] = ACTIONS(1598),
    [anon_sym_symbol] = ACTIONS(1598),
    [anon_sym_object] = ACTIONS(1598),
    [sym_html_comment] = ACTIONS(5),
  },
  [510] = {
    [sym_import] = STATE(4293),
    [sym_statement_block] = STATE(3174),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2509),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(510),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [511] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2444),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_sequence_expression] = STATE(7341),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(511),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [512] = {
    [sym_import] = STATE(4284),
    [sym_statement_block] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2456),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(512),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [513] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_sequence_expression] = STATE(7173),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(513),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [514] = {
    [sym_import] = STATE(4293),
    [sym_statement_block] = STATE(3283),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2933),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(514),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1420),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1420),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1420),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [sym_html_comment] = ACTIONS(5),
  },
  [515] = {
    [sym_import] = STATE(4284),
    [sym_statement_block] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2822),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3815),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7334),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(515),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1504),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1508),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1502),
    [anon_sym_delete] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1520),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1494),
    [anon_sym_readonly] = ACTIONS(1494),
    [anon_sym_get] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_declare] = ACTIONS(1494),
    [anon_sym_public] = ACTIONS(1494),
    [anon_sym_private] = ACTIONS(1494),
    [anon_sym_protected] = ACTIONS(1494),
    [anon_sym_override] = ACTIONS(1494),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_any] = ACTIONS(1494),
    [anon_sym_number] = ACTIONS(1494),
    [anon_sym_boolean] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_symbol] = ACTIONS(1494),
    [anon_sym_object] = ACTIONS(1494),
    [sym_html_comment] = ACTIONS(5),
  },
  [516] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2622),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6950),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(516),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [517] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2746),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_sequence_expression] = STATE(7141),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(517),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [518] = {
    [sym_import] = STATE(4284),
    [sym_statement_block] = STATE(2534),
    [sym_parenthesized_expression] = STATE(2241),
    [sym_expression] = STATE(3094),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2241),
    [sym_subscript_expression] = STATE(2241),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3867),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7457),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(518),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2241),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1564),
    [anon_sym_type] = ACTIONS(1564),
    [anon_sym_namespace] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(1570),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1572),
    [anon_sym_yield] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1576),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_void] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1588),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1564),
    [anon_sym_readonly] = ACTIONS(1564),
    [anon_sym_get] = ACTIONS(1564),
    [anon_sym_set] = ACTIONS(1564),
    [anon_sym_declare] = ACTIONS(1564),
    [anon_sym_public] = ACTIONS(1564),
    [anon_sym_private] = ACTIONS(1564),
    [anon_sym_protected] = ACTIONS(1564),
    [anon_sym_override] = ACTIONS(1564),
    [anon_sym_module] = ACTIONS(1564),
    [anon_sym_any] = ACTIONS(1564),
    [anon_sym_number] = ACTIONS(1564),
    [anon_sym_boolean] = ACTIONS(1564),
    [anon_sym_string] = ACTIONS(1564),
    [anon_sym_symbol] = ACTIONS(1564),
    [anon_sym_object] = ACTIONS(1564),
    [sym_html_comment] = ACTIONS(5),
  },
  [519] = {
    [sym_import] = STATE(4293),
    [sym_statement_block] = STATE(3178),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2510),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(519),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [520] = {
    [sym_import] = STATE(4284),
    [sym_statement_block] = STATE(2591),
    [sym_parenthesized_expression] = STATE(2241),
    [sym_expression] = STATE(3092),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2241),
    [sym_subscript_expression] = STATE(2241),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3867),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7457),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(520),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2241),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1564),
    [anon_sym_type] = ACTIONS(1564),
    [anon_sym_namespace] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(1570),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1572),
    [anon_sym_yield] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1576),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_void] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1588),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1564),
    [anon_sym_readonly] = ACTIONS(1564),
    [anon_sym_get] = ACTIONS(1564),
    [anon_sym_set] = ACTIONS(1564),
    [anon_sym_declare] = ACTIONS(1564),
    [anon_sym_public] = ACTIONS(1564),
    [anon_sym_private] = ACTIONS(1564),
    [anon_sym_protected] = ACTIONS(1564),
    [anon_sym_override] = ACTIONS(1564),
    [anon_sym_module] = ACTIONS(1564),
    [anon_sym_any] = ACTIONS(1564),
    [anon_sym_number] = ACTIONS(1564),
    [anon_sym_boolean] = ACTIONS(1564),
    [anon_sym_string] = ACTIONS(1564),
    [anon_sym_symbol] = ACTIONS(1564),
    [anon_sym_object] = ACTIONS(1564),
    [sym_html_comment] = ACTIONS(5),
  },
  [521] = {
    [sym_import] = STATE(4284),
    [sym_statement_block] = STATE(2603),
    [sym_parenthesized_expression] = STATE(2241),
    [sym_expression] = STATE(3089),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2241),
    [sym_subscript_expression] = STATE(2241),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3867),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7457),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(521),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2241),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1564),
    [anon_sym_type] = ACTIONS(1564),
    [anon_sym_namespace] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(1570),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1572),
    [anon_sym_yield] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1576),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_void] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1588),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1564),
    [anon_sym_readonly] = ACTIONS(1564),
    [anon_sym_get] = ACTIONS(1564),
    [anon_sym_set] = ACTIONS(1564),
    [anon_sym_declare] = ACTIONS(1564),
    [anon_sym_public] = ACTIONS(1564),
    [anon_sym_private] = ACTIONS(1564),
    [anon_sym_protected] = ACTIONS(1564),
    [anon_sym_override] = ACTIONS(1564),
    [anon_sym_module] = ACTIONS(1564),
    [anon_sym_any] = ACTIONS(1564),
    [anon_sym_number] = ACTIONS(1564),
    [anon_sym_boolean] = ACTIONS(1564),
    [anon_sym_string] = ACTIONS(1564),
    [anon_sym_symbol] = ACTIONS(1564),
    [anon_sym_object] = ACTIONS(1564),
    [sym_html_comment] = ACTIONS(5),
  },
  [522] = {
    [sym_import] = STATE(4284),
    [sym_statement_block] = STATE(2603),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3356),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(522),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [523] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_sequence_expression] = STATE(7322),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(523),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [524] = {
    [sym_import] = STATE(4284),
    [sym_statement_block] = STATE(2604),
    [sym_parenthesized_expression] = STATE(2241),
    [sym_expression] = STATE(3088),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2241),
    [sym_subscript_expression] = STATE(2241),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3867),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7457),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(524),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2241),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1564),
    [anon_sym_type] = ACTIONS(1564),
    [anon_sym_namespace] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(1570),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1572),
    [anon_sym_yield] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1576),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_void] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1588),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1564),
    [anon_sym_readonly] = ACTIONS(1564),
    [anon_sym_get] = ACTIONS(1564),
    [anon_sym_set] = ACTIONS(1564),
    [anon_sym_declare] = ACTIONS(1564),
    [anon_sym_public] = ACTIONS(1564),
    [anon_sym_private] = ACTIONS(1564),
    [anon_sym_protected] = ACTIONS(1564),
    [anon_sym_override] = ACTIONS(1564),
    [anon_sym_module] = ACTIONS(1564),
    [anon_sym_any] = ACTIONS(1564),
    [anon_sym_number] = ACTIONS(1564),
    [anon_sym_boolean] = ACTIONS(1564),
    [anon_sym_string] = ACTIONS(1564),
    [anon_sym_symbol] = ACTIONS(1564),
    [anon_sym_object] = ACTIONS(1564),
    [sym_html_comment] = ACTIONS(5),
  },
  [525] = {
    [sym_import] = STATE(4284),
    [sym_statement_block] = STATE(2575),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3075),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7312),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3830),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7314),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(525),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1632),
    [anon_sym_type] = ACTIONS(1632),
    [anon_sym_namespace] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(1638),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1632),
    [anon_sym_BANG] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1640),
    [anon_sym_yield] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1644),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1638),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1638),
    [anon_sym_void] = ACTIONS(1638),
    [anon_sym_delete] = ACTIONS(1638),
    [anon_sym_PLUS_PLUS] = ACTIONS(1654),
    [anon_sym_DASH_DASH] = ACTIONS(1654),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1656),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1632),
    [anon_sym_readonly] = ACTIONS(1632),
    [anon_sym_get] = ACTIONS(1632),
    [anon_sym_set] = ACTIONS(1632),
    [anon_sym_declare] = ACTIONS(1632),
    [anon_sym_public] = ACTIONS(1632),
    [anon_sym_private] = ACTIONS(1632),
    [anon_sym_protected] = ACTIONS(1632),
    [anon_sym_override] = ACTIONS(1632),
    [anon_sym_module] = ACTIONS(1632),
    [anon_sym_any] = ACTIONS(1632),
    [anon_sym_number] = ACTIONS(1632),
    [anon_sym_boolean] = ACTIONS(1632),
    [anon_sym_string] = ACTIONS(1632),
    [anon_sym_symbol] = ACTIONS(1632),
    [anon_sym_object] = ACTIONS(1632),
    [sym_html_comment] = ACTIONS(5),
  },
  [526] = {
    [sym_import] = STATE(4284),
    [sym_statement_block] = STATE(2575),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2816),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3815),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7334),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(526),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1504),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1508),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1502),
    [anon_sym_delete] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1520),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1494),
    [anon_sym_readonly] = ACTIONS(1494),
    [anon_sym_get] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_declare] = ACTIONS(1494),
    [anon_sym_public] = ACTIONS(1494),
    [anon_sym_private] = ACTIONS(1494),
    [anon_sym_protected] = ACTIONS(1494),
    [anon_sym_override] = ACTIONS(1494),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_any] = ACTIONS(1494),
    [anon_sym_number] = ACTIONS(1494),
    [anon_sym_boolean] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_symbol] = ACTIONS(1494),
    [anon_sym_object] = ACTIONS(1494),
    [sym_html_comment] = ACTIONS(5),
  },
  [527] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2753),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_sequence_expression] = STATE(7328),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(527),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [528] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2743),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_sequence_expression] = STATE(7368),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(528),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [529] = {
    [sym_import] = STATE(4284),
    [sym_statement_block] = STATE(2604),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2449),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(529),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [530] = {
    [sym_import] = STATE(4284),
    [sym_statement_block] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3160),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7312),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3830),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7314),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(530),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1632),
    [anon_sym_type] = ACTIONS(1632),
    [anon_sym_namespace] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(1638),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1632),
    [anon_sym_BANG] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1640),
    [anon_sym_yield] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1644),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1638),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1638),
    [anon_sym_void] = ACTIONS(1638),
    [anon_sym_delete] = ACTIONS(1638),
    [anon_sym_PLUS_PLUS] = ACTIONS(1654),
    [anon_sym_DASH_DASH] = ACTIONS(1654),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1656),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1632),
    [anon_sym_readonly] = ACTIONS(1632),
    [anon_sym_get] = ACTIONS(1632),
    [anon_sym_set] = ACTIONS(1632),
    [anon_sym_declare] = ACTIONS(1632),
    [anon_sym_public] = ACTIONS(1632),
    [anon_sym_private] = ACTIONS(1632),
    [anon_sym_protected] = ACTIONS(1632),
    [anon_sym_override] = ACTIONS(1632),
    [anon_sym_module] = ACTIONS(1632),
    [anon_sym_any] = ACTIONS(1632),
    [anon_sym_number] = ACTIONS(1632),
    [anon_sym_boolean] = ACTIONS(1632),
    [anon_sym_string] = ACTIONS(1632),
    [anon_sym_symbol] = ACTIONS(1632),
    [anon_sym_object] = ACTIONS(1632),
    [sym_html_comment] = ACTIONS(5),
  },
  [531] = {
    [sym_import] = STATE(4284),
    [sym_statement_block] = STATE(2603),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2450),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(531),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [532] = {
    [sym_import] = STATE(4293),
    [sym_statement_block] = STATE(3133),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2925),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(532),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1420),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1420),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1420),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [sym_html_comment] = ACTIONS(5),
  },
  [533] = {
    [sym_import] = STATE(4284),
    [sym_statement_block] = STATE(2534),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3233),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7312),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3830),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7314),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(533),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1632),
    [anon_sym_type] = ACTIONS(1632),
    [anon_sym_namespace] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(1638),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1632),
    [anon_sym_BANG] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1640),
    [anon_sym_yield] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1644),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1638),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1638),
    [anon_sym_void] = ACTIONS(1638),
    [anon_sym_delete] = ACTIONS(1638),
    [anon_sym_PLUS_PLUS] = ACTIONS(1654),
    [anon_sym_DASH_DASH] = ACTIONS(1654),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1656),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1632),
    [anon_sym_readonly] = ACTIONS(1632),
    [anon_sym_get] = ACTIONS(1632),
    [anon_sym_set] = ACTIONS(1632),
    [anon_sym_declare] = ACTIONS(1632),
    [anon_sym_public] = ACTIONS(1632),
    [anon_sym_private] = ACTIONS(1632),
    [anon_sym_protected] = ACTIONS(1632),
    [anon_sym_override] = ACTIONS(1632),
    [anon_sym_module] = ACTIONS(1632),
    [anon_sym_any] = ACTIONS(1632),
    [anon_sym_number] = ACTIONS(1632),
    [anon_sym_boolean] = ACTIONS(1632),
    [anon_sym_string] = ACTIONS(1632),
    [anon_sym_symbol] = ACTIONS(1632),
    [anon_sym_object] = ACTIONS(1632),
    [sym_html_comment] = ACTIONS(5),
  },
  [534] = {
    [sym_import] = STATE(4284),
    [sym_statement_block] = STATE(2534),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2722),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7156),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3817),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7159),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(534),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1530),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_namespace] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(1536),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1538),
    [anon_sym_yield] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1542),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1242),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_void] = ACTIONS(1536),
    [anon_sym_delete] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1554),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1530),
    [anon_sym_readonly] = ACTIONS(1530),
    [anon_sym_get] = ACTIONS(1530),
    [anon_sym_set] = ACTIONS(1530),
    [anon_sym_declare] = ACTIONS(1530),
    [anon_sym_public] = ACTIONS(1530),
    [anon_sym_private] = ACTIONS(1530),
    [anon_sym_protected] = ACTIONS(1530),
    [anon_sym_override] = ACTIONS(1530),
    [anon_sym_module] = ACTIONS(1530),
    [anon_sym_any] = ACTIONS(1530),
    [anon_sym_number] = ACTIONS(1530),
    [anon_sym_boolean] = ACTIONS(1530),
    [anon_sym_string] = ACTIONS(1530),
    [anon_sym_symbol] = ACTIONS(1530),
    [anon_sym_object] = ACTIONS(1530),
    [sym_html_comment] = ACTIONS(5),
  },
  [535] = {
    [sym_import] = STATE(4284),
    [sym_statement_block] = STATE(2591),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2454),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(535),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(2493),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [536] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2745),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_sequence_expression] = STATE(7383),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(536),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [537] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2784),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_sequence_expression] = STATE(7538),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(537),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [538] = {
    [sym_import] = STATE(4293),
    [sym_statement_block] = STATE(3133),
    [sym_parenthesized_expression] = STATE(2143),
    [sym_expression] = STATE(2528),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7153),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2143),
    [sym_subscript_expression] = STATE(2143),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3819),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7151),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(538),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2143),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1598),
    [anon_sym_type] = ACTIONS(1598),
    [anon_sym_namespace] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(1604),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1598),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1606),
    [anon_sym_yield] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1610),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_void] = ACTIONS(1604),
    [anon_sym_delete] = ACTIONS(1604),
    [anon_sym_PLUS_PLUS] = ACTIONS(1620),
    [anon_sym_DASH_DASH] = ACTIONS(1620),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1622),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1598),
    [anon_sym_readonly] = ACTIONS(1598),
    [anon_sym_get] = ACTIONS(1598),
    [anon_sym_set] = ACTIONS(1598),
    [anon_sym_declare] = ACTIONS(1598),
    [anon_sym_public] = ACTIONS(1598),
    [anon_sym_private] = ACTIONS(1598),
    [anon_sym_protected] = ACTIONS(1598),
    [anon_sym_override] = ACTIONS(1598),
    [anon_sym_module] = ACTIONS(1598),
    [anon_sym_any] = ACTIONS(1598),
    [anon_sym_number] = ACTIONS(1598),
    [anon_sym_boolean] = ACTIONS(1598),
    [anon_sym_string] = ACTIONS(1598),
    [anon_sym_symbol] = ACTIONS(1598),
    [anon_sym_object] = ACTIONS(1598),
    [sym_html_comment] = ACTIONS(5),
  },
  [539] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2670),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6991),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(539),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [540] = {
    [sym_import] = STATE(4284),
    [sym_statement_block] = STATE(2604),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3353),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(540),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [541] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2342),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_sequence_expression] = STATE(7327),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(541),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [542] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2241),
    [sym_expression] = STATE(3294),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2241),
    [sym_subscript_expression] = STATE(2241),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3867),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7457),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(542),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2241),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_mapped_type_clause] = STATE(7221),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(2507),
    [anon_sym_export] = ACTIONS(2509),
    [anon_sym_type] = ACTIONS(2509),
    [anon_sym_namespace] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1570),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1572),
    [anon_sym_yield] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(2513),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(2515),
    [anon_sym_using] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_void] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1588),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2509),
    [anon_sym_readonly] = ACTIONS(2509),
    [anon_sym_get] = ACTIONS(2509),
    [anon_sym_set] = ACTIONS(2509),
    [anon_sym_declare] = ACTIONS(2509),
    [anon_sym_public] = ACTIONS(2509),
    [anon_sym_private] = ACTIONS(2509),
    [anon_sym_protected] = ACTIONS(2509),
    [anon_sym_override] = ACTIONS(2509),
    [anon_sym_module] = ACTIONS(2509),
    [anon_sym_any] = ACTIONS(2509),
    [anon_sym_number] = ACTIONS(2509),
    [anon_sym_boolean] = ACTIONS(2509),
    [anon_sym_string] = ACTIONS(2509),
    [anon_sym_symbol] = ACTIONS(2509),
    [anon_sym_object] = ACTIONS(2509),
    [sym_html_comment] = ACTIONS(5),
  },
  [543] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2763),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_sequence_expression] = STATE(7369),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(543),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [544] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2573),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_sequence_expression] = STATE(6615),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(544),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [545] = {
    [sym_import] = STATE(4284),
    [sym_statement_block] = STATE(2604),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3235),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7312),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3830),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7314),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(545),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1632),
    [anon_sym_type] = ACTIONS(1632),
    [anon_sym_namespace] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(1638),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1632),
    [anon_sym_BANG] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1640),
    [anon_sym_yield] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1644),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1638),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1638),
    [anon_sym_void] = ACTIONS(1638),
    [anon_sym_delete] = ACTIONS(1638),
    [anon_sym_PLUS_PLUS] = ACTIONS(1654),
    [anon_sym_DASH_DASH] = ACTIONS(1654),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1656),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1632),
    [anon_sym_readonly] = ACTIONS(1632),
    [anon_sym_get] = ACTIONS(1632),
    [anon_sym_set] = ACTIONS(1632),
    [anon_sym_declare] = ACTIONS(1632),
    [anon_sym_public] = ACTIONS(1632),
    [anon_sym_private] = ACTIONS(1632),
    [anon_sym_protected] = ACTIONS(1632),
    [anon_sym_override] = ACTIONS(1632),
    [anon_sym_module] = ACTIONS(1632),
    [anon_sym_any] = ACTIONS(1632),
    [anon_sym_number] = ACTIONS(1632),
    [anon_sym_boolean] = ACTIONS(1632),
    [anon_sym_string] = ACTIONS(1632),
    [anon_sym_symbol] = ACTIONS(1632),
    [anon_sym_object] = ACTIONS(1632),
    [sym_html_comment] = ACTIONS(5),
  },
  [546] = {
    [sym_import] = STATE(4284),
    [sym_statement_block] = STATE(2603),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3239),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7312),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3830),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7314),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(546),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1632),
    [anon_sym_type] = ACTIONS(1632),
    [anon_sym_namespace] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(1638),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1632),
    [anon_sym_BANG] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1640),
    [anon_sym_yield] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1644),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1638),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1638),
    [anon_sym_void] = ACTIONS(1638),
    [anon_sym_delete] = ACTIONS(1638),
    [anon_sym_PLUS_PLUS] = ACTIONS(1654),
    [anon_sym_DASH_DASH] = ACTIONS(1654),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1656),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1632),
    [anon_sym_readonly] = ACTIONS(1632),
    [anon_sym_get] = ACTIONS(1632),
    [anon_sym_set] = ACTIONS(1632),
    [anon_sym_declare] = ACTIONS(1632),
    [anon_sym_public] = ACTIONS(1632),
    [anon_sym_private] = ACTIONS(1632),
    [anon_sym_protected] = ACTIONS(1632),
    [anon_sym_override] = ACTIONS(1632),
    [anon_sym_module] = ACTIONS(1632),
    [anon_sym_any] = ACTIONS(1632),
    [anon_sym_number] = ACTIONS(1632),
    [anon_sym_boolean] = ACTIONS(1632),
    [anon_sym_string] = ACTIONS(1632),
    [anon_sym_symbol] = ACTIONS(1632),
    [anon_sym_object] = ACTIONS(1632),
    [sym_html_comment] = ACTIONS(5),
  },
  [547] = {
    [sym_import] = STATE(4284),
    [sym_statement_block] = STATE(2591),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3240),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7312),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3830),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7314),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(547),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1632),
    [anon_sym_type] = ACTIONS(1632),
    [anon_sym_namespace] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(1638),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1632),
    [anon_sym_BANG] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1640),
    [anon_sym_yield] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1644),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1638),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1638),
    [anon_sym_void] = ACTIONS(1638),
    [anon_sym_delete] = ACTIONS(1638),
    [anon_sym_PLUS_PLUS] = ACTIONS(1654),
    [anon_sym_DASH_DASH] = ACTIONS(1654),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1656),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1632),
    [anon_sym_readonly] = ACTIONS(1632),
    [anon_sym_get] = ACTIONS(1632),
    [anon_sym_set] = ACTIONS(1632),
    [anon_sym_declare] = ACTIONS(1632),
    [anon_sym_public] = ACTIONS(1632),
    [anon_sym_private] = ACTIONS(1632),
    [anon_sym_protected] = ACTIONS(1632),
    [anon_sym_override] = ACTIONS(1632),
    [anon_sym_module] = ACTIONS(1632),
    [anon_sym_any] = ACTIONS(1632),
    [anon_sym_number] = ACTIONS(1632),
    [anon_sym_boolean] = ACTIONS(1632),
    [anon_sym_string] = ACTIONS(1632),
    [anon_sym_symbol] = ACTIONS(1632),
    [anon_sym_object] = ACTIONS(1632),
    [sym_html_comment] = ACTIONS(5),
  },
  [548] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2673),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(548),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [549] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2748),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(549),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [550] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2695),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7156),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3817),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7159),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(550),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1530),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_namespace] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1536),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1538),
    [anon_sym_yield] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1542),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1242),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_void] = ACTIONS(1536),
    [anon_sym_delete] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1554),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1530),
    [anon_sym_readonly] = ACTIONS(1530),
    [anon_sym_get] = ACTIONS(1530),
    [anon_sym_set] = ACTIONS(1530),
    [anon_sym_declare] = ACTIONS(1530),
    [anon_sym_public] = ACTIONS(1530),
    [anon_sym_private] = ACTIONS(1530),
    [anon_sym_protected] = ACTIONS(1530),
    [anon_sym_override] = ACTIONS(1530),
    [anon_sym_module] = ACTIONS(1530),
    [anon_sym_any] = ACTIONS(1530),
    [anon_sym_number] = ACTIONS(1530),
    [anon_sym_boolean] = ACTIONS(1530),
    [anon_sym_string] = ACTIONS(1530),
    [anon_sym_symbol] = ACTIONS(1530),
    [anon_sym_object] = ACTIONS(1530),
    [sym_html_comment] = ACTIONS(5),
  },
  [551] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2706),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7156),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3817),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7159),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(551),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1530),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_namespace] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1536),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1538),
    [anon_sym_yield] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1542),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1242),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_void] = ACTIONS(1536),
    [anon_sym_delete] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1554),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1530),
    [anon_sym_readonly] = ACTIONS(1530),
    [anon_sym_get] = ACTIONS(1530),
    [anon_sym_set] = ACTIONS(1530),
    [anon_sym_declare] = ACTIONS(1530),
    [anon_sym_public] = ACTIONS(1530),
    [anon_sym_private] = ACTIONS(1530),
    [anon_sym_protected] = ACTIONS(1530),
    [anon_sym_override] = ACTIONS(1530),
    [anon_sym_module] = ACTIONS(1530),
    [anon_sym_any] = ACTIONS(1530),
    [anon_sym_number] = ACTIONS(1530),
    [anon_sym_boolean] = ACTIONS(1530),
    [anon_sym_string] = ACTIONS(1530),
    [anon_sym_symbol] = ACTIONS(1530),
    [anon_sym_object] = ACTIONS(1530),
    [sym_html_comment] = ACTIONS(5),
  },
  [552] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2693),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(552),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [553] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2710),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7156),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3817),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7159),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(553),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1530),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_namespace] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1536),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1538),
    [anon_sym_yield] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1542),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1242),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_void] = ACTIONS(1536),
    [anon_sym_delete] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1554),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1530),
    [anon_sym_readonly] = ACTIONS(1530),
    [anon_sym_get] = ACTIONS(1530),
    [anon_sym_set] = ACTIONS(1530),
    [anon_sym_declare] = ACTIONS(1530),
    [anon_sym_public] = ACTIONS(1530),
    [anon_sym_private] = ACTIONS(1530),
    [anon_sym_protected] = ACTIONS(1530),
    [anon_sym_override] = ACTIONS(1530),
    [anon_sym_module] = ACTIONS(1530),
    [anon_sym_any] = ACTIONS(1530),
    [anon_sym_number] = ACTIONS(1530),
    [anon_sym_boolean] = ACTIONS(1530),
    [anon_sym_string] = ACTIONS(1530),
    [anon_sym_symbol] = ACTIONS(1530),
    [anon_sym_object] = ACTIONS(1530),
    [sym_html_comment] = ACTIONS(5),
  },
  [554] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2711),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7156),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3817),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7159),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(554),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1530),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_namespace] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1536),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1538),
    [anon_sym_yield] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1542),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1242),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_void] = ACTIONS(1536),
    [anon_sym_delete] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1554),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1530),
    [anon_sym_readonly] = ACTIONS(1530),
    [anon_sym_get] = ACTIONS(1530),
    [anon_sym_set] = ACTIONS(1530),
    [anon_sym_declare] = ACTIONS(1530),
    [anon_sym_public] = ACTIONS(1530),
    [anon_sym_private] = ACTIONS(1530),
    [anon_sym_protected] = ACTIONS(1530),
    [anon_sym_override] = ACTIONS(1530),
    [anon_sym_module] = ACTIONS(1530),
    [anon_sym_any] = ACTIONS(1530),
    [anon_sym_number] = ACTIONS(1530),
    [anon_sym_boolean] = ACTIONS(1530),
    [anon_sym_string] = ACTIONS(1530),
    [anon_sym_symbol] = ACTIONS(1530),
    [anon_sym_object] = ACTIONS(1530),
    [sym_html_comment] = ACTIONS(5),
  },
  [555] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2370),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(555),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(2517),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [556] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(3176),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3815),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7334),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(556),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1504),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1508),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1502),
    [anon_sym_delete] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1520),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1494),
    [anon_sym_readonly] = ACTIONS(1494),
    [anon_sym_get] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_declare] = ACTIONS(1494),
    [anon_sym_public] = ACTIONS(1494),
    [anon_sym_private] = ACTIONS(1494),
    [anon_sym_protected] = ACTIONS(1494),
    [anon_sym_override] = ACTIONS(1494),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_any] = ACTIONS(1494),
    [anon_sym_number] = ACTIONS(1494),
    [anon_sym_boolean] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_symbol] = ACTIONS(1494),
    [anon_sym_object] = ACTIONS(1494),
    [sym_html_comment] = ACTIONS(5),
  },
  [557] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2713),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7156),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3817),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7159),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(557),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1530),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_namespace] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1536),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1538),
    [anon_sym_yield] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1542),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1242),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_void] = ACTIONS(1536),
    [anon_sym_delete] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1554),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1530),
    [anon_sym_readonly] = ACTIONS(1530),
    [anon_sym_get] = ACTIONS(1530),
    [anon_sym_set] = ACTIONS(1530),
    [anon_sym_declare] = ACTIONS(1530),
    [anon_sym_public] = ACTIONS(1530),
    [anon_sym_private] = ACTIONS(1530),
    [anon_sym_protected] = ACTIONS(1530),
    [anon_sym_override] = ACTIONS(1530),
    [anon_sym_module] = ACTIONS(1530),
    [anon_sym_any] = ACTIONS(1530),
    [anon_sym_number] = ACTIONS(1530),
    [anon_sym_boolean] = ACTIONS(1530),
    [anon_sym_string] = ACTIONS(1530),
    [anon_sym_symbol] = ACTIONS(1530),
    [anon_sym_object] = ACTIONS(1530),
    [sym_html_comment] = ACTIONS(5),
  },
  [558] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2714),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7156),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3817),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7159),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(558),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1530),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_namespace] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1536),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1538),
    [anon_sym_yield] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1542),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1242),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_void] = ACTIONS(1536),
    [anon_sym_delete] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1554),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1530),
    [anon_sym_readonly] = ACTIONS(1530),
    [anon_sym_get] = ACTIONS(1530),
    [anon_sym_set] = ACTIONS(1530),
    [anon_sym_declare] = ACTIONS(1530),
    [anon_sym_public] = ACTIONS(1530),
    [anon_sym_private] = ACTIONS(1530),
    [anon_sym_protected] = ACTIONS(1530),
    [anon_sym_override] = ACTIONS(1530),
    [anon_sym_module] = ACTIONS(1530),
    [anon_sym_any] = ACTIONS(1530),
    [anon_sym_number] = ACTIONS(1530),
    [anon_sym_boolean] = ACTIONS(1530),
    [anon_sym_string] = ACTIONS(1530),
    [anon_sym_symbol] = ACTIONS(1530),
    [anon_sym_object] = ACTIONS(1530),
    [sym_html_comment] = ACTIONS(5),
  },
  [559] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2250),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2250),
    [sym_subscript_expression] = STATE(2250),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7294),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(559),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2250),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(2519),
    [anon_sym_export] = ACTIONS(2521),
    [anon_sym_type] = ACTIONS(2521),
    [anon_sym_namespace] = ACTIONS(2523),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2521),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(2525),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(2527),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(2529),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2521),
    [anon_sym_readonly] = ACTIONS(2521),
    [anon_sym_get] = ACTIONS(2521),
    [anon_sym_set] = ACTIONS(2521),
    [anon_sym_declare] = ACTIONS(2521),
    [anon_sym_public] = ACTIONS(2521),
    [anon_sym_private] = ACTIONS(2521),
    [anon_sym_protected] = ACTIONS(2521),
    [anon_sym_override] = ACTIONS(2521),
    [anon_sym_module] = ACTIONS(2521),
    [anon_sym_any] = ACTIONS(2521),
    [anon_sym_number] = ACTIONS(2521),
    [anon_sym_boolean] = ACTIONS(2521),
    [anon_sym_string] = ACTIONS(2521),
    [anon_sym_symbol] = ACTIONS(2521),
    [anon_sym_object] = ACTIONS(2521),
    [sym_html_comment] = ACTIONS(5),
  },
  [560] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2597),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(560),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [561] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2723),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7156),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3817),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7159),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(561),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1530),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_namespace] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1536),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1538),
    [anon_sym_yield] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1542),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1242),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_void] = ACTIONS(1536),
    [anon_sym_delete] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1554),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1530),
    [anon_sym_readonly] = ACTIONS(1530),
    [anon_sym_get] = ACTIONS(1530),
    [anon_sym_set] = ACTIONS(1530),
    [anon_sym_declare] = ACTIONS(1530),
    [anon_sym_public] = ACTIONS(1530),
    [anon_sym_private] = ACTIONS(1530),
    [anon_sym_protected] = ACTIONS(1530),
    [anon_sym_override] = ACTIONS(1530),
    [anon_sym_module] = ACTIONS(1530),
    [anon_sym_any] = ACTIONS(1530),
    [anon_sym_number] = ACTIONS(1530),
    [anon_sym_boolean] = ACTIONS(1530),
    [anon_sym_string] = ACTIONS(1530),
    [anon_sym_symbol] = ACTIONS(1530),
    [anon_sym_object] = ACTIONS(1530),
    [sym_html_comment] = ACTIONS(5),
  },
  [562] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2241),
    [sym_expression] = STATE(3069),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2241),
    [sym_subscript_expression] = STATE(2241),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3867),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7457),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(562),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2241),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1564),
    [anon_sym_type] = ACTIONS(1564),
    [anon_sym_namespace] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1570),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1572),
    [anon_sym_yield] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1576),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_void] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1588),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1564),
    [anon_sym_readonly] = ACTIONS(1564),
    [anon_sym_get] = ACTIONS(1564),
    [anon_sym_set] = ACTIONS(1564),
    [anon_sym_declare] = ACTIONS(1564),
    [anon_sym_public] = ACTIONS(1564),
    [anon_sym_private] = ACTIONS(1564),
    [anon_sym_protected] = ACTIONS(1564),
    [anon_sym_override] = ACTIONS(1564),
    [anon_sym_module] = ACTIONS(1564),
    [anon_sym_any] = ACTIONS(1564),
    [anon_sym_number] = ACTIONS(1564),
    [anon_sym_boolean] = ACTIONS(1564),
    [anon_sym_string] = ACTIONS(1564),
    [anon_sym_symbol] = ACTIONS(1564),
    [anon_sym_object] = ACTIONS(1564),
    [sym_html_comment] = ACTIONS(5),
  },
  [563] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2649),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(563),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [564] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3226),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7312),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3830),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7314),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(564),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1632),
    [anon_sym_type] = ACTIONS(1632),
    [anon_sym_namespace] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1638),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1632),
    [anon_sym_BANG] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1640),
    [anon_sym_yield] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1644),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1638),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1638),
    [anon_sym_void] = ACTIONS(1638),
    [anon_sym_delete] = ACTIONS(1638),
    [anon_sym_PLUS_PLUS] = ACTIONS(1654),
    [anon_sym_DASH_DASH] = ACTIONS(1654),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1656),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1632),
    [anon_sym_readonly] = ACTIONS(1632),
    [anon_sym_get] = ACTIONS(1632),
    [anon_sym_set] = ACTIONS(1632),
    [anon_sym_declare] = ACTIONS(1632),
    [anon_sym_public] = ACTIONS(1632),
    [anon_sym_private] = ACTIONS(1632),
    [anon_sym_protected] = ACTIONS(1632),
    [anon_sym_override] = ACTIONS(1632),
    [anon_sym_module] = ACTIONS(1632),
    [anon_sym_any] = ACTIONS(1632),
    [anon_sym_number] = ACTIONS(1632),
    [anon_sym_boolean] = ACTIONS(1632),
    [anon_sym_string] = ACTIONS(1632),
    [anon_sym_symbol] = ACTIONS(1632),
    [anon_sym_object] = ACTIONS(1632),
    [sym_html_comment] = ACTIONS(5),
  },
  [565] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3225),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7312),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3830),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7314),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(565),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1632),
    [anon_sym_type] = ACTIONS(1632),
    [anon_sym_namespace] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1638),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1632),
    [anon_sym_BANG] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1640),
    [anon_sym_yield] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1644),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1638),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1638),
    [anon_sym_void] = ACTIONS(1638),
    [anon_sym_delete] = ACTIONS(1638),
    [anon_sym_PLUS_PLUS] = ACTIONS(1654),
    [anon_sym_DASH_DASH] = ACTIONS(1654),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1656),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1632),
    [anon_sym_readonly] = ACTIONS(1632),
    [anon_sym_get] = ACTIONS(1632),
    [anon_sym_set] = ACTIONS(1632),
    [anon_sym_declare] = ACTIONS(1632),
    [anon_sym_public] = ACTIONS(1632),
    [anon_sym_private] = ACTIONS(1632),
    [anon_sym_protected] = ACTIONS(1632),
    [anon_sym_override] = ACTIONS(1632),
    [anon_sym_module] = ACTIONS(1632),
    [anon_sym_any] = ACTIONS(1632),
    [anon_sym_number] = ACTIONS(1632),
    [anon_sym_boolean] = ACTIONS(1632),
    [anon_sym_string] = ACTIONS(1632),
    [anon_sym_symbol] = ACTIONS(1632),
    [anon_sym_object] = ACTIONS(1632),
    [sym_html_comment] = ACTIONS(5),
  },
  [566] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2143),
    [sym_expression] = STATE(2605),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7153),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2143),
    [sym_subscript_expression] = STATE(2143),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3819),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7151),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(566),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2143),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1598),
    [anon_sym_type] = ACTIONS(1598),
    [anon_sym_namespace] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1604),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1598),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1606),
    [anon_sym_yield] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1610),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_void] = ACTIONS(1604),
    [anon_sym_delete] = ACTIONS(1604),
    [anon_sym_PLUS_PLUS] = ACTIONS(1620),
    [anon_sym_DASH_DASH] = ACTIONS(1620),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1622),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1598),
    [anon_sym_readonly] = ACTIONS(1598),
    [anon_sym_get] = ACTIONS(1598),
    [anon_sym_set] = ACTIONS(1598),
    [anon_sym_declare] = ACTIONS(1598),
    [anon_sym_public] = ACTIONS(1598),
    [anon_sym_private] = ACTIONS(1598),
    [anon_sym_protected] = ACTIONS(1598),
    [anon_sym_override] = ACTIONS(1598),
    [anon_sym_module] = ACTIONS(1598),
    [anon_sym_any] = ACTIONS(1598),
    [anon_sym_number] = ACTIONS(1598),
    [anon_sym_boolean] = ACTIONS(1598),
    [anon_sym_string] = ACTIONS(1598),
    [anon_sym_symbol] = ACTIONS(1598),
    [anon_sym_object] = ACTIONS(1598),
    [sym_html_comment] = ACTIONS(5),
  },
  [567] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(3042),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3815),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7334),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(567),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1504),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1508),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1502),
    [anon_sym_delete] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1520),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1494),
    [anon_sym_readonly] = ACTIONS(1494),
    [anon_sym_get] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_declare] = ACTIONS(1494),
    [anon_sym_public] = ACTIONS(1494),
    [anon_sym_private] = ACTIONS(1494),
    [anon_sym_protected] = ACTIONS(1494),
    [anon_sym_override] = ACTIONS(1494),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_any] = ACTIONS(1494),
    [anon_sym_number] = ACTIONS(1494),
    [anon_sym_boolean] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_symbol] = ACTIONS(1494),
    [anon_sym_object] = ACTIONS(1494),
    [sym_html_comment] = ACTIONS(5),
  },
  [568] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2740),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7156),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3817),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7159),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(568),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1530),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_namespace] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1536),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1538),
    [anon_sym_yield] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1542),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1242),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_void] = ACTIONS(1536),
    [anon_sym_delete] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1554),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1530),
    [anon_sym_readonly] = ACTIONS(1530),
    [anon_sym_get] = ACTIONS(1530),
    [anon_sym_set] = ACTIONS(1530),
    [anon_sym_declare] = ACTIONS(1530),
    [anon_sym_public] = ACTIONS(1530),
    [anon_sym_private] = ACTIONS(1530),
    [anon_sym_protected] = ACTIONS(1530),
    [anon_sym_override] = ACTIONS(1530),
    [anon_sym_module] = ACTIONS(1530),
    [anon_sym_any] = ACTIONS(1530),
    [anon_sym_number] = ACTIONS(1530),
    [anon_sym_boolean] = ACTIONS(1530),
    [anon_sym_string] = ACTIONS(1530),
    [anon_sym_symbol] = ACTIONS(1530),
    [anon_sym_object] = ACTIONS(1530),
    [sym_html_comment] = ACTIONS(5),
  },
  [569] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3037),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7312),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3830),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7314),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(569),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1632),
    [anon_sym_type] = ACTIONS(1632),
    [anon_sym_namespace] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1638),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1632),
    [anon_sym_BANG] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1640),
    [anon_sym_yield] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1644),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1638),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1638),
    [anon_sym_void] = ACTIONS(1638),
    [anon_sym_delete] = ACTIONS(1638),
    [anon_sym_PLUS_PLUS] = ACTIONS(1654),
    [anon_sym_DASH_DASH] = ACTIONS(1654),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(2531),
    [sym_private_property_identifier] = ACTIONS(1656),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1632),
    [anon_sym_readonly] = ACTIONS(1632),
    [anon_sym_get] = ACTIONS(1632),
    [anon_sym_set] = ACTIONS(1632),
    [anon_sym_declare] = ACTIONS(1632),
    [anon_sym_public] = ACTIONS(1632),
    [anon_sym_private] = ACTIONS(1632),
    [anon_sym_protected] = ACTIONS(1632),
    [anon_sym_override] = ACTIONS(1632),
    [anon_sym_module] = ACTIONS(1632),
    [anon_sym_any] = ACTIONS(1632),
    [anon_sym_number] = ACTIONS(1632),
    [anon_sym_boolean] = ACTIONS(1632),
    [anon_sym_string] = ACTIONS(1632),
    [anon_sym_symbol] = ACTIONS(1632),
    [anon_sym_object] = ACTIONS(1632),
    [sym_html_comment] = ACTIONS(5),
  },
  [570] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2253),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2253),
    [sym_subscript_expression] = STATE(2253),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7410),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(570),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2253),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(2533),
    [anon_sym_export] = ACTIONS(2535),
    [anon_sym_type] = ACTIONS(2535),
    [anon_sym_namespace] = ACTIONS(2537),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2535),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(2539),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(2541),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(2543),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2535),
    [anon_sym_readonly] = ACTIONS(2535),
    [anon_sym_get] = ACTIONS(2535),
    [anon_sym_set] = ACTIONS(2535),
    [anon_sym_declare] = ACTIONS(2535),
    [anon_sym_public] = ACTIONS(2535),
    [anon_sym_private] = ACTIONS(2535),
    [anon_sym_protected] = ACTIONS(2535),
    [anon_sym_override] = ACTIONS(2535),
    [anon_sym_module] = ACTIONS(2535),
    [anon_sym_any] = ACTIONS(2535),
    [anon_sym_number] = ACTIONS(2535),
    [anon_sym_boolean] = ACTIONS(2535),
    [anon_sym_string] = ACTIONS(2535),
    [anon_sym_symbol] = ACTIONS(2535),
    [anon_sym_object] = ACTIONS(2535),
    [sym_html_comment] = ACTIONS(5),
  },
  [571] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2618),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(571),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [572] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2254),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2254),
    [sym_subscript_expression] = STATE(2254),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7196),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(572),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2254),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(2545),
    [anon_sym_export] = ACTIONS(2547),
    [anon_sym_type] = ACTIONS(2547),
    [anon_sym_namespace] = ACTIONS(2549),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(2551),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(2553),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(2555),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2547),
    [anon_sym_readonly] = ACTIONS(2547),
    [anon_sym_get] = ACTIONS(2547),
    [anon_sym_set] = ACTIONS(2547),
    [anon_sym_declare] = ACTIONS(2547),
    [anon_sym_public] = ACTIONS(2547),
    [anon_sym_private] = ACTIONS(2547),
    [anon_sym_protected] = ACTIONS(2547),
    [anon_sym_override] = ACTIONS(2547),
    [anon_sym_module] = ACTIONS(2547),
    [anon_sym_any] = ACTIONS(2547),
    [anon_sym_number] = ACTIONS(2547),
    [anon_sym_boolean] = ACTIONS(2547),
    [anon_sym_string] = ACTIONS(2547),
    [anon_sym_symbol] = ACTIONS(2547),
    [anon_sym_object] = ACTIONS(2547),
    [sym_html_comment] = ACTIONS(5),
  },
  [573] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3256),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7312),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3830),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7314),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(573),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1632),
    [anon_sym_type] = ACTIONS(1632),
    [anon_sym_namespace] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1638),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1632),
    [anon_sym_BANG] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1640),
    [anon_sym_yield] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1644),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1638),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1638),
    [anon_sym_void] = ACTIONS(1638),
    [anon_sym_delete] = ACTIONS(1638),
    [anon_sym_PLUS_PLUS] = ACTIONS(1654),
    [anon_sym_DASH_DASH] = ACTIONS(1654),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1656),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1632),
    [anon_sym_readonly] = ACTIONS(1632),
    [anon_sym_get] = ACTIONS(1632),
    [anon_sym_set] = ACTIONS(1632),
    [anon_sym_declare] = ACTIONS(1632),
    [anon_sym_public] = ACTIONS(1632),
    [anon_sym_private] = ACTIONS(1632),
    [anon_sym_protected] = ACTIONS(1632),
    [anon_sym_override] = ACTIONS(1632),
    [anon_sym_module] = ACTIONS(1632),
    [anon_sym_any] = ACTIONS(1632),
    [anon_sym_number] = ACTIONS(1632),
    [anon_sym_boolean] = ACTIONS(1632),
    [anon_sym_string] = ACTIONS(1632),
    [anon_sym_symbol] = ACTIONS(1632),
    [anon_sym_object] = ACTIONS(1632),
    [sym_html_comment] = ACTIONS(5),
  },
  [574] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2507),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(574),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [575] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3219),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7312),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3830),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7314),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(575),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1632),
    [anon_sym_type] = ACTIONS(1632),
    [anon_sym_namespace] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1638),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1632),
    [anon_sym_BANG] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1640),
    [anon_sym_yield] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1644),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1638),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1638),
    [anon_sym_void] = ACTIONS(1638),
    [anon_sym_delete] = ACTIONS(1638),
    [anon_sym_PLUS_PLUS] = ACTIONS(1654),
    [anon_sym_DASH_DASH] = ACTIONS(1654),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1656),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1632),
    [anon_sym_readonly] = ACTIONS(1632),
    [anon_sym_get] = ACTIONS(1632),
    [anon_sym_set] = ACTIONS(1632),
    [anon_sym_declare] = ACTIONS(1632),
    [anon_sym_public] = ACTIONS(1632),
    [anon_sym_private] = ACTIONS(1632),
    [anon_sym_protected] = ACTIONS(1632),
    [anon_sym_override] = ACTIONS(1632),
    [anon_sym_module] = ACTIONS(1632),
    [anon_sym_any] = ACTIONS(1632),
    [anon_sym_number] = ACTIONS(1632),
    [anon_sym_boolean] = ACTIONS(1632),
    [anon_sym_string] = ACTIONS(1632),
    [anon_sym_symbol] = ACTIONS(1632),
    [anon_sym_object] = ACTIONS(1632),
    [sym_html_comment] = ACTIONS(5),
  },
  [576] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3216),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7312),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3830),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7314),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(576),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1632),
    [anon_sym_type] = ACTIONS(1632),
    [anon_sym_namespace] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1638),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1632),
    [anon_sym_BANG] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1640),
    [anon_sym_yield] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1644),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1638),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1638),
    [anon_sym_void] = ACTIONS(1638),
    [anon_sym_delete] = ACTIONS(1638),
    [anon_sym_PLUS_PLUS] = ACTIONS(1654),
    [anon_sym_DASH_DASH] = ACTIONS(1654),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1656),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1632),
    [anon_sym_readonly] = ACTIONS(1632),
    [anon_sym_get] = ACTIONS(1632),
    [anon_sym_set] = ACTIONS(1632),
    [anon_sym_declare] = ACTIONS(1632),
    [anon_sym_public] = ACTIONS(1632),
    [anon_sym_private] = ACTIONS(1632),
    [anon_sym_protected] = ACTIONS(1632),
    [anon_sym_override] = ACTIONS(1632),
    [anon_sym_module] = ACTIONS(1632),
    [anon_sym_any] = ACTIONS(1632),
    [anon_sym_number] = ACTIONS(1632),
    [anon_sym_boolean] = ACTIONS(1632),
    [anon_sym_string] = ACTIONS(1632),
    [anon_sym_symbol] = ACTIONS(1632),
    [anon_sym_object] = ACTIONS(1632),
    [sym_html_comment] = ACTIONS(5),
  },
  [577] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2143),
    [sym_expression] = STATE(2628),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7153),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2143),
    [sym_subscript_expression] = STATE(2143),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3819),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7151),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(577),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2143),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1598),
    [anon_sym_type] = ACTIONS(1598),
    [anon_sym_namespace] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1604),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1598),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1606),
    [anon_sym_yield] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1610),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_void] = ACTIONS(1604),
    [anon_sym_delete] = ACTIONS(1604),
    [anon_sym_PLUS_PLUS] = ACTIONS(1620),
    [anon_sym_DASH_DASH] = ACTIONS(1620),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1622),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1598),
    [anon_sym_readonly] = ACTIONS(1598),
    [anon_sym_get] = ACTIONS(1598),
    [anon_sym_set] = ACTIONS(1598),
    [anon_sym_declare] = ACTIONS(1598),
    [anon_sym_public] = ACTIONS(1598),
    [anon_sym_private] = ACTIONS(1598),
    [anon_sym_protected] = ACTIONS(1598),
    [anon_sym_override] = ACTIONS(1598),
    [anon_sym_module] = ACTIONS(1598),
    [anon_sym_any] = ACTIONS(1598),
    [anon_sym_number] = ACTIONS(1598),
    [anon_sym_boolean] = ACTIONS(1598),
    [anon_sym_string] = ACTIONS(1598),
    [anon_sym_symbol] = ACTIONS(1598),
    [anon_sym_object] = ACTIONS(1598),
    [sym_html_comment] = ACTIONS(5),
  },
  [578] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3185),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7312),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3830),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7314),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(578),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1632),
    [anon_sym_type] = ACTIONS(1632),
    [anon_sym_namespace] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1638),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1632),
    [anon_sym_BANG] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1640),
    [anon_sym_yield] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1644),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1638),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1638),
    [anon_sym_void] = ACTIONS(1638),
    [anon_sym_delete] = ACTIONS(1638),
    [anon_sym_PLUS_PLUS] = ACTIONS(1654),
    [anon_sym_DASH_DASH] = ACTIONS(1654),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1656),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1632),
    [anon_sym_readonly] = ACTIONS(1632),
    [anon_sym_get] = ACTIONS(1632),
    [anon_sym_set] = ACTIONS(1632),
    [anon_sym_declare] = ACTIONS(1632),
    [anon_sym_public] = ACTIONS(1632),
    [anon_sym_private] = ACTIONS(1632),
    [anon_sym_protected] = ACTIONS(1632),
    [anon_sym_override] = ACTIONS(1632),
    [anon_sym_module] = ACTIONS(1632),
    [anon_sym_any] = ACTIONS(1632),
    [anon_sym_number] = ACTIONS(1632),
    [anon_sym_boolean] = ACTIONS(1632),
    [anon_sym_string] = ACTIONS(1632),
    [anon_sym_symbol] = ACTIONS(1632),
    [anon_sym_object] = ACTIONS(1632),
    [sym_html_comment] = ACTIONS(5),
  },
  [579] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2143),
    [sym_expression] = STATE(2625),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7153),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2143),
    [sym_subscript_expression] = STATE(2143),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3819),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7151),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(579),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2143),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1598),
    [anon_sym_type] = ACTIONS(1598),
    [anon_sym_namespace] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1604),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1598),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1606),
    [anon_sym_yield] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1610),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_void] = ACTIONS(1604),
    [anon_sym_delete] = ACTIONS(1604),
    [anon_sym_PLUS_PLUS] = ACTIONS(1620),
    [anon_sym_DASH_DASH] = ACTIONS(1620),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1622),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1598),
    [anon_sym_readonly] = ACTIONS(1598),
    [anon_sym_get] = ACTIONS(1598),
    [anon_sym_set] = ACTIONS(1598),
    [anon_sym_declare] = ACTIONS(1598),
    [anon_sym_public] = ACTIONS(1598),
    [anon_sym_private] = ACTIONS(1598),
    [anon_sym_protected] = ACTIONS(1598),
    [anon_sym_override] = ACTIONS(1598),
    [anon_sym_module] = ACTIONS(1598),
    [anon_sym_any] = ACTIONS(1598),
    [anon_sym_number] = ACTIONS(1598),
    [anon_sym_boolean] = ACTIONS(1598),
    [anon_sym_string] = ACTIONS(1598),
    [anon_sym_symbol] = ACTIONS(1598),
    [anon_sym_object] = ACTIONS(1598),
    [sym_html_comment] = ACTIONS(5),
  },
  [580] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3184),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7312),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3830),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7314),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(580),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1632),
    [anon_sym_type] = ACTIONS(1632),
    [anon_sym_namespace] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1638),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1632),
    [anon_sym_BANG] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1640),
    [anon_sym_yield] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1644),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1638),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1638),
    [anon_sym_void] = ACTIONS(1638),
    [anon_sym_delete] = ACTIONS(1638),
    [anon_sym_PLUS_PLUS] = ACTIONS(1654),
    [anon_sym_DASH_DASH] = ACTIONS(1654),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1656),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1632),
    [anon_sym_readonly] = ACTIONS(1632),
    [anon_sym_get] = ACTIONS(1632),
    [anon_sym_set] = ACTIONS(1632),
    [anon_sym_declare] = ACTIONS(1632),
    [anon_sym_public] = ACTIONS(1632),
    [anon_sym_private] = ACTIONS(1632),
    [anon_sym_protected] = ACTIONS(1632),
    [anon_sym_override] = ACTIONS(1632),
    [anon_sym_module] = ACTIONS(1632),
    [anon_sym_any] = ACTIONS(1632),
    [anon_sym_number] = ACTIONS(1632),
    [anon_sym_boolean] = ACTIONS(1632),
    [anon_sym_string] = ACTIONS(1632),
    [anon_sym_symbol] = ACTIONS(1632),
    [anon_sym_object] = ACTIONS(1632),
    [sym_html_comment] = ACTIONS(5),
  },
  [581] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3183),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7312),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3830),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7314),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(581),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1632),
    [anon_sym_type] = ACTIONS(1632),
    [anon_sym_namespace] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1638),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1632),
    [anon_sym_BANG] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1640),
    [anon_sym_yield] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1644),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1638),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1638),
    [anon_sym_void] = ACTIONS(1638),
    [anon_sym_delete] = ACTIONS(1638),
    [anon_sym_PLUS_PLUS] = ACTIONS(1654),
    [anon_sym_DASH_DASH] = ACTIONS(1654),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1656),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1632),
    [anon_sym_readonly] = ACTIONS(1632),
    [anon_sym_get] = ACTIONS(1632),
    [anon_sym_set] = ACTIONS(1632),
    [anon_sym_declare] = ACTIONS(1632),
    [anon_sym_public] = ACTIONS(1632),
    [anon_sym_private] = ACTIONS(1632),
    [anon_sym_protected] = ACTIONS(1632),
    [anon_sym_override] = ACTIONS(1632),
    [anon_sym_module] = ACTIONS(1632),
    [anon_sym_any] = ACTIONS(1632),
    [anon_sym_number] = ACTIONS(1632),
    [anon_sym_boolean] = ACTIONS(1632),
    [anon_sym_string] = ACTIONS(1632),
    [anon_sym_symbol] = ACTIONS(1632),
    [anon_sym_object] = ACTIONS(1632),
    [sym_html_comment] = ACTIONS(5),
  },
  [582] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2241),
    [sym_expression] = STATE(3071),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2241),
    [sym_subscript_expression] = STATE(2241),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3867),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7457),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(582),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2241),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1564),
    [anon_sym_type] = ACTIONS(1564),
    [anon_sym_namespace] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1570),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1572),
    [anon_sym_yield] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1576),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_void] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1588),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1564),
    [anon_sym_readonly] = ACTIONS(1564),
    [anon_sym_get] = ACTIONS(1564),
    [anon_sym_set] = ACTIONS(1564),
    [anon_sym_declare] = ACTIONS(1564),
    [anon_sym_public] = ACTIONS(1564),
    [anon_sym_private] = ACTIONS(1564),
    [anon_sym_protected] = ACTIONS(1564),
    [anon_sym_override] = ACTIONS(1564),
    [anon_sym_module] = ACTIONS(1564),
    [anon_sym_any] = ACTIONS(1564),
    [anon_sym_number] = ACTIONS(1564),
    [anon_sym_boolean] = ACTIONS(1564),
    [anon_sym_string] = ACTIONS(1564),
    [anon_sym_symbol] = ACTIONS(1564),
    [anon_sym_object] = ACTIONS(1564),
    [sym_html_comment] = ACTIONS(5),
  },
  [583] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2470),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(583),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [584] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2739),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7156),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3817),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7159),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(584),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1530),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_namespace] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1536),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1538),
    [anon_sym_yield] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1542),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1242),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_void] = ACTIONS(1536),
    [anon_sym_delete] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1554),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1530),
    [anon_sym_readonly] = ACTIONS(1530),
    [anon_sym_get] = ACTIONS(1530),
    [anon_sym_set] = ACTIONS(1530),
    [anon_sym_declare] = ACTIONS(1530),
    [anon_sym_public] = ACTIONS(1530),
    [anon_sym_private] = ACTIONS(1530),
    [anon_sym_protected] = ACTIONS(1530),
    [anon_sym_override] = ACTIONS(1530),
    [anon_sym_module] = ACTIONS(1530),
    [anon_sym_any] = ACTIONS(1530),
    [anon_sym_number] = ACTIONS(1530),
    [anon_sym_boolean] = ACTIONS(1530),
    [anon_sym_string] = ACTIONS(1530),
    [anon_sym_symbol] = ACTIONS(1530),
    [anon_sym_object] = ACTIONS(1530),
    [sym_html_comment] = ACTIONS(5),
  },
  [585] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2697),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7156),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3817),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7159),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(585),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1530),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_namespace] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1536),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1538),
    [anon_sym_yield] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1542),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1242),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_void] = ACTIONS(1536),
    [anon_sym_delete] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1554),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1530),
    [anon_sym_readonly] = ACTIONS(1530),
    [anon_sym_get] = ACTIONS(1530),
    [anon_sym_set] = ACTIONS(1530),
    [anon_sym_declare] = ACTIONS(1530),
    [anon_sym_public] = ACTIONS(1530),
    [anon_sym_private] = ACTIONS(1530),
    [anon_sym_protected] = ACTIONS(1530),
    [anon_sym_override] = ACTIONS(1530),
    [anon_sym_module] = ACTIONS(1530),
    [anon_sym_any] = ACTIONS(1530),
    [anon_sym_number] = ACTIONS(1530),
    [anon_sym_boolean] = ACTIONS(1530),
    [anon_sym_string] = ACTIONS(1530),
    [anon_sym_symbol] = ACTIONS(1530),
    [anon_sym_object] = ACTIONS(1530),
    [sym_html_comment] = ACTIONS(5),
  },
  [586] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2699),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7156),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3817),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7159),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(586),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1530),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_namespace] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1536),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1538),
    [anon_sym_yield] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1542),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1242),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_void] = ACTIONS(1536),
    [anon_sym_delete] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1554),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1530),
    [anon_sym_readonly] = ACTIONS(1530),
    [anon_sym_get] = ACTIONS(1530),
    [anon_sym_set] = ACTIONS(1530),
    [anon_sym_declare] = ACTIONS(1530),
    [anon_sym_public] = ACTIONS(1530),
    [anon_sym_private] = ACTIONS(1530),
    [anon_sym_protected] = ACTIONS(1530),
    [anon_sym_override] = ACTIONS(1530),
    [anon_sym_module] = ACTIONS(1530),
    [anon_sym_any] = ACTIONS(1530),
    [anon_sym_number] = ACTIONS(1530),
    [anon_sym_boolean] = ACTIONS(1530),
    [anon_sym_string] = ACTIONS(1530),
    [anon_sym_symbol] = ACTIONS(1530),
    [anon_sym_object] = ACTIONS(1530),
    [sym_html_comment] = ACTIONS(5),
  },
  [587] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2777),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7156),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3817),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7159),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(587),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1530),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_namespace] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1536),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1538),
    [anon_sym_yield] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1542),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1242),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_void] = ACTIONS(1536),
    [anon_sym_delete] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1554),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1530),
    [anon_sym_readonly] = ACTIONS(1530),
    [anon_sym_get] = ACTIONS(1530),
    [anon_sym_set] = ACTIONS(1530),
    [anon_sym_declare] = ACTIONS(1530),
    [anon_sym_public] = ACTIONS(1530),
    [anon_sym_private] = ACTIONS(1530),
    [anon_sym_protected] = ACTIONS(1530),
    [anon_sym_override] = ACTIONS(1530),
    [anon_sym_module] = ACTIONS(1530),
    [anon_sym_any] = ACTIONS(1530),
    [anon_sym_number] = ACTIONS(1530),
    [anon_sym_boolean] = ACTIONS(1530),
    [anon_sym_string] = ACTIONS(1530),
    [anon_sym_symbol] = ACTIONS(1530),
    [anon_sym_object] = ACTIONS(1530),
    [sym_html_comment] = ACTIONS(5),
  },
  [588] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2776),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7156),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3817),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7159),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(588),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1530),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_namespace] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1536),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1538),
    [anon_sym_yield] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1542),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1242),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_void] = ACTIONS(1536),
    [anon_sym_delete] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1554),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1530),
    [anon_sym_readonly] = ACTIONS(1530),
    [anon_sym_get] = ACTIONS(1530),
    [anon_sym_set] = ACTIONS(1530),
    [anon_sym_declare] = ACTIONS(1530),
    [anon_sym_public] = ACTIONS(1530),
    [anon_sym_private] = ACTIONS(1530),
    [anon_sym_protected] = ACTIONS(1530),
    [anon_sym_override] = ACTIONS(1530),
    [anon_sym_module] = ACTIONS(1530),
    [anon_sym_any] = ACTIONS(1530),
    [anon_sym_number] = ACTIONS(1530),
    [anon_sym_boolean] = ACTIONS(1530),
    [anon_sym_string] = ACTIONS(1530),
    [anon_sym_symbol] = ACTIONS(1530),
    [anon_sym_object] = ACTIONS(1530),
    [sym_html_comment] = ACTIONS(5),
  },
  [589] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2703),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7156),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3817),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7159),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(589),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1530),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_namespace] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1536),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1538),
    [anon_sym_yield] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1542),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1242),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_void] = ACTIONS(1536),
    [anon_sym_delete] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1554),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1530),
    [anon_sym_readonly] = ACTIONS(1530),
    [anon_sym_get] = ACTIONS(1530),
    [anon_sym_set] = ACTIONS(1530),
    [anon_sym_declare] = ACTIONS(1530),
    [anon_sym_public] = ACTIONS(1530),
    [anon_sym_private] = ACTIONS(1530),
    [anon_sym_protected] = ACTIONS(1530),
    [anon_sym_override] = ACTIONS(1530),
    [anon_sym_module] = ACTIONS(1530),
    [anon_sym_any] = ACTIONS(1530),
    [anon_sym_number] = ACTIONS(1530),
    [anon_sym_boolean] = ACTIONS(1530),
    [anon_sym_string] = ACTIONS(1530),
    [anon_sym_symbol] = ACTIONS(1530),
    [anon_sym_object] = ACTIONS(1530),
    [sym_html_comment] = ACTIONS(5),
  },
  [590] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3182),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7312),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3830),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7314),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(590),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1632),
    [anon_sym_type] = ACTIONS(1632),
    [anon_sym_namespace] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1638),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1632),
    [anon_sym_BANG] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1640),
    [anon_sym_yield] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1644),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1638),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1638),
    [anon_sym_void] = ACTIONS(1638),
    [anon_sym_delete] = ACTIONS(1638),
    [anon_sym_PLUS_PLUS] = ACTIONS(1654),
    [anon_sym_DASH_DASH] = ACTIONS(1654),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1656),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1632),
    [anon_sym_readonly] = ACTIONS(1632),
    [anon_sym_get] = ACTIONS(1632),
    [anon_sym_set] = ACTIONS(1632),
    [anon_sym_declare] = ACTIONS(1632),
    [anon_sym_public] = ACTIONS(1632),
    [anon_sym_private] = ACTIONS(1632),
    [anon_sym_protected] = ACTIONS(1632),
    [anon_sym_override] = ACTIONS(1632),
    [anon_sym_module] = ACTIONS(1632),
    [anon_sym_any] = ACTIONS(1632),
    [anon_sym_number] = ACTIONS(1632),
    [anon_sym_boolean] = ACTIONS(1632),
    [anon_sym_string] = ACTIONS(1632),
    [anon_sym_symbol] = ACTIONS(1632),
    [anon_sym_object] = ACTIONS(1632),
    [sym_html_comment] = ACTIONS(5),
  },
  [591] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3179),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7312),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3830),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7314),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(591),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1632),
    [anon_sym_type] = ACTIONS(1632),
    [anon_sym_namespace] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1638),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1632),
    [anon_sym_BANG] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1640),
    [anon_sym_yield] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1644),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1638),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1638),
    [anon_sym_void] = ACTIONS(1638),
    [anon_sym_delete] = ACTIONS(1638),
    [anon_sym_PLUS_PLUS] = ACTIONS(1654),
    [anon_sym_DASH_DASH] = ACTIONS(1654),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1656),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1632),
    [anon_sym_readonly] = ACTIONS(1632),
    [anon_sym_get] = ACTIONS(1632),
    [anon_sym_set] = ACTIONS(1632),
    [anon_sym_declare] = ACTIONS(1632),
    [anon_sym_public] = ACTIONS(1632),
    [anon_sym_private] = ACTIONS(1632),
    [anon_sym_protected] = ACTIONS(1632),
    [anon_sym_override] = ACTIONS(1632),
    [anon_sym_module] = ACTIONS(1632),
    [anon_sym_any] = ACTIONS(1632),
    [anon_sym_number] = ACTIONS(1632),
    [anon_sym_boolean] = ACTIONS(1632),
    [anon_sym_string] = ACTIONS(1632),
    [anon_sym_symbol] = ACTIONS(1632),
    [anon_sym_object] = ACTIONS(1632),
    [sym_html_comment] = ACTIONS(5),
  },
  [592] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3177),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7312),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3830),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7314),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(592),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1632),
    [anon_sym_type] = ACTIONS(1632),
    [anon_sym_namespace] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1638),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1632),
    [anon_sym_BANG] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1640),
    [anon_sym_yield] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1644),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1638),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1638),
    [anon_sym_void] = ACTIONS(1638),
    [anon_sym_delete] = ACTIONS(1638),
    [anon_sym_PLUS_PLUS] = ACTIONS(1654),
    [anon_sym_DASH_DASH] = ACTIONS(1654),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1656),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1632),
    [anon_sym_readonly] = ACTIONS(1632),
    [anon_sym_get] = ACTIONS(1632),
    [anon_sym_set] = ACTIONS(1632),
    [anon_sym_declare] = ACTIONS(1632),
    [anon_sym_public] = ACTIONS(1632),
    [anon_sym_private] = ACTIONS(1632),
    [anon_sym_protected] = ACTIONS(1632),
    [anon_sym_override] = ACTIONS(1632),
    [anon_sym_module] = ACTIONS(1632),
    [anon_sym_any] = ACTIONS(1632),
    [anon_sym_number] = ACTIONS(1632),
    [anon_sym_boolean] = ACTIONS(1632),
    [anon_sym_string] = ACTIONS(1632),
    [anon_sym_symbol] = ACTIONS(1632),
    [anon_sym_object] = ACTIONS(1632),
    [sym_html_comment] = ACTIONS(5),
  },
  [593] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3175),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7312),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3830),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7314),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(593),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1632),
    [anon_sym_type] = ACTIONS(1632),
    [anon_sym_namespace] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1638),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1632),
    [anon_sym_BANG] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1640),
    [anon_sym_yield] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1644),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1638),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1638),
    [anon_sym_void] = ACTIONS(1638),
    [anon_sym_delete] = ACTIONS(1638),
    [anon_sym_PLUS_PLUS] = ACTIONS(1654),
    [anon_sym_DASH_DASH] = ACTIONS(1654),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1656),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1632),
    [anon_sym_readonly] = ACTIONS(1632),
    [anon_sym_get] = ACTIONS(1632),
    [anon_sym_set] = ACTIONS(1632),
    [anon_sym_declare] = ACTIONS(1632),
    [anon_sym_public] = ACTIONS(1632),
    [anon_sym_private] = ACTIONS(1632),
    [anon_sym_protected] = ACTIONS(1632),
    [anon_sym_override] = ACTIONS(1632),
    [anon_sym_module] = ACTIONS(1632),
    [anon_sym_any] = ACTIONS(1632),
    [anon_sym_number] = ACTIONS(1632),
    [anon_sym_boolean] = ACTIONS(1632),
    [anon_sym_string] = ACTIONS(1632),
    [anon_sym_symbol] = ACTIONS(1632),
    [anon_sym_object] = ACTIONS(1632),
    [sym_html_comment] = ACTIONS(5),
  },
  [594] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2705),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7156),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3817),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7159),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(594),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1530),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_namespace] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1536),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1538),
    [anon_sym_yield] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1542),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1242),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_void] = ACTIONS(1536),
    [anon_sym_delete] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1554),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1530),
    [anon_sym_readonly] = ACTIONS(1530),
    [anon_sym_get] = ACTIONS(1530),
    [anon_sym_set] = ACTIONS(1530),
    [anon_sym_declare] = ACTIONS(1530),
    [anon_sym_public] = ACTIONS(1530),
    [anon_sym_private] = ACTIONS(1530),
    [anon_sym_protected] = ACTIONS(1530),
    [anon_sym_override] = ACTIONS(1530),
    [anon_sym_module] = ACTIONS(1530),
    [anon_sym_any] = ACTIONS(1530),
    [anon_sym_number] = ACTIONS(1530),
    [anon_sym_boolean] = ACTIONS(1530),
    [anon_sym_string] = ACTIONS(1530),
    [anon_sym_symbol] = ACTIONS(1530),
    [anon_sym_object] = ACTIONS(1530),
    [sym_html_comment] = ACTIONS(5),
  },
  [595] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2720),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7156),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3817),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7159),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(595),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1530),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_namespace] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1536),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1538),
    [anon_sym_yield] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1542),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1242),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_void] = ACTIONS(1536),
    [anon_sym_delete] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1554),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1530),
    [anon_sym_readonly] = ACTIONS(1530),
    [anon_sym_get] = ACTIONS(1530),
    [anon_sym_set] = ACTIONS(1530),
    [anon_sym_declare] = ACTIONS(1530),
    [anon_sym_public] = ACTIONS(1530),
    [anon_sym_private] = ACTIONS(1530),
    [anon_sym_protected] = ACTIONS(1530),
    [anon_sym_override] = ACTIONS(1530),
    [anon_sym_module] = ACTIONS(1530),
    [anon_sym_any] = ACTIONS(1530),
    [anon_sym_number] = ACTIONS(1530),
    [anon_sym_boolean] = ACTIONS(1530),
    [anon_sym_string] = ACTIONS(1530),
    [anon_sym_symbol] = ACTIONS(1530),
    [anon_sym_object] = ACTIONS(1530),
    [sym_html_comment] = ACTIONS(5),
  },
  [596] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2732),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7156),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3817),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7159),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(596),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1530),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_namespace] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1536),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1538),
    [anon_sym_yield] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1542),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1242),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_void] = ACTIONS(1536),
    [anon_sym_delete] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1554),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1530),
    [anon_sym_readonly] = ACTIONS(1530),
    [anon_sym_get] = ACTIONS(1530),
    [anon_sym_set] = ACTIONS(1530),
    [anon_sym_declare] = ACTIONS(1530),
    [anon_sym_public] = ACTIONS(1530),
    [anon_sym_private] = ACTIONS(1530),
    [anon_sym_protected] = ACTIONS(1530),
    [anon_sym_override] = ACTIONS(1530),
    [anon_sym_module] = ACTIONS(1530),
    [anon_sym_any] = ACTIONS(1530),
    [anon_sym_number] = ACTIONS(1530),
    [anon_sym_boolean] = ACTIONS(1530),
    [anon_sym_string] = ACTIONS(1530),
    [anon_sym_symbol] = ACTIONS(1530),
    [anon_sym_object] = ACTIONS(1530),
    [sym_html_comment] = ACTIONS(5),
  },
  [597] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3168),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7312),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3830),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7314),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(597),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1632),
    [anon_sym_type] = ACTIONS(1632),
    [anon_sym_namespace] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1638),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1632),
    [anon_sym_BANG] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1640),
    [anon_sym_yield] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1644),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1638),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1638),
    [anon_sym_void] = ACTIONS(1638),
    [anon_sym_delete] = ACTIONS(1638),
    [anon_sym_PLUS_PLUS] = ACTIONS(1654),
    [anon_sym_DASH_DASH] = ACTIONS(1654),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1656),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1632),
    [anon_sym_readonly] = ACTIONS(1632),
    [anon_sym_get] = ACTIONS(1632),
    [anon_sym_set] = ACTIONS(1632),
    [anon_sym_declare] = ACTIONS(1632),
    [anon_sym_public] = ACTIONS(1632),
    [anon_sym_private] = ACTIONS(1632),
    [anon_sym_protected] = ACTIONS(1632),
    [anon_sym_override] = ACTIONS(1632),
    [anon_sym_module] = ACTIONS(1632),
    [anon_sym_any] = ACTIONS(1632),
    [anon_sym_number] = ACTIONS(1632),
    [anon_sym_boolean] = ACTIONS(1632),
    [anon_sym_string] = ACTIONS(1632),
    [anon_sym_symbol] = ACTIONS(1632),
    [anon_sym_object] = ACTIONS(1632),
    [sym_html_comment] = ACTIONS(5),
  },
  [598] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2819),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(598),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [599] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3165),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7312),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3830),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7314),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(599),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1632),
    [anon_sym_type] = ACTIONS(1632),
    [anon_sym_namespace] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1638),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1632),
    [anon_sym_BANG] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1640),
    [anon_sym_yield] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1644),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1638),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1638),
    [anon_sym_void] = ACTIONS(1638),
    [anon_sym_delete] = ACTIONS(1638),
    [anon_sym_PLUS_PLUS] = ACTIONS(1654),
    [anon_sym_DASH_DASH] = ACTIONS(1654),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1656),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1632),
    [anon_sym_readonly] = ACTIONS(1632),
    [anon_sym_get] = ACTIONS(1632),
    [anon_sym_set] = ACTIONS(1632),
    [anon_sym_declare] = ACTIONS(1632),
    [anon_sym_public] = ACTIONS(1632),
    [anon_sym_private] = ACTIONS(1632),
    [anon_sym_protected] = ACTIONS(1632),
    [anon_sym_override] = ACTIONS(1632),
    [anon_sym_module] = ACTIONS(1632),
    [anon_sym_any] = ACTIONS(1632),
    [anon_sym_number] = ACTIONS(1632),
    [anon_sym_boolean] = ACTIONS(1632),
    [anon_sym_string] = ACTIONS(1632),
    [anon_sym_symbol] = ACTIONS(1632),
    [anon_sym_object] = ACTIONS(1632),
    [sym_html_comment] = ACTIONS(5),
  },
  [600] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2769),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7156),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3817),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7159),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(600),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1530),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_namespace] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1536),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1538),
    [anon_sym_yield] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1542),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1242),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_void] = ACTIONS(1536),
    [anon_sym_delete] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1554),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1530),
    [anon_sym_readonly] = ACTIONS(1530),
    [anon_sym_get] = ACTIONS(1530),
    [anon_sym_set] = ACTIONS(1530),
    [anon_sym_declare] = ACTIONS(1530),
    [anon_sym_public] = ACTIONS(1530),
    [anon_sym_private] = ACTIONS(1530),
    [anon_sym_protected] = ACTIONS(1530),
    [anon_sym_override] = ACTIONS(1530),
    [anon_sym_module] = ACTIONS(1530),
    [anon_sym_any] = ACTIONS(1530),
    [anon_sym_number] = ACTIONS(1530),
    [anon_sym_boolean] = ACTIONS(1530),
    [anon_sym_string] = ACTIONS(1530),
    [anon_sym_symbol] = ACTIONS(1530),
    [anon_sym_object] = ACTIONS(1530),
    [sym_html_comment] = ACTIONS(5),
  },
  [601] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3164),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7312),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3830),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7314),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(601),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1632),
    [anon_sym_type] = ACTIONS(1632),
    [anon_sym_namespace] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1638),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1632),
    [anon_sym_BANG] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1640),
    [anon_sym_yield] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1644),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1638),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1638),
    [anon_sym_void] = ACTIONS(1638),
    [anon_sym_delete] = ACTIONS(1638),
    [anon_sym_PLUS_PLUS] = ACTIONS(1654),
    [anon_sym_DASH_DASH] = ACTIONS(1654),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1656),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1632),
    [anon_sym_readonly] = ACTIONS(1632),
    [anon_sym_get] = ACTIONS(1632),
    [anon_sym_set] = ACTIONS(1632),
    [anon_sym_declare] = ACTIONS(1632),
    [anon_sym_public] = ACTIONS(1632),
    [anon_sym_private] = ACTIONS(1632),
    [anon_sym_protected] = ACTIONS(1632),
    [anon_sym_override] = ACTIONS(1632),
    [anon_sym_module] = ACTIONS(1632),
    [anon_sym_any] = ACTIONS(1632),
    [anon_sym_number] = ACTIONS(1632),
    [anon_sym_boolean] = ACTIONS(1632),
    [anon_sym_string] = ACTIONS(1632),
    [anon_sym_symbol] = ACTIONS(1632),
    [anon_sym_object] = ACTIONS(1632),
    [sym_html_comment] = ACTIONS(5),
  },
  [602] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2241),
    [sym_expression] = STATE(3072),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2241),
    [sym_subscript_expression] = STATE(2241),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3867),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7457),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(602),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2241),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1564),
    [anon_sym_type] = ACTIONS(1564),
    [anon_sym_namespace] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1570),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1572),
    [anon_sym_yield] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1576),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_void] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1588),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1564),
    [anon_sym_readonly] = ACTIONS(1564),
    [anon_sym_get] = ACTIONS(1564),
    [anon_sym_set] = ACTIONS(1564),
    [anon_sym_declare] = ACTIONS(1564),
    [anon_sym_public] = ACTIONS(1564),
    [anon_sym_private] = ACTIONS(1564),
    [anon_sym_protected] = ACTIONS(1564),
    [anon_sym_override] = ACTIONS(1564),
    [anon_sym_module] = ACTIONS(1564),
    [anon_sym_any] = ACTIONS(1564),
    [anon_sym_number] = ACTIONS(1564),
    [anon_sym_boolean] = ACTIONS(1564),
    [anon_sym_string] = ACTIONS(1564),
    [anon_sym_symbol] = ACTIONS(1564),
    [anon_sym_object] = ACTIONS(1564),
    [sym_html_comment] = ACTIONS(5),
  },
  [603] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3157),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7312),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3830),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7314),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(603),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1632),
    [anon_sym_type] = ACTIONS(1632),
    [anon_sym_namespace] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1638),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1632),
    [anon_sym_BANG] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1640),
    [anon_sym_yield] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1644),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1638),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1638),
    [anon_sym_void] = ACTIONS(1638),
    [anon_sym_delete] = ACTIONS(1638),
    [anon_sym_PLUS_PLUS] = ACTIONS(1654),
    [anon_sym_DASH_DASH] = ACTIONS(1654),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1656),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1632),
    [anon_sym_readonly] = ACTIONS(1632),
    [anon_sym_get] = ACTIONS(1632),
    [anon_sym_set] = ACTIONS(1632),
    [anon_sym_declare] = ACTIONS(1632),
    [anon_sym_public] = ACTIONS(1632),
    [anon_sym_private] = ACTIONS(1632),
    [anon_sym_protected] = ACTIONS(1632),
    [anon_sym_override] = ACTIONS(1632),
    [anon_sym_module] = ACTIONS(1632),
    [anon_sym_any] = ACTIONS(1632),
    [anon_sym_number] = ACTIONS(1632),
    [anon_sym_boolean] = ACTIONS(1632),
    [anon_sym_string] = ACTIONS(1632),
    [anon_sym_symbol] = ACTIONS(1632),
    [anon_sym_object] = ACTIONS(1632),
    [sym_html_comment] = ACTIONS(5),
  },
  [604] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3138),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7312),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3830),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7314),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(604),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1632),
    [anon_sym_type] = ACTIONS(1632),
    [anon_sym_namespace] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1638),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1632),
    [anon_sym_BANG] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1640),
    [anon_sym_yield] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1644),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1638),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1638),
    [anon_sym_void] = ACTIONS(1638),
    [anon_sym_delete] = ACTIONS(1638),
    [anon_sym_PLUS_PLUS] = ACTIONS(1654),
    [anon_sym_DASH_DASH] = ACTIONS(1654),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1656),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1632),
    [anon_sym_readonly] = ACTIONS(1632),
    [anon_sym_get] = ACTIONS(1632),
    [anon_sym_set] = ACTIONS(1632),
    [anon_sym_declare] = ACTIONS(1632),
    [anon_sym_public] = ACTIONS(1632),
    [anon_sym_private] = ACTIONS(1632),
    [anon_sym_protected] = ACTIONS(1632),
    [anon_sym_override] = ACTIONS(1632),
    [anon_sym_module] = ACTIONS(1632),
    [anon_sym_any] = ACTIONS(1632),
    [anon_sym_number] = ACTIONS(1632),
    [anon_sym_boolean] = ACTIONS(1632),
    [anon_sym_string] = ACTIONS(1632),
    [anon_sym_symbol] = ACTIONS(1632),
    [anon_sym_object] = ACTIONS(1632),
    [sym_html_comment] = ACTIONS(5),
  },
  [605] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3299),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(605),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(2517),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [606] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2779),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7156),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3817),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7159),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(606),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1530),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_namespace] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1536),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1538),
    [anon_sym_yield] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1542),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1242),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_void] = ACTIONS(1536),
    [anon_sym_delete] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1554),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1530),
    [anon_sym_readonly] = ACTIONS(1530),
    [anon_sym_get] = ACTIONS(1530),
    [anon_sym_set] = ACTIONS(1530),
    [anon_sym_declare] = ACTIONS(1530),
    [anon_sym_public] = ACTIONS(1530),
    [anon_sym_private] = ACTIONS(1530),
    [anon_sym_protected] = ACTIONS(1530),
    [anon_sym_override] = ACTIONS(1530),
    [anon_sym_module] = ACTIONS(1530),
    [anon_sym_any] = ACTIONS(1530),
    [anon_sym_number] = ACTIONS(1530),
    [anon_sym_boolean] = ACTIONS(1530),
    [anon_sym_string] = ACTIONS(1530),
    [anon_sym_symbol] = ACTIONS(1530),
    [anon_sym_object] = ACTIONS(1530),
    [sym_html_comment] = ACTIONS(5),
  },
  [607] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3150),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7312),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3830),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7314),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(607),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1632),
    [anon_sym_type] = ACTIONS(1632),
    [anon_sym_namespace] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1638),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1632),
    [anon_sym_BANG] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1640),
    [anon_sym_yield] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1644),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1638),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1638),
    [anon_sym_void] = ACTIONS(1638),
    [anon_sym_delete] = ACTIONS(1638),
    [anon_sym_PLUS_PLUS] = ACTIONS(1654),
    [anon_sym_DASH_DASH] = ACTIONS(1654),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1656),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1632),
    [anon_sym_readonly] = ACTIONS(1632),
    [anon_sym_get] = ACTIONS(1632),
    [anon_sym_set] = ACTIONS(1632),
    [anon_sym_declare] = ACTIONS(1632),
    [anon_sym_public] = ACTIONS(1632),
    [anon_sym_private] = ACTIONS(1632),
    [anon_sym_protected] = ACTIONS(1632),
    [anon_sym_override] = ACTIONS(1632),
    [anon_sym_module] = ACTIONS(1632),
    [anon_sym_any] = ACTIONS(1632),
    [anon_sym_number] = ACTIONS(1632),
    [anon_sym_boolean] = ACTIONS(1632),
    [anon_sym_string] = ACTIONS(1632),
    [anon_sym_symbol] = ACTIONS(1632),
    [anon_sym_object] = ACTIONS(1632),
    [sym_html_comment] = ACTIONS(5),
  },
  [608] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2366),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(608),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [609] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2370),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(609),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(2531),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [610] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2762),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7156),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3817),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7159),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(610),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1530),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_namespace] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1536),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1538),
    [anon_sym_yield] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1542),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1242),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_void] = ACTIONS(1536),
    [anon_sym_delete] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1554),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1530),
    [anon_sym_readonly] = ACTIONS(1530),
    [anon_sym_get] = ACTIONS(1530),
    [anon_sym_set] = ACTIONS(1530),
    [anon_sym_declare] = ACTIONS(1530),
    [anon_sym_public] = ACTIONS(1530),
    [anon_sym_private] = ACTIONS(1530),
    [anon_sym_protected] = ACTIONS(1530),
    [anon_sym_override] = ACTIONS(1530),
    [anon_sym_module] = ACTIONS(1530),
    [anon_sym_any] = ACTIONS(1530),
    [anon_sym_number] = ACTIONS(1530),
    [anon_sym_boolean] = ACTIONS(1530),
    [anon_sym_string] = ACTIONS(1530),
    [anon_sym_symbol] = ACTIONS(1530),
    [anon_sym_object] = ACTIONS(1530),
    [sym_html_comment] = ACTIONS(5),
  },
  [611] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2758),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7156),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3817),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7159),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(611),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1530),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_namespace] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1536),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1538),
    [anon_sym_yield] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1542),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1242),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_void] = ACTIONS(1536),
    [anon_sym_delete] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1554),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1530),
    [anon_sym_readonly] = ACTIONS(1530),
    [anon_sym_get] = ACTIONS(1530),
    [anon_sym_set] = ACTIONS(1530),
    [anon_sym_declare] = ACTIONS(1530),
    [anon_sym_public] = ACTIONS(1530),
    [anon_sym_private] = ACTIONS(1530),
    [anon_sym_protected] = ACTIONS(1530),
    [anon_sym_override] = ACTIONS(1530),
    [anon_sym_module] = ACTIONS(1530),
    [anon_sym_any] = ACTIONS(1530),
    [anon_sym_number] = ACTIONS(1530),
    [anon_sym_boolean] = ACTIONS(1530),
    [anon_sym_string] = ACTIONS(1530),
    [anon_sym_symbol] = ACTIONS(1530),
    [anon_sym_object] = ACTIONS(1530),
    [sym_html_comment] = ACTIONS(5),
  },
  [612] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2370),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(612),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(2557),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [613] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2689),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(613),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [614] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2241),
    [sym_expression] = STATE(3074),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2241),
    [sym_subscript_expression] = STATE(2241),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3867),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7457),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(614),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2241),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1564),
    [anon_sym_type] = ACTIONS(1564),
    [anon_sym_namespace] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1570),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1572),
    [anon_sym_yield] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1576),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_void] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1588),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1564),
    [anon_sym_readonly] = ACTIONS(1564),
    [anon_sym_get] = ACTIONS(1564),
    [anon_sym_set] = ACTIONS(1564),
    [anon_sym_declare] = ACTIONS(1564),
    [anon_sym_public] = ACTIONS(1564),
    [anon_sym_private] = ACTIONS(1564),
    [anon_sym_protected] = ACTIONS(1564),
    [anon_sym_override] = ACTIONS(1564),
    [anon_sym_module] = ACTIONS(1564),
    [anon_sym_any] = ACTIONS(1564),
    [anon_sym_number] = ACTIONS(1564),
    [anon_sym_boolean] = ACTIONS(1564),
    [anon_sym_string] = ACTIONS(1564),
    [anon_sym_symbol] = ACTIONS(1564),
    [anon_sym_object] = ACTIONS(1564),
    [sym_html_comment] = ACTIONS(5),
  },
  [615] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3037),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7312),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3830),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7314),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(615),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1632),
    [anon_sym_type] = ACTIONS(1632),
    [anon_sym_namespace] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1638),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1632),
    [anon_sym_BANG] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1640),
    [anon_sym_yield] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1644),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1638),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1638),
    [anon_sym_void] = ACTIONS(1638),
    [anon_sym_delete] = ACTIONS(1638),
    [anon_sym_PLUS_PLUS] = ACTIONS(1654),
    [anon_sym_DASH_DASH] = ACTIONS(1654),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1656),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1632),
    [anon_sym_readonly] = ACTIONS(1632),
    [anon_sym_get] = ACTIONS(1632),
    [anon_sym_set] = ACTIONS(1632),
    [anon_sym_declare] = ACTIONS(1632),
    [anon_sym_public] = ACTIONS(1632),
    [anon_sym_private] = ACTIONS(1632),
    [anon_sym_protected] = ACTIONS(1632),
    [anon_sym_override] = ACTIONS(1632),
    [anon_sym_module] = ACTIONS(1632),
    [anon_sym_any] = ACTIONS(1632),
    [anon_sym_number] = ACTIONS(1632),
    [anon_sym_boolean] = ACTIONS(1632),
    [anon_sym_string] = ACTIONS(1632),
    [anon_sym_symbol] = ACTIONS(1632),
    [anon_sym_object] = ACTIONS(1632),
    [sym_html_comment] = ACTIONS(5),
  },
  [616] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2776),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7156),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3817),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7159),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(616),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1530),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_namespace] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1536),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1538),
    [anon_sym_yield] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1542),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1242),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_void] = ACTIONS(1536),
    [anon_sym_delete] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(2531),
    [sym_private_property_identifier] = ACTIONS(1554),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1530),
    [anon_sym_readonly] = ACTIONS(1530),
    [anon_sym_get] = ACTIONS(1530),
    [anon_sym_set] = ACTIONS(1530),
    [anon_sym_declare] = ACTIONS(1530),
    [anon_sym_public] = ACTIONS(1530),
    [anon_sym_private] = ACTIONS(1530),
    [anon_sym_protected] = ACTIONS(1530),
    [anon_sym_override] = ACTIONS(1530),
    [anon_sym_module] = ACTIONS(1530),
    [anon_sym_any] = ACTIONS(1530),
    [anon_sym_number] = ACTIONS(1530),
    [anon_sym_boolean] = ACTIONS(1530),
    [anon_sym_string] = ACTIONS(1530),
    [anon_sym_symbol] = ACTIONS(1530),
    [anon_sym_object] = ACTIONS(1530),
    [sym_html_comment] = ACTIONS(5),
  },
  [617] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3036),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7312),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3830),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7314),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(617),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1632),
    [anon_sym_type] = ACTIONS(1632),
    [anon_sym_namespace] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1638),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1632),
    [anon_sym_BANG] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1640),
    [anon_sym_yield] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1644),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1638),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1638),
    [anon_sym_void] = ACTIONS(1638),
    [anon_sym_delete] = ACTIONS(1638),
    [anon_sym_PLUS_PLUS] = ACTIONS(1654),
    [anon_sym_DASH_DASH] = ACTIONS(1654),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1656),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1632),
    [anon_sym_readonly] = ACTIONS(1632),
    [anon_sym_get] = ACTIONS(1632),
    [anon_sym_set] = ACTIONS(1632),
    [anon_sym_declare] = ACTIONS(1632),
    [anon_sym_public] = ACTIONS(1632),
    [anon_sym_private] = ACTIONS(1632),
    [anon_sym_protected] = ACTIONS(1632),
    [anon_sym_override] = ACTIONS(1632),
    [anon_sym_module] = ACTIONS(1632),
    [anon_sym_any] = ACTIONS(1632),
    [anon_sym_number] = ACTIONS(1632),
    [anon_sym_boolean] = ACTIONS(1632),
    [anon_sym_string] = ACTIONS(1632),
    [anon_sym_symbol] = ACTIONS(1632),
    [anon_sym_object] = ACTIONS(1632),
    [sym_html_comment] = ACTIONS(5),
  },
  [618] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2241),
    [sym_expression] = STATE(3072),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2241),
    [sym_subscript_expression] = STATE(2241),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3867),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7457),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(618),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2241),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1564),
    [anon_sym_type] = ACTIONS(1564),
    [anon_sym_namespace] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1570),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1572),
    [anon_sym_yield] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1576),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_void] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(2531),
    [sym_private_property_identifier] = ACTIONS(1588),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1564),
    [anon_sym_readonly] = ACTIONS(1564),
    [anon_sym_get] = ACTIONS(1564),
    [anon_sym_set] = ACTIONS(1564),
    [anon_sym_declare] = ACTIONS(1564),
    [anon_sym_public] = ACTIONS(1564),
    [anon_sym_private] = ACTIONS(1564),
    [anon_sym_protected] = ACTIONS(1564),
    [anon_sym_override] = ACTIONS(1564),
    [anon_sym_module] = ACTIONS(1564),
    [anon_sym_any] = ACTIONS(1564),
    [anon_sym_number] = ACTIONS(1564),
    [anon_sym_boolean] = ACTIONS(1564),
    [anon_sym_string] = ACTIONS(1564),
    [anon_sym_symbol] = ACTIONS(1564),
    [anon_sym_object] = ACTIONS(1564),
    [sym_html_comment] = ACTIONS(5),
  },
  [619] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2241),
    [sym_expression] = STATE(3079),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2241),
    [sym_subscript_expression] = STATE(2241),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3867),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7457),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(619),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2241),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1564),
    [anon_sym_type] = ACTIONS(1564),
    [anon_sym_namespace] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1570),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1572),
    [anon_sym_yield] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1576),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_void] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1588),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1564),
    [anon_sym_readonly] = ACTIONS(1564),
    [anon_sym_get] = ACTIONS(1564),
    [anon_sym_set] = ACTIONS(1564),
    [anon_sym_declare] = ACTIONS(1564),
    [anon_sym_public] = ACTIONS(1564),
    [anon_sym_private] = ACTIONS(1564),
    [anon_sym_protected] = ACTIONS(1564),
    [anon_sym_override] = ACTIONS(1564),
    [anon_sym_module] = ACTIONS(1564),
    [anon_sym_any] = ACTIONS(1564),
    [anon_sym_number] = ACTIONS(1564),
    [anon_sym_boolean] = ACTIONS(1564),
    [anon_sym_string] = ACTIONS(1564),
    [anon_sym_symbol] = ACTIONS(1564),
    [anon_sym_object] = ACTIONS(1564),
    [sym_html_comment] = ACTIONS(5),
  },
  [620] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3076),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7312),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3830),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7314),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(620),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1632),
    [anon_sym_type] = ACTIONS(1632),
    [anon_sym_namespace] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1638),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1632),
    [anon_sym_BANG] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1640),
    [anon_sym_yield] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1644),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1638),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1638),
    [anon_sym_void] = ACTIONS(1638),
    [anon_sym_delete] = ACTIONS(1638),
    [anon_sym_PLUS_PLUS] = ACTIONS(1654),
    [anon_sym_DASH_DASH] = ACTIONS(1654),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1656),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1632),
    [anon_sym_readonly] = ACTIONS(1632),
    [anon_sym_get] = ACTIONS(1632),
    [anon_sym_set] = ACTIONS(1632),
    [anon_sym_declare] = ACTIONS(1632),
    [anon_sym_public] = ACTIONS(1632),
    [anon_sym_private] = ACTIONS(1632),
    [anon_sym_protected] = ACTIONS(1632),
    [anon_sym_override] = ACTIONS(1632),
    [anon_sym_module] = ACTIONS(1632),
    [anon_sym_any] = ACTIONS(1632),
    [anon_sym_number] = ACTIONS(1632),
    [anon_sym_boolean] = ACTIONS(1632),
    [anon_sym_string] = ACTIONS(1632),
    [anon_sym_symbol] = ACTIONS(1632),
    [anon_sym_object] = ACTIONS(1632),
    [sym_html_comment] = ACTIONS(5),
  },
  [621] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2241),
    [sym_expression] = STATE(3087),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2241),
    [sym_subscript_expression] = STATE(2241),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3867),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7457),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(621),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2241),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1564),
    [anon_sym_type] = ACTIONS(1564),
    [anon_sym_namespace] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1570),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1572),
    [anon_sym_yield] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1576),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_void] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1588),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1564),
    [anon_sym_readonly] = ACTIONS(1564),
    [anon_sym_get] = ACTIONS(1564),
    [anon_sym_set] = ACTIONS(1564),
    [anon_sym_declare] = ACTIONS(1564),
    [anon_sym_public] = ACTIONS(1564),
    [anon_sym_private] = ACTIONS(1564),
    [anon_sym_protected] = ACTIONS(1564),
    [anon_sym_override] = ACTIONS(1564),
    [anon_sym_module] = ACTIONS(1564),
    [anon_sym_any] = ACTIONS(1564),
    [anon_sym_number] = ACTIONS(1564),
    [anon_sym_boolean] = ACTIONS(1564),
    [anon_sym_string] = ACTIONS(1564),
    [anon_sym_symbol] = ACTIONS(1564),
    [anon_sym_object] = ACTIONS(1564),
    [sym_html_comment] = ACTIONS(5),
  },
  [622] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2443),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(622),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [623] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2445),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(623),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [624] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2241),
    [sym_expression] = STATE(3093),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2241),
    [sym_subscript_expression] = STATE(2241),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3867),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7457),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(624),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2241),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1564),
    [anon_sym_type] = ACTIONS(1564),
    [anon_sym_namespace] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1570),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1572),
    [anon_sym_yield] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1576),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_void] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1588),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1564),
    [anon_sym_readonly] = ACTIONS(1564),
    [anon_sym_get] = ACTIONS(1564),
    [anon_sym_set] = ACTIONS(1564),
    [anon_sym_declare] = ACTIONS(1564),
    [anon_sym_public] = ACTIONS(1564),
    [anon_sym_private] = ACTIONS(1564),
    [anon_sym_protected] = ACTIONS(1564),
    [anon_sym_override] = ACTIONS(1564),
    [anon_sym_module] = ACTIONS(1564),
    [anon_sym_any] = ACTIONS(1564),
    [anon_sym_number] = ACTIONS(1564),
    [anon_sym_boolean] = ACTIONS(1564),
    [anon_sym_string] = ACTIONS(1564),
    [anon_sym_symbol] = ACTIONS(1564),
    [anon_sym_object] = ACTIONS(1564),
    [sym_html_comment] = ACTIONS(5),
  },
  [625] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3245),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7312),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3830),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7314),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(625),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1632),
    [anon_sym_type] = ACTIONS(1632),
    [anon_sym_namespace] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1638),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1632),
    [anon_sym_BANG] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1640),
    [anon_sym_yield] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1644),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1638),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1638),
    [anon_sym_void] = ACTIONS(1638),
    [anon_sym_delete] = ACTIONS(1638),
    [anon_sym_PLUS_PLUS] = ACTIONS(1654),
    [anon_sym_DASH_DASH] = ACTIONS(1654),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1656),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1632),
    [anon_sym_readonly] = ACTIONS(1632),
    [anon_sym_get] = ACTIONS(1632),
    [anon_sym_set] = ACTIONS(1632),
    [anon_sym_declare] = ACTIONS(1632),
    [anon_sym_public] = ACTIONS(1632),
    [anon_sym_private] = ACTIONS(1632),
    [anon_sym_protected] = ACTIONS(1632),
    [anon_sym_override] = ACTIONS(1632),
    [anon_sym_module] = ACTIONS(1632),
    [anon_sym_any] = ACTIONS(1632),
    [anon_sym_number] = ACTIONS(1632),
    [anon_sym_boolean] = ACTIONS(1632),
    [anon_sym_string] = ACTIONS(1632),
    [anon_sym_symbol] = ACTIONS(1632),
    [anon_sym_object] = ACTIONS(1632),
    [sym_html_comment] = ACTIONS(5),
  },
  [626] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3299),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(626),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(2557),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [627] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2585),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(627),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [628] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2599),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(628),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [629] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2339),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(629),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [630] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2241),
    [sym_expression] = STATE(3097),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2241),
    [sym_subscript_expression] = STATE(2241),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3867),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7457),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(630),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2241),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1564),
    [anon_sym_type] = ACTIONS(1564),
    [anon_sym_namespace] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1570),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1572),
    [anon_sym_yield] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1576),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_void] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1588),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1564),
    [anon_sym_readonly] = ACTIONS(1564),
    [anon_sym_get] = ACTIONS(1564),
    [anon_sym_set] = ACTIONS(1564),
    [anon_sym_declare] = ACTIONS(1564),
    [anon_sym_public] = ACTIONS(1564),
    [anon_sym_private] = ACTIONS(1564),
    [anon_sym_protected] = ACTIONS(1564),
    [anon_sym_override] = ACTIONS(1564),
    [anon_sym_module] = ACTIONS(1564),
    [anon_sym_any] = ACTIONS(1564),
    [anon_sym_number] = ACTIONS(1564),
    [anon_sym_boolean] = ACTIONS(1564),
    [anon_sym_string] = ACTIONS(1564),
    [anon_sym_symbol] = ACTIONS(1564),
    [anon_sym_object] = ACTIONS(1564),
    [sym_html_comment] = ACTIONS(5),
  },
  [631] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2783),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(631),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [632] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2241),
    [sym_expression] = STATE(3098),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2241),
    [sym_subscript_expression] = STATE(2241),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3867),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7457),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(632),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2241),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1564),
    [anon_sym_type] = ACTIONS(1564),
    [anon_sym_namespace] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1570),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1572),
    [anon_sym_yield] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1576),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_void] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1588),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1564),
    [anon_sym_readonly] = ACTIONS(1564),
    [anon_sym_get] = ACTIONS(1564),
    [anon_sym_set] = ACTIONS(1564),
    [anon_sym_declare] = ACTIONS(1564),
    [anon_sym_public] = ACTIONS(1564),
    [anon_sym_private] = ACTIONS(1564),
    [anon_sym_protected] = ACTIONS(1564),
    [anon_sym_override] = ACTIONS(1564),
    [anon_sym_module] = ACTIONS(1564),
    [anon_sym_any] = ACTIONS(1564),
    [anon_sym_number] = ACTIONS(1564),
    [anon_sym_boolean] = ACTIONS(1564),
    [anon_sym_string] = ACTIONS(1564),
    [anon_sym_symbol] = ACTIONS(1564),
    [anon_sym_object] = ACTIONS(1564),
    [sym_html_comment] = ACTIONS(5),
  },
  [633] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2241),
    [sym_expression] = STATE(3100),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2241),
    [sym_subscript_expression] = STATE(2241),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3867),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7457),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(633),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2241),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1564),
    [anon_sym_type] = ACTIONS(1564),
    [anon_sym_namespace] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1570),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1572),
    [anon_sym_yield] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1576),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_void] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1588),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1564),
    [anon_sym_readonly] = ACTIONS(1564),
    [anon_sym_get] = ACTIONS(1564),
    [anon_sym_set] = ACTIONS(1564),
    [anon_sym_declare] = ACTIONS(1564),
    [anon_sym_public] = ACTIONS(1564),
    [anon_sym_private] = ACTIONS(1564),
    [anon_sym_protected] = ACTIONS(1564),
    [anon_sym_override] = ACTIONS(1564),
    [anon_sym_module] = ACTIONS(1564),
    [anon_sym_any] = ACTIONS(1564),
    [anon_sym_number] = ACTIONS(1564),
    [anon_sym_boolean] = ACTIONS(1564),
    [anon_sym_string] = ACTIONS(1564),
    [anon_sym_symbol] = ACTIONS(1564),
    [anon_sym_object] = ACTIONS(1564),
    [sym_html_comment] = ACTIONS(5),
  },
  [634] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2241),
    [sym_expression] = STATE(3104),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2241),
    [sym_subscript_expression] = STATE(2241),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3867),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7457),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(634),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2241),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1564),
    [anon_sym_type] = ACTIONS(1564),
    [anon_sym_namespace] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1570),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1572),
    [anon_sym_yield] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1576),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_void] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1588),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1564),
    [anon_sym_readonly] = ACTIONS(1564),
    [anon_sym_get] = ACTIONS(1564),
    [anon_sym_set] = ACTIONS(1564),
    [anon_sym_declare] = ACTIONS(1564),
    [anon_sym_public] = ACTIONS(1564),
    [anon_sym_private] = ACTIONS(1564),
    [anon_sym_protected] = ACTIONS(1564),
    [anon_sym_override] = ACTIONS(1564),
    [anon_sym_module] = ACTIONS(1564),
    [anon_sym_any] = ACTIONS(1564),
    [anon_sym_number] = ACTIONS(1564),
    [anon_sym_boolean] = ACTIONS(1564),
    [anon_sym_string] = ACTIONS(1564),
    [anon_sym_symbol] = ACTIONS(1564),
    [anon_sym_object] = ACTIONS(1564),
    [sym_html_comment] = ACTIONS(5),
  },
  [635] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2567),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(635),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [636] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2495),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(636),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [637] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(637),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [638] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2241),
    [sym_expression] = STATE(3105),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2241),
    [sym_subscript_expression] = STATE(2241),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3867),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7457),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(638),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2241),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1564),
    [anon_sym_type] = ACTIONS(1564),
    [anon_sym_namespace] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1570),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1572),
    [anon_sym_yield] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1576),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_void] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1588),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1564),
    [anon_sym_readonly] = ACTIONS(1564),
    [anon_sym_get] = ACTIONS(1564),
    [anon_sym_set] = ACTIONS(1564),
    [anon_sym_declare] = ACTIONS(1564),
    [anon_sym_public] = ACTIONS(1564),
    [anon_sym_private] = ACTIONS(1564),
    [anon_sym_protected] = ACTIONS(1564),
    [anon_sym_override] = ACTIONS(1564),
    [anon_sym_module] = ACTIONS(1564),
    [anon_sym_any] = ACTIONS(1564),
    [anon_sym_number] = ACTIONS(1564),
    [anon_sym_boolean] = ACTIONS(1564),
    [anon_sym_string] = ACTIONS(1564),
    [anon_sym_symbol] = ACTIONS(1564),
    [anon_sym_object] = ACTIONS(1564),
    [sym_html_comment] = ACTIONS(5),
  },
  [639] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2488),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(639),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [640] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2370),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(640),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(2559),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [641] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2620),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(641),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [642] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2241),
    [sym_expression] = STATE(3106),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2241),
    [sym_subscript_expression] = STATE(2241),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3867),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7457),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(642),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2241),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1564),
    [anon_sym_type] = ACTIONS(1564),
    [anon_sym_namespace] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1570),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1572),
    [anon_sym_yield] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1576),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_void] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1588),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1564),
    [anon_sym_readonly] = ACTIONS(1564),
    [anon_sym_get] = ACTIONS(1564),
    [anon_sym_set] = ACTIONS(1564),
    [anon_sym_declare] = ACTIONS(1564),
    [anon_sym_public] = ACTIONS(1564),
    [anon_sym_private] = ACTIONS(1564),
    [anon_sym_protected] = ACTIONS(1564),
    [anon_sym_override] = ACTIONS(1564),
    [anon_sym_module] = ACTIONS(1564),
    [anon_sym_any] = ACTIONS(1564),
    [anon_sym_number] = ACTIONS(1564),
    [anon_sym_boolean] = ACTIONS(1564),
    [anon_sym_string] = ACTIONS(1564),
    [anon_sym_symbol] = ACTIONS(1564),
    [anon_sym_object] = ACTIONS(1564),
    [sym_html_comment] = ACTIONS(5),
  },
  [643] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2241),
    [sym_expression] = STATE(3111),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2241),
    [sym_subscript_expression] = STATE(2241),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3867),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7457),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(643),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2241),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1564),
    [anon_sym_type] = ACTIONS(1564),
    [anon_sym_namespace] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1570),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1572),
    [anon_sym_yield] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1576),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_void] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1588),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1564),
    [anon_sym_readonly] = ACTIONS(1564),
    [anon_sym_get] = ACTIONS(1564),
    [anon_sym_set] = ACTIONS(1564),
    [anon_sym_declare] = ACTIONS(1564),
    [anon_sym_public] = ACTIONS(1564),
    [anon_sym_private] = ACTIONS(1564),
    [anon_sym_protected] = ACTIONS(1564),
    [anon_sym_override] = ACTIONS(1564),
    [anon_sym_module] = ACTIONS(1564),
    [anon_sym_any] = ACTIONS(1564),
    [anon_sym_number] = ACTIONS(1564),
    [anon_sym_boolean] = ACTIONS(1564),
    [anon_sym_string] = ACTIONS(1564),
    [anon_sym_symbol] = ACTIONS(1564),
    [anon_sym_object] = ACTIONS(1564),
    [sym_html_comment] = ACTIONS(5),
  },
  [644] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2241),
    [sym_expression] = STATE(3113),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2241),
    [sym_subscript_expression] = STATE(2241),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3867),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7457),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(644),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2241),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1564),
    [anon_sym_type] = ACTIONS(1564),
    [anon_sym_namespace] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1570),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1572),
    [anon_sym_yield] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1576),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_void] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1588),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1564),
    [anon_sym_readonly] = ACTIONS(1564),
    [anon_sym_get] = ACTIONS(1564),
    [anon_sym_set] = ACTIONS(1564),
    [anon_sym_declare] = ACTIONS(1564),
    [anon_sym_public] = ACTIONS(1564),
    [anon_sym_private] = ACTIONS(1564),
    [anon_sym_protected] = ACTIONS(1564),
    [anon_sym_override] = ACTIONS(1564),
    [anon_sym_module] = ACTIONS(1564),
    [anon_sym_any] = ACTIONS(1564),
    [anon_sym_number] = ACTIONS(1564),
    [anon_sym_boolean] = ACTIONS(1564),
    [anon_sym_string] = ACTIONS(1564),
    [anon_sym_symbol] = ACTIONS(1564),
    [anon_sym_object] = ACTIONS(1564),
    [sym_html_comment] = ACTIONS(5),
  },
  [645] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2241),
    [sym_expression] = STATE(3115),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2241),
    [sym_subscript_expression] = STATE(2241),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3867),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7457),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(645),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2241),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1564),
    [anon_sym_type] = ACTIONS(1564),
    [anon_sym_namespace] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1570),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1572),
    [anon_sym_yield] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1576),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_void] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1588),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1564),
    [anon_sym_readonly] = ACTIONS(1564),
    [anon_sym_get] = ACTIONS(1564),
    [anon_sym_set] = ACTIONS(1564),
    [anon_sym_declare] = ACTIONS(1564),
    [anon_sym_public] = ACTIONS(1564),
    [anon_sym_private] = ACTIONS(1564),
    [anon_sym_protected] = ACTIONS(1564),
    [anon_sym_override] = ACTIONS(1564),
    [anon_sym_module] = ACTIONS(1564),
    [anon_sym_any] = ACTIONS(1564),
    [anon_sym_number] = ACTIONS(1564),
    [anon_sym_boolean] = ACTIONS(1564),
    [anon_sym_string] = ACTIONS(1564),
    [anon_sym_symbol] = ACTIONS(1564),
    [anon_sym_object] = ACTIONS(1564),
    [sym_html_comment] = ACTIONS(5),
  },
  [646] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2241),
    [sym_expression] = STATE(3118),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2241),
    [sym_subscript_expression] = STATE(2241),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3867),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7457),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(646),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2241),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1564),
    [anon_sym_type] = ACTIONS(1564),
    [anon_sym_namespace] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1570),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1572),
    [anon_sym_yield] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1576),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_void] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1588),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1564),
    [anon_sym_readonly] = ACTIONS(1564),
    [anon_sym_get] = ACTIONS(1564),
    [anon_sym_set] = ACTIONS(1564),
    [anon_sym_declare] = ACTIONS(1564),
    [anon_sym_public] = ACTIONS(1564),
    [anon_sym_private] = ACTIONS(1564),
    [anon_sym_protected] = ACTIONS(1564),
    [anon_sym_override] = ACTIONS(1564),
    [anon_sym_module] = ACTIONS(1564),
    [anon_sym_any] = ACTIONS(1564),
    [anon_sym_number] = ACTIONS(1564),
    [anon_sym_boolean] = ACTIONS(1564),
    [anon_sym_string] = ACTIONS(1564),
    [anon_sym_symbol] = ACTIONS(1564),
    [anon_sym_object] = ACTIONS(1564),
    [sym_html_comment] = ACTIONS(5),
  },
  [647] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2241),
    [sym_expression] = STATE(3119),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2241),
    [sym_subscript_expression] = STATE(2241),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3867),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7457),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(647),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2241),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1564),
    [anon_sym_type] = ACTIONS(1564),
    [anon_sym_namespace] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1570),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1572),
    [anon_sym_yield] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1576),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_void] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1588),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1564),
    [anon_sym_readonly] = ACTIONS(1564),
    [anon_sym_get] = ACTIONS(1564),
    [anon_sym_set] = ACTIONS(1564),
    [anon_sym_declare] = ACTIONS(1564),
    [anon_sym_public] = ACTIONS(1564),
    [anon_sym_private] = ACTIONS(1564),
    [anon_sym_protected] = ACTIONS(1564),
    [anon_sym_override] = ACTIONS(1564),
    [anon_sym_module] = ACTIONS(1564),
    [anon_sym_any] = ACTIONS(1564),
    [anon_sym_number] = ACTIONS(1564),
    [anon_sym_boolean] = ACTIONS(1564),
    [anon_sym_string] = ACTIONS(1564),
    [anon_sym_symbol] = ACTIONS(1564),
    [anon_sym_object] = ACTIONS(1564),
    [sym_html_comment] = ACTIONS(5),
  },
  [648] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2241),
    [sym_expression] = STATE(3128),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2241),
    [sym_subscript_expression] = STATE(2241),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3867),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7457),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(648),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2241),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1564),
    [anon_sym_type] = ACTIONS(1564),
    [anon_sym_namespace] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1570),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1572),
    [anon_sym_yield] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1576),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_void] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1588),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1564),
    [anon_sym_readonly] = ACTIONS(1564),
    [anon_sym_get] = ACTIONS(1564),
    [anon_sym_set] = ACTIONS(1564),
    [anon_sym_declare] = ACTIONS(1564),
    [anon_sym_public] = ACTIONS(1564),
    [anon_sym_private] = ACTIONS(1564),
    [anon_sym_protected] = ACTIONS(1564),
    [anon_sym_override] = ACTIONS(1564),
    [anon_sym_module] = ACTIONS(1564),
    [anon_sym_any] = ACTIONS(1564),
    [anon_sym_number] = ACTIONS(1564),
    [anon_sym_boolean] = ACTIONS(1564),
    [anon_sym_string] = ACTIONS(1564),
    [anon_sym_symbol] = ACTIONS(1564),
    [anon_sym_object] = ACTIONS(1564),
    [sym_html_comment] = ACTIONS(5),
  },
  [649] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2482),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(649),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [650] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2241),
    [sym_expression] = STATE(3132),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2241),
    [sym_subscript_expression] = STATE(2241),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3867),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7457),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(650),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2241),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1564),
    [anon_sym_type] = ACTIONS(1564),
    [anon_sym_namespace] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1570),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1572),
    [anon_sym_yield] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1576),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_void] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1588),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1564),
    [anon_sym_readonly] = ACTIONS(1564),
    [anon_sym_get] = ACTIONS(1564),
    [anon_sym_set] = ACTIONS(1564),
    [anon_sym_declare] = ACTIONS(1564),
    [anon_sym_public] = ACTIONS(1564),
    [anon_sym_private] = ACTIONS(1564),
    [anon_sym_protected] = ACTIONS(1564),
    [anon_sym_override] = ACTIONS(1564),
    [anon_sym_module] = ACTIONS(1564),
    [anon_sym_any] = ACTIONS(1564),
    [anon_sym_number] = ACTIONS(1564),
    [anon_sym_boolean] = ACTIONS(1564),
    [anon_sym_string] = ACTIONS(1564),
    [anon_sym_symbol] = ACTIONS(1564),
    [anon_sym_object] = ACTIONS(1564),
    [sym_html_comment] = ACTIONS(5),
  },
  [651] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2143),
    [sym_expression] = STATE(2608),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7153),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2143),
    [sym_subscript_expression] = STATE(2143),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3819),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7151),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(651),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2143),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1598),
    [anon_sym_type] = ACTIONS(1598),
    [anon_sym_namespace] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1604),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1598),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1606),
    [anon_sym_yield] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1610),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_void] = ACTIONS(1604),
    [anon_sym_delete] = ACTIONS(1604),
    [anon_sym_PLUS_PLUS] = ACTIONS(1620),
    [anon_sym_DASH_DASH] = ACTIONS(1620),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1622),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1598),
    [anon_sym_readonly] = ACTIONS(1598),
    [anon_sym_get] = ACTIONS(1598),
    [anon_sym_set] = ACTIONS(1598),
    [anon_sym_declare] = ACTIONS(1598),
    [anon_sym_public] = ACTIONS(1598),
    [anon_sym_private] = ACTIONS(1598),
    [anon_sym_protected] = ACTIONS(1598),
    [anon_sym_override] = ACTIONS(1598),
    [anon_sym_module] = ACTIONS(1598),
    [anon_sym_any] = ACTIONS(1598),
    [anon_sym_number] = ACTIONS(1598),
    [anon_sym_boolean] = ACTIONS(1598),
    [anon_sym_string] = ACTIONS(1598),
    [anon_sym_symbol] = ACTIONS(1598),
    [anon_sym_object] = ACTIONS(1598),
    [sym_html_comment] = ACTIONS(5),
  },
  [652] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2474),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(652),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [653] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2241),
    [sym_expression] = STATE(3136),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2241),
    [sym_subscript_expression] = STATE(2241),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3867),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7457),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(653),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2241),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1564),
    [anon_sym_type] = ACTIONS(1564),
    [anon_sym_namespace] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1570),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1572),
    [anon_sym_yield] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1576),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_void] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1588),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1564),
    [anon_sym_readonly] = ACTIONS(1564),
    [anon_sym_get] = ACTIONS(1564),
    [anon_sym_set] = ACTIONS(1564),
    [anon_sym_declare] = ACTIONS(1564),
    [anon_sym_public] = ACTIONS(1564),
    [anon_sym_private] = ACTIONS(1564),
    [anon_sym_protected] = ACTIONS(1564),
    [anon_sym_override] = ACTIONS(1564),
    [anon_sym_module] = ACTIONS(1564),
    [anon_sym_any] = ACTIONS(1564),
    [anon_sym_number] = ACTIONS(1564),
    [anon_sym_boolean] = ACTIONS(1564),
    [anon_sym_string] = ACTIONS(1564),
    [anon_sym_symbol] = ACTIONS(1564),
    [anon_sym_object] = ACTIONS(1564),
    [sym_html_comment] = ACTIONS(5),
  },
  [654] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2473),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(654),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [655] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2752),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(655),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [656] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2472),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(656),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [657] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2471),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(657),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [658] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2394),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(658),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [659] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2370),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(659),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [660] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2468),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(660),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [661] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2896),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3815),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7334),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(661),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1504),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1508),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1502),
    [anon_sym_delete] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1520),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1494),
    [anon_sym_readonly] = ACTIONS(1494),
    [anon_sym_get] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_declare] = ACTIONS(1494),
    [anon_sym_public] = ACTIONS(1494),
    [anon_sym_private] = ACTIONS(1494),
    [anon_sym_protected] = ACTIONS(1494),
    [anon_sym_override] = ACTIONS(1494),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_any] = ACTIONS(1494),
    [anon_sym_number] = ACTIONS(1494),
    [anon_sym_boolean] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_symbol] = ACTIONS(1494),
    [anon_sym_object] = ACTIONS(1494),
    [sym_html_comment] = ACTIONS(5),
  },
  [662] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2809),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(662),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1420),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1420),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1420),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [sym_html_comment] = ACTIONS(5),
  },
  [663] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2814),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(663),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1420),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1420),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1420),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [sym_html_comment] = ACTIONS(5),
  },
  [664] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2602),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(664),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [665] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2143),
    [sym_expression] = STATE(2628),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7153),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2143),
    [sym_subscript_expression] = STATE(2143),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3819),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7151),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(665),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2143),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1598),
    [anon_sym_type] = ACTIONS(1598),
    [anon_sym_namespace] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1604),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1598),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1606),
    [anon_sym_yield] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1610),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_void] = ACTIONS(1604),
    [anon_sym_delete] = ACTIONS(1604),
    [anon_sym_PLUS_PLUS] = ACTIONS(1620),
    [anon_sym_DASH_DASH] = ACTIONS(1620),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(2561),
    [sym_private_property_identifier] = ACTIONS(1622),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1598),
    [anon_sym_readonly] = ACTIONS(1598),
    [anon_sym_get] = ACTIONS(1598),
    [anon_sym_set] = ACTIONS(1598),
    [anon_sym_declare] = ACTIONS(1598),
    [anon_sym_public] = ACTIONS(1598),
    [anon_sym_private] = ACTIONS(1598),
    [anon_sym_protected] = ACTIONS(1598),
    [anon_sym_override] = ACTIONS(1598),
    [anon_sym_module] = ACTIONS(1598),
    [anon_sym_any] = ACTIONS(1598),
    [anon_sym_number] = ACTIONS(1598),
    [anon_sym_boolean] = ACTIONS(1598),
    [anon_sym_string] = ACTIONS(1598),
    [anon_sym_symbol] = ACTIONS(1598),
    [anon_sym_object] = ACTIONS(1598),
    [sym_html_comment] = ACTIONS(5),
  },
  [666] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2815),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(666),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1420),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1420),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1420),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [sym_html_comment] = ACTIONS(5),
  },
  [667] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2469),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(667),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [668] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2972),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(668),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1420),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1420),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1420),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [sym_html_comment] = ACTIONS(5),
  },
  [669] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(3131),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3815),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7334),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(669),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1504),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1508),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1502),
    [anon_sym_delete] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1520),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1494),
    [anon_sym_readonly] = ACTIONS(1494),
    [anon_sym_get] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_declare] = ACTIONS(1494),
    [anon_sym_public] = ACTIONS(1494),
    [anon_sym_private] = ACTIONS(1494),
    [anon_sym_protected] = ACTIONS(1494),
    [anon_sym_override] = ACTIONS(1494),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_any] = ACTIONS(1494),
    [anon_sym_number] = ACTIONS(1494),
    [anon_sym_boolean] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_symbol] = ACTIONS(1494),
    [anon_sym_object] = ACTIONS(1494),
    [sym_html_comment] = ACTIONS(5),
  },
  [670] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2467),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(670),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [671] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2630),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(671),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [672] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2143),
    [sym_expression] = STATE(2540),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7153),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2143),
    [sym_subscript_expression] = STATE(2143),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3819),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7151),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(672),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2143),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1598),
    [anon_sym_type] = ACTIONS(1598),
    [anon_sym_namespace] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1604),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1598),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1606),
    [anon_sym_yield] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1610),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_void] = ACTIONS(1604),
    [anon_sym_delete] = ACTIONS(1604),
    [anon_sym_PLUS_PLUS] = ACTIONS(1620),
    [anon_sym_DASH_DASH] = ACTIONS(1620),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1622),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1598),
    [anon_sym_readonly] = ACTIONS(1598),
    [anon_sym_get] = ACTIONS(1598),
    [anon_sym_set] = ACTIONS(1598),
    [anon_sym_declare] = ACTIONS(1598),
    [anon_sym_public] = ACTIONS(1598),
    [anon_sym_private] = ACTIONS(1598),
    [anon_sym_protected] = ACTIONS(1598),
    [anon_sym_override] = ACTIONS(1598),
    [anon_sym_module] = ACTIONS(1598),
    [anon_sym_any] = ACTIONS(1598),
    [anon_sym_number] = ACTIONS(1598),
    [anon_sym_boolean] = ACTIONS(1598),
    [anon_sym_string] = ACTIONS(1598),
    [anon_sym_symbol] = ACTIONS(1598),
    [anon_sym_object] = ACTIONS(1598),
    [sym_html_comment] = ACTIONS(5),
  },
  [673] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2143),
    [sym_expression] = STATE(2538),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7153),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2143),
    [sym_subscript_expression] = STATE(2143),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3819),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7151),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(673),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2143),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1598),
    [anon_sym_type] = ACTIONS(1598),
    [anon_sym_namespace] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1604),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1598),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1606),
    [anon_sym_yield] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1610),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_void] = ACTIONS(1604),
    [anon_sym_delete] = ACTIONS(1604),
    [anon_sym_PLUS_PLUS] = ACTIONS(1620),
    [anon_sym_DASH_DASH] = ACTIONS(1620),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1622),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1598),
    [anon_sym_readonly] = ACTIONS(1598),
    [anon_sym_get] = ACTIONS(1598),
    [anon_sym_set] = ACTIONS(1598),
    [anon_sym_declare] = ACTIONS(1598),
    [anon_sym_public] = ACTIONS(1598),
    [anon_sym_private] = ACTIONS(1598),
    [anon_sym_protected] = ACTIONS(1598),
    [anon_sym_override] = ACTIONS(1598),
    [anon_sym_module] = ACTIONS(1598),
    [anon_sym_any] = ACTIONS(1598),
    [anon_sym_number] = ACTIONS(1598),
    [anon_sym_boolean] = ACTIONS(1598),
    [anon_sym_string] = ACTIONS(1598),
    [anon_sym_symbol] = ACTIONS(1598),
    [anon_sym_object] = ACTIONS(1598),
    [sym_html_comment] = ACTIONS(5),
  },
  [674] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2241),
    [sym_expression] = STATE(3231),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2241),
    [sym_subscript_expression] = STATE(2241),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3867),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7457),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(674),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2241),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1564),
    [anon_sym_type] = ACTIONS(1564),
    [anon_sym_namespace] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1570),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1572),
    [anon_sym_yield] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1576),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_void] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1588),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1564),
    [anon_sym_readonly] = ACTIONS(1564),
    [anon_sym_get] = ACTIONS(1564),
    [anon_sym_set] = ACTIONS(1564),
    [anon_sym_declare] = ACTIONS(1564),
    [anon_sym_public] = ACTIONS(1564),
    [anon_sym_private] = ACTIONS(1564),
    [anon_sym_protected] = ACTIONS(1564),
    [anon_sym_override] = ACTIONS(1564),
    [anon_sym_module] = ACTIONS(1564),
    [anon_sym_any] = ACTIONS(1564),
    [anon_sym_number] = ACTIONS(1564),
    [anon_sym_boolean] = ACTIONS(1564),
    [anon_sym_string] = ACTIONS(1564),
    [anon_sym_symbol] = ACTIONS(1564),
    [anon_sym_object] = ACTIONS(1564),
    [sym_html_comment] = ACTIONS(5),
  },
  [675] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2426),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(675),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [676] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2609),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(676),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [677] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2252),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2252),
    [sym_subscript_expression] = STATE(2252),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7346),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(677),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2252),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(2563),
    [anon_sym_export] = ACTIONS(2565),
    [anon_sym_type] = ACTIONS(2565),
    [anon_sym_namespace] = ACTIONS(2567),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2565),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(2569),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(2571),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(2573),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2565),
    [anon_sym_readonly] = ACTIONS(2565),
    [anon_sym_get] = ACTIONS(2565),
    [anon_sym_set] = ACTIONS(2565),
    [anon_sym_declare] = ACTIONS(2565),
    [anon_sym_public] = ACTIONS(2565),
    [anon_sym_private] = ACTIONS(2565),
    [anon_sym_protected] = ACTIONS(2565),
    [anon_sym_override] = ACTIONS(2565),
    [anon_sym_module] = ACTIONS(2565),
    [anon_sym_any] = ACTIONS(2565),
    [anon_sym_number] = ACTIONS(2565),
    [anon_sym_boolean] = ACTIONS(2565),
    [anon_sym_string] = ACTIONS(2565),
    [anon_sym_symbol] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2565),
    [sym_html_comment] = ACTIONS(5),
  },
  [678] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2464),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(678),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [679] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(3125),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3815),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7334),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(679),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1504),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1508),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1502),
    [anon_sym_delete] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1520),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1494),
    [anon_sym_readonly] = ACTIONS(1494),
    [anon_sym_get] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_declare] = ACTIONS(1494),
    [anon_sym_public] = ACTIONS(1494),
    [anon_sym_private] = ACTIONS(1494),
    [anon_sym_protected] = ACTIONS(1494),
    [anon_sym_override] = ACTIONS(1494),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_any] = ACTIONS(1494),
    [anon_sym_number] = ACTIONS(1494),
    [anon_sym_boolean] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_symbol] = ACTIONS(1494),
    [anon_sym_object] = ACTIONS(1494),
    [sym_html_comment] = ACTIONS(5),
  },
  [680] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2609),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2145),
    [sym_subscript_expression] = STATE(2145),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(5434),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(680),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2145),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(2575),
    [anon_sym_export] = ACTIONS(1708),
    [anon_sym_type] = ACTIONS(1708),
    [anon_sym_namespace] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1708),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1714),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(2577),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(2579),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1708),
    [anon_sym_readonly] = ACTIONS(1708),
    [anon_sym_get] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
    [anon_sym_declare] = ACTIONS(1708),
    [anon_sym_public] = ACTIONS(1708),
    [anon_sym_private] = ACTIONS(1708),
    [anon_sym_protected] = ACTIONS(1708),
    [anon_sym_override] = ACTIONS(1708),
    [anon_sym_module] = ACTIONS(1708),
    [anon_sym_any] = ACTIONS(1708),
    [anon_sym_number] = ACTIONS(1708),
    [anon_sym_boolean] = ACTIONS(1708),
    [anon_sym_string] = ACTIONS(1708),
    [anon_sym_symbol] = ACTIONS(1708),
    [anon_sym_object] = ACTIONS(1708),
    [sym_html_comment] = ACTIONS(5),
  },
  [681] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2256),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2256),
    [sym_subscript_expression] = STATE(2256),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7106),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(681),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2256),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(2581),
    [anon_sym_export] = ACTIONS(2583),
    [anon_sym_type] = ACTIONS(2583),
    [anon_sym_namespace] = ACTIONS(2585),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2583),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(2587),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(2589),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(2591),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2583),
    [anon_sym_readonly] = ACTIONS(2583),
    [anon_sym_get] = ACTIONS(2583),
    [anon_sym_set] = ACTIONS(2583),
    [anon_sym_declare] = ACTIONS(2583),
    [anon_sym_public] = ACTIONS(2583),
    [anon_sym_private] = ACTIONS(2583),
    [anon_sym_protected] = ACTIONS(2583),
    [anon_sym_override] = ACTIONS(2583),
    [anon_sym_module] = ACTIONS(2583),
    [anon_sym_any] = ACTIONS(2583),
    [anon_sym_number] = ACTIONS(2583),
    [anon_sym_boolean] = ACTIONS(2583),
    [anon_sym_string] = ACTIONS(2583),
    [anon_sym_symbol] = ACTIONS(2583),
    [anon_sym_object] = ACTIONS(2583),
    [sym_html_comment] = ACTIONS(5),
  },
  [682] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(3213),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3815),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7334),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(682),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1504),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1508),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1502),
    [anon_sym_delete] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1520),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1494),
    [anon_sym_readonly] = ACTIONS(1494),
    [anon_sym_get] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_declare] = ACTIONS(1494),
    [anon_sym_public] = ACTIONS(1494),
    [anon_sym_private] = ACTIONS(1494),
    [anon_sym_protected] = ACTIONS(1494),
    [anon_sym_override] = ACTIONS(1494),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_any] = ACTIONS(1494),
    [anon_sym_number] = ACTIONS(1494),
    [anon_sym_boolean] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_symbol] = ACTIONS(1494),
    [anon_sym_object] = ACTIONS(1494),
    [sym_html_comment] = ACTIONS(5),
  },
  [683] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2700),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(683),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [684] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2249),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2249),
    [sym_subscript_expression] = STATE(2249),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7085),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(684),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2249),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(2593),
    [anon_sym_export] = ACTIONS(2595),
    [anon_sym_type] = ACTIONS(2595),
    [anon_sym_namespace] = ACTIONS(2597),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2595),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(2599),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(2601),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(2603),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2595),
    [anon_sym_readonly] = ACTIONS(2595),
    [anon_sym_get] = ACTIONS(2595),
    [anon_sym_set] = ACTIONS(2595),
    [anon_sym_declare] = ACTIONS(2595),
    [anon_sym_public] = ACTIONS(2595),
    [anon_sym_private] = ACTIONS(2595),
    [anon_sym_protected] = ACTIONS(2595),
    [anon_sym_override] = ACTIONS(2595),
    [anon_sym_module] = ACTIONS(2595),
    [anon_sym_any] = ACTIONS(2595),
    [anon_sym_number] = ACTIONS(2595),
    [anon_sym_boolean] = ACTIONS(2595),
    [anon_sym_string] = ACTIONS(2595),
    [anon_sym_symbol] = ACTIONS(2595),
    [anon_sym_object] = ACTIONS(2595),
    [sym_html_comment] = ACTIONS(5),
  },
  [685] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2241),
    [sym_expression] = STATE(3107),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2241),
    [sym_subscript_expression] = STATE(2241),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3867),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7457),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(685),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2241),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1564),
    [anon_sym_type] = ACTIONS(1564),
    [anon_sym_namespace] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1570),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1572),
    [anon_sym_yield] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1576),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_void] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1588),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1564),
    [anon_sym_readonly] = ACTIONS(1564),
    [anon_sym_get] = ACTIONS(1564),
    [anon_sym_set] = ACTIONS(1564),
    [anon_sym_declare] = ACTIONS(1564),
    [anon_sym_public] = ACTIONS(1564),
    [anon_sym_private] = ACTIONS(1564),
    [anon_sym_protected] = ACTIONS(1564),
    [anon_sym_override] = ACTIONS(1564),
    [anon_sym_module] = ACTIONS(1564),
    [anon_sym_any] = ACTIONS(1564),
    [anon_sym_number] = ACTIONS(1564),
    [anon_sym_boolean] = ACTIONS(1564),
    [anon_sym_string] = ACTIONS(1564),
    [anon_sym_symbol] = ACTIONS(1564),
    [anon_sym_object] = ACTIONS(1564),
    [sym_html_comment] = ACTIONS(5),
  },
  [686] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2498),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(686),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [687] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(3040),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3815),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7334),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(687),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1504),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1508),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1502),
    [anon_sym_delete] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1520),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1494),
    [anon_sym_readonly] = ACTIONS(1494),
    [anon_sym_get] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_declare] = ACTIONS(1494),
    [anon_sym_public] = ACTIONS(1494),
    [anon_sym_private] = ACTIONS(1494),
    [anon_sym_protected] = ACTIONS(1494),
    [anon_sym_override] = ACTIONS(1494),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_any] = ACTIONS(1494),
    [anon_sym_number] = ACTIONS(1494),
    [anon_sym_boolean] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_symbol] = ACTIONS(1494),
    [anon_sym_object] = ACTIONS(1494),
    [sym_html_comment] = ACTIONS(5),
  },
  [688] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2794),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(688),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1420),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1420),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1420),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [sym_html_comment] = ACTIONS(5),
  },
  [689] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2457),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(689),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [690] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2247),
    [sym_expression] = STATE(3203),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7312),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2247),
    [sym_subscript_expression] = STATE(2247),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3830),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7314),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(690),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2247),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_export] = ACTIONS(1632),
    [anon_sym_type] = ACTIONS(1632),
    [anon_sym_namespace] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(1638),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1632),
    [anon_sym_BANG] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1640),
    [anon_sym_yield] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1644),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1638),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_SLASH] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1638),
    [anon_sym_void] = ACTIONS(1638),
    [anon_sym_delete] = ACTIONS(1638),
    [anon_sym_PLUS_PLUS] = ACTIONS(1654),
    [anon_sym_DASH_DASH] = ACTIONS(1654),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1656),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1788),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1632),
    [anon_sym_readonly] = ACTIONS(1632),
    [anon_sym_get] = ACTIONS(1632),
    [anon_sym_set] = ACTIONS(1632),
    [anon_sym_declare] = ACTIONS(1632),
    [anon_sym_public] = ACTIONS(1632),
    [anon_sym_private] = ACTIONS(1632),
    [anon_sym_protected] = ACTIONS(1632),
    [anon_sym_override] = ACTIONS(1632),
    [anon_sym_module] = ACTIONS(1632),
    [anon_sym_any] = ACTIONS(1632),
    [anon_sym_number] = ACTIONS(1632),
    [anon_sym_boolean] = ACTIONS(1632),
    [anon_sym_string] = ACTIONS(1632),
    [anon_sym_symbol] = ACTIONS(1632),
    [anon_sym_object] = ACTIONS(1632),
    [sym_html_comment] = ACTIONS(5),
  },
  [691] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2729),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(691),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [692] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2455),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(692),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [693] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2251),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2251),
    [sym_subscript_expression] = STATE(2251),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7552),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(693),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2251),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(2605),
    [anon_sym_export] = ACTIONS(2607),
    [anon_sym_type] = ACTIONS(2607),
    [anon_sym_namespace] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2607),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(2611),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(2613),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(2615),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2607),
    [anon_sym_readonly] = ACTIONS(2607),
    [anon_sym_get] = ACTIONS(2607),
    [anon_sym_set] = ACTIONS(2607),
    [anon_sym_declare] = ACTIONS(2607),
    [anon_sym_public] = ACTIONS(2607),
    [anon_sym_private] = ACTIONS(2607),
    [anon_sym_protected] = ACTIONS(2607),
    [anon_sym_override] = ACTIONS(2607),
    [anon_sym_module] = ACTIONS(2607),
    [anon_sym_any] = ACTIONS(2607),
    [anon_sym_number] = ACTIONS(2607),
    [anon_sym_boolean] = ACTIONS(2607),
    [anon_sym_string] = ACTIONS(2607),
    [anon_sym_symbol] = ACTIONS(2607),
    [anon_sym_object] = ACTIONS(2607),
    [sym_html_comment] = ACTIONS(5),
  },
  [694] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2143),
    [sym_expression] = STATE(2588),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7153),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2143),
    [sym_subscript_expression] = STATE(2143),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3819),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7151),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(694),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2143),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1598),
    [anon_sym_type] = ACTIONS(1598),
    [anon_sym_namespace] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1604),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1598),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1606),
    [anon_sym_yield] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1610),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_void] = ACTIONS(1604),
    [anon_sym_delete] = ACTIONS(1604),
    [anon_sym_PLUS_PLUS] = ACTIONS(1620),
    [anon_sym_DASH_DASH] = ACTIONS(1620),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1622),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1598),
    [anon_sym_readonly] = ACTIONS(1598),
    [anon_sym_get] = ACTIONS(1598),
    [anon_sym_set] = ACTIONS(1598),
    [anon_sym_declare] = ACTIONS(1598),
    [anon_sym_public] = ACTIONS(1598),
    [anon_sym_private] = ACTIONS(1598),
    [anon_sym_protected] = ACTIONS(1598),
    [anon_sym_override] = ACTIONS(1598),
    [anon_sym_module] = ACTIONS(1598),
    [anon_sym_any] = ACTIONS(1598),
    [anon_sym_number] = ACTIONS(1598),
    [anon_sym_boolean] = ACTIONS(1598),
    [anon_sym_string] = ACTIONS(1598),
    [anon_sym_symbol] = ACTIONS(1598),
    [anon_sym_object] = ACTIONS(1598),
    [sym_html_comment] = ACTIONS(5),
  },
  [695] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2889),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3815),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7334),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(695),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1504),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1508),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1502),
    [anon_sym_delete] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1520),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1494),
    [anon_sym_readonly] = ACTIONS(1494),
    [anon_sym_get] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_declare] = ACTIONS(1494),
    [anon_sym_public] = ACTIONS(1494),
    [anon_sym_private] = ACTIONS(1494),
    [anon_sym_protected] = ACTIONS(1494),
    [anon_sym_override] = ACTIONS(1494),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_any] = ACTIONS(1494),
    [anon_sym_number] = ACTIONS(1494),
    [anon_sym_boolean] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_symbol] = ACTIONS(1494),
    [anon_sym_object] = ACTIONS(1494),
    [sym_html_comment] = ACTIONS(5),
  },
  [696] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2886),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3815),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7334),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(696),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1504),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1508),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1502),
    [anon_sym_delete] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1520),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1494),
    [anon_sym_readonly] = ACTIONS(1494),
    [anon_sym_get] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_declare] = ACTIONS(1494),
    [anon_sym_public] = ACTIONS(1494),
    [anon_sym_private] = ACTIONS(1494),
    [anon_sym_protected] = ACTIONS(1494),
    [anon_sym_override] = ACTIONS(1494),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_any] = ACTIONS(1494),
    [anon_sym_number] = ACTIONS(1494),
    [anon_sym_boolean] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_symbol] = ACTIONS(1494),
    [anon_sym_object] = ACTIONS(1494),
    [sym_html_comment] = ACTIONS(5),
  },
  [697] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2857),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3815),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7334),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(697),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1504),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1508),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1502),
    [anon_sym_delete] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1520),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1494),
    [anon_sym_readonly] = ACTIONS(1494),
    [anon_sym_get] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_declare] = ACTIONS(1494),
    [anon_sym_public] = ACTIONS(1494),
    [anon_sym_private] = ACTIONS(1494),
    [anon_sym_protected] = ACTIONS(1494),
    [anon_sym_override] = ACTIONS(1494),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_any] = ACTIONS(1494),
    [anon_sym_number] = ACTIONS(1494),
    [anon_sym_boolean] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_symbol] = ACTIONS(1494),
    [anon_sym_object] = ACTIONS(1494),
    [sym_html_comment] = ACTIONS(5),
  },
  [698] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2886),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3815),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7334),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(698),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1504),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1508),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1502),
    [anon_sym_delete] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(2531),
    [sym_private_property_identifier] = ACTIONS(1520),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1494),
    [anon_sym_readonly] = ACTIONS(1494),
    [anon_sym_get] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_declare] = ACTIONS(1494),
    [anon_sym_public] = ACTIONS(1494),
    [anon_sym_private] = ACTIONS(1494),
    [anon_sym_protected] = ACTIONS(1494),
    [anon_sym_override] = ACTIONS(1494),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_any] = ACTIONS(1494),
    [anon_sym_number] = ACTIONS(1494),
    [anon_sym_boolean] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_symbol] = ACTIONS(1494),
    [anon_sym_object] = ACTIONS(1494),
    [sym_html_comment] = ACTIONS(5),
  },
  [699] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2143),
    [sym_expression] = STATE(2582),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7153),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2143),
    [sym_subscript_expression] = STATE(2143),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3819),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7151),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(699),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2143),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1598),
    [anon_sym_type] = ACTIONS(1598),
    [anon_sym_namespace] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1604),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1598),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1606),
    [anon_sym_yield] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1610),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_void] = ACTIONS(1604),
    [anon_sym_delete] = ACTIONS(1604),
    [anon_sym_PLUS_PLUS] = ACTIONS(1620),
    [anon_sym_DASH_DASH] = ACTIONS(1620),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1622),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1598),
    [anon_sym_readonly] = ACTIONS(1598),
    [anon_sym_get] = ACTIONS(1598),
    [anon_sym_set] = ACTIONS(1598),
    [anon_sym_declare] = ACTIONS(1598),
    [anon_sym_public] = ACTIONS(1598),
    [anon_sym_private] = ACTIONS(1598),
    [anon_sym_protected] = ACTIONS(1598),
    [anon_sym_override] = ACTIONS(1598),
    [anon_sym_module] = ACTIONS(1598),
    [anon_sym_any] = ACTIONS(1598),
    [anon_sym_number] = ACTIONS(1598),
    [anon_sym_boolean] = ACTIONS(1598),
    [anon_sym_string] = ACTIONS(1598),
    [anon_sym_symbol] = ACTIONS(1598),
    [anon_sym_object] = ACTIONS(1598),
    [sym_html_comment] = ACTIONS(5),
  },
  [700] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2143),
    [sym_expression] = STATE(2581),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7153),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2143),
    [sym_subscript_expression] = STATE(2143),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3819),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7151),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(700),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2143),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1598),
    [anon_sym_type] = ACTIONS(1598),
    [anon_sym_namespace] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1604),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1598),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1606),
    [anon_sym_yield] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1610),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_void] = ACTIONS(1604),
    [anon_sym_delete] = ACTIONS(1604),
    [anon_sym_PLUS_PLUS] = ACTIONS(1620),
    [anon_sym_DASH_DASH] = ACTIONS(1620),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1622),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1598),
    [anon_sym_readonly] = ACTIONS(1598),
    [anon_sym_get] = ACTIONS(1598),
    [anon_sym_set] = ACTIONS(1598),
    [anon_sym_declare] = ACTIONS(1598),
    [anon_sym_public] = ACTIONS(1598),
    [anon_sym_private] = ACTIONS(1598),
    [anon_sym_protected] = ACTIONS(1598),
    [anon_sym_override] = ACTIONS(1598),
    [anon_sym_module] = ACTIONS(1598),
    [anon_sym_any] = ACTIONS(1598),
    [anon_sym_number] = ACTIONS(1598),
    [anon_sym_boolean] = ACTIONS(1598),
    [anon_sym_string] = ACTIONS(1598),
    [anon_sym_symbol] = ACTIONS(1598),
    [anon_sym_object] = ACTIONS(1598),
    [sym_html_comment] = ACTIONS(5),
  },
  [701] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2856),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3815),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7334),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(701),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1504),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1508),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1502),
    [anon_sym_delete] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1520),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1494),
    [anon_sym_readonly] = ACTIONS(1494),
    [anon_sym_get] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_declare] = ACTIONS(1494),
    [anon_sym_public] = ACTIONS(1494),
    [anon_sym_private] = ACTIONS(1494),
    [anon_sym_protected] = ACTIONS(1494),
    [anon_sym_override] = ACTIONS(1494),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_any] = ACTIONS(1494),
    [anon_sym_number] = ACTIONS(1494),
    [anon_sym_boolean] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_symbol] = ACTIONS(1494),
    [anon_sym_object] = ACTIONS(1494),
    [sym_html_comment] = ACTIONS(5),
  },
  [702] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2143),
    [sym_expression] = STATE(2635),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7153),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2143),
    [sym_subscript_expression] = STATE(2143),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3819),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7151),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(702),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2143),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1598),
    [anon_sym_type] = ACTIONS(1598),
    [anon_sym_namespace] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1604),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1598),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1606),
    [anon_sym_yield] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1610),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_void] = ACTIONS(1604),
    [anon_sym_delete] = ACTIONS(1604),
    [anon_sym_PLUS_PLUS] = ACTIONS(1620),
    [anon_sym_DASH_DASH] = ACTIONS(1620),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1622),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1598),
    [anon_sym_readonly] = ACTIONS(1598),
    [anon_sym_get] = ACTIONS(1598),
    [anon_sym_set] = ACTIONS(1598),
    [anon_sym_declare] = ACTIONS(1598),
    [anon_sym_public] = ACTIONS(1598),
    [anon_sym_private] = ACTIONS(1598),
    [anon_sym_protected] = ACTIONS(1598),
    [anon_sym_override] = ACTIONS(1598),
    [anon_sym_module] = ACTIONS(1598),
    [anon_sym_any] = ACTIONS(1598),
    [anon_sym_number] = ACTIONS(1598),
    [anon_sym_boolean] = ACTIONS(1598),
    [anon_sym_string] = ACTIONS(1598),
    [anon_sym_symbol] = ACTIONS(1598),
    [anon_sym_object] = ACTIONS(1598),
    [sym_html_comment] = ACTIONS(5),
  },
  [703] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2855),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3815),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7334),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(703),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1504),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1508),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1502),
    [anon_sym_delete] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1520),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1494),
    [anon_sym_readonly] = ACTIONS(1494),
    [anon_sym_get] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_declare] = ACTIONS(1494),
    [anon_sym_public] = ACTIONS(1494),
    [anon_sym_private] = ACTIONS(1494),
    [anon_sym_protected] = ACTIONS(1494),
    [anon_sym_override] = ACTIONS(1494),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_any] = ACTIONS(1494),
    [anon_sym_number] = ACTIONS(1494),
    [anon_sym_boolean] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_symbol] = ACTIONS(1494),
    [anon_sym_object] = ACTIONS(1494),
    [sym_html_comment] = ACTIONS(5),
  },
  [704] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2255),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2255),
    [sym_subscript_expression] = STATE(2255),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7201),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(704),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2255),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(2617),
    [anon_sym_export] = ACTIONS(2619),
    [anon_sym_type] = ACTIONS(2619),
    [anon_sym_namespace] = ACTIONS(2621),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2619),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(2623),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(2627),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2619),
    [anon_sym_readonly] = ACTIONS(2619),
    [anon_sym_get] = ACTIONS(2619),
    [anon_sym_set] = ACTIONS(2619),
    [anon_sym_declare] = ACTIONS(2619),
    [anon_sym_public] = ACTIONS(2619),
    [anon_sym_private] = ACTIONS(2619),
    [anon_sym_protected] = ACTIONS(2619),
    [anon_sym_override] = ACTIONS(2619),
    [anon_sym_module] = ACTIONS(2619),
    [anon_sym_any] = ACTIONS(2619),
    [anon_sym_number] = ACTIONS(2619),
    [anon_sym_boolean] = ACTIONS(2619),
    [anon_sym_string] = ACTIONS(2619),
    [anon_sym_symbol] = ACTIONS(2619),
    [anon_sym_object] = ACTIONS(2619),
    [sym_html_comment] = ACTIONS(5),
  },
  [705] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2749),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(705),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [706] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2926),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(706),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1420),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1420),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1420),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [sym_html_comment] = ACTIONS(5),
  },
  [707] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2851),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3815),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7334),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(707),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1504),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1508),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1502),
    [anon_sym_delete] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1520),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1494),
    [anon_sym_readonly] = ACTIONS(1494),
    [anon_sym_get] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_declare] = ACTIONS(1494),
    [anon_sym_public] = ACTIONS(1494),
    [anon_sym_private] = ACTIONS(1494),
    [anon_sym_protected] = ACTIONS(1494),
    [anon_sym_override] = ACTIONS(1494),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_any] = ACTIONS(1494),
    [anon_sym_number] = ACTIONS(1494),
    [anon_sym_boolean] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_symbol] = ACTIONS(1494),
    [anon_sym_object] = ACTIONS(1494),
    [sym_html_comment] = ACTIONS(5),
  },
  [708] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2446),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(708),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [709] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2597),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(709),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(2561),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [710] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2661),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(710),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [711] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2845),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3815),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7334),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(711),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1504),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1508),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1502),
    [anon_sym_delete] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1520),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1494),
    [anon_sym_readonly] = ACTIONS(1494),
    [anon_sym_get] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_declare] = ACTIONS(1494),
    [anon_sym_public] = ACTIONS(1494),
    [anon_sym_private] = ACTIONS(1494),
    [anon_sym_protected] = ACTIONS(1494),
    [anon_sym_override] = ACTIONS(1494),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_any] = ACTIONS(1494),
    [anon_sym_number] = ACTIONS(1494),
    [anon_sym_boolean] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_symbol] = ACTIONS(1494),
    [anon_sym_object] = ACTIONS(1494),
    [sym_html_comment] = ACTIONS(5),
  },
  [712] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2841),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3815),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7334),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(712),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1504),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1508),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1502),
    [anon_sym_delete] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1520),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1494),
    [anon_sym_readonly] = ACTIONS(1494),
    [anon_sym_get] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_declare] = ACTIONS(1494),
    [anon_sym_public] = ACTIONS(1494),
    [anon_sym_private] = ACTIONS(1494),
    [anon_sym_protected] = ACTIONS(1494),
    [anon_sym_override] = ACTIONS(1494),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_any] = ACTIONS(1494),
    [anon_sym_number] = ACTIONS(1494),
    [anon_sym_boolean] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_symbol] = ACTIONS(1494),
    [anon_sym_object] = ACTIONS(1494),
    [sym_html_comment] = ACTIONS(5),
  },
  [713] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2064),
    [sym_subscript_expression] = STATE(2064),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(4588),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(713),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2064),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(2629),
    [anon_sym_export] = ACTIONS(2631),
    [anon_sym_type] = ACTIONS(2631),
    [anon_sym_namespace] = ACTIONS(2633),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2631),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(2635),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(2637),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(2639),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2631),
    [anon_sym_readonly] = ACTIONS(2631),
    [anon_sym_get] = ACTIONS(2631),
    [anon_sym_set] = ACTIONS(2631),
    [anon_sym_declare] = ACTIONS(2631),
    [anon_sym_public] = ACTIONS(2631),
    [anon_sym_private] = ACTIONS(2631),
    [anon_sym_protected] = ACTIONS(2631),
    [anon_sym_override] = ACTIONS(2631),
    [anon_sym_module] = ACTIONS(2631),
    [anon_sym_any] = ACTIONS(2631),
    [anon_sym_number] = ACTIONS(2631),
    [anon_sym_boolean] = ACTIONS(2631),
    [anon_sym_string] = ACTIONS(2631),
    [anon_sym_symbol] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2631),
    [sym_html_comment] = ACTIONS(5),
  },
  [714] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2929),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(714),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1420),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1420),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1420),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [sym_html_comment] = ACTIONS(5),
  },
  [715] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2932),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(715),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1420),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1420),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1420),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [sym_html_comment] = ACTIONS(5),
  },
  [716] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2934),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(716),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1420),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1420),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1420),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [sym_html_comment] = ACTIONS(5),
  },
  [717] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2836),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3815),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7334),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(717),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1504),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1508),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1502),
    [anon_sym_delete] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1520),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1494),
    [anon_sym_readonly] = ACTIONS(1494),
    [anon_sym_get] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_declare] = ACTIONS(1494),
    [anon_sym_public] = ACTIONS(1494),
    [anon_sym_private] = ACTIONS(1494),
    [anon_sym_protected] = ACTIONS(1494),
    [anon_sym_override] = ACTIONS(1494),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_any] = ACTIONS(1494),
    [anon_sym_number] = ACTIONS(1494),
    [anon_sym_boolean] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_symbol] = ACTIONS(1494),
    [anon_sym_object] = ACTIONS(1494),
    [sym_html_comment] = ACTIONS(5),
  },
  [718] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2835),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3815),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7334),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(718),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1504),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1508),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1502),
    [anon_sym_delete] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1520),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1494),
    [anon_sym_readonly] = ACTIONS(1494),
    [anon_sym_get] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_declare] = ACTIONS(1494),
    [anon_sym_public] = ACTIONS(1494),
    [anon_sym_private] = ACTIONS(1494),
    [anon_sym_protected] = ACTIONS(1494),
    [anon_sym_override] = ACTIONS(1494),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_any] = ACTIONS(1494),
    [anon_sym_number] = ACTIONS(1494),
    [anon_sym_boolean] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_symbol] = ACTIONS(1494),
    [anon_sym_object] = ACTIONS(1494),
    [sym_html_comment] = ACTIONS(5),
  },
  [719] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(3277),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3815),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7334),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(719),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1504),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1508),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1502),
    [anon_sym_delete] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1520),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1494),
    [anon_sym_readonly] = ACTIONS(1494),
    [anon_sym_get] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_declare] = ACTIONS(1494),
    [anon_sym_public] = ACTIONS(1494),
    [anon_sym_private] = ACTIONS(1494),
    [anon_sym_protected] = ACTIONS(1494),
    [anon_sym_override] = ACTIONS(1494),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_any] = ACTIONS(1494),
    [anon_sym_number] = ACTIONS(1494),
    [anon_sym_boolean] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_symbol] = ACTIONS(1494),
    [anon_sym_object] = ACTIONS(1494),
    [sym_html_comment] = ACTIONS(5),
  },
  [720] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2937),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(720),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1420),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1420),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1420),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [sym_html_comment] = ACTIONS(5),
  },
  [721] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2143),
    [sym_expression] = STATE(2577),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7153),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2143),
    [sym_subscript_expression] = STATE(2143),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3819),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7151),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(721),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2143),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1598),
    [anon_sym_type] = ACTIONS(1598),
    [anon_sym_namespace] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1604),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1598),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1606),
    [anon_sym_yield] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1610),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_void] = ACTIONS(1604),
    [anon_sym_delete] = ACTIONS(1604),
    [anon_sym_PLUS_PLUS] = ACTIONS(1620),
    [anon_sym_DASH_DASH] = ACTIONS(1620),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1622),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1598),
    [anon_sym_readonly] = ACTIONS(1598),
    [anon_sym_get] = ACTIONS(1598),
    [anon_sym_set] = ACTIONS(1598),
    [anon_sym_declare] = ACTIONS(1598),
    [anon_sym_public] = ACTIONS(1598),
    [anon_sym_private] = ACTIONS(1598),
    [anon_sym_protected] = ACTIONS(1598),
    [anon_sym_override] = ACTIONS(1598),
    [anon_sym_module] = ACTIONS(1598),
    [anon_sym_any] = ACTIONS(1598),
    [anon_sym_number] = ACTIONS(1598),
    [anon_sym_boolean] = ACTIONS(1598),
    [anon_sym_string] = ACTIONS(1598),
    [anon_sym_symbol] = ACTIONS(1598),
    [anon_sym_object] = ACTIONS(1598),
    [sym_html_comment] = ACTIONS(5),
  },
  [722] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2143),
    [sym_expression] = STATE(2576),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7153),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2143),
    [sym_subscript_expression] = STATE(2143),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3819),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7151),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(722),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2143),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1598),
    [anon_sym_type] = ACTIONS(1598),
    [anon_sym_namespace] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1604),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1598),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1606),
    [anon_sym_yield] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1610),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_void] = ACTIONS(1604),
    [anon_sym_delete] = ACTIONS(1604),
    [anon_sym_PLUS_PLUS] = ACTIONS(1620),
    [anon_sym_DASH_DASH] = ACTIONS(1620),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1622),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1598),
    [anon_sym_readonly] = ACTIONS(1598),
    [anon_sym_get] = ACTIONS(1598),
    [anon_sym_set] = ACTIONS(1598),
    [anon_sym_declare] = ACTIONS(1598),
    [anon_sym_public] = ACTIONS(1598),
    [anon_sym_private] = ACTIONS(1598),
    [anon_sym_protected] = ACTIONS(1598),
    [anon_sym_override] = ACTIONS(1598),
    [anon_sym_module] = ACTIONS(1598),
    [anon_sym_any] = ACTIONS(1598),
    [anon_sym_number] = ACTIONS(1598),
    [anon_sym_boolean] = ACTIONS(1598),
    [anon_sym_string] = ACTIONS(1598),
    [anon_sym_symbol] = ACTIONS(1598),
    [anon_sym_object] = ACTIONS(1598),
    [sym_html_comment] = ACTIONS(5),
  },
  [723] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2143),
    [sym_expression] = STATE(2572),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7153),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2143),
    [sym_subscript_expression] = STATE(2143),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3819),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7151),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(723),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2143),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1598),
    [anon_sym_type] = ACTIONS(1598),
    [anon_sym_namespace] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1604),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1598),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1606),
    [anon_sym_yield] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1610),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_void] = ACTIONS(1604),
    [anon_sym_delete] = ACTIONS(1604),
    [anon_sym_PLUS_PLUS] = ACTIONS(1620),
    [anon_sym_DASH_DASH] = ACTIONS(1620),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1622),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1598),
    [anon_sym_readonly] = ACTIONS(1598),
    [anon_sym_get] = ACTIONS(1598),
    [anon_sym_set] = ACTIONS(1598),
    [anon_sym_declare] = ACTIONS(1598),
    [anon_sym_public] = ACTIONS(1598),
    [anon_sym_private] = ACTIONS(1598),
    [anon_sym_protected] = ACTIONS(1598),
    [anon_sym_override] = ACTIONS(1598),
    [anon_sym_module] = ACTIONS(1598),
    [anon_sym_any] = ACTIONS(1598),
    [anon_sym_number] = ACTIONS(1598),
    [anon_sym_boolean] = ACTIONS(1598),
    [anon_sym_string] = ACTIONS(1598),
    [anon_sym_symbol] = ACTIONS(1598),
    [anon_sym_object] = ACTIONS(1598),
    [sym_html_comment] = ACTIONS(5),
  },
  [724] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2938),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(724),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1420),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1420),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1420),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [sym_html_comment] = ACTIONS(5),
  },
  [725] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2143),
    [sym_expression] = STATE(2571),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7153),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2143),
    [sym_subscript_expression] = STATE(2143),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3819),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7151),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(725),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2143),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1598),
    [anon_sym_type] = ACTIONS(1598),
    [anon_sym_namespace] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1604),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1598),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1606),
    [anon_sym_yield] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1610),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_void] = ACTIONS(1604),
    [anon_sym_delete] = ACTIONS(1604),
    [anon_sym_PLUS_PLUS] = ACTIONS(1620),
    [anon_sym_DASH_DASH] = ACTIONS(1620),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1622),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1598),
    [anon_sym_readonly] = ACTIONS(1598),
    [anon_sym_get] = ACTIONS(1598),
    [anon_sym_set] = ACTIONS(1598),
    [anon_sym_declare] = ACTIONS(1598),
    [anon_sym_public] = ACTIONS(1598),
    [anon_sym_private] = ACTIONS(1598),
    [anon_sym_protected] = ACTIONS(1598),
    [anon_sym_override] = ACTIONS(1598),
    [anon_sym_module] = ACTIONS(1598),
    [anon_sym_any] = ACTIONS(1598),
    [anon_sym_number] = ACTIONS(1598),
    [anon_sym_boolean] = ACTIONS(1598),
    [anon_sym_string] = ACTIONS(1598),
    [anon_sym_symbol] = ACTIONS(1598),
    [anon_sym_object] = ACTIONS(1598),
    [sym_html_comment] = ACTIONS(5),
  },
  [726] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2143),
    [sym_expression] = STATE(2569),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7153),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2143),
    [sym_subscript_expression] = STATE(2143),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3819),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7151),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(726),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2143),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1598),
    [anon_sym_type] = ACTIONS(1598),
    [anon_sym_namespace] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1604),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1598),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1606),
    [anon_sym_yield] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1610),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_void] = ACTIONS(1604),
    [anon_sym_delete] = ACTIONS(1604),
    [anon_sym_PLUS_PLUS] = ACTIONS(1620),
    [anon_sym_DASH_DASH] = ACTIONS(1620),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1622),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1598),
    [anon_sym_readonly] = ACTIONS(1598),
    [anon_sym_get] = ACTIONS(1598),
    [anon_sym_set] = ACTIONS(1598),
    [anon_sym_declare] = ACTIONS(1598),
    [anon_sym_public] = ACTIONS(1598),
    [anon_sym_private] = ACTIONS(1598),
    [anon_sym_protected] = ACTIONS(1598),
    [anon_sym_override] = ACTIONS(1598),
    [anon_sym_module] = ACTIONS(1598),
    [anon_sym_any] = ACTIONS(1598),
    [anon_sym_number] = ACTIONS(1598),
    [anon_sym_boolean] = ACTIONS(1598),
    [anon_sym_string] = ACTIONS(1598),
    [anon_sym_symbol] = ACTIONS(1598),
    [anon_sym_object] = ACTIONS(1598),
    [sym_html_comment] = ACTIONS(5),
  },
  [727] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2939),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(727),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1420),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1420),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1420),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [sym_html_comment] = ACTIONS(5),
  },
  [728] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2940),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(728),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1420),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1420),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1420),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [sym_html_comment] = ACTIONS(5),
  },
  [729] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2143),
    [sym_expression] = STATE(2568),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7153),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2143),
    [sym_subscript_expression] = STATE(2143),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3819),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7151),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(729),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2143),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1598),
    [anon_sym_type] = ACTIONS(1598),
    [anon_sym_namespace] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1604),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1598),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1606),
    [anon_sym_yield] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1610),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_void] = ACTIONS(1604),
    [anon_sym_delete] = ACTIONS(1604),
    [anon_sym_PLUS_PLUS] = ACTIONS(1620),
    [anon_sym_DASH_DASH] = ACTIONS(1620),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1622),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1598),
    [anon_sym_readonly] = ACTIONS(1598),
    [anon_sym_get] = ACTIONS(1598),
    [anon_sym_set] = ACTIONS(1598),
    [anon_sym_declare] = ACTIONS(1598),
    [anon_sym_public] = ACTIONS(1598),
    [anon_sym_private] = ACTIONS(1598),
    [anon_sym_protected] = ACTIONS(1598),
    [anon_sym_override] = ACTIONS(1598),
    [anon_sym_module] = ACTIONS(1598),
    [anon_sym_any] = ACTIONS(1598),
    [anon_sym_number] = ACTIONS(1598),
    [anon_sym_boolean] = ACTIONS(1598),
    [anon_sym_string] = ACTIONS(1598),
    [anon_sym_symbol] = ACTIONS(1598),
    [anon_sym_object] = ACTIONS(1598),
    [sym_html_comment] = ACTIONS(5),
  },
  [730] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2143),
    [sym_expression] = STATE(2566),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7153),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2143),
    [sym_subscript_expression] = STATE(2143),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3819),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7151),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(730),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2143),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1598),
    [anon_sym_type] = ACTIONS(1598),
    [anon_sym_namespace] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1604),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1598),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1606),
    [anon_sym_yield] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1610),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_void] = ACTIONS(1604),
    [anon_sym_delete] = ACTIONS(1604),
    [anon_sym_PLUS_PLUS] = ACTIONS(1620),
    [anon_sym_DASH_DASH] = ACTIONS(1620),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1622),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1598),
    [anon_sym_readonly] = ACTIONS(1598),
    [anon_sym_get] = ACTIONS(1598),
    [anon_sym_set] = ACTIONS(1598),
    [anon_sym_declare] = ACTIONS(1598),
    [anon_sym_public] = ACTIONS(1598),
    [anon_sym_private] = ACTIONS(1598),
    [anon_sym_protected] = ACTIONS(1598),
    [anon_sym_override] = ACTIONS(1598),
    [anon_sym_module] = ACTIONS(1598),
    [anon_sym_any] = ACTIONS(1598),
    [anon_sym_number] = ACTIONS(1598),
    [anon_sym_boolean] = ACTIONS(1598),
    [anon_sym_string] = ACTIONS(1598),
    [anon_sym_symbol] = ACTIONS(1598),
    [anon_sym_object] = ACTIONS(1598),
    [sym_html_comment] = ACTIONS(5),
  },
  [731] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2942),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(731),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1420),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1420),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1420),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [sym_html_comment] = ACTIONS(5),
  },
  [732] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2143),
    [sym_expression] = STATE(2564),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7153),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2143),
    [sym_subscript_expression] = STATE(2143),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3819),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7151),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(732),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2143),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1598),
    [anon_sym_type] = ACTIONS(1598),
    [anon_sym_namespace] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1604),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1598),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1606),
    [anon_sym_yield] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1610),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_void] = ACTIONS(1604),
    [anon_sym_delete] = ACTIONS(1604),
    [anon_sym_PLUS_PLUS] = ACTIONS(1620),
    [anon_sym_DASH_DASH] = ACTIONS(1620),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1622),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1598),
    [anon_sym_readonly] = ACTIONS(1598),
    [anon_sym_get] = ACTIONS(1598),
    [anon_sym_set] = ACTIONS(1598),
    [anon_sym_declare] = ACTIONS(1598),
    [anon_sym_public] = ACTIONS(1598),
    [anon_sym_private] = ACTIONS(1598),
    [anon_sym_protected] = ACTIONS(1598),
    [anon_sym_override] = ACTIONS(1598),
    [anon_sym_module] = ACTIONS(1598),
    [anon_sym_any] = ACTIONS(1598),
    [anon_sym_number] = ACTIONS(1598),
    [anon_sym_boolean] = ACTIONS(1598),
    [anon_sym_string] = ACTIONS(1598),
    [anon_sym_symbol] = ACTIONS(1598),
    [anon_sym_object] = ACTIONS(1598),
    [sym_html_comment] = ACTIONS(5),
  },
  [733] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2947),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(733),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1420),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1420),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1420),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [sym_html_comment] = ACTIONS(5),
  },
  [734] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2686),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(734),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [735] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2685),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(735),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [736] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2679),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(736),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [737] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2143),
    [sym_expression] = STATE(2563),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7153),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2143),
    [sym_subscript_expression] = STATE(2143),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3819),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7151),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(737),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2143),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1598),
    [anon_sym_type] = ACTIONS(1598),
    [anon_sym_namespace] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1604),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1598),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1606),
    [anon_sym_yield] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1610),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_void] = ACTIONS(1604),
    [anon_sym_delete] = ACTIONS(1604),
    [anon_sym_PLUS_PLUS] = ACTIONS(1620),
    [anon_sym_DASH_DASH] = ACTIONS(1620),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1622),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1598),
    [anon_sym_readonly] = ACTIONS(1598),
    [anon_sym_get] = ACTIONS(1598),
    [anon_sym_set] = ACTIONS(1598),
    [anon_sym_declare] = ACTIONS(1598),
    [anon_sym_public] = ACTIONS(1598),
    [anon_sym_private] = ACTIONS(1598),
    [anon_sym_protected] = ACTIONS(1598),
    [anon_sym_override] = ACTIONS(1598),
    [anon_sym_module] = ACTIONS(1598),
    [anon_sym_any] = ACTIONS(1598),
    [anon_sym_number] = ACTIONS(1598),
    [anon_sym_boolean] = ACTIONS(1598),
    [anon_sym_string] = ACTIONS(1598),
    [anon_sym_symbol] = ACTIONS(1598),
    [anon_sym_object] = ACTIONS(1598),
    [sym_html_comment] = ACTIONS(5),
  },
  [738] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2834),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3815),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7334),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(738),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1504),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1508),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1502),
    [anon_sym_delete] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1520),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1494),
    [anon_sym_readonly] = ACTIONS(1494),
    [anon_sym_get] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_declare] = ACTIONS(1494),
    [anon_sym_public] = ACTIONS(1494),
    [anon_sym_private] = ACTIONS(1494),
    [anon_sym_protected] = ACTIONS(1494),
    [anon_sym_override] = ACTIONS(1494),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_any] = ACTIONS(1494),
    [anon_sym_number] = ACTIONS(1494),
    [anon_sym_boolean] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_symbol] = ACTIONS(1494),
    [anon_sym_object] = ACTIONS(1494),
    [sym_html_comment] = ACTIONS(5),
  },
  [739] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2143),
    [sym_expression] = STATE(2561),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7153),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2143),
    [sym_subscript_expression] = STATE(2143),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3819),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7151),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(739),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2143),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1598),
    [anon_sym_type] = ACTIONS(1598),
    [anon_sym_namespace] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1604),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1598),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1606),
    [anon_sym_yield] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1610),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_void] = ACTIONS(1604),
    [anon_sym_delete] = ACTIONS(1604),
    [anon_sym_PLUS_PLUS] = ACTIONS(1620),
    [anon_sym_DASH_DASH] = ACTIONS(1620),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1622),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1598),
    [anon_sym_readonly] = ACTIONS(1598),
    [anon_sym_get] = ACTIONS(1598),
    [anon_sym_set] = ACTIONS(1598),
    [anon_sym_declare] = ACTIONS(1598),
    [anon_sym_public] = ACTIONS(1598),
    [anon_sym_private] = ACTIONS(1598),
    [anon_sym_protected] = ACTIONS(1598),
    [anon_sym_override] = ACTIONS(1598),
    [anon_sym_module] = ACTIONS(1598),
    [anon_sym_any] = ACTIONS(1598),
    [anon_sym_number] = ACTIONS(1598),
    [anon_sym_boolean] = ACTIONS(1598),
    [anon_sym_string] = ACTIONS(1598),
    [anon_sym_symbol] = ACTIONS(1598),
    [anon_sym_object] = ACTIONS(1598),
    [sym_html_comment] = ACTIONS(5),
  },
  [740] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2678),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(740),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [741] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2143),
    [sym_expression] = STATE(2550),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7153),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2143),
    [sym_subscript_expression] = STATE(2143),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3819),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7151),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(741),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2143),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1598),
    [anon_sym_type] = ACTIONS(1598),
    [anon_sym_namespace] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1604),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1598),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1606),
    [anon_sym_yield] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1610),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_void] = ACTIONS(1604),
    [anon_sym_delete] = ACTIONS(1604),
    [anon_sym_PLUS_PLUS] = ACTIONS(1620),
    [anon_sym_DASH_DASH] = ACTIONS(1620),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1622),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1598),
    [anon_sym_readonly] = ACTIONS(1598),
    [anon_sym_get] = ACTIONS(1598),
    [anon_sym_set] = ACTIONS(1598),
    [anon_sym_declare] = ACTIONS(1598),
    [anon_sym_public] = ACTIONS(1598),
    [anon_sym_private] = ACTIONS(1598),
    [anon_sym_protected] = ACTIONS(1598),
    [anon_sym_override] = ACTIONS(1598),
    [anon_sym_module] = ACTIONS(1598),
    [anon_sym_any] = ACTIONS(1598),
    [anon_sym_number] = ACTIONS(1598),
    [anon_sym_boolean] = ACTIONS(1598),
    [anon_sym_string] = ACTIONS(1598),
    [anon_sym_symbol] = ACTIONS(1598),
    [anon_sym_object] = ACTIONS(1598),
    [sym_html_comment] = ACTIONS(5),
  },
  [742] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2677),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(742),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [743] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2832),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3815),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7334),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(743),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1504),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1508),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1502),
    [anon_sym_delete] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1520),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1494),
    [anon_sym_readonly] = ACTIONS(1494),
    [anon_sym_get] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_declare] = ACTIONS(1494),
    [anon_sym_public] = ACTIONS(1494),
    [anon_sym_private] = ACTIONS(1494),
    [anon_sym_protected] = ACTIONS(1494),
    [anon_sym_override] = ACTIONS(1494),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_any] = ACTIONS(1494),
    [anon_sym_number] = ACTIONS(1494),
    [anon_sym_boolean] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_symbol] = ACTIONS(1494),
    [anon_sym_object] = ACTIONS(1494),
    [sym_html_comment] = ACTIONS(5),
  },
  [744] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2830),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3815),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7334),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(744),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1504),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1508),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1502),
    [anon_sym_delete] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1520),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1494),
    [anon_sym_readonly] = ACTIONS(1494),
    [anon_sym_get] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_declare] = ACTIONS(1494),
    [anon_sym_public] = ACTIONS(1494),
    [anon_sym_private] = ACTIONS(1494),
    [anon_sym_protected] = ACTIONS(1494),
    [anon_sym_override] = ACTIONS(1494),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_any] = ACTIONS(1494),
    [anon_sym_number] = ACTIONS(1494),
    [anon_sym_boolean] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_symbol] = ACTIONS(1494),
    [anon_sym_object] = ACTIONS(1494),
    [sym_html_comment] = ACTIONS(5),
  },
  [745] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2829),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3815),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7334),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(745),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1504),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1508),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1502),
    [anon_sym_delete] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1520),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1494),
    [anon_sym_readonly] = ACTIONS(1494),
    [anon_sym_get] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_declare] = ACTIONS(1494),
    [anon_sym_public] = ACTIONS(1494),
    [anon_sym_private] = ACTIONS(1494),
    [anon_sym_protected] = ACTIONS(1494),
    [anon_sym_override] = ACTIONS(1494),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_any] = ACTIONS(1494),
    [anon_sym_number] = ACTIONS(1494),
    [anon_sym_boolean] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_symbol] = ACTIONS(1494),
    [anon_sym_object] = ACTIONS(1494),
    [sym_html_comment] = ACTIONS(5),
  },
  [746] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2827),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3815),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7334),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(746),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1504),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1508),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1502),
    [anon_sym_delete] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1520),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1494),
    [anon_sym_readonly] = ACTIONS(1494),
    [anon_sym_get] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_declare] = ACTIONS(1494),
    [anon_sym_public] = ACTIONS(1494),
    [anon_sym_private] = ACTIONS(1494),
    [anon_sym_protected] = ACTIONS(1494),
    [anon_sym_override] = ACTIONS(1494),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_any] = ACTIONS(1494),
    [anon_sym_number] = ACTIONS(1494),
    [anon_sym_boolean] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_symbol] = ACTIONS(1494),
    [anon_sym_object] = ACTIONS(1494),
    [sym_html_comment] = ACTIONS(5),
  },
  [747] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2676),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(747),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [748] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2675),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(748),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [749] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2826),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3815),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7334),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(749),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1504),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1508),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1502),
    [anon_sym_delete] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1520),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1494),
    [anon_sym_readonly] = ACTIONS(1494),
    [anon_sym_get] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_declare] = ACTIONS(1494),
    [anon_sym_public] = ACTIONS(1494),
    [anon_sym_private] = ACTIONS(1494),
    [anon_sym_protected] = ACTIONS(1494),
    [anon_sym_override] = ACTIONS(1494),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_any] = ACTIONS(1494),
    [anon_sym_number] = ACTIONS(1494),
    [anon_sym_boolean] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_symbol] = ACTIONS(1494),
    [anon_sym_object] = ACTIONS(1494),
    [sym_html_comment] = ACTIONS(5),
  },
  [750] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2823),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3815),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7334),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(750),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1504),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1508),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1502),
    [anon_sym_delete] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1520),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1494),
    [anon_sym_readonly] = ACTIONS(1494),
    [anon_sym_get] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_declare] = ACTIONS(1494),
    [anon_sym_public] = ACTIONS(1494),
    [anon_sym_private] = ACTIONS(1494),
    [anon_sym_protected] = ACTIONS(1494),
    [anon_sym_override] = ACTIONS(1494),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_any] = ACTIONS(1494),
    [anon_sym_number] = ACTIONS(1494),
    [anon_sym_boolean] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_symbol] = ACTIONS(1494),
    [anon_sym_object] = ACTIONS(1494),
    [sym_html_comment] = ACTIONS(5),
  },
  [751] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2674),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(751),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [752] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2821),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3815),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7334),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(752),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1504),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1508),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1502),
    [anon_sym_delete] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1520),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1494),
    [anon_sym_readonly] = ACTIONS(1494),
    [anon_sym_get] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_declare] = ACTIONS(1494),
    [anon_sym_public] = ACTIONS(1494),
    [anon_sym_private] = ACTIONS(1494),
    [anon_sym_protected] = ACTIONS(1494),
    [anon_sym_override] = ACTIONS(1494),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_any] = ACTIONS(1494),
    [anon_sym_number] = ACTIONS(1494),
    [anon_sym_boolean] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_symbol] = ACTIONS(1494),
    [anon_sym_object] = ACTIONS(1494),
    [sym_html_comment] = ACTIONS(5),
  },
  [753] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2672),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(753),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [754] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2948),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(754),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1420),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1420),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1420),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [sym_html_comment] = ACTIONS(5),
  },
  [755] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2692),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(755),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [756] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2818),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3815),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7334),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(756),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1504),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1508),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1502),
    [anon_sym_delete] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1520),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1494),
    [anon_sym_readonly] = ACTIONS(1494),
    [anon_sym_get] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_declare] = ACTIONS(1494),
    [anon_sym_public] = ACTIONS(1494),
    [anon_sym_private] = ACTIONS(1494),
    [anon_sym_protected] = ACTIONS(1494),
    [anon_sym_override] = ACTIONS(1494),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_any] = ACTIONS(1494),
    [anon_sym_number] = ACTIONS(1494),
    [anon_sym_boolean] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_symbol] = ACTIONS(1494),
    [anon_sym_object] = ACTIONS(1494),
    [sym_html_comment] = ACTIONS(5),
  },
  [757] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2949),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(757),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1420),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1420),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1420),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [sym_html_comment] = ACTIONS(5),
  },
  [758] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2667),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(758),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [759] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(3279),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3815),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7334),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(759),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1504),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1508),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1502),
    [anon_sym_delete] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1520),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1494),
    [anon_sym_readonly] = ACTIONS(1494),
    [anon_sym_get] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_declare] = ACTIONS(1494),
    [anon_sym_public] = ACTIONS(1494),
    [anon_sym_private] = ACTIONS(1494),
    [anon_sym_protected] = ACTIONS(1494),
    [anon_sym_override] = ACTIONS(1494),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_any] = ACTIONS(1494),
    [anon_sym_number] = ACTIONS(1494),
    [anon_sym_boolean] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_symbol] = ACTIONS(1494),
    [anon_sym_object] = ACTIONS(1494),
    [sym_html_comment] = ACTIONS(5),
  },
  [760] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2950),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(760),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1420),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1420),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1420),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [sym_html_comment] = ACTIONS(5),
  },
  [761] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2951),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(761),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1420),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1420),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1420),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [sym_html_comment] = ACTIONS(5),
  },
  [762] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2952),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(762),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1420),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1420),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1420),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [sym_html_comment] = ACTIONS(5),
  },
  [763] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2175),
    [sym_expression] = STATE(2755),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7156),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2175),
    [sym_subscript_expression] = STATE(2175),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3817),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7159),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(763),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2175),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1530),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_namespace] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1536),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1538),
    [anon_sym_yield] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1542),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1770),
    [anon_sym_using] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1242),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_void] = ACTIONS(1536),
    [anon_sym_delete] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1554),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1530),
    [anon_sym_readonly] = ACTIONS(1530),
    [anon_sym_get] = ACTIONS(1530),
    [anon_sym_set] = ACTIONS(1530),
    [anon_sym_declare] = ACTIONS(1530),
    [anon_sym_public] = ACTIONS(1530),
    [anon_sym_private] = ACTIONS(1530),
    [anon_sym_protected] = ACTIONS(1530),
    [anon_sym_override] = ACTIONS(1530),
    [anon_sym_module] = ACTIONS(1530),
    [anon_sym_any] = ACTIONS(1530),
    [anon_sym_number] = ACTIONS(1530),
    [anon_sym_boolean] = ACTIONS(1530),
    [anon_sym_string] = ACTIONS(1530),
    [anon_sym_symbol] = ACTIONS(1530),
    [anon_sym_object] = ACTIONS(1530),
    [sym_html_comment] = ACTIONS(5),
  },
  [764] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2954),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(764),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1420),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1420),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1420),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [sym_html_comment] = ACTIONS(5),
  },
  [765] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2241),
    [sym_expression] = STATE(3294),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7398),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2241),
    [sym_subscript_expression] = STATE(2241),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3867),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7457),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(765),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2241),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1774),
    [anon_sym_export] = ACTIONS(1564),
    [anon_sym_type] = ACTIONS(1564),
    [anon_sym_namespace] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1570),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1572),
    [anon_sym_yield] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1576),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1778),
    [anon_sym_using] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_void] = ACTIONS(1570),
    [anon_sym_delete] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1588),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1780),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1564),
    [anon_sym_readonly] = ACTIONS(1564),
    [anon_sym_get] = ACTIONS(1564),
    [anon_sym_set] = ACTIONS(1564),
    [anon_sym_declare] = ACTIONS(1564),
    [anon_sym_public] = ACTIONS(1564),
    [anon_sym_private] = ACTIONS(1564),
    [anon_sym_protected] = ACTIONS(1564),
    [anon_sym_override] = ACTIONS(1564),
    [anon_sym_module] = ACTIONS(1564),
    [anon_sym_any] = ACTIONS(1564),
    [anon_sym_number] = ACTIONS(1564),
    [anon_sym_boolean] = ACTIONS(1564),
    [anon_sym_string] = ACTIONS(1564),
    [anon_sym_symbol] = ACTIONS(1564),
    [anon_sym_object] = ACTIONS(1564),
    [sym_html_comment] = ACTIONS(5),
  },
  [766] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2960),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(766),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1420),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1420),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1420),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [sym_html_comment] = ACTIONS(5),
  },
  [767] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2964),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(767),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1420),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1420),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1420),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [sym_html_comment] = ACTIONS(5),
  },
  [768] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2656),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(768),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [769] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2651),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(769),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [770] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(3208),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3815),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7334),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(770),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1504),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1508),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1502),
    [anon_sym_delete] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1520),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1494),
    [anon_sym_readonly] = ACTIONS(1494),
    [anon_sym_get] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_declare] = ACTIONS(1494),
    [anon_sym_public] = ACTIONS(1494),
    [anon_sym_private] = ACTIONS(1494),
    [anon_sym_protected] = ACTIONS(1494),
    [anon_sym_override] = ACTIONS(1494),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_any] = ACTIONS(1494),
    [anon_sym_number] = ACTIONS(1494),
    [anon_sym_boolean] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_symbol] = ACTIONS(1494),
    [anon_sym_object] = ACTIONS(1494),
    [sym_html_comment] = ACTIONS(5),
  },
  [771] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2817),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3815),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7334),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(771),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1504),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1508),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1502),
    [anon_sym_delete] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1520),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1494),
    [anon_sym_readonly] = ACTIONS(1494),
    [anon_sym_get] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_declare] = ACTIONS(1494),
    [anon_sym_public] = ACTIONS(1494),
    [anon_sym_private] = ACTIONS(1494),
    [anon_sym_protected] = ACTIONS(1494),
    [anon_sym_override] = ACTIONS(1494),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_any] = ACTIONS(1494),
    [anon_sym_number] = ACTIONS(1494),
    [anon_sym_boolean] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_symbol] = ACTIONS(1494),
    [anon_sym_object] = ACTIONS(1494),
    [sym_html_comment] = ACTIONS(5),
  },
  [772] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2143),
    [sym_expression] = STATE(2526),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7153),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2143),
    [sym_subscript_expression] = STATE(2143),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3819),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7151),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(772),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2143),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1598),
    [anon_sym_type] = ACTIONS(1598),
    [anon_sym_namespace] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1604),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1598),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1606),
    [anon_sym_yield] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1610),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_void] = ACTIONS(1604),
    [anon_sym_delete] = ACTIONS(1604),
    [anon_sym_PLUS_PLUS] = ACTIONS(1620),
    [anon_sym_DASH_DASH] = ACTIONS(1620),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1622),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1598),
    [anon_sym_readonly] = ACTIONS(1598),
    [anon_sym_get] = ACTIONS(1598),
    [anon_sym_set] = ACTIONS(1598),
    [anon_sym_declare] = ACTIONS(1598),
    [anon_sym_public] = ACTIONS(1598),
    [anon_sym_private] = ACTIONS(1598),
    [anon_sym_protected] = ACTIONS(1598),
    [anon_sym_override] = ACTIONS(1598),
    [anon_sym_module] = ACTIONS(1598),
    [anon_sym_any] = ACTIONS(1598),
    [anon_sym_number] = ACTIONS(1598),
    [anon_sym_boolean] = ACTIONS(1598),
    [anon_sym_string] = ACTIONS(1598),
    [anon_sym_symbol] = ACTIONS(1598),
    [anon_sym_object] = ACTIONS(1598),
    [sym_html_comment] = ACTIONS(5),
  },
  [773] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2190),
    [sym_expression] = STATE(2815),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7270),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2190),
    [sym_subscript_expression] = STATE(2190),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3792),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7272),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(773),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2190),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_export] = ACTIONS(1420),
    [anon_sym_type] = ACTIONS(1420),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1428),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1436),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1762),
    [anon_sym_using] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_void] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(2561),
    [sym_private_property_identifier] = ACTIONS(1452),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1764),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_readonly] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_declare] = ACTIONS(1420),
    [anon_sym_public] = ACTIONS(1420),
    [anon_sym_private] = ACTIONS(1420),
    [anon_sym_protected] = ACTIONS(1420),
    [anon_sym_override] = ACTIONS(1420),
    [anon_sym_module] = ACTIONS(1420),
    [anon_sym_any] = ACTIONS(1420),
    [anon_sym_number] = ACTIONS(1420),
    [anon_sym_boolean] = ACTIONS(1420),
    [anon_sym_string] = ACTIONS(1420),
    [anon_sym_symbol] = ACTIONS(1420),
    [anon_sym_object] = ACTIONS(1420),
    [sym_html_comment] = ACTIONS(5),
  },
  [774] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(3255),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3815),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7334),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(774),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1504),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1508),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1502),
    [anon_sym_delete] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1520),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1494),
    [anon_sym_readonly] = ACTIONS(1494),
    [anon_sym_get] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_declare] = ACTIONS(1494),
    [anon_sym_public] = ACTIONS(1494),
    [anon_sym_private] = ACTIONS(1494),
    [anon_sym_protected] = ACTIONS(1494),
    [anon_sym_override] = ACTIONS(1494),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_any] = ACTIONS(1494),
    [anon_sym_number] = ACTIONS(1494),
    [anon_sym_boolean] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_symbol] = ACTIONS(1494),
    [anon_sym_object] = ACTIONS(1494),
    [sym_html_comment] = ACTIONS(5),
  },
  [775] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2614),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(775),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [776] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2248),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2248),
    [sym_subscript_expression] = STATE(2248),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7152),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(776),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2248),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(2641),
    [anon_sym_export] = ACTIONS(2643),
    [anon_sym_type] = ACTIONS(2643),
    [anon_sym_namespace] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2643),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(2647),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(2649),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(2651),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2643),
    [anon_sym_readonly] = ACTIONS(2643),
    [anon_sym_get] = ACTIONS(2643),
    [anon_sym_set] = ACTIONS(2643),
    [anon_sym_declare] = ACTIONS(2643),
    [anon_sym_public] = ACTIONS(2643),
    [anon_sym_private] = ACTIONS(2643),
    [anon_sym_protected] = ACTIONS(2643),
    [anon_sym_override] = ACTIONS(2643),
    [anon_sym_module] = ACTIONS(2643),
    [anon_sym_any] = ACTIONS(2643),
    [anon_sym_number] = ACTIONS(2643),
    [anon_sym_boolean] = ACTIONS(2643),
    [anon_sym_string] = ACTIONS(2643),
    [anon_sym_symbol] = ACTIONS(2643),
    [anon_sym_object] = ACTIONS(2643),
    [sym_html_comment] = ACTIONS(5),
  },
  [777] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2143),
    [sym_expression] = STATE(2607),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7153),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2143),
    [sym_subscript_expression] = STATE(2143),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3819),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7151),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(777),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2143),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1598),
    [anon_sym_type] = ACTIONS(1598),
    [anon_sym_namespace] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(1604),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1598),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1606),
    [anon_sym_yield] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1610),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1746),
    [anon_sym_using] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_void] = ACTIONS(1604),
    [anon_sym_delete] = ACTIONS(1604),
    [anon_sym_PLUS_PLUS] = ACTIONS(1620),
    [anon_sym_DASH_DASH] = ACTIONS(1620),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1622),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1598),
    [anon_sym_readonly] = ACTIONS(1598),
    [anon_sym_get] = ACTIONS(1598),
    [anon_sym_set] = ACTIONS(1598),
    [anon_sym_declare] = ACTIONS(1598),
    [anon_sym_public] = ACTIONS(1598),
    [anon_sym_private] = ACTIONS(1598),
    [anon_sym_protected] = ACTIONS(1598),
    [anon_sym_override] = ACTIONS(1598),
    [anon_sym_module] = ACTIONS(1598),
    [anon_sym_any] = ACTIONS(1598),
    [anon_sym_number] = ACTIONS(1598),
    [anon_sym_boolean] = ACTIONS(1598),
    [anon_sym_string] = ACTIONS(1598),
    [anon_sym_symbol] = ACTIONS(1598),
    [anon_sym_object] = ACTIONS(1598),
    [sym_html_comment] = ACTIONS(5),
  },
  [778] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3300),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(778),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [779] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3299),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(779),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [780] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3343),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(780),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [781] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3299),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(781),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(2531),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [782] = {
    [sym_import] = STATE(4293),
    [sym_parenthesized_expression] = STATE(2140),
    [sym_expression] = STATE(2646),
    [sym_primary_expression] = STATE(2980),
    [sym_yield_expression] = STATE(3067),
    [sym_object] = STATE(3051),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(3051),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(3067),
    [sym_glimmer_opening_tag] = STATE(5686),
    [sym_jsx_element] = STATE(3067),
    [sym_jsx_opening_element] = STATE(4024),
    [sym_jsx_self_closing_element] = STATE(3067),
    [sym_class] = STATE(3051),
    [sym_function_expression] = STATE(3051),
    [sym_generator_function] = STATE(3051),
    [sym_arrow_function] = STATE(3051),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(3051),
    [sym_new_expression] = STATE(3067),
    [sym_await_expression] = STATE(3067),
    [sym_member_expression] = STATE(2140),
    [sym_subscript_expression] = STATE(2140),
    [sym_assignment_expression] = STATE(3067),
    [sym__augmented_assignment_lhs] = STATE(3887),
    [sym_augmented_assignment_expression] = STATE(3067),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(3067),
    [sym_binary_expression] = STATE(3067),
    [sym_unary_expression] = STATE(3067),
    [sym_update_expression] = STATE(3067),
    [sym_string] = STATE(3051),
    [sym_comment] = STATE(782),
    [sym_template_string] = STATE(3051),
    [sym_regex] = STATE(3051),
    [sym_meta_property] = STATE(3051),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2140),
    [sym_as_expression] = STATE(3067),
    [sym_satisfies_expression] = STATE(3067),
    [sym_instantiation_expression] = STATE(3067),
    [sym_internal_module] = STATE(3067),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5657),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_type] = ACTIONS(1386),
    [anon_sym_namespace] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_async] = ACTIONS(1398),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1740),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_readonly] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [anon_sym_declare] = ACTIONS(1386),
    [anon_sym_public] = ACTIONS(1386),
    [anon_sym_private] = ACTIONS(1386),
    [anon_sym_protected] = ACTIONS(1386),
    [anon_sym_override] = ACTIONS(1386),
    [anon_sym_module] = ACTIONS(1386),
    [anon_sym_any] = ACTIONS(1386),
    [anon_sym_number] = ACTIONS(1386),
    [anon_sym_boolean] = ACTIONS(1386),
    [anon_sym_string] = ACTIONS(1386),
    [anon_sym_symbol] = ACTIONS(1386),
    [anon_sym_object] = ACTIONS(1386),
    [sym_html_comment] = ACTIONS(5),
  },
  [783] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3345),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(783),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [784] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3304),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(784),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [785] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3335),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(785),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [786] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3350),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(786),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [787] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3373),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(787),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [788] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3370),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(788),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [789] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2193),
    [sym_expression] = STATE(2838),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7078),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2193),
    [sym_subscript_expression] = STATE(2193),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3815),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7334),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(789),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2193),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1750),
    [anon_sym_export] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(1494),
    [anon_sym_namespace] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(1504),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1508),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1754),
    [anon_sym_using] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_void] = ACTIONS(1502),
    [anon_sym_delete] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(1520),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1494),
    [anon_sym_readonly] = ACTIONS(1494),
    [anon_sym_get] = ACTIONS(1494),
    [anon_sym_set] = ACTIONS(1494),
    [anon_sym_declare] = ACTIONS(1494),
    [anon_sym_public] = ACTIONS(1494),
    [anon_sym_private] = ACTIONS(1494),
    [anon_sym_protected] = ACTIONS(1494),
    [anon_sym_override] = ACTIONS(1494),
    [anon_sym_module] = ACTIONS(1494),
    [anon_sym_any] = ACTIONS(1494),
    [anon_sym_number] = ACTIONS(1494),
    [anon_sym_boolean] = ACTIONS(1494),
    [anon_sym_string] = ACTIONS(1494),
    [anon_sym_symbol] = ACTIONS(1494),
    [anon_sym_object] = ACTIONS(1494),
    [sym_html_comment] = ACTIONS(5),
  },
  [790] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3336),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(790),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [791] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3369),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(791),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [792] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3337),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(792),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [793] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3366),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(793),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [794] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3365),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(794),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [795] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3364),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(795),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [796] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3340),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(796),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [797] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3341),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(797),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [798] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2975),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(798),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [799] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2086),
    [sym_expression] = STATE(2974),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7080),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2086),
    [sym_subscript_expression] = STATE(2086),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3828),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7169),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(799),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2086),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_export] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1464),
    [anon_sym_namespace] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(970),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1474),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1730),
    [anon_sym_using] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_delete] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(994),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_readonly] = ACTIONS(1464),
    [anon_sym_get] = ACTIONS(1464),
    [anon_sym_set] = ACTIONS(1464),
    [anon_sym_declare] = ACTIONS(1464),
    [anon_sym_public] = ACTIONS(1464),
    [anon_sym_private] = ACTIONS(1464),
    [anon_sym_protected] = ACTIONS(1464),
    [anon_sym_override] = ACTIONS(1464),
    [anon_sym_module] = ACTIONS(1464),
    [anon_sym_any] = ACTIONS(1464),
    [anon_sym_number] = ACTIONS(1464),
    [anon_sym_boolean] = ACTIONS(1464),
    [anon_sym_string] = ACTIONS(1464),
    [anon_sym_symbol] = ACTIONS(1464),
    [anon_sym_object] = ACTIONS(1464),
    [sym_html_comment] = ACTIONS(5),
  },
  [800] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3354),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(800),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [801] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3363),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(801),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [802] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3355),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(802),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [803] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3361),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(803),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [804] = {
    [sym_import] = STATE(4284),
    [sym_parenthesized_expression] = STATE(2015),
    [sym_expression] = STATE(3362),
    [sym_primary_expression] = STATE(2348),
    [sym_yield_expression] = STATE(2636),
    [sym_object] = STATE(2647),
    [sym_object_pattern] = STATE(4292),
    [sym_array] = STATE(2647),
    [sym_array_pattern] = STATE(4292),
    [sym_glimmer_template] = STATE(2636),
    [sym_glimmer_opening_tag] = STATE(5651),
    [sym_jsx_element] = STATE(2636),
    [sym_jsx_opening_element] = STATE(4030),
    [sym_jsx_self_closing_element] = STATE(2636),
    [sym_class] = STATE(2647),
    [sym_function_expression] = STATE(2647),
    [sym_generator_function] = STATE(2647),
    [sym_arrow_function] = STATE(2647),
    [sym__call_signature] = STATE(7172),
    [sym_call_expression] = STATE(2647),
    [sym_new_expression] = STATE(2636),
    [sym_await_expression] = STATE(2636),
    [sym_member_expression] = STATE(2015),
    [sym_subscript_expression] = STATE(2015),
    [sym_assignment_expression] = STATE(2636),
    [sym__augmented_assignment_lhs] = STATE(3791),
    [sym_augmented_assignment_expression] = STATE(2636),
    [sym__destructuring_pattern] = STATE(7082),
    [sym_ternary_expression] = STATE(2636),
    [sym_binary_expression] = STATE(2636),
    [sym_unary_expression] = STATE(2636),
    [sym_update_expression] = STATE(2636),
    [sym_string] = STATE(2647),
    [sym_comment] = STATE(804),
    [sym_template_string] = STATE(2647),
    [sym_regex] = STATE(2647),
    [sym_meta_property] = STATE(2647),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4843),
    [sym_non_null_expression] = STATE(2015),
    [sym_as_expression] = STATE(2636),
    [sym_satisfies_expression] = STATE(2636),
    [sym_instantiation_expression] = STATE(2636),
    [sym_internal_module] = STATE(2636),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_export_statement_repeat1] = STATE(5597),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_export] = ACTIONS(1119),
    [anon_sym_type] = ACTIONS(1119),
    [anon_sym_namespace] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_typeof] = ACTIONS(170),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(170),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(137),
    [anon_sym_yield] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(143),
    [anon_sym_async] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(147),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_using] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(170),
    [anon_sym_SLASH] = ACTIONS(988),
    [anon_sym_LT] = ACTIONS(168),
    [anon_sym_TILDE] = ACTIONS(170),
    [anon_sym_void] = ACTIONS(170),
    [anon_sym_delete] = ACTIONS(170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(189),
    [sym_private_property_identifier] = ACTIONS(185),
    [sym_this] = ACTIONS(189),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_undefined] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1119),
    [anon_sym_get] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1119),
    [anon_sym_declare] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_override] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_any] = ACTIONS(1119),
    [anon_sym_number] = ACTIONS(1119),
    [anon_sym_boolean] = ACTIONS(1119),
    [anon_sym_string] = ACTIONS(1119),
    [anon_sym_symbol] = ACTIONS(1119),
    [anon_sym_object] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [805] = {
    [sym_namespace_export] = STATE(6813),
    [sym_export_clause] = STATE(5669),
    [sym_declaration] = STATE(1544),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_class_declaration] = STATE(1623),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_comment] = STATE(805),
    [sym_decorator] = STATE(5685),
    [sym_function_signature] = STATE(1623),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(1554),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(5034),
    [aux_sym_object_repeat1] = STATE(6170),
    [aux_sym_object_pattern_repeat1] = STATE(6263),
    [anon_sym_STAR] = ACTIONS(2653),
    [anon_sym_default] = ACTIONS(2655),
    [anon_sym_type] = ACTIONS(2657),
    [anon_sym_EQ] = ACTIONS(2659),
    [anon_sym_as] = ACTIONS(2661),
    [anon_sym_namespace] = ACTIONS(2663),
    [anon_sym_LBRACE] = ACTIONS(2665),
    [anon_sym_COMMA] = ACTIONS(211),
    [anon_sym_RBRACE] = ACTIONS(2667),
    [anon_sym_import] = ACTIONS(2669),
    [anon_sym_var] = ACTIONS(2671),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2675),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2677),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(211),
    [anon_sym_COLON] = ACTIONS(2680),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(211),
    [anon_sym_class] = ACTIONS(2683),
    [anon_sym_async] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(211),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(211),
    [anon_sym_PLUS_PLUS] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(211),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_QMARK] = ACTIONS(1035),
    [anon_sym_declare] = ACTIONS(2700),
    [anon_sym_module] = ACTIONS(2702),
    [anon_sym_abstract] = ACTIONS(2704),
    [anon_sym_satisfies] = ACTIONS(211),
    [anon_sym_interface] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2708),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [806] = {
    [sym_namespace_export] = STATE(6813),
    [sym_export_clause] = STATE(5669),
    [sym_declaration] = STATE(1544),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_class_declaration] = STATE(1623),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_comment] = STATE(806),
    [sym_decorator] = STATE(5685),
    [sym_function_signature] = STATE(1623),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(1554),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(5034),
    [aux_sym_object_repeat1] = STATE(6262),
    [aux_sym_object_pattern_repeat1] = STATE(6263),
    [anon_sym_STAR] = ACTIONS(2653),
    [anon_sym_default] = ACTIONS(2655),
    [anon_sym_type] = ACTIONS(2657),
    [anon_sym_EQ] = ACTIONS(2659),
    [anon_sym_as] = ACTIONS(2661),
    [anon_sym_namespace] = ACTIONS(2663),
    [anon_sym_LBRACE] = ACTIONS(2665),
    [anon_sym_COMMA] = ACTIONS(211),
    [anon_sym_RBRACE] = ACTIONS(2710),
    [anon_sym_import] = ACTIONS(2669),
    [anon_sym_var] = ACTIONS(2671),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2675),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2677),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(211),
    [anon_sym_COLON] = ACTIONS(2680),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(211),
    [anon_sym_class] = ACTIONS(2683),
    [anon_sym_async] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(211),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(211),
    [anon_sym_PLUS_PLUS] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(211),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_QMARK] = ACTIONS(1035),
    [anon_sym_declare] = ACTIONS(2700),
    [anon_sym_module] = ACTIONS(2702),
    [anon_sym_abstract] = ACTIONS(2704),
    [anon_sym_satisfies] = ACTIONS(211),
    [anon_sym_interface] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2708),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [807] = {
    [sym_namespace_export] = STATE(6813),
    [sym_export_clause] = STATE(5669),
    [sym_declaration] = STATE(1544),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_class_declaration] = STATE(1623),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_comment] = STATE(807),
    [sym_decorator] = STATE(5685),
    [sym_function_signature] = STATE(1623),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(1554),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(5034),
    [aux_sym_object_repeat1] = STATE(6170),
    [aux_sym_object_pattern_repeat1] = STATE(6263),
    [anon_sym_STAR] = ACTIONS(2653),
    [anon_sym_default] = ACTIONS(2655),
    [anon_sym_type] = ACTIONS(2657),
    [anon_sym_EQ] = ACTIONS(2659),
    [anon_sym_as] = ACTIONS(2661),
    [anon_sym_namespace] = ACTIONS(2663),
    [anon_sym_LBRACE] = ACTIONS(2665),
    [anon_sym_COMMA] = ACTIONS(211),
    [anon_sym_RBRACE] = ACTIONS(2712),
    [anon_sym_import] = ACTIONS(2669),
    [anon_sym_var] = ACTIONS(2671),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2675),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2677),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(211),
    [anon_sym_COLON] = ACTIONS(2680),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(211),
    [anon_sym_class] = ACTIONS(2683),
    [anon_sym_async] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(211),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(211),
    [anon_sym_PLUS_PLUS] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(211),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_QMARK] = ACTIONS(1035),
    [anon_sym_declare] = ACTIONS(2700),
    [anon_sym_module] = ACTIONS(2702),
    [anon_sym_abstract] = ACTIONS(2704),
    [anon_sym_satisfies] = ACTIONS(211),
    [anon_sym_interface] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2708),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [808] = {
    [sym__call_signature] = STATE(7190),
    [sym_string] = STATE(4652),
    [sym_comment] = STATE(808),
    [sym_formal_parameters] = STATE(4843),
    [sym__property_name] = STATE(4787),
    [sym_computed_property_name] = STATE(4652),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_object_repeat1] = STATE(6262),
    [aux_sym_object_pattern_repeat1] = STATE(6263),
    [sym_identifier] = ACTIONS(2714),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_type] = ACTIONS(2716),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2716),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1014),
    [anon_sym_let] = ACTIONS(2716),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1016),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2716),
    [anon_sym_function] = ACTIONS(2728),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2716),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2730),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2734),
    [sym_private_property_identifier] = ACTIONS(2734),
    [anon_sym_static] = ACTIONS(2716),
    [anon_sym_readonly] = ACTIONS(2716),
    [anon_sym_get] = ACTIONS(2736),
    [anon_sym_set] = ACTIONS(2736),
    [anon_sym_QMARK] = ACTIONS(1035),
    [anon_sym_declare] = ACTIONS(2716),
    [anon_sym_public] = ACTIONS(2716),
    [anon_sym_private] = ACTIONS(2716),
    [anon_sym_protected] = ACTIONS(2716),
    [anon_sym_override] = ACTIONS(2716),
    [anon_sym_module] = ACTIONS(2716),
    [anon_sym_any] = ACTIONS(2716),
    [anon_sym_number] = ACTIONS(2716),
    [anon_sym_boolean] = ACTIONS(2716),
    [anon_sym_string] = ACTIONS(2716),
    [anon_sym_symbol] = ACTIONS(2716),
    [anon_sym_object] = ACTIONS(2716),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [809] = {
    [sym__call_signature] = STATE(7190),
    [sym_string] = STATE(4652),
    [sym_comment] = STATE(809),
    [sym_formal_parameters] = STATE(4843),
    [sym__property_name] = STATE(4787),
    [sym_computed_property_name] = STATE(4652),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_object_repeat1] = STATE(6170),
    [aux_sym_object_pattern_repeat1] = STATE(6263),
    [sym_identifier] = ACTIONS(2714),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_type] = ACTIONS(2716),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2716),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1045),
    [anon_sym_let] = ACTIONS(2716),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1016),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2716),
    [anon_sym_function] = ACTIONS(2728),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2716),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2730),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2734),
    [sym_private_property_identifier] = ACTIONS(2734),
    [anon_sym_static] = ACTIONS(2716),
    [anon_sym_readonly] = ACTIONS(2716),
    [anon_sym_get] = ACTIONS(2736),
    [anon_sym_set] = ACTIONS(2736),
    [anon_sym_QMARK] = ACTIONS(1035),
    [anon_sym_declare] = ACTIONS(2716),
    [anon_sym_public] = ACTIONS(2716),
    [anon_sym_private] = ACTIONS(2716),
    [anon_sym_protected] = ACTIONS(2716),
    [anon_sym_override] = ACTIONS(2716),
    [anon_sym_module] = ACTIONS(2716),
    [anon_sym_any] = ACTIONS(2716),
    [anon_sym_number] = ACTIONS(2716),
    [anon_sym_boolean] = ACTIONS(2716),
    [anon_sym_string] = ACTIONS(2716),
    [anon_sym_symbol] = ACTIONS(2716),
    [anon_sym_object] = ACTIONS(2716),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [810] = {
    [sym__call_signature] = STATE(7190),
    [sym_string] = STATE(4652),
    [sym_comment] = STATE(810),
    [sym_formal_parameters] = STATE(4843),
    [sym__property_name] = STATE(4787),
    [sym_computed_property_name] = STATE(4652),
    [sym_type_parameters] = STATE(6637),
    [aux_sym_object_repeat1] = STATE(6170),
    [aux_sym_object_pattern_repeat1] = STATE(6263),
    [sym_identifier] = ACTIONS(2714),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_type] = ACTIONS(2716),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2716),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1055),
    [anon_sym_let] = ACTIONS(2716),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1016),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2716),
    [anon_sym_function] = ACTIONS(2728),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2716),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2730),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2734),
    [sym_private_property_identifier] = ACTIONS(2734),
    [anon_sym_static] = ACTIONS(2716),
    [anon_sym_readonly] = ACTIONS(2716),
    [anon_sym_get] = ACTIONS(2736),
    [anon_sym_set] = ACTIONS(2736),
    [anon_sym_QMARK] = ACTIONS(1035),
    [anon_sym_declare] = ACTIONS(2716),
    [anon_sym_public] = ACTIONS(2716),
    [anon_sym_private] = ACTIONS(2716),
    [anon_sym_protected] = ACTIONS(2716),
    [anon_sym_override] = ACTIONS(2716),
    [anon_sym_module] = ACTIONS(2716),
    [anon_sym_any] = ACTIONS(2716),
    [anon_sym_number] = ACTIONS(2716),
    [anon_sym_boolean] = ACTIONS(2716),
    [anon_sym_string] = ACTIONS(2716),
    [anon_sym_symbol] = ACTIONS(2716),
    [anon_sym_object] = ACTIONS(2716),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [811] = {
    [sym_declaration] = STATE(1619),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_class_declaration] = STATE(1623),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_comment] = STATE(811),
    [sym_decorator] = STATE(5685),
    [sym_function_signature] = STATE(1623),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(1554),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(5034),
    [aux_sym_object_repeat1] = STATE(6262),
    [aux_sym_object_pattern_repeat1] = STATE(6263),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2738),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2663),
    [anon_sym_COMMA] = ACTIONS(211),
    [anon_sym_RBRACE] = ACTIONS(2710),
    [anon_sym_import] = ACTIONS(2669),
    [anon_sym_var] = ACTIONS(2671),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2675),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2677),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(211),
    [anon_sym_COLON] = ACTIONS(2680),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(211),
    [anon_sym_class] = ACTIONS(2683),
    [anon_sym_async] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(211),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(211),
    [anon_sym_PLUS_PLUS] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(211),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_QMARK] = ACTIONS(1035),
    [anon_sym_declare] = ACTIONS(2700),
    [anon_sym_module] = ACTIONS(2740),
    [anon_sym_abstract] = ACTIONS(2704),
    [anon_sym_satisfies] = ACTIONS(211),
    [anon_sym_global] = ACTIONS(2742),
    [anon_sym_interface] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2708),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [812] = {
    [sym_declaration] = STATE(1619),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_class_declaration] = STATE(1623),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_comment] = STATE(812),
    [sym_decorator] = STATE(5685),
    [sym_function_signature] = STATE(1623),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(1554),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(5034),
    [aux_sym_object_repeat1] = STATE(6170),
    [aux_sym_object_pattern_repeat1] = STATE(6263),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2738),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2663),
    [anon_sym_COMMA] = ACTIONS(211),
    [anon_sym_RBRACE] = ACTIONS(2667),
    [anon_sym_import] = ACTIONS(2669),
    [anon_sym_var] = ACTIONS(2671),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2675),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2677),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(211),
    [anon_sym_COLON] = ACTIONS(2680),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(211),
    [anon_sym_class] = ACTIONS(2683),
    [anon_sym_async] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(211),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(211),
    [anon_sym_PLUS_PLUS] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(211),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_QMARK] = ACTIONS(1035),
    [anon_sym_declare] = ACTIONS(2700),
    [anon_sym_module] = ACTIONS(2740),
    [anon_sym_abstract] = ACTIONS(2704),
    [anon_sym_satisfies] = ACTIONS(211),
    [anon_sym_global] = ACTIONS(2742),
    [anon_sym_interface] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2708),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [813] = {
    [sym_declaration] = STATE(1619),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_class_declaration] = STATE(1623),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_comment] = STATE(813),
    [sym_decorator] = STATE(5685),
    [sym_function_signature] = STATE(1623),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(1554),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(5034),
    [aux_sym_object_repeat1] = STATE(6170),
    [aux_sym_object_pattern_repeat1] = STATE(6263),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2738),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2663),
    [anon_sym_COMMA] = ACTIONS(211),
    [anon_sym_RBRACE] = ACTIONS(2712),
    [anon_sym_import] = ACTIONS(2669),
    [anon_sym_var] = ACTIONS(2671),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2675),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2677),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(211),
    [anon_sym_COLON] = ACTIONS(2680),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(211),
    [anon_sym_class] = ACTIONS(2683),
    [anon_sym_async] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(211),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(211),
    [anon_sym_PLUS_PLUS] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(211),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_QMARK] = ACTIONS(1035),
    [anon_sym_declare] = ACTIONS(2700),
    [anon_sym_module] = ACTIONS(2740),
    [anon_sym_abstract] = ACTIONS(2704),
    [anon_sym_satisfies] = ACTIONS(211),
    [anon_sym_global] = ACTIONS(2742),
    [anon_sym_interface] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2708),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [814] = {
    [sym_namespace_export] = STATE(6851),
    [sym_export_clause] = STATE(5517),
    [sym_declaration] = STATE(1001),
    [sym_variable_declaration] = STATE(1003),
    [sym_lexical_declaration] = STATE(1003),
    [sym_class_declaration] = STATE(1003),
    [sym_function_declaration] = STATE(1003),
    [sym_generator_function_declaration] = STATE(1003),
    [sym_comment] = STATE(814),
    [sym_decorator] = STATE(5685),
    [sym_function_signature] = STATE(1003),
    [sym_ambient_declaration] = STATE(1003),
    [sym_abstract_class_declaration] = STATE(1003),
    [sym_module] = STATE(1003),
    [sym_internal_module] = STATE(1000),
    [sym_import_alias] = STATE(1003),
    [sym_interface_declaration] = STATE(1003),
    [sym_enum_declaration] = STATE(1003),
    [sym_type_alias_declaration] = STATE(1003),
    [aux_sym_export_statement_repeat1] = STATE(4923),
    [anon_sym_STAR] = ACTIONS(2744),
    [anon_sym_default] = ACTIONS(2746),
    [anon_sym_type] = ACTIONS(2748),
    [anon_sym_EQ] = ACTIONS(2750),
    [anon_sym_as] = ACTIONS(2752),
    [anon_sym_namespace] = ACTIONS(2754),
    [anon_sym_LBRACE] = ACTIONS(2665),
    [anon_sym_COMMA] = ACTIONS(211),
    [anon_sym_import] = ACTIONS(2756),
    [anon_sym_var] = ACTIONS(2758),
    [anon_sym_let] = ACTIONS(2760),
    [anon_sym_const] = ACTIONS(2762),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(211),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(211),
    [anon_sym_COLON] = ACTIONS(2764),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(211),
    [anon_sym_class] = ACTIONS(2766),
    [anon_sym_async] = ACTIONS(2768),
    [anon_sym_function] = ACTIONS(2770),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(211),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(211),
    [anon_sym_PLUS_PLUS] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(211),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2772),
    [anon_sym_module] = ACTIONS(2774),
    [anon_sym_abstract] = ACTIONS(2776),
    [anon_sym_satisfies] = ACTIONS(211),
    [anon_sym_interface] = ACTIONS(2778),
    [anon_sym_enum] = ACTIONS(2780),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [815] = {
    [sym_namespace_export] = STATE(6745),
    [sym_export_clause] = STATE(5646),
    [sym_declaration] = STATE(6673),
    [sym_variable_declaration] = STATE(6698),
    [sym_lexical_declaration] = STATE(6698),
    [sym_class_declaration] = STATE(6698),
    [sym_function_declaration] = STATE(6698),
    [sym_generator_function_declaration] = STATE(6698),
    [sym_comment] = STATE(815),
    [sym_decorator] = STATE(5685),
    [sym_function_signature] = STATE(6698),
    [sym_ambient_declaration] = STATE(6698),
    [sym_abstract_class_declaration] = STATE(6698),
    [sym_module] = STATE(6698),
    [sym_internal_module] = STATE(6655),
    [sym_import_alias] = STATE(6698),
    [sym_interface_declaration] = STATE(6698),
    [sym_enum_declaration] = STATE(6698),
    [sym_type_alias_declaration] = STATE(6698),
    [aux_sym_export_statement_repeat1] = STATE(5030),
    [anon_sym_STAR] = ACTIONS(2782),
    [anon_sym_default] = ACTIONS(2784),
    [anon_sym_type] = ACTIONS(2786),
    [anon_sym_EQ] = ACTIONS(2788),
    [anon_sym_as] = ACTIONS(2790),
    [anon_sym_namespace] = ACTIONS(2792),
    [anon_sym_LBRACE] = ACTIONS(2665),
    [anon_sym_COMMA] = ACTIONS(211),
    [anon_sym_import] = ACTIONS(2794),
    [anon_sym_var] = ACTIONS(2796),
    [anon_sym_let] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2800),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(211),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(211),
    [anon_sym_COLON] = ACTIONS(2802),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(211),
    [anon_sym_class] = ACTIONS(2804),
    [anon_sym_async] = ACTIONS(2806),
    [anon_sym_function] = ACTIONS(2808),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(211),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(211),
    [anon_sym_PLUS_PLUS] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(211),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2810),
    [anon_sym_module] = ACTIONS(2812),
    [anon_sym_abstract] = ACTIONS(2814),
    [anon_sym_satisfies] = ACTIONS(211),
    [anon_sym_interface] = ACTIONS(2816),
    [anon_sym_enum] = ACTIONS(2818),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [816] = {
    [sym_namespace_export] = STATE(6813),
    [sym_export_clause] = STATE(5669),
    [sym_declaration] = STATE(1544),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_class_declaration] = STATE(1623),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_comment] = STATE(816),
    [sym_decorator] = STATE(5685),
    [sym_function_signature] = STATE(1623),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(1554),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(5034),
    [anon_sym_STAR] = ACTIONS(2653),
    [anon_sym_default] = ACTIONS(2655),
    [anon_sym_type] = ACTIONS(2657),
    [anon_sym_EQ] = ACTIONS(2820),
    [anon_sym_as] = ACTIONS(2661),
    [anon_sym_namespace] = ACTIONS(2663),
    [anon_sym_LBRACE] = ACTIONS(2665),
    [anon_sym_COMMA] = ACTIONS(211),
    [anon_sym_import] = ACTIONS(2669),
    [anon_sym_var] = ACTIONS(2671),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2675),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(211),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(211),
    [anon_sym_COLON] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(211),
    [anon_sym_class] = ACTIONS(2683),
    [anon_sym_async] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(211),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(211),
    [anon_sym_PLUS_PLUS] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(211),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2700),
    [anon_sym_module] = ACTIONS(2702),
    [anon_sym_abstract] = ACTIONS(2704),
    [anon_sym_satisfies] = ACTIONS(211),
    [anon_sym_interface] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2708),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [817] = {
    [sym_namespace_export] = STATE(6927),
    [sym_export_clause] = STATE(5546),
    [sym_declaration] = STATE(1239),
    [sym_variable_declaration] = STATE(1244),
    [sym_lexical_declaration] = STATE(1244),
    [sym_class_declaration] = STATE(1244),
    [sym_function_declaration] = STATE(1244),
    [sym_generator_function_declaration] = STATE(1244),
    [sym_comment] = STATE(817),
    [sym_decorator] = STATE(5685),
    [sym_function_signature] = STATE(1244),
    [sym_ambient_declaration] = STATE(1244),
    [sym_abstract_class_declaration] = STATE(1244),
    [sym_module] = STATE(1244),
    [sym_internal_module] = STATE(1238),
    [sym_import_alias] = STATE(1244),
    [sym_interface_declaration] = STATE(1244),
    [sym_enum_declaration] = STATE(1244),
    [sym_type_alias_declaration] = STATE(1244),
    [aux_sym_export_statement_repeat1] = STATE(4929),
    [anon_sym_STAR] = ACTIONS(2824),
    [anon_sym_default] = ACTIONS(2826),
    [anon_sym_type] = ACTIONS(2828),
    [anon_sym_EQ] = ACTIONS(2830),
    [anon_sym_as] = ACTIONS(2832),
    [anon_sym_namespace] = ACTIONS(2834),
    [anon_sym_LBRACE] = ACTIONS(2665),
    [anon_sym_COMMA] = ACTIONS(211),
    [anon_sym_import] = ACTIONS(2836),
    [anon_sym_var] = ACTIONS(2838),
    [anon_sym_let] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(2842),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(211),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(211),
    [anon_sym_COLON] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(211),
    [anon_sym_class] = ACTIONS(2846),
    [anon_sym_async] = ACTIONS(2848),
    [anon_sym_function] = ACTIONS(2850),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(211),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(211),
    [anon_sym_PLUS_PLUS] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(211),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2852),
    [anon_sym_module] = ACTIONS(2854),
    [anon_sym_abstract] = ACTIONS(2856),
    [anon_sym_satisfies] = ACTIONS(211),
    [anon_sym_interface] = ACTIONS(2858),
    [anon_sym_enum] = ACTIONS(2860),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [818] = {
    [sym_namespace_export] = STATE(6986),
    [sym_export_clause] = STATE(5652),
    [sym_declaration] = STATE(1211),
    [sym_variable_declaration] = STATE(1206),
    [sym_lexical_declaration] = STATE(1206),
    [sym_class_declaration] = STATE(1206),
    [sym_function_declaration] = STATE(1206),
    [sym_generator_function_declaration] = STATE(1206),
    [sym_comment] = STATE(818),
    [sym_decorator] = STATE(5685),
    [sym_function_signature] = STATE(1206),
    [sym_ambient_declaration] = STATE(1206),
    [sym_abstract_class_declaration] = STATE(1206),
    [sym_module] = STATE(1206),
    [sym_internal_module] = STATE(1213),
    [sym_import_alias] = STATE(1206),
    [sym_interface_declaration] = STATE(1206),
    [sym_enum_declaration] = STATE(1206),
    [sym_type_alias_declaration] = STATE(1206),
    [aux_sym_export_statement_repeat1] = STATE(4950),
    [anon_sym_STAR] = ACTIONS(2862),
    [anon_sym_default] = ACTIONS(2864),
    [anon_sym_type] = ACTIONS(2866),
    [anon_sym_EQ] = ACTIONS(2868),
    [anon_sym_as] = ACTIONS(2870),
    [anon_sym_namespace] = ACTIONS(2872),
    [anon_sym_LBRACE] = ACTIONS(2665),
    [anon_sym_COMMA] = ACTIONS(211),
    [anon_sym_import] = ACTIONS(2874),
    [anon_sym_var] = ACTIONS(2876),
    [anon_sym_let] = ACTIONS(2878),
    [anon_sym_const] = ACTIONS(2880),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(211),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(211),
    [anon_sym_COLON] = ACTIONS(2882),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(211),
    [anon_sym_class] = ACTIONS(2884),
    [anon_sym_async] = ACTIONS(2886),
    [anon_sym_function] = ACTIONS(2888),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(211),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(211),
    [anon_sym_PLUS_PLUS] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(211),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2890),
    [anon_sym_module] = ACTIONS(2892),
    [anon_sym_abstract] = ACTIONS(2894),
    [anon_sym_satisfies] = ACTIONS(211),
    [anon_sym_interface] = ACTIONS(2896),
    [anon_sym_enum] = ACTIONS(2898),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [819] = {
    [sym_string] = STATE(4652),
    [sym_comment] = STATE(819),
    [sym__property_name] = STATE(4787),
    [sym_computed_property_name] = STATE(4652),
    [sym_override_modifier] = STATE(3628),
    [aux_sym_object_repeat1] = STATE(6262),
    [aux_sym_object_pattern_repeat1] = STATE(6263),
    [sym_identifier] = ACTIONS(2900),
    [anon_sym_export] = ACTIONS(2900),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_type] = ACTIONS(2900),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1014),
    [anon_sym_let] = ACTIONS(2900),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1016),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2902),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2734),
    [sym_private_property_identifier] = ACTIONS(2734),
    [anon_sym_static] = ACTIONS(2900),
    [anon_sym_readonly] = ACTIONS(2904),
    [anon_sym_get] = ACTIONS(2906),
    [anon_sym_set] = ACTIONS(2906),
    [anon_sym_QMARK] = ACTIONS(1035),
    [anon_sym_declare] = ACTIONS(2900),
    [anon_sym_public] = ACTIONS(2900),
    [anon_sym_private] = ACTIONS(2900),
    [anon_sym_protected] = ACTIONS(2900),
    [anon_sym_override] = ACTIONS(2908),
    [anon_sym_module] = ACTIONS(2900),
    [anon_sym_any] = ACTIONS(2900),
    [anon_sym_number] = ACTIONS(2900),
    [anon_sym_boolean] = ACTIONS(2900),
    [anon_sym_string] = ACTIONS(2900),
    [anon_sym_symbol] = ACTIONS(2900),
    [anon_sym_object] = ACTIONS(2900),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [820] = {
    [sym_string] = STATE(4652),
    [sym_comment] = STATE(820),
    [sym__property_name] = STATE(4787),
    [sym_computed_property_name] = STATE(4652),
    [sym_override_modifier] = STATE(3628),
    [aux_sym_object_repeat1] = STATE(6170),
    [aux_sym_object_pattern_repeat1] = STATE(6263),
    [sym_identifier] = ACTIONS(2900),
    [anon_sym_export] = ACTIONS(2900),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_type] = ACTIONS(2900),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1055),
    [anon_sym_let] = ACTIONS(2900),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1016),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2902),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2734),
    [sym_private_property_identifier] = ACTIONS(2734),
    [anon_sym_static] = ACTIONS(2900),
    [anon_sym_readonly] = ACTIONS(2904),
    [anon_sym_get] = ACTIONS(2906),
    [anon_sym_set] = ACTIONS(2906),
    [anon_sym_QMARK] = ACTIONS(1035),
    [anon_sym_declare] = ACTIONS(2900),
    [anon_sym_public] = ACTIONS(2900),
    [anon_sym_private] = ACTIONS(2900),
    [anon_sym_protected] = ACTIONS(2900),
    [anon_sym_override] = ACTIONS(2908),
    [anon_sym_module] = ACTIONS(2900),
    [anon_sym_any] = ACTIONS(2900),
    [anon_sym_number] = ACTIONS(2900),
    [anon_sym_boolean] = ACTIONS(2900),
    [anon_sym_string] = ACTIONS(2900),
    [anon_sym_symbol] = ACTIONS(2900),
    [anon_sym_object] = ACTIONS(2900),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [821] = {
    [sym_string] = STATE(4652),
    [sym_comment] = STATE(821),
    [sym__property_name] = STATE(4787),
    [sym_computed_property_name] = STATE(4652),
    [sym_override_modifier] = STATE(3628),
    [aux_sym_object_repeat1] = STATE(6170),
    [aux_sym_object_pattern_repeat1] = STATE(6263),
    [sym_identifier] = ACTIONS(2900),
    [anon_sym_export] = ACTIONS(2900),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_type] = ACTIONS(2900),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1045),
    [anon_sym_let] = ACTIONS(2900),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1016),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2902),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2734),
    [sym_private_property_identifier] = ACTIONS(2734),
    [anon_sym_static] = ACTIONS(2900),
    [anon_sym_readonly] = ACTIONS(2904),
    [anon_sym_get] = ACTIONS(2906),
    [anon_sym_set] = ACTIONS(2906),
    [anon_sym_QMARK] = ACTIONS(1035),
    [anon_sym_declare] = ACTIONS(2900),
    [anon_sym_public] = ACTIONS(2900),
    [anon_sym_private] = ACTIONS(2900),
    [anon_sym_protected] = ACTIONS(2900),
    [anon_sym_override] = ACTIONS(2908),
    [anon_sym_module] = ACTIONS(2900),
    [anon_sym_any] = ACTIONS(2900),
    [anon_sym_number] = ACTIONS(2900),
    [anon_sym_boolean] = ACTIONS(2900),
    [anon_sym_string] = ACTIONS(2900),
    [anon_sym_symbol] = ACTIONS(2900),
    [anon_sym_object] = ACTIONS(2900),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [822] = {
    [sym_string] = STATE(4652),
    [sym_comment] = STATE(822),
    [sym__property_name] = STATE(4787),
    [sym_computed_property_name] = STATE(4652),
    [aux_sym_object_repeat1] = STATE(6170),
    [aux_sym_object_pattern_repeat1] = STATE(6263),
    [sym_identifier] = ACTIONS(2900),
    [anon_sym_export] = ACTIONS(2900),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_type] = ACTIONS(2900),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1055),
    [anon_sym_let] = ACTIONS(2900),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1016),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2902),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2734),
    [sym_private_property_identifier] = ACTIONS(2734),
    [anon_sym_static] = ACTIONS(2900),
    [anon_sym_readonly] = ACTIONS(2900),
    [anon_sym_get] = ACTIONS(2906),
    [anon_sym_set] = ACTIONS(2906),
    [anon_sym_QMARK] = ACTIONS(1035),
    [anon_sym_declare] = ACTIONS(2900),
    [anon_sym_public] = ACTIONS(2900),
    [anon_sym_private] = ACTIONS(2900),
    [anon_sym_protected] = ACTIONS(2900),
    [anon_sym_override] = ACTIONS(2900),
    [anon_sym_module] = ACTIONS(2900),
    [anon_sym_any] = ACTIONS(2900),
    [anon_sym_number] = ACTIONS(2900),
    [anon_sym_boolean] = ACTIONS(2900),
    [anon_sym_string] = ACTIONS(2900),
    [anon_sym_symbol] = ACTIONS(2900),
    [anon_sym_object] = ACTIONS(2900),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [823] = {
    [sym_string] = STATE(4652),
    [sym_comment] = STATE(823),
    [sym__property_name] = STATE(4787),
    [sym_computed_property_name] = STATE(4652),
    [aux_sym_object_repeat1] = STATE(6170),
    [aux_sym_object_pattern_repeat1] = STATE(6263),
    [sym_identifier] = ACTIONS(2900),
    [anon_sym_export] = ACTIONS(2900),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_type] = ACTIONS(2900),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1045),
    [anon_sym_let] = ACTIONS(2900),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1016),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2902),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2734),
    [sym_private_property_identifier] = ACTIONS(2734),
    [anon_sym_static] = ACTIONS(2900),
    [anon_sym_readonly] = ACTIONS(2900),
    [anon_sym_get] = ACTIONS(2906),
    [anon_sym_set] = ACTIONS(2906),
    [anon_sym_QMARK] = ACTIONS(1035),
    [anon_sym_declare] = ACTIONS(2900),
    [anon_sym_public] = ACTIONS(2900),
    [anon_sym_private] = ACTIONS(2900),
    [anon_sym_protected] = ACTIONS(2900),
    [anon_sym_override] = ACTIONS(2900),
    [anon_sym_module] = ACTIONS(2900),
    [anon_sym_any] = ACTIONS(2900),
    [anon_sym_number] = ACTIONS(2900),
    [anon_sym_boolean] = ACTIONS(2900),
    [anon_sym_string] = ACTIONS(2900),
    [anon_sym_symbol] = ACTIONS(2900),
    [anon_sym_object] = ACTIONS(2900),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [824] = {
    [sym_string] = STATE(4652),
    [sym_comment] = STATE(824),
    [sym__property_name] = STATE(4787),
    [sym_computed_property_name] = STATE(4652),
    [aux_sym_object_repeat1] = STATE(6262),
    [aux_sym_object_pattern_repeat1] = STATE(6263),
    [sym_identifier] = ACTIONS(2900),
    [anon_sym_export] = ACTIONS(2900),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2900),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1014),
    [anon_sym_let] = ACTIONS(2900),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1016),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2900),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2734),
    [sym_private_property_identifier] = ACTIONS(2734),
    [anon_sym_static] = ACTIONS(2900),
    [anon_sym_readonly] = ACTIONS(2900),
    [anon_sym_get] = ACTIONS(2900),
    [anon_sym_set] = ACTIONS(2900),
    [anon_sym_QMARK] = ACTIONS(1035),
    [anon_sym_declare] = ACTIONS(2900),
    [anon_sym_public] = ACTIONS(2900),
    [anon_sym_private] = ACTIONS(2900),
    [anon_sym_protected] = ACTIONS(2900),
    [anon_sym_override] = ACTIONS(2900),
    [anon_sym_module] = ACTIONS(2900),
    [anon_sym_any] = ACTIONS(2900),
    [anon_sym_number] = ACTIONS(2900),
    [anon_sym_boolean] = ACTIONS(2900),
    [anon_sym_string] = ACTIONS(2900),
    [anon_sym_symbol] = ACTIONS(2900),
    [anon_sym_object] = ACTIONS(2900),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [825] = {
    [sym_string] = STATE(4652),
    [sym_comment] = STATE(825),
    [sym__property_name] = STATE(4787),
    [sym_computed_property_name] = STATE(4652),
    [aux_sym_object_repeat1] = STATE(6170),
    [aux_sym_object_pattern_repeat1] = STATE(6263),
    [sym_identifier] = ACTIONS(2900),
    [anon_sym_export] = ACTIONS(2900),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2900),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1055),
    [anon_sym_let] = ACTIONS(2900),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1016),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2900),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2734),
    [sym_private_property_identifier] = ACTIONS(2734),
    [anon_sym_static] = ACTIONS(2900),
    [anon_sym_readonly] = ACTIONS(2900),
    [anon_sym_get] = ACTIONS(2900),
    [anon_sym_set] = ACTIONS(2900),
    [anon_sym_QMARK] = ACTIONS(1035),
    [anon_sym_declare] = ACTIONS(2900),
    [anon_sym_public] = ACTIONS(2900),
    [anon_sym_private] = ACTIONS(2900),
    [anon_sym_protected] = ACTIONS(2900),
    [anon_sym_override] = ACTIONS(2900),
    [anon_sym_module] = ACTIONS(2900),
    [anon_sym_any] = ACTIONS(2900),
    [anon_sym_number] = ACTIONS(2900),
    [anon_sym_boolean] = ACTIONS(2900),
    [anon_sym_string] = ACTIONS(2900),
    [anon_sym_symbol] = ACTIONS(2900),
    [anon_sym_object] = ACTIONS(2900),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [826] = {
    [sym_string] = STATE(4652),
    [sym_comment] = STATE(826),
    [sym__property_name] = STATE(4787),
    [sym_computed_property_name] = STATE(4652),
    [aux_sym_object_repeat1] = STATE(6170),
    [aux_sym_object_pattern_repeat1] = STATE(6263),
    [sym_identifier] = ACTIONS(2900),
    [anon_sym_export] = ACTIONS(2900),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2900),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1045),
    [anon_sym_let] = ACTIONS(2900),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1016),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2900),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2734),
    [sym_private_property_identifier] = ACTIONS(2734),
    [anon_sym_static] = ACTIONS(2900),
    [anon_sym_readonly] = ACTIONS(2900),
    [anon_sym_get] = ACTIONS(2900),
    [anon_sym_set] = ACTIONS(2900),
    [anon_sym_QMARK] = ACTIONS(1035),
    [anon_sym_declare] = ACTIONS(2900),
    [anon_sym_public] = ACTIONS(2900),
    [anon_sym_private] = ACTIONS(2900),
    [anon_sym_protected] = ACTIONS(2900),
    [anon_sym_override] = ACTIONS(2900),
    [anon_sym_module] = ACTIONS(2900),
    [anon_sym_any] = ACTIONS(2900),
    [anon_sym_number] = ACTIONS(2900),
    [anon_sym_boolean] = ACTIONS(2900),
    [anon_sym_string] = ACTIONS(2900),
    [anon_sym_symbol] = ACTIONS(2900),
    [anon_sym_object] = ACTIONS(2900),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [827] = {
    [sym_string] = STATE(4652),
    [sym_comment] = STATE(827),
    [sym__property_name] = STATE(4787),
    [sym_computed_property_name] = STATE(4652),
    [aux_sym_object_repeat1] = STATE(6262),
    [aux_sym_object_pattern_repeat1] = STATE(6263),
    [sym_identifier] = ACTIONS(2900),
    [anon_sym_export] = ACTIONS(2900),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_type] = ACTIONS(2900),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2900),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1014),
    [anon_sym_let] = ACTIONS(2900),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1016),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2902),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2734),
    [sym_private_property_identifier] = ACTIONS(2734),
    [anon_sym_static] = ACTIONS(2900),
    [anon_sym_readonly] = ACTIONS(2900),
    [anon_sym_get] = ACTIONS(2906),
    [anon_sym_set] = ACTIONS(2906),
    [anon_sym_QMARK] = ACTIONS(1035),
    [anon_sym_declare] = ACTIONS(2900),
    [anon_sym_public] = ACTIONS(2900),
    [anon_sym_private] = ACTIONS(2900),
    [anon_sym_protected] = ACTIONS(2900),
    [anon_sym_override] = ACTIONS(2900),
    [anon_sym_module] = ACTIONS(2900),
    [anon_sym_any] = ACTIONS(2900),
    [anon_sym_number] = ACTIONS(2900),
    [anon_sym_boolean] = ACTIONS(2900),
    [anon_sym_string] = ACTIONS(2900),
    [anon_sym_symbol] = ACTIONS(2900),
    [anon_sym_object] = ACTIONS(2900),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [828] = {
    [sym_declaration] = STATE(993),
    [sym_variable_declaration] = STATE(1003),
    [sym_lexical_declaration] = STATE(1003),
    [sym_class_declaration] = STATE(1003),
    [sym_function_declaration] = STATE(1003),
    [sym_generator_function_declaration] = STATE(1003),
    [sym_comment] = STATE(828),
    [sym_decorator] = STATE(5685),
    [sym_function_signature] = STATE(1003),
    [sym_ambient_declaration] = STATE(1003),
    [sym_abstract_class_declaration] = STATE(1003),
    [sym_module] = STATE(1003),
    [sym_internal_module] = STATE(1000),
    [sym_import_alias] = STATE(1003),
    [sym_interface_declaration] = STATE(1003),
    [sym_enum_declaration] = STATE(1003),
    [sym_type_alias_declaration] = STATE(1003),
    [aux_sym_export_statement_repeat1] = STATE(4923),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2910),
    [anon_sym_EQ] = ACTIONS(1175),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2754),
    [anon_sym_COMMA] = ACTIONS(211),
    [anon_sym_import] = ACTIONS(2756),
    [anon_sym_var] = ACTIONS(2758),
    [anon_sym_let] = ACTIONS(2760),
    [anon_sym_const] = ACTIONS(2762),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(211),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(211),
    [anon_sym_COLON] = ACTIONS(2764),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(211),
    [anon_sym_class] = ACTIONS(2766),
    [anon_sym_async] = ACTIONS(2768),
    [anon_sym_function] = ACTIONS(2770),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(211),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(211),
    [anon_sym_PLUS_PLUS] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(211),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2772),
    [anon_sym_module] = ACTIONS(2912),
    [anon_sym_abstract] = ACTIONS(2776),
    [anon_sym_satisfies] = ACTIONS(211),
    [anon_sym_global] = ACTIONS(2914),
    [anon_sym_interface] = ACTIONS(2778),
    [anon_sym_enum] = ACTIONS(2780),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [829] = {
    [sym_declaration] = STATE(6597),
    [sym_variable_declaration] = STATE(6698),
    [sym_lexical_declaration] = STATE(6698),
    [sym_class_declaration] = STATE(6698),
    [sym_function_declaration] = STATE(6698),
    [sym_generator_function_declaration] = STATE(6698),
    [sym_comment] = STATE(829),
    [sym_decorator] = STATE(5685),
    [sym_function_signature] = STATE(6698),
    [sym_ambient_declaration] = STATE(6698),
    [sym_abstract_class_declaration] = STATE(6698),
    [sym_module] = STATE(6698),
    [sym_internal_module] = STATE(6655),
    [sym_import_alias] = STATE(6698),
    [sym_interface_declaration] = STATE(6698),
    [sym_enum_declaration] = STATE(6698),
    [sym_type_alias_declaration] = STATE(6698),
    [aux_sym_export_statement_repeat1] = STATE(5030),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2916),
    [anon_sym_EQ] = ACTIONS(1175),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2792),
    [anon_sym_COMMA] = ACTIONS(211),
    [anon_sym_import] = ACTIONS(2794),
    [anon_sym_var] = ACTIONS(2796),
    [anon_sym_let] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2800),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(211),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(211),
    [anon_sym_COLON] = ACTIONS(2802),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(211),
    [anon_sym_class] = ACTIONS(2804),
    [anon_sym_async] = ACTIONS(2806),
    [anon_sym_function] = ACTIONS(2808),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(211),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(211),
    [anon_sym_PLUS_PLUS] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(211),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2810),
    [anon_sym_module] = ACTIONS(2918),
    [anon_sym_abstract] = ACTIONS(2814),
    [anon_sym_satisfies] = ACTIONS(211),
    [anon_sym_global] = ACTIONS(2920),
    [anon_sym_interface] = ACTIONS(2816),
    [anon_sym_enum] = ACTIONS(2818),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [830] = {
    [sym_declaration] = STATE(1223),
    [sym_variable_declaration] = STATE(1206),
    [sym_lexical_declaration] = STATE(1206),
    [sym_class_declaration] = STATE(1206),
    [sym_function_declaration] = STATE(1206),
    [sym_generator_function_declaration] = STATE(1206),
    [sym_comment] = STATE(830),
    [sym_decorator] = STATE(5685),
    [sym_function_signature] = STATE(1206),
    [sym_ambient_declaration] = STATE(1206),
    [sym_abstract_class_declaration] = STATE(1206),
    [sym_module] = STATE(1206),
    [sym_internal_module] = STATE(1213),
    [sym_import_alias] = STATE(1206),
    [sym_interface_declaration] = STATE(1206),
    [sym_enum_declaration] = STATE(1206),
    [sym_type_alias_declaration] = STATE(1206),
    [aux_sym_export_statement_repeat1] = STATE(4950),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2922),
    [anon_sym_EQ] = ACTIONS(1175),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2872),
    [anon_sym_COMMA] = ACTIONS(211),
    [anon_sym_import] = ACTIONS(2874),
    [anon_sym_var] = ACTIONS(2876),
    [anon_sym_let] = ACTIONS(2878),
    [anon_sym_const] = ACTIONS(2880),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(211),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(211),
    [anon_sym_COLON] = ACTIONS(2882),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(211),
    [anon_sym_class] = ACTIONS(2884),
    [anon_sym_async] = ACTIONS(2886),
    [anon_sym_function] = ACTIONS(2888),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(211),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(211),
    [anon_sym_PLUS_PLUS] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(211),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2890),
    [anon_sym_module] = ACTIONS(2924),
    [anon_sym_abstract] = ACTIONS(2894),
    [anon_sym_satisfies] = ACTIONS(211),
    [anon_sym_global] = ACTIONS(2926),
    [anon_sym_interface] = ACTIONS(2896),
    [anon_sym_enum] = ACTIONS(2898),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [831] = {
    [sym_declaration] = STATE(1220),
    [sym_variable_declaration] = STATE(1244),
    [sym_lexical_declaration] = STATE(1244),
    [sym_class_declaration] = STATE(1244),
    [sym_function_declaration] = STATE(1244),
    [sym_generator_function_declaration] = STATE(1244),
    [sym_comment] = STATE(831),
    [sym_decorator] = STATE(5685),
    [sym_function_signature] = STATE(1244),
    [sym_ambient_declaration] = STATE(1244),
    [sym_abstract_class_declaration] = STATE(1244),
    [sym_module] = STATE(1244),
    [sym_internal_module] = STATE(1238),
    [sym_import_alias] = STATE(1244),
    [sym_interface_declaration] = STATE(1244),
    [sym_enum_declaration] = STATE(1244),
    [sym_type_alias_declaration] = STATE(1244),
    [aux_sym_export_statement_repeat1] = STATE(4929),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2928),
    [anon_sym_EQ] = ACTIONS(1175),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2834),
    [anon_sym_COMMA] = ACTIONS(211),
    [anon_sym_import] = ACTIONS(2836),
    [anon_sym_var] = ACTIONS(2838),
    [anon_sym_let] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(2842),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(211),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(211),
    [anon_sym_COLON] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(211),
    [anon_sym_class] = ACTIONS(2846),
    [anon_sym_async] = ACTIONS(2848),
    [anon_sym_function] = ACTIONS(2850),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(211),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(211),
    [anon_sym_PLUS_PLUS] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(211),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2852),
    [anon_sym_module] = ACTIONS(2930),
    [anon_sym_abstract] = ACTIONS(2856),
    [anon_sym_satisfies] = ACTIONS(211),
    [anon_sym_global] = ACTIONS(2932),
    [anon_sym_interface] = ACTIONS(2858),
    [anon_sym_enum] = ACTIONS(2860),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [832] = {
    [sym_declaration] = STATE(1619),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_class_declaration] = STATE(1623),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_comment] = STATE(832),
    [sym_decorator] = STATE(5685),
    [sym_function_signature] = STATE(1623),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(1554),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(5034),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2738),
    [anon_sym_EQ] = ACTIONS(1175),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2663),
    [anon_sym_COMMA] = ACTIONS(211),
    [anon_sym_import] = ACTIONS(2669),
    [anon_sym_var] = ACTIONS(2671),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2675),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(211),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(211),
    [anon_sym_COLON] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(211),
    [anon_sym_class] = ACTIONS(2683),
    [anon_sym_async] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_QMARK_DOT] = ACTIONS(211),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(211),
    [anon_sym_PLUS_PLUS] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(211),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2700),
    [anon_sym_module] = ACTIONS(2740),
    [anon_sym_abstract] = ACTIONS(2704),
    [anon_sym_satisfies] = ACTIONS(211),
    [anon_sym_global] = ACTIONS(2742),
    [anon_sym_interface] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2708),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [833] = {
    [sym_comment] = STATE(833),
    [aux_sym_object_repeat1] = STATE(6170),
    [aux_sym_object_pattern_repeat1] = STATE(6263),
    [sym_identifier] = ACTIONS(2433),
    [anon_sym_export] = ACTIONS(2433),
    [anon_sym_STAR] = ACTIONS(2433),
    [anon_sym_type] = ACTIONS(2433),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2433),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1055),
    [anon_sym_let] = ACTIONS(2433),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1016),
    [anon_sym_LBRACK] = ACTIONS(2433),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2433),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2433),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2433),
    [anon_sym_SQUOTE] = ACTIONS(2433),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2433),
    [sym_private_property_identifier] = ACTIONS(2433),
    [anon_sym_static] = ACTIONS(2433),
    [anon_sym_readonly] = ACTIONS(2433),
    [anon_sym_get] = ACTIONS(2433),
    [anon_sym_set] = ACTIONS(2433),
    [anon_sym_QMARK] = ACTIONS(1035),
    [anon_sym_declare] = ACTIONS(2433),
    [anon_sym_public] = ACTIONS(2433),
    [anon_sym_private] = ACTIONS(2433),
    [anon_sym_protected] = ACTIONS(2433),
    [anon_sym_override] = ACTIONS(2433),
    [anon_sym_module] = ACTIONS(2433),
    [anon_sym_any] = ACTIONS(2433),
    [anon_sym_number] = ACTIONS(2433),
    [anon_sym_boolean] = ACTIONS(2433),
    [anon_sym_string] = ACTIONS(2433),
    [anon_sym_symbol] = ACTIONS(2433),
    [anon_sym_object] = ACTIONS(2433),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [834] = {
    [sym_comment] = STATE(834),
    [aux_sym_object_repeat1] = STATE(6170),
    [aux_sym_object_pattern_repeat1] = STATE(6263),
    [sym_identifier] = ACTIONS(2439),
    [anon_sym_export] = ACTIONS(2439),
    [anon_sym_STAR] = ACTIONS(2439),
    [anon_sym_type] = ACTIONS(2439),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2439),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1045),
    [anon_sym_let] = ACTIONS(2439),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1016),
    [anon_sym_LBRACK] = ACTIONS(2439),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2439),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2439),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2439),
    [anon_sym_SQUOTE] = ACTIONS(2439),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2439),
    [sym_private_property_identifier] = ACTIONS(2439),
    [anon_sym_static] = ACTIONS(2439),
    [anon_sym_readonly] = ACTIONS(2439),
    [anon_sym_get] = ACTIONS(2439),
    [anon_sym_set] = ACTIONS(2439),
    [anon_sym_QMARK] = ACTIONS(1035),
    [anon_sym_declare] = ACTIONS(2439),
    [anon_sym_public] = ACTIONS(2439),
    [anon_sym_private] = ACTIONS(2439),
    [anon_sym_protected] = ACTIONS(2439),
    [anon_sym_override] = ACTIONS(2439),
    [anon_sym_module] = ACTIONS(2439),
    [anon_sym_any] = ACTIONS(2439),
    [anon_sym_number] = ACTIONS(2439),
    [anon_sym_boolean] = ACTIONS(2439),
    [anon_sym_string] = ACTIONS(2439),
    [anon_sym_symbol] = ACTIONS(2439),
    [anon_sym_object] = ACTIONS(2439),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [835] = {
    [sym_comment] = STATE(835),
    [aux_sym_object_repeat1] = STATE(6170),
    [aux_sym_object_pattern_repeat1] = STATE(6263),
    [sym_identifier] = ACTIONS(2433),
    [anon_sym_export] = ACTIONS(2433),
    [anon_sym_STAR] = ACTIONS(2433),
    [anon_sym_type] = ACTIONS(2433),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2433),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1045),
    [anon_sym_let] = ACTIONS(2433),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1016),
    [anon_sym_LBRACK] = ACTIONS(2433),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2433),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2433),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2433),
    [anon_sym_SQUOTE] = ACTIONS(2433),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2433),
    [sym_private_property_identifier] = ACTIONS(2433),
    [anon_sym_static] = ACTIONS(2433),
    [anon_sym_readonly] = ACTIONS(2433),
    [anon_sym_get] = ACTIONS(2433),
    [anon_sym_set] = ACTIONS(2433),
    [anon_sym_QMARK] = ACTIONS(1035),
    [anon_sym_declare] = ACTIONS(2433),
    [anon_sym_public] = ACTIONS(2433),
    [anon_sym_private] = ACTIONS(2433),
    [anon_sym_protected] = ACTIONS(2433),
    [anon_sym_override] = ACTIONS(2433),
    [anon_sym_module] = ACTIONS(2433),
    [anon_sym_any] = ACTIONS(2433),
    [anon_sym_number] = ACTIONS(2433),
    [anon_sym_boolean] = ACTIONS(2433),
    [anon_sym_string] = ACTIONS(2433),
    [anon_sym_symbol] = ACTIONS(2433),
    [anon_sym_object] = ACTIONS(2433),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [836] = {
    [sym_declaration] = STATE(1619),
    [sym_variable_declaration] = STATE(1623),
    [sym_lexical_declaration] = STATE(1623),
    [sym_class_declaration] = STATE(1623),
    [sym_function_declaration] = STATE(1623),
    [sym_generator_function_declaration] = STATE(1623),
    [sym_comment] = STATE(836),
    [sym_decorator] = STATE(5685),
    [sym_function_signature] = STATE(1623),
    [sym_ambient_declaration] = STATE(1623),
    [sym_abstract_class_declaration] = STATE(1623),
    [sym_module] = STATE(1623),
    [sym_internal_module] = STATE(1554),
    [sym_import_alias] = STATE(1623),
    [sym_interface_declaration] = STATE(1623),
    [sym_enum_declaration] = STATE(1623),
    [sym_type_alias_declaration] = STATE(1623),
    [aux_sym_export_statement_repeat1] = STATE(5034),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2738),
    [anon_sym_EQ] = ACTIONS(1266),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2663),
    [anon_sym_import] = ACTIONS(2669),
    [anon_sym_var] = ACTIONS(2671),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2675),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(211),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(211),
    [anon_sym_class] = ACTIONS(2683),
    [anon_sym_async] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_EQ_GT] = ACTIONS(2934),
    [anon_sym_QMARK_DOT] = ACTIONS(211),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(211),
    [anon_sym_PLUS_PLUS] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(211),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2700),
    [anon_sym_module] = ACTIONS(2740),
    [anon_sym_abstract] = ACTIONS(2704),
    [anon_sym_satisfies] = ACTIONS(211),
    [anon_sym_global] = ACTIONS(2742),
    [anon_sym_interface] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2708),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [837] = {
    [sym_declaration] = STATE(993),
    [sym_variable_declaration] = STATE(1003),
    [sym_lexical_declaration] = STATE(1003),
    [sym_class_declaration] = STATE(1003),
    [sym_function_declaration] = STATE(1003),
    [sym_generator_function_declaration] = STATE(1003),
    [sym_comment] = STATE(837),
    [sym_decorator] = STATE(5685),
    [sym_function_signature] = STATE(1003),
    [sym_ambient_declaration] = STATE(1003),
    [sym_abstract_class_declaration] = STATE(1003),
    [sym_module] = STATE(1003),
    [sym_internal_module] = STATE(1000),
    [sym_import_alias] = STATE(1003),
    [sym_interface_declaration] = STATE(1003),
    [sym_enum_declaration] = STATE(1003),
    [sym_type_alias_declaration] = STATE(1003),
    [aux_sym_export_statement_repeat1] = STATE(4923),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2910),
    [anon_sym_EQ] = ACTIONS(1266),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2754),
    [anon_sym_import] = ACTIONS(2756),
    [anon_sym_var] = ACTIONS(2758),
    [anon_sym_let] = ACTIONS(2760),
    [anon_sym_const] = ACTIONS(2762),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(211),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(211),
    [anon_sym_class] = ACTIONS(2766),
    [anon_sym_async] = ACTIONS(2768),
    [anon_sym_function] = ACTIONS(2770),
    [anon_sym_EQ_GT] = ACTIONS(2934),
    [anon_sym_QMARK_DOT] = ACTIONS(211),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(211),
    [anon_sym_PLUS_PLUS] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(211),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2772),
    [anon_sym_module] = ACTIONS(2912),
    [anon_sym_abstract] = ACTIONS(2776),
    [anon_sym_satisfies] = ACTIONS(211),
    [anon_sym_global] = ACTIONS(2914),
    [anon_sym_interface] = ACTIONS(2778),
    [anon_sym_enum] = ACTIONS(2780),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [838] = {
    [sym_declaration] = STATE(1223),
    [sym_variable_declaration] = STATE(1206),
    [sym_lexical_declaration] = STATE(1206),
    [sym_class_declaration] = STATE(1206),
    [sym_function_declaration] = STATE(1206),
    [sym_generator_function_declaration] = STATE(1206),
    [sym_comment] = STATE(838),
    [sym_decorator] = STATE(5685),
    [sym_function_signature] = STATE(1206),
    [sym_ambient_declaration] = STATE(1206),
    [sym_abstract_class_declaration] = STATE(1206),
    [sym_module] = STATE(1206),
    [sym_internal_module] = STATE(1213),
    [sym_import_alias] = STATE(1206),
    [sym_interface_declaration] = STATE(1206),
    [sym_enum_declaration] = STATE(1206),
    [sym_type_alias_declaration] = STATE(1206),
    [aux_sym_export_statement_repeat1] = STATE(4950),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2922),
    [anon_sym_EQ] = ACTIONS(1266),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2872),
    [anon_sym_import] = ACTIONS(2874),
    [anon_sym_var] = ACTIONS(2876),
    [anon_sym_let] = ACTIONS(2878),
    [anon_sym_const] = ACTIONS(2880),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(211),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(211),
    [anon_sym_class] = ACTIONS(2884),
    [anon_sym_async] = ACTIONS(2886),
    [anon_sym_function] = ACTIONS(2888),
    [anon_sym_EQ_GT] = ACTIONS(2934),
    [anon_sym_QMARK_DOT] = ACTIONS(211),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(211),
    [anon_sym_PLUS_PLUS] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(211),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2890),
    [anon_sym_module] = ACTIONS(2924),
    [anon_sym_abstract] = ACTIONS(2894),
    [anon_sym_satisfies] = ACTIONS(211),
    [anon_sym_global] = ACTIONS(2926),
    [anon_sym_interface] = ACTIONS(2896),
    [anon_sym_enum] = ACTIONS(2898),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [839] = {
    [sym_declaration] = STATE(6597),
    [sym_variable_declaration] = STATE(6698),
    [sym_lexical_declaration] = STATE(6698),
    [sym_class_declaration] = STATE(6698),
    [sym_function_declaration] = STATE(6698),
    [sym_generator_function_declaration] = STATE(6698),
    [sym_comment] = STATE(839),
    [sym_decorator] = STATE(5685),
    [sym_function_signature] = STATE(6698),
    [sym_ambient_declaration] = STATE(6698),
    [sym_abstract_class_declaration] = STATE(6698),
    [sym_module] = STATE(6698),
    [sym_internal_module] = STATE(6655),
    [sym_import_alias] = STATE(6698),
    [sym_interface_declaration] = STATE(6698),
    [sym_enum_declaration] = STATE(6698),
    [sym_type_alias_declaration] = STATE(6698),
    [aux_sym_export_statement_repeat1] = STATE(5030),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2916),
    [anon_sym_EQ] = ACTIONS(1266),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2792),
    [anon_sym_import] = ACTIONS(2794),
    [anon_sym_var] = ACTIONS(2796),
    [anon_sym_let] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2800),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(211),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(211),
    [anon_sym_class] = ACTIONS(2804),
    [anon_sym_async] = ACTIONS(2806),
    [anon_sym_function] = ACTIONS(2808),
    [anon_sym_EQ_GT] = ACTIONS(2934),
    [anon_sym_QMARK_DOT] = ACTIONS(211),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(211),
    [anon_sym_PLUS_PLUS] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(211),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2810),
    [anon_sym_module] = ACTIONS(2918),
    [anon_sym_abstract] = ACTIONS(2814),
    [anon_sym_satisfies] = ACTIONS(211),
    [anon_sym_global] = ACTIONS(2920),
    [anon_sym_interface] = ACTIONS(2816),
    [anon_sym_enum] = ACTIONS(2818),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [840] = {
    [sym_comment] = STATE(840),
    [aux_sym_object_repeat1] = STATE(6262),
    [aux_sym_object_pattern_repeat1] = STATE(6263),
    [sym_identifier] = ACTIONS(2439),
    [anon_sym_export] = ACTIONS(2439),
    [anon_sym_STAR] = ACTIONS(2439),
    [anon_sym_type] = ACTIONS(2439),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2439),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1014),
    [anon_sym_let] = ACTIONS(2439),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1016),
    [anon_sym_LBRACK] = ACTIONS(2439),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2439),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2439),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2439),
    [anon_sym_SQUOTE] = ACTIONS(2439),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2439),
    [sym_private_property_identifier] = ACTIONS(2439),
    [anon_sym_static] = ACTIONS(2439),
    [anon_sym_readonly] = ACTIONS(2439),
    [anon_sym_get] = ACTIONS(2439),
    [anon_sym_set] = ACTIONS(2439),
    [anon_sym_QMARK] = ACTIONS(1035),
    [anon_sym_declare] = ACTIONS(2439),
    [anon_sym_public] = ACTIONS(2439),
    [anon_sym_private] = ACTIONS(2439),
    [anon_sym_protected] = ACTIONS(2439),
    [anon_sym_override] = ACTIONS(2439),
    [anon_sym_module] = ACTIONS(2439),
    [anon_sym_any] = ACTIONS(2439),
    [anon_sym_number] = ACTIONS(2439),
    [anon_sym_boolean] = ACTIONS(2439),
    [anon_sym_string] = ACTIONS(2439),
    [anon_sym_symbol] = ACTIONS(2439),
    [anon_sym_object] = ACTIONS(2439),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [841] = {
    [sym_declaration] = STATE(1220),
    [sym_variable_declaration] = STATE(1244),
    [sym_lexical_declaration] = STATE(1244),
    [sym_class_declaration] = STATE(1244),
    [sym_function_declaration] = STATE(1244),
    [sym_generator_function_declaration] = STATE(1244),
    [sym_comment] = STATE(841),
    [sym_decorator] = STATE(5685),
    [sym_function_signature] = STATE(1244),
    [sym_ambient_declaration] = STATE(1244),
    [sym_abstract_class_declaration] = STATE(1244),
    [sym_module] = STATE(1244),
    [sym_internal_module] = STATE(1238),
    [sym_import_alias] = STATE(1244),
    [sym_interface_declaration] = STATE(1244),
    [sym_enum_declaration] = STATE(1244),
    [sym_type_alias_declaration] = STATE(1244),
    [aux_sym_export_statement_repeat1] = STATE(4929),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2928),
    [anon_sym_EQ] = ACTIONS(1266),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2834),
    [anon_sym_import] = ACTIONS(2836),
    [anon_sym_var] = ACTIONS(2838),
    [anon_sym_let] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(2842),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(211),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(211),
    [anon_sym_class] = ACTIONS(2846),
    [anon_sym_async] = ACTIONS(2848),
    [anon_sym_function] = ACTIONS(2850),
    [anon_sym_EQ_GT] = ACTIONS(2934),
    [anon_sym_QMARK_DOT] = ACTIONS(211),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(211),
    [anon_sym_PLUS_PLUS] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(211),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2852),
    [anon_sym_module] = ACTIONS(2930),
    [anon_sym_abstract] = ACTIONS(2856),
    [anon_sym_satisfies] = ACTIONS(211),
    [anon_sym_global] = ACTIONS(2932),
    [anon_sym_interface] = ACTIONS(2858),
    [anon_sym_enum] = ACTIONS(2860),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [842] = {
    [sym_comment] = STATE(842),
    [aux_sym_object_repeat1] = STATE(6170),
    [aux_sym_object_pattern_repeat1] = STATE(6263),
    [sym_identifier] = ACTIONS(2439),
    [anon_sym_export] = ACTIONS(2439),
    [anon_sym_STAR] = ACTIONS(2439),
    [anon_sym_type] = ACTIONS(2439),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2439),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1055),
    [anon_sym_let] = ACTIONS(2439),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1016),
    [anon_sym_LBRACK] = ACTIONS(2439),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2439),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2439),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2439),
    [anon_sym_SQUOTE] = ACTIONS(2439),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2439),
    [sym_private_property_identifier] = ACTIONS(2439),
    [anon_sym_static] = ACTIONS(2439),
    [anon_sym_readonly] = ACTIONS(2439),
    [anon_sym_get] = ACTIONS(2439),
    [anon_sym_set] = ACTIONS(2439),
    [anon_sym_QMARK] = ACTIONS(1035),
    [anon_sym_declare] = ACTIONS(2439),
    [anon_sym_public] = ACTIONS(2439),
    [anon_sym_private] = ACTIONS(2439),
    [anon_sym_protected] = ACTIONS(2439),
    [anon_sym_override] = ACTIONS(2439),
    [anon_sym_module] = ACTIONS(2439),
    [anon_sym_any] = ACTIONS(2439),
    [anon_sym_number] = ACTIONS(2439),
    [anon_sym_boolean] = ACTIONS(2439),
    [anon_sym_string] = ACTIONS(2439),
    [anon_sym_symbol] = ACTIONS(2439),
    [anon_sym_object] = ACTIONS(2439),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [843] = {
    [sym_comment] = STATE(843),
    [aux_sym_object_repeat1] = STATE(6262),
    [aux_sym_object_pattern_repeat1] = STATE(6263),
    [sym_identifier] = ACTIONS(2433),
    [anon_sym_export] = ACTIONS(2433),
    [anon_sym_STAR] = ACTIONS(2433),
    [anon_sym_type] = ACTIONS(2433),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2433),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1014),
    [anon_sym_let] = ACTIONS(2433),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1016),
    [anon_sym_LBRACK] = ACTIONS(2433),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2433),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2433),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2433),
    [anon_sym_SQUOTE] = ACTIONS(2433),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2433),
    [sym_private_property_identifier] = ACTIONS(2433),
    [anon_sym_static] = ACTIONS(2433),
    [anon_sym_readonly] = ACTIONS(2433),
    [anon_sym_get] = ACTIONS(2433),
    [anon_sym_set] = ACTIONS(2433),
    [anon_sym_QMARK] = ACTIONS(1035),
    [anon_sym_declare] = ACTIONS(2433),
    [anon_sym_public] = ACTIONS(2433),
    [anon_sym_private] = ACTIONS(2433),
    [anon_sym_protected] = ACTIONS(2433),
    [anon_sym_override] = ACTIONS(2433),
    [anon_sym_module] = ACTIONS(2433),
    [anon_sym_any] = ACTIONS(2433),
    [anon_sym_number] = ACTIONS(2433),
    [anon_sym_boolean] = ACTIONS(2433),
    [anon_sym_string] = ACTIONS(2433),
    [anon_sym_symbol] = ACTIONS(2433),
    [anon_sym_object] = ACTIONS(2433),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [844] = {
    [sym_declaration] = STATE(4920),
    [sym_variable_declaration] = STATE(4937),
    [sym_lexical_declaration] = STATE(4937),
    [sym_class_declaration] = STATE(4937),
    [sym_function_declaration] = STATE(4937),
    [sym_generator_function_declaration] = STATE(4937),
    [sym_comment] = STATE(844),
    [sym_decorator] = STATE(5685),
    [sym_function_signature] = STATE(4937),
    [sym_ambient_declaration] = STATE(4937),
    [sym_abstract_class_declaration] = STATE(4937),
    [sym_module] = STATE(4937),
    [sym_internal_module] = STATE(4930),
    [sym_import_alias] = STATE(4937),
    [sym_interface_declaration] = STATE(4937),
    [sym_enum_declaration] = STATE(4937),
    [sym_type_alias_declaration] = STATE(4937),
    [aux_sym_export_statement_repeat1] = STATE(4938),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2936),
    [anon_sym_EQ] = ACTIONS(1266),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2938),
    [anon_sym_import] = ACTIONS(2940),
    [anon_sym_var] = ACTIONS(2942),
    [anon_sym_let] = ACTIONS(2944),
    [anon_sym_const] = ACTIONS(2946),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(211),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(211),
    [anon_sym_class] = ACTIONS(2948),
    [anon_sym_async] = ACTIONS(2950),
    [anon_sym_function] = ACTIONS(2952),
    [anon_sym_EQ_GT] = ACTIONS(2934),
    [anon_sym_QMARK_DOT] = ACTIONS(211),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_CARET_EQ] = ACTIONS(2691),
    [anon_sym_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_LT_EQ] = ACTIONS(2691),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(211),
    [anon_sym_PLUS_PLUS] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(211),
    [aux_sym_comment_token1] = ACTIONS(2696),
    [anon_sym_BQUOTE] = ACTIONS(211),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2954),
    [anon_sym_module] = ACTIONS(2956),
    [anon_sym_abstract] = ACTIONS(2958),
    [anon_sym_satisfies] = ACTIONS(211),
    [anon_sym_global] = ACTIONS(2960),
    [anon_sym_interface] = ACTIONS(2962),
    [anon_sym_enum] = ACTIONS(2964),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [845] = {
    [sym__call_signature] = STATE(7166),
    [sym_comment] = STATE(845),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_COMMA] = ACTIONS(1133),
    [anon_sym_RBRACE] = ACTIONS(1133),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_RPAREN] = ACTIONS(1133),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(1133),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_QMARK] = ACTIONS(1133),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_object] = ACTIONS(2968),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [846] = {
    [sym__call_signature] = STATE(7166),
    [sym_comment] = STATE(846),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_RBRACE] = ACTIONS(124),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(124),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_object] = ACTIONS(2968),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [847] = {
    [sym__call_signature] = STATE(7187),
    [sym_comment] = STATE(847),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(2978),
    [anon_sym_export] = ACTIONS(2980),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2980),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2980),
    [anon_sym_COMMA] = ACTIONS(216),
    [anon_sym_RBRACE] = ACTIONS(216),
    [anon_sym_let] = ACTIONS(2980),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_RPAREN] = ACTIONS(216),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(216),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(216),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2980),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2980),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2980),
    [anon_sym_readonly] = ACTIONS(2980),
    [anon_sym_get] = ACTIONS(2980),
    [anon_sym_set] = ACTIONS(2980),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_declare] = ACTIONS(2980),
    [anon_sym_public] = ACTIONS(2980),
    [anon_sym_private] = ACTIONS(2980),
    [anon_sym_protected] = ACTIONS(2980),
    [anon_sym_override] = ACTIONS(2980),
    [anon_sym_module] = ACTIONS(2980),
    [anon_sym_any] = ACTIONS(2980),
    [anon_sym_number] = ACTIONS(2980),
    [anon_sym_boolean] = ACTIONS(2980),
    [anon_sym_string] = ACTIONS(2980),
    [anon_sym_symbol] = ACTIONS(2980),
    [anon_sym_object] = ACTIONS(2980),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [848] = {
    [sym__call_signature] = STATE(7187),
    [sym_comment] = STATE(848),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(2978),
    [anon_sym_export] = ACTIONS(2980),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2980),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2980),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(2980),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2980),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2980),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2980),
    [anon_sym_readonly] = ACTIONS(2980),
    [anon_sym_get] = ACTIONS(2980),
    [anon_sym_set] = ACTIONS(2980),
    [anon_sym_declare] = ACTIONS(2980),
    [anon_sym_public] = ACTIONS(2980),
    [anon_sym_private] = ACTIONS(2980),
    [anon_sym_protected] = ACTIONS(2980),
    [anon_sym_override] = ACTIONS(2980),
    [anon_sym_module] = ACTIONS(2980),
    [anon_sym_any] = ACTIONS(2980),
    [anon_sym_number] = ACTIONS(2980),
    [anon_sym_boolean] = ACTIONS(2980),
    [anon_sym_string] = ACTIONS(2980),
    [anon_sym_symbol] = ACTIONS(2980),
    [anon_sym_object] = ACTIONS(2980),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [849] = {
    [sym__call_signature] = STATE(7187),
    [sym_comment] = STATE(849),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(2978),
    [anon_sym_export] = ACTIONS(2980),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2980),
    [anon_sym_EQ] = ACTIONS(1135),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2980),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(2980),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2980),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2980),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2980),
    [anon_sym_readonly] = ACTIONS(2980),
    [anon_sym_get] = ACTIONS(2980),
    [anon_sym_set] = ACTIONS(2980),
    [anon_sym_declare] = ACTIONS(2980),
    [anon_sym_public] = ACTIONS(2980),
    [anon_sym_private] = ACTIONS(2980),
    [anon_sym_protected] = ACTIONS(2980),
    [anon_sym_override] = ACTIONS(2980),
    [anon_sym_module] = ACTIONS(2980),
    [anon_sym_any] = ACTIONS(2980),
    [anon_sym_number] = ACTIONS(2980),
    [anon_sym_boolean] = ACTIONS(2980),
    [anon_sym_string] = ACTIONS(2980),
    [anon_sym_symbol] = ACTIONS(2980),
    [anon_sym_object] = ACTIONS(2980),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [850] = {
    [sym__call_signature] = STATE(7190),
    [sym_comment] = STATE(850),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(2982),
    [anon_sym_export] = ACTIONS(2984),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2984),
    [anon_sym_EQ] = ACTIONS(1175),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2984),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(2984),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(1201),
    [anon_sym_of] = ACTIONS(1204),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2984),
    [anon_sym_function] = ACTIONS(2986),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2984),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_readonly] = ACTIONS(2984),
    [anon_sym_get] = ACTIONS(2984),
    [anon_sym_set] = ACTIONS(2984),
    [anon_sym_declare] = ACTIONS(2984),
    [anon_sym_public] = ACTIONS(2984),
    [anon_sym_private] = ACTIONS(2984),
    [anon_sym_protected] = ACTIONS(2984),
    [anon_sym_override] = ACTIONS(2984),
    [anon_sym_module] = ACTIONS(2984),
    [anon_sym_any] = ACTIONS(2984),
    [anon_sym_number] = ACTIONS(2984),
    [anon_sym_boolean] = ACTIONS(2984),
    [anon_sym_string] = ACTIONS(2984),
    [anon_sym_symbol] = ACTIONS(2984),
    [anon_sym_object] = ACTIONS(2984),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [851] = {
    [sym__call_signature] = STATE(7190),
    [sym_comment] = STATE(851),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(2982),
    [anon_sym_export] = ACTIONS(2984),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2984),
    [anon_sym_EQ] = ACTIONS(1175),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2984),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(2984),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1195),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2984),
    [anon_sym_function] = ACTIONS(2988),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2984),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_readonly] = ACTIONS(2984),
    [anon_sym_get] = ACTIONS(2984),
    [anon_sym_set] = ACTIONS(2984),
    [anon_sym_declare] = ACTIONS(2984),
    [anon_sym_public] = ACTIONS(2984),
    [anon_sym_private] = ACTIONS(2984),
    [anon_sym_protected] = ACTIONS(2984),
    [anon_sym_override] = ACTIONS(2984),
    [anon_sym_module] = ACTIONS(2984),
    [anon_sym_any] = ACTIONS(2984),
    [anon_sym_number] = ACTIONS(2984),
    [anon_sym_boolean] = ACTIONS(2984),
    [anon_sym_string] = ACTIONS(2984),
    [anon_sym_symbol] = ACTIONS(2984),
    [anon_sym_object] = ACTIONS(2984),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [852] = {
    [sym__call_signature] = STATE(7187),
    [sym_comment] = STATE(852),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(2978),
    [anon_sym_export] = ACTIONS(2980),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2980),
    [anon_sym_EQ] = ACTIONS(1135),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2980),
    [anon_sym_COMMA] = ACTIONS(1208),
    [anon_sym_RBRACE] = ACTIONS(1208),
    [anon_sym_let] = ACTIONS(2980),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(1208),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2980),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2980),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2980),
    [anon_sym_readonly] = ACTIONS(2980),
    [anon_sym_get] = ACTIONS(2980),
    [anon_sym_set] = ACTIONS(2980),
    [anon_sym_declare] = ACTIONS(2980),
    [anon_sym_public] = ACTIONS(2980),
    [anon_sym_private] = ACTIONS(2980),
    [anon_sym_protected] = ACTIONS(2980),
    [anon_sym_override] = ACTIONS(2980),
    [anon_sym_module] = ACTIONS(2980),
    [anon_sym_any] = ACTIONS(2980),
    [anon_sym_number] = ACTIONS(2980),
    [anon_sym_boolean] = ACTIONS(2980),
    [anon_sym_string] = ACTIONS(2980),
    [anon_sym_symbol] = ACTIONS(2980),
    [anon_sym_object] = ACTIONS(2980),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [853] = {
    [sym__call_signature] = STATE(7117),
    [sym_comment] = STATE(853),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(2990),
    [anon_sym_export] = ACTIONS(2992),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2992),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2992),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(2992),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2992),
    [anon_sym_function] = ACTIONS(2986),
    [anon_sym_EQ_GT] = ACTIONS(1189),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2992),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2992),
    [anon_sym_readonly] = ACTIONS(2992),
    [anon_sym_get] = ACTIONS(2992),
    [anon_sym_set] = ACTIONS(2992),
    [anon_sym_declare] = ACTIONS(2992),
    [anon_sym_public] = ACTIONS(2992),
    [anon_sym_private] = ACTIONS(2992),
    [anon_sym_protected] = ACTIONS(2992),
    [anon_sym_override] = ACTIONS(2992),
    [anon_sym_module] = ACTIONS(2992),
    [anon_sym_any] = ACTIONS(2992),
    [anon_sym_number] = ACTIONS(2992),
    [anon_sym_boolean] = ACTIONS(2992),
    [anon_sym_string] = ACTIONS(2992),
    [anon_sym_symbol] = ACTIONS(2992),
    [anon_sym_object] = ACTIONS(2992),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [854] = {
    [sym__call_signature] = STATE(7190),
    [sym_comment] = STATE(854),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(2982),
    [anon_sym_export] = ACTIONS(2984),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2984),
    [anon_sym_EQ] = ACTIONS(1175),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2984),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(2984),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1197),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2984),
    [anon_sym_function] = ACTIONS(2994),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2984),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_readonly] = ACTIONS(2984),
    [anon_sym_get] = ACTIONS(2984),
    [anon_sym_set] = ACTIONS(2984),
    [anon_sym_declare] = ACTIONS(2984),
    [anon_sym_public] = ACTIONS(2984),
    [anon_sym_private] = ACTIONS(2984),
    [anon_sym_protected] = ACTIONS(2984),
    [anon_sym_override] = ACTIONS(2984),
    [anon_sym_module] = ACTIONS(2984),
    [anon_sym_any] = ACTIONS(2984),
    [anon_sym_number] = ACTIONS(2984),
    [anon_sym_boolean] = ACTIONS(2984),
    [anon_sym_string] = ACTIONS(2984),
    [anon_sym_symbol] = ACTIONS(2984),
    [anon_sym_object] = ACTIONS(2984),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [855] = {
    [sym__call_signature] = STATE(7117),
    [sym_comment] = STATE(855),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(2990),
    [anon_sym_export] = ACTIONS(2992),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2992),
    [anon_sym_EQ] = ACTIONS(1183),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2992),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(2992),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2992),
    [anon_sym_function] = ACTIONS(2986),
    [anon_sym_EQ_GT] = ACTIONS(1189),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2992),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2992),
    [anon_sym_readonly] = ACTIONS(2992),
    [anon_sym_get] = ACTIONS(2992),
    [anon_sym_set] = ACTIONS(2992),
    [anon_sym_declare] = ACTIONS(2992),
    [anon_sym_public] = ACTIONS(2992),
    [anon_sym_private] = ACTIONS(2992),
    [anon_sym_protected] = ACTIONS(2992),
    [anon_sym_override] = ACTIONS(2992),
    [anon_sym_module] = ACTIONS(2992),
    [anon_sym_any] = ACTIONS(2992),
    [anon_sym_number] = ACTIONS(2992),
    [anon_sym_boolean] = ACTIONS(2992),
    [anon_sym_string] = ACTIONS(2992),
    [anon_sym_symbol] = ACTIONS(2992),
    [anon_sym_object] = ACTIONS(2992),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [856] = {
    [sym__call_signature] = STATE(7190),
    [sym_comment] = STATE(856),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(2982),
    [anon_sym_export] = ACTIONS(2984),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2984),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2984),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(2984),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2984),
    [anon_sym_function] = ACTIONS(2986),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2984),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_readonly] = ACTIONS(2984),
    [anon_sym_get] = ACTIONS(2984),
    [anon_sym_set] = ACTIONS(2984),
    [anon_sym_declare] = ACTIONS(2984),
    [anon_sym_public] = ACTIONS(2984),
    [anon_sym_private] = ACTIONS(2984),
    [anon_sym_protected] = ACTIONS(2984),
    [anon_sym_override] = ACTIONS(2984),
    [anon_sym_module] = ACTIONS(2984),
    [anon_sym_any] = ACTIONS(2984),
    [anon_sym_number] = ACTIONS(2984),
    [anon_sym_boolean] = ACTIONS(2984),
    [anon_sym_string] = ACTIONS(2984),
    [anon_sym_symbol] = ACTIONS(2984),
    [anon_sym_object] = ACTIONS(2984),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [857] = {
    [sym__call_signature] = STATE(7190),
    [sym_comment] = STATE(857),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(2982),
    [anon_sym_export] = ACTIONS(2984),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2984),
    [anon_sym_EQ] = ACTIONS(1175),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2984),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(2984),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1199),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2984),
    [anon_sym_function] = ACTIONS(2996),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2984),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_readonly] = ACTIONS(2984),
    [anon_sym_get] = ACTIONS(2984),
    [anon_sym_set] = ACTIONS(2984),
    [anon_sym_declare] = ACTIONS(2984),
    [anon_sym_public] = ACTIONS(2984),
    [anon_sym_private] = ACTIONS(2984),
    [anon_sym_protected] = ACTIONS(2984),
    [anon_sym_override] = ACTIONS(2984),
    [anon_sym_module] = ACTIONS(2984),
    [anon_sym_any] = ACTIONS(2984),
    [anon_sym_number] = ACTIONS(2984),
    [anon_sym_boolean] = ACTIONS(2984),
    [anon_sym_string] = ACTIONS(2984),
    [anon_sym_symbol] = ACTIONS(2984),
    [anon_sym_object] = ACTIONS(2984),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [858] = {
    [sym__call_signature] = STATE(7190),
    [sym_comment] = STATE(858),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(2982),
    [anon_sym_export] = ACTIONS(2984),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2984),
    [anon_sym_EQ] = ACTIONS(1175),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2984),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(2984),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2984),
    [anon_sym_function] = ACTIONS(2998),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2984),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_readonly] = ACTIONS(2984),
    [anon_sym_get] = ACTIONS(2984),
    [anon_sym_set] = ACTIONS(2984),
    [anon_sym_declare] = ACTIONS(2984),
    [anon_sym_public] = ACTIONS(2984),
    [anon_sym_private] = ACTIONS(2984),
    [anon_sym_protected] = ACTIONS(2984),
    [anon_sym_override] = ACTIONS(2984),
    [anon_sym_module] = ACTIONS(2984),
    [anon_sym_any] = ACTIONS(2984),
    [anon_sym_number] = ACTIONS(2984),
    [anon_sym_boolean] = ACTIONS(2984),
    [anon_sym_string] = ACTIONS(2984),
    [anon_sym_symbol] = ACTIONS(2984),
    [anon_sym_object] = ACTIONS(2984),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [859] = {
    [sym__call_signature] = STATE(7190),
    [sym_comment] = STATE(859),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(2982),
    [anon_sym_export] = ACTIONS(2984),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2984),
    [anon_sym_EQ] = ACTIONS(1175),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2984),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(2984),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1177),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2984),
    [anon_sym_function] = ACTIONS(2728),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2984),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_readonly] = ACTIONS(2984),
    [anon_sym_get] = ACTIONS(2984),
    [anon_sym_set] = ACTIONS(2984),
    [anon_sym_declare] = ACTIONS(2984),
    [anon_sym_public] = ACTIONS(2984),
    [anon_sym_private] = ACTIONS(2984),
    [anon_sym_protected] = ACTIONS(2984),
    [anon_sym_override] = ACTIONS(2984),
    [anon_sym_module] = ACTIONS(2984),
    [anon_sym_any] = ACTIONS(2984),
    [anon_sym_number] = ACTIONS(2984),
    [anon_sym_boolean] = ACTIONS(2984),
    [anon_sym_string] = ACTIONS(2984),
    [anon_sym_symbol] = ACTIONS(2984),
    [anon_sym_object] = ACTIONS(2984),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [860] = {
    [sym__call_signature] = STATE(7190),
    [sym_comment] = STATE(860),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(2982),
    [anon_sym_export] = ACTIONS(2984),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2984),
    [anon_sym_EQ] = ACTIONS(1175),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2984),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(2984),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2984),
    [anon_sym_function] = ACTIONS(2986),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2984),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_readonly] = ACTIONS(2984),
    [anon_sym_get] = ACTIONS(2984),
    [anon_sym_set] = ACTIONS(2984),
    [anon_sym_declare] = ACTIONS(2984),
    [anon_sym_public] = ACTIONS(2984),
    [anon_sym_private] = ACTIONS(2984),
    [anon_sym_protected] = ACTIONS(2984),
    [anon_sym_override] = ACTIONS(2984),
    [anon_sym_module] = ACTIONS(2984),
    [anon_sym_any] = ACTIONS(2984),
    [anon_sym_number] = ACTIONS(2984),
    [anon_sym_boolean] = ACTIONS(2984),
    [anon_sym_string] = ACTIONS(2984),
    [anon_sym_symbol] = ACTIONS(2984),
    [anon_sym_object] = ACTIONS(2984),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [861] = {
    [sym__call_signature] = STATE(7095),
    [sym_comment] = STATE(861),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(3000),
    [anon_sym_export] = ACTIONS(3002),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3002),
    [anon_sym_EQ] = ACTIONS(1232),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3002),
    [anon_sym_LBRACE] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3002),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3002),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(1238),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3002),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3002),
    [anon_sym_readonly] = ACTIONS(3002),
    [anon_sym_get] = ACTIONS(3002),
    [anon_sym_set] = ACTIONS(3002),
    [anon_sym_declare] = ACTIONS(3002),
    [anon_sym_public] = ACTIONS(3002),
    [anon_sym_private] = ACTIONS(3002),
    [anon_sym_protected] = ACTIONS(3002),
    [anon_sym_override] = ACTIONS(3002),
    [anon_sym_module] = ACTIONS(3002),
    [anon_sym_any] = ACTIONS(3002),
    [anon_sym_number] = ACTIONS(3002),
    [anon_sym_boolean] = ACTIONS(3002),
    [anon_sym_string] = ACTIONS(3002),
    [anon_sym_symbol] = ACTIONS(3002),
    [anon_sym_object] = ACTIONS(3002),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [862] = {
    [sym__call_signature] = STATE(7402),
    [sym_comment] = STATE(862),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(3004),
    [anon_sym_export] = ACTIONS(3006),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3006),
    [anon_sym_EQ] = ACTIONS(1215),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3006),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_let] = ACTIONS(3006),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1220),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(216),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3006),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(1224),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3006),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3006),
    [anon_sym_readonly] = ACTIONS(3006),
    [anon_sym_get] = ACTIONS(3006),
    [anon_sym_set] = ACTIONS(3006),
    [anon_sym_declare] = ACTIONS(3006),
    [anon_sym_public] = ACTIONS(3006),
    [anon_sym_private] = ACTIONS(3006),
    [anon_sym_protected] = ACTIONS(3006),
    [anon_sym_override] = ACTIONS(3006),
    [anon_sym_module] = ACTIONS(3006),
    [anon_sym_any] = ACTIONS(3006),
    [anon_sym_number] = ACTIONS(3006),
    [anon_sym_boolean] = ACTIONS(3006),
    [anon_sym_string] = ACTIONS(3006),
    [anon_sym_symbol] = ACTIONS(3006),
    [anon_sym_object] = ACTIONS(3006),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [863] = {
    [sym__call_signature] = STATE(7095),
    [sym_comment] = STATE(863),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(3000),
    [anon_sym_export] = ACTIONS(3002),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3002),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3002),
    [anon_sym_LBRACE] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3002),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3002),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(1238),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3002),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3002),
    [anon_sym_readonly] = ACTIONS(3002),
    [anon_sym_get] = ACTIONS(3002),
    [anon_sym_set] = ACTIONS(3002),
    [anon_sym_declare] = ACTIONS(3002),
    [anon_sym_public] = ACTIONS(3002),
    [anon_sym_private] = ACTIONS(3002),
    [anon_sym_protected] = ACTIONS(3002),
    [anon_sym_override] = ACTIONS(3002),
    [anon_sym_module] = ACTIONS(3002),
    [anon_sym_any] = ACTIONS(3002),
    [anon_sym_number] = ACTIONS(3002),
    [anon_sym_boolean] = ACTIONS(3002),
    [anon_sym_string] = ACTIONS(3002),
    [anon_sym_symbol] = ACTIONS(3002),
    [anon_sym_object] = ACTIONS(3002),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [864] = {
    [sym_catch_clause] = STATE(909),
    [sym_finally_clause] = STATE(1154),
    [sym_comment] = STATE(864),
    [sym_identifier] = ACTIONS(3008),
    [anon_sym_export] = ACTIONS(3008),
    [anon_sym_default] = ACTIONS(3008),
    [anon_sym_type] = ACTIONS(3008),
    [anon_sym_namespace] = ACTIONS(3008),
    [anon_sym_LBRACE] = ACTIONS(3008),
    [anon_sym_RBRACE] = ACTIONS(3008),
    [anon_sym_typeof] = ACTIONS(3008),
    [anon_sym_import] = ACTIONS(3008),
    [anon_sym_var] = ACTIONS(3008),
    [anon_sym_let] = ACTIONS(3008),
    [anon_sym_const] = ACTIONS(3008),
    [anon_sym_BANG] = ACTIONS(3008),
    [anon_sym_else] = ACTIONS(3008),
    [anon_sym_if] = ACTIONS(3008),
    [anon_sym_switch] = ACTIONS(3008),
    [anon_sym_for] = ACTIONS(3008),
    [anon_sym_LPAREN] = ACTIONS(3008),
    [anon_sym_await] = ACTIONS(3008),
    [anon_sym_while] = ACTIONS(3008),
    [anon_sym_do] = ACTIONS(3008),
    [anon_sym_try] = ACTIONS(3008),
    [anon_sym_with] = ACTIONS(3008),
    [anon_sym_break] = ACTIONS(3008),
    [anon_sym_continue] = ACTIONS(3008),
    [anon_sym_debugger] = ACTIONS(3008),
    [anon_sym_return] = ACTIONS(3008),
    [anon_sym_throw] = ACTIONS(3008),
    [anon_sym_SEMI] = ACTIONS(3008),
    [anon_sym_case] = ACTIONS(3008),
    [anon_sym_catch] = ACTIONS(3010),
    [anon_sym_finally] = ACTIONS(3012),
    [anon_sym_yield] = ACTIONS(3008),
    [anon_sym_LBRACK] = ACTIONS(3008),
    [anon_sym_LTtemplate_GT] = ACTIONS(3008),
    [anon_sym_class] = ACTIONS(3008),
    [anon_sym_async] = ACTIONS(3008),
    [anon_sym_function] = ACTIONS(3008),
    [anon_sym_new] = ACTIONS(3008),
    [anon_sym_using] = ACTIONS(3008),
    [anon_sym_PLUS] = ACTIONS(3008),
    [anon_sym_DASH] = ACTIONS(3008),
    [anon_sym_SLASH] = ACTIONS(3008),
    [anon_sym_LT] = ACTIONS(3008),
    [anon_sym_TILDE] = ACTIONS(3008),
    [anon_sym_void] = ACTIONS(3008),
    [anon_sym_delete] = ACTIONS(3008),
    [anon_sym_PLUS_PLUS] = ACTIONS(3008),
    [anon_sym_DASH_DASH] = ACTIONS(3008),
    [anon_sym_DQUOTE] = ACTIONS(3008),
    [anon_sym_SQUOTE] = ACTIONS(3008),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3008),
    [sym_number] = ACTIONS(3008),
    [sym_private_property_identifier] = ACTIONS(3008),
    [sym_this] = ACTIONS(3008),
    [sym_super] = ACTIONS(3008),
    [sym_true] = ACTIONS(3008),
    [sym_false] = ACTIONS(3008),
    [sym_null] = ACTIONS(3008),
    [sym_undefined] = ACTIONS(3008),
    [anon_sym_AT] = ACTIONS(3008),
    [anon_sym_static] = ACTIONS(3008),
    [anon_sym_readonly] = ACTIONS(3008),
    [anon_sym_get] = ACTIONS(3008),
    [anon_sym_set] = ACTIONS(3008),
    [anon_sym_declare] = ACTIONS(3008),
    [anon_sym_public] = ACTIONS(3008),
    [anon_sym_private] = ACTIONS(3008),
    [anon_sym_protected] = ACTIONS(3008),
    [anon_sym_override] = ACTIONS(3008),
    [anon_sym_module] = ACTIONS(3008),
    [anon_sym_any] = ACTIONS(3008),
    [anon_sym_number] = ACTIONS(3008),
    [anon_sym_boolean] = ACTIONS(3008),
    [anon_sym_string] = ACTIONS(3008),
    [anon_sym_symbol] = ACTIONS(3008),
    [anon_sym_object] = ACTIONS(3008),
    [anon_sym_abstract] = ACTIONS(3008),
    [anon_sym_interface] = ACTIONS(3008),
    [anon_sym_enum] = ACTIONS(3008),
    [sym_html_comment] = ACTIONS(5),
  },
  [865] = {
    [sym__call_signature] = STATE(7285),
    [sym_comment] = STATE(865),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(3014),
    [anon_sym_export] = ACTIONS(3016),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3016),
    [anon_sym_EQ] = ACTIONS(1266),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3016),
    [anon_sym_let] = ACTIONS(3016),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3016),
    [anon_sym_function] = ACTIONS(2998),
    [anon_sym_EQ_GT] = ACTIONS(1272),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3016),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3016),
    [anon_sym_readonly] = ACTIONS(3016),
    [anon_sym_get] = ACTIONS(3016),
    [anon_sym_set] = ACTIONS(3016),
    [anon_sym_declare] = ACTIONS(3016),
    [anon_sym_public] = ACTIONS(3016),
    [anon_sym_private] = ACTIONS(3016),
    [anon_sym_protected] = ACTIONS(3016),
    [anon_sym_override] = ACTIONS(3016),
    [anon_sym_module] = ACTIONS(3016),
    [anon_sym_any] = ACTIONS(3016),
    [anon_sym_number] = ACTIONS(3016),
    [anon_sym_boolean] = ACTIONS(3016),
    [anon_sym_string] = ACTIONS(3016),
    [anon_sym_symbol] = ACTIONS(3016),
    [anon_sym_object] = ACTIONS(3016),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [866] = {
    [sym__call_signature] = STATE(7285),
    [sym_comment] = STATE(866),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(3014),
    [anon_sym_export] = ACTIONS(3016),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3016),
    [anon_sym_EQ] = ACTIONS(1266),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3016),
    [anon_sym_let] = ACTIONS(3016),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3016),
    [anon_sym_function] = ACTIONS(2728),
    [anon_sym_EQ_GT] = ACTIONS(1272),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3016),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3016),
    [anon_sym_readonly] = ACTIONS(3016),
    [anon_sym_get] = ACTIONS(3016),
    [anon_sym_set] = ACTIONS(3016),
    [anon_sym_declare] = ACTIONS(3016),
    [anon_sym_public] = ACTIONS(3016),
    [anon_sym_private] = ACTIONS(3016),
    [anon_sym_protected] = ACTIONS(3016),
    [anon_sym_override] = ACTIONS(3016),
    [anon_sym_module] = ACTIONS(3016),
    [anon_sym_any] = ACTIONS(3016),
    [anon_sym_number] = ACTIONS(3016),
    [anon_sym_boolean] = ACTIONS(3016),
    [anon_sym_string] = ACTIONS(3016),
    [anon_sym_symbol] = ACTIONS(3016),
    [anon_sym_object] = ACTIONS(3016),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [867] = {
    [sym__call_signature] = STATE(7402),
    [sym_comment] = STATE(867),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(3004),
    [anon_sym_export] = ACTIONS(3006),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3006),
    [anon_sym_EQ] = ACTIONS(1258),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3006),
    [anon_sym_let] = ACTIONS(3006),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1220),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3006),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(1224),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3006),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3006),
    [anon_sym_readonly] = ACTIONS(3006),
    [anon_sym_get] = ACTIONS(3006),
    [anon_sym_set] = ACTIONS(3006),
    [anon_sym_declare] = ACTIONS(3006),
    [anon_sym_public] = ACTIONS(3006),
    [anon_sym_private] = ACTIONS(3006),
    [anon_sym_protected] = ACTIONS(3006),
    [anon_sym_override] = ACTIONS(3006),
    [anon_sym_module] = ACTIONS(3006),
    [anon_sym_any] = ACTIONS(3006),
    [anon_sym_number] = ACTIONS(3006),
    [anon_sym_boolean] = ACTIONS(3006),
    [anon_sym_string] = ACTIONS(3006),
    [anon_sym_symbol] = ACTIONS(3006),
    [anon_sym_object] = ACTIONS(3006),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [868] = {
    [sym__call_signature] = STATE(7285),
    [sym_comment] = STATE(868),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(3014),
    [anon_sym_export] = ACTIONS(3016),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3016),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3016),
    [anon_sym_let] = ACTIONS(3016),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3016),
    [anon_sym_function] = ACTIONS(2986),
    [anon_sym_EQ_GT] = ACTIONS(1272),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3016),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3016),
    [anon_sym_readonly] = ACTIONS(3016),
    [anon_sym_get] = ACTIONS(3016),
    [anon_sym_set] = ACTIONS(3016),
    [anon_sym_declare] = ACTIONS(3016),
    [anon_sym_public] = ACTIONS(3016),
    [anon_sym_private] = ACTIONS(3016),
    [anon_sym_protected] = ACTIONS(3016),
    [anon_sym_override] = ACTIONS(3016),
    [anon_sym_module] = ACTIONS(3016),
    [anon_sym_any] = ACTIONS(3016),
    [anon_sym_number] = ACTIONS(3016),
    [anon_sym_boolean] = ACTIONS(3016),
    [anon_sym_string] = ACTIONS(3016),
    [anon_sym_symbol] = ACTIONS(3016),
    [anon_sym_object] = ACTIONS(3016),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [869] = {
    [sym__call_signature] = STATE(7402),
    [sym_comment] = STATE(869),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(3004),
    [anon_sym_export] = ACTIONS(3006),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3006),
    [anon_sym_EQ] = ACTIONS(1215),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3006),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_let] = ACTIONS(3006),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(216),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3006),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(1224),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3006),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3006),
    [anon_sym_readonly] = ACTIONS(3006),
    [anon_sym_get] = ACTIONS(3006),
    [anon_sym_set] = ACTIONS(3006),
    [anon_sym_declare] = ACTIONS(3006),
    [anon_sym_public] = ACTIONS(3006),
    [anon_sym_private] = ACTIONS(3006),
    [anon_sym_protected] = ACTIONS(3006),
    [anon_sym_override] = ACTIONS(3006),
    [anon_sym_module] = ACTIONS(3006),
    [anon_sym_any] = ACTIONS(3006),
    [anon_sym_number] = ACTIONS(3006),
    [anon_sym_boolean] = ACTIONS(3006),
    [anon_sym_string] = ACTIONS(3006),
    [anon_sym_symbol] = ACTIONS(3006),
    [anon_sym_object] = ACTIONS(3006),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [870] = {
    [sym__call_signature] = STATE(7402),
    [sym_comment] = STATE(870),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(3004),
    [anon_sym_export] = ACTIONS(3006),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3006),
    [anon_sym_EQ] = ACTIONS(1258),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3006),
    [anon_sym_let] = ACTIONS(3006),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3006),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(1224),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3006),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3006),
    [anon_sym_readonly] = ACTIONS(3006),
    [anon_sym_get] = ACTIONS(3006),
    [anon_sym_set] = ACTIONS(3006),
    [anon_sym_declare] = ACTIONS(3006),
    [anon_sym_public] = ACTIONS(3006),
    [anon_sym_private] = ACTIONS(3006),
    [anon_sym_protected] = ACTIONS(3006),
    [anon_sym_override] = ACTIONS(3006),
    [anon_sym_module] = ACTIONS(3006),
    [anon_sym_any] = ACTIONS(3006),
    [anon_sym_number] = ACTIONS(3006),
    [anon_sym_boolean] = ACTIONS(3006),
    [anon_sym_string] = ACTIONS(3006),
    [anon_sym_symbol] = ACTIONS(3006),
    [anon_sym_object] = ACTIONS(3006),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [871] = {
    [sym__call_signature] = STATE(7285),
    [sym_comment] = STATE(871),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(3014),
    [anon_sym_export] = ACTIONS(3016),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3016),
    [anon_sym_EQ] = ACTIONS(1266),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3016),
    [anon_sym_let] = ACTIONS(3016),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3016),
    [anon_sym_function] = ACTIONS(3018),
    [anon_sym_EQ_GT] = ACTIONS(1272),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3016),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3016),
    [anon_sym_readonly] = ACTIONS(3016),
    [anon_sym_get] = ACTIONS(3016),
    [anon_sym_set] = ACTIONS(3016),
    [anon_sym_declare] = ACTIONS(3016),
    [anon_sym_public] = ACTIONS(3016),
    [anon_sym_private] = ACTIONS(3016),
    [anon_sym_protected] = ACTIONS(3016),
    [anon_sym_override] = ACTIONS(3016),
    [anon_sym_module] = ACTIONS(3016),
    [anon_sym_any] = ACTIONS(3016),
    [anon_sym_number] = ACTIONS(3016),
    [anon_sym_boolean] = ACTIONS(3016),
    [anon_sym_string] = ACTIONS(3016),
    [anon_sym_symbol] = ACTIONS(3016),
    [anon_sym_object] = ACTIONS(3016),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [872] = {
    [sym__call_signature] = STATE(7285),
    [sym_comment] = STATE(872),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(3014),
    [anon_sym_export] = ACTIONS(3016),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3016),
    [anon_sym_EQ] = ACTIONS(1266),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3016),
    [anon_sym_let] = ACTIONS(3016),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3016),
    [anon_sym_function] = ACTIONS(2988),
    [anon_sym_EQ_GT] = ACTIONS(1272),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3016),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3016),
    [anon_sym_readonly] = ACTIONS(3016),
    [anon_sym_get] = ACTIONS(3016),
    [anon_sym_set] = ACTIONS(3016),
    [anon_sym_declare] = ACTIONS(3016),
    [anon_sym_public] = ACTIONS(3016),
    [anon_sym_private] = ACTIONS(3016),
    [anon_sym_protected] = ACTIONS(3016),
    [anon_sym_override] = ACTIONS(3016),
    [anon_sym_module] = ACTIONS(3016),
    [anon_sym_any] = ACTIONS(3016),
    [anon_sym_number] = ACTIONS(3016),
    [anon_sym_boolean] = ACTIONS(3016),
    [anon_sym_string] = ACTIONS(3016),
    [anon_sym_symbol] = ACTIONS(3016),
    [anon_sym_object] = ACTIONS(3016),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [873] = {
    [sym__call_signature] = STATE(7077),
    [sym_comment] = STATE(873),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(3020),
    [anon_sym_export] = ACTIONS(3022),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3022),
    [anon_sym_EQ] = ACTIONS(1250),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3022),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3022),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3022),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(1244),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3022),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3022),
    [anon_sym_readonly] = ACTIONS(3022),
    [anon_sym_get] = ACTIONS(3022),
    [anon_sym_set] = ACTIONS(3022),
    [anon_sym_declare] = ACTIONS(3022),
    [anon_sym_public] = ACTIONS(3022),
    [anon_sym_private] = ACTIONS(3022),
    [anon_sym_protected] = ACTIONS(3022),
    [anon_sym_override] = ACTIONS(3022),
    [anon_sym_module] = ACTIONS(3022),
    [anon_sym_any] = ACTIONS(3022),
    [anon_sym_number] = ACTIONS(3022),
    [anon_sym_boolean] = ACTIONS(3022),
    [anon_sym_string] = ACTIONS(3022),
    [anon_sym_symbol] = ACTIONS(3022),
    [anon_sym_object] = ACTIONS(3022),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [874] = {
    [sym__call_signature] = STATE(7285),
    [sym_comment] = STATE(874),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(3014),
    [anon_sym_export] = ACTIONS(3016),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3016),
    [anon_sym_EQ] = ACTIONS(1266),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3016),
    [anon_sym_let] = ACTIONS(3016),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3016),
    [anon_sym_function] = ACTIONS(2994),
    [anon_sym_EQ_GT] = ACTIONS(1272),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3016),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3016),
    [anon_sym_readonly] = ACTIONS(3016),
    [anon_sym_get] = ACTIONS(3016),
    [anon_sym_set] = ACTIONS(3016),
    [anon_sym_declare] = ACTIONS(3016),
    [anon_sym_public] = ACTIONS(3016),
    [anon_sym_private] = ACTIONS(3016),
    [anon_sym_protected] = ACTIONS(3016),
    [anon_sym_override] = ACTIONS(3016),
    [anon_sym_module] = ACTIONS(3016),
    [anon_sym_any] = ACTIONS(3016),
    [anon_sym_number] = ACTIONS(3016),
    [anon_sym_boolean] = ACTIONS(3016),
    [anon_sym_string] = ACTIONS(3016),
    [anon_sym_symbol] = ACTIONS(3016),
    [anon_sym_object] = ACTIONS(3016),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [875] = {
    [sym__call_signature] = STATE(7077),
    [sym_comment] = STATE(875),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(3020),
    [anon_sym_export] = ACTIONS(3022),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3022),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3022),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3022),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3022),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(1244),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3022),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3022),
    [anon_sym_readonly] = ACTIONS(3022),
    [anon_sym_get] = ACTIONS(3022),
    [anon_sym_set] = ACTIONS(3022),
    [anon_sym_declare] = ACTIONS(3022),
    [anon_sym_public] = ACTIONS(3022),
    [anon_sym_private] = ACTIONS(3022),
    [anon_sym_protected] = ACTIONS(3022),
    [anon_sym_override] = ACTIONS(3022),
    [anon_sym_module] = ACTIONS(3022),
    [anon_sym_any] = ACTIONS(3022),
    [anon_sym_number] = ACTIONS(3022),
    [anon_sym_boolean] = ACTIONS(3022),
    [anon_sym_string] = ACTIONS(3022),
    [anon_sym_symbol] = ACTIONS(3022),
    [anon_sym_object] = ACTIONS(3022),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [876] = {
    [sym__call_signature] = STATE(7285),
    [sym_comment] = STATE(876),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(3014),
    [anon_sym_export] = ACTIONS(3016),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3016),
    [anon_sym_EQ] = ACTIONS(1266),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3016),
    [anon_sym_let] = ACTIONS(3016),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3016),
    [anon_sym_function] = ACTIONS(2996),
    [anon_sym_EQ_GT] = ACTIONS(1272),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3016),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3016),
    [anon_sym_readonly] = ACTIONS(3016),
    [anon_sym_get] = ACTIONS(3016),
    [anon_sym_set] = ACTIONS(3016),
    [anon_sym_declare] = ACTIONS(3016),
    [anon_sym_public] = ACTIONS(3016),
    [anon_sym_private] = ACTIONS(3016),
    [anon_sym_protected] = ACTIONS(3016),
    [anon_sym_override] = ACTIONS(3016),
    [anon_sym_module] = ACTIONS(3016),
    [anon_sym_any] = ACTIONS(3016),
    [anon_sym_number] = ACTIONS(3016),
    [anon_sym_boolean] = ACTIONS(3016),
    [anon_sym_string] = ACTIONS(3016),
    [anon_sym_symbol] = ACTIONS(3016),
    [anon_sym_object] = ACTIONS(3016),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [877] = {
    [sym__call_signature] = STATE(7285),
    [sym_comment] = STATE(877),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(3014),
    [anon_sym_export] = ACTIONS(3016),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3016),
    [anon_sym_EQ] = ACTIONS(1266),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3016),
    [anon_sym_let] = ACTIONS(3016),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3016),
    [anon_sym_function] = ACTIONS(2986),
    [anon_sym_EQ_GT] = ACTIONS(1272),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3016),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3016),
    [anon_sym_readonly] = ACTIONS(3016),
    [anon_sym_get] = ACTIONS(3016),
    [anon_sym_set] = ACTIONS(3016),
    [anon_sym_declare] = ACTIONS(3016),
    [anon_sym_public] = ACTIONS(3016),
    [anon_sym_private] = ACTIONS(3016),
    [anon_sym_protected] = ACTIONS(3016),
    [anon_sym_override] = ACTIONS(3016),
    [anon_sym_module] = ACTIONS(3016),
    [anon_sym_any] = ACTIONS(3016),
    [anon_sym_number] = ACTIONS(3016),
    [anon_sym_boolean] = ACTIONS(3016),
    [anon_sym_string] = ACTIONS(3016),
    [anon_sym_symbol] = ACTIONS(3016),
    [anon_sym_object] = ACTIONS(3016),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [878] = {
    [sym__call_signature] = STATE(7166),
    [sym_comment] = STATE(878),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(1201),
    [anon_sym_of] = ACTIONS(1204),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_object] = ACTIONS(2968),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [879] = {
    [sym__call_signature] = STATE(7333),
    [sym_comment] = STATE(879),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(3024),
    [anon_sym_export] = ACTIONS(3026),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3026),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3026),
    [anon_sym_let] = ACTIONS(3026),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3026),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(1286),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3026),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3026),
    [anon_sym_readonly] = ACTIONS(3026),
    [anon_sym_get] = ACTIONS(3026),
    [anon_sym_set] = ACTIONS(3026),
    [anon_sym_declare] = ACTIONS(3026),
    [anon_sym_public] = ACTIONS(3026),
    [anon_sym_private] = ACTIONS(3026),
    [anon_sym_protected] = ACTIONS(3026),
    [anon_sym_override] = ACTIONS(3026),
    [anon_sym_module] = ACTIONS(3026),
    [anon_sym_any] = ACTIONS(3026),
    [anon_sym_number] = ACTIONS(3026),
    [anon_sym_boolean] = ACTIONS(3026),
    [anon_sym_string] = ACTIONS(3026),
    [anon_sym_symbol] = ACTIONS(3026),
    [anon_sym_object] = ACTIONS(3026),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [880] = {
    [sym_comment] = STATE(880),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_default] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_RBRACE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_else] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_case] = ACTIONS(2141),
    [anon_sym_catch] = ACTIONS(2141),
    [anon_sym_finally] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LTtemplate_GT] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_using] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_LT] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [sym_private_property_identifier] = ACTIONS(2141),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_object] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
    [sym__automatic_semicolon] = ACTIONS(3028),
    [sym_html_comment] = ACTIONS(5),
  },
  [881] = {
    [sym__call_signature] = STATE(7166),
    [sym_comment] = STATE(881),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_object] = ACTIONS(2968),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [882] = {
    [sym_catch_clause] = STATE(930),
    [sym_finally_clause] = STATE(1387),
    [sym_comment] = STATE(882),
    [ts_builtin_sym_end] = ACTIONS(3030),
    [sym_identifier] = ACTIONS(3008),
    [anon_sym_export] = ACTIONS(3008),
    [anon_sym_type] = ACTIONS(3008),
    [anon_sym_namespace] = ACTIONS(3008),
    [anon_sym_LBRACE] = ACTIONS(3008),
    [anon_sym_RBRACE] = ACTIONS(3008),
    [anon_sym_typeof] = ACTIONS(3008),
    [anon_sym_import] = ACTIONS(3008),
    [anon_sym_var] = ACTIONS(3008),
    [anon_sym_let] = ACTIONS(3008),
    [anon_sym_const] = ACTIONS(3008),
    [anon_sym_BANG] = ACTIONS(3008),
    [anon_sym_else] = ACTIONS(3008),
    [anon_sym_if] = ACTIONS(3008),
    [anon_sym_switch] = ACTIONS(3008),
    [anon_sym_for] = ACTIONS(3008),
    [anon_sym_LPAREN] = ACTIONS(3008),
    [anon_sym_await] = ACTIONS(3008),
    [anon_sym_while] = ACTIONS(3008),
    [anon_sym_do] = ACTIONS(3008),
    [anon_sym_try] = ACTIONS(3008),
    [anon_sym_with] = ACTIONS(3008),
    [anon_sym_break] = ACTIONS(3008),
    [anon_sym_continue] = ACTIONS(3008),
    [anon_sym_debugger] = ACTIONS(3008),
    [anon_sym_return] = ACTIONS(3008),
    [anon_sym_throw] = ACTIONS(3008),
    [anon_sym_SEMI] = ACTIONS(3008),
    [anon_sym_catch] = ACTIONS(3032),
    [anon_sym_finally] = ACTIONS(3034),
    [anon_sym_yield] = ACTIONS(3008),
    [anon_sym_LBRACK] = ACTIONS(3008),
    [anon_sym_LTtemplate_GT] = ACTIONS(3008),
    [anon_sym_class] = ACTIONS(3008),
    [anon_sym_async] = ACTIONS(3008),
    [anon_sym_function] = ACTIONS(3008),
    [anon_sym_new] = ACTIONS(3008),
    [anon_sym_using] = ACTIONS(3008),
    [anon_sym_PLUS] = ACTIONS(3008),
    [anon_sym_DASH] = ACTIONS(3008),
    [anon_sym_SLASH] = ACTIONS(3008),
    [anon_sym_LT] = ACTIONS(3008),
    [anon_sym_TILDE] = ACTIONS(3008),
    [anon_sym_void] = ACTIONS(3008),
    [anon_sym_delete] = ACTIONS(3008),
    [anon_sym_PLUS_PLUS] = ACTIONS(3008),
    [anon_sym_DASH_DASH] = ACTIONS(3008),
    [anon_sym_DQUOTE] = ACTIONS(3008),
    [anon_sym_SQUOTE] = ACTIONS(3008),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3008),
    [sym_number] = ACTIONS(3008),
    [sym_private_property_identifier] = ACTIONS(3008),
    [sym_this] = ACTIONS(3008),
    [sym_super] = ACTIONS(3008),
    [sym_true] = ACTIONS(3008),
    [sym_false] = ACTIONS(3008),
    [sym_null] = ACTIONS(3008),
    [sym_undefined] = ACTIONS(3008),
    [anon_sym_AT] = ACTIONS(3008),
    [anon_sym_static] = ACTIONS(3008),
    [anon_sym_readonly] = ACTIONS(3008),
    [anon_sym_get] = ACTIONS(3008),
    [anon_sym_set] = ACTIONS(3008),
    [anon_sym_declare] = ACTIONS(3008),
    [anon_sym_public] = ACTIONS(3008),
    [anon_sym_private] = ACTIONS(3008),
    [anon_sym_protected] = ACTIONS(3008),
    [anon_sym_override] = ACTIONS(3008),
    [anon_sym_module] = ACTIONS(3008),
    [anon_sym_any] = ACTIONS(3008),
    [anon_sym_number] = ACTIONS(3008),
    [anon_sym_boolean] = ACTIONS(3008),
    [anon_sym_string] = ACTIONS(3008),
    [anon_sym_symbol] = ACTIONS(3008),
    [anon_sym_object] = ACTIONS(3008),
    [anon_sym_abstract] = ACTIONS(3008),
    [anon_sym_interface] = ACTIONS(3008),
    [anon_sym_enum] = ACTIONS(3008),
    [sym_html_comment] = ACTIONS(5),
  },
  [883] = {
    [sym_comment] = STATE(883),
    [sym_identifier] = ACTIONS(2065),
    [anon_sym_export] = ACTIONS(2065),
    [anon_sym_default] = ACTIONS(2065),
    [anon_sym_type] = ACTIONS(2065),
    [anon_sym_namespace] = ACTIONS(2065),
    [anon_sym_LBRACE] = ACTIONS(2065),
    [anon_sym_RBRACE] = ACTIONS(2065),
    [anon_sym_typeof] = ACTIONS(2065),
    [anon_sym_import] = ACTIONS(2065),
    [anon_sym_var] = ACTIONS(2065),
    [anon_sym_let] = ACTIONS(2065),
    [anon_sym_const] = ACTIONS(2065),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_else] = ACTIONS(2065),
    [anon_sym_if] = ACTIONS(2065),
    [anon_sym_switch] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2065),
    [anon_sym_LPAREN] = ACTIONS(2065),
    [anon_sym_await] = ACTIONS(2065),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_do] = ACTIONS(2065),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_with] = ACTIONS(2065),
    [anon_sym_break] = ACTIONS(2065),
    [anon_sym_continue] = ACTIONS(2065),
    [anon_sym_debugger] = ACTIONS(2065),
    [anon_sym_return] = ACTIONS(2065),
    [anon_sym_throw] = ACTIONS(2065),
    [anon_sym_SEMI] = ACTIONS(2065),
    [anon_sym_case] = ACTIONS(2065),
    [anon_sym_catch] = ACTIONS(2065),
    [anon_sym_finally] = ACTIONS(2065),
    [anon_sym_yield] = ACTIONS(2065),
    [anon_sym_LBRACK] = ACTIONS(2065),
    [anon_sym_LTtemplate_GT] = ACTIONS(2065),
    [anon_sym_class] = ACTIONS(2065),
    [anon_sym_async] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2065),
    [anon_sym_new] = ACTIONS(2065),
    [anon_sym_using] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2065),
    [anon_sym_DASH] = ACTIONS(2065),
    [anon_sym_SLASH] = ACTIONS(2065),
    [anon_sym_LT] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_void] = ACTIONS(2065),
    [anon_sym_delete] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_DQUOTE] = ACTIONS(2065),
    [anon_sym_SQUOTE] = ACTIONS(2065),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2065),
    [sym_number] = ACTIONS(2065),
    [sym_private_property_identifier] = ACTIONS(2065),
    [sym_this] = ACTIONS(2065),
    [sym_super] = ACTIONS(2065),
    [sym_true] = ACTIONS(2065),
    [sym_false] = ACTIONS(2065),
    [sym_null] = ACTIONS(2065),
    [sym_undefined] = ACTIONS(2065),
    [anon_sym_AT] = ACTIONS(2065),
    [anon_sym_static] = ACTIONS(2065),
    [anon_sym_readonly] = ACTIONS(2065),
    [anon_sym_get] = ACTIONS(2065),
    [anon_sym_set] = ACTIONS(2065),
    [anon_sym_declare] = ACTIONS(2065),
    [anon_sym_public] = ACTIONS(2065),
    [anon_sym_private] = ACTIONS(2065),
    [anon_sym_protected] = ACTIONS(2065),
    [anon_sym_override] = ACTIONS(2065),
    [anon_sym_module] = ACTIONS(2065),
    [anon_sym_any] = ACTIONS(2065),
    [anon_sym_number] = ACTIONS(2065),
    [anon_sym_boolean] = ACTIONS(2065),
    [anon_sym_string] = ACTIONS(2065),
    [anon_sym_symbol] = ACTIONS(2065),
    [anon_sym_object] = ACTIONS(2065),
    [anon_sym_abstract] = ACTIONS(2065),
    [anon_sym_interface] = ACTIONS(2065),
    [anon_sym_enum] = ACTIONS(2065),
    [sym__automatic_semicolon] = ACTIONS(3036),
    [sym_html_comment] = ACTIONS(5),
  },
  [884] = {
    [sym__call_signature] = STATE(7402),
    [sym_comment] = STATE(884),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(3004),
    [anon_sym_export] = ACTIONS(3006),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3006),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3006),
    [anon_sym_let] = ACTIONS(3006),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3006),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(1224),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3006),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3006),
    [anon_sym_readonly] = ACTIONS(3006),
    [anon_sym_get] = ACTIONS(3006),
    [anon_sym_set] = ACTIONS(3006),
    [anon_sym_declare] = ACTIONS(3006),
    [anon_sym_public] = ACTIONS(3006),
    [anon_sym_private] = ACTIONS(3006),
    [anon_sym_protected] = ACTIONS(3006),
    [anon_sym_override] = ACTIONS(3006),
    [anon_sym_module] = ACTIONS(3006),
    [anon_sym_any] = ACTIONS(3006),
    [anon_sym_number] = ACTIONS(3006),
    [anon_sym_boolean] = ACTIONS(3006),
    [anon_sym_string] = ACTIONS(3006),
    [anon_sym_symbol] = ACTIONS(3006),
    [anon_sym_object] = ACTIONS(3006),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [885] = {
    [sym_catch_clause] = STATE(949),
    [sym_finally_clause] = STATE(1332),
    [sym_comment] = STATE(885),
    [sym_identifier] = ACTIONS(3008),
    [anon_sym_export] = ACTIONS(3008),
    [anon_sym_default] = ACTIONS(3008),
    [anon_sym_type] = ACTIONS(3008),
    [anon_sym_namespace] = ACTIONS(3008),
    [anon_sym_LBRACE] = ACTIONS(3008),
    [anon_sym_RBRACE] = ACTIONS(3008),
    [anon_sym_typeof] = ACTIONS(3008),
    [anon_sym_import] = ACTIONS(3008),
    [anon_sym_var] = ACTIONS(3008),
    [anon_sym_let] = ACTIONS(3008),
    [anon_sym_const] = ACTIONS(3008),
    [anon_sym_BANG] = ACTIONS(3008),
    [anon_sym_if] = ACTIONS(3008),
    [anon_sym_switch] = ACTIONS(3008),
    [anon_sym_for] = ACTIONS(3008),
    [anon_sym_LPAREN] = ACTIONS(3008),
    [anon_sym_await] = ACTIONS(3008),
    [anon_sym_while] = ACTIONS(3008),
    [anon_sym_do] = ACTIONS(3008),
    [anon_sym_try] = ACTIONS(3008),
    [anon_sym_with] = ACTIONS(3008),
    [anon_sym_break] = ACTIONS(3008),
    [anon_sym_continue] = ACTIONS(3008),
    [anon_sym_debugger] = ACTIONS(3008),
    [anon_sym_return] = ACTIONS(3008),
    [anon_sym_throw] = ACTIONS(3008),
    [anon_sym_SEMI] = ACTIONS(3008),
    [anon_sym_case] = ACTIONS(3008),
    [anon_sym_catch] = ACTIONS(3038),
    [anon_sym_finally] = ACTIONS(3040),
    [anon_sym_yield] = ACTIONS(3008),
    [anon_sym_LBRACK] = ACTIONS(3008),
    [anon_sym_LTtemplate_GT] = ACTIONS(3008),
    [anon_sym_class] = ACTIONS(3008),
    [anon_sym_async] = ACTIONS(3008),
    [anon_sym_function] = ACTIONS(3008),
    [anon_sym_new] = ACTIONS(3008),
    [anon_sym_using] = ACTIONS(3008),
    [anon_sym_PLUS] = ACTIONS(3008),
    [anon_sym_DASH] = ACTIONS(3008),
    [anon_sym_SLASH] = ACTIONS(3008),
    [anon_sym_LT] = ACTIONS(3008),
    [anon_sym_TILDE] = ACTIONS(3008),
    [anon_sym_void] = ACTIONS(3008),
    [anon_sym_delete] = ACTIONS(3008),
    [anon_sym_PLUS_PLUS] = ACTIONS(3008),
    [anon_sym_DASH_DASH] = ACTIONS(3008),
    [anon_sym_DQUOTE] = ACTIONS(3008),
    [anon_sym_SQUOTE] = ACTIONS(3008),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3008),
    [sym_number] = ACTIONS(3008),
    [sym_private_property_identifier] = ACTIONS(3008),
    [sym_this] = ACTIONS(3008),
    [sym_super] = ACTIONS(3008),
    [sym_true] = ACTIONS(3008),
    [sym_false] = ACTIONS(3008),
    [sym_null] = ACTIONS(3008),
    [sym_undefined] = ACTIONS(3008),
    [anon_sym_AT] = ACTIONS(3008),
    [anon_sym_static] = ACTIONS(3008),
    [anon_sym_readonly] = ACTIONS(3008),
    [anon_sym_get] = ACTIONS(3008),
    [anon_sym_set] = ACTIONS(3008),
    [anon_sym_declare] = ACTIONS(3008),
    [anon_sym_public] = ACTIONS(3008),
    [anon_sym_private] = ACTIONS(3008),
    [anon_sym_protected] = ACTIONS(3008),
    [anon_sym_override] = ACTIONS(3008),
    [anon_sym_module] = ACTIONS(3008),
    [anon_sym_any] = ACTIONS(3008),
    [anon_sym_number] = ACTIONS(3008),
    [anon_sym_boolean] = ACTIONS(3008),
    [anon_sym_string] = ACTIONS(3008),
    [anon_sym_symbol] = ACTIONS(3008),
    [anon_sym_object] = ACTIONS(3008),
    [anon_sym_abstract] = ACTIONS(3008),
    [anon_sym_interface] = ACTIONS(3008),
    [anon_sym_enum] = ACTIONS(3008),
    [sym_html_comment] = ACTIONS(5),
  },
  [886] = {
    [sym__call_signature] = STATE(7333),
    [sym_comment] = STATE(886),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(3024),
    [anon_sym_export] = ACTIONS(3026),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3026),
    [anon_sym_EQ] = ACTIONS(1280),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3026),
    [anon_sym_let] = ACTIONS(3026),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3026),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(1286),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3026),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3026),
    [anon_sym_readonly] = ACTIONS(3026),
    [anon_sym_get] = ACTIONS(3026),
    [anon_sym_set] = ACTIONS(3026),
    [anon_sym_declare] = ACTIONS(3026),
    [anon_sym_public] = ACTIONS(3026),
    [anon_sym_private] = ACTIONS(3026),
    [anon_sym_protected] = ACTIONS(3026),
    [anon_sym_override] = ACTIONS(3026),
    [anon_sym_module] = ACTIONS(3026),
    [anon_sym_any] = ACTIONS(3026),
    [anon_sym_number] = ACTIONS(3026),
    [anon_sym_boolean] = ACTIONS(3026),
    [anon_sym_string] = ACTIONS(3026),
    [anon_sym_symbol] = ACTIONS(3026),
    [anon_sym_object] = ACTIONS(3026),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [887] = {
    [sym__call_signature] = STATE(7402),
    [sym_comment] = STATE(887),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(3004),
    [anon_sym_export] = ACTIONS(3006),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3006),
    [anon_sym_EQ] = ACTIONS(1258),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3006),
    [anon_sym_let] = ACTIONS(3006),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3006),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(1224),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3006),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3006),
    [anon_sym_readonly] = ACTIONS(3006),
    [anon_sym_get] = ACTIONS(3006),
    [anon_sym_set] = ACTIONS(3006),
    [anon_sym_declare] = ACTIONS(3006),
    [anon_sym_public] = ACTIONS(3006),
    [anon_sym_private] = ACTIONS(3006),
    [anon_sym_protected] = ACTIONS(3006),
    [anon_sym_override] = ACTIONS(3006),
    [anon_sym_module] = ACTIONS(3006),
    [anon_sym_any] = ACTIONS(3006),
    [anon_sym_number] = ACTIONS(3006),
    [anon_sym_boolean] = ACTIONS(3006),
    [anon_sym_string] = ACTIONS(3006),
    [anon_sym_symbol] = ACTIONS(3006),
    [anon_sym_object] = ACTIONS(3006),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [888] = {
    [sym__call_signature] = STATE(7166),
    [sym_comment] = STATE(888),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_EQ] = ACTIONS(1294),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_object] = ACTIONS(2968),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [889] = {
    [sym_comment] = STATE(889),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_default] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_RBRACE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_else] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_case] = ACTIONS(2141),
    [anon_sym_finally] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LTtemplate_GT] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_using] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_LT] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [sym_private_property_identifier] = ACTIONS(2141),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_object] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
    [sym__automatic_semicolon] = ACTIONS(3042),
    [sym_html_comment] = ACTIONS(5),
  },
  [890] = {
    [sym_comment] = STATE(890),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_default] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_RBRACE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_case] = ACTIONS(2141),
    [anon_sym_catch] = ACTIONS(2141),
    [anon_sym_finally] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LTtemplate_GT] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_using] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_LT] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [sym_private_property_identifier] = ACTIONS(2141),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_object] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
    [sym__automatic_semicolon] = ACTIONS(3044),
    [sym_html_comment] = ACTIONS(5),
  },
  [891] = {
    [sym__call_signature] = STATE(7166),
    [sym_comment] = STATE(891),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_EQ] = ACTIONS(1292),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_object] = ACTIONS(2968),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [892] = {
    [sym_comment] = STATE(892),
    [ts_builtin_sym_end] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2065),
    [anon_sym_export] = ACTIONS(2065),
    [anon_sym_type] = ACTIONS(2065),
    [anon_sym_namespace] = ACTIONS(2065),
    [anon_sym_LBRACE] = ACTIONS(2065),
    [anon_sym_RBRACE] = ACTIONS(2065),
    [anon_sym_typeof] = ACTIONS(2065),
    [anon_sym_import] = ACTIONS(2065),
    [anon_sym_var] = ACTIONS(2065),
    [anon_sym_let] = ACTIONS(2065),
    [anon_sym_const] = ACTIONS(2065),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_else] = ACTIONS(2065),
    [anon_sym_if] = ACTIONS(2065),
    [anon_sym_switch] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2065),
    [anon_sym_LPAREN] = ACTIONS(2065),
    [anon_sym_await] = ACTIONS(2065),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_do] = ACTIONS(2065),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_with] = ACTIONS(2065),
    [anon_sym_break] = ACTIONS(2065),
    [anon_sym_continue] = ACTIONS(2065),
    [anon_sym_debugger] = ACTIONS(2065),
    [anon_sym_return] = ACTIONS(2065),
    [anon_sym_throw] = ACTIONS(2065),
    [anon_sym_SEMI] = ACTIONS(2065),
    [anon_sym_catch] = ACTIONS(2065),
    [anon_sym_finally] = ACTIONS(2065),
    [anon_sym_yield] = ACTIONS(2065),
    [anon_sym_LBRACK] = ACTIONS(2065),
    [anon_sym_LTtemplate_GT] = ACTIONS(2065),
    [anon_sym_class] = ACTIONS(2065),
    [anon_sym_async] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2065),
    [anon_sym_new] = ACTIONS(2065),
    [anon_sym_using] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2065),
    [anon_sym_DASH] = ACTIONS(2065),
    [anon_sym_SLASH] = ACTIONS(2065),
    [anon_sym_LT] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_void] = ACTIONS(2065),
    [anon_sym_delete] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_DQUOTE] = ACTIONS(2065),
    [anon_sym_SQUOTE] = ACTIONS(2065),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2065),
    [sym_number] = ACTIONS(2065),
    [sym_private_property_identifier] = ACTIONS(2065),
    [sym_this] = ACTIONS(2065),
    [sym_super] = ACTIONS(2065),
    [sym_true] = ACTIONS(2065),
    [sym_false] = ACTIONS(2065),
    [sym_null] = ACTIONS(2065),
    [sym_undefined] = ACTIONS(2065),
    [anon_sym_AT] = ACTIONS(2065),
    [anon_sym_static] = ACTIONS(2065),
    [anon_sym_readonly] = ACTIONS(2065),
    [anon_sym_get] = ACTIONS(2065),
    [anon_sym_set] = ACTIONS(2065),
    [anon_sym_declare] = ACTIONS(2065),
    [anon_sym_public] = ACTIONS(2065),
    [anon_sym_private] = ACTIONS(2065),
    [anon_sym_protected] = ACTIONS(2065),
    [anon_sym_override] = ACTIONS(2065),
    [anon_sym_module] = ACTIONS(2065),
    [anon_sym_any] = ACTIONS(2065),
    [anon_sym_number] = ACTIONS(2065),
    [anon_sym_boolean] = ACTIONS(2065),
    [anon_sym_string] = ACTIONS(2065),
    [anon_sym_symbol] = ACTIONS(2065),
    [anon_sym_object] = ACTIONS(2065),
    [anon_sym_abstract] = ACTIONS(2065),
    [anon_sym_interface] = ACTIONS(2065),
    [anon_sym_enum] = ACTIONS(2065),
    [sym__automatic_semicolon] = ACTIONS(3046),
    [sym_html_comment] = ACTIONS(5),
  },
  [893] = {
    [sym_statement_block] = STATE(1041),
    [sym_comment] = STATE(893),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_default] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(3048),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_else] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_case] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_DOT] = ACTIONS(3050),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym_html_comment] = ACTIONS(5),
  },
  [894] = {
    [sym_statement_block] = STATE(1041),
    [sym_comment] = STATE(894),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_default] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(3048),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_else] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_case] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_DOT] = ACTIONS(3052),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym_html_comment] = ACTIONS(5),
  },
  [895] = {
    [sym__call_signature] = STATE(7166),
    [sym_comment] = STATE(895),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_EQ] = ACTIONS(1356),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_object] = ACTIONS(2968),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [896] = {
    [sym__call_signature] = STATE(7166),
    [sym_comment] = STATE(896),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_EQ] = ACTIONS(1298),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_object] = ACTIONS(2968),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [897] = {
    [sym__call_signature] = STATE(7166),
    [sym_comment] = STATE(897),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_EQ] = ACTIONS(1354),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_object] = ACTIONS(2968),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [898] = {
    [sym_catch_clause] = STATE(1141),
    [sym_finally_clause] = STATE(1641),
    [sym_comment] = STATE(898),
    [ts_builtin_sym_end] = ACTIONS(3030),
    [sym_identifier] = ACTIONS(3008),
    [anon_sym_export] = ACTIONS(3008),
    [anon_sym_type] = ACTIONS(3008),
    [anon_sym_namespace] = ACTIONS(3008),
    [anon_sym_LBRACE] = ACTIONS(3008),
    [anon_sym_RBRACE] = ACTIONS(3008),
    [anon_sym_typeof] = ACTIONS(3008),
    [anon_sym_import] = ACTIONS(3008),
    [anon_sym_var] = ACTIONS(3008),
    [anon_sym_let] = ACTIONS(3008),
    [anon_sym_const] = ACTIONS(3008),
    [anon_sym_BANG] = ACTIONS(3008),
    [anon_sym_if] = ACTIONS(3008),
    [anon_sym_switch] = ACTIONS(3008),
    [anon_sym_for] = ACTIONS(3008),
    [anon_sym_LPAREN] = ACTIONS(3008),
    [anon_sym_await] = ACTIONS(3008),
    [anon_sym_while] = ACTIONS(3008),
    [anon_sym_do] = ACTIONS(3008),
    [anon_sym_try] = ACTIONS(3008),
    [anon_sym_with] = ACTIONS(3008),
    [anon_sym_break] = ACTIONS(3008),
    [anon_sym_continue] = ACTIONS(3008),
    [anon_sym_debugger] = ACTIONS(3008),
    [anon_sym_return] = ACTIONS(3008),
    [anon_sym_throw] = ACTIONS(3008),
    [anon_sym_SEMI] = ACTIONS(3008),
    [anon_sym_catch] = ACTIONS(3054),
    [anon_sym_finally] = ACTIONS(3056),
    [anon_sym_yield] = ACTIONS(3008),
    [anon_sym_LBRACK] = ACTIONS(3008),
    [anon_sym_LTtemplate_GT] = ACTIONS(3008),
    [anon_sym_class] = ACTIONS(3008),
    [anon_sym_async] = ACTIONS(3008),
    [anon_sym_function] = ACTIONS(3008),
    [anon_sym_new] = ACTIONS(3008),
    [anon_sym_using] = ACTIONS(3008),
    [anon_sym_PLUS] = ACTIONS(3008),
    [anon_sym_DASH] = ACTIONS(3008),
    [anon_sym_SLASH] = ACTIONS(3008),
    [anon_sym_LT] = ACTIONS(3008),
    [anon_sym_TILDE] = ACTIONS(3008),
    [anon_sym_void] = ACTIONS(3008),
    [anon_sym_delete] = ACTIONS(3008),
    [anon_sym_PLUS_PLUS] = ACTIONS(3008),
    [anon_sym_DASH_DASH] = ACTIONS(3008),
    [anon_sym_DQUOTE] = ACTIONS(3008),
    [anon_sym_SQUOTE] = ACTIONS(3008),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3008),
    [sym_number] = ACTIONS(3008),
    [sym_private_property_identifier] = ACTIONS(3008),
    [sym_this] = ACTIONS(3008),
    [sym_super] = ACTIONS(3008),
    [sym_true] = ACTIONS(3008),
    [sym_false] = ACTIONS(3008),
    [sym_null] = ACTIONS(3008),
    [sym_undefined] = ACTIONS(3008),
    [anon_sym_AT] = ACTIONS(3008),
    [anon_sym_static] = ACTIONS(3008),
    [anon_sym_readonly] = ACTIONS(3008),
    [anon_sym_get] = ACTIONS(3008),
    [anon_sym_set] = ACTIONS(3008),
    [anon_sym_declare] = ACTIONS(3008),
    [anon_sym_public] = ACTIONS(3008),
    [anon_sym_private] = ACTIONS(3008),
    [anon_sym_protected] = ACTIONS(3008),
    [anon_sym_override] = ACTIONS(3008),
    [anon_sym_module] = ACTIONS(3008),
    [anon_sym_any] = ACTIONS(3008),
    [anon_sym_number] = ACTIONS(3008),
    [anon_sym_boolean] = ACTIONS(3008),
    [anon_sym_string] = ACTIONS(3008),
    [anon_sym_symbol] = ACTIONS(3008),
    [anon_sym_object] = ACTIONS(3008),
    [anon_sym_abstract] = ACTIONS(3008),
    [anon_sym_interface] = ACTIONS(3008),
    [anon_sym_enum] = ACTIONS(3008),
    [sym_html_comment] = ACTIONS(5),
  },
  [899] = {
    [sym_comment] = STATE(899),
    [ts_builtin_sym_end] = ACTIONS(2143),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_RBRACE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_else] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_catch] = ACTIONS(2141),
    [anon_sym_finally] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LTtemplate_GT] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_using] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_LT] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [sym_private_property_identifier] = ACTIONS(2141),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_object] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
    [sym__automatic_semicolon] = ACTIONS(3058),
    [sym_html_comment] = ACTIONS(5),
  },
  [900] = {
    [sym__call_signature] = STATE(7166),
    [sym_comment] = STATE(900),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_EQ] = ACTIONS(1296),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_object] = ACTIONS(2968),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [901] = {
    [sym__call_signature] = STATE(7166),
    [sym_comment] = STATE(901),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_EQ] = ACTIONS(1302),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_object] = ACTIONS(2968),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [902] = {
    [sym_comment] = STATE(902),
    [sym_identifier] = ACTIONS(2165),
    [anon_sym_export] = ACTIONS(2165),
    [anon_sym_default] = ACTIONS(2165),
    [anon_sym_type] = ACTIONS(2165),
    [anon_sym_namespace] = ACTIONS(2165),
    [anon_sym_LBRACE] = ACTIONS(2165),
    [anon_sym_RBRACE] = ACTIONS(2165),
    [anon_sym_typeof] = ACTIONS(2165),
    [anon_sym_import] = ACTIONS(2165),
    [anon_sym_var] = ACTIONS(2165),
    [anon_sym_let] = ACTIONS(2165),
    [anon_sym_const] = ACTIONS(2165),
    [anon_sym_BANG] = ACTIONS(2165),
    [anon_sym_else] = ACTIONS(2165),
    [anon_sym_if] = ACTIONS(2165),
    [anon_sym_switch] = ACTIONS(2165),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_LPAREN] = ACTIONS(2165),
    [anon_sym_await] = ACTIONS(2165),
    [anon_sym_while] = ACTIONS(2165),
    [anon_sym_do] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_with] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2165),
    [anon_sym_continue] = ACTIONS(2165),
    [anon_sym_debugger] = ACTIONS(2165),
    [anon_sym_return] = ACTIONS(2165),
    [anon_sym_throw] = ACTIONS(2165),
    [anon_sym_SEMI] = ACTIONS(2165),
    [anon_sym_case] = ACTIONS(2165),
    [anon_sym_catch] = ACTIONS(2165),
    [anon_sym_finally] = ACTIONS(2165),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_LBRACK] = ACTIONS(2165),
    [anon_sym_LTtemplate_GT] = ACTIONS(2165),
    [anon_sym_class] = ACTIONS(2165),
    [anon_sym_async] = ACTIONS(2165),
    [anon_sym_function] = ACTIONS(2165),
    [anon_sym_new] = ACTIONS(2165),
    [anon_sym_using] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(2165),
    [anon_sym_DASH] = ACTIONS(2165),
    [anon_sym_SLASH] = ACTIONS(2165),
    [anon_sym_LT] = ACTIONS(2165),
    [anon_sym_TILDE] = ACTIONS(2165),
    [anon_sym_void] = ACTIONS(2165),
    [anon_sym_delete] = ACTIONS(2165),
    [anon_sym_PLUS_PLUS] = ACTIONS(2165),
    [anon_sym_DASH_DASH] = ACTIONS(2165),
    [anon_sym_DQUOTE] = ACTIONS(2165),
    [anon_sym_SQUOTE] = ACTIONS(2165),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2165),
    [sym_number] = ACTIONS(2165),
    [sym_private_property_identifier] = ACTIONS(2165),
    [sym_this] = ACTIONS(2165),
    [sym_super] = ACTIONS(2165),
    [sym_true] = ACTIONS(2165),
    [sym_false] = ACTIONS(2165),
    [sym_null] = ACTIONS(2165),
    [sym_undefined] = ACTIONS(2165),
    [anon_sym_AT] = ACTIONS(2165),
    [anon_sym_static] = ACTIONS(2165),
    [anon_sym_readonly] = ACTIONS(2165),
    [anon_sym_get] = ACTIONS(2165),
    [anon_sym_set] = ACTIONS(2165),
    [anon_sym_declare] = ACTIONS(2165),
    [anon_sym_public] = ACTIONS(2165),
    [anon_sym_private] = ACTIONS(2165),
    [anon_sym_protected] = ACTIONS(2165),
    [anon_sym_override] = ACTIONS(2165),
    [anon_sym_module] = ACTIONS(2165),
    [anon_sym_any] = ACTIONS(2165),
    [anon_sym_number] = ACTIONS(2165),
    [anon_sym_boolean] = ACTIONS(2165),
    [anon_sym_string] = ACTIONS(2165),
    [anon_sym_symbol] = ACTIONS(2165),
    [anon_sym_object] = ACTIONS(2165),
    [anon_sym_abstract] = ACTIONS(2165),
    [anon_sym_interface] = ACTIONS(2165),
    [anon_sym_enum] = ACTIONS(2165),
    [sym_html_comment] = ACTIONS(5),
  },
  [903] = {
    [sym__call_signature] = STATE(7166),
    [sym_comment] = STATE(903),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_EQ] = ACTIONS(1358),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_object] = ACTIONS(2968),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [904] = {
    [sym__call_signature] = STATE(7166),
    [sym_comment] = STATE(904),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_object] = ACTIONS(2968),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [905] = {
    [sym_comment] = STATE(905),
    [sym_identifier] = ACTIONS(2065),
    [anon_sym_export] = ACTIONS(2065),
    [anon_sym_default] = ACTIONS(2065),
    [anon_sym_type] = ACTIONS(2065),
    [anon_sym_namespace] = ACTIONS(2065),
    [anon_sym_LBRACE] = ACTIONS(2065),
    [anon_sym_RBRACE] = ACTIONS(2065),
    [anon_sym_typeof] = ACTIONS(2065),
    [anon_sym_import] = ACTIONS(2065),
    [anon_sym_var] = ACTIONS(2065),
    [anon_sym_let] = ACTIONS(2065),
    [anon_sym_const] = ACTIONS(2065),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_else] = ACTIONS(2065),
    [anon_sym_if] = ACTIONS(2065),
    [anon_sym_switch] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2065),
    [anon_sym_LPAREN] = ACTIONS(2065),
    [anon_sym_await] = ACTIONS(2065),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_do] = ACTIONS(2065),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_with] = ACTIONS(2065),
    [anon_sym_break] = ACTIONS(2065),
    [anon_sym_continue] = ACTIONS(2065),
    [anon_sym_debugger] = ACTIONS(2065),
    [anon_sym_return] = ACTIONS(2065),
    [anon_sym_throw] = ACTIONS(2065),
    [anon_sym_SEMI] = ACTIONS(2065),
    [anon_sym_case] = ACTIONS(2065),
    [anon_sym_finally] = ACTIONS(2065),
    [anon_sym_yield] = ACTIONS(2065),
    [anon_sym_LBRACK] = ACTIONS(2065),
    [anon_sym_LTtemplate_GT] = ACTIONS(2065),
    [anon_sym_class] = ACTIONS(2065),
    [anon_sym_async] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2065),
    [anon_sym_new] = ACTIONS(2065),
    [anon_sym_using] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2065),
    [anon_sym_DASH] = ACTIONS(2065),
    [anon_sym_SLASH] = ACTIONS(2065),
    [anon_sym_LT] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_void] = ACTIONS(2065),
    [anon_sym_delete] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_DQUOTE] = ACTIONS(2065),
    [anon_sym_SQUOTE] = ACTIONS(2065),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2065),
    [sym_number] = ACTIONS(2065),
    [sym_private_property_identifier] = ACTIONS(2065),
    [sym_this] = ACTIONS(2065),
    [sym_super] = ACTIONS(2065),
    [sym_true] = ACTIONS(2065),
    [sym_false] = ACTIONS(2065),
    [sym_null] = ACTIONS(2065),
    [sym_undefined] = ACTIONS(2065),
    [anon_sym_AT] = ACTIONS(2065),
    [anon_sym_static] = ACTIONS(2065),
    [anon_sym_readonly] = ACTIONS(2065),
    [anon_sym_get] = ACTIONS(2065),
    [anon_sym_set] = ACTIONS(2065),
    [anon_sym_declare] = ACTIONS(2065),
    [anon_sym_public] = ACTIONS(2065),
    [anon_sym_private] = ACTIONS(2065),
    [anon_sym_protected] = ACTIONS(2065),
    [anon_sym_override] = ACTIONS(2065),
    [anon_sym_module] = ACTIONS(2065),
    [anon_sym_any] = ACTIONS(2065),
    [anon_sym_number] = ACTIONS(2065),
    [anon_sym_boolean] = ACTIONS(2065),
    [anon_sym_string] = ACTIONS(2065),
    [anon_sym_symbol] = ACTIONS(2065),
    [anon_sym_object] = ACTIONS(2065),
    [anon_sym_abstract] = ACTIONS(2065),
    [anon_sym_interface] = ACTIONS(2065),
    [anon_sym_enum] = ACTIONS(2065),
    [sym__automatic_semicolon] = ACTIONS(3060),
    [sym_html_comment] = ACTIONS(5),
  },
  [906] = {
    [sym__call_signature] = STATE(7166),
    [sym_comment] = STATE(906),
    [sym_formal_parameters] = STATE(4843),
    [sym_type_parameters] = STATE(6637),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_export] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2968),
    [anon_sym_EQ] = ACTIONS(1300),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_let] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2968),
    [anon_sym_function] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_readonly] = ACTIONS(2968),
    [anon_sym_get] = ACTIONS(2968),
    [anon_sym_set] = ACTIONS(2968),
    [anon_sym_declare] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_override] = ACTIONS(2968),
    [anon_sym_module] = ACTIONS(2968),
    [anon_sym_any] = ACTIONS(2968),
    [anon_sym_number] = ACTIONS(2968),
    [anon_sym_boolean] = ACTIONS(2968),
    [anon_sym_string] = ACTIONS(2968),
    [anon_sym_symbol] = ACTIONS(2968),
    [anon_sym_object] = ACTIONS(2968),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [907] = {
    [sym_comment] = STATE(907),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_default] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_RBRACE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_else] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_case] = ACTIONS(2141),
    [anon_sym_catch] = ACTIONS(2141),
    [anon_sym_finally] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LTtemplate_GT] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_using] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_LT] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [sym_private_property_identifier] = ACTIONS(2141),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_object] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
    [sym_html_comment] = ACTIONS(5),
  },
  [908] = {
    [sym_comment] = STATE(908),
    [sym_identifier] = ACTIONS(2065),
    [anon_sym_export] = ACTIONS(2065),
    [anon_sym_default] = ACTIONS(2065),
    [anon_sym_type] = ACTIONS(2065),
    [anon_sym_namespace] = ACTIONS(2065),
    [anon_sym_LBRACE] = ACTIONS(2065),
    [anon_sym_RBRACE] = ACTIONS(2065),
    [anon_sym_typeof] = ACTIONS(2065),
    [anon_sym_import] = ACTIONS(2065),
    [anon_sym_var] = ACTIONS(2065),
    [anon_sym_let] = ACTIONS(2065),
    [anon_sym_const] = ACTIONS(2065),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_if] = ACTIONS(2065),
    [anon_sym_switch] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2065),
    [anon_sym_LPAREN] = ACTIONS(2065),
    [anon_sym_await] = ACTIONS(2065),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_do] = ACTIONS(2065),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_with] = ACTIONS(2065),
    [anon_sym_break] = ACTIONS(2065),
    [anon_sym_continue] = ACTIONS(2065),
    [anon_sym_debugger] = ACTIONS(2065),
    [anon_sym_return] = ACTIONS(2065),
    [anon_sym_throw] = ACTIONS(2065),
    [anon_sym_SEMI] = ACTIONS(2065),
    [anon_sym_case] = ACTIONS(2065),
    [anon_sym_catch] = ACTIONS(2065),
    [anon_sym_finally] = ACTIONS(2065),
    [anon_sym_yield] = ACTIONS(2065),
    [anon_sym_LBRACK] = ACTIONS(2065),
    [anon_sym_LTtemplate_GT] = ACTIONS(2065),
    [anon_sym_class] = ACTIONS(2065),
    [anon_sym_async] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2065),
    [anon_sym_new] = ACTIONS(2065),
    [anon_sym_using] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2065),
    [anon_sym_DASH] = ACTIONS(2065),
    [anon_sym_SLASH] = ACTIONS(2065),
    [anon_sym_LT] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_void] = ACTIONS(2065),
    [anon_sym_delete] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_DQUOTE] = ACTIONS(2065),
    [anon_sym_SQUOTE] = ACTIONS(2065),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2065),
    [sym_number] = ACTIONS(2065),
    [sym_private_property_identifier] = ACTIONS(2065),
    [sym_this] = ACTIONS(2065),
    [sym_super] = ACTIONS(2065),
    [sym_true] = ACTIONS(2065),
    [sym_false] = ACTIONS(2065),
    [sym_null] = ACTIONS(2065),
    [sym_undefined] = ACTIONS(2065),
    [anon_sym_AT] = ACTIONS(2065),
    [anon_sym_static] = ACTIONS(2065),
    [anon_sym_readonly] = ACTIONS(2065),
    [anon_sym_get] = ACTIONS(2065),
    [anon_sym_set] = ACTIONS(2065),
    [anon_sym_declare] = ACTIONS(2065),
    [anon_sym_public] = ACTIONS(2065),
    [anon_sym_private] = ACTIONS(2065),
    [anon_sym_protected] = ACTIONS(2065),
    [anon_sym_override] = ACTIONS(2065),
    [anon_sym_module] = ACTIONS(2065),
    [anon_sym_any] = ACTIONS(2065),
    [anon_sym_number] = ACTIONS(2065),
    [anon_sym_boolean] = ACTIONS(2065),
    [anon_sym_string] = ACTIONS(2065),
    [anon_sym_symbol] = ACTIONS(2065),
    [anon_sym_object] = ACTIONS(2065),
    [anon_sym_abstract] = ACTIONS(2065),
    [anon_sym_interface] = ACTIONS(2065),
    [anon_sym_enum] = ACTIONS(2065),
    [sym__automatic_semicolon] = ACTIONS(3062),
    [sym_html_comment] = ACTIONS(5),
  },
  [909] = {
    [sym_finally_clause] = STATE(1084),
    [sym_comment] = STATE(909),
    [sym_identifier] = ACTIONS(3064),
    [anon_sym_export] = ACTIONS(3064),
    [anon_sym_default] = ACTIONS(3064),
    [anon_sym_type] = ACTIONS(3064),
    [anon_sym_namespace] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3064),
    [anon_sym_RBRACE] = ACTIONS(3064),
    [anon_sym_typeof] = ACTIONS(3064),
    [anon_sym_import] = ACTIONS(3064),
    [anon_sym_var] = ACTIONS(3064),
    [anon_sym_let] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_BANG] = ACTIONS(3064),
    [anon_sym_else] = ACTIONS(3064),
    [anon_sym_if] = ACTIONS(3064),
    [anon_sym_switch] = ACTIONS(3064),
    [anon_sym_for] = ACTIONS(3064),
    [anon_sym_LPAREN] = ACTIONS(3064),
    [anon_sym_await] = ACTIONS(3064),
    [anon_sym_while] = ACTIONS(3064),
    [anon_sym_do] = ACTIONS(3064),
    [anon_sym_try] = ACTIONS(3064),
    [anon_sym_with] = ACTIONS(3064),
    [anon_sym_break] = ACTIONS(3064),
    [anon_sym_continue] = ACTIONS(3064),
    [anon_sym_debugger] = ACTIONS(3064),
    [anon_sym_return] = ACTIONS(3064),
    [anon_sym_throw] = ACTIONS(3064),
    [anon_sym_SEMI] = ACTIONS(3064),
    [anon_sym_case] = ACTIONS(3064),
    [anon_sym_finally] = ACTIONS(3012),
    [anon_sym_yield] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3064),
    [anon_sym_LTtemplate_GT] = ACTIONS(3064),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_async] = ACTIONS(3064),
    [anon_sym_function] = ACTIONS(3064),
    [anon_sym_new] = ACTIONS(3064),
    [anon_sym_using] = ACTIONS(3064),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3064),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_TILDE] = ACTIONS(3064),
    [anon_sym_void] = ACTIONS(3064),
    [anon_sym_delete] = ACTIONS(3064),
    [anon_sym_PLUS_PLUS] = ACTIONS(3064),
    [anon_sym_DASH_DASH] = ACTIONS(3064),
    [anon_sym_DQUOTE] = ACTIONS(3064),
    [anon_sym_SQUOTE] = ACTIONS(3064),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3064),
    [sym_number] = ACTIONS(3064),
    [sym_private_property_identifier] = ACTIONS(3064),
    [sym_this] = ACTIONS(3064),
    [sym_super] = ACTIONS(3064),
    [sym_true] = ACTIONS(3064),
    [sym_false] = ACTIONS(3064),
    [sym_null] = ACTIONS(3064),
    [sym_undefined] = ACTIONS(3064),
    [anon_sym_AT] = ACTIONS(3064),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_readonly] = ACTIONS(3064),
    [anon_sym_get] = ACTIONS(3064),
    [anon_sym_set] = ACTIONS(3064),
    [anon_sym_declare] = ACTIONS(3064),
    [anon_sym_public] = ACTIONS(3064),
    [anon_sym_private] = ACTIONS(3064),
    [anon_sym_protected] = ACTIONS(3064),
    [anon_sym_override] = ACTIONS(3064),
    [anon_sym_module] = ACTIONS(3064),
    [anon_sym_any] = ACTIONS(3064),
    [anon_sym_number] = ACTIONS(3064),
    [anon_sym_boolean] = ACTIONS(3064),
    [anon_sym_string] = ACTIONS(3064),
    [anon_sym_symbol] = ACTIONS(3064),
    [anon_sym_object] = ACTIONS(3064),
    [anon_sym_abstract] = ACTIONS(3064),
    [anon_sym_interface] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [sym_html_comment] = ACTIONS(5),
  },
  [910] = {
    [sym_comment] = STATE(910),
    [sym_identifier] = ACTIONS(2223),
    [anon_sym_export] = ACTIONS(2223),
    [anon_sym_default] = ACTIONS(2223),
    [anon_sym_type] = ACTIONS(2223),
    [anon_sym_namespace] = ACTIONS(2223),
    [anon_sym_LBRACE] = ACTIONS(2223),
    [anon_sym_RBRACE] = ACTIONS(2223),
    [anon_sym_typeof] = ACTIONS(2223),
    [anon_sym_import] = ACTIONS(2223),
    [anon_sym_var] = ACTIONS(2223),
    [anon_sym_let] = ACTIONS(2223),
    [anon_sym_const] = ACTIONS(2223),
    [anon_sym_BANG] = ACTIONS(2223),
    [anon_sym_else] = ACTIONS(2223),
    [anon_sym_if] = ACTIONS(2223),
    [anon_sym_switch] = ACTIONS(2223),
    [anon_sym_for] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(2223),
    [anon_sym_await] = ACTIONS(2223),
    [anon_sym_while] = ACTIONS(2223),
    [anon_sym_do] = ACTIONS(2223),
    [anon_sym_try] = ACTIONS(2223),
    [anon_sym_with] = ACTIONS(2223),
    [anon_sym_break] = ACTIONS(2223),
    [anon_sym_continue] = ACTIONS(2223),
    [anon_sym_debugger] = ACTIONS(2223),
    [anon_sym_return] = ACTIONS(2223),
    [anon_sym_throw] = ACTIONS(2223),
    [anon_sym_SEMI] = ACTIONS(2223),
    [anon_sym_case] = ACTIONS(2223),
    [anon_sym_yield] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(2223),
    [anon_sym_LTtemplate_GT] = ACTIONS(2223),
    [anon_sym_class] = ACTIONS(2223),
    [anon_sym_async] = ACTIONS(2223),
    [anon_sym_function] = ACTIONS(2223),
    [anon_sym_new] = ACTIONS(2223),
    [anon_sym_using] = ACTIONS(2223),
    [anon_sym_PLUS] = ACTIONS(2223),
    [anon_sym_DASH] = ACTIONS(2223),
    [anon_sym_SLASH] = ACTIONS(2223),
    [anon_sym_LT] = ACTIONS(2223),
    [anon_sym_TILDE] = ACTIONS(2223),
    [anon_sym_void] = ACTIONS(2223),
    [anon_sym_delete] = ACTIONS(2223),
    [anon_sym_PLUS_PLUS] = ACTIONS(2223),
    [anon_sym_DASH_DASH] = ACTIONS(2223),
    [anon_sym_DQUOTE] = ACTIONS(2223),
    [anon_sym_SQUOTE] = ACTIONS(2223),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2223),
    [sym_number] = ACTIONS(2223),
    [sym_private_property_identifier] = ACTIONS(2223),
    [sym_this] = ACTIONS(2223),
    [sym_super] = ACTIONS(2223),
    [sym_true] = ACTIONS(2223),
    [sym_false] = ACTIONS(2223),
    [sym_null] = ACTIONS(2223),
    [sym_undefined] = ACTIONS(2223),
    [anon_sym_AT] = ACTIONS(2223),
    [anon_sym_static] = ACTIONS(2223),
    [anon_sym_readonly] = ACTIONS(2223),
    [anon_sym_get] = ACTIONS(2223),
    [anon_sym_set] = ACTIONS(2223),
    [anon_sym_declare] = ACTIONS(2223),
    [anon_sym_public] = ACTIONS(2223),
    [anon_sym_private] = ACTIONS(2223),
    [anon_sym_protected] = ACTIONS(2223),
    [anon_sym_override] = ACTIONS(2223),
    [anon_sym_module] = ACTIONS(2223),
    [anon_sym_any] = ACTIONS(2223),
    [anon_sym_number] = ACTIONS(2223),
    [anon_sym_boolean] = ACTIONS(2223),
    [anon_sym_string] = ACTIONS(2223),
    [anon_sym_symbol] = ACTIONS(2223),
    [anon_sym_object] = ACTIONS(2223),
    [anon_sym_abstract] = ACTIONS(2223),
    [anon_sym_interface] = ACTIONS(2223),
    [anon_sym_enum] = ACTIONS(2223),
    [sym__automatic_semicolon] = ACTIONS(2227),
    [sym_html_comment] = ACTIONS(5),
  },
  [911] = {
    [sym_comment] = STATE(911),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_default] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_RBRACE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_else] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_case] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LTtemplate_GT] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_using] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_LT] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [sym_private_property_identifier] = ACTIONS(2141),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_object] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
    [sym__automatic_semicolon] = ACTIONS(2143),
    [sym_html_comment] = ACTIONS(5),
  },
  [912] = {
    [sym_comment] = STATE(912),
    [sym_identifier] = ACTIONS(2249),
    [anon_sym_export] = ACTIONS(2249),
    [anon_sym_default] = ACTIONS(2249),
    [anon_sym_type] = ACTIONS(2249),
    [anon_sym_namespace] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2249),
    [anon_sym_RBRACE] = ACTIONS(2249),
    [anon_sym_typeof] = ACTIONS(2249),
    [anon_sym_import] = ACTIONS(2249),
    [anon_sym_var] = ACTIONS(2249),
    [anon_sym_let] = ACTIONS(2249),
    [anon_sym_const] = ACTIONS(2249),
    [anon_sym_BANG] = ACTIONS(2249),
    [anon_sym_else] = ACTIONS(2249),
    [anon_sym_if] = ACTIONS(2249),
    [anon_sym_switch] = ACTIONS(2249),
    [anon_sym_for] = ACTIONS(2249),
    [anon_sym_LPAREN] = ACTIONS(2249),
    [anon_sym_await] = ACTIONS(2249),
    [anon_sym_while] = ACTIONS(2249),
    [anon_sym_do] = ACTIONS(2249),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_with] = ACTIONS(2249),
    [anon_sym_break] = ACTIONS(2249),
    [anon_sym_continue] = ACTIONS(2249),
    [anon_sym_debugger] = ACTIONS(2249),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_throw] = ACTIONS(2249),
    [anon_sym_SEMI] = ACTIONS(2249),
    [anon_sym_case] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2249),
    [anon_sym_LBRACK] = ACTIONS(2249),
    [anon_sym_LTtemplate_GT] = ACTIONS(2249),
    [anon_sym_class] = ACTIONS(2249),
    [anon_sym_async] = ACTIONS(2249),
    [anon_sym_function] = ACTIONS(2249),
    [anon_sym_new] = ACTIONS(2249),
    [anon_sym_using] = ACTIONS(2249),
    [anon_sym_PLUS] = ACTIONS(2249),
    [anon_sym_DASH] = ACTIONS(2249),
    [anon_sym_SLASH] = ACTIONS(2249),
    [anon_sym_LT] = ACTIONS(2249),
    [anon_sym_TILDE] = ACTIONS(2249),
    [anon_sym_void] = ACTIONS(2249),
    [anon_sym_delete] = ACTIONS(2249),
    [anon_sym_PLUS_PLUS] = ACTIONS(2249),
    [anon_sym_DASH_DASH] = ACTIONS(2249),
    [anon_sym_DQUOTE] = ACTIONS(2249),
    [anon_sym_SQUOTE] = ACTIONS(2249),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2249),
    [sym_number] = ACTIONS(2249),
    [sym_private_property_identifier] = ACTIONS(2249),
    [sym_this] = ACTIONS(2249),
    [sym_super] = ACTIONS(2249),
    [sym_true] = ACTIONS(2249),
    [sym_false] = ACTIONS(2249),
    [sym_null] = ACTIONS(2249),
    [sym_undefined] = ACTIONS(2249),
    [anon_sym_AT] = ACTIONS(2249),
    [anon_sym_static] = ACTIONS(2249),
    [anon_sym_readonly] = ACTIONS(2249),
    [anon_sym_get] = ACTIONS(2249),
    [anon_sym_set] = ACTIONS(2249),
    [anon_sym_declare] = ACTIONS(2249),
    [anon_sym_public] = ACTIONS(2249),
    [anon_sym_private] = ACTIONS(2249),
    [anon_sym_protected] = ACTIONS(2249),
    [anon_sym_override] = ACTIONS(2249),
    [anon_sym_module] = ACTIONS(2249),
    [anon_sym_any] = ACTIONS(2249),
    [anon_sym_number] = ACTIONS(2249),
    [anon_sym_boolean] = ACTIONS(2249),
    [anon_sym_string] = ACTIONS(2249),
    [anon_sym_symbol] = ACTIONS(2249),
    [anon_sym_object] = ACTIONS(2249),
    [anon_sym_abstract] = ACTIONS(2249),
    [anon_sym_interface] = ACTIONS(2249),
    [anon_sym_enum] = ACTIONS(2249),
    [sym__automatic_semicolon] = ACTIONS(2253),
    [sym_html_comment] = ACTIONS(5),
  },
  [913] = {
    [sym_comment] = STATE(913),
    [sym_identifier] = ACTIONS(2165),
    [anon_sym_export] = ACTIONS(2165),
    [anon_sym_default] = ACTIONS(2165),
    [anon_sym_type] = ACTIONS(2165),
    [anon_sym_namespace] = ACTIONS(2165),
    [anon_sym_LBRACE] = ACTIONS(2165),
    [anon_sym_RBRACE] = ACTIONS(2165),
    [anon_sym_typeof] = ACTIONS(2165),
    [anon_sym_import] = ACTIONS(2165),
    [anon_sym_var] = ACTIONS(2165),
    [anon_sym_let] = ACTIONS(2165),
    [anon_sym_const] = ACTIONS(2165),
    [anon_sym_BANG] = ACTIONS(2165),
    [anon_sym_else] = ACTIONS(2165),
    [anon_sym_if] = ACTIONS(2165),
    [anon_sym_switch] = ACTIONS(2165),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_LPAREN] = ACTIONS(2165),
    [anon_sym_await] = ACTIONS(2165),
    [anon_sym_while] = ACTIONS(2165),
    [anon_sym_do] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_with] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2165),
    [anon_sym_continue] = ACTIONS(2165),
    [anon_sym_debugger] = ACTIONS(2165),
    [anon_sym_return] = ACTIONS(2165),
    [anon_sym_throw] = ACTIONS(2165),
    [anon_sym_SEMI] = ACTIONS(2165),
    [anon_sym_case] = ACTIONS(2165),
    [anon_sym_finally] = ACTIONS(2165),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_LBRACK] = ACTIONS(2165),
    [anon_sym_LTtemplate_GT] = ACTIONS(2165),
    [anon_sym_class] = ACTIONS(2165),
    [anon_sym_async] = ACTIONS(2165),
    [anon_sym_function] = ACTIONS(2165),
    [anon_sym_new] = ACTIONS(2165),
    [anon_sym_using] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(2165),
    [anon_sym_DASH] = ACTIONS(2165),
    [anon_sym_SLASH] = ACTIONS(2165),
    [anon_sym_LT] = ACTIONS(2165),
    [anon_sym_TILDE] = ACTIONS(2165),
    [anon_sym_void] = ACTIONS(2165),
    [anon_sym_delete] = ACTIONS(2165),
    [anon_sym_PLUS_PLUS] = ACTIONS(2165),
    [anon_sym_DASH_DASH] = ACTIONS(2165),
    [anon_sym_DQUOTE] = ACTIONS(2165),
    [anon_sym_SQUOTE] = ACTIONS(2165),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2165),
    [sym_number] = ACTIONS(2165),
    [sym_private_property_identifier] = ACTIONS(2165),
    [sym_this] = ACTIONS(2165),
    [sym_super] = ACTIONS(2165),
    [sym_true] = ACTIONS(2165),
    [sym_false] = ACTIONS(2165),
    [sym_null] = ACTIONS(2165),
    [sym_undefined] = ACTIONS(2165),
    [anon_sym_AT] = ACTIONS(2165),
    [anon_sym_static] = ACTIONS(2165),
    [anon_sym_readonly] = ACTIONS(2165),
    [anon_sym_get] = ACTIONS(2165),
    [anon_sym_set] = ACTIONS(2165),
    [anon_sym_declare] = ACTIONS(2165),
    [anon_sym_public] = ACTIONS(2165),
    [anon_sym_private] = ACTIONS(2165),
    [anon_sym_protected] = ACTIONS(2165),
    [anon_sym_override] = ACTIONS(2165),
    [anon_sym_module] = ACTIONS(2165),
    [anon_sym_any] = ACTIONS(2165),
    [anon_sym_number] = ACTIONS(2165),
    [anon_sym_boolean] = ACTIONS(2165),
    [anon_sym_string] = ACTIONS(2165),
    [anon_sym_symbol] = ACTIONS(2165),
    [anon_sym_object] = ACTIONS(2165),
    [anon_sym_abstract] = ACTIONS(2165),
    [anon_sym_interface] = ACTIONS(2165),
    [anon_sym_enum] = ACTIONS(2165),
    [sym_html_comment] = ACTIONS(5),
  },
  [914] = {
    [sym_comment] = STATE(914),
    [sym_identifier] = ACTIONS(3066),
    [anon_sym_export] = ACTIONS(3066),
    [anon_sym_default] = ACTIONS(3066),
    [anon_sym_type] = ACTIONS(3066),
    [anon_sym_namespace] = ACTIONS(3066),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_RBRACE] = ACTIONS(3066),
    [anon_sym_typeof] = ACTIONS(3066),
    [anon_sym_import] = ACTIONS(3066),
    [anon_sym_var] = ACTIONS(3066),
    [anon_sym_let] = ACTIONS(3066),
    [anon_sym_const] = ACTIONS(3066),
    [anon_sym_BANG] = ACTIONS(3066),
    [anon_sym_else] = ACTIONS(3066),
    [anon_sym_if] = ACTIONS(3066),
    [anon_sym_switch] = ACTIONS(3066),
    [anon_sym_for] = ACTIONS(3066),
    [anon_sym_LPAREN] = ACTIONS(3066),
    [anon_sym_await] = ACTIONS(3066),
    [anon_sym_while] = ACTIONS(3066),
    [anon_sym_do] = ACTIONS(3066),
    [anon_sym_try] = ACTIONS(3066),
    [anon_sym_with] = ACTIONS(3066),
    [anon_sym_break] = ACTIONS(3066),
    [anon_sym_continue] = ACTIONS(3066),
    [anon_sym_debugger] = ACTIONS(3066),
    [anon_sym_return] = ACTIONS(3066),
    [anon_sym_throw] = ACTIONS(3066),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym_case] = ACTIONS(3066),
    [anon_sym_finally] = ACTIONS(3066),
    [anon_sym_yield] = ACTIONS(3066),
    [anon_sym_LBRACK] = ACTIONS(3066),
    [anon_sym_LTtemplate_GT] = ACTIONS(3066),
    [anon_sym_class] = ACTIONS(3066),
    [anon_sym_async] = ACTIONS(3066),
    [anon_sym_function] = ACTIONS(3066),
    [anon_sym_new] = ACTIONS(3066),
    [anon_sym_using] = ACTIONS(3066),
    [anon_sym_PLUS] = ACTIONS(3066),
    [anon_sym_DASH] = ACTIONS(3066),
    [anon_sym_SLASH] = ACTIONS(3066),
    [anon_sym_LT] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_void] = ACTIONS(3066),
    [anon_sym_delete] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_DQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3066),
    [sym_number] = ACTIONS(3066),
    [sym_private_property_identifier] = ACTIONS(3066),
    [sym_this] = ACTIONS(3066),
    [sym_super] = ACTIONS(3066),
    [sym_true] = ACTIONS(3066),
    [sym_false] = ACTIONS(3066),
    [sym_null] = ACTIONS(3066),
    [sym_undefined] = ACTIONS(3066),
    [anon_sym_AT] = ACTIONS(3066),
    [anon_sym_static] = ACTIONS(3066),
    [anon_sym_readonly] = ACTIONS(3066),
    [anon_sym_get] = ACTIONS(3066),
    [anon_sym_set] = ACTIONS(3066),
    [anon_sym_declare] = ACTIONS(3066),
    [anon_sym_public] = ACTIONS(3066),
    [anon_sym_private] = ACTIONS(3066),
    [anon_sym_protected] = ACTIONS(3066),
    [anon_sym_override] = ACTIONS(3066),
    [anon_sym_module] = ACTIONS(3066),
    [anon_sym_any] = ACTIONS(3066),
    [anon_sym_number] = ACTIONS(3066),
    [anon_sym_boolean] = ACTIONS(3066),
    [anon_sym_string] = ACTIONS(3066),
    [anon_sym_symbol] = ACTIONS(3066),
    [anon_sym_object] = ACTIONS(3066),
    [anon_sym_abstract] = ACTIONS(3066),
    [anon_sym_interface] = ACTIONS(3066),
    [anon_sym_enum] = ACTIONS(3066),
    [sym_html_comment] = ACTIONS(5),
  },
  [915] = {
    [sym_comment] = STATE(915),
    [sym_identifier] = ACTIONS(2119),
    [anon_sym_export] = ACTIONS(2119),
    [anon_sym_default] = ACTIONS(2119),
    [anon_sym_type] = ACTIONS(2119),
    [anon_sym_namespace] = ACTIONS(2119),
    [anon_sym_LBRACE] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2119),
    [anon_sym_import] = ACTIONS(2119),
    [anon_sym_var] = ACTIONS(2119),
    [anon_sym_let] = ACTIONS(2119),
    [anon_sym_const] = ACTIONS(2119),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_else] = ACTIONS(2119),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_switch] = ACTIONS(2119),
    [anon_sym_for] = ACTIONS(2119),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2119),
    [anon_sym_do] = ACTIONS(2119),
    [anon_sym_try] = ACTIONS(2119),
    [anon_sym_with] = ACTIONS(2119),
    [anon_sym_break] = ACTIONS(2119),
    [anon_sym_continue] = ACTIONS(2119),
    [anon_sym_debugger] = ACTIONS(2119),
    [anon_sym_return] = ACTIONS(2119),
    [anon_sym_throw] = ACTIONS(2119),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_case] = ACTIONS(2119),
    [anon_sym_yield] = ACTIONS(2119),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_DOT] = ACTIONS(2119),
    [anon_sym_class] = ACTIONS(2119),
    [anon_sym_async] = ACTIONS(2119),
    [anon_sym_function] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2119),
    [anon_sym_using] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2119),
    [anon_sym_DASH] = ACTIONS(2119),
    [anon_sym_SLASH] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2119),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2119),
    [anon_sym_delete] = ACTIONS(2119),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_private_property_identifier] = ACTIONS(2119),
    [sym_this] = ACTIONS(2119),
    [sym_super] = ACTIONS(2119),
    [sym_true] = ACTIONS(2119),
    [sym_false] = ACTIONS(2119),
    [sym_null] = ACTIONS(2119),
    [sym_undefined] = ACTIONS(2119),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2119),
    [anon_sym_readonly] = ACTIONS(2119),
    [anon_sym_get] = ACTIONS(2119),
    [anon_sym_set] = ACTIONS(2119),
    [anon_sym_declare] = ACTIONS(2119),
    [anon_sym_public] = ACTIONS(2119),
    [anon_sym_private] = ACTIONS(2119),
    [anon_sym_protected] = ACTIONS(2119),
    [anon_sym_override] = ACTIONS(2119),
    [anon_sym_module] = ACTIONS(2119),
    [anon_sym_any] = ACTIONS(2119),
    [anon_sym_number] = ACTIONS(2119),
    [anon_sym_boolean] = ACTIONS(2119),
    [anon_sym_string] = ACTIONS(2119),
    [anon_sym_symbol] = ACTIONS(2119),
    [anon_sym_object] = ACTIONS(2119),
    [anon_sym_abstract] = ACTIONS(2119),
    [anon_sym_interface] = ACTIONS(2119),
    [anon_sym_enum] = ACTIONS(2119),
    [sym_html_comment] = ACTIONS(5),
  },
  [916] = {
    [sym_comment] = STATE(916),
    [sym_identifier] = ACTIONS(2065),
    [anon_sym_export] = ACTIONS(2065),
    [anon_sym_default] = ACTIONS(2065),
    [anon_sym_type] = ACTIONS(2065),
    [anon_sym_namespace] = ACTIONS(2065),
    [anon_sym_LBRACE] = ACTIONS(2065),
    [anon_sym_RBRACE] = ACTIONS(2065),
    [anon_sym_typeof] = ACTIONS(2065),
    [anon_sym_import] = ACTIONS(2065),
    [anon_sym_var] = ACTIONS(2065),
    [anon_sym_let] = ACTIONS(2065),
    [anon_sym_const] = ACTIONS(2065),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_else] = ACTIONS(2065),
    [anon_sym_if] = ACTIONS(2065),
    [anon_sym_switch] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2065),
    [anon_sym_LPAREN] = ACTIONS(2065),
    [anon_sym_await] = ACTIONS(2065),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_do] = ACTIONS(2065),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_with] = ACTIONS(2065),
    [anon_sym_break] = ACTIONS(2065),
    [anon_sym_continue] = ACTIONS(2065),
    [anon_sym_debugger] = ACTIONS(2065),
    [anon_sym_return] = ACTIONS(2065),
    [anon_sym_throw] = ACTIONS(2065),
    [anon_sym_SEMI] = ACTIONS(2065),
    [anon_sym_case] = ACTIONS(2065),
    [anon_sym_yield] = ACTIONS(2065),
    [anon_sym_LBRACK] = ACTIONS(2065),
    [anon_sym_LTtemplate_GT] = ACTIONS(2065),
    [anon_sym_class] = ACTIONS(2065),
    [anon_sym_async] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2065),
    [anon_sym_new] = ACTIONS(2065),
    [anon_sym_using] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2065),
    [anon_sym_DASH] = ACTIONS(2065),
    [anon_sym_SLASH] = ACTIONS(2065),
    [anon_sym_LT] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_void] = ACTIONS(2065),
    [anon_sym_delete] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_DQUOTE] = ACTIONS(2065),
    [anon_sym_SQUOTE] = ACTIONS(2065),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2065),
    [sym_number] = ACTIONS(2065),
    [sym_private_property_identifier] = ACTIONS(2065),
    [sym_this] = ACTIONS(2065),
    [sym_super] = ACTIONS(2065),
    [sym_true] = ACTIONS(2065),
    [sym_false] = ACTIONS(2065),
    [sym_null] = ACTIONS(2065),
    [sym_undefined] = ACTIONS(2065),
    [anon_sym_AT] = ACTIONS(2065),
    [anon_sym_static] = ACTIONS(2065),
    [anon_sym_readonly] = ACTIONS(2065),
    [anon_sym_get] = ACTIONS(2065),
    [anon_sym_set] = ACTIONS(2065),
    [anon_sym_declare] = ACTIONS(2065),
    [anon_sym_public] = ACTIONS(2065),
    [anon_sym_private] = ACTIONS(2065),
    [anon_sym_protected] = ACTIONS(2065),
    [anon_sym_override] = ACTIONS(2065),
    [anon_sym_module] = ACTIONS(2065),
    [anon_sym_any] = ACTIONS(2065),
    [anon_sym_number] = ACTIONS(2065),
    [anon_sym_boolean] = ACTIONS(2065),
    [anon_sym_string] = ACTIONS(2065),
    [anon_sym_symbol] = ACTIONS(2065),
    [anon_sym_object] = ACTIONS(2065),
    [anon_sym_abstract] = ACTIONS(2065),
    [anon_sym_interface] = ACTIONS(2065),
    [anon_sym_enum] = ACTIONS(2065),
    [sym__automatic_semicolon] = ACTIONS(3068),
    [sym_html_comment] = ACTIONS(5),
  },
  [917] = {
    [sym_comment] = STATE(917),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_default] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_RBRACE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_else] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_case] = ACTIONS(2141),
    [anon_sym_finally] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LTtemplate_GT] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_using] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_LT] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [sym_private_property_identifier] = ACTIONS(2141),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_object] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
    [sym_html_comment] = ACTIONS(5),
  },
  [918] = {
    [sym_comment] = STATE(918),
    [sym_identifier] = ACTIONS(2089),
    [anon_sym_export] = ACTIONS(2089),
    [anon_sym_default] = ACTIONS(2089),
    [anon_sym_type] = ACTIONS(2089),
    [anon_sym_namespace] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2089),
    [anon_sym_RBRACE] = ACTIONS(2089),
    [anon_sym_typeof] = ACTIONS(2089),
    [anon_sym_import] = ACTIONS(2089),
    [anon_sym_var] = ACTIONS(2089),
    [anon_sym_let] = ACTIONS(2089),
    [anon_sym_const] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2089),
    [anon_sym_else] = ACTIONS(2089),
    [anon_sym_if] = ACTIONS(2089),
    [anon_sym_switch] = ACTIONS(2089),
    [anon_sym_for] = ACTIONS(2089),
    [anon_sym_LPAREN] = ACTIONS(2089),
    [anon_sym_await] = ACTIONS(2089),
    [anon_sym_while] = ACTIONS(2089),
    [anon_sym_do] = ACTIONS(2089),
    [anon_sym_try] = ACTIONS(2089),
    [anon_sym_with] = ACTIONS(2089),
    [anon_sym_break] = ACTIONS(2089),
    [anon_sym_continue] = ACTIONS(2089),
    [anon_sym_debugger] = ACTIONS(2089),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_throw] = ACTIONS(2089),
    [anon_sym_SEMI] = ACTIONS(2089),
    [anon_sym_case] = ACTIONS(2089),
    [anon_sym_yield] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2089),
    [anon_sym_LTtemplate_GT] = ACTIONS(2089),
    [anon_sym_class] = ACTIONS(2089),
    [anon_sym_async] = ACTIONS(2089),
    [anon_sym_function] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2089),
    [anon_sym_using] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(2089),
    [anon_sym_DASH] = ACTIONS(2089),
    [anon_sym_SLASH] = ACTIONS(2089),
    [anon_sym_LT] = ACTIONS(2089),
    [anon_sym_TILDE] = ACTIONS(2089),
    [anon_sym_void] = ACTIONS(2089),
    [anon_sym_delete] = ACTIONS(2089),
    [anon_sym_PLUS_PLUS] = ACTIONS(2089),
    [anon_sym_DASH_DASH] = ACTIONS(2089),
    [anon_sym_DQUOTE] = ACTIONS(2089),
    [anon_sym_SQUOTE] = ACTIONS(2089),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2089),
    [sym_number] = ACTIONS(2089),
    [sym_private_property_identifier] = ACTIONS(2089),
    [sym_this] = ACTIONS(2089),
    [sym_super] = ACTIONS(2089),
    [sym_true] = ACTIONS(2089),
    [sym_false] = ACTIONS(2089),
    [sym_null] = ACTIONS(2089),
    [sym_undefined] = ACTIONS(2089),
    [anon_sym_AT] = ACTIONS(2089),
    [anon_sym_static] = ACTIONS(2089),
    [anon_sym_readonly] = ACTIONS(2089),
    [anon_sym_get] = ACTIONS(2089),
    [anon_sym_set] = ACTIONS(2089),
    [anon_sym_declare] = ACTIONS(2089),
    [anon_sym_public] = ACTIONS(2089),
    [anon_sym_private] = ACTIONS(2089),
    [anon_sym_protected] = ACTIONS(2089),
    [anon_sym_override] = ACTIONS(2089),
    [anon_sym_module] = ACTIONS(2089),
    [anon_sym_any] = ACTIONS(2089),
    [anon_sym_number] = ACTIONS(2089),
    [anon_sym_boolean] = ACTIONS(2089),
    [anon_sym_string] = ACTIONS(2089),
    [anon_sym_symbol] = ACTIONS(2089),
    [anon_sym_object] = ACTIONS(2089),
    [anon_sym_abstract] = ACTIONS(2089),
    [anon_sym_interface] = ACTIONS(2089),
    [anon_sym_enum] = ACTIONS(2089),
    [sym__automatic_semicolon] = ACTIONS(2091),
    [sym_html_comment] = ACTIONS(5),
  },
  [919] = {
    [sym_comment] = STATE(919),
    [sym_identifier] = ACTIONS(2131),
    [anon_sym_export] = ACTIONS(2131),
    [anon_sym_default] = ACTIONS(2131),
    [anon_sym_type] = ACTIONS(2131),
    [anon_sym_namespace] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(2131),
    [anon_sym_RBRACE] = ACTIONS(2131),
    [anon_sym_typeof] = ACTIONS(2131),
    [anon_sym_import] = ACTIONS(2131),
    [anon_sym_var] = ACTIONS(2131),
    [anon_sym_let] = ACTIONS(2131),
    [anon_sym_const] = ACTIONS(2131),
    [anon_sym_BANG] = ACTIONS(2131),
    [anon_sym_else] = ACTIONS(2131),
    [anon_sym_if] = ACTIONS(2131),
    [anon_sym_switch] = ACTIONS(2131),
    [anon_sym_for] = ACTIONS(2131),
    [anon_sym_LPAREN] = ACTIONS(2131),
    [anon_sym_await] = ACTIONS(2131),
    [anon_sym_while] = ACTIONS(2131),
    [anon_sym_do] = ACTIONS(2131),
    [anon_sym_try] = ACTIONS(2131),
    [anon_sym_with] = ACTIONS(2131),
    [anon_sym_break] = ACTIONS(2131),
    [anon_sym_continue] = ACTIONS(2131),
    [anon_sym_debugger] = ACTIONS(2131),
    [anon_sym_return] = ACTIONS(2131),
    [anon_sym_throw] = ACTIONS(2131),
    [anon_sym_SEMI] = ACTIONS(2131),
    [anon_sym_case] = ACTIONS(2131),
    [anon_sym_yield] = ACTIONS(2131),
    [anon_sym_LBRACK] = ACTIONS(2131),
    [anon_sym_LTtemplate_GT] = ACTIONS(2131),
    [anon_sym_DOT] = ACTIONS(2131),
    [anon_sym_class] = ACTIONS(2131),
    [anon_sym_async] = ACTIONS(2131),
    [anon_sym_function] = ACTIONS(2131),
    [anon_sym_new] = ACTIONS(2131),
    [anon_sym_using] = ACTIONS(2131),
    [anon_sym_PLUS] = ACTIONS(2131),
    [anon_sym_DASH] = ACTIONS(2131),
    [anon_sym_SLASH] = ACTIONS(2131),
    [anon_sym_LT] = ACTIONS(2131),
    [anon_sym_TILDE] = ACTIONS(2131),
    [anon_sym_void] = ACTIONS(2131),
    [anon_sym_delete] = ACTIONS(2131),
    [anon_sym_PLUS_PLUS] = ACTIONS(2131),
    [anon_sym_DASH_DASH] = ACTIONS(2131),
    [anon_sym_DQUOTE] = ACTIONS(2131),
    [anon_sym_SQUOTE] = ACTIONS(2131),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2131),
    [sym_number] = ACTIONS(2131),
    [sym_private_property_identifier] = ACTIONS(2131),
    [sym_this] = ACTIONS(2131),
    [sym_super] = ACTIONS(2131),
    [sym_true] = ACTIONS(2131),
    [sym_false] = ACTIONS(2131),
    [sym_null] = ACTIONS(2131),
    [sym_undefined] = ACTIONS(2131),
    [anon_sym_AT] = ACTIONS(2131),
    [anon_sym_static] = ACTIONS(2131),
    [anon_sym_readonly] = ACTIONS(2131),
    [anon_sym_get] = ACTIONS(2131),
    [anon_sym_set] = ACTIONS(2131),
    [anon_sym_declare] = ACTIONS(2131),
    [anon_sym_public] = ACTIONS(2131),
    [anon_sym_private] = ACTIONS(2131),
    [anon_sym_protected] = ACTIONS(2131),
    [anon_sym_override] = ACTIONS(2131),
    [anon_sym_module] = ACTIONS(2131),
    [anon_sym_any] = ACTIONS(2131),
    [anon_sym_number] = ACTIONS(2131),
    [anon_sym_boolean] = ACTIONS(2131),
    [anon_sym_string] = ACTIONS(2131),
    [anon_sym_symbol] = ACTIONS(2131),
    [anon_sym_object] = ACTIONS(2131),
    [anon_sym_abstract] = ACTIONS(2131),
    [anon_sym_interface] = ACTIONS(2131),
    [anon_sym_enum] = ACTIONS(2131),
    [sym_html_comment] = ACTIONS(5),
  },
  [920] = {
    [sym_comment] = STATE(920),
    [sym_identifier] = ACTIONS(2077),
    [anon_sym_export] = ACTIONS(2077),
    [anon_sym_default] = ACTIONS(2077),
    [anon_sym_type] = ACTIONS(2077),
    [anon_sym_namespace] = ACTIONS(2077),
    [anon_sym_LBRACE] = ACTIONS(2077),
    [anon_sym_RBRACE] = ACTIONS(2077),
    [anon_sym_typeof] = ACTIONS(2077),
    [anon_sym_import] = ACTIONS(2077),
    [anon_sym_var] = ACTIONS(2077),
    [anon_sym_let] = ACTIONS(2077),
    [anon_sym_const] = ACTIONS(2077),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_else] = ACTIONS(2077),
    [anon_sym_if] = ACTIONS(2077),
    [anon_sym_switch] = ACTIONS(2077),
    [anon_sym_for] = ACTIONS(2077),
    [anon_sym_LPAREN] = ACTIONS(2077),
    [anon_sym_await] = ACTIONS(2077),
    [anon_sym_while] = ACTIONS(2077),
    [anon_sym_do] = ACTIONS(2077),
    [anon_sym_try] = ACTIONS(2077),
    [anon_sym_with] = ACTIONS(2077),
    [anon_sym_break] = ACTIONS(2077),
    [anon_sym_continue] = ACTIONS(2077),
    [anon_sym_debugger] = ACTIONS(2077),
    [anon_sym_return] = ACTIONS(2077),
    [anon_sym_throw] = ACTIONS(2077),
    [anon_sym_SEMI] = ACTIONS(2077),
    [anon_sym_case] = ACTIONS(2077),
    [anon_sym_yield] = ACTIONS(2077),
    [anon_sym_LBRACK] = ACTIONS(2077),
    [anon_sym_LTtemplate_GT] = ACTIONS(2077),
    [anon_sym_class] = ACTIONS(2077),
    [anon_sym_async] = ACTIONS(2077),
    [anon_sym_function] = ACTIONS(2077),
    [anon_sym_new] = ACTIONS(2077),
    [anon_sym_using] = ACTIONS(2077),
    [anon_sym_PLUS] = ACTIONS(2077),
    [anon_sym_DASH] = ACTIONS(2077),
    [anon_sym_SLASH] = ACTIONS(2077),
    [anon_sym_LT] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_void] = ACTIONS(2077),
    [anon_sym_delete] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_DQUOTE] = ACTIONS(2077),
    [anon_sym_SQUOTE] = ACTIONS(2077),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2077),
    [sym_number] = ACTIONS(2077),
    [sym_private_property_identifier] = ACTIONS(2077),
    [sym_this] = ACTIONS(2077),
    [sym_super] = ACTIONS(2077),
    [sym_true] = ACTIONS(2077),
    [sym_false] = ACTIONS(2077),
    [sym_null] = ACTIONS(2077),
    [sym_undefined] = ACTIONS(2077),
    [anon_sym_AT] = ACTIONS(2077),
    [anon_sym_static] = ACTIONS(2077),
    [anon_sym_readonly] = ACTIONS(2077),
    [anon_sym_get] = ACTIONS(2077),
    [anon_sym_set] = ACTIONS(2077),
    [anon_sym_declare] = ACTIONS(2077),
    [anon_sym_public] = ACTIONS(2077),
    [anon_sym_private] = ACTIONS(2077),
    [anon_sym_protected] = ACTIONS(2077),
    [anon_sym_override] = ACTIONS(2077),
    [anon_sym_module] = ACTIONS(2077),
    [anon_sym_any] = ACTIONS(2077),
    [anon_sym_number] = ACTIONS(2077),
    [anon_sym_boolean] = ACTIONS(2077),
    [anon_sym_string] = ACTIONS(2077),
    [anon_sym_symbol] = ACTIONS(2077),
    [anon_sym_object] = ACTIONS(2077),
    [anon_sym_abstract] = ACTIONS(2077),
    [anon_sym_interface] = ACTIONS(2077),
    [anon_sym_enum] = ACTIONS(2077),
    [sym__automatic_semicolon] = ACTIONS(2081),
    [sym_html_comment] = ACTIONS(5),
  },
  [921] = {
    [sym_comment] = STATE(921),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_default] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_RBRACE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_else] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_case] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LTtemplate_GT] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_using] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_LT] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [sym_private_property_identifier] = ACTIONS(2141),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_object] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
    [sym__automatic_semicolon] = ACTIONS(3070),
    [sym_html_comment] = ACTIONS(5),
  },
  [922] = {
    [sym_comment] = STATE(922),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_export] = ACTIONS(2205),
    [anon_sym_default] = ACTIONS(2205),
    [anon_sym_type] = ACTIONS(2205),
    [anon_sym_namespace] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2205),
    [anon_sym_RBRACE] = ACTIONS(2205),
    [anon_sym_typeof] = ACTIONS(2205),
    [anon_sym_import] = ACTIONS(2205),
    [anon_sym_var] = ACTIONS(2205),
    [anon_sym_let] = ACTIONS(2205),
    [anon_sym_const] = ACTIONS(2205),
    [anon_sym_BANG] = ACTIONS(2205),
    [anon_sym_else] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2205),
    [anon_sym_switch] = ACTIONS(2205),
    [anon_sym_for] = ACTIONS(2205),
    [anon_sym_LPAREN] = ACTIONS(2205),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_try] = ACTIONS(2205),
    [anon_sym_with] = ACTIONS(2205),
    [anon_sym_break] = ACTIONS(2205),
    [anon_sym_continue] = ACTIONS(2205),
    [anon_sym_debugger] = ACTIONS(2205),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2205),
    [anon_sym_SEMI] = ACTIONS(2205),
    [anon_sym_case] = ACTIONS(2205),
    [anon_sym_yield] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_LTtemplate_GT] = ACTIONS(2205),
    [anon_sym_class] = ACTIONS(2205),
    [anon_sym_async] = ACTIONS(2205),
    [anon_sym_function] = ACTIONS(2205),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_using] = ACTIONS(2205),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_SLASH] = ACTIONS(2205),
    [anon_sym_LT] = ACTIONS(2205),
    [anon_sym_TILDE] = ACTIONS(2205),
    [anon_sym_void] = ACTIONS(2205),
    [anon_sym_delete] = ACTIONS(2205),
    [anon_sym_PLUS_PLUS] = ACTIONS(2205),
    [anon_sym_DASH_DASH] = ACTIONS(2205),
    [anon_sym_DQUOTE] = ACTIONS(2205),
    [anon_sym_SQUOTE] = ACTIONS(2205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2205),
    [sym_number] = ACTIONS(2205),
    [sym_private_property_identifier] = ACTIONS(2205),
    [sym_this] = ACTIONS(2205),
    [sym_super] = ACTIONS(2205),
    [sym_true] = ACTIONS(2205),
    [sym_false] = ACTIONS(2205),
    [sym_null] = ACTIONS(2205),
    [sym_undefined] = ACTIONS(2205),
    [anon_sym_AT] = ACTIONS(2205),
    [anon_sym_static] = ACTIONS(2205),
    [anon_sym_readonly] = ACTIONS(2205),
    [anon_sym_get] = ACTIONS(2205),
    [anon_sym_set] = ACTIONS(2205),
    [anon_sym_declare] = ACTIONS(2205),
    [anon_sym_public] = ACTIONS(2205),
    [anon_sym_private] = ACTIONS(2205),
    [anon_sym_protected] = ACTIONS(2205),
    [anon_sym_override] = ACTIONS(2205),
    [anon_sym_module] = ACTIONS(2205),
    [anon_sym_any] = ACTIONS(2205),
    [anon_sym_number] = ACTIONS(2205),
    [anon_sym_boolean] = ACTIONS(2205),
    [anon_sym_string] = ACTIONS(2205),
    [anon_sym_symbol] = ACTIONS(2205),
    [anon_sym_object] = ACTIONS(2205),
    [anon_sym_abstract] = ACTIONS(2205),
    [anon_sym_interface] = ACTIONS(2205),
    [anon_sym_enum] = ACTIONS(2205),
    [sym__automatic_semicolon] = ACTIONS(2209),
    [sym_html_comment] = ACTIONS(5),
  },
  [923] = {
    [sym_comment] = STATE(923),
    [sym_identifier] = ACTIONS(2101),
    [anon_sym_export] = ACTIONS(2101),
    [anon_sym_default] = ACTIONS(2101),
    [anon_sym_type] = ACTIONS(2101),
    [anon_sym_namespace] = ACTIONS(2101),
    [anon_sym_LBRACE] = ACTIONS(2101),
    [anon_sym_RBRACE] = ACTIONS(2101),
    [anon_sym_typeof] = ACTIONS(2101),
    [anon_sym_import] = ACTIONS(2101),
    [anon_sym_var] = ACTIONS(2101),
    [anon_sym_let] = ACTIONS(2101),
    [anon_sym_const] = ACTIONS(2101),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_else] = ACTIONS(2101),
    [anon_sym_if] = ACTIONS(2101),
    [anon_sym_switch] = ACTIONS(2101),
    [anon_sym_for] = ACTIONS(2101),
    [anon_sym_LPAREN] = ACTIONS(2101),
    [anon_sym_await] = ACTIONS(2101),
    [anon_sym_while] = ACTIONS(2101),
    [anon_sym_do] = ACTIONS(2101),
    [anon_sym_try] = ACTIONS(2101),
    [anon_sym_with] = ACTIONS(2101),
    [anon_sym_break] = ACTIONS(2101),
    [anon_sym_continue] = ACTIONS(2101),
    [anon_sym_debugger] = ACTIONS(2101),
    [anon_sym_return] = ACTIONS(2101),
    [anon_sym_throw] = ACTIONS(2101),
    [anon_sym_SEMI] = ACTIONS(2101),
    [anon_sym_case] = ACTIONS(2101),
    [anon_sym_yield] = ACTIONS(2101),
    [anon_sym_LBRACK] = ACTIONS(2101),
    [anon_sym_LTtemplate_GT] = ACTIONS(2101),
    [anon_sym_class] = ACTIONS(2101),
    [anon_sym_async] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2101),
    [anon_sym_new] = ACTIONS(2101),
    [anon_sym_using] = ACTIONS(2101),
    [anon_sym_PLUS] = ACTIONS(2101),
    [anon_sym_DASH] = ACTIONS(2101),
    [anon_sym_SLASH] = ACTIONS(2101),
    [anon_sym_LT] = ACTIONS(2101),
    [anon_sym_TILDE] = ACTIONS(2101),
    [anon_sym_void] = ACTIONS(2101),
    [anon_sym_delete] = ACTIONS(2101),
    [anon_sym_PLUS_PLUS] = ACTIONS(2101),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_DQUOTE] = ACTIONS(2101),
    [anon_sym_SQUOTE] = ACTIONS(2101),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2101),
    [sym_number] = ACTIONS(2101),
    [sym_private_property_identifier] = ACTIONS(2101),
    [sym_this] = ACTIONS(2101),
    [sym_super] = ACTIONS(2101),
    [sym_true] = ACTIONS(2101),
    [sym_false] = ACTIONS(2101),
    [sym_null] = ACTIONS(2101),
    [sym_undefined] = ACTIONS(2101),
    [anon_sym_AT] = ACTIONS(2101),
    [anon_sym_static] = ACTIONS(2101),
    [anon_sym_readonly] = ACTIONS(2101),
    [anon_sym_get] = ACTIONS(2101),
    [anon_sym_set] = ACTIONS(2101),
    [anon_sym_declare] = ACTIONS(2101),
    [anon_sym_public] = ACTIONS(2101),
    [anon_sym_private] = ACTIONS(2101),
    [anon_sym_protected] = ACTIONS(2101),
    [anon_sym_override] = ACTIONS(2101),
    [anon_sym_module] = ACTIONS(2101),
    [anon_sym_any] = ACTIONS(2101),
    [anon_sym_number] = ACTIONS(2101),
    [anon_sym_boolean] = ACTIONS(2101),
    [anon_sym_string] = ACTIONS(2101),
    [anon_sym_symbol] = ACTIONS(2101),
    [anon_sym_object] = ACTIONS(2101),
    [anon_sym_abstract] = ACTIONS(2101),
    [anon_sym_interface] = ACTIONS(2101),
    [anon_sym_enum] = ACTIONS(2101),
    [sym__automatic_semicolon] = ACTIONS(2103),
    [sym_html_comment] = ACTIONS(5),
  },
  [924] = {
    [sym_statement_block] = STATE(1041),
    [sym_comment] = STATE(924),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_default] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(3048),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_else] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_case] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym_html_comment] = ACTIONS(5),
  },
  [925] = {
    [sym_comment] = STATE(925),
    [sym_identifier] = ACTIONS(2065),
    [anon_sym_export] = ACTIONS(2065),
    [anon_sym_default] = ACTIONS(2065),
    [anon_sym_type] = ACTIONS(2065),
    [anon_sym_namespace] = ACTIONS(2065),
    [anon_sym_LBRACE] = ACTIONS(2065),
    [anon_sym_RBRACE] = ACTIONS(2065),
    [anon_sym_typeof] = ACTIONS(2065),
    [anon_sym_import] = ACTIONS(2065),
    [anon_sym_var] = ACTIONS(2065),
    [anon_sym_let] = ACTIONS(2065),
    [anon_sym_const] = ACTIONS(2065),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_else] = ACTIONS(2065),
    [anon_sym_if] = ACTIONS(2065),
    [anon_sym_switch] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2065),
    [anon_sym_LPAREN] = ACTIONS(2065),
    [anon_sym_await] = ACTIONS(2065),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_do] = ACTIONS(2065),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_with] = ACTIONS(2065),
    [anon_sym_break] = ACTIONS(2065),
    [anon_sym_continue] = ACTIONS(2065),
    [anon_sym_debugger] = ACTIONS(2065),
    [anon_sym_return] = ACTIONS(2065),
    [anon_sym_throw] = ACTIONS(2065),
    [anon_sym_SEMI] = ACTIONS(2065),
    [anon_sym_case] = ACTIONS(2065),
    [anon_sym_yield] = ACTIONS(2065),
    [anon_sym_LBRACK] = ACTIONS(2065),
    [anon_sym_LTtemplate_GT] = ACTIONS(2065),
    [anon_sym_class] = ACTIONS(2065),
    [anon_sym_async] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2065),
    [anon_sym_new] = ACTIONS(2065),
    [anon_sym_using] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2065),
    [anon_sym_DASH] = ACTIONS(2065),
    [anon_sym_SLASH] = ACTIONS(2065),
    [anon_sym_LT] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_void] = ACTIONS(2065),
    [anon_sym_delete] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_DQUOTE] = ACTIONS(2065),
    [anon_sym_SQUOTE] = ACTIONS(2065),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2065),
    [sym_number] = ACTIONS(2065),
    [sym_private_property_identifier] = ACTIONS(2065),
    [sym_this] = ACTIONS(2065),
    [sym_super] = ACTIONS(2065),
    [sym_true] = ACTIONS(2065),
    [sym_false] = ACTIONS(2065),
    [sym_null] = ACTIONS(2065),
    [sym_undefined] = ACTIONS(2065),
    [anon_sym_AT] = ACTIONS(2065),
    [anon_sym_static] = ACTIONS(2065),
    [anon_sym_readonly] = ACTIONS(2065),
    [anon_sym_get] = ACTIONS(2065),
    [anon_sym_set] = ACTIONS(2065),
    [anon_sym_declare] = ACTIONS(2065),
    [anon_sym_public] = ACTIONS(2065),
    [anon_sym_private] = ACTIONS(2065),
    [anon_sym_protected] = ACTIONS(2065),
    [anon_sym_override] = ACTIONS(2065),
    [anon_sym_module] = ACTIONS(2065),
    [anon_sym_any] = ACTIONS(2065),
    [anon_sym_number] = ACTIONS(2065),
    [anon_sym_boolean] = ACTIONS(2065),
    [anon_sym_string] = ACTIONS(2065),
    [anon_sym_symbol] = ACTIONS(2065),
    [anon_sym_object] = ACTIONS(2065),
    [anon_sym_abstract] = ACTIONS(2065),
    [anon_sym_interface] = ACTIONS(2065),
    [anon_sym_enum] = ACTIONS(2065),
    [sym__automatic_semicolon] = ACTIONS(2071),
    [sym_html_comment] = ACTIONS(5),
  },
  [926] = {
    [sym_comment] = STATE(926),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_export] = ACTIONS(2193),
    [anon_sym_default] = ACTIONS(2193),
    [anon_sym_type] = ACTIONS(2193),
    [anon_sym_namespace] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(2193),
    [anon_sym_RBRACE] = ACTIONS(2193),
    [anon_sym_typeof] = ACTIONS(2193),
    [anon_sym_import] = ACTIONS(2193),
    [anon_sym_var] = ACTIONS(2193),
    [anon_sym_let] = ACTIONS(2193),
    [anon_sym_const] = ACTIONS(2193),
    [anon_sym_BANG] = ACTIONS(2193),
    [anon_sym_else] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2193),
    [anon_sym_switch] = ACTIONS(2193),
    [anon_sym_for] = ACTIONS(2193),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_await] = ACTIONS(2193),
    [anon_sym_while] = ACTIONS(2193),
    [anon_sym_do] = ACTIONS(2193),
    [anon_sym_try] = ACTIONS(2193),
    [anon_sym_with] = ACTIONS(2193),
    [anon_sym_break] = ACTIONS(2193),
    [anon_sym_continue] = ACTIONS(2193),
    [anon_sym_debugger] = ACTIONS(2193),
    [anon_sym_return] = ACTIONS(2193),
    [anon_sym_throw] = ACTIONS(2193),
    [anon_sym_SEMI] = ACTIONS(2193),
    [anon_sym_case] = ACTIONS(2193),
    [anon_sym_yield] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2193),
    [anon_sym_LTtemplate_GT] = ACTIONS(2193),
    [anon_sym_class] = ACTIONS(2193),
    [anon_sym_async] = ACTIONS(2193),
    [anon_sym_function] = ACTIONS(2193),
    [anon_sym_new] = ACTIONS(2193),
    [anon_sym_using] = ACTIONS(2193),
    [anon_sym_PLUS] = ACTIONS(2193),
    [anon_sym_DASH] = ACTIONS(2193),
    [anon_sym_SLASH] = ACTIONS(2193),
    [anon_sym_LT] = ACTIONS(2193),
    [anon_sym_TILDE] = ACTIONS(2193),
    [anon_sym_void] = ACTIONS(2193),
    [anon_sym_delete] = ACTIONS(2193),
    [anon_sym_PLUS_PLUS] = ACTIONS(2193),
    [anon_sym_DASH_DASH] = ACTIONS(2193),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [anon_sym_SQUOTE] = ACTIONS(2193),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2193),
    [sym_number] = ACTIONS(2193),
    [sym_private_property_identifier] = ACTIONS(2193),
    [sym_this] = ACTIONS(2193),
    [sym_super] = ACTIONS(2193),
    [sym_true] = ACTIONS(2193),
    [sym_false] = ACTIONS(2193),
    [sym_null] = ACTIONS(2193),
    [sym_undefined] = ACTIONS(2193),
    [anon_sym_AT] = ACTIONS(2193),
    [anon_sym_static] = ACTIONS(2193),
    [anon_sym_readonly] = ACTIONS(2193),
    [anon_sym_get] = ACTIONS(2193),
    [anon_sym_set] = ACTIONS(2193),
    [anon_sym_declare] = ACTIONS(2193),
    [anon_sym_public] = ACTIONS(2193),
    [anon_sym_private] = ACTIONS(2193),
    [anon_sym_protected] = ACTIONS(2193),
    [anon_sym_override] = ACTIONS(2193),
    [anon_sym_module] = ACTIONS(2193),
    [anon_sym_any] = ACTIONS(2193),
    [anon_sym_number] = ACTIONS(2193),
    [anon_sym_boolean] = ACTIONS(2193),
    [anon_sym_string] = ACTIONS(2193),
    [anon_sym_symbol] = ACTIONS(2193),
    [anon_sym_object] = ACTIONS(2193),
    [anon_sym_abstract] = ACTIONS(2193),
    [anon_sym_interface] = ACTIONS(2193),
    [anon_sym_enum] = ACTIONS(2193),
    [sym__automatic_semicolon] = ACTIONS(2197),
    [sym_html_comment] = ACTIONS(5),
  },
  [927] = {
    [sym_comment] = STATE(927),
    [sym_identifier] = ACTIONS(3072),
    [anon_sym_export] = ACTIONS(3072),
    [anon_sym_default] = ACTIONS(3072),
    [anon_sym_type] = ACTIONS(3072),
    [anon_sym_namespace] = ACTIONS(3072),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_RBRACE] = ACTIONS(3072),
    [anon_sym_typeof] = ACTIONS(3072),
    [anon_sym_import] = ACTIONS(3072),
    [anon_sym_var] = ACTIONS(3072),
    [anon_sym_let] = ACTIONS(3072),
    [anon_sym_const] = ACTIONS(3072),
    [anon_sym_BANG] = ACTIONS(3072),
    [anon_sym_else] = ACTIONS(3072),
    [anon_sym_if] = ACTIONS(3072),
    [anon_sym_switch] = ACTIONS(3072),
    [anon_sym_for] = ACTIONS(3072),
    [anon_sym_LPAREN] = ACTIONS(3072),
    [anon_sym_await] = ACTIONS(3072),
    [anon_sym_while] = ACTIONS(3072),
    [anon_sym_do] = ACTIONS(3072),
    [anon_sym_try] = ACTIONS(3072),
    [anon_sym_with] = ACTIONS(3072),
    [anon_sym_break] = ACTIONS(3072),
    [anon_sym_continue] = ACTIONS(3072),
    [anon_sym_debugger] = ACTIONS(3072),
    [anon_sym_return] = ACTIONS(3072),
    [anon_sym_throw] = ACTIONS(3072),
    [anon_sym_SEMI] = ACTIONS(3072),
    [anon_sym_case] = ACTIONS(3072),
    [anon_sym_finally] = ACTIONS(3072),
    [anon_sym_yield] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_LTtemplate_GT] = ACTIONS(3072),
    [anon_sym_class] = ACTIONS(3072),
    [anon_sym_async] = ACTIONS(3072),
    [anon_sym_function] = ACTIONS(3072),
    [anon_sym_new] = ACTIONS(3072),
    [anon_sym_using] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3072),
    [anon_sym_DASH] = ACTIONS(3072),
    [anon_sym_SLASH] = ACTIONS(3072),
    [anon_sym_LT] = ACTIONS(3072),
    [anon_sym_TILDE] = ACTIONS(3072),
    [anon_sym_void] = ACTIONS(3072),
    [anon_sym_delete] = ACTIONS(3072),
    [anon_sym_PLUS_PLUS] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3072),
    [anon_sym_DQUOTE] = ACTIONS(3072),
    [anon_sym_SQUOTE] = ACTIONS(3072),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3072),
    [sym_number] = ACTIONS(3072),
    [sym_private_property_identifier] = ACTIONS(3072),
    [sym_this] = ACTIONS(3072),
    [sym_super] = ACTIONS(3072),
    [sym_true] = ACTIONS(3072),
    [sym_false] = ACTIONS(3072),
    [sym_null] = ACTIONS(3072),
    [sym_undefined] = ACTIONS(3072),
    [anon_sym_AT] = ACTIONS(3072),
    [anon_sym_static] = ACTIONS(3072),
    [anon_sym_readonly] = ACTIONS(3072),
    [anon_sym_get] = ACTIONS(3072),
    [anon_sym_set] = ACTIONS(3072),
    [anon_sym_declare] = ACTIONS(3072),
    [anon_sym_public] = ACTIONS(3072),
    [anon_sym_private] = ACTIONS(3072),
    [anon_sym_protected] = ACTIONS(3072),
    [anon_sym_override] = ACTIONS(3072),
    [anon_sym_module] = ACTIONS(3072),
    [anon_sym_any] = ACTIONS(3072),
    [anon_sym_number] = ACTIONS(3072),
    [anon_sym_boolean] = ACTIONS(3072),
    [anon_sym_string] = ACTIONS(3072),
    [anon_sym_symbol] = ACTIONS(3072),
    [anon_sym_object] = ACTIONS(3072),
    [anon_sym_abstract] = ACTIONS(3072),
    [anon_sym_interface] = ACTIONS(3072),
    [anon_sym_enum] = ACTIONS(3072),
    [sym_html_comment] = ACTIONS(5),
  },
  [928] = {
    [sym_comment] = STATE(928),
    [ts_builtin_sym_end] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2065),
    [anon_sym_export] = ACTIONS(2065),
    [anon_sym_type] = ACTIONS(2065),
    [anon_sym_namespace] = ACTIONS(2065),
    [anon_sym_LBRACE] = ACTIONS(2065),
    [anon_sym_RBRACE] = ACTIONS(2065),
    [anon_sym_typeof] = ACTIONS(2065),
    [anon_sym_import] = ACTIONS(2065),
    [anon_sym_var] = ACTIONS(2065),
    [anon_sym_let] = ACTIONS(2065),
    [anon_sym_const] = ACTIONS(2065),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_else] = ACTIONS(2065),
    [anon_sym_if] = ACTIONS(2065),
    [anon_sym_switch] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2065),
    [anon_sym_LPAREN] = ACTIONS(2065),
    [anon_sym_await] = ACTIONS(2065),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_do] = ACTIONS(2065),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_with] = ACTIONS(2065),
    [anon_sym_break] = ACTIONS(2065),
    [anon_sym_continue] = ACTIONS(2065),
    [anon_sym_debugger] = ACTIONS(2065),
    [anon_sym_return] = ACTIONS(2065),
    [anon_sym_throw] = ACTIONS(2065),
    [anon_sym_SEMI] = ACTIONS(2065),
    [anon_sym_finally] = ACTIONS(2065),
    [anon_sym_yield] = ACTIONS(2065),
    [anon_sym_LBRACK] = ACTIONS(2065),
    [anon_sym_LTtemplate_GT] = ACTIONS(2065),
    [anon_sym_class] = ACTIONS(2065),
    [anon_sym_async] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2065),
    [anon_sym_new] = ACTIONS(2065),
    [anon_sym_using] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2065),
    [anon_sym_DASH] = ACTIONS(2065),
    [anon_sym_SLASH] = ACTIONS(2065),
    [anon_sym_LT] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_void] = ACTIONS(2065),
    [anon_sym_delete] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_DQUOTE] = ACTIONS(2065),
    [anon_sym_SQUOTE] = ACTIONS(2065),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2065),
    [sym_number] = ACTIONS(2065),
    [sym_private_property_identifier] = ACTIONS(2065),
    [sym_this] = ACTIONS(2065),
    [sym_super] = ACTIONS(2065),
    [sym_true] = ACTIONS(2065),
    [sym_false] = ACTIONS(2065),
    [sym_null] = ACTIONS(2065),
    [sym_undefined] = ACTIONS(2065),
    [anon_sym_AT] = ACTIONS(2065),
    [anon_sym_static] = ACTIONS(2065),
    [anon_sym_readonly] = ACTIONS(2065),
    [anon_sym_get] = ACTIONS(2065),
    [anon_sym_set] = ACTIONS(2065),
    [anon_sym_declare] = ACTIONS(2065),
    [anon_sym_public] = ACTIONS(2065),
    [anon_sym_private] = ACTIONS(2065),
    [anon_sym_protected] = ACTIONS(2065),
    [anon_sym_override] = ACTIONS(2065),
    [anon_sym_module] = ACTIONS(2065),
    [anon_sym_any] = ACTIONS(2065),
    [anon_sym_number] = ACTIONS(2065),
    [anon_sym_boolean] = ACTIONS(2065),
    [anon_sym_string] = ACTIONS(2065),
    [anon_sym_symbol] = ACTIONS(2065),
    [anon_sym_object] = ACTIONS(2065),
    [anon_sym_abstract] = ACTIONS(2065),
    [anon_sym_interface] = ACTIONS(2065),
    [anon_sym_enum] = ACTIONS(2065),
    [sym__automatic_semicolon] = ACTIONS(3074),
    [sym_html_comment] = ACTIONS(5),
  },
  [929] = {
    [sym_comment] = STATE(929),
    [sym_identifier] = ACTIONS(2165),
    [anon_sym_export] = ACTIONS(2165),
    [anon_sym_default] = ACTIONS(2165),
    [anon_sym_type] = ACTIONS(2165),
    [anon_sym_namespace] = ACTIONS(2165),
    [anon_sym_LBRACE] = ACTIONS(2165),
    [anon_sym_RBRACE] = ACTIONS(2165),
    [anon_sym_typeof] = ACTIONS(2165),
    [anon_sym_import] = ACTIONS(2165),
    [anon_sym_var] = ACTIONS(2165),
    [anon_sym_let] = ACTIONS(2165),
    [anon_sym_const] = ACTIONS(2165),
    [anon_sym_BANG] = ACTIONS(2165),
    [anon_sym_else] = ACTIONS(2165),
    [anon_sym_if] = ACTIONS(2165),
    [anon_sym_switch] = ACTIONS(2165),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_LPAREN] = ACTIONS(2165),
    [anon_sym_await] = ACTIONS(2165),
    [anon_sym_while] = ACTIONS(2165),
    [anon_sym_do] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_with] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2165),
    [anon_sym_continue] = ACTIONS(2165),
    [anon_sym_debugger] = ACTIONS(2165),
    [anon_sym_return] = ACTIONS(2165),
    [anon_sym_throw] = ACTIONS(2165),
    [anon_sym_SEMI] = ACTIONS(2165),
    [anon_sym_case] = ACTIONS(2165),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_LBRACK] = ACTIONS(2165),
    [anon_sym_LTtemplate_GT] = ACTIONS(2165),
    [anon_sym_class] = ACTIONS(2165),
    [anon_sym_async] = ACTIONS(2165),
    [anon_sym_function] = ACTIONS(2165),
    [anon_sym_new] = ACTIONS(2165),
    [anon_sym_using] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(2165),
    [anon_sym_DASH] = ACTIONS(2165),
    [anon_sym_SLASH] = ACTIONS(2165),
    [anon_sym_LT] = ACTIONS(2165),
    [anon_sym_TILDE] = ACTIONS(2165),
    [anon_sym_void] = ACTIONS(2165),
    [anon_sym_delete] = ACTIONS(2165),
    [anon_sym_PLUS_PLUS] = ACTIONS(2165),
    [anon_sym_DASH_DASH] = ACTIONS(2165),
    [anon_sym_DQUOTE] = ACTIONS(2165),
    [anon_sym_SQUOTE] = ACTIONS(2165),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2165),
    [sym_number] = ACTIONS(2165),
    [sym_private_property_identifier] = ACTIONS(2165),
    [sym_this] = ACTIONS(2165),
    [sym_super] = ACTIONS(2165),
    [sym_true] = ACTIONS(2165),
    [sym_false] = ACTIONS(2165),
    [sym_null] = ACTIONS(2165),
    [sym_undefined] = ACTIONS(2165),
    [anon_sym_AT] = ACTIONS(2165),
    [anon_sym_static] = ACTIONS(2165),
    [anon_sym_readonly] = ACTIONS(2165),
    [anon_sym_get] = ACTIONS(2165),
    [anon_sym_set] = ACTIONS(2165),
    [anon_sym_declare] = ACTIONS(2165),
    [anon_sym_public] = ACTIONS(2165),
    [anon_sym_private] = ACTIONS(2165),
    [anon_sym_protected] = ACTIONS(2165),
    [anon_sym_override] = ACTIONS(2165),
    [anon_sym_module] = ACTIONS(2165),
    [anon_sym_any] = ACTIONS(2165),
    [anon_sym_number] = ACTIONS(2165),
    [anon_sym_boolean] = ACTIONS(2165),
    [anon_sym_string] = ACTIONS(2165),
    [anon_sym_symbol] = ACTIONS(2165),
    [anon_sym_object] = ACTIONS(2165),
    [anon_sym_abstract] = ACTIONS(2165),
    [anon_sym_interface] = ACTIONS(2165),
    [anon_sym_enum] = ACTIONS(2165),
    [sym__automatic_semicolon] = ACTIONS(2167),
    [sym_html_comment] = ACTIONS(5),
  },
  [930] = {
    [sym_finally_clause] = STATE(1513),
    [sym_comment] = STATE(930),
    [ts_builtin_sym_end] = ACTIONS(3076),
    [sym_identifier] = ACTIONS(3064),
    [anon_sym_export] = ACTIONS(3064),
    [anon_sym_type] = ACTIONS(3064),
    [anon_sym_namespace] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3064),
    [anon_sym_RBRACE] = ACTIONS(3064),
    [anon_sym_typeof] = ACTIONS(3064),
    [anon_sym_import] = ACTIONS(3064),
    [anon_sym_var] = ACTIONS(3064),
    [anon_sym_let] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_BANG] = ACTIONS(3064),
    [anon_sym_else] = ACTIONS(3064),
    [anon_sym_if] = ACTIONS(3064),
    [anon_sym_switch] = ACTIONS(3064),
    [anon_sym_for] = ACTIONS(3064),
    [anon_sym_LPAREN] = ACTIONS(3064),
    [anon_sym_await] = ACTIONS(3064),
    [anon_sym_while] = ACTIONS(3064),
    [anon_sym_do] = ACTIONS(3064),
    [anon_sym_try] = ACTIONS(3064),
    [anon_sym_with] = ACTIONS(3064),
    [anon_sym_break] = ACTIONS(3064),
    [anon_sym_continue] = ACTIONS(3064),
    [anon_sym_debugger] = ACTIONS(3064),
    [anon_sym_return] = ACTIONS(3064),
    [anon_sym_throw] = ACTIONS(3064),
    [anon_sym_SEMI] = ACTIONS(3064),
    [anon_sym_finally] = ACTIONS(3034),
    [anon_sym_yield] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3064),
    [anon_sym_LTtemplate_GT] = ACTIONS(3064),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_async] = ACTIONS(3064),
    [anon_sym_function] = ACTIONS(3064),
    [anon_sym_new] = ACTIONS(3064),
    [anon_sym_using] = ACTIONS(3064),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3064),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_TILDE] = ACTIONS(3064),
    [anon_sym_void] = ACTIONS(3064),
    [anon_sym_delete] = ACTIONS(3064),
    [anon_sym_PLUS_PLUS] = ACTIONS(3064),
    [anon_sym_DASH_DASH] = ACTIONS(3064),
    [anon_sym_DQUOTE] = ACTIONS(3064),
    [anon_sym_SQUOTE] = ACTIONS(3064),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3064),
    [sym_number] = ACTIONS(3064),
    [sym_private_property_identifier] = ACTIONS(3064),
    [sym_this] = ACTIONS(3064),
    [sym_super] = ACTIONS(3064),
    [sym_true] = ACTIONS(3064),
    [sym_false] = ACTIONS(3064),
    [sym_null] = ACTIONS(3064),
    [sym_undefined] = ACTIONS(3064),
    [anon_sym_AT] = ACTIONS(3064),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_readonly] = ACTIONS(3064),
    [anon_sym_get] = ACTIONS(3064),
    [anon_sym_set] = ACTIONS(3064),
    [anon_sym_declare] = ACTIONS(3064),
    [anon_sym_public] = ACTIONS(3064),
    [anon_sym_private] = ACTIONS(3064),
    [anon_sym_protected] = ACTIONS(3064),
    [anon_sym_override] = ACTIONS(3064),
    [anon_sym_module] = ACTIONS(3064),
    [anon_sym_any] = ACTIONS(3064),
    [anon_sym_number] = ACTIONS(3064),
    [anon_sym_boolean] = ACTIONS(3064),
    [anon_sym_string] = ACTIONS(3064),
    [anon_sym_symbol] = ACTIONS(3064),
    [anon_sym_object] = ACTIONS(3064),
    [anon_sym_abstract] = ACTIONS(3064),
    [anon_sym_interface] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [sym_html_comment] = ACTIONS(5),
  },
  [931] = {
    [sym_comment] = STATE(931),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_export] = ACTIONS(2213),
    [anon_sym_default] = ACTIONS(2213),
    [anon_sym_type] = ACTIONS(2213),
    [anon_sym_namespace] = ACTIONS(2213),
    [anon_sym_LBRACE] = ACTIONS(2213),
    [anon_sym_RBRACE] = ACTIONS(2213),
    [anon_sym_typeof] = ACTIONS(2213),
    [anon_sym_import] = ACTIONS(2213),
    [anon_sym_var] = ACTIONS(2213),
    [anon_sym_let] = ACTIONS(2213),
    [anon_sym_const] = ACTIONS(2213),
    [anon_sym_BANG] = ACTIONS(2213),
    [anon_sym_else] = ACTIONS(2213),
    [anon_sym_if] = ACTIONS(2213),
    [anon_sym_switch] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2213),
    [anon_sym_LPAREN] = ACTIONS(2213),
    [anon_sym_await] = ACTIONS(2213),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_do] = ACTIONS(2213),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_with] = ACTIONS(2213),
    [anon_sym_break] = ACTIONS(2213),
    [anon_sym_continue] = ACTIONS(2213),
    [anon_sym_debugger] = ACTIONS(2213),
    [anon_sym_return] = ACTIONS(2213),
    [anon_sym_throw] = ACTIONS(2213),
    [anon_sym_SEMI] = ACTIONS(2213),
    [anon_sym_case] = ACTIONS(2213),
    [anon_sym_yield] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(2213),
    [anon_sym_LTtemplate_GT] = ACTIONS(2213),
    [anon_sym_class] = ACTIONS(2213),
    [anon_sym_async] = ACTIONS(2213),
    [anon_sym_function] = ACTIONS(2213),
    [anon_sym_new] = ACTIONS(2213),
    [anon_sym_using] = ACTIONS(2213),
    [anon_sym_PLUS] = ACTIONS(2213),
    [anon_sym_DASH] = ACTIONS(2213),
    [anon_sym_SLASH] = ACTIONS(2213),
    [anon_sym_LT] = ACTIONS(2213),
    [anon_sym_TILDE] = ACTIONS(2213),
    [anon_sym_void] = ACTIONS(2213),
    [anon_sym_delete] = ACTIONS(2213),
    [anon_sym_PLUS_PLUS] = ACTIONS(2213),
    [anon_sym_DASH_DASH] = ACTIONS(2213),
    [anon_sym_DQUOTE] = ACTIONS(2213),
    [anon_sym_SQUOTE] = ACTIONS(2213),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2213),
    [sym_number] = ACTIONS(2213),
    [sym_private_property_identifier] = ACTIONS(2213),
    [sym_this] = ACTIONS(2213),
    [sym_super] = ACTIONS(2213),
    [sym_true] = ACTIONS(2213),
    [sym_false] = ACTIONS(2213),
    [sym_null] = ACTIONS(2213),
    [sym_undefined] = ACTIONS(2213),
    [anon_sym_AT] = ACTIONS(2213),
    [anon_sym_static] = ACTIONS(2213),
    [anon_sym_readonly] = ACTIONS(2213),
    [anon_sym_get] = ACTIONS(2213),
    [anon_sym_set] = ACTIONS(2213),
    [anon_sym_declare] = ACTIONS(2213),
    [anon_sym_public] = ACTIONS(2213),
    [anon_sym_private] = ACTIONS(2213),
    [anon_sym_protected] = ACTIONS(2213),
    [anon_sym_override] = ACTIONS(2213),
    [anon_sym_module] = ACTIONS(2213),
    [anon_sym_any] = ACTIONS(2213),
    [anon_sym_number] = ACTIONS(2213),
    [anon_sym_boolean] = ACTIONS(2213),
    [anon_sym_string] = ACTIONS(2213),
    [anon_sym_symbol] = ACTIONS(2213),
    [anon_sym_object] = ACTIONS(2213),
    [anon_sym_abstract] = ACTIONS(2213),
    [anon_sym_interface] = ACTIONS(2213),
    [anon_sym_enum] = ACTIONS(2213),
    [sym__automatic_semicolon] = ACTIONS(2217),
    [sym_html_comment] = ACTIONS(5),
  },
  [932] = {
    [sym_comment] = STATE(932),
    [ts_builtin_sym_end] = ACTIONS(2143),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_RBRACE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_else] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_finally] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LTtemplate_GT] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_using] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_LT] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [sym_private_property_identifier] = ACTIONS(2141),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_object] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
    [sym__automatic_semicolon] = ACTIONS(3078),
    [sym_html_comment] = ACTIONS(5),
  },
  [933] = {
    [sym_comment] = STATE(933),
    [sym_identifier] = ACTIONS(2185),
    [anon_sym_export] = ACTIONS(2185),
    [anon_sym_default] = ACTIONS(2185),
    [anon_sym_type] = ACTIONS(2185),
    [anon_sym_namespace] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2185),
    [anon_sym_RBRACE] = ACTIONS(2185),
    [anon_sym_typeof] = ACTIONS(2185),
    [anon_sym_import] = ACTIONS(2185),
    [anon_sym_var] = ACTIONS(2185),
    [anon_sym_let] = ACTIONS(2185),
    [anon_sym_const] = ACTIONS(2185),
    [anon_sym_BANG] = ACTIONS(2185),
    [anon_sym_else] = ACTIONS(2185),
    [anon_sym_if] = ACTIONS(2185),
    [anon_sym_switch] = ACTIONS(2185),
    [anon_sym_for] = ACTIONS(2185),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_while] = ACTIONS(2185),
    [anon_sym_do] = ACTIONS(2185),
    [anon_sym_try] = ACTIONS(2185),
    [anon_sym_with] = ACTIONS(2185),
    [anon_sym_break] = ACTIONS(2185),
    [anon_sym_continue] = ACTIONS(2185),
    [anon_sym_debugger] = ACTIONS(2185),
    [anon_sym_return] = ACTIONS(2185),
    [anon_sym_throw] = ACTIONS(2185),
    [anon_sym_SEMI] = ACTIONS(2185),
    [anon_sym_case] = ACTIONS(2185),
    [anon_sym_yield] = ACTIONS(2185),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_LTtemplate_GT] = ACTIONS(2185),
    [anon_sym_class] = ACTIONS(2185),
    [anon_sym_async] = ACTIONS(2185),
    [anon_sym_function] = ACTIONS(2185),
    [anon_sym_new] = ACTIONS(2185),
    [anon_sym_using] = ACTIONS(2185),
    [anon_sym_PLUS] = ACTIONS(2185),
    [anon_sym_DASH] = ACTIONS(2185),
    [anon_sym_SLASH] = ACTIONS(2185),
    [anon_sym_LT] = ACTIONS(2185),
    [anon_sym_TILDE] = ACTIONS(2185),
    [anon_sym_void] = ACTIONS(2185),
    [anon_sym_delete] = ACTIONS(2185),
    [anon_sym_PLUS_PLUS] = ACTIONS(2185),
    [anon_sym_DASH_DASH] = ACTIONS(2185),
    [anon_sym_DQUOTE] = ACTIONS(2185),
    [anon_sym_SQUOTE] = ACTIONS(2185),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2185),
    [sym_number] = ACTIONS(2185),
    [sym_private_property_identifier] = ACTIONS(2185),
    [sym_this] = ACTIONS(2185),
    [sym_super] = ACTIONS(2185),
    [sym_true] = ACTIONS(2185),
    [sym_false] = ACTIONS(2185),
    [sym_null] = ACTIONS(2185),
    [sym_undefined] = ACTIONS(2185),
    [anon_sym_AT] = ACTIONS(2185),
    [anon_sym_static] = ACTIONS(2185),
    [anon_sym_readonly] = ACTIONS(2185),
    [anon_sym_get] = ACTIONS(2185),
    [anon_sym_set] = ACTIONS(2185),
    [anon_sym_declare] = ACTIONS(2185),
    [anon_sym_public] = ACTIONS(2185),
    [anon_sym_private] = ACTIONS(2185),
    [anon_sym_protected] = ACTIONS(2185),
    [anon_sym_override] = ACTIONS(2185),
    [anon_sym_module] = ACTIONS(2185),
    [anon_sym_any] = ACTIONS(2185),
    [anon_sym_number] = ACTIONS(2185),
    [anon_sym_boolean] = ACTIONS(2185),
    [anon_sym_string] = ACTIONS(2185),
    [anon_sym_symbol] = ACTIONS(2185),
    [anon_sym_object] = ACTIONS(2185),
    [anon_sym_abstract] = ACTIONS(2185),
    [anon_sym_interface] = ACTIONS(2185),
    [anon_sym_enum] = ACTIONS(2185),
    [sym__automatic_semicolon] = ACTIONS(2189),
    [sym_html_comment] = ACTIONS(5),
  },
  [934] = {
    [sym_comment] = STATE(934),
    [sym_identifier] = ACTIONS(2169),
    [anon_sym_export] = ACTIONS(2169),
    [anon_sym_default] = ACTIONS(2169),
    [anon_sym_type] = ACTIONS(2169),
    [anon_sym_namespace] = ACTIONS(2169),
    [anon_sym_LBRACE] = ACTIONS(2169),
    [anon_sym_RBRACE] = ACTIONS(2169),
    [anon_sym_typeof] = ACTIONS(2169),
    [anon_sym_import] = ACTIONS(2169),
    [anon_sym_var] = ACTIONS(2169),
    [anon_sym_let] = ACTIONS(2169),
    [anon_sym_const] = ACTIONS(2169),
    [anon_sym_BANG] = ACTIONS(2169),
    [anon_sym_else] = ACTIONS(2169),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_switch] = ACTIONS(2169),
    [anon_sym_for] = ACTIONS(2169),
    [anon_sym_LPAREN] = ACTIONS(2169),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_while] = ACTIONS(2169),
    [anon_sym_do] = ACTIONS(2169),
    [anon_sym_try] = ACTIONS(2169),
    [anon_sym_with] = ACTIONS(2169),
    [anon_sym_break] = ACTIONS(2169),
    [anon_sym_continue] = ACTIONS(2169),
    [anon_sym_debugger] = ACTIONS(2169),
    [anon_sym_return] = ACTIONS(2169),
    [anon_sym_throw] = ACTIONS(2169),
    [anon_sym_SEMI] = ACTIONS(2169),
    [anon_sym_case] = ACTIONS(2169),
    [anon_sym_yield] = ACTIONS(2169),
    [anon_sym_LBRACK] = ACTIONS(2169),
    [anon_sym_LTtemplate_GT] = ACTIONS(2169),
    [anon_sym_class] = ACTIONS(2169),
    [anon_sym_async] = ACTIONS(2169),
    [anon_sym_function] = ACTIONS(2169),
    [anon_sym_new] = ACTIONS(2169),
    [anon_sym_using] = ACTIONS(2169),
    [anon_sym_PLUS] = ACTIONS(2169),
    [anon_sym_DASH] = ACTIONS(2169),
    [anon_sym_SLASH] = ACTIONS(2169),
    [anon_sym_LT] = ACTIONS(2169),
    [anon_sym_TILDE] = ACTIONS(2169),
    [anon_sym_void] = ACTIONS(2169),
    [anon_sym_delete] = ACTIONS(2169),
    [anon_sym_PLUS_PLUS] = ACTIONS(2169),
    [anon_sym_DASH_DASH] = ACTIONS(2169),
    [anon_sym_DQUOTE] = ACTIONS(2169),
    [anon_sym_SQUOTE] = ACTIONS(2169),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2169),
    [sym_number] = ACTIONS(2169),
    [sym_private_property_identifier] = ACTIONS(2169),
    [sym_this] = ACTIONS(2169),
    [sym_super] = ACTIONS(2169),
    [sym_true] = ACTIONS(2169),
    [sym_false] = ACTIONS(2169),
    [sym_null] = ACTIONS(2169),
    [sym_undefined] = ACTIONS(2169),
    [anon_sym_AT] = ACTIONS(2169),
    [anon_sym_static] = ACTIONS(2169),
    [anon_sym_readonly] = ACTIONS(2169),
    [anon_sym_get] = ACTIONS(2169),
    [anon_sym_set] = ACTIONS(2169),
    [anon_sym_declare] = ACTIONS(2169),
    [anon_sym_public] = ACTIONS(2169),
    [anon_sym_private] = ACTIONS(2169),
    [anon_sym_protected] = ACTIONS(2169),
    [anon_sym_override] = ACTIONS(2169),
    [anon_sym_module] = ACTIONS(2169),
    [anon_sym_any] = ACTIONS(2169),
    [anon_sym_number] = ACTIONS(2169),
    [anon_sym_boolean] = ACTIONS(2169),
    [anon_sym_string] = ACTIONS(2169),
    [anon_sym_symbol] = ACTIONS(2169),
    [anon_sym_object] = ACTIONS(2169),
    [anon_sym_abstract] = ACTIONS(2169),
    [anon_sym_interface] = ACTIONS(2169),
    [anon_sym_enum] = ACTIONS(2169),
    [sym__automatic_semicolon] = ACTIONS(2173),
    [sym_html_comment] = ACTIONS(5),
  },
  [935] = {
    [sym_comment] = STATE(935),
    [sym_identifier] = ACTIONS(2177),
    [anon_sym_export] = ACTIONS(2177),
    [anon_sym_default] = ACTIONS(2177),
    [anon_sym_type] = ACTIONS(2177),
    [anon_sym_namespace] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(2177),
    [anon_sym_RBRACE] = ACTIONS(2177),
    [anon_sym_typeof] = ACTIONS(2177),
    [anon_sym_import] = ACTIONS(2177),
    [anon_sym_var] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2177),
    [anon_sym_const] = ACTIONS(2177),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_else] = ACTIONS(2177),
    [anon_sym_if] = ACTIONS(2177),
    [anon_sym_switch] = ACTIONS(2177),
    [anon_sym_for] = ACTIONS(2177),
    [anon_sym_LPAREN] = ACTIONS(2177),
    [anon_sym_await] = ACTIONS(2177),
    [anon_sym_while] = ACTIONS(2177),
    [anon_sym_do] = ACTIONS(2177),
    [anon_sym_try] = ACTIONS(2177),
    [anon_sym_with] = ACTIONS(2177),
    [anon_sym_break] = ACTIONS(2177),
    [anon_sym_continue] = ACTIONS(2177),
    [anon_sym_debugger] = ACTIONS(2177),
    [anon_sym_return] = ACTIONS(2177),
    [anon_sym_throw] = ACTIONS(2177),
    [anon_sym_SEMI] = ACTIONS(2177),
    [anon_sym_case] = ACTIONS(2177),
    [anon_sym_yield] = ACTIONS(2177),
    [anon_sym_LBRACK] = ACTIONS(2177),
    [anon_sym_LTtemplate_GT] = ACTIONS(2177),
    [anon_sym_class] = ACTIONS(2177),
    [anon_sym_async] = ACTIONS(2177),
    [anon_sym_function] = ACTIONS(2177),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_using] = ACTIONS(2177),
    [anon_sym_PLUS] = ACTIONS(2177),
    [anon_sym_DASH] = ACTIONS(2177),
    [anon_sym_SLASH] = ACTIONS(2177),
    [anon_sym_LT] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [anon_sym_void] = ACTIONS(2177),
    [anon_sym_delete] = ACTIONS(2177),
    [anon_sym_PLUS_PLUS] = ACTIONS(2177),
    [anon_sym_DASH_DASH] = ACTIONS(2177),
    [anon_sym_DQUOTE] = ACTIONS(2177),
    [anon_sym_SQUOTE] = ACTIONS(2177),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2177),
    [sym_number] = ACTIONS(2177),
    [sym_private_property_identifier] = ACTIONS(2177),
    [sym_this] = ACTIONS(2177),
    [sym_super] = ACTIONS(2177),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [sym_null] = ACTIONS(2177),
    [sym_undefined] = ACTIONS(2177),
    [anon_sym_AT] = ACTIONS(2177),
    [anon_sym_static] = ACTIONS(2177),
    [anon_sym_readonly] = ACTIONS(2177),
    [anon_sym_get] = ACTIONS(2177),
    [anon_sym_set] = ACTIONS(2177),
    [anon_sym_declare] = ACTIONS(2177),
    [anon_sym_public] = ACTIONS(2177),
    [anon_sym_private] = ACTIONS(2177),
    [anon_sym_protected] = ACTIONS(2177),
    [anon_sym_override] = ACTIONS(2177),
    [anon_sym_module] = ACTIONS(2177),
    [anon_sym_any] = ACTIONS(2177),
    [anon_sym_number] = ACTIONS(2177),
    [anon_sym_boolean] = ACTIONS(2177),
    [anon_sym_string] = ACTIONS(2177),
    [anon_sym_symbol] = ACTIONS(2177),
    [anon_sym_object] = ACTIONS(2177),
    [anon_sym_abstract] = ACTIONS(2177),
    [anon_sym_interface] = ACTIONS(2177),
    [anon_sym_enum] = ACTIONS(2177),
    [sym__automatic_semicolon] = ACTIONS(2181),
    [sym_html_comment] = ACTIONS(5),
  },
  [936] = {
    [sym_else_clause] = STATE(1309),
    [sym_comment] = STATE(936),
    [sym_identifier] = ACTIONS(3080),
    [anon_sym_export] = ACTIONS(3080),
    [anon_sym_default] = ACTIONS(3080),
    [anon_sym_type] = ACTIONS(3080),
    [anon_sym_namespace] = ACTIONS(3080),
    [anon_sym_LBRACE] = ACTIONS(3080),
    [anon_sym_RBRACE] = ACTIONS(3080),
    [anon_sym_typeof] = ACTIONS(3080),
    [anon_sym_import] = ACTIONS(3080),
    [anon_sym_var] = ACTIONS(3080),
    [anon_sym_let] = ACTIONS(3080),
    [anon_sym_const] = ACTIONS(3080),
    [anon_sym_BANG] = ACTIONS(3080),
    [anon_sym_else] = ACTIONS(3082),
    [anon_sym_if] = ACTIONS(3080),
    [anon_sym_switch] = ACTIONS(3080),
    [anon_sym_for] = ACTIONS(3080),
    [anon_sym_LPAREN] = ACTIONS(3080),
    [anon_sym_await] = ACTIONS(3080),
    [anon_sym_while] = ACTIONS(3080),
    [anon_sym_do] = ACTIONS(3080),
    [anon_sym_try] = ACTIONS(3080),
    [anon_sym_with] = ACTIONS(3080),
    [anon_sym_break] = ACTIONS(3080),
    [anon_sym_continue] = ACTIONS(3080),
    [anon_sym_debugger] = ACTIONS(3080),
    [anon_sym_return] = ACTIONS(3080),
    [anon_sym_throw] = ACTIONS(3080),
    [anon_sym_SEMI] = ACTIONS(3080),
    [anon_sym_case] = ACTIONS(3080),
    [anon_sym_yield] = ACTIONS(3080),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_LTtemplate_GT] = ACTIONS(3080),
    [anon_sym_class] = ACTIONS(3080),
    [anon_sym_async] = ACTIONS(3080),
    [anon_sym_function] = ACTIONS(3080),
    [anon_sym_new] = ACTIONS(3080),
    [anon_sym_using] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3080),
    [anon_sym_DASH] = ACTIONS(3080),
    [anon_sym_SLASH] = ACTIONS(3080),
    [anon_sym_LT] = ACTIONS(3080),
    [anon_sym_TILDE] = ACTIONS(3080),
    [anon_sym_void] = ACTIONS(3080),
    [anon_sym_delete] = ACTIONS(3080),
    [anon_sym_PLUS_PLUS] = ACTIONS(3080),
    [anon_sym_DASH_DASH] = ACTIONS(3080),
    [anon_sym_DQUOTE] = ACTIONS(3080),
    [anon_sym_SQUOTE] = ACTIONS(3080),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3080),
    [sym_number] = ACTIONS(3080),
    [sym_private_property_identifier] = ACTIONS(3080),
    [sym_this] = ACTIONS(3080),
    [sym_super] = ACTIONS(3080),
    [sym_true] = ACTIONS(3080),
    [sym_false] = ACTIONS(3080),
    [sym_null] = ACTIONS(3080),
    [sym_undefined] = ACTIONS(3080),
    [anon_sym_AT] = ACTIONS(3080),
    [anon_sym_static] = ACTIONS(3080),
    [anon_sym_readonly] = ACTIONS(3080),
    [anon_sym_get] = ACTIONS(3080),
    [anon_sym_set] = ACTIONS(3080),
    [anon_sym_declare] = ACTIONS(3080),
    [anon_sym_public] = ACTIONS(3080),
    [anon_sym_private] = ACTIONS(3080),
    [anon_sym_protected] = ACTIONS(3080),
    [anon_sym_override] = ACTIONS(3080),
    [anon_sym_module] = ACTIONS(3080),
    [anon_sym_any] = ACTIONS(3080),
    [anon_sym_number] = ACTIONS(3080),
    [anon_sym_boolean] = ACTIONS(3080),
    [anon_sym_string] = ACTIONS(3080),
    [anon_sym_symbol] = ACTIONS(3080),
    [anon_sym_object] = ACTIONS(3080),
    [anon_sym_abstract] = ACTIONS(3080),
    [anon_sym_interface] = ACTIONS(3080),
    [anon_sym_enum] = ACTIONS(3080),
    [sym_html_comment] = ACTIONS(5),
  },
  [937] = {
    [sym_comment] = STATE(937),
    [sym_identifier] = ACTIONS(2155),
    [anon_sym_export] = ACTIONS(2155),
    [anon_sym_default] = ACTIONS(2155),
    [anon_sym_type] = ACTIONS(2155),
    [anon_sym_namespace] = ACTIONS(2155),
    [anon_sym_LBRACE] = ACTIONS(2155),
    [anon_sym_RBRACE] = ACTIONS(2155),
    [anon_sym_typeof] = ACTIONS(2155),
    [anon_sym_import] = ACTIONS(2155),
    [anon_sym_var] = ACTIONS(2155),
    [anon_sym_let] = ACTIONS(2155),
    [anon_sym_const] = ACTIONS(2155),
    [anon_sym_BANG] = ACTIONS(2155),
    [anon_sym_else] = ACTIONS(2155),
    [anon_sym_if] = ACTIONS(2155),
    [anon_sym_switch] = ACTIONS(2155),
    [anon_sym_for] = ACTIONS(2155),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_await] = ACTIONS(2155),
    [anon_sym_while] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(2155),
    [anon_sym_try] = ACTIONS(2155),
    [anon_sym_with] = ACTIONS(2155),
    [anon_sym_break] = ACTIONS(2155),
    [anon_sym_continue] = ACTIONS(2155),
    [anon_sym_debugger] = ACTIONS(2155),
    [anon_sym_return] = ACTIONS(2155),
    [anon_sym_throw] = ACTIONS(2155),
    [anon_sym_SEMI] = ACTIONS(2155),
    [anon_sym_case] = ACTIONS(2155),
    [anon_sym_yield] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2155),
    [anon_sym_LTtemplate_GT] = ACTIONS(2155),
    [anon_sym_class] = ACTIONS(2155),
    [anon_sym_async] = ACTIONS(2155),
    [anon_sym_function] = ACTIONS(2155),
    [anon_sym_new] = ACTIONS(2155),
    [anon_sym_using] = ACTIONS(2155),
    [anon_sym_PLUS] = ACTIONS(2155),
    [anon_sym_DASH] = ACTIONS(2155),
    [anon_sym_SLASH] = ACTIONS(2155),
    [anon_sym_LT] = ACTIONS(2155),
    [anon_sym_TILDE] = ACTIONS(2155),
    [anon_sym_void] = ACTIONS(2155),
    [anon_sym_delete] = ACTIONS(2155),
    [anon_sym_PLUS_PLUS] = ACTIONS(2155),
    [anon_sym_DASH_DASH] = ACTIONS(2155),
    [anon_sym_DQUOTE] = ACTIONS(2155),
    [anon_sym_SQUOTE] = ACTIONS(2155),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2155),
    [sym_number] = ACTIONS(2155),
    [sym_private_property_identifier] = ACTIONS(2155),
    [sym_this] = ACTIONS(2155),
    [sym_super] = ACTIONS(2155),
    [sym_true] = ACTIONS(2155),
    [sym_false] = ACTIONS(2155),
    [sym_null] = ACTIONS(2155),
    [sym_undefined] = ACTIONS(2155),
    [anon_sym_AT] = ACTIONS(2155),
    [anon_sym_static] = ACTIONS(2155),
    [anon_sym_readonly] = ACTIONS(2155),
    [anon_sym_get] = ACTIONS(2155),
    [anon_sym_set] = ACTIONS(2155),
    [anon_sym_declare] = ACTIONS(2155),
    [anon_sym_public] = ACTIONS(2155),
    [anon_sym_private] = ACTIONS(2155),
    [anon_sym_protected] = ACTIONS(2155),
    [anon_sym_override] = ACTIONS(2155),
    [anon_sym_module] = ACTIONS(2155),
    [anon_sym_any] = ACTIONS(2155),
    [anon_sym_number] = ACTIONS(2155),
    [anon_sym_boolean] = ACTIONS(2155),
    [anon_sym_string] = ACTIONS(2155),
    [anon_sym_symbol] = ACTIONS(2155),
    [anon_sym_object] = ACTIONS(2155),
    [anon_sym_abstract] = ACTIONS(2155),
    [anon_sym_interface] = ACTIONS(2155),
    [anon_sym_enum] = ACTIONS(2155),
    [sym__automatic_semicolon] = ACTIONS(2159),
    [sym_html_comment] = ACTIONS(5),
  },
  [938] = {
    [sym_comment] = STATE(938),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_default] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_RBRACE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_case] = ACTIONS(2141),
    [anon_sym_finally] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LTtemplate_GT] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_using] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_LT] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [sym_private_property_identifier] = ACTIONS(2141),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_object] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
    [sym__automatic_semicolon] = ACTIONS(3084),
    [sym_html_comment] = ACTIONS(5),
  },
  [939] = {
    [sym_statement_block] = STATE(1483),
    [sym_comment] = STATE(939),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_default] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(3086),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_case] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_DOT] = ACTIONS(3088),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym_html_comment] = ACTIONS(5),
  },
  [940] = {
    [sym_else_clause] = STATE(1112),
    [sym_comment] = STATE(940),
    [sym_identifier] = ACTIONS(3080),
    [anon_sym_export] = ACTIONS(3080),
    [anon_sym_default] = ACTIONS(3080),
    [anon_sym_type] = ACTIONS(3080),
    [anon_sym_namespace] = ACTIONS(3080),
    [anon_sym_LBRACE] = ACTIONS(3080),
    [anon_sym_RBRACE] = ACTIONS(3080),
    [anon_sym_typeof] = ACTIONS(3080),
    [anon_sym_import] = ACTIONS(3080),
    [anon_sym_var] = ACTIONS(3080),
    [anon_sym_let] = ACTIONS(3080),
    [anon_sym_const] = ACTIONS(3080),
    [anon_sym_BANG] = ACTIONS(3080),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3080),
    [anon_sym_switch] = ACTIONS(3080),
    [anon_sym_for] = ACTIONS(3080),
    [anon_sym_LPAREN] = ACTIONS(3080),
    [anon_sym_await] = ACTIONS(3080),
    [anon_sym_while] = ACTIONS(3080),
    [anon_sym_do] = ACTIONS(3080),
    [anon_sym_try] = ACTIONS(3080),
    [anon_sym_with] = ACTIONS(3080),
    [anon_sym_break] = ACTIONS(3080),
    [anon_sym_continue] = ACTIONS(3080),
    [anon_sym_debugger] = ACTIONS(3080),
    [anon_sym_return] = ACTIONS(3080),
    [anon_sym_throw] = ACTIONS(3080),
    [anon_sym_SEMI] = ACTIONS(3080),
    [anon_sym_case] = ACTIONS(3080),
    [anon_sym_yield] = ACTIONS(3080),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_LTtemplate_GT] = ACTIONS(3080),
    [anon_sym_class] = ACTIONS(3080),
    [anon_sym_async] = ACTIONS(3080),
    [anon_sym_function] = ACTIONS(3080),
    [anon_sym_new] = ACTIONS(3080),
    [anon_sym_using] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3080),
    [anon_sym_DASH] = ACTIONS(3080),
    [anon_sym_SLASH] = ACTIONS(3080),
    [anon_sym_LT] = ACTIONS(3080),
    [anon_sym_TILDE] = ACTIONS(3080),
    [anon_sym_void] = ACTIONS(3080),
    [anon_sym_delete] = ACTIONS(3080),
    [anon_sym_PLUS_PLUS] = ACTIONS(3080),
    [anon_sym_DASH_DASH] = ACTIONS(3080),
    [anon_sym_DQUOTE] = ACTIONS(3080),
    [anon_sym_SQUOTE] = ACTIONS(3080),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3080),
    [sym_number] = ACTIONS(3080),
    [sym_private_property_identifier] = ACTIONS(3080),
    [sym_this] = ACTIONS(3080),
    [sym_super] = ACTIONS(3080),
    [sym_true] = ACTIONS(3080),
    [sym_false] = ACTIONS(3080),
    [sym_null] = ACTIONS(3080),
    [sym_undefined] = ACTIONS(3080),
    [anon_sym_AT] = ACTIONS(3080),
    [anon_sym_static] = ACTIONS(3080),
    [anon_sym_readonly] = ACTIONS(3080),
    [anon_sym_get] = ACTIONS(3080),
    [anon_sym_set] = ACTIONS(3080),
    [anon_sym_declare] = ACTIONS(3080),
    [anon_sym_public] = ACTIONS(3080),
    [anon_sym_private] = ACTIONS(3080),
    [anon_sym_protected] = ACTIONS(3080),
    [anon_sym_override] = ACTIONS(3080),
    [anon_sym_module] = ACTIONS(3080),
    [anon_sym_any] = ACTIONS(3080),
    [anon_sym_number] = ACTIONS(3080),
    [anon_sym_boolean] = ACTIONS(3080),
    [anon_sym_string] = ACTIONS(3080),
    [anon_sym_symbol] = ACTIONS(3080),
    [anon_sym_object] = ACTIONS(3080),
    [anon_sym_abstract] = ACTIONS(3080),
    [anon_sym_interface] = ACTIONS(3080),
    [anon_sym_enum] = ACTIONS(3080),
    [sym_html_comment] = ACTIONS(5),
  },
  [941] = {
    [sym_comment] = STATE(941),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_default] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_RBRACE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_case] = ACTIONS(2141),
    [anon_sym_catch] = ACTIONS(2141),
    [anon_sym_finally] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LTtemplate_GT] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_using] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_LT] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [sym_private_property_identifier] = ACTIONS(2141),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_object] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
    [sym_html_comment] = ACTIONS(5),
  },
  [942] = {
    [sym_statement_block] = STATE(1483),
    [sym_comment] = STATE(942),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_default] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(3086),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_case] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_DOT] = ACTIONS(3092),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym_html_comment] = ACTIONS(5),
  },
  [943] = {
    [sym_comment] = STATE(943),
    [sym_identifier] = ACTIONS(2165),
    [anon_sym_export] = ACTIONS(2165),
    [anon_sym_default] = ACTIONS(2165),
    [anon_sym_type] = ACTIONS(2165),
    [anon_sym_namespace] = ACTIONS(2165),
    [anon_sym_LBRACE] = ACTIONS(2165),
    [anon_sym_RBRACE] = ACTIONS(2165),
    [anon_sym_typeof] = ACTIONS(2165),
    [anon_sym_import] = ACTIONS(2165),
    [anon_sym_var] = ACTIONS(2165),
    [anon_sym_let] = ACTIONS(2165),
    [anon_sym_const] = ACTIONS(2165),
    [anon_sym_BANG] = ACTIONS(2165),
    [anon_sym_if] = ACTIONS(2165),
    [anon_sym_switch] = ACTIONS(2165),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_LPAREN] = ACTIONS(2165),
    [anon_sym_await] = ACTIONS(2165),
    [anon_sym_while] = ACTIONS(2165),
    [anon_sym_do] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_with] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2165),
    [anon_sym_continue] = ACTIONS(2165),
    [anon_sym_debugger] = ACTIONS(2165),
    [anon_sym_return] = ACTIONS(2165),
    [anon_sym_throw] = ACTIONS(2165),
    [anon_sym_SEMI] = ACTIONS(2165),
    [anon_sym_case] = ACTIONS(2165),
    [anon_sym_catch] = ACTIONS(2165),
    [anon_sym_finally] = ACTIONS(2165),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_LBRACK] = ACTIONS(2165),
    [anon_sym_LTtemplate_GT] = ACTIONS(2165),
    [anon_sym_class] = ACTIONS(2165),
    [anon_sym_async] = ACTIONS(2165),
    [anon_sym_function] = ACTIONS(2165),
    [anon_sym_new] = ACTIONS(2165),
    [anon_sym_using] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(2165),
    [anon_sym_DASH] = ACTIONS(2165),
    [anon_sym_SLASH] = ACTIONS(2165),
    [anon_sym_LT] = ACTIONS(2165),
    [anon_sym_TILDE] = ACTIONS(2165),
    [anon_sym_void] = ACTIONS(2165),
    [anon_sym_delete] = ACTIONS(2165),
    [anon_sym_PLUS_PLUS] = ACTIONS(2165),
    [anon_sym_DASH_DASH] = ACTIONS(2165),
    [anon_sym_DQUOTE] = ACTIONS(2165),
    [anon_sym_SQUOTE] = ACTIONS(2165),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2165),
    [sym_number] = ACTIONS(2165),
    [sym_private_property_identifier] = ACTIONS(2165),
    [sym_this] = ACTIONS(2165),
    [sym_super] = ACTIONS(2165),
    [sym_true] = ACTIONS(2165),
    [sym_false] = ACTIONS(2165),
    [sym_null] = ACTIONS(2165),
    [sym_undefined] = ACTIONS(2165),
    [anon_sym_AT] = ACTIONS(2165),
    [anon_sym_static] = ACTIONS(2165),
    [anon_sym_readonly] = ACTIONS(2165),
    [anon_sym_get] = ACTIONS(2165),
    [anon_sym_set] = ACTIONS(2165),
    [anon_sym_declare] = ACTIONS(2165),
    [anon_sym_public] = ACTIONS(2165),
    [anon_sym_private] = ACTIONS(2165),
    [anon_sym_protected] = ACTIONS(2165),
    [anon_sym_override] = ACTIONS(2165),
    [anon_sym_module] = ACTIONS(2165),
    [anon_sym_any] = ACTIONS(2165),
    [anon_sym_number] = ACTIONS(2165),
    [anon_sym_boolean] = ACTIONS(2165),
    [anon_sym_string] = ACTIONS(2165),
    [anon_sym_symbol] = ACTIONS(2165),
    [anon_sym_object] = ACTIONS(2165),
    [anon_sym_abstract] = ACTIONS(2165),
    [anon_sym_interface] = ACTIONS(2165),
    [anon_sym_enum] = ACTIONS(2165),
    [sym_html_comment] = ACTIONS(5),
  },
  [944] = {
    [sym_comment] = STATE(944),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_export] = ACTIONS(2259),
    [anon_sym_default] = ACTIONS(2259),
    [anon_sym_type] = ACTIONS(2259),
    [anon_sym_namespace] = ACTIONS(2259),
    [anon_sym_LBRACE] = ACTIONS(2259),
    [anon_sym_RBRACE] = ACTIONS(2259),
    [anon_sym_typeof] = ACTIONS(2259),
    [anon_sym_import] = ACTIONS(2259),
    [anon_sym_var] = ACTIONS(2259),
    [anon_sym_let] = ACTIONS(2259),
    [anon_sym_const] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2259),
    [anon_sym_else] = ACTIONS(2259),
    [anon_sym_if] = ACTIONS(2259),
    [anon_sym_switch] = ACTIONS(2259),
    [anon_sym_for] = ACTIONS(2259),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_while] = ACTIONS(2259),
    [anon_sym_do] = ACTIONS(2259),
    [anon_sym_try] = ACTIONS(2259),
    [anon_sym_with] = ACTIONS(2259),
    [anon_sym_break] = ACTIONS(2259),
    [anon_sym_continue] = ACTIONS(2259),
    [anon_sym_debugger] = ACTIONS(2259),
    [anon_sym_return] = ACTIONS(2259),
    [anon_sym_throw] = ACTIONS(2259),
    [anon_sym_SEMI] = ACTIONS(2259),
    [anon_sym_case] = ACTIONS(2259),
    [anon_sym_yield] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2259),
    [anon_sym_LTtemplate_GT] = ACTIONS(2259),
    [anon_sym_class] = ACTIONS(2259),
    [anon_sym_async] = ACTIONS(2259),
    [anon_sym_function] = ACTIONS(2259),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_using] = ACTIONS(2259),
    [anon_sym_PLUS] = ACTIONS(2259),
    [anon_sym_DASH] = ACTIONS(2259),
    [anon_sym_SLASH] = ACTIONS(2259),
    [anon_sym_LT] = ACTIONS(2259),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_void] = ACTIONS(2259),
    [anon_sym_delete] = ACTIONS(2259),
    [anon_sym_PLUS_PLUS] = ACTIONS(2259),
    [anon_sym_DASH_DASH] = ACTIONS(2259),
    [anon_sym_DQUOTE] = ACTIONS(2259),
    [anon_sym_SQUOTE] = ACTIONS(2259),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2259),
    [sym_number] = ACTIONS(2259),
    [sym_private_property_identifier] = ACTIONS(2259),
    [sym_this] = ACTIONS(2259),
    [sym_super] = ACTIONS(2259),
    [sym_true] = ACTIONS(2259),
    [sym_false] = ACTIONS(2259),
    [sym_null] = ACTIONS(2259),
    [sym_undefined] = ACTIONS(2259),
    [anon_sym_AT] = ACTIONS(2259),
    [anon_sym_static] = ACTIONS(2259),
    [anon_sym_readonly] = ACTIONS(2259),
    [anon_sym_get] = ACTIONS(2259),
    [anon_sym_set] = ACTIONS(2259),
    [anon_sym_declare] = ACTIONS(2259),
    [anon_sym_public] = ACTIONS(2259),
    [anon_sym_private] = ACTIONS(2259),
    [anon_sym_protected] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2259),
    [anon_sym_module] = ACTIONS(2259),
    [anon_sym_any] = ACTIONS(2259),
    [anon_sym_number] = ACTIONS(2259),
    [anon_sym_boolean] = ACTIONS(2259),
    [anon_sym_string] = ACTIONS(2259),
    [anon_sym_symbol] = ACTIONS(2259),
    [anon_sym_object] = ACTIONS(2259),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_interface] = ACTIONS(2259),
    [anon_sym_enum] = ACTIONS(2259),
    [sym__automatic_semicolon] = ACTIONS(2263),
    [sym_html_comment] = ACTIONS(5),
  },
  [945] = {
    [sym_comment] = STATE(945),
    [sym_identifier] = ACTIONS(3094),
    [anon_sym_export] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_type] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3094),
    [anon_sym_RBRACE] = ACTIONS(3094),
    [anon_sym_typeof] = ACTIONS(3094),
    [anon_sym_import] = ACTIONS(3094),
    [anon_sym_var] = ACTIONS(3094),
    [anon_sym_let] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_BANG] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_LPAREN] = ACTIONS(3094),
    [anon_sym_await] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_with] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_debugger] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_finally] = ACTIONS(3094),
    [anon_sym_yield] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_LTtemplate_GT] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_async] = ACTIONS(3094),
    [anon_sym_function] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_SLASH] = ACTIONS(3094),
    [anon_sym_LT] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3094),
    [anon_sym_void] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_PLUS_PLUS] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3094),
    [anon_sym_DQUOTE] = ACTIONS(3094),
    [anon_sym_SQUOTE] = ACTIONS(3094),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3094),
    [sym_number] = ACTIONS(3094),
    [sym_private_property_identifier] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
    [sym_super] = ACTIONS(3094),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [sym_null] = ACTIONS(3094),
    [sym_undefined] = ACTIONS(3094),
    [anon_sym_AT] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_readonly] = ACTIONS(3094),
    [anon_sym_get] = ACTIONS(3094),
    [anon_sym_set] = ACTIONS(3094),
    [anon_sym_declare] = ACTIONS(3094),
    [anon_sym_public] = ACTIONS(3094),
    [anon_sym_private] = ACTIONS(3094),
    [anon_sym_protected] = ACTIONS(3094),
    [anon_sym_override] = ACTIONS(3094),
    [anon_sym_module] = ACTIONS(3094),
    [anon_sym_any] = ACTIONS(3094),
    [anon_sym_number] = ACTIONS(3094),
    [anon_sym_boolean] = ACTIONS(3094),
    [anon_sym_string] = ACTIONS(3094),
    [anon_sym_symbol] = ACTIONS(3094),
    [anon_sym_object] = ACTIONS(3094),
    [anon_sym_abstract] = ACTIONS(3094),
    [anon_sym_interface] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [sym_html_comment] = ACTIONS(5),
  },
  [946] = {
    [sym_comment] = STATE(946),
    [sym_identifier] = ACTIONS(2147),
    [anon_sym_export] = ACTIONS(2147),
    [anon_sym_default] = ACTIONS(2147),
    [anon_sym_type] = ACTIONS(2147),
    [anon_sym_namespace] = ACTIONS(2147),
    [anon_sym_LBRACE] = ACTIONS(2147),
    [anon_sym_RBRACE] = ACTIONS(2147),
    [anon_sym_typeof] = ACTIONS(2147),
    [anon_sym_import] = ACTIONS(2147),
    [anon_sym_var] = ACTIONS(2147),
    [anon_sym_let] = ACTIONS(2147),
    [anon_sym_const] = ACTIONS(2147),
    [anon_sym_BANG] = ACTIONS(2147),
    [anon_sym_else] = ACTIONS(2147),
    [anon_sym_if] = ACTIONS(2147),
    [anon_sym_switch] = ACTIONS(2147),
    [anon_sym_for] = ACTIONS(2147),
    [anon_sym_LPAREN] = ACTIONS(2147),
    [anon_sym_await] = ACTIONS(2147),
    [anon_sym_while] = ACTIONS(2147),
    [anon_sym_do] = ACTIONS(2147),
    [anon_sym_try] = ACTIONS(2147),
    [anon_sym_with] = ACTIONS(2147),
    [anon_sym_break] = ACTIONS(2147),
    [anon_sym_continue] = ACTIONS(2147),
    [anon_sym_debugger] = ACTIONS(2147),
    [anon_sym_return] = ACTIONS(2147),
    [anon_sym_throw] = ACTIONS(2147),
    [anon_sym_SEMI] = ACTIONS(2147),
    [anon_sym_case] = ACTIONS(2147),
    [anon_sym_yield] = ACTIONS(2147),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_LTtemplate_GT] = ACTIONS(2147),
    [anon_sym_class] = ACTIONS(2147),
    [anon_sym_async] = ACTIONS(2147),
    [anon_sym_function] = ACTIONS(2147),
    [anon_sym_new] = ACTIONS(2147),
    [anon_sym_using] = ACTIONS(2147),
    [anon_sym_PLUS] = ACTIONS(2147),
    [anon_sym_DASH] = ACTIONS(2147),
    [anon_sym_SLASH] = ACTIONS(2147),
    [anon_sym_LT] = ACTIONS(2147),
    [anon_sym_TILDE] = ACTIONS(2147),
    [anon_sym_void] = ACTIONS(2147),
    [anon_sym_delete] = ACTIONS(2147),
    [anon_sym_PLUS_PLUS] = ACTIONS(2147),
    [anon_sym_DASH_DASH] = ACTIONS(2147),
    [anon_sym_DQUOTE] = ACTIONS(2147),
    [anon_sym_SQUOTE] = ACTIONS(2147),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2147),
    [sym_number] = ACTIONS(2147),
    [sym_private_property_identifier] = ACTIONS(2147),
    [sym_this] = ACTIONS(2147),
    [sym_super] = ACTIONS(2147),
    [sym_true] = ACTIONS(2147),
    [sym_false] = ACTIONS(2147),
    [sym_null] = ACTIONS(2147),
    [sym_undefined] = ACTIONS(2147),
    [anon_sym_AT] = ACTIONS(2147),
    [anon_sym_static] = ACTIONS(2147),
    [anon_sym_readonly] = ACTIONS(2147),
    [anon_sym_get] = ACTIONS(2147),
    [anon_sym_set] = ACTIONS(2147),
    [anon_sym_declare] = ACTIONS(2147),
    [anon_sym_public] = ACTIONS(2147),
    [anon_sym_private] = ACTIONS(2147),
    [anon_sym_protected] = ACTIONS(2147),
    [anon_sym_override] = ACTIONS(2147),
    [anon_sym_module] = ACTIONS(2147),
    [anon_sym_any] = ACTIONS(2147),
    [anon_sym_number] = ACTIONS(2147),
    [anon_sym_boolean] = ACTIONS(2147),
    [anon_sym_string] = ACTIONS(2147),
    [anon_sym_symbol] = ACTIONS(2147),
    [anon_sym_object] = ACTIONS(2147),
    [anon_sym_abstract] = ACTIONS(2147),
    [anon_sym_interface] = ACTIONS(2147),
    [anon_sym_enum] = ACTIONS(2147),
    [sym__automatic_semicolon] = ACTIONS(2151),
    [sym_html_comment] = ACTIONS(5),
  },
  [947] = {
    [sym_comment] = STATE(947),
    [sym_identifier] = ACTIONS(2065),
    [anon_sym_export] = ACTIONS(2065),
    [anon_sym_default] = ACTIONS(2065),
    [anon_sym_type] = ACTIONS(2065),
    [anon_sym_namespace] = ACTIONS(2065),
    [anon_sym_LBRACE] = ACTIONS(2065),
    [anon_sym_RBRACE] = ACTIONS(2065),
    [anon_sym_typeof] = ACTIONS(2065),
    [anon_sym_import] = ACTIONS(2065),
    [anon_sym_var] = ACTIONS(2065),
    [anon_sym_let] = ACTIONS(2065),
    [anon_sym_const] = ACTIONS(2065),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_if] = ACTIONS(2065),
    [anon_sym_switch] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2065),
    [anon_sym_LPAREN] = ACTIONS(2065),
    [anon_sym_await] = ACTIONS(2065),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_do] = ACTIONS(2065),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_with] = ACTIONS(2065),
    [anon_sym_break] = ACTIONS(2065),
    [anon_sym_continue] = ACTIONS(2065),
    [anon_sym_debugger] = ACTIONS(2065),
    [anon_sym_return] = ACTIONS(2065),
    [anon_sym_throw] = ACTIONS(2065),
    [anon_sym_SEMI] = ACTIONS(2065),
    [anon_sym_case] = ACTIONS(2065),
    [anon_sym_finally] = ACTIONS(2065),
    [anon_sym_yield] = ACTIONS(2065),
    [anon_sym_LBRACK] = ACTIONS(2065),
    [anon_sym_LTtemplate_GT] = ACTIONS(2065),
    [anon_sym_class] = ACTIONS(2065),
    [anon_sym_async] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2065),
    [anon_sym_new] = ACTIONS(2065),
    [anon_sym_using] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2065),
    [anon_sym_DASH] = ACTIONS(2065),
    [anon_sym_SLASH] = ACTIONS(2065),
    [anon_sym_LT] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_void] = ACTIONS(2065),
    [anon_sym_delete] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_DQUOTE] = ACTIONS(2065),
    [anon_sym_SQUOTE] = ACTIONS(2065),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2065),
    [sym_number] = ACTIONS(2065),
    [sym_private_property_identifier] = ACTIONS(2065),
    [sym_this] = ACTIONS(2065),
    [sym_super] = ACTIONS(2065),
    [sym_true] = ACTIONS(2065),
    [sym_false] = ACTIONS(2065),
    [sym_null] = ACTIONS(2065),
    [sym_undefined] = ACTIONS(2065),
    [anon_sym_AT] = ACTIONS(2065),
    [anon_sym_static] = ACTIONS(2065),
    [anon_sym_readonly] = ACTIONS(2065),
    [anon_sym_get] = ACTIONS(2065),
    [anon_sym_set] = ACTIONS(2065),
    [anon_sym_declare] = ACTIONS(2065),
    [anon_sym_public] = ACTIONS(2065),
    [anon_sym_private] = ACTIONS(2065),
    [anon_sym_protected] = ACTIONS(2065),
    [anon_sym_override] = ACTIONS(2065),
    [anon_sym_module] = ACTIONS(2065),
    [anon_sym_any] = ACTIONS(2065),
    [anon_sym_number] = ACTIONS(2065),
    [anon_sym_boolean] = ACTIONS(2065),
    [anon_sym_string] = ACTIONS(2065),
    [anon_sym_symbol] = ACTIONS(2065),
    [anon_sym_object] = ACTIONS(2065),
    [anon_sym_abstract] = ACTIONS(2065),
    [anon_sym_interface] = ACTIONS(2065),
    [anon_sym_enum] = ACTIONS(2065),
    [sym__automatic_semicolon] = ACTIONS(3096),
    [sym_html_comment] = ACTIONS(5),
  },
  [948] = {
    [sym_comment] = STATE(948),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_default] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_RBRACE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_else] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_case] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LTtemplate_GT] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_using] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_LT] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [sym_private_property_identifier] = ACTIONS(2141),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_object] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
    [sym__automatic_semicolon] = ACTIONS(3098),
    [sym_html_comment] = ACTIONS(5),
  },
  [949] = {
    [sym_finally_clause] = STATE(1282),
    [sym_comment] = STATE(949),
    [sym_identifier] = ACTIONS(3064),
    [anon_sym_export] = ACTIONS(3064),
    [anon_sym_default] = ACTIONS(3064),
    [anon_sym_type] = ACTIONS(3064),
    [anon_sym_namespace] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3064),
    [anon_sym_RBRACE] = ACTIONS(3064),
    [anon_sym_typeof] = ACTIONS(3064),
    [anon_sym_import] = ACTIONS(3064),
    [anon_sym_var] = ACTIONS(3064),
    [anon_sym_let] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_BANG] = ACTIONS(3064),
    [anon_sym_if] = ACTIONS(3064),
    [anon_sym_switch] = ACTIONS(3064),
    [anon_sym_for] = ACTIONS(3064),
    [anon_sym_LPAREN] = ACTIONS(3064),
    [anon_sym_await] = ACTIONS(3064),
    [anon_sym_while] = ACTIONS(3064),
    [anon_sym_do] = ACTIONS(3064),
    [anon_sym_try] = ACTIONS(3064),
    [anon_sym_with] = ACTIONS(3064),
    [anon_sym_break] = ACTIONS(3064),
    [anon_sym_continue] = ACTIONS(3064),
    [anon_sym_debugger] = ACTIONS(3064),
    [anon_sym_return] = ACTIONS(3064),
    [anon_sym_throw] = ACTIONS(3064),
    [anon_sym_SEMI] = ACTIONS(3064),
    [anon_sym_case] = ACTIONS(3064),
    [anon_sym_finally] = ACTIONS(3040),
    [anon_sym_yield] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3064),
    [anon_sym_LTtemplate_GT] = ACTIONS(3064),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_async] = ACTIONS(3064),
    [anon_sym_function] = ACTIONS(3064),
    [anon_sym_new] = ACTIONS(3064),
    [anon_sym_using] = ACTIONS(3064),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3064),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_TILDE] = ACTIONS(3064),
    [anon_sym_void] = ACTIONS(3064),
    [anon_sym_delete] = ACTIONS(3064),
    [anon_sym_PLUS_PLUS] = ACTIONS(3064),
    [anon_sym_DASH_DASH] = ACTIONS(3064),
    [anon_sym_DQUOTE] = ACTIONS(3064),
    [anon_sym_SQUOTE] = ACTIONS(3064),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3064),
    [sym_number] = ACTIONS(3064),
    [sym_private_property_identifier] = ACTIONS(3064),
    [sym_this] = ACTIONS(3064),
    [sym_super] = ACTIONS(3064),
    [sym_true] = ACTIONS(3064),
    [sym_false] = ACTIONS(3064),
    [sym_null] = ACTIONS(3064),
    [sym_undefined] = ACTIONS(3064),
    [anon_sym_AT] = ACTIONS(3064),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_readonly] = ACTIONS(3064),
    [anon_sym_get] = ACTIONS(3064),
    [anon_sym_set] = ACTIONS(3064),
    [anon_sym_declare] = ACTIONS(3064),
    [anon_sym_public] = ACTIONS(3064),
    [anon_sym_private] = ACTIONS(3064),
    [anon_sym_protected] = ACTIONS(3064),
    [anon_sym_override] = ACTIONS(3064),
    [anon_sym_module] = ACTIONS(3064),
    [anon_sym_any] = ACTIONS(3064),
    [anon_sym_number] = ACTIONS(3064),
    [anon_sym_boolean] = ACTIONS(3064),
    [anon_sym_string] = ACTIONS(3064),
    [anon_sym_symbol] = ACTIONS(3064),
    [anon_sym_object] = ACTIONS(3064),
    [anon_sym_abstract] = ACTIONS(3064),
    [anon_sym_interface] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [sym_html_comment] = ACTIONS(5),
  },
  [950] = {
    [sym_statement_block] = STATE(1433),
    [sym_comment] = STATE(950),
    [ts_builtin_sym_end] = ACTIONS(2061),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(3100),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_else] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_DOT] = ACTIONS(3102),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym_html_comment] = ACTIONS(5),
  },
  [951] = {
    [sym_statement_block] = STATE(1433),
    [sym_comment] = STATE(951),
    [ts_builtin_sym_end] = ACTIONS(2061),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(3100),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_else] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_DOT] = ACTIONS(3104),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym_html_comment] = ACTIONS(5),
  },
  [952] = {
    [sym_comment] = STATE(952),
    [ts_builtin_sym_end] = ACTIONS(2143),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_RBRACE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_else] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_catch] = ACTIONS(2141),
    [anon_sym_finally] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LTtemplate_GT] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_using] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_LT] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [sym_private_property_identifier] = ACTIONS(2141),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_object] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
    [sym_html_comment] = ACTIONS(5),
  },
  [953] = {
    [sym_comment] = STATE(953),
    [ts_builtin_sym_end] = ACTIONS(2167),
    [sym_identifier] = ACTIONS(2165),
    [anon_sym_export] = ACTIONS(2165),
    [anon_sym_type] = ACTIONS(2165),
    [anon_sym_namespace] = ACTIONS(2165),
    [anon_sym_LBRACE] = ACTIONS(2165),
    [anon_sym_RBRACE] = ACTIONS(2165),
    [anon_sym_typeof] = ACTIONS(2165),
    [anon_sym_import] = ACTIONS(2165),
    [anon_sym_var] = ACTIONS(2165),
    [anon_sym_let] = ACTIONS(2165),
    [anon_sym_const] = ACTIONS(2165),
    [anon_sym_BANG] = ACTIONS(2165),
    [anon_sym_else] = ACTIONS(2165),
    [anon_sym_if] = ACTIONS(2165),
    [anon_sym_switch] = ACTIONS(2165),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_LPAREN] = ACTIONS(2165),
    [anon_sym_await] = ACTIONS(2165),
    [anon_sym_while] = ACTIONS(2165),
    [anon_sym_do] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_with] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2165),
    [anon_sym_continue] = ACTIONS(2165),
    [anon_sym_debugger] = ACTIONS(2165),
    [anon_sym_return] = ACTIONS(2165),
    [anon_sym_throw] = ACTIONS(2165),
    [anon_sym_SEMI] = ACTIONS(2165),
    [anon_sym_catch] = ACTIONS(2165),
    [anon_sym_finally] = ACTIONS(2165),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_LBRACK] = ACTIONS(2165),
    [anon_sym_LTtemplate_GT] = ACTIONS(2165),
    [anon_sym_class] = ACTIONS(2165),
    [anon_sym_async] = ACTIONS(2165),
    [anon_sym_function] = ACTIONS(2165),
    [anon_sym_new] = ACTIONS(2165),
    [anon_sym_using] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(2165),
    [anon_sym_DASH] = ACTIONS(2165),
    [anon_sym_SLASH] = ACTIONS(2165),
    [anon_sym_LT] = ACTIONS(2165),
    [anon_sym_TILDE] = ACTIONS(2165),
    [anon_sym_void] = ACTIONS(2165),
    [anon_sym_delete] = ACTIONS(2165),
    [anon_sym_PLUS_PLUS] = ACTIONS(2165),
    [anon_sym_DASH_DASH] = ACTIONS(2165),
    [anon_sym_DQUOTE] = ACTIONS(2165),
    [anon_sym_SQUOTE] = ACTIONS(2165),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2165),
    [sym_number] = ACTIONS(2165),
    [sym_private_property_identifier] = ACTIONS(2165),
    [sym_this] = ACTIONS(2165),
    [sym_super] = ACTIONS(2165),
    [sym_true] = ACTIONS(2165),
    [sym_false] = ACTIONS(2165),
    [sym_null] = ACTIONS(2165),
    [sym_undefined] = ACTIONS(2165),
    [anon_sym_AT] = ACTIONS(2165),
    [anon_sym_static] = ACTIONS(2165),
    [anon_sym_readonly] = ACTIONS(2165),
    [anon_sym_get] = ACTIONS(2165),
    [anon_sym_set] = ACTIONS(2165),
    [anon_sym_declare] = ACTIONS(2165),
    [anon_sym_public] = ACTIONS(2165),
    [anon_sym_private] = ACTIONS(2165),
    [anon_sym_protected] = ACTIONS(2165),
    [anon_sym_override] = ACTIONS(2165),
    [anon_sym_module] = ACTIONS(2165),
    [anon_sym_any] = ACTIONS(2165),
    [anon_sym_number] = ACTIONS(2165),
    [anon_sym_boolean] = ACTIONS(2165),
    [anon_sym_string] = ACTIONS(2165),
    [anon_sym_symbol] = ACTIONS(2165),
    [anon_sym_object] = ACTIONS(2165),
    [anon_sym_abstract] = ACTIONS(2165),
    [anon_sym_interface] = ACTIONS(2165),
    [anon_sym_enum] = ACTIONS(2165),
    [sym_html_comment] = ACTIONS(5),
  },
  [954] = {
    [sym_comment] = STATE(954),
    [ts_builtin_sym_end] = ACTIONS(2143),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_RBRACE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_catch] = ACTIONS(2141),
    [anon_sym_finally] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LTtemplate_GT] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_using] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_LT] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [sym_private_property_identifier] = ACTIONS(2141),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_object] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
    [sym__automatic_semicolon] = ACTIONS(3106),
    [sym_html_comment] = ACTIONS(5),
  },
  [955] = {
    [sym_comment] = STATE(955),
    [ts_builtin_sym_end] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2065),
    [anon_sym_export] = ACTIONS(2065),
    [anon_sym_type] = ACTIONS(2065),
    [anon_sym_namespace] = ACTIONS(2065),
    [anon_sym_LBRACE] = ACTIONS(2065),
    [anon_sym_RBRACE] = ACTIONS(2065),
    [anon_sym_typeof] = ACTIONS(2065),
    [anon_sym_import] = ACTIONS(2065),
    [anon_sym_var] = ACTIONS(2065),
    [anon_sym_let] = ACTIONS(2065),
    [anon_sym_const] = ACTIONS(2065),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_if] = ACTIONS(2065),
    [anon_sym_switch] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2065),
    [anon_sym_LPAREN] = ACTIONS(2065),
    [anon_sym_await] = ACTIONS(2065),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_do] = ACTIONS(2065),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_with] = ACTIONS(2065),
    [anon_sym_break] = ACTIONS(2065),
    [anon_sym_continue] = ACTIONS(2065),
    [anon_sym_debugger] = ACTIONS(2065),
    [anon_sym_return] = ACTIONS(2065),
    [anon_sym_throw] = ACTIONS(2065),
    [anon_sym_SEMI] = ACTIONS(2065),
    [anon_sym_catch] = ACTIONS(2065),
    [anon_sym_finally] = ACTIONS(2065),
    [anon_sym_yield] = ACTIONS(2065),
    [anon_sym_LBRACK] = ACTIONS(2065),
    [anon_sym_LTtemplate_GT] = ACTIONS(2065),
    [anon_sym_class] = ACTIONS(2065),
    [anon_sym_async] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2065),
    [anon_sym_new] = ACTIONS(2065),
    [anon_sym_using] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2065),
    [anon_sym_DASH] = ACTIONS(2065),
    [anon_sym_SLASH] = ACTIONS(2065),
    [anon_sym_LT] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_void] = ACTIONS(2065),
    [anon_sym_delete] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_DQUOTE] = ACTIONS(2065),
    [anon_sym_SQUOTE] = ACTIONS(2065),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2065),
    [sym_number] = ACTIONS(2065),
    [sym_private_property_identifier] = ACTIONS(2065),
    [sym_this] = ACTIONS(2065),
    [sym_super] = ACTIONS(2065),
    [sym_true] = ACTIONS(2065),
    [sym_false] = ACTIONS(2065),
    [sym_null] = ACTIONS(2065),
    [sym_undefined] = ACTIONS(2065),
    [anon_sym_AT] = ACTIONS(2065),
    [anon_sym_static] = ACTIONS(2065),
    [anon_sym_readonly] = ACTIONS(2065),
    [anon_sym_get] = ACTIONS(2065),
    [anon_sym_set] = ACTIONS(2065),
    [anon_sym_declare] = ACTIONS(2065),
    [anon_sym_public] = ACTIONS(2065),
    [anon_sym_private] = ACTIONS(2065),
    [anon_sym_protected] = ACTIONS(2065),
    [anon_sym_override] = ACTIONS(2065),
    [anon_sym_module] = ACTIONS(2065),
    [anon_sym_any] = ACTIONS(2065),
    [anon_sym_number] = ACTIONS(2065),
    [anon_sym_boolean] = ACTIONS(2065),
    [anon_sym_string] = ACTIONS(2065),
    [anon_sym_symbol] = ACTIONS(2065),
    [anon_sym_object] = ACTIONS(2065),
    [anon_sym_abstract] = ACTIONS(2065),
    [anon_sym_interface] = ACTIONS(2065),
    [anon_sym_enum] = ACTIONS(2065),
    [sym__automatic_semicolon] = ACTIONS(3108),
    [sym_html_comment] = ACTIONS(5),
  },
  [956] = {
    [sym_comment] = STATE(956),
    [sym_identifier] = ACTIONS(3110),
    [anon_sym_export] = ACTIONS(3110),
    [anon_sym_default] = ACTIONS(3110),
    [anon_sym_type] = ACTIONS(3110),
    [anon_sym_namespace] = ACTIONS(3110),
    [anon_sym_LBRACE] = ACTIONS(3110),
    [anon_sym_RBRACE] = ACTIONS(3110),
    [anon_sym_typeof] = ACTIONS(3110),
    [anon_sym_import] = ACTIONS(3110),
    [anon_sym_var] = ACTIONS(3110),
    [anon_sym_let] = ACTIONS(3110),
    [anon_sym_const] = ACTIONS(3110),
    [anon_sym_BANG] = ACTIONS(3110),
    [anon_sym_else] = ACTIONS(3110),
    [anon_sym_if] = ACTIONS(3110),
    [anon_sym_switch] = ACTIONS(3110),
    [anon_sym_for] = ACTIONS(3110),
    [anon_sym_LPAREN] = ACTIONS(3110),
    [anon_sym_await] = ACTIONS(3110),
    [anon_sym_while] = ACTIONS(3110),
    [anon_sym_do] = ACTIONS(3110),
    [anon_sym_try] = ACTIONS(3110),
    [anon_sym_with] = ACTIONS(3110),
    [anon_sym_break] = ACTIONS(3110),
    [anon_sym_continue] = ACTIONS(3110),
    [anon_sym_debugger] = ACTIONS(3110),
    [anon_sym_return] = ACTIONS(3110),
    [anon_sym_throw] = ACTIONS(3110),
    [anon_sym_SEMI] = ACTIONS(3110),
    [anon_sym_case] = ACTIONS(3110),
    [anon_sym_yield] = ACTIONS(3110),
    [anon_sym_LBRACK] = ACTIONS(3110),
    [anon_sym_LTtemplate_GT] = ACTIONS(3110),
    [anon_sym_class] = ACTIONS(3110),
    [anon_sym_async] = ACTIONS(3110),
    [anon_sym_function] = ACTIONS(3110),
    [anon_sym_new] = ACTIONS(3110),
    [anon_sym_using] = ACTIONS(3110),
    [anon_sym_PLUS] = ACTIONS(3110),
    [anon_sym_DASH] = ACTIONS(3110),
    [anon_sym_SLASH] = ACTIONS(3110),
    [anon_sym_LT] = ACTIONS(3110),
    [anon_sym_TILDE] = ACTIONS(3110),
    [anon_sym_void] = ACTIONS(3110),
    [anon_sym_delete] = ACTIONS(3110),
    [anon_sym_PLUS_PLUS] = ACTIONS(3110),
    [anon_sym_DASH_DASH] = ACTIONS(3110),
    [anon_sym_DQUOTE] = ACTIONS(3110),
    [anon_sym_SQUOTE] = ACTIONS(3110),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3110),
    [sym_number] = ACTIONS(3110),
    [sym_private_property_identifier] = ACTIONS(3110),
    [sym_this] = ACTIONS(3110),
    [sym_super] = ACTIONS(3110),
    [sym_true] = ACTIONS(3110),
    [sym_false] = ACTIONS(3110),
    [sym_null] = ACTIONS(3110),
    [sym_undefined] = ACTIONS(3110),
    [anon_sym_AT] = ACTIONS(3110),
    [anon_sym_static] = ACTIONS(3110),
    [anon_sym_readonly] = ACTIONS(3110),
    [anon_sym_get] = ACTIONS(3110),
    [anon_sym_set] = ACTIONS(3110),
    [anon_sym_declare] = ACTIONS(3110),
    [anon_sym_public] = ACTIONS(3110),
    [anon_sym_private] = ACTIONS(3110),
    [anon_sym_protected] = ACTIONS(3110),
    [anon_sym_override] = ACTIONS(3110),
    [anon_sym_module] = ACTIONS(3110),
    [anon_sym_any] = ACTIONS(3110),
    [anon_sym_number] = ACTIONS(3110),
    [anon_sym_boolean] = ACTIONS(3110),
    [anon_sym_string] = ACTIONS(3110),
    [anon_sym_symbol] = ACTIONS(3110),
    [anon_sym_object] = ACTIONS(3110),
    [anon_sym_abstract] = ACTIONS(3110),
    [anon_sym_interface] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3110),
    [sym_html_comment] = ACTIONS(5),
  },
  [957] = {
    [sym_comment] = STATE(957),
    [sym_identifier] = ACTIONS(3112),
    [anon_sym_export] = ACTIONS(3112),
    [anon_sym_default] = ACTIONS(3112),
    [anon_sym_type] = ACTIONS(3112),
    [anon_sym_namespace] = ACTIONS(3112),
    [anon_sym_LBRACE] = ACTIONS(3112),
    [anon_sym_RBRACE] = ACTIONS(3112),
    [anon_sym_typeof] = ACTIONS(3112),
    [anon_sym_import] = ACTIONS(3112),
    [anon_sym_var] = ACTIONS(3112),
    [anon_sym_let] = ACTIONS(3112),
    [anon_sym_const] = ACTIONS(3112),
    [anon_sym_BANG] = ACTIONS(3112),
    [anon_sym_else] = ACTIONS(3112),
    [anon_sym_if] = ACTIONS(3112),
    [anon_sym_switch] = ACTIONS(3112),
    [anon_sym_for] = ACTIONS(3112),
    [anon_sym_LPAREN] = ACTIONS(3112),
    [anon_sym_await] = ACTIONS(3112),
    [anon_sym_while] = ACTIONS(3112),
    [anon_sym_do] = ACTIONS(3112),
    [anon_sym_try] = ACTIONS(3112),
    [anon_sym_with] = ACTIONS(3112),
    [anon_sym_break] = ACTIONS(3112),
    [anon_sym_continue] = ACTIONS(3112),
    [anon_sym_debugger] = ACTIONS(3112),
    [anon_sym_return] = ACTIONS(3112),
    [anon_sym_throw] = ACTIONS(3112),
    [anon_sym_SEMI] = ACTIONS(3112),
    [anon_sym_case] = ACTIONS(3112),
    [anon_sym_yield] = ACTIONS(3112),
    [anon_sym_LBRACK] = ACTIONS(3112),
    [anon_sym_LTtemplate_GT] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3112),
    [anon_sym_async] = ACTIONS(3112),
    [anon_sym_function] = ACTIONS(3112),
    [anon_sym_new] = ACTIONS(3112),
    [anon_sym_using] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_SLASH] = ACTIONS(3112),
    [anon_sym_LT] = ACTIONS(3112),
    [anon_sym_TILDE] = ACTIONS(3112),
    [anon_sym_void] = ACTIONS(3112),
    [anon_sym_delete] = ACTIONS(3112),
    [anon_sym_PLUS_PLUS] = ACTIONS(3112),
    [anon_sym_DASH_DASH] = ACTIONS(3112),
    [anon_sym_DQUOTE] = ACTIONS(3112),
    [anon_sym_SQUOTE] = ACTIONS(3112),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3112),
    [sym_number] = ACTIONS(3112),
    [sym_private_property_identifier] = ACTIONS(3112),
    [sym_this] = ACTIONS(3112),
    [sym_super] = ACTIONS(3112),
    [sym_true] = ACTIONS(3112),
    [sym_false] = ACTIONS(3112),
    [sym_null] = ACTIONS(3112),
    [sym_undefined] = ACTIONS(3112),
    [anon_sym_AT] = ACTIONS(3112),
    [anon_sym_static] = ACTIONS(3112),
    [anon_sym_readonly] = ACTIONS(3112),
    [anon_sym_get] = ACTIONS(3112),
    [anon_sym_set] = ACTIONS(3112),
    [anon_sym_declare] = ACTIONS(3112),
    [anon_sym_public] = ACTIONS(3112),
    [anon_sym_private] = ACTIONS(3112),
    [anon_sym_protected] = ACTIONS(3112),
    [anon_sym_override] = ACTIONS(3112),
    [anon_sym_module] = ACTIONS(3112),
    [anon_sym_any] = ACTIONS(3112),
    [anon_sym_number] = ACTIONS(3112),
    [anon_sym_boolean] = ACTIONS(3112),
    [anon_sym_string] = ACTIONS(3112),
    [anon_sym_symbol] = ACTIONS(3112),
    [anon_sym_object] = ACTIONS(3112),
    [anon_sym_abstract] = ACTIONS(3112),
    [anon_sym_interface] = ACTIONS(3112),
    [anon_sym_enum] = ACTIONS(3112),
    [sym_html_comment] = ACTIONS(5),
  },
  [958] = {
    [sym_comment] = STATE(958),
    [sym_identifier] = ACTIONS(3114),
    [anon_sym_export] = ACTIONS(3114),
    [anon_sym_default] = ACTIONS(3114),
    [anon_sym_type] = ACTIONS(3114),
    [anon_sym_namespace] = ACTIONS(3114),
    [anon_sym_LBRACE] = ACTIONS(3114),
    [anon_sym_RBRACE] = ACTIONS(3114),
    [anon_sym_typeof] = ACTIONS(3114),
    [anon_sym_import] = ACTIONS(3114),
    [anon_sym_var] = ACTIONS(3114),
    [anon_sym_let] = ACTIONS(3114),
    [anon_sym_const] = ACTIONS(3114),
    [anon_sym_BANG] = ACTIONS(3114),
    [anon_sym_else] = ACTIONS(3114),
    [anon_sym_if] = ACTIONS(3114),
    [anon_sym_switch] = ACTIONS(3114),
    [anon_sym_for] = ACTIONS(3114),
    [anon_sym_LPAREN] = ACTIONS(3114),
    [anon_sym_await] = ACTIONS(3114),
    [anon_sym_while] = ACTIONS(3114),
    [anon_sym_do] = ACTIONS(3114),
    [anon_sym_try] = ACTIONS(3114),
    [anon_sym_with] = ACTIONS(3114),
    [anon_sym_break] = ACTIONS(3114),
    [anon_sym_continue] = ACTIONS(3114),
    [anon_sym_debugger] = ACTIONS(3114),
    [anon_sym_return] = ACTIONS(3114),
    [anon_sym_throw] = ACTIONS(3114),
    [anon_sym_SEMI] = ACTIONS(3114),
    [anon_sym_case] = ACTIONS(3114),
    [anon_sym_yield] = ACTIONS(3114),
    [anon_sym_LBRACK] = ACTIONS(3114),
    [anon_sym_LTtemplate_GT] = ACTIONS(3114),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_async] = ACTIONS(3114),
    [anon_sym_function] = ACTIONS(3114),
    [anon_sym_new] = ACTIONS(3114),
    [anon_sym_using] = ACTIONS(3114),
    [anon_sym_PLUS] = ACTIONS(3114),
    [anon_sym_DASH] = ACTIONS(3114),
    [anon_sym_SLASH] = ACTIONS(3114),
    [anon_sym_LT] = ACTIONS(3114),
    [anon_sym_TILDE] = ACTIONS(3114),
    [anon_sym_void] = ACTIONS(3114),
    [anon_sym_delete] = ACTIONS(3114),
    [anon_sym_PLUS_PLUS] = ACTIONS(3114),
    [anon_sym_DASH_DASH] = ACTIONS(3114),
    [anon_sym_DQUOTE] = ACTIONS(3114),
    [anon_sym_SQUOTE] = ACTIONS(3114),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3114),
    [sym_number] = ACTIONS(3114),
    [sym_private_property_identifier] = ACTIONS(3114),
    [sym_this] = ACTIONS(3114),
    [sym_super] = ACTIONS(3114),
    [sym_true] = ACTIONS(3114),
    [sym_false] = ACTIONS(3114),
    [sym_null] = ACTIONS(3114),
    [sym_undefined] = ACTIONS(3114),
    [anon_sym_AT] = ACTIONS(3114),
    [anon_sym_static] = ACTIONS(3114),
    [anon_sym_readonly] = ACTIONS(3114),
    [anon_sym_get] = ACTIONS(3114),
    [anon_sym_set] = ACTIONS(3114),
    [anon_sym_declare] = ACTIONS(3114),
    [anon_sym_public] = ACTIONS(3114),
    [anon_sym_private] = ACTIONS(3114),
    [anon_sym_protected] = ACTIONS(3114),
    [anon_sym_override] = ACTIONS(3114),
    [anon_sym_module] = ACTIONS(3114),
    [anon_sym_any] = ACTIONS(3114),
    [anon_sym_number] = ACTIONS(3114),
    [anon_sym_boolean] = ACTIONS(3114),
    [anon_sym_string] = ACTIONS(3114),
    [anon_sym_symbol] = ACTIONS(3114),
    [anon_sym_object] = ACTIONS(3114),
    [anon_sym_abstract] = ACTIONS(3114),
    [anon_sym_interface] = ACTIONS(3114),
    [anon_sym_enum] = ACTIONS(3114),
    [sym_html_comment] = ACTIONS(5),
  },
  [959] = {
    [sym_statement_block] = STATE(1679),
    [sym_comment] = STATE(959),
    [ts_builtin_sym_end] = ACTIONS(2061),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(3116),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_DOT] = ACTIONS(3118),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym_html_comment] = ACTIONS(5),
  },
  [960] = {
    [sym_comment] = STATE(960),
    [sym_identifier] = ACTIONS(3120),
    [anon_sym_export] = ACTIONS(3120),
    [anon_sym_default] = ACTIONS(3120),
    [anon_sym_type] = ACTIONS(3120),
    [anon_sym_namespace] = ACTIONS(3120),
    [anon_sym_LBRACE] = ACTIONS(3120),
    [anon_sym_RBRACE] = ACTIONS(3120),
    [anon_sym_typeof] = ACTIONS(3120),
    [anon_sym_import] = ACTIONS(3120),
    [anon_sym_var] = ACTIONS(3120),
    [anon_sym_let] = ACTIONS(3120),
    [anon_sym_const] = ACTIONS(3120),
    [anon_sym_BANG] = ACTIONS(3120),
    [anon_sym_else] = ACTIONS(3120),
    [anon_sym_if] = ACTIONS(3120),
    [anon_sym_switch] = ACTIONS(3120),
    [anon_sym_for] = ACTIONS(3120),
    [anon_sym_LPAREN] = ACTIONS(3120),
    [anon_sym_await] = ACTIONS(3120),
    [anon_sym_while] = ACTIONS(3120),
    [anon_sym_do] = ACTIONS(3120),
    [anon_sym_try] = ACTIONS(3120),
    [anon_sym_with] = ACTIONS(3120),
    [anon_sym_break] = ACTIONS(3120),
    [anon_sym_continue] = ACTIONS(3120),
    [anon_sym_debugger] = ACTIONS(3120),
    [anon_sym_return] = ACTIONS(3120),
    [anon_sym_throw] = ACTIONS(3120),
    [anon_sym_SEMI] = ACTIONS(3120),
    [anon_sym_case] = ACTIONS(3120),
    [anon_sym_yield] = ACTIONS(3120),
    [anon_sym_LBRACK] = ACTIONS(3120),
    [anon_sym_LTtemplate_GT] = ACTIONS(3120),
    [anon_sym_class] = ACTIONS(3120),
    [anon_sym_async] = ACTIONS(3120),
    [anon_sym_function] = ACTIONS(3120),
    [anon_sym_new] = ACTIONS(3120),
    [anon_sym_using] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3120),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_SLASH] = ACTIONS(3120),
    [anon_sym_LT] = ACTIONS(3120),
    [anon_sym_TILDE] = ACTIONS(3120),
    [anon_sym_void] = ACTIONS(3120),
    [anon_sym_delete] = ACTIONS(3120),
    [anon_sym_PLUS_PLUS] = ACTIONS(3120),
    [anon_sym_DASH_DASH] = ACTIONS(3120),
    [anon_sym_DQUOTE] = ACTIONS(3120),
    [anon_sym_SQUOTE] = ACTIONS(3120),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3120),
    [sym_number] = ACTIONS(3120),
    [sym_private_property_identifier] = ACTIONS(3120),
    [sym_this] = ACTIONS(3120),
    [sym_super] = ACTIONS(3120),
    [sym_true] = ACTIONS(3120),
    [sym_false] = ACTIONS(3120),
    [sym_null] = ACTIONS(3120),
    [sym_undefined] = ACTIONS(3120),
    [anon_sym_AT] = ACTIONS(3120),
    [anon_sym_static] = ACTIONS(3120),
    [anon_sym_readonly] = ACTIONS(3120),
    [anon_sym_get] = ACTIONS(3120),
    [anon_sym_set] = ACTIONS(3120),
    [anon_sym_declare] = ACTIONS(3120),
    [anon_sym_public] = ACTIONS(3120),
    [anon_sym_private] = ACTIONS(3120),
    [anon_sym_protected] = ACTIONS(3120),
    [anon_sym_override] = ACTIONS(3120),
    [anon_sym_module] = ACTIONS(3120),
    [anon_sym_any] = ACTIONS(3120),
    [anon_sym_number] = ACTIONS(3120),
    [anon_sym_boolean] = ACTIONS(3120),
    [anon_sym_string] = ACTIONS(3120),
    [anon_sym_symbol] = ACTIONS(3120),
    [anon_sym_object] = ACTIONS(3120),
    [anon_sym_abstract] = ACTIONS(3120),
    [anon_sym_interface] = ACTIONS(3120),
    [anon_sym_enum] = ACTIONS(3120),
    [sym_html_comment] = ACTIONS(5),
  },
  [961] = {
    [sym_comment] = STATE(961),
    [sym_identifier] = ACTIONS(3122),
    [anon_sym_export] = ACTIONS(3122),
    [anon_sym_default] = ACTIONS(3122),
    [anon_sym_type] = ACTIONS(3122),
    [anon_sym_namespace] = ACTIONS(3122),
    [anon_sym_LBRACE] = ACTIONS(3122),
    [anon_sym_RBRACE] = ACTIONS(3122),
    [anon_sym_typeof] = ACTIONS(3122),
    [anon_sym_import] = ACTIONS(3122),
    [anon_sym_var] = ACTIONS(3122),
    [anon_sym_let] = ACTIONS(3122),
    [anon_sym_const] = ACTIONS(3122),
    [anon_sym_BANG] = ACTIONS(3122),
    [anon_sym_else] = ACTIONS(3122),
    [anon_sym_if] = ACTIONS(3122),
    [anon_sym_switch] = ACTIONS(3122),
    [anon_sym_for] = ACTIONS(3122),
    [anon_sym_LPAREN] = ACTIONS(3122),
    [anon_sym_await] = ACTIONS(3122),
    [anon_sym_while] = ACTIONS(3122),
    [anon_sym_do] = ACTIONS(3122),
    [anon_sym_try] = ACTIONS(3122),
    [anon_sym_with] = ACTIONS(3122),
    [anon_sym_break] = ACTIONS(3122),
    [anon_sym_continue] = ACTIONS(3122),
    [anon_sym_debugger] = ACTIONS(3122),
    [anon_sym_return] = ACTIONS(3122),
    [anon_sym_throw] = ACTIONS(3122),
    [anon_sym_SEMI] = ACTIONS(3122),
    [anon_sym_case] = ACTIONS(3122),
    [anon_sym_yield] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3122),
    [anon_sym_LTtemplate_GT] = ACTIONS(3122),
    [anon_sym_class] = ACTIONS(3122),
    [anon_sym_async] = ACTIONS(3122),
    [anon_sym_function] = ACTIONS(3122),
    [anon_sym_new] = ACTIONS(3122),
    [anon_sym_using] = ACTIONS(3122),
    [anon_sym_PLUS] = ACTIONS(3122),
    [anon_sym_DASH] = ACTIONS(3122),
    [anon_sym_SLASH] = ACTIONS(3122),
    [anon_sym_LT] = ACTIONS(3122),
    [anon_sym_TILDE] = ACTIONS(3122),
    [anon_sym_void] = ACTIONS(3122),
    [anon_sym_delete] = ACTIONS(3122),
    [anon_sym_PLUS_PLUS] = ACTIONS(3122),
    [anon_sym_DASH_DASH] = ACTIONS(3122),
    [anon_sym_DQUOTE] = ACTIONS(3122),
    [anon_sym_SQUOTE] = ACTIONS(3122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3122),
    [sym_number] = ACTIONS(3122),
    [sym_private_property_identifier] = ACTIONS(3122),
    [sym_this] = ACTIONS(3122),
    [sym_super] = ACTIONS(3122),
    [sym_true] = ACTIONS(3122),
    [sym_false] = ACTIONS(3122),
    [sym_null] = ACTIONS(3122),
    [sym_undefined] = ACTIONS(3122),
    [anon_sym_AT] = ACTIONS(3122),
    [anon_sym_static] = ACTIONS(3122),
    [anon_sym_readonly] = ACTIONS(3122),
    [anon_sym_get] = ACTIONS(3122),
    [anon_sym_set] = ACTIONS(3122),
    [anon_sym_declare] = ACTIONS(3122),
    [anon_sym_public] = ACTIONS(3122),
    [anon_sym_private] = ACTIONS(3122),
    [anon_sym_protected] = ACTIONS(3122),
    [anon_sym_override] = ACTIONS(3122),
    [anon_sym_module] = ACTIONS(3122),
    [anon_sym_any] = ACTIONS(3122),
    [anon_sym_number] = ACTIONS(3122),
    [anon_sym_boolean] = ACTIONS(3122),
    [anon_sym_string] = ACTIONS(3122),
    [anon_sym_symbol] = ACTIONS(3122),
    [anon_sym_object] = ACTIONS(3122),
    [anon_sym_abstract] = ACTIONS(3122),
    [anon_sym_interface] = ACTIONS(3122),
    [anon_sym_enum] = ACTIONS(3122),
    [sym_html_comment] = ACTIONS(5),
  },
  [962] = {
    [sym_comment] = STATE(962),
    [sym_identifier] = ACTIONS(3124),
    [anon_sym_export] = ACTIONS(3124),
    [anon_sym_default] = ACTIONS(3124),
    [anon_sym_type] = ACTIONS(3124),
    [anon_sym_namespace] = ACTIONS(3124),
    [anon_sym_LBRACE] = ACTIONS(3124),
    [anon_sym_RBRACE] = ACTIONS(3124),
    [anon_sym_typeof] = ACTIONS(3124),
    [anon_sym_import] = ACTIONS(3124),
    [anon_sym_var] = ACTIONS(3124),
    [anon_sym_let] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_BANG] = ACTIONS(3124),
    [anon_sym_else] = ACTIONS(3124),
    [anon_sym_if] = ACTIONS(3124),
    [anon_sym_switch] = ACTIONS(3124),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3124),
    [anon_sym_await] = ACTIONS(3124),
    [anon_sym_while] = ACTIONS(3124),
    [anon_sym_do] = ACTIONS(3124),
    [anon_sym_try] = ACTIONS(3124),
    [anon_sym_with] = ACTIONS(3124),
    [anon_sym_break] = ACTIONS(3124),
    [anon_sym_continue] = ACTIONS(3124),
    [anon_sym_debugger] = ACTIONS(3124),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3124),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym_case] = ACTIONS(3124),
    [anon_sym_yield] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_LTtemplate_GT] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_async] = ACTIONS(3124),
    [anon_sym_function] = ACTIONS(3124),
    [anon_sym_new] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_void] = ACTIONS(3124),
    [anon_sym_delete] = ACTIONS(3124),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(3124),
    [anon_sym_SQUOTE] = ACTIONS(3124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3124),
    [sym_number] = ACTIONS(3124),
    [sym_private_property_identifier] = ACTIONS(3124),
    [sym_this] = ACTIONS(3124),
    [sym_super] = ACTIONS(3124),
    [sym_true] = ACTIONS(3124),
    [sym_false] = ACTIONS(3124),
    [sym_null] = ACTIONS(3124),
    [sym_undefined] = ACTIONS(3124),
    [anon_sym_AT] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_get] = ACTIONS(3124),
    [anon_sym_set] = ACTIONS(3124),
    [anon_sym_declare] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3124),
    [anon_sym_private] = ACTIONS(3124),
    [anon_sym_protected] = ACTIONS(3124),
    [anon_sym_override] = ACTIONS(3124),
    [anon_sym_module] = ACTIONS(3124),
    [anon_sym_any] = ACTIONS(3124),
    [anon_sym_number] = ACTIONS(3124),
    [anon_sym_boolean] = ACTIONS(3124),
    [anon_sym_string] = ACTIONS(3124),
    [anon_sym_symbol] = ACTIONS(3124),
    [anon_sym_object] = ACTIONS(3124),
    [anon_sym_abstract] = ACTIONS(3124),
    [anon_sym_interface] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [sym_html_comment] = ACTIONS(5),
  },
  [963] = {
    [sym_comment] = STATE(963),
    [sym_identifier] = ACTIONS(3124),
    [anon_sym_export] = ACTIONS(3124),
    [anon_sym_default] = ACTIONS(3124),
    [anon_sym_type] = ACTIONS(3124),
    [anon_sym_namespace] = ACTIONS(3124),
    [anon_sym_LBRACE] = ACTIONS(3124),
    [anon_sym_RBRACE] = ACTIONS(3124),
    [anon_sym_typeof] = ACTIONS(3124),
    [anon_sym_import] = ACTIONS(3124),
    [anon_sym_var] = ACTIONS(3124),
    [anon_sym_let] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_BANG] = ACTIONS(3124),
    [anon_sym_else] = ACTIONS(3124),
    [anon_sym_if] = ACTIONS(3124),
    [anon_sym_switch] = ACTIONS(3124),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3124),
    [anon_sym_await] = ACTIONS(3124),
    [anon_sym_while] = ACTIONS(3124),
    [anon_sym_do] = ACTIONS(3124),
    [anon_sym_try] = ACTIONS(3124),
    [anon_sym_with] = ACTIONS(3124),
    [anon_sym_break] = ACTIONS(3124),
    [anon_sym_continue] = ACTIONS(3124),
    [anon_sym_debugger] = ACTIONS(3124),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3124),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym_case] = ACTIONS(3124),
    [anon_sym_yield] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_LTtemplate_GT] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_async] = ACTIONS(3124),
    [anon_sym_function] = ACTIONS(3124),
    [anon_sym_new] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_void] = ACTIONS(3124),
    [anon_sym_delete] = ACTIONS(3124),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(3124),
    [anon_sym_SQUOTE] = ACTIONS(3124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3124),
    [sym_number] = ACTIONS(3124),
    [sym_private_property_identifier] = ACTIONS(3124),
    [sym_this] = ACTIONS(3124),
    [sym_super] = ACTIONS(3124),
    [sym_true] = ACTIONS(3124),
    [sym_false] = ACTIONS(3124),
    [sym_null] = ACTIONS(3124),
    [sym_undefined] = ACTIONS(3124),
    [anon_sym_AT] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_get] = ACTIONS(3124),
    [anon_sym_set] = ACTIONS(3124),
    [anon_sym_declare] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3124),
    [anon_sym_private] = ACTIONS(3124),
    [anon_sym_protected] = ACTIONS(3124),
    [anon_sym_override] = ACTIONS(3124),
    [anon_sym_module] = ACTIONS(3124),
    [anon_sym_any] = ACTIONS(3124),
    [anon_sym_number] = ACTIONS(3124),
    [anon_sym_boolean] = ACTIONS(3124),
    [anon_sym_string] = ACTIONS(3124),
    [anon_sym_symbol] = ACTIONS(3124),
    [anon_sym_object] = ACTIONS(3124),
    [anon_sym_abstract] = ACTIONS(3124),
    [anon_sym_interface] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [sym_html_comment] = ACTIONS(5),
  },
  [964] = {
    [sym_comment] = STATE(964),
    [sym_identifier] = ACTIONS(3124),
    [anon_sym_export] = ACTIONS(3124),
    [anon_sym_default] = ACTIONS(3124),
    [anon_sym_type] = ACTIONS(3124),
    [anon_sym_namespace] = ACTIONS(3124),
    [anon_sym_LBRACE] = ACTIONS(3124),
    [anon_sym_RBRACE] = ACTIONS(3124),
    [anon_sym_typeof] = ACTIONS(3124),
    [anon_sym_import] = ACTIONS(3124),
    [anon_sym_var] = ACTIONS(3124),
    [anon_sym_let] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_BANG] = ACTIONS(3124),
    [anon_sym_else] = ACTIONS(3124),
    [anon_sym_if] = ACTIONS(3124),
    [anon_sym_switch] = ACTIONS(3124),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3124),
    [anon_sym_await] = ACTIONS(3124),
    [anon_sym_while] = ACTIONS(3124),
    [anon_sym_do] = ACTIONS(3124),
    [anon_sym_try] = ACTIONS(3124),
    [anon_sym_with] = ACTIONS(3124),
    [anon_sym_break] = ACTIONS(3124),
    [anon_sym_continue] = ACTIONS(3124),
    [anon_sym_debugger] = ACTIONS(3124),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3124),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym_case] = ACTIONS(3124),
    [anon_sym_yield] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_LTtemplate_GT] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_async] = ACTIONS(3124),
    [anon_sym_function] = ACTIONS(3124),
    [anon_sym_new] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_void] = ACTIONS(3124),
    [anon_sym_delete] = ACTIONS(3124),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(3124),
    [anon_sym_SQUOTE] = ACTIONS(3124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3124),
    [sym_number] = ACTIONS(3124),
    [sym_private_property_identifier] = ACTIONS(3124),
    [sym_this] = ACTIONS(3124),
    [sym_super] = ACTIONS(3124),
    [sym_true] = ACTIONS(3124),
    [sym_false] = ACTIONS(3124),
    [sym_null] = ACTIONS(3124),
    [sym_undefined] = ACTIONS(3124),
    [anon_sym_AT] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_get] = ACTIONS(3124),
    [anon_sym_set] = ACTIONS(3124),
    [anon_sym_declare] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3124),
    [anon_sym_private] = ACTIONS(3124),
    [anon_sym_protected] = ACTIONS(3124),
    [anon_sym_override] = ACTIONS(3124),
    [anon_sym_module] = ACTIONS(3124),
    [anon_sym_any] = ACTIONS(3124),
    [anon_sym_number] = ACTIONS(3124),
    [anon_sym_boolean] = ACTIONS(3124),
    [anon_sym_string] = ACTIONS(3124),
    [anon_sym_symbol] = ACTIONS(3124),
    [anon_sym_object] = ACTIONS(3124),
    [anon_sym_abstract] = ACTIONS(3124),
    [anon_sym_interface] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [sym_html_comment] = ACTIONS(5),
  },
  [965] = {
    [sym_comment] = STATE(965),
    [sym_identifier] = ACTIONS(3124),
    [anon_sym_export] = ACTIONS(3124),
    [anon_sym_default] = ACTIONS(3124),
    [anon_sym_type] = ACTIONS(3124),
    [anon_sym_namespace] = ACTIONS(3124),
    [anon_sym_LBRACE] = ACTIONS(3124),
    [anon_sym_RBRACE] = ACTIONS(3124),
    [anon_sym_typeof] = ACTIONS(3124),
    [anon_sym_import] = ACTIONS(3124),
    [anon_sym_var] = ACTIONS(3124),
    [anon_sym_let] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_BANG] = ACTIONS(3124),
    [anon_sym_else] = ACTIONS(3124),
    [anon_sym_if] = ACTIONS(3124),
    [anon_sym_switch] = ACTIONS(3124),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3124),
    [anon_sym_await] = ACTIONS(3124),
    [anon_sym_while] = ACTIONS(3124),
    [anon_sym_do] = ACTIONS(3124),
    [anon_sym_try] = ACTIONS(3124),
    [anon_sym_with] = ACTIONS(3124),
    [anon_sym_break] = ACTIONS(3124),
    [anon_sym_continue] = ACTIONS(3124),
    [anon_sym_debugger] = ACTIONS(3124),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3124),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym_case] = ACTIONS(3124),
    [anon_sym_yield] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_LTtemplate_GT] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_async] = ACTIONS(3124),
    [anon_sym_function] = ACTIONS(3124),
    [anon_sym_new] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_void] = ACTIONS(3124),
    [anon_sym_delete] = ACTIONS(3124),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(3124),
    [anon_sym_SQUOTE] = ACTIONS(3124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3124),
    [sym_number] = ACTIONS(3124),
    [sym_private_property_identifier] = ACTIONS(3124),
    [sym_this] = ACTIONS(3124),
    [sym_super] = ACTIONS(3124),
    [sym_true] = ACTIONS(3124),
    [sym_false] = ACTIONS(3124),
    [sym_null] = ACTIONS(3124),
    [sym_undefined] = ACTIONS(3124),
    [anon_sym_AT] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_get] = ACTIONS(3124),
    [anon_sym_set] = ACTIONS(3124),
    [anon_sym_declare] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3124),
    [anon_sym_private] = ACTIONS(3124),
    [anon_sym_protected] = ACTIONS(3124),
    [anon_sym_override] = ACTIONS(3124),
    [anon_sym_module] = ACTIONS(3124),
    [anon_sym_any] = ACTIONS(3124),
    [anon_sym_number] = ACTIONS(3124),
    [anon_sym_boolean] = ACTIONS(3124),
    [anon_sym_string] = ACTIONS(3124),
    [anon_sym_symbol] = ACTIONS(3124),
    [anon_sym_object] = ACTIONS(3124),
    [anon_sym_abstract] = ACTIONS(3124),
    [anon_sym_interface] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [sym_html_comment] = ACTIONS(5),
  },
  [966] = {
    [sym_comment] = STATE(966),
    [sym_identifier] = ACTIONS(3126),
    [anon_sym_export] = ACTIONS(3126),
    [anon_sym_default] = ACTIONS(3126),
    [anon_sym_type] = ACTIONS(3126),
    [anon_sym_namespace] = ACTIONS(3126),
    [anon_sym_LBRACE] = ACTIONS(3126),
    [anon_sym_RBRACE] = ACTIONS(3126),
    [anon_sym_typeof] = ACTIONS(3126),
    [anon_sym_import] = ACTIONS(3126),
    [anon_sym_var] = ACTIONS(3126),
    [anon_sym_let] = ACTIONS(3126),
    [anon_sym_const] = ACTIONS(3126),
    [anon_sym_BANG] = ACTIONS(3126),
    [anon_sym_else] = ACTIONS(3126),
    [anon_sym_if] = ACTIONS(3126),
    [anon_sym_switch] = ACTIONS(3126),
    [anon_sym_for] = ACTIONS(3126),
    [anon_sym_LPAREN] = ACTIONS(3126),
    [anon_sym_await] = ACTIONS(3126),
    [anon_sym_while] = ACTIONS(3126),
    [anon_sym_do] = ACTIONS(3126),
    [anon_sym_try] = ACTIONS(3126),
    [anon_sym_with] = ACTIONS(3126),
    [anon_sym_break] = ACTIONS(3126),
    [anon_sym_continue] = ACTIONS(3126),
    [anon_sym_debugger] = ACTIONS(3126),
    [anon_sym_return] = ACTIONS(3126),
    [anon_sym_throw] = ACTIONS(3126),
    [anon_sym_SEMI] = ACTIONS(3126),
    [anon_sym_case] = ACTIONS(3126),
    [anon_sym_yield] = ACTIONS(3126),
    [anon_sym_LBRACK] = ACTIONS(3126),
    [anon_sym_LTtemplate_GT] = ACTIONS(3126),
    [anon_sym_class] = ACTIONS(3126),
    [anon_sym_async] = ACTIONS(3126),
    [anon_sym_function] = ACTIONS(3126),
    [anon_sym_new] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3126),
    [anon_sym_PLUS] = ACTIONS(3126),
    [anon_sym_DASH] = ACTIONS(3126),
    [anon_sym_SLASH] = ACTIONS(3126),
    [anon_sym_LT] = ACTIONS(3126),
    [anon_sym_TILDE] = ACTIONS(3126),
    [anon_sym_void] = ACTIONS(3126),
    [anon_sym_delete] = ACTIONS(3126),
    [anon_sym_PLUS_PLUS] = ACTIONS(3126),
    [anon_sym_DASH_DASH] = ACTIONS(3126),
    [anon_sym_DQUOTE] = ACTIONS(3126),
    [anon_sym_SQUOTE] = ACTIONS(3126),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3126),
    [sym_number] = ACTIONS(3126),
    [sym_private_property_identifier] = ACTIONS(3126),
    [sym_this] = ACTIONS(3126),
    [sym_super] = ACTIONS(3126),
    [sym_true] = ACTIONS(3126),
    [sym_false] = ACTIONS(3126),
    [sym_null] = ACTIONS(3126),
    [sym_undefined] = ACTIONS(3126),
    [anon_sym_AT] = ACTIONS(3126),
    [anon_sym_static] = ACTIONS(3126),
    [anon_sym_readonly] = ACTIONS(3126),
    [anon_sym_get] = ACTIONS(3126),
    [anon_sym_set] = ACTIONS(3126),
    [anon_sym_declare] = ACTIONS(3126),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_override] = ACTIONS(3126),
    [anon_sym_module] = ACTIONS(3126),
    [anon_sym_any] = ACTIONS(3126),
    [anon_sym_number] = ACTIONS(3126),
    [anon_sym_boolean] = ACTIONS(3126),
    [anon_sym_string] = ACTIONS(3126),
    [anon_sym_symbol] = ACTIONS(3126),
    [anon_sym_object] = ACTIONS(3126),
    [anon_sym_abstract] = ACTIONS(3126),
    [anon_sym_interface] = ACTIONS(3126),
    [anon_sym_enum] = ACTIONS(3126),
    [sym_html_comment] = ACTIONS(5),
  },
  [967] = {
    [sym_comment] = STATE(967),
    [sym_identifier] = ACTIONS(3128),
    [anon_sym_export] = ACTIONS(3128),
    [anon_sym_default] = ACTIONS(3128),
    [anon_sym_type] = ACTIONS(3128),
    [anon_sym_namespace] = ACTIONS(3128),
    [anon_sym_LBRACE] = ACTIONS(3128),
    [anon_sym_RBRACE] = ACTIONS(3128),
    [anon_sym_typeof] = ACTIONS(3128),
    [anon_sym_import] = ACTIONS(3128),
    [anon_sym_var] = ACTIONS(3128),
    [anon_sym_let] = ACTIONS(3128),
    [anon_sym_const] = ACTIONS(3128),
    [anon_sym_BANG] = ACTIONS(3128),
    [anon_sym_else] = ACTIONS(3128),
    [anon_sym_if] = ACTIONS(3128),
    [anon_sym_switch] = ACTIONS(3128),
    [anon_sym_for] = ACTIONS(3128),
    [anon_sym_LPAREN] = ACTIONS(3128),
    [anon_sym_await] = ACTIONS(3128),
    [anon_sym_while] = ACTIONS(3128),
    [anon_sym_do] = ACTIONS(3128),
    [anon_sym_try] = ACTIONS(3128),
    [anon_sym_with] = ACTIONS(3128),
    [anon_sym_break] = ACTIONS(3128),
    [anon_sym_continue] = ACTIONS(3128),
    [anon_sym_debugger] = ACTIONS(3128),
    [anon_sym_return] = ACTIONS(3128),
    [anon_sym_throw] = ACTIONS(3128),
    [anon_sym_SEMI] = ACTIONS(3128),
    [anon_sym_case] = ACTIONS(3128),
    [anon_sym_yield] = ACTIONS(3128),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_LTtemplate_GT] = ACTIONS(3128),
    [anon_sym_class] = ACTIONS(3128),
    [anon_sym_async] = ACTIONS(3128),
    [anon_sym_function] = ACTIONS(3128),
    [anon_sym_new] = ACTIONS(3128),
    [anon_sym_using] = ACTIONS(3128),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_SLASH] = ACTIONS(3128),
    [anon_sym_LT] = ACTIONS(3128),
    [anon_sym_TILDE] = ACTIONS(3128),
    [anon_sym_void] = ACTIONS(3128),
    [anon_sym_delete] = ACTIONS(3128),
    [anon_sym_PLUS_PLUS] = ACTIONS(3128),
    [anon_sym_DASH_DASH] = ACTIONS(3128),
    [anon_sym_DQUOTE] = ACTIONS(3128),
    [anon_sym_SQUOTE] = ACTIONS(3128),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3128),
    [sym_number] = ACTIONS(3128),
    [sym_private_property_identifier] = ACTIONS(3128),
    [sym_this] = ACTIONS(3128),
    [sym_super] = ACTIONS(3128),
    [sym_true] = ACTIONS(3128),
    [sym_false] = ACTIONS(3128),
    [sym_null] = ACTIONS(3128),
    [sym_undefined] = ACTIONS(3128),
    [anon_sym_AT] = ACTIONS(3128),
    [anon_sym_static] = ACTIONS(3128),
    [anon_sym_readonly] = ACTIONS(3128),
    [anon_sym_get] = ACTIONS(3128),
    [anon_sym_set] = ACTIONS(3128),
    [anon_sym_declare] = ACTIONS(3128),
    [anon_sym_public] = ACTIONS(3128),
    [anon_sym_private] = ACTIONS(3128),
    [anon_sym_protected] = ACTIONS(3128),
    [anon_sym_override] = ACTIONS(3128),
    [anon_sym_module] = ACTIONS(3128),
    [anon_sym_any] = ACTIONS(3128),
    [anon_sym_number] = ACTIONS(3128),
    [anon_sym_boolean] = ACTIONS(3128),
    [anon_sym_string] = ACTIONS(3128),
    [anon_sym_symbol] = ACTIONS(3128),
    [anon_sym_object] = ACTIONS(3128),
    [anon_sym_abstract] = ACTIONS(3128),
    [anon_sym_interface] = ACTIONS(3128),
    [anon_sym_enum] = ACTIONS(3128),
    [sym_html_comment] = ACTIONS(5),
  },
  [968] = {
    [sym_comment] = STATE(968),
    [sym_identifier] = ACTIONS(3130),
    [anon_sym_export] = ACTIONS(3130),
    [anon_sym_default] = ACTIONS(3130),
    [anon_sym_type] = ACTIONS(3130),
    [anon_sym_namespace] = ACTIONS(3130),
    [anon_sym_LBRACE] = ACTIONS(3130),
    [anon_sym_RBRACE] = ACTIONS(3130),
    [anon_sym_typeof] = ACTIONS(3130),
    [anon_sym_import] = ACTIONS(3130),
    [anon_sym_var] = ACTIONS(3130),
    [anon_sym_let] = ACTIONS(3130),
    [anon_sym_const] = ACTIONS(3130),
    [anon_sym_BANG] = ACTIONS(3130),
    [anon_sym_else] = ACTIONS(3130),
    [anon_sym_if] = ACTIONS(3130),
    [anon_sym_switch] = ACTIONS(3130),
    [anon_sym_for] = ACTIONS(3130),
    [anon_sym_LPAREN] = ACTIONS(3130),
    [anon_sym_await] = ACTIONS(3130),
    [anon_sym_while] = ACTIONS(3130),
    [anon_sym_do] = ACTIONS(3130),
    [anon_sym_try] = ACTIONS(3130),
    [anon_sym_with] = ACTIONS(3130),
    [anon_sym_break] = ACTIONS(3130),
    [anon_sym_continue] = ACTIONS(3130),
    [anon_sym_debugger] = ACTIONS(3130),
    [anon_sym_return] = ACTIONS(3130),
    [anon_sym_throw] = ACTIONS(3130),
    [anon_sym_SEMI] = ACTIONS(3130),
    [anon_sym_case] = ACTIONS(3130),
    [anon_sym_yield] = ACTIONS(3130),
    [anon_sym_LBRACK] = ACTIONS(3130),
    [anon_sym_LTtemplate_GT] = ACTIONS(3130),
    [anon_sym_class] = ACTIONS(3130),
    [anon_sym_async] = ACTIONS(3130),
    [anon_sym_function] = ACTIONS(3130),
    [anon_sym_new] = ACTIONS(3130),
    [anon_sym_using] = ACTIONS(3130),
    [anon_sym_PLUS] = ACTIONS(3130),
    [anon_sym_DASH] = ACTIONS(3130),
    [anon_sym_SLASH] = ACTIONS(3130),
    [anon_sym_LT] = ACTIONS(3130),
    [anon_sym_TILDE] = ACTIONS(3130),
    [anon_sym_void] = ACTIONS(3130),
    [anon_sym_delete] = ACTIONS(3130),
    [anon_sym_PLUS_PLUS] = ACTIONS(3130),
    [anon_sym_DASH_DASH] = ACTIONS(3130),
    [anon_sym_DQUOTE] = ACTIONS(3130),
    [anon_sym_SQUOTE] = ACTIONS(3130),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3130),
    [sym_number] = ACTIONS(3130),
    [sym_private_property_identifier] = ACTIONS(3130),
    [sym_this] = ACTIONS(3130),
    [sym_super] = ACTIONS(3130),
    [sym_true] = ACTIONS(3130),
    [sym_false] = ACTIONS(3130),
    [sym_null] = ACTIONS(3130),
    [sym_undefined] = ACTIONS(3130),
    [anon_sym_AT] = ACTIONS(3130),
    [anon_sym_static] = ACTIONS(3130),
    [anon_sym_readonly] = ACTIONS(3130),
    [anon_sym_get] = ACTIONS(3130),
    [anon_sym_set] = ACTIONS(3130),
    [anon_sym_declare] = ACTIONS(3130),
    [anon_sym_public] = ACTIONS(3130),
    [anon_sym_private] = ACTIONS(3130),
    [anon_sym_protected] = ACTIONS(3130),
    [anon_sym_override] = ACTIONS(3130),
    [anon_sym_module] = ACTIONS(3130),
    [anon_sym_any] = ACTIONS(3130),
    [anon_sym_number] = ACTIONS(3130),
    [anon_sym_boolean] = ACTIONS(3130),
    [anon_sym_string] = ACTIONS(3130),
    [anon_sym_symbol] = ACTIONS(3130),
    [anon_sym_object] = ACTIONS(3130),
    [anon_sym_abstract] = ACTIONS(3130),
    [anon_sym_interface] = ACTIONS(3130),
    [anon_sym_enum] = ACTIONS(3130),
    [sym_html_comment] = ACTIONS(5),
  },
  [969] = {
    [sym_comment] = STATE(969),
    [sym_identifier] = ACTIONS(3124),
    [anon_sym_export] = ACTIONS(3124),
    [anon_sym_default] = ACTIONS(3124),
    [anon_sym_type] = ACTIONS(3124),
    [anon_sym_namespace] = ACTIONS(3124),
    [anon_sym_LBRACE] = ACTIONS(3124),
    [anon_sym_RBRACE] = ACTIONS(3124),
    [anon_sym_typeof] = ACTIONS(3124),
    [anon_sym_import] = ACTIONS(3124),
    [anon_sym_var] = ACTIONS(3124),
    [anon_sym_let] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_BANG] = ACTIONS(3124),
    [anon_sym_else] = ACTIONS(3124),
    [anon_sym_if] = ACTIONS(3124),
    [anon_sym_switch] = ACTIONS(3124),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3124),
    [anon_sym_await] = ACTIONS(3124),
    [anon_sym_while] = ACTIONS(3124),
    [anon_sym_do] = ACTIONS(3124),
    [anon_sym_try] = ACTIONS(3124),
    [anon_sym_with] = ACTIONS(3124),
    [anon_sym_break] = ACTIONS(3124),
    [anon_sym_continue] = ACTIONS(3124),
    [anon_sym_debugger] = ACTIONS(3124),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3124),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym_case] = ACTIONS(3124),
    [anon_sym_yield] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_LTtemplate_GT] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_async] = ACTIONS(3124),
    [anon_sym_function] = ACTIONS(3124),
    [anon_sym_new] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_void] = ACTIONS(3124),
    [anon_sym_delete] = ACTIONS(3124),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(3124),
    [anon_sym_SQUOTE] = ACTIONS(3124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3124),
    [sym_number] = ACTIONS(3124),
    [sym_private_property_identifier] = ACTIONS(3124),
    [sym_this] = ACTIONS(3124),
    [sym_super] = ACTIONS(3124),
    [sym_true] = ACTIONS(3124),
    [sym_false] = ACTIONS(3124),
    [sym_null] = ACTIONS(3124),
    [sym_undefined] = ACTIONS(3124),
    [anon_sym_AT] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_get] = ACTIONS(3124),
    [anon_sym_set] = ACTIONS(3124),
    [anon_sym_declare] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3124),
    [anon_sym_private] = ACTIONS(3124),
    [anon_sym_protected] = ACTIONS(3124),
    [anon_sym_override] = ACTIONS(3124),
    [anon_sym_module] = ACTIONS(3124),
    [anon_sym_any] = ACTIONS(3124),
    [anon_sym_number] = ACTIONS(3124),
    [anon_sym_boolean] = ACTIONS(3124),
    [anon_sym_string] = ACTIONS(3124),
    [anon_sym_symbol] = ACTIONS(3124),
    [anon_sym_object] = ACTIONS(3124),
    [anon_sym_abstract] = ACTIONS(3124),
    [anon_sym_interface] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [sym_html_comment] = ACTIONS(5),
  },
  [970] = {
    [sym_comment] = STATE(970),
    [sym_identifier] = ACTIONS(3124),
    [anon_sym_export] = ACTIONS(3124),
    [anon_sym_default] = ACTIONS(3124),
    [anon_sym_type] = ACTIONS(3124),
    [anon_sym_namespace] = ACTIONS(3124),
    [anon_sym_LBRACE] = ACTIONS(3124),
    [anon_sym_RBRACE] = ACTIONS(3124),
    [anon_sym_typeof] = ACTIONS(3124),
    [anon_sym_import] = ACTIONS(3124),
    [anon_sym_var] = ACTIONS(3124),
    [anon_sym_let] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_BANG] = ACTIONS(3124),
    [anon_sym_else] = ACTIONS(3124),
    [anon_sym_if] = ACTIONS(3124),
    [anon_sym_switch] = ACTIONS(3124),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3124),
    [anon_sym_await] = ACTIONS(3124),
    [anon_sym_while] = ACTIONS(3124),
    [anon_sym_do] = ACTIONS(3124),
    [anon_sym_try] = ACTIONS(3124),
    [anon_sym_with] = ACTIONS(3124),
    [anon_sym_break] = ACTIONS(3124),
    [anon_sym_continue] = ACTIONS(3124),
    [anon_sym_debugger] = ACTIONS(3124),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3124),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym_case] = ACTIONS(3124),
    [anon_sym_yield] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_LTtemplate_GT] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_async] = ACTIONS(3124),
    [anon_sym_function] = ACTIONS(3124),
    [anon_sym_new] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_void] = ACTIONS(3124),
    [anon_sym_delete] = ACTIONS(3124),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(3124),
    [anon_sym_SQUOTE] = ACTIONS(3124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3124),
    [sym_number] = ACTIONS(3124),
    [sym_private_property_identifier] = ACTIONS(3124),
    [sym_this] = ACTIONS(3124),
    [sym_super] = ACTIONS(3124),
    [sym_true] = ACTIONS(3124),
    [sym_false] = ACTIONS(3124),
    [sym_null] = ACTIONS(3124),
    [sym_undefined] = ACTIONS(3124),
    [anon_sym_AT] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_get] = ACTIONS(3124),
    [anon_sym_set] = ACTIONS(3124),
    [anon_sym_declare] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3124),
    [anon_sym_private] = ACTIONS(3124),
    [anon_sym_protected] = ACTIONS(3124),
    [anon_sym_override] = ACTIONS(3124),
    [anon_sym_module] = ACTIONS(3124),
    [anon_sym_any] = ACTIONS(3124),
    [anon_sym_number] = ACTIONS(3124),
    [anon_sym_boolean] = ACTIONS(3124),
    [anon_sym_string] = ACTIONS(3124),
    [anon_sym_symbol] = ACTIONS(3124),
    [anon_sym_object] = ACTIONS(3124),
    [anon_sym_abstract] = ACTIONS(3124),
    [anon_sym_interface] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [sym_html_comment] = ACTIONS(5),
  },
  [971] = {
    [sym_comment] = STATE(971),
    [sym_identifier] = ACTIONS(3132),
    [anon_sym_export] = ACTIONS(3132),
    [anon_sym_default] = ACTIONS(3132),
    [anon_sym_type] = ACTIONS(3132),
    [anon_sym_namespace] = ACTIONS(3132),
    [anon_sym_LBRACE] = ACTIONS(3132),
    [anon_sym_RBRACE] = ACTIONS(3132),
    [anon_sym_typeof] = ACTIONS(3132),
    [anon_sym_import] = ACTIONS(3132),
    [anon_sym_var] = ACTIONS(3132),
    [anon_sym_let] = ACTIONS(3132),
    [anon_sym_const] = ACTIONS(3132),
    [anon_sym_BANG] = ACTIONS(3132),
    [anon_sym_else] = ACTIONS(3132),
    [anon_sym_if] = ACTIONS(3132),
    [anon_sym_switch] = ACTIONS(3132),
    [anon_sym_for] = ACTIONS(3132),
    [anon_sym_LPAREN] = ACTIONS(3132),
    [anon_sym_await] = ACTIONS(3132),
    [anon_sym_while] = ACTIONS(3132),
    [anon_sym_do] = ACTIONS(3132),
    [anon_sym_try] = ACTIONS(3132),
    [anon_sym_with] = ACTIONS(3132),
    [anon_sym_break] = ACTIONS(3132),
    [anon_sym_continue] = ACTIONS(3132),
    [anon_sym_debugger] = ACTIONS(3132),
    [anon_sym_return] = ACTIONS(3132),
    [anon_sym_throw] = ACTIONS(3132),
    [anon_sym_SEMI] = ACTIONS(3132),
    [anon_sym_case] = ACTIONS(3132),
    [anon_sym_yield] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_LTtemplate_GT] = ACTIONS(3132),
    [anon_sym_class] = ACTIONS(3132),
    [anon_sym_async] = ACTIONS(3132),
    [anon_sym_function] = ACTIONS(3132),
    [anon_sym_new] = ACTIONS(3132),
    [anon_sym_using] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_SLASH] = ACTIONS(3132),
    [anon_sym_LT] = ACTIONS(3132),
    [anon_sym_TILDE] = ACTIONS(3132),
    [anon_sym_void] = ACTIONS(3132),
    [anon_sym_delete] = ACTIONS(3132),
    [anon_sym_PLUS_PLUS] = ACTIONS(3132),
    [anon_sym_DASH_DASH] = ACTIONS(3132),
    [anon_sym_DQUOTE] = ACTIONS(3132),
    [anon_sym_SQUOTE] = ACTIONS(3132),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3132),
    [sym_number] = ACTIONS(3132),
    [sym_private_property_identifier] = ACTIONS(3132),
    [sym_this] = ACTIONS(3132),
    [sym_super] = ACTIONS(3132),
    [sym_true] = ACTIONS(3132),
    [sym_false] = ACTIONS(3132),
    [sym_null] = ACTIONS(3132),
    [sym_undefined] = ACTIONS(3132),
    [anon_sym_AT] = ACTIONS(3132),
    [anon_sym_static] = ACTIONS(3132),
    [anon_sym_readonly] = ACTIONS(3132),
    [anon_sym_get] = ACTIONS(3132),
    [anon_sym_set] = ACTIONS(3132),
    [anon_sym_declare] = ACTIONS(3132),
    [anon_sym_public] = ACTIONS(3132),
    [anon_sym_private] = ACTIONS(3132),
    [anon_sym_protected] = ACTIONS(3132),
    [anon_sym_override] = ACTIONS(3132),
    [anon_sym_module] = ACTIONS(3132),
    [anon_sym_any] = ACTIONS(3132),
    [anon_sym_number] = ACTIONS(3132),
    [anon_sym_boolean] = ACTIONS(3132),
    [anon_sym_string] = ACTIONS(3132),
    [anon_sym_symbol] = ACTIONS(3132),
    [anon_sym_object] = ACTIONS(3132),
    [anon_sym_abstract] = ACTIONS(3132),
    [anon_sym_interface] = ACTIONS(3132),
    [anon_sym_enum] = ACTIONS(3132),
    [sym_html_comment] = ACTIONS(5),
  },
  [972] = {
    [sym_comment] = STATE(972),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_default] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_RBRACE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_else] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_case] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LTtemplate_GT] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_using] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_LT] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [sym_private_property_identifier] = ACTIONS(2141),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_object] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
    [sym_html_comment] = ACTIONS(5),
  },
  [973] = {
    [sym_comment] = STATE(973),
    [sym_identifier] = ACTIONS(3134),
    [anon_sym_export] = ACTIONS(3134),
    [anon_sym_default] = ACTIONS(3134),
    [anon_sym_type] = ACTIONS(3134),
    [anon_sym_namespace] = ACTIONS(3134),
    [anon_sym_LBRACE] = ACTIONS(3134),
    [anon_sym_RBRACE] = ACTIONS(3134),
    [anon_sym_typeof] = ACTIONS(3134),
    [anon_sym_import] = ACTIONS(3134),
    [anon_sym_var] = ACTIONS(3134),
    [anon_sym_let] = ACTIONS(3134),
    [anon_sym_const] = ACTIONS(3134),
    [anon_sym_BANG] = ACTIONS(3134),
    [anon_sym_else] = ACTIONS(3134),
    [anon_sym_if] = ACTIONS(3134),
    [anon_sym_switch] = ACTIONS(3134),
    [anon_sym_for] = ACTIONS(3134),
    [anon_sym_LPAREN] = ACTIONS(3134),
    [anon_sym_await] = ACTIONS(3134),
    [anon_sym_while] = ACTIONS(3134),
    [anon_sym_do] = ACTIONS(3134),
    [anon_sym_try] = ACTIONS(3134),
    [anon_sym_with] = ACTIONS(3134),
    [anon_sym_break] = ACTIONS(3134),
    [anon_sym_continue] = ACTIONS(3134),
    [anon_sym_debugger] = ACTIONS(3134),
    [anon_sym_return] = ACTIONS(3134),
    [anon_sym_throw] = ACTIONS(3134),
    [anon_sym_SEMI] = ACTIONS(3134),
    [anon_sym_case] = ACTIONS(3134),
    [anon_sym_yield] = ACTIONS(3134),
    [anon_sym_LBRACK] = ACTIONS(3134),
    [anon_sym_LTtemplate_GT] = ACTIONS(3134),
    [anon_sym_class] = ACTIONS(3134),
    [anon_sym_async] = ACTIONS(3134),
    [anon_sym_function] = ACTIONS(3134),
    [anon_sym_new] = ACTIONS(3134),
    [anon_sym_using] = ACTIONS(3134),
    [anon_sym_PLUS] = ACTIONS(3134),
    [anon_sym_DASH] = ACTIONS(3134),
    [anon_sym_SLASH] = ACTIONS(3134),
    [anon_sym_LT] = ACTIONS(3134),
    [anon_sym_TILDE] = ACTIONS(3134),
    [anon_sym_void] = ACTIONS(3134),
    [anon_sym_delete] = ACTIONS(3134),
    [anon_sym_PLUS_PLUS] = ACTIONS(3134),
    [anon_sym_DASH_DASH] = ACTIONS(3134),
    [anon_sym_DQUOTE] = ACTIONS(3134),
    [anon_sym_SQUOTE] = ACTIONS(3134),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3134),
    [sym_number] = ACTIONS(3134),
    [sym_private_property_identifier] = ACTIONS(3134),
    [sym_this] = ACTIONS(3134),
    [sym_super] = ACTIONS(3134),
    [sym_true] = ACTIONS(3134),
    [sym_false] = ACTIONS(3134),
    [sym_null] = ACTIONS(3134),
    [sym_undefined] = ACTIONS(3134),
    [anon_sym_AT] = ACTIONS(3134),
    [anon_sym_static] = ACTIONS(3134),
    [anon_sym_readonly] = ACTIONS(3134),
    [anon_sym_get] = ACTIONS(3134),
    [anon_sym_set] = ACTIONS(3134),
    [anon_sym_declare] = ACTIONS(3134),
    [anon_sym_public] = ACTIONS(3134),
    [anon_sym_private] = ACTIONS(3134),
    [anon_sym_protected] = ACTIONS(3134),
    [anon_sym_override] = ACTIONS(3134),
    [anon_sym_module] = ACTIONS(3134),
    [anon_sym_any] = ACTIONS(3134),
    [anon_sym_number] = ACTIONS(3134),
    [anon_sym_boolean] = ACTIONS(3134),
    [anon_sym_string] = ACTIONS(3134),
    [anon_sym_symbol] = ACTIONS(3134),
    [anon_sym_object] = ACTIONS(3134),
    [anon_sym_abstract] = ACTIONS(3134),
    [anon_sym_interface] = ACTIONS(3134),
    [anon_sym_enum] = ACTIONS(3134),
    [sym_html_comment] = ACTIONS(5),
  },
  [974] = {
    [sym_comment] = STATE(974),
    [sym_identifier] = ACTIONS(3136),
    [anon_sym_export] = ACTIONS(3136),
    [anon_sym_default] = ACTIONS(3136),
    [anon_sym_type] = ACTIONS(3136),
    [anon_sym_namespace] = ACTIONS(3136),
    [anon_sym_LBRACE] = ACTIONS(3136),
    [anon_sym_RBRACE] = ACTIONS(3136),
    [anon_sym_typeof] = ACTIONS(3136),
    [anon_sym_import] = ACTIONS(3136),
    [anon_sym_var] = ACTIONS(3136),
    [anon_sym_let] = ACTIONS(3136),
    [anon_sym_const] = ACTIONS(3136),
    [anon_sym_BANG] = ACTIONS(3136),
    [anon_sym_else] = ACTIONS(3136),
    [anon_sym_if] = ACTIONS(3136),
    [anon_sym_switch] = ACTIONS(3136),
    [anon_sym_for] = ACTIONS(3136),
    [anon_sym_LPAREN] = ACTIONS(3136),
    [anon_sym_await] = ACTIONS(3136),
    [anon_sym_while] = ACTIONS(3136),
    [anon_sym_do] = ACTIONS(3136),
    [anon_sym_try] = ACTIONS(3136),
    [anon_sym_with] = ACTIONS(3136),
    [anon_sym_break] = ACTIONS(3136),
    [anon_sym_continue] = ACTIONS(3136),
    [anon_sym_debugger] = ACTIONS(3136),
    [anon_sym_return] = ACTIONS(3136),
    [anon_sym_throw] = ACTIONS(3136),
    [anon_sym_SEMI] = ACTIONS(3136),
    [anon_sym_case] = ACTIONS(3136),
    [anon_sym_yield] = ACTIONS(3136),
    [anon_sym_LBRACK] = ACTIONS(3136),
    [anon_sym_LTtemplate_GT] = ACTIONS(3136),
    [anon_sym_class] = ACTIONS(3136),
    [anon_sym_async] = ACTIONS(3136),
    [anon_sym_function] = ACTIONS(3136),
    [anon_sym_new] = ACTIONS(3136),
    [anon_sym_using] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_SLASH] = ACTIONS(3136),
    [anon_sym_LT] = ACTIONS(3136),
    [anon_sym_TILDE] = ACTIONS(3136),
    [anon_sym_void] = ACTIONS(3136),
    [anon_sym_delete] = ACTIONS(3136),
    [anon_sym_PLUS_PLUS] = ACTIONS(3136),
    [anon_sym_DASH_DASH] = ACTIONS(3136),
    [anon_sym_DQUOTE] = ACTIONS(3136),
    [anon_sym_SQUOTE] = ACTIONS(3136),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3136),
    [sym_number] = ACTIONS(3136),
    [sym_private_property_identifier] = ACTIONS(3136),
    [sym_this] = ACTIONS(3136),
    [sym_super] = ACTIONS(3136),
    [sym_true] = ACTIONS(3136),
    [sym_false] = ACTIONS(3136),
    [sym_null] = ACTIONS(3136),
    [sym_undefined] = ACTIONS(3136),
    [anon_sym_AT] = ACTIONS(3136),
    [anon_sym_static] = ACTIONS(3136),
    [anon_sym_readonly] = ACTIONS(3136),
    [anon_sym_get] = ACTIONS(3136),
    [anon_sym_set] = ACTIONS(3136),
    [anon_sym_declare] = ACTIONS(3136),
    [anon_sym_public] = ACTIONS(3136),
    [anon_sym_private] = ACTIONS(3136),
    [anon_sym_protected] = ACTIONS(3136),
    [anon_sym_override] = ACTIONS(3136),
    [anon_sym_module] = ACTIONS(3136),
    [anon_sym_any] = ACTIONS(3136),
    [anon_sym_number] = ACTIONS(3136),
    [anon_sym_boolean] = ACTIONS(3136),
    [anon_sym_string] = ACTIONS(3136),
    [anon_sym_symbol] = ACTIONS(3136),
    [anon_sym_object] = ACTIONS(3136),
    [anon_sym_abstract] = ACTIONS(3136),
    [anon_sym_interface] = ACTIONS(3136),
    [anon_sym_enum] = ACTIONS(3136),
    [sym_html_comment] = ACTIONS(5),
  },
  [975] = {
    [sym_comment] = STATE(975),
    [sym_identifier] = ACTIONS(3138),
    [anon_sym_export] = ACTIONS(3138),
    [anon_sym_default] = ACTIONS(3138),
    [anon_sym_type] = ACTIONS(3138),
    [anon_sym_namespace] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3138),
    [anon_sym_RBRACE] = ACTIONS(3138),
    [anon_sym_typeof] = ACTIONS(3138),
    [anon_sym_import] = ACTIONS(3138),
    [anon_sym_var] = ACTIONS(3138),
    [anon_sym_let] = ACTIONS(3138),
    [anon_sym_const] = ACTIONS(3138),
    [anon_sym_BANG] = ACTIONS(3138),
    [anon_sym_else] = ACTIONS(3138),
    [anon_sym_if] = ACTIONS(3138),
    [anon_sym_switch] = ACTIONS(3138),
    [anon_sym_for] = ACTIONS(3138),
    [anon_sym_LPAREN] = ACTIONS(3138),
    [anon_sym_await] = ACTIONS(3138),
    [anon_sym_while] = ACTIONS(3138),
    [anon_sym_do] = ACTIONS(3138),
    [anon_sym_try] = ACTIONS(3138),
    [anon_sym_with] = ACTIONS(3138),
    [anon_sym_break] = ACTIONS(3138),
    [anon_sym_continue] = ACTIONS(3138),
    [anon_sym_debugger] = ACTIONS(3138),
    [anon_sym_return] = ACTIONS(3138),
    [anon_sym_throw] = ACTIONS(3138),
    [anon_sym_SEMI] = ACTIONS(3138),
    [anon_sym_case] = ACTIONS(3138),
    [anon_sym_yield] = ACTIONS(3138),
    [anon_sym_LBRACK] = ACTIONS(3138),
    [anon_sym_LTtemplate_GT] = ACTIONS(3138),
    [anon_sym_class] = ACTIONS(3138),
    [anon_sym_async] = ACTIONS(3138),
    [anon_sym_function] = ACTIONS(3138),
    [anon_sym_new] = ACTIONS(3138),
    [anon_sym_using] = ACTIONS(3138),
    [anon_sym_PLUS] = ACTIONS(3138),
    [anon_sym_DASH] = ACTIONS(3138),
    [anon_sym_SLASH] = ACTIONS(3138),
    [anon_sym_LT] = ACTIONS(3138),
    [anon_sym_TILDE] = ACTIONS(3138),
    [anon_sym_void] = ACTIONS(3138),
    [anon_sym_delete] = ACTIONS(3138),
    [anon_sym_PLUS_PLUS] = ACTIONS(3138),
    [anon_sym_DASH_DASH] = ACTIONS(3138),
    [anon_sym_DQUOTE] = ACTIONS(3138),
    [anon_sym_SQUOTE] = ACTIONS(3138),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3138),
    [sym_number] = ACTIONS(3138),
    [sym_private_property_identifier] = ACTIONS(3138),
    [sym_this] = ACTIONS(3138),
    [sym_super] = ACTIONS(3138),
    [sym_true] = ACTIONS(3138),
    [sym_false] = ACTIONS(3138),
    [sym_null] = ACTIONS(3138),
    [sym_undefined] = ACTIONS(3138),
    [anon_sym_AT] = ACTIONS(3138),
    [anon_sym_static] = ACTIONS(3138),
    [anon_sym_readonly] = ACTIONS(3138),
    [anon_sym_get] = ACTIONS(3138),
    [anon_sym_set] = ACTIONS(3138),
    [anon_sym_declare] = ACTIONS(3138),
    [anon_sym_public] = ACTIONS(3138),
    [anon_sym_private] = ACTIONS(3138),
    [anon_sym_protected] = ACTIONS(3138),
    [anon_sym_override] = ACTIONS(3138),
    [anon_sym_module] = ACTIONS(3138),
    [anon_sym_any] = ACTIONS(3138),
    [anon_sym_number] = ACTIONS(3138),
    [anon_sym_boolean] = ACTIONS(3138),
    [anon_sym_string] = ACTIONS(3138),
    [anon_sym_symbol] = ACTIONS(3138),
    [anon_sym_object] = ACTIONS(3138),
    [anon_sym_abstract] = ACTIONS(3138),
    [anon_sym_interface] = ACTIONS(3138),
    [anon_sym_enum] = ACTIONS(3138),
    [sym_html_comment] = ACTIONS(5),
  },
  [976] = {
    [sym_comment] = STATE(976),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_export] = ACTIONS(3140),
    [anon_sym_default] = ACTIONS(3140),
    [anon_sym_type] = ACTIONS(3140),
    [anon_sym_namespace] = ACTIONS(3140),
    [anon_sym_LBRACE] = ACTIONS(3140),
    [anon_sym_RBRACE] = ACTIONS(3140),
    [anon_sym_typeof] = ACTIONS(3140),
    [anon_sym_import] = ACTIONS(3140),
    [anon_sym_var] = ACTIONS(3140),
    [anon_sym_let] = ACTIONS(3140),
    [anon_sym_const] = ACTIONS(3140),
    [anon_sym_BANG] = ACTIONS(3140),
    [anon_sym_else] = ACTIONS(3140),
    [anon_sym_if] = ACTIONS(3140),
    [anon_sym_switch] = ACTIONS(3140),
    [anon_sym_for] = ACTIONS(3140),
    [anon_sym_LPAREN] = ACTIONS(3140),
    [anon_sym_await] = ACTIONS(3140),
    [anon_sym_while] = ACTIONS(3140),
    [anon_sym_do] = ACTIONS(3140),
    [anon_sym_try] = ACTIONS(3140),
    [anon_sym_with] = ACTIONS(3140),
    [anon_sym_break] = ACTIONS(3140),
    [anon_sym_continue] = ACTIONS(3140),
    [anon_sym_debugger] = ACTIONS(3140),
    [anon_sym_return] = ACTIONS(3140),
    [anon_sym_throw] = ACTIONS(3140),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym_case] = ACTIONS(3140),
    [anon_sym_yield] = ACTIONS(3140),
    [anon_sym_LBRACK] = ACTIONS(3140),
    [anon_sym_LTtemplate_GT] = ACTIONS(3140),
    [anon_sym_class] = ACTIONS(3140),
    [anon_sym_async] = ACTIONS(3140),
    [anon_sym_function] = ACTIONS(3140),
    [anon_sym_new] = ACTIONS(3140),
    [anon_sym_using] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_SLASH] = ACTIONS(3140),
    [anon_sym_LT] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_void] = ACTIONS(3140),
    [anon_sym_delete] = ACTIONS(3140),
    [anon_sym_PLUS_PLUS] = ACTIONS(3140),
    [anon_sym_DASH_DASH] = ACTIONS(3140),
    [anon_sym_DQUOTE] = ACTIONS(3140),
    [anon_sym_SQUOTE] = ACTIONS(3140),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3140),
    [sym_number] = ACTIONS(3140),
    [sym_private_property_identifier] = ACTIONS(3140),
    [sym_this] = ACTIONS(3140),
    [sym_super] = ACTIONS(3140),
    [sym_true] = ACTIONS(3140),
    [sym_false] = ACTIONS(3140),
    [sym_null] = ACTIONS(3140),
    [sym_undefined] = ACTIONS(3140),
    [anon_sym_AT] = ACTIONS(3140),
    [anon_sym_static] = ACTIONS(3140),
    [anon_sym_readonly] = ACTIONS(3140),
    [anon_sym_get] = ACTIONS(3140),
    [anon_sym_set] = ACTIONS(3140),
    [anon_sym_declare] = ACTIONS(3140),
    [anon_sym_public] = ACTIONS(3140),
    [anon_sym_private] = ACTIONS(3140),
    [anon_sym_protected] = ACTIONS(3140),
    [anon_sym_override] = ACTIONS(3140),
    [anon_sym_module] = ACTIONS(3140),
    [anon_sym_any] = ACTIONS(3140),
    [anon_sym_number] = ACTIONS(3140),
    [anon_sym_boolean] = ACTIONS(3140),
    [anon_sym_string] = ACTIONS(3140),
    [anon_sym_symbol] = ACTIONS(3140),
    [anon_sym_object] = ACTIONS(3140),
    [anon_sym_abstract] = ACTIONS(3140),
    [anon_sym_interface] = ACTIONS(3140),
    [anon_sym_enum] = ACTIONS(3140),
    [sym_html_comment] = ACTIONS(5),
  },
  [977] = {
    [sym_comment] = STATE(977),
    [sym_identifier] = ACTIONS(2165),
    [anon_sym_export] = ACTIONS(2165),
    [anon_sym_default] = ACTIONS(2165),
    [anon_sym_type] = ACTIONS(2165),
    [anon_sym_namespace] = ACTIONS(2165),
    [anon_sym_LBRACE] = ACTIONS(2165),
    [anon_sym_RBRACE] = ACTIONS(2165),
    [anon_sym_typeof] = ACTIONS(2165),
    [anon_sym_import] = ACTIONS(2165),
    [anon_sym_var] = ACTIONS(2165),
    [anon_sym_let] = ACTIONS(2165),
    [anon_sym_const] = ACTIONS(2165),
    [anon_sym_BANG] = ACTIONS(2165),
    [anon_sym_else] = ACTIONS(2165),
    [anon_sym_if] = ACTIONS(2165),
    [anon_sym_switch] = ACTIONS(2165),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_LPAREN] = ACTIONS(2165),
    [anon_sym_await] = ACTIONS(2165),
    [anon_sym_while] = ACTIONS(2165),
    [anon_sym_do] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_with] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2165),
    [anon_sym_continue] = ACTIONS(2165),
    [anon_sym_debugger] = ACTIONS(2165),
    [anon_sym_return] = ACTIONS(2165),
    [anon_sym_throw] = ACTIONS(2165),
    [anon_sym_SEMI] = ACTIONS(2165),
    [anon_sym_case] = ACTIONS(2165),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_LBRACK] = ACTIONS(2165),
    [anon_sym_LTtemplate_GT] = ACTIONS(2165),
    [anon_sym_class] = ACTIONS(2165),
    [anon_sym_async] = ACTIONS(2165),
    [anon_sym_function] = ACTIONS(2165),
    [anon_sym_new] = ACTIONS(2165),
    [anon_sym_using] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(2165),
    [anon_sym_DASH] = ACTIONS(2165),
    [anon_sym_SLASH] = ACTIONS(2165),
    [anon_sym_LT] = ACTIONS(2165),
    [anon_sym_TILDE] = ACTIONS(2165),
    [anon_sym_void] = ACTIONS(2165),
    [anon_sym_delete] = ACTIONS(2165),
    [anon_sym_PLUS_PLUS] = ACTIONS(2165),
    [anon_sym_DASH_DASH] = ACTIONS(2165),
    [anon_sym_DQUOTE] = ACTIONS(2165),
    [anon_sym_SQUOTE] = ACTIONS(2165),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2165),
    [sym_number] = ACTIONS(2165),
    [sym_private_property_identifier] = ACTIONS(2165),
    [sym_this] = ACTIONS(2165),
    [sym_super] = ACTIONS(2165),
    [sym_true] = ACTIONS(2165),
    [sym_false] = ACTIONS(2165),
    [sym_null] = ACTIONS(2165),
    [sym_undefined] = ACTIONS(2165),
    [anon_sym_AT] = ACTIONS(2165),
    [anon_sym_static] = ACTIONS(2165),
    [anon_sym_readonly] = ACTIONS(2165),
    [anon_sym_get] = ACTIONS(2165),
    [anon_sym_set] = ACTIONS(2165),
    [anon_sym_declare] = ACTIONS(2165),
    [anon_sym_public] = ACTIONS(2165),
    [anon_sym_private] = ACTIONS(2165),
    [anon_sym_protected] = ACTIONS(2165),
    [anon_sym_override] = ACTIONS(2165),
    [anon_sym_module] = ACTIONS(2165),
    [anon_sym_any] = ACTIONS(2165),
    [anon_sym_number] = ACTIONS(2165),
    [anon_sym_boolean] = ACTIONS(2165),
    [anon_sym_string] = ACTIONS(2165),
    [anon_sym_symbol] = ACTIONS(2165),
    [anon_sym_object] = ACTIONS(2165),
    [anon_sym_abstract] = ACTIONS(2165),
    [anon_sym_interface] = ACTIONS(2165),
    [anon_sym_enum] = ACTIONS(2165),
    [sym_html_comment] = ACTIONS(5),
  },
  [978] = {
    [sym_comment] = STATE(978),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_export] = ACTIONS(3140),
    [anon_sym_default] = ACTIONS(3140),
    [anon_sym_type] = ACTIONS(3140),
    [anon_sym_namespace] = ACTIONS(3140),
    [anon_sym_LBRACE] = ACTIONS(3140),
    [anon_sym_RBRACE] = ACTIONS(3140),
    [anon_sym_typeof] = ACTIONS(3140),
    [anon_sym_import] = ACTIONS(3140),
    [anon_sym_var] = ACTIONS(3140),
    [anon_sym_let] = ACTIONS(3140),
    [anon_sym_const] = ACTIONS(3140),
    [anon_sym_BANG] = ACTIONS(3140),
    [anon_sym_else] = ACTIONS(3140),
    [anon_sym_if] = ACTIONS(3140),
    [anon_sym_switch] = ACTIONS(3140),
    [anon_sym_for] = ACTIONS(3140),
    [anon_sym_LPAREN] = ACTIONS(3140),
    [anon_sym_await] = ACTIONS(3140),
    [anon_sym_while] = ACTIONS(3140),
    [anon_sym_do] = ACTIONS(3140),
    [anon_sym_try] = ACTIONS(3140),
    [anon_sym_with] = ACTIONS(3140),
    [anon_sym_break] = ACTIONS(3140),
    [anon_sym_continue] = ACTIONS(3140),
    [anon_sym_debugger] = ACTIONS(3140),
    [anon_sym_return] = ACTIONS(3140),
    [anon_sym_throw] = ACTIONS(3140),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym_case] = ACTIONS(3140),
    [anon_sym_yield] = ACTIONS(3140),
    [anon_sym_LBRACK] = ACTIONS(3140),
    [anon_sym_LTtemplate_GT] = ACTIONS(3140),
    [anon_sym_class] = ACTIONS(3140),
    [anon_sym_async] = ACTIONS(3140),
    [anon_sym_function] = ACTIONS(3140),
    [anon_sym_new] = ACTIONS(3140),
    [anon_sym_using] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_SLASH] = ACTIONS(3140),
    [anon_sym_LT] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_void] = ACTIONS(3140),
    [anon_sym_delete] = ACTIONS(3140),
    [anon_sym_PLUS_PLUS] = ACTIONS(3140),
    [anon_sym_DASH_DASH] = ACTIONS(3140),
    [anon_sym_DQUOTE] = ACTIONS(3140),
    [anon_sym_SQUOTE] = ACTIONS(3140),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3140),
    [sym_number] = ACTIONS(3140),
    [sym_private_property_identifier] = ACTIONS(3140),
    [sym_this] = ACTIONS(3140),
    [sym_super] = ACTIONS(3140),
    [sym_true] = ACTIONS(3140),
    [sym_false] = ACTIONS(3140),
    [sym_null] = ACTIONS(3140),
    [sym_undefined] = ACTIONS(3140),
    [anon_sym_AT] = ACTIONS(3140),
    [anon_sym_static] = ACTIONS(3140),
    [anon_sym_readonly] = ACTIONS(3140),
    [anon_sym_get] = ACTIONS(3140),
    [anon_sym_set] = ACTIONS(3140),
    [anon_sym_declare] = ACTIONS(3140),
    [anon_sym_public] = ACTIONS(3140),
    [anon_sym_private] = ACTIONS(3140),
    [anon_sym_protected] = ACTIONS(3140),
    [anon_sym_override] = ACTIONS(3140),
    [anon_sym_module] = ACTIONS(3140),
    [anon_sym_any] = ACTIONS(3140),
    [anon_sym_number] = ACTIONS(3140),
    [anon_sym_boolean] = ACTIONS(3140),
    [anon_sym_string] = ACTIONS(3140),
    [anon_sym_symbol] = ACTIONS(3140),
    [anon_sym_object] = ACTIONS(3140),
    [anon_sym_abstract] = ACTIONS(3140),
    [anon_sym_interface] = ACTIONS(3140),
    [anon_sym_enum] = ACTIONS(3140),
    [sym_html_comment] = ACTIONS(5),
  },
  [979] = {
    [sym_statement_block] = STATE(1679),
    [sym_comment] = STATE(979),
    [ts_builtin_sym_end] = ACTIONS(2061),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(3116),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_DOT] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym_html_comment] = ACTIONS(5),
  },
  [980] = {
    [sym_comment] = STATE(980),
    [sym_identifier] = ACTIONS(3144),
    [anon_sym_export] = ACTIONS(3144),
    [anon_sym_default] = ACTIONS(3144),
    [anon_sym_type] = ACTIONS(3144),
    [anon_sym_namespace] = ACTIONS(3144),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_RBRACE] = ACTIONS(3144),
    [anon_sym_typeof] = ACTIONS(3144),
    [anon_sym_import] = ACTIONS(3144),
    [anon_sym_var] = ACTIONS(3144),
    [anon_sym_let] = ACTIONS(3144),
    [anon_sym_const] = ACTIONS(3144),
    [anon_sym_BANG] = ACTIONS(3144),
    [anon_sym_else] = ACTIONS(3144),
    [anon_sym_if] = ACTIONS(3144),
    [anon_sym_switch] = ACTIONS(3144),
    [anon_sym_for] = ACTIONS(3144),
    [anon_sym_LPAREN] = ACTIONS(3144),
    [anon_sym_await] = ACTIONS(3144),
    [anon_sym_while] = ACTIONS(3144),
    [anon_sym_do] = ACTIONS(3144),
    [anon_sym_try] = ACTIONS(3144),
    [anon_sym_with] = ACTIONS(3144),
    [anon_sym_break] = ACTIONS(3144),
    [anon_sym_continue] = ACTIONS(3144),
    [anon_sym_debugger] = ACTIONS(3144),
    [anon_sym_return] = ACTIONS(3144),
    [anon_sym_throw] = ACTIONS(3144),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym_case] = ACTIONS(3144),
    [anon_sym_yield] = ACTIONS(3144),
    [anon_sym_LBRACK] = ACTIONS(3144),
    [anon_sym_LTtemplate_GT] = ACTIONS(3144),
    [anon_sym_class] = ACTIONS(3144),
    [anon_sym_async] = ACTIONS(3144),
    [anon_sym_function] = ACTIONS(3144),
    [anon_sym_new] = ACTIONS(3144),
    [anon_sym_using] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_SLASH] = ACTIONS(3144),
    [anon_sym_LT] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_void] = ACTIONS(3144),
    [anon_sym_delete] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_DQUOTE] = ACTIONS(3144),
    [anon_sym_SQUOTE] = ACTIONS(3144),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3144),
    [sym_number] = ACTIONS(3144),
    [sym_private_property_identifier] = ACTIONS(3144),
    [sym_this] = ACTIONS(3144),
    [sym_super] = ACTIONS(3144),
    [sym_true] = ACTIONS(3144),
    [sym_false] = ACTIONS(3144),
    [sym_null] = ACTIONS(3144),
    [sym_undefined] = ACTIONS(3144),
    [anon_sym_AT] = ACTIONS(3144),
    [anon_sym_static] = ACTIONS(3144),
    [anon_sym_readonly] = ACTIONS(3144),
    [anon_sym_get] = ACTIONS(3144),
    [anon_sym_set] = ACTIONS(3144),
    [anon_sym_declare] = ACTIONS(3144),
    [anon_sym_public] = ACTIONS(3144),
    [anon_sym_private] = ACTIONS(3144),
    [anon_sym_protected] = ACTIONS(3144),
    [anon_sym_override] = ACTIONS(3144),
    [anon_sym_module] = ACTIONS(3144),
    [anon_sym_any] = ACTIONS(3144),
    [anon_sym_number] = ACTIONS(3144),
    [anon_sym_boolean] = ACTIONS(3144),
    [anon_sym_string] = ACTIONS(3144),
    [anon_sym_symbol] = ACTIONS(3144),
    [anon_sym_object] = ACTIONS(3144),
    [anon_sym_abstract] = ACTIONS(3144),
    [anon_sym_interface] = ACTIONS(3144),
    [anon_sym_enum] = ACTIONS(3144),
    [sym_html_comment] = ACTIONS(5),
  },
  [981] = {
    [sym_comment] = STATE(981),
    [sym_identifier] = ACTIONS(3144),
    [anon_sym_export] = ACTIONS(3144),
    [anon_sym_default] = ACTIONS(3144),
    [anon_sym_type] = ACTIONS(3144),
    [anon_sym_namespace] = ACTIONS(3144),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_RBRACE] = ACTIONS(3144),
    [anon_sym_typeof] = ACTIONS(3144),
    [anon_sym_import] = ACTIONS(3144),
    [anon_sym_var] = ACTIONS(3144),
    [anon_sym_let] = ACTIONS(3144),
    [anon_sym_const] = ACTIONS(3144),
    [anon_sym_BANG] = ACTIONS(3144),
    [anon_sym_else] = ACTIONS(3144),
    [anon_sym_if] = ACTIONS(3144),
    [anon_sym_switch] = ACTIONS(3144),
    [anon_sym_for] = ACTIONS(3144),
    [anon_sym_LPAREN] = ACTIONS(3144),
    [anon_sym_await] = ACTIONS(3144),
    [anon_sym_while] = ACTIONS(3144),
    [anon_sym_do] = ACTIONS(3144),
    [anon_sym_try] = ACTIONS(3144),
    [anon_sym_with] = ACTIONS(3144),
    [anon_sym_break] = ACTIONS(3144),
    [anon_sym_continue] = ACTIONS(3144),
    [anon_sym_debugger] = ACTIONS(3144),
    [anon_sym_return] = ACTIONS(3144),
    [anon_sym_throw] = ACTIONS(3144),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym_case] = ACTIONS(3144),
    [anon_sym_yield] = ACTIONS(3144),
    [anon_sym_LBRACK] = ACTIONS(3144),
    [anon_sym_LTtemplate_GT] = ACTIONS(3144),
    [anon_sym_class] = ACTIONS(3144),
    [anon_sym_async] = ACTIONS(3144),
    [anon_sym_function] = ACTIONS(3144),
    [anon_sym_new] = ACTIONS(3144),
    [anon_sym_using] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_SLASH] = ACTIONS(3144),
    [anon_sym_LT] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_void] = ACTIONS(3144),
    [anon_sym_delete] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_DQUOTE] = ACTIONS(3144),
    [anon_sym_SQUOTE] = ACTIONS(3144),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3144),
    [sym_number] = ACTIONS(3144),
    [sym_private_property_identifier] = ACTIONS(3144),
    [sym_this] = ACTIONS(3144),
    [sym_super] = ACTIONS(3144),
    [sym_true] = ACTIONS(3144),
    [sym_false] = ACTIONS(3144),
    [sym_null] = ACTIONS(3144),
    [sym_undefined] = ACTIONS(3144),
    [anon_sym_AT] = ACTIONS(3144),
    [anon_sym_static] = ACTIONS(3144),
    [anon_sym_readonly] = ACTIONS(3144),
    [anon_sym_get] = ACTIONS(3144),
    [anon_sym_set] = ACTIONS(3144),
    [anon_sym_declare] = ACTIONS(3144),
    [anon_sym_public] = ACTIONS(3144),
    [anon_sym_private] = ACTIONS(3144),
    [anon_sym_protected] = ACTIONS(3144),
    [anon_sym_override] = ACTIONS(3144),
    [anon_sym_module] = ACTIONS(3144),
    [anon_sym_any] = ACTIONS(3144),
    [anon_sym_number] = ACTIONS(3144),
    [anon_sym_boolean] = ACTIONS(3144),
    [anon_sym_string] = ACTIONS(3144),
    [anon_sym_symbol] = ACTIONS(3144),
    [anon_sym_object] = ACTIONS(3144),
    [anon_sym_abstract] = ACTIONS(3144),
    [anon_sym_interface] = ACTIONS(3144),
    [anon_sym_enum] = ACTIONS(3144),
    [sym_html_comment] = ACTIONS(5),
  },
  [982] = {
    [sym_comment] = STATE(982),
    [sym_identifier] = ACTIONS(3144),
    [anon_sym_export] = ACTIONS(3144),
    [anon_sym_default] = ACTIONS(3144),
    [anon_sym_type] = ACTIONS(3144),
    [anon_sym_namespace] = ACTIONS(3144),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_RBRACE] = ACTIONS(3144),
    [anon_sym_typeof] = ACTIONS(3144),
    [anon_sym_import] = ACTIONS(3144),
    [anon_sym_var] = ACTIONS(3144),
    [anon_sym_let] = ACTIONS(3144),
    [anon_sym_const] = ACTIONS(3144),
    [anon_sym_BANG] = ACTIONS(3144),
    [anon_sym_else] = ACTIONS(3144),
    [anon_sym_if] = ACTIONS(3144),
    [anon_sym_switch] = ACTIONS(3144),
    [anon_sym_for] = ACTIONS(3144),
    [anon_sym_LPAREN] = ACTIONS(3144),
    [anon_sym_await] = ACTIONS(3144),
    [anon_sym_while] = ACTIONS(3144),
    [anon_sym_do] = ACTIONS(3144),
    [anon_sym_try] = ACTIONS(3144),
    [anon_sym_with] = ACTIONS(3144),
    [anon_sym_break] = ACTIONS(3144),
    [anon_sym_continue] = ACTIONS(3144),
    [anon_sym_debugger] = ACTIONS(3144),
    [anon_sym_return] = ACTIONS(3144),
    [anon_sym_throw] = ACTIONS(3144),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym_case] = ACTIONS(3144),
    [anon_sym_yield] = ACTIONS(3144),
    [anon_sym_LBRACK] = ACTIONS(3144),
    [anon_sym_LTtemplate_GT] = ACTIONS(3144),
    [anon_sym_class] = ACTIONS(3144),
    [anon_sym_async] = ACTIONS(3144),
    [anon_sym_function] = ACTIONS(3144),
    [anon_sym_new] = ACTIONS(3144),
    [anon_sym_using] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_SLASH] = ACTIONS(3144),
    [anon_sym_LT] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_void] = ACTIONS(3144),
    [anon_sym_delete] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_DQUOTE] = ACTIONS(3144),
    [anon_sym_SQUOTE] = ACTIONS(3144),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3144),
    [sym_number] = ACTIONS(3144),
    [sym_private_property_identifier] = ACTIONS(3144),
    [sym_this] = ACTIONS(3144),
    [sym_super] = ACTIONS(3144),
    [sym_true] = ACTIONS(3144),
    [sym_false] = ACTIONS(3144),
    [sym_null] = ACTIONS(3144),
    [sym_undefined] = ACTIONS(3144),
    [anon_sym_AT] = ACTIONS(3144),
    [anon_sym_static] = ACTIONS(3144),
    [anon_sym_readonly] = ACTIONS(3144),
    [anon_sym_get] = ACTIONS(3144),
    [anon_sym_set] = ACTIONS(3144),
    [anon_sym_declare] = ACTIONS(3144),
    [anon_sym_public] = ACTIONS(3144),
    [anon_sym_private] = ACTIONS(3144),
    [anon_sym_protected] = ACTIONS(3144),
    [anon_sym_override] = ACTIONS(3144),
    [anon_sym_module] = ACTIONS(3144),
    [anon_sym_any] = ACTIONS(3144),
    [anon_sym_number] = ACTIONS(3144),
    [anon_sym_boolean] = ACTIONS(3144),
    [anon_sym_string] = ACTIONS(3144),
    [anon_sym_symbol] = ACTIONS(3144),
    [anon_sym_object] = ACTIONS(3144),
    [anon_sym_abstract] = ACTIONS(3144),
    [anon_sym_interface] = ACTIONS(3144),
    [anon_sym_enum] = ACTIONS(3144),
    [sym_html_comment] = ACTIONS(5),
  },
  [983] = {
    [sym_comment] = STATE(983),
    [ts_builtin_sym_end] = ACTIONS(2167),
    [sym_identifier] = ACTIONS(2165),
    [anon_sym_export] = ACTIONS(2165),
    [anon_sym_type] = ACTIONS(2165),
    [anon_sym_namespace] = ACTIONS(2165),
    [anon_sym_LBRACE] = ACTIONS(2165),
    [anon_sym_RBRACE] = ACTIONS(2165),
    [anon_sym_typeof] = ACTIONS(2165),
    [anon_sym_import] = ACTIONS(2165),
    [anon_sym_var] = ACTIONS(2165),
    [anon_sym_let] = ACTIONS(2165),
    [anon_sym_const] = ACTIONS(2165),
    [anon_sym_BANG] = ACTIONS(2165),
    [anon_sym_else] = ACTIONS(2165),
    [anon_sym_if] = ACTIONS(2165),
    [anon_sym_switch] = ACTIONS(2165),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_LPAREN] = ACTIONS(2165),
    [anon_sym_await] = ACTIONS(2165),
    [anon_sym_while] = ACTIONS(2165),
    [anon_sym_do] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_with] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2165),
    [anon_sym_continue] = ACTIONS(2165),
    [anon_sym_debugger] = ACTIONS(2165),
    [anon_sym_return] = ACTIONS(2165),
    [anon_sym_throw] = ACTIONS(2165),
    [anon_sym_SEMI] = ACTIONS(2165),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_LBRACK] = ACTIONS(2165),
    [anon_sym_LTtemplate_GT] = ACTIONS(2165),
    [anon_sym_class] = ACTIONS(2165),
    [anon_sym_async] = ACTIONS(2165),
    [anon_sym_function] = ACTIONS(2165),
    [anon_sym_new] = ACTIONS(2165),
    [anon_sym_using] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(2165),
    [anon_sym_DASH] = ACTIONS(2165),
    [anon_sym_SLASH] = ACTIONS(2165),
    [anon_sym_LT] = ACTIONS(2165),
    [anon_sym_TILDE] = ACTIONS(2165),
    [anon_sym_void] = ACTIONS(2165),
    [anon_sym_delete] = ACTIONS(2165),
    [anon_sym_PLUS_PLUS] = ACTIONS(2165),
    [anon_sym_DASH_DASH] = ACTIONS(2165),
    [anon_sym_DQUOTE] = ACTIONS(2165),
    [anon_sym_SQUOTE] = ACTIONS(2165),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2165),
    [sym_number] = ACTIONS(2165),
    [sym_private_property_identifier] = ACTIONS(2165),
    [sym_this] = ACTIONS(2165),
    [sym_super] = ACTIONS(2165),
    [sym_true] = ACTIONS(2165),
    [sym_false] = ACTIONS(2165),
    [sym_null] = ACTIONS(2165),
    [sym_undefined] = ACTIONS(2165),
    [anon_sym_AT] = ACTIONS(2165),
    [anon_sym_static] = ACTIONS(2165),
    [anon_sym_readonly] = ACTIONS(2165),
    [anon_sym_get] = ACTIONS(2165),
    [anon_sym_set] = ACTIONS(2165),
    [anon_sym_declare] = ACTIONS(2165),
    [anon_sym_public] = ACTIONS(2165),
    [anon_sym_private] = ACTIONS(2165),
    [anon_sym_protected] = ACTIONS(2165),
    [anon_sym_override] = ACTIONS(2165),
    [anon_sym_module] = ACTIONS(2165),
    [anon_sym_any] = ACTIONS(2165),
    [anon_sym_number] = ACTIONS(2165),
    [anon_sym_boolean] = ACTIONS(2165),
    [anon_sym_string] = ACTIONS(2165),
    [anon_sym_symbol] = ACTIONS(2165),
    [anon_sym_object] = ACTIONS(2165),
    [anon_sym_abstract] = ACTIONS(2165),
    [anon_sym_interface] = ACTIONS(2165),
    [anon_sym_enum] = ACTIONS(2165),
    [sym__automatic_semicolon] = ACTIONS(2167),
    [sym_html_comment] = ACTIONS(5),
  },
  [984] = {
    [sym_comment] = STATE(984),
    [sym_identifier] = ACTIONS(3146),
    [anon_sym_export] = ACTIONS(3146),
    [anon_sym_default] = ACTIONS(3146),
    [anon_sym_type] = ACTIONS(3146),
    [anon_sym_namespace] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3146),
    [anon_sym_RBRACE] = ACTIONS(3146),
    [anon_sym_typeof] = ACTIONS(3146),
    [anon_sym_import] = ACTIONS(3146),
    [anon_sym_var] = ACTIONS(3146),
    [anon_sym_let] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_BANG] = ACTIONS(3146),
    [anon_sym_else] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3146),
    [anon_sym_switch] = ACTIONS(3146),
    [anon_sym_for] = ACTIONS(3146),
    [anon_sym_LPAREN] = ACTIONS(3146),
    [anon_sym_await] = ACTIONS(3146),
    [anon_sym_while] = ACTIONS(3146),
    [anon_sym_do] = ACTIONS(3146),
    [anon_sym_try] = ACTIONS(3146),
    [anon_sym_with] = ACTIONS(3146),
    [anon_sym_break] = ACTIONS(3146),
    [anon_sym_continue] = ACTIONS(3146),
    [anon_sym_debugger] = ACTIONS(3146),
    [anon_sym_return] = ACTIONS(3146),
    [anon_sym_throw] = ACTIONS(3146),
    [anon_sym_SEMI] = ACTIONS(3146),
    [anon_sym_case] = ACTIONS(3146),
    [anon_sym_yield] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_LTtemplate_GT] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_async] = ACTIONS(3146),
    [anon_sym_function] = ACTIONS(3146),
    [anon_sym_new] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_SLASH] = ACTIONS(3146),
    [anon_sym_LT] = ACTIONS(3146),
    [anon_sym_TILDE] = ACTIONS(3146),
    [anon_sym_void] = ACTIONS(3146),
    [anon_sym_delete] = ACTIONS(3146),
    [anon_sym_PLUS_PLUS] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3146),
    [anon_sym_DQUOTE] = ACTIONS(3146),
    [anon_sym_SQUOTE] = ACTIONS(3146),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3146),
    [sym_number] = ACTIONS(3146),
    [sym_private_property_identifier] = ACTIONS(3146),
    [sym_this] = ACTIONS(3146),
    [sym_super] = ACTIONS(3146),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [sym_null] = ACTIONS(3146),
    [sym_undefined] = ACTIONS(3146),
    [anon_sym_AT] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_readonly] = ACTIONS(3146),
    [anon_sym_get] = ACTIONS(3146),
    [anon_sym_set] = ACTIONS(3146),
    [anon_sym_declare] = ACTIONS(3146),
    [anon_sym_public] = ACTIONS(3146),
    [anon_sym_private] = ACTIONS(3146),
    [anon_sym_protected] = ACTIONS(3146),
    [anon_sym_override] = ACTIONS(3146),
    [anon_sym_module] = ACTIONS(3146),
    [anon_sym_any] = ACTIONS(3146),
    [anon_sym_number] = ACTIONS(3146),
    [anon_sym_boolean] = ACTIONS(3146),
    [anon_sym_string] = ACTIONS(3146),
    [anon_sym_symbol] = ACTIONS(3146),
    [anon_sym_object] = ACTIONS(3146),
    [anon_sym_abstract] = ACTIONS(3146),
    [anon_sym_interface] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [sym_html_comment] = ACTIONS(5),
  },
  [985] = {
    [sym_comment] = STATE(985),
    [ts_builtin_sym_end] = ACTIONS(2143),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_RBRACE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_else] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LTtemplate_GT] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_using] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_LT] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [sym_private_property_identifier] = ACTIONS(2141),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_object] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
    [sym__automatic_semicolon] = ACTIONS(3148),
    [sym_html_comment] = ACTIONS(5),
  },
  [986] = {
    [sym_comment] = STATE(986),
    [sym_identifier] = ACTIONS(3150),
    [anon_sym_export] = ACTIONS(3150),
    [anon_sym_default] = ACTIONS(3150),
    [anon_sym_type] = ACTIONS(3150),
    [anon_sym_namespace] = ACTIONS(3150),
    [anon_sym_LBRACE] = ACTIONS(3150),
    [anon_sym_RBRACE] = ACTIONS(3150),
    [anon_sym_typeof] = ACTIONS(3150),
    [anon_sym_import] = ACTIONS(3150),
    [anon_sym_var] = ACTIONS(3150),
    [anon_sym_let] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_BANG] = ACTIONS(3150),
    [anon_sym_else] = ACTIONS(3150),
    [anon_sym_if] = ACTIONS(3150),
    [anon_sym_switch] = ACTIONS(3150),
    [anon_sym_for] = ACTIONS(3150),
    [anon_sym_LPAREN] = ACTIONS(3150),
    [anon_sym_await] = ACTIONS(3150),
    [anon_sym_while] = ACTIONS(3150),
    [anon_sym_do] = ACTIONS(3150),
    [anon_sym_try] = ACTIONS(3150),
    [anon_sym_with] = ACTIONS(3150),
    [anon_sym_break] = ACTIONS(3150),
    [anon_sym_continue] = ACTIONS(3150),
    [anon_sym_debugger] = ACTIONS(3150),
    [anon_sym_return] = ACTIONS(3150),
    [anon_sym_throw] = ACTIONS(3150),
    [anon_sym_SEMI] = ACTIONS(3150),
    [anon_sym_case] = ACTIONS(3150),
    [anon_sym_yield] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3150),
    [anon_sym_LTtemplate_GT] = ACTIONS(3150),
    [anon_sym_class] = ACTIONS(3150),
    [anon_sym_async] = ACTIONS(3150),
    [anon_sym_function] = ACTIONS(3150),
    [anon_sym_new] = ACTIONS(3150),
    [anon_sym_using] = ACTIONS(3150),
    [anon_sym_PLUS] = ACTIONS(3150),
    [anon_sym_DASH] = ACTIONS(3150),
    [anon_sym_SLASH] = ACTIONS(3150),
    [anon_sym_LT] = ACTIONS(3150),
    [anon_sym_TILDE] = ACTIONS(3150),
    [anon_sym_void] = ACTIONS(3150),
    [anon_sym_delete] = ACTIONS(3150),
    [anon_sym_PLUS_PLUS] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3150),
    [anon_sym_DQUOTE] = ACTIONS(3150),
    [anon_sym_SQUOTE] = ACTIONS(3150),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3150),
    [sym_number] = ACTIONS(3150),
    [sym_private_property_identifier] = ACTIONS(3150),
    [sym_this] = ACTIONS(3150),
    [sym_super] = ACTIONS(3150),
    [sym_true] = ACTIONS(3150),
    [sym_false] = ACTIONS(3150),
    [sym_null] = ACTIONS(3150),
    [sym_undefined] = ACTIONS(3150),
    [anon_sym_AT] = ACTIONS(3150),
    [anon_sym_static] = ACTIONS(3150),
    [anon_sym_readonly] = ACTIONS(3150),
    [anon_sym_get] = ACTIONS(3150),
    [anon_sym_set] = ACTIONS(3150),
    [anon_sym_declare] = ACTIONS(3150),
    [anon_sym_public] = ACTIONS(3150),
    [anon_sym_private] = ACTIONS(3150),
    [anon_sym_protected] = ACTIONS(3150),
    [anon_sym_override] = ACTIONS(3150),
    [anon_sym_module] = ACTIONS(3150),
    [anon_sym_any] = ACTIONS(3150),
    [anon_sym_number] = ACTIONS(3150),
    [anon_sym_boolean] = ACTIONS(3150),
    [anon_sym_string] = ACTIONS(3150),
    [anon_sym_symbol] = ACTIONS(3150),
    [anon_sym_object] = ACTIONS(3150),
    [anon_sym_abstract] = ACTIONS(3150),
    [anon_sym_interface] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [sym_html_comment] = ACTIONS(5),
  },
  [987] = {
    [sym_comment] = STATE(987),
    [sym_identifier] = ACTIONS(2065),
    [anon_sym_export] = ACTIONS(2065),
    [anon_sym_default] = ACTIONS(2065),
    [anon_sym_type] = ACTIONS(2065),
    [anon_sym_namespace] = ACTIONS(2065),
    [anon_sym_LBRACE] = ACTIONS(2065),
    [anon_sym_RBRACE] = ACTIONS(2065),
    [anon_sym_typeof] = ACTIONS(2065),
    [anon_sym_import] = ACTIONS(2065),
    [anon_sym_var] = ACTIONS(2065),
    [anon_sym_let] = ACTIONS(2065),
    [anon_sym_const] = ACTIONS(2065),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_if] = ACTIONS(2065),
    [anon_sym_switch] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2065),
    [anon_sym_LPAREN] = ACTIONS(2065),
    [anon_sym_await] = ACTIONS(2065),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_do] = ACTIONS(2065),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_with] = ACTIONS(2065),
    [anon_sym_break] = ACTIONS(2065),
    [anon_sym_continue] = ACTIONS(2065),
    [anon_sym_debugger] = ACTIONS(2065),
    [anon_sym_return] = ACTIONS(2065),
    [anon_sym_throw] = ACTIONS(2065),
    [anon_sym_SEMI] = ACTIONS(2065),
    [anon_sym_case] = ACTIONS(2065),
    [anon_sym_yield] = ACTIONS(2065),
    [anon_sym_LBRACK] = ACTIONS(2065),
    [anon_sym_LTtemplate_GT] = ACTIONS(2065),
    [anon_sym_class] = ACTIONS(2065),
    [anon_sym_async] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2065),
    [anon_sym_new] = ACTIONS(2065),
    [anon_sym_using] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2065),
    [anon_sym_DASH] = ACTIONS(2065),
    [anon_sym_SLASH] = ACTIONS(2065),
    [anon_sym_LT] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_void] = ACTIONS(2065),
    [anon_sym_delete] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_DQUOTE] = ACTIONS(2065),
    [anon_sym_SQUOTE] = ACTIONS(2065),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2065),
    [sym_number] = ACTIONS(2065),
    [sym_private_property_identifier] = ACTIONS(2065),
    [sym_this] = ACTIONS(2065),
    [sym_super] = ACTIONS(2065),
    [sym_true] = ACTIONS(2065),
    [sym_false] = ACTIONS(2065),
    [sym_null] = ACTIONS(2065),
    [sym_undefined] = ACTIONS(2065),
    [anon_sym_AT] = ACTIONS(2065),
    [anon_sym_static] = ACTIONS(2065),
    [anon_sym_readonly] = ACTIONS(2065),
    [anon_sym_get] = ACTIONS(2065),
    [anon_sym_set] = ACTIONS(2065),
    [anon_sym_declare] = ACTIONS(2065),
    [anon_sym_public] = ACTIONS(2065),
    [anon_sym_private] = ACTIONS(2065),
    [anon_sym_protected] = ACTIONS(2065),
    [anon_sym_override] = ACTIONS(2065),
    [anon_sym_module] = ACTIONS(2065),
    [anon_sym_any] = ACTIONS(2065),
    [anon_sym_number] = ACTIONS(2065),
    [anon_sym_boolean] = ACTIONS(2065),
    [anon_sym_string] = ACTIONS(2065),
    [anon_sym_symbol] = ACTIONS(2065),
    [anon_sym_object] = ACTIONS(2065),
    [anon_sym_abstract] = ACTIONS(2065),
    [anon_sym_interface] = ACTIONS(2065),
    [anon_sym_enum] = ACTIONS(2065),
    [sym__automatic_semicolon] = ACTIONS(2201),
    [sym_html_comment] = ACTIONS(5),
  },
  [988] = {
    [sym_comment] = STATE(988),
    [sym_identifier] = ACTIONS(3152),
    [anon_sym_export] = ACTIONS(3152),
    [anon_sym_default] = ACTIONS(3152),
    [anon_sym_type] = ACTIONS(3152),
    [anon_sym_namespace] = ACTIONS(3152),
    [anon_sym_LBRACE] = ACTIONS(3152),
    [anon_sym_RBRACE] = ACTIONS(3152),
    [anon_sym_typeof] = ACTIONS(3152),
    [anon_sym_import] = ACTIONS(3152),
    [anon_sym_var] = ACTIONS(3152),
    [anon_sym_let] = ACTIONS(3152),
    [anon_sym_const] = ACTIONS(3152),
    [anon_sym_BANG] = ACTIONS(3152),
    [anon_sym_else] = ACTIONS(3152),
    [anon_sym_if] = ACTIONS(3152),
    [anon_sym_switch] = ACTIONS(3152),
    [anon_sym_for] = ACTIONS(3152),
    [anon_sym_LPAREN] = ACTIONS(3152),
    [anon_sym_await] = ACTIONS(3152),
    [anon_sym_while] = ACTIONS(3152),
    [anon_sym_do] = ACTIONS(3152),
    [anon_sym_try] = ACTIONS(3152),
    [anon_sym_with] = ACTIONS(3152),
    [anon_sym_break] = ACTIONS(3152),
    [anon_sym_continue] = ACTIONS(3152),
    [anon_sym_debugger] = ACTIONS(3152),
    [anon_sym_return] = ACTIONS(3152),
    [anon_sym_throw] = ACTIONS(3152),
    [anon_sym_SEMI] = ACTIONS(3152),
    [anon_sym_case] = ACTIONS(3152),
    [anon_sym_yield] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_LTtemplate_GT] = ACTIONS(3152),
    [anon_sym_class] = ACTIONS(3152),
    [anon_sym_async] = ACTIONS(3152),
    [anon_sym_function] = ACTIONS(3152),
    [anon_sym_new] = ACTIONS(3152),
    [anon_sym_using] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_SLASH] = ACTIONS(3152),
    [anon_sym_LT] = ACTIONS(3152),
    [anon_sym_TILDE] = ACTIONS(3152),
    [anon_sym_void] = ACTIONS(3152),
    [anon_sym_delete] = ACTIONS(3152),
    [anon_sym_PLUS_PLUS] = ACTIONS(3152),
    [anon_sym_DASH_DASH] = ACTIONS(3152),
    [anon_sym_DQUOTE] = ACTIONS(3152),
    [anon_sym_SQUOTE] = ACTIONS(3152),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3152),
    [sym_number] = ACTIONS(3152),
    [sym_private_property_identifier] = ACTIONS(3152),
    [sym_this] = ACTIONS(3152),
    [sym_super] = ACTIONS(3152),
    [sym_true] = ACTIONS(3152),
    [sym_false] = ACTIONS(3152),
    [sym_null] = ACTIONS(3152),
    [sym_undefined] = ACTIONS(3152),
    [anon_sym_AT] = ACTIONS(3152),
    [anon_sym_static] = ACTIONS(3152),
    [anon_sym_readonly] = ACTIONS(3152),
    [anon_sym_get] = ACTIONS(3152),
    [anon_sym_set] = ACTIONS(3152),
    [anon_sym_declare] = ACTIONS(3152),
    [anon_sym_public] = ACTIONS(3152),
    [anon_sym_private] = ACTIONS(3152),
    [anon_sym_protected] = ACTIONS(3152),
    [anon_sym_override] = ACTIONS(3152),
    [anon_sym_module] = ACTIONS(3152),
    [anon_sym_any] = ACTIONS(3152),
    [anon_sym_number] = ACTIONS(3152),
    [anon_sym_boolean] = ACTIONS(3152),
    [anon_sym_string] = ACTIONS(3152),
    [anon_sym_symbol] = ACTIONS(3152),
    [anon_sym_object] = ACTIONS(3152),
    [anon_sym_abstract] = ACTIONS(3152),
    [anon_sym_interface] = ACTIONS(3152),
    [anon_sym_enum] = ACTIONS(3152),
    [sym_html_comment] = ACTIONS(5),
  },
  [989] = {
    [sym_comment] = STATE(989),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [990] = {
    [sym_comment] = STATE(990),
    [sym_identifier] = ACTIONS(3156),
    [anon_sym_export] = ACTIONS(3156),
    [anon_sym_default] = ACTIONS(3156),
    [anon_sym_type] = ACTIONS(3156),
    [anon_sym_namespace] = ACTIONS(3156),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_RBRACE] = ACTIONS(3156),
    [anon_sym_typeof] = ACTIONS(3156),
    [anon_sym_import] = ACTIONS(3156),
    [anon_sym_var] = ACTIONS(3156),
    [anon_sym_let] = ACTIONS(3156),
    [anon_sym_const] = ACTIONS(3156),
    [anon_sym_BANG] = ACTIONS(3156),
    [anon_sym_else] = ACTIONS(3156),
    [anon_sym_if] = ACTIONS(3156),
    [anon_sym_switch] = ACTIONS(3156),
    [anon_sym_for] = ACTIONS(3156),
    [anon_sym_LPAREN] = ACTIONS(3156),
    [anon_sym_await] = ACTIONS(3156),
    [anon_sym_while] = ACTIONS(3156),
    [anon_sym_do] = ACTIONS(3156),
    [anon_sym_try] = ACTIONS(3156),
    [anon_sym_with] = ACTIONS(3156),
    [anon_sym_break] = ACTIONS(3156),
    [anon_sym_continue] = ACTIONS(3156),
    [anon_sym_debugger] = ACTIONS(3156),
    [anon_sym_return] = ACTIONS(3156),
    [anon_sym_throw] = ACTIONS(3156),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym_case] = ACTIONS(3156),
    [anon_sym_yield] = ACTIONS(3156),
    [anon_sym_LBRACK] = ACTIONS(3156),
    [anon_sym_LTtemplate_GT] = ACTIONS(3156),
    [anon_sym_class] = ACTIONS(3156),
    [anon_sym_async] = ACTIONS(3156),
    [anon_sym_function] = ACTIONS(3156),
    [anon_sym_new] = ACTIONS(3156),
    [anon_sym_using] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3156),
    [anon_sym_DASH] = ACTIONS(3156),
    [anon_sym_SLASH] = ACTIONS(3156),
    [anon_sym_LT] = ACTIONS(3156),
    [anon_sym_TILDE] = ACTIONS(3156),
    [anon_sym_void] = ACTIONS(3156),
    [anon_sym_delete] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [anon_sym_DQUOTE] = ACTIONS(3156),
    [anon_sym_SQUOTE] = ACTIONS(3156),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3156),
    [sym_number] = ACTIONS(3156),
    [sym_private_property_identifier] = ACTIONS(3156),
    [sym_this] = ACTIONS(3156),
    [sym_super] = ACTIONS(3156),
    [sym_true] = ACTIONS(3156),
    [sym_false] = ACTIONS(3156),
    [sym_null] = ACTIONS(3156),
    [sym_undefined] = ACTIONS(3156),
    [anon_sym_AT] = ACTIONS(3156),
    [anon_sym_static] = ACTIONS(3156),
    [anon_sym_readonly] = ACTIONS(3156),
    [anon_sym_get] = ACTIONS(3156),
    [anon_sym_set] = ACTIONS(3156),
    [anon_sym_declare] = ACTIONS(3156),
    [anon_sym_public] = ACTIONS(3156),
    [anon_sym_private] = ACTIONS(3156),
    [anon_sym_protected] = ACTIONS(3156),
    [anon_sym_override] = ACTIONS(3156),
    [anon_sym_module] = ACTIONS(3156),
    [anon_sym_any] = ACTIONS(3156),
    [anon_sym_number] = ACTIONS(3156),
    [anon_sym_boolean] = ACTIONS(3156),
    [anon_sym_string] = ACTIONS(3156),
    [anon_sym_symbol] = ACTIONS(3156),
    [anon_sym_object] = ACTIONS(3156),
    [anon_sym_abstract] = ACTIONS(3156),
    [anon_sym_interface] = ACTIONS(3156),
    [anon_sym_enum] = ACTIONS(3156),
    [sym_html_comment] = ACTIONS(5),
  },
  [991] = {
    [sym_comment] = STATE(991),
    [sym_identifier] = ACTIONS(2131),
    [anon_sym_export] = ACTIONS(2131),
    [anon_sym_default] = ACTIONS(2131),
    [anon_sym_type] = ACTIONS(2131),
    [anon_sym_namespace] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(2131),
    [anon_sym_RBRACE] = ACTIONS(2131),
    [anon_sym_typeof] = ACTIONS(2131),
    [anon_sym_import] = ACTIONS(2131),
    [anon_sym_var] = ACTIONS(2131),
    [anon_sym_let] = ACTIONS(2131),
    [anon_sym_const] = ACTIONS(2131),
    [anon_sym_BANG] = ACTIONS(2131),
    [anon_sym_if] = ACTIONS(2131),
    [anon_sym_switch] = ACTIONS(2131),
    [anon_sym_for] = ACTIONS(2131),
    [anon_sym_LPAREN] = ACTIONS(2131),
    [anon_sym_await] = ACTIONS(2131),
    [anon_sym_while] = ACTIONS(2131),
    [anon_sym_do] = ACTIONS(2131),
    [anon_sym_try] = ACTIONS(2131),
    [anon_sym_with] = ACTIONS(2131),
    [anon_sym_break] = ACTIONS(2131),
    [anon_sym_continue] = ACTIONS(2131),
    [anon_sym_debugger] = ACTIONS(2131),
    [anon_sym_return] = ACTIONS(2131),
    [anon_sym_throw] = ACTIONS(2131),
    [anon_sym_SEMI] = ACTIONS(2131),
    [anon_sym_case] = ACTIONS(2131),
    [anon_sym_yield] = ACTIONS(2131),
    [anon_sym_LBRACK] = ACTIONS(2131),
    [anon_sym_LTtemplate_GT] = ACTIONS(2131),
    [anon_sym_DOT] = ACTIONS(2131),
    [anon_sym_class] = ACTIONS(2131),
    [anon_sym_async] = ACTIONS(2131),
    [anon_sym_function] = ACTIONS(2131),
    [anon_sym_new] = ACTIONS(2131),
    [anon_sym_using] = ACTIONS(2131),
    [anon_sym_PLUS] = ACTIONS(2131),
    [anon_sym_DASH] = ACTIONS(2131),
    [anon_sym_SLASH] = ACTIONS(2131),
    [anon_sym_LT] = ACTIONS(2131),
    [anon_sym_TILDE] = ACTIONS(2131),
    [anon_sym_void] = ACTIONS(2131),
    [anon_sym_delete] = ACTIONS(2131),
    [anon_sym_PLUS_PLUS] = ACTIONS(2131),
    [anon_sym_DASH_DASH] = ACTIONS(2131),
    [anon_sym_DQUOTE] = ACTIONS(2131),
    [anon_sym_SQUOTE] = ACTIONS(2131),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2131),
    [sym_number] = ACTIONS(2131),
    [sym_private_property_identifier] = ACTIONS(2131),
    [sym_this] = ACTIONS(2131),
    [sym_super] = ACTIONS(2131),
    [sym_true] = ACTIONS(2131),
    [sym_false] = ACTIONS(2131),
    [sym_null] = ACTIONS(2131),
    [sym_undefined] = ACTIONS(2131),
    [anon_sym_AT] = ACTIONS(2131),
    [anon_sym_static] = ACTIONS(2131),
    [anon_sym_readonly] = ACTIONS(2131),
    [anon_sym_get] = ACTIONS(2131),
    [anon_sym_set] = ACTIONS(2131),
    [anon_sym_declare] = ACTIONS(2131),
    [anon_sym_public] = ACTIONS(2131),
    [anon_sym_private] = ACTIONS(2131),
    [anon_sym_protected] = ACTIONS(2131),
    [anon_sym_override] = ACTIONS(2131),
    [anon_sym_module] = ACTIONS(2131),
    [anon_sym_any] = ACTIONS(2131),
    [anon_sym_number] = ACTIONS(2131),
    [anon_sym_boolean] = ACTIONS(2131),
    [anon_sym_string] = ACTIONS(2131),
    [anon_sym_symbol] = ACTIONS(2131),
    [anon_sym_object] = ACTIONS(2131),
    [anon_sym_abstract] = ACTIONS(2131),
    [anon_sym_interface] = ACTIONS(2131),
    [anon_sym_enum] = ACTIONS(2131),
    [sym_html_comment] = ACTIONS(5),
  },
  [992] = {
    [sym_comment] = STATE(992),
    [sym_identifier] = ACTIONS(3158),
    [anon_sym_export] = ACTIONS(3158),
    [anon_sym_default] = ACTIONS(3158),
    [anon_sym_type] = ACTIONS(3158),
    [anon_sym_namespace] = ACTIONS(3158),
    [anon_sym_LBRACE] = ACTIONS(3158),
    [anon_sym_RBRACE] = ACTIONS(3158),
    [anon_sym_typeof] = ACTIONS(3158),
    [anon_sym_import] = ACTIONS(3158),
    [anon_sym_var] = ACTIONS(3158),
    [anon_sym_let] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_BANG] = ACTIONS(3158),
    [anon_sym_else] = ACTIONS(3158),
    [anon_sym_if] = ACTIONS(3158),
    [anon_sym_switch] = ACTIONS(3158),
    [anon_sym_for] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(3158),
    [anon_sym_await] = ACTIONS(3158),
    [anon_sym_while] = ACTIONS(3158),
    [anon_sym_do] = ACTIONS(3158),
    [anon_sym_try] = ACTIONS(3158),
    [anon_sym_with] = ACTIONS(3158),
    [anon_sym_break] = ACTIONS(3158),
    [anon_sym_continue] = ACTIONS(3158),
    [anon_sym_debugger] = ACTIONS(3158),
    [anon_sym_return] = ACTIONS(3158),
    [anon_sym_throw] = ACTIONS(3158),
    [anon_sym_SEMI] = ACTIONS(3158),
    [anon_sym_case] = ACTIONS(3158),
    [anon_sym_yield] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [anon_sym_LTtemplate_GT] = ACTIONS(3158),
    [anon_sym_class] = ACTIONS(3158),
    [anon_sym_async] = ACTIONS(3158),
    [anon_sym_function] = ACTIONS(3158),
    [anon_sym_new] = ACTIONS(3158),
    [anon_sym_using] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_SLASH] = ACTIONS(3158),
    [anon_sym_LT] = ACTIONS(3158),
    [anon_sym_TILDE] = ACTIONS(3158),
    [anon_sym_void] = ACTIONS(3158),
    [anon_sym_delete] = ACTIONS(3158),
    [anon_sym_PLUS_PLUS] = ACTIONS(3158),
    [anon_sym_DASH_DASH] = ACTIONS(3158),
    [anon_sym_DQUOTE] = ACTIONS(3158),
    [anon_sym_SQUOTE] = ACTIONS(3158),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3158),
    [sym_number] = ACTIONS(3158),
    [sym_private_property_identifier] = ACTIONS(3158),
    [sym_this] = ACTIONS(3158),
    [sym_super] = ACTIONS(3158),
    [sym_true] = ACTIONS(3158),
    [sym_false] = ACTIONS(3158),
    [sym_null] = ACTIONS(3158),
    [sym_undefined] = ACTIONS(3158),
    [anon_sym_AT] = ACTIONS(3158),
    [anon_sym_static] = ACTIONS(3158),
    [anon_sym_readonly] = ACTIONS(3158),
    [anon_sym_get] = ACTIONS(3158),
    [anon_sym_set] = ACTIONS(3158),
    [anon_sym_declare] = ACTIONS(3158),
    [anon_sym_public] = ACTIONS(3158),
    [anon_sym_private] = ACTIONS(3158),
    [anon_sym_protected] = ACTIONS(3158),
    [anon_sym_override] = ACTIONS(3158),
    [anon_sym_module] = ACTIONS(3158),
    [anon_sym_any] = ACTIONS(3158),
    [anon_sym_number] = ACTIONS(3158),
    [anon_sym_boolean] = ACTIONS(3158),
    [anon_sym_string] = ACTIONS(3158),
    [anon_sym_symbol] = ACTIONS(3158),
    [anon_sym_object] = ACTIONS(3158),
    [anon_sym_abstract] = ACTIONS(3158),
    [anon_sym_interface] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [sym_html_comment] = ACTIONS(5),
  },
  [993] = {
    [sym_comment] = STATE(993),
    [sym_identifier] = ACTIONS(3160),
    [anon_sym_export] = ACTIONS(3160),
    [anon_sym_default] = ACTIONS(3160),
    [anon_sym_type] = ACTIONS(3160),
    [anon_sym_namespace] = ACTIONS(3160),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_RBRACE] = ACTIONS(3160),
    [anon_sym_typeof] = ACTIONS(3160),
    [anon_sym_import] = ACTIONS(3160),
    [anon_sym_var] = ACTIONS(3160),
    [anon_sym_let] = ACTIONS(3160),
    [anon_sym_const] = ACTIONS(3160),
    [anon_sym_BANG] = ACTIONS(3160),
    [anon_sym_else] = ACTIONS(3160),
    [anon_sym_if] = ACTIONS(3160),
    [anon_sym_switch] = ACTIONS(3160),
    [anon_sym_for] = ACTIONS(3160),
    [anon_sym_LPAREN] = ACTIONS(3160),
    [anon_sym_await] = ACTIONS(3160),
    [anon_sym_while] = ACTIONS(3160),
    [anon_sym_do] = ACTIONS(3160),
    [anon_sym_try] = ACTIONS(3160),
    [anon_sym_with] = ACTIONS(3160),
    [anon_sym_break] = ACTIONS(3160),
    [anon_sym_continue] = ACTIONS(3160),
    [anon_sym_debugger] = ACTIONS(3160),
    [anon_sym_return] = ACTIONS(3160),
    [anon_sym_throw] = ACTIONS(3160),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym_case] = ACTIONS(3160),
    [anon_sym_yield] = ACTIONS(3160),
    [anon_sym_LBRACK] = ACTIONS(3160),
    [anon_sym_LTtemplate_GT] = ACTIONS(3160),
    [anon_sym_class] = ACTIONS(3160),
    [anon_sym_async] = ACTIONS(3160),
    [anon_sym_function] = ACTIONS(3160),
    [anon_sym_new] = ACTIONS(3160),
    [anon_sym_using] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_SLASH] = ACTIONS(3160),
    [anon_sym_LT] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3160),
    [anon_sym_void] = ACTIONS(3160),
    [anon_sym_delete] = ACTIONS(3160),
    [anon_sym_PLUS_PLUS] = ACTIONS(3160),
    [anon_sym_DASH_DASH] = ACTIONS(3160),
    [anon_sym_DQUOTE] = ACTIONS(3160),
    [anon_sym_SQUOTE] = ACTIONS(3160),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3160),
    [sym_number] = ACTIONS(3160),
    [sym_private_property_identifier] = ACTIONS(3160),
    [sym_this] = ACTIONS(3160),
    [sym_super] = ACTIONS(3160),
    [sym_true] = ACTIONS(3160),
    [sym_false] = ACTIONS(3160),
    [sym_null] = ACTIONS(3160),
    [sym_undefined] = ACTIONS(3160),
    [anon_sym_AT] = ACTIONS(3160),
    [anon_sym_static] = ACTIONS(3160),
    [anon_sym_readonly] = ACTIONS(3160),
    [anon_sym_get] = ACTIONS(3160),
    [anon_sym_set] = ACTIONS(3160),
    [anon_sym_declare] = ACTIONS(3160),
    [anon_sym_public] = ACTIONS(3160),
    [anon_sym_private] = ACTIONS(3160),
    [anon_sym_protected] = ACTIONS(3160),
    [anon_sym_override] = ACTIONS(3160),
    [anon_sym_module] = ACTIONS(3160),
    [anon_sym_any] = ACTIONS(3160),
    [anon_sym_number] = ACTIONS(3160),
    [anon_sym_boolean] = ACTIONS(3160),
    [anon_sym_string] = ACTIONS(3160),
    [anon_sym_symbol] = ACTIONS(3160),
    [anon_sym_object] = ACTIONS(3160),
    [anon_sym_abstract] = ACTIONS(3160),
    [anon_sym_interface] = ACTIONS(3160),
    [anon_sym_enum] = ACTIONS(3160),
    [sym_html_comment] = ACTIONS(5),
  },
  [994] = {
    [sym_comment] = STATE(994),
    [sym_identifier] = ACTIONS(3162),
    [anon_sym_export] = ACTIONS(3162),
    [anon_sym_default] = ACTIONS(3162),
    [anon_sym_type] = ACTIONS(3162),
    [anon_sym_namespace] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3162),
    [anon_sym_RBRACE] = ACTIONS(3162),
    [anon_sym_typeof] = ACTIONS(3162),
    [anon_sym_import] = ACTIONS(3162),
    [anon_sym_var] = ACTIONS(3162),
    [anon_sym_let] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_BANG] = ACTIONS(3162),
    [anon_sym_else] = ACTIONS(3162),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_switch] = ACTIONS(3162),
    [anon_sym_for] = ACTIONS(3162),
    [anon_sym_LPAREN] = ACTIONS(3162),
    [anon_sym_await] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3162),
    [anon_sym_do] = ACTIONS(3162),
    [anon_sym_try] = ACTIONS(3162),
    [anon_sym_with] = ACTIONS(3162),
    [anon_sym_break] = ACTIONS(3162),
    [anon_sym_continue] = ACTIONS(3162),
    [anon_sym_debugger] = ACTIONS(3162),
    [anon_sym_return] = ACTIONS(3162),
    [anon_sym_throw] = ACTIONS(3162),
    [anon_sym_SEMI] = ACTIONS(3162),
    [anon_sym_case] = ACTIONS(3162),
    [anon_sym_yield] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_LTtemplate_GT] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_async] = ACTIONS(3162),
    [anon_sym_function] = ACTIONS(3162),
    [anon_sym_new] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_SLASH] = ACTIONS(3162),
    [anon_sym_LT] = ACTIONS(3162),
    [anon_sym_TILDE] = ACTIONS(3162),
    [anon_sym_void] = ACTIONS(3162),
    [anon_sym_delete] = ACTIONS(3162),
    [anon_sym_PLUS_PLUS] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3162),
    [anon_sym_DQUOTE] = ACTIONS(3162),
    [anon_sym_SQUOTE] = ACTIONS(3162),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3162),
    [sym_number] = ACTIONS(3162),
    [sym_private_property_identifier] = ACTIONS(3162),
    [sym_this] = ACTIONS(3162),
    [sym_super] = ACTIONS(3162),
    [sym_true] = ACTIONS(3162),
    [sym_false] = ACTIONS(3162),
    [sym_null] = ACTIONS(3162),
    [sym_undefined] = ACTIONS(3162),
    [anon_sym_AT] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_readonly] = ACTIONS(3162),
    [anon_sym_get] = ACTIONS(3162),
    [anon_sym_set] = ACTIONS(3162),
    [anon_sym_declare] = ACTIONS(3162),
    [anon_sym_public] = ACTIONS(3162),
    [anon_sym_private] = ACTIONS(3162),
    [anon_sym_protected] = ACTIONS(3162),
    [anon_sym_override] = ACTIONS(3162),
    [anon_sym_module] = ACTIONS(3162),
    [anon_sym_any] = ACTIONS(3162),
    [anon_sym_number] = ACTIONS(3162),
    [anon_sym_boolean] = ACTIONS(3162),
    [anon_sym_string] = ACTIONS(3162),
    [anon_sym_symbol] = ACTIONS(3162),
    [anon_sym_object] = ACTIONS(3162),
    [anon_sym_abstract] = ACTIONS(3162),
    [anon_sym_interface] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [sym_html_comment] = ACTIONS(5),
  },
  [995] = {
    [sym_comment] = STATE(995),
    [sym_identifier] = ACTIONS(3164),
    [anon_sym_export] = ACTIONS(3164),
    [anon_sym_default] = ACTIONS(3164),
    [anon_sym_type] = ACTIONS(3164),
    [anon_sym_namespace] = ACTIONS(3164),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_RBRACE] = ACTIONS(3164),
    [anon_sym_typeof] = ACTIONS(3164),
    [anon_sym_import] = ACTIONS(3164),
    [anon_sym_var] = ACTIONS(3164),
    [anon_sym_let] = ACTIONS(3164),
    [anon_sym_const] = ACTIONS(3164),
    [anon_sym_BANG] = ACTIONS(3164),
    [anon_sym_else] = ACTIONS(3164),
    [anon_sym_if] = ACTIONS(3164),
    [anon_sym_switch] = ACTIONS(3164),
    [anon_sym_for] = ACTIONS(3164),
    [anon_sym_LPAREN] = ACTIONS(3164),
    [anon_sym_await] = ACTIONS(3164),
    [anon_sym_while] = ACTIONS(3164),
    [anon_sym_do] = ACTIONS(3164),
    [anon_sym_try] = ACTIONS(3164),
    [anon_sym_with] = ACTIONS(3164),
    [anon_sym_break] = ACTIONS(3164),
    [anon_sym_continue] = ACTIONS(3164),
    [anon_sym_debugger] = ACTIONS(3164),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_throw] = ACTIONS(3164),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym_case] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [anon_sym_LTtemplate_GT] = ACTIONS(3164),
    [anon_sym_class] = ACTIONS(3164),
    [anon_sym_async] = ACTIONS(3164),
    [anon_sym_function] = ACTIONS(3164),
    [anon_sym_new] = ACTIONS(3164),
    [anon_sym_using] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_SLASH] = ACTIONS(3164),
    [anon_sym_LT] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_void] = ACTIONS(3164),
    [anon_sym_delete] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [anon_sym_DQUOTE] = ACTIONS(3164),
    [anon_sym_SQUOTE] = ACTIONS(3164),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3164),
    [sym_number] = ACTIONS(3164),
    [sym_private_property_identifier] = ACTIONS(3164),
    [sym_this] = ACTIONS(3164),
    [sym_super] = ACTIONS(3164),
    [sym_true] = ACTIONS(3164),
    [sym_false] = ACTIONS(3164),
    [sym_null] = ACTIONS(3164),
    [sym_undefined] = ACTIONS(3164),
    [anon_sym_AT] = ACTIONS(3164),
    [anon_sym_static] = ACTIONS(3164),
    [anon_sym_readonly] = ACTIONS(3164),
    [anon_sym_get] = ACTIONS(3164),
    [anon_sym_set] = ACTIONS(3164),
    [anon_sym_declare] = ACTIONS(3164),
    [anon_sym_public] = ACTIONS(3164),
    [anon_sym_private] = ACTIONS(3164),
    [anon_sym_protected] = ACTIONS(3164),
    [anon_sym_override] = ACTIONS(3164),
    [anon_sym_module] = ACTIONS(3164),
    [anon_sym_any] = ACTIONS(3164),
    [anon_sym_number] = ACTIONS(3164),
    [anon_sym_boolean] = ACTIONS(3164),
    [anon_sym_string] = ACTIONS(3164),
    [anon_sym_symbol] = ACTIONS(3164),
    [anon_sym_object] = ACTIONS(3164),
    [anon_sym_abstract] = ACTIONS(3164),
    [anon_sym_interface] = ACTIONS(3164),
    [anon_sym_enum] = ACTIONS(3164),
    [sym_html_comment] = ACTIONS(5),
  },
  [996] = {
    [sym_comment] = STATE(996),
    [sym_identifier] = ACTIONS(2065),
    [anon_sym_export] = ACTIONS(2065),
    [anon_sym_default] = ACTIONS(2065),
    [anon_sym_type] = ACTIONS(2065),
    [anon_sym_namespace] = ACTIONS(2065),
    [anon_sym_LBRACE] = ACTIONS(2065),
    [anon_sym_RBRACE] = ACTIONS(2065),
    [anon_sym_typeof] = ACTIONS(2065),
    [anon_sym_import] = ACTIONS(2065),
    [anon_sym_var] = ACTIONS(2065),
    [anon_sym_let] = ACTIONS(2065),
    [anon_sym_const] = ACTIONS(2065),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_if] = ACTIONS(2065),
    [anon_sym_switch] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2065),
    [anon_sym_LPAREN] = ACTIONS(2065),
    [anon_sym_await] = ACTIONS(2065),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_do] = ACTIONS(2065),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_with] = ACTIONS(2065),
    [anon_sym_break] = ACTIONS(2065),
    [anon_sym_continue] = ACTIONS(2065),
    [anon_sym_debugger] = ACTIONS(2065),
    [anon_sym_return] = ACTIONS(2065),
    [anon_sym_throw] = ACTIONS(2065),
    [anon_sym_SEMI] = ACTIONS(2065),
    [anon_sym_case] = ACTIONS(2065),
    [anon_sym_yield] = ACTIONS(2065),
    [anon_sym_LBRACK] = ACTIONS(2065),
    [anon_sym_LTtemplate_GT] = ACTIONS(2065),
    [anon_sym_class] = ACTIONS(2065),
    [anon_sym_async] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2065),
    [anon_sym_new] = ACTIONS(2065),
    [anon_sym_using] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2065),
    [anon_sym_DASH] = ACTIONS(2065),
    [anon_sym_SLASH] = ACTIONS(2065),
    [anon_sym_LT] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_void] = ACTIONS(2065),
    [anon_sym_delete] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_DQUOTE] = ACTIONS(2065),
    [anon_sym_SQUOTE] = ACTIONS(2065),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2065),
    [sym_number] = ACTIONS(2065),
    [sym_private_property_identifier] = ACTIONS(2065),
    [sym_this] = ACTIONS(2065),
    [sym_super] = ACTIONS(2065),
    [sym_true] = ACTIONS(2065),
    [sym_false] = ACTIONS(2065),
    [sym_null] = ACTIONS(2065),
    [sym_undefined] = ACTIONS(2065),
    [anon_sym_AT] = ACTIONS(2065),
    [anon_sym_static] = ACTIONS(2065),
    [anon_sym_readonly] = ACTIONS(2065),
    [anon_sym_get] = ACTIONS(2065),
    [anon_sym_set] = ACTIONS(2065),
    [anon_sym_declare] = ACTIONS(2065),
    [anon_sym_public] = ACTIONS(2065),
    [anon_sym_private] = ACTIONS(2065),
    [anon_sym_protected] = ACTIONS(2065),
    [anon_sym_override] = ACTIONS(2065),
    [anon_sym_module] = ACTIONS(2065),
    [anon_sym_any] = ACTIONS(2065),
    [anon_sym_number] = ACTIONS(2065),
    [anon_sym_boolean] = ACTIONS(2065),
    [anon_sym_string] = ACTIONS(2065),
    [anon_sym_symbol] = ACTIONS(2065),
    [anon_sym_object] = ACTIONS(2065),
    [anon_sym_abstract] = ACTIONS(2065),
    [anon_sym_interface] = ACTIONS(2065),
    [anon_sym_enum] = ACTIONS(2065),
    [sym__automatic_semicolon] = ACTIONS(3166),
    [sym_html_comment] = ACTIONS(5),
  },
  [997] = {
    [sym_comment] = STATE(997),
    [sym_identifier] = ACTIONS(3168),
    [anon_sym_export] = ACTIONS(3168),
    [anon_sym_default] = ACTIONS(3168),
    [anon_sym_type] = ACTIONS(3168),
    [anon_sym_namespace] = ACTIONS(3168),
    [anon_sym_LBRACE] = ACTIONS(3168),
    [anon_sym_RBRACE] = ACTIONS(3168),
    [anon_sym_typeof] = ACTIONS(3168),
    [anon_sym_import] = ACTIONS(3168),
    [anon_sym_var] = ACTIONS(3168),
    [anon_sym_let] = ACTIONS(3168),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_BANG] = ACTIONS(3168),
    [anon_sym_else] = ACTIONS(3168),
    [anon_sym_if] = ACTIONS(3168),
    [anon_sym_switch] = ACTIONS(3168),
    [anon_sym_for] = ACTIONS(3168),
    [anon_sym_LPAREN] = ACTIONS(3168),
    [anon_sym_await] = ACTIONS(3168),
    [anon_sym_while] = ACTIONS(3168),
    [anon_sym_do] = ACTIONS(3168),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_with] = ACTIONS(3168),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_continue] = ACTIONS(3168),
    [anon_sym_debugger] = ACTIONS(3168),
    [anon_sym_return] = ACTIONS(3168),
    [anon_sym_throw] = ACTIONS(3168),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym_case] = ACTIONS(3168),
    [anon_sym_yield] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_LTtemplate_GT] = ACTIONS(3168),
    [anon_sym_class] = ACTIONS(3168),
    [anon_sym_async] = ACTIONS(3168),
    [anon_sym_function] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(3168),
    [anon_sym_using] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3168),
    [anon_sym_DASH] = ACTIONS(3168),
    [anon_sym_SLASH] = ACTIONS(3168),
    [anon_sym_LT] = ACTIONS(3168),
    [anon_sym_TILDE] = ACTIONS(3168),
    [anon_sym_void] = ACTIONS(3168),
    [anon_sym_delete] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3168),
    [anon_sym_DQUOTE] = ACTIONS(3168),
    [anon_sym_SQUOTE] = ACTIONS(3168),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3168),
    [sym_number] = ACTIONS(3168),
    [sym_private_property_identifier] = ACTIONS(3168),
    [sym_this] = ACTIONS(3168),
    [sym_super] = ACTIONS(3168),
    [sym_true] = ACTIONS(3168),
    [sym_false] = ACTIONS(3168),
    [sym_null] = ACTIONS(3168),
    [sym_undefined] = ACTIONS(3168),
    [anon_sym_AT] = ACTIONS(3168),
    [anon_sym_static] = ACTIONS(3168),
    [anon_sym_readonly] = ACTIONS(3168),
    [anon_sym_get] = ACTIONS(3168),
    [anon_sym_set] = ACTIONS(3168),
    [anon_sym_declare] = ACTIONS(3168),
    [anon_sym_public] = ACTIONS(3168),
    [anon_sym_private] = ACTIONS(3168),
    [anon_sym_protected] = ACTIONS(3168),
    [anon_sym_override] = ACTIONS(3168),
    [anon_sym_module] = ACTIONS(3168),
    [anon_sym_any] = ACTIONS(3168),
    [anon_sym_number] = ACTIONS(3168),
    [anon_sym_boolean] = ACTIONS(3168),
    [anon_sym_string] = ACTIONS(3168),
    [anon_sym_symbol] = ACTIONS(3168),
    [anon_sym_object] = ACTIONS(3168),
    [anon_sym_abstract] = ACTIONS(3168),
    [anon_sym_interface] = ACTIONS(3168),
    [anon_sym_enum] = ACTIONS(3168),
    [sym_html_comment] = ACTIONS(5),
  },
  [998] = {
    [sym_comment] = STATE(998),
    [ts_builtin_sym_end] = ACTIONS(2143),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_RBRACE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_else] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LTtemplate_GT] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_using] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_LT] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [sym_private_property_identifier] = ACTIONS(2141),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_object] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
    [sym__automatic_semicolon] = ACTIONS(2143),
    [sym_html_comment] = ACTIONS(5),
  },
  [999] = {
    [sym_comment] = STATE(999),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_default] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_RBRACE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_case] = ACTIONS(2141),
    [anon_sym_finally] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LTtemplate_GT] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_using] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_LT] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [sym_private_property_identifier] = ACTIONS(2141),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_object] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
    [sym_html_comment] = ACTIONS(5),
  },
  [1000] = {
    [sym_comment] = STATE(1000),
    [sym_identifier] = ACTIONS(2107),
    [anon_sym_export] = ACTIONS(2107),
    [anon_sym_default] = ACTIONS(2107),
    [anon_sym_type] = ACTIONS(2107),
    [anon_sym_namespace] = ACTIONS(2107),
    [anon_sym_LBRACE] = ACTIONS(2107),
    [anon_sym_RBRACE] = ACTIONS(2107),
    [anon_sym_typeof] = ACTIONS(2107),
    [anon_sym_import] = ACTIONS(2107),
    [anon_sym_var] = ACTIONS(2107),
    [anon_sym_let] = ACTIONS(2107),
    [anon_sym_const] = ACTIONS(2107),
    [anon_sym_BANG] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(2107),
    [anon_sym_if] = ACTIONS(2107),
    [anon_sym_switch] = ACTIONS(2107),
    [anon_sym_for] = ACTIONS(2107),
    [anon_sym_LPAREN] = ACTIONS(2107),
    [anon_sym_await] = ACTIONS(2107),
    [anon_sym_while] = ACTIONS(2107),
    [anon_sym_do] = ACTIONS(2107),
    [anon_sym_try] = ACTIONS(2107),
    [anon_sym_with] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2107),
    [anon_sym_continue] = ACTIONS(2107),
    [anon_sym_debugger] = ACTIONS(2107),
    [anon_sym_return] = ACTIONS(2107),
    [anon_sym_throw] = ACTIONS(2107),
    [anon_sym_SEMI] = ACTIONS(2107),
    [anon_sym_case] = ACTIONS(2107),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_LBRACK] = ACTIONS(2107),
    [anon_sym_LTtemplate_GT] = ACTIONS(2107),
    [anon_sym_class] = ACTIONS(2107),
    [anon_sym_async] = ACTIONS(2107),
    [anon_sym_function] = ACTIONS(2107),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_using] = ACTIONS(2107),
    [anon_sym_PLUS] = ACTIONS(2107),
    [anon_sym_DASH] = ACTIONS(2107),
    [anon_sym_SLASH] = ACTIONS(2107),
    [anon_sym_LT] = ACTIONS(2107),
    [anon_sym_TILDE] = ACTIONS(2107),
    [anon_sym_void] = ACTIONS(2107),
    [anon_sym_delete] = ACTIONS(2107),
    [anon_sym_PLUS_PLUS] = ACTIONS(2107),
    [anon_sym_DASH_DASH] = ACTIONS(2107),
    [anon_sym_DQUOTE] = ACTIONS(2107),
    [anon_sym_SQUOTE] = ACTIONS(2107),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2107),
    [sym_number] = ACTIONS(2107),
    [sym_private_property_identifier] = ACTIONS(2107),
    [sym_this] = ACTIONS(2107),
    [sym_super] = ACTIONS(2107),
    [sym_true] = ACTIONS(2107),
    [sym_false] = ACTIONS(2107),
    [sym_null] = ACTIONS(2107),
    [sym_undefined] = ACTIONS(2107),
    [anon_sym_AT] = ACTIONS(2107),
    [anon_sym_static] = ACTIONS(2107),
    [anon_sym_readonly] = ACTIONS(2107),
    [anon_sym_get] = ACTIONS(2107),
    [anon_sym_set] = ACTIONS(2107),
    [anon_sym_declare] = ACTIONS(2107),
    [anon_sym_public] = ACTIONS(2107),
    [anon_sym_private] = ACTIONS(2107),
    [anon_sym_protected] = ACTIONS(2107),
    [anon_sym_override] = ACTIONS(2107),
    [anon_sym_module] = ACTIONS(2107),
    [anon_sym_any] = ACTIONS(2107),
    [anon_sym_number] = ACTIONS(2107),
    [anon_sym_boolean] = ACTIONS(2107),
    [anon_sym_string] = ACTIONS(2107),
    [anon_sym_symbol] = ACTIONS(2107),
    [anon_sym_object] = ACTIONS(2107),
    [anon_sym_abstract] = ACTIONS(2107),
    [anon_sym_interface] = ACTIONS(2107),
    [anon_sym_enum] = ACTIONS(2107),
    [sym_html_comment] = ACTIONS(5),
  },
  [1001] = {
    [sym_comment] = STATE(1001),
    [sym_identifier] = ACTIONS(3170),
    [anon_sym_export] = ACTIONS(3170),
    [anon_sym_default] = ACTIONS(3170),
    [anon_sym_type] = ACTIONS(3170),
    [anon_sym_namespace] = ACTIONS(3170),
    [anon_sym_LBRACE] = ACTIONS(3170),
    [anon_sym_RBRACE] = ACTIONS(3170),
    [anon_sym_typeof] = ACTIONS(3170),
    [anon_sym_import] = ACTIONS(3170),
    [anon_sym_var] = ACTIONS(3170),
    [anon_sym_let] = ACTIONS(3170),
    [anon_sym_const] = ACTIONS(3170),
    [anon_sym_BANG] = ACTIONS(3170),
    [anon_sym_else] = ACTIONS(3170),
    [anon_sym_if] = ACTIONS(3170),
    [anon_sym_switch] = ACTIONS(3170),
    [anon_sym_for] = ACTIONS(3170),
    [anon_sym_LPAREN] = ACTIONS(3170),
    [anon_sym_await] = ACTIONS(3170),
    [anon_sym_while] = ACTIONS(3170),
    [anon_sym_do] = ACTIONS(3170),
    [anon_sym_try] = ACTIONS(3170),
    [anon_sym_with] = ACTIONS(3170),
    [anon_sym_break] = ACTIONS(3170),
    [anon_sym_continue] = ACTIONS(3170),
    [anon_sym_debugger] = ACTIONS(3170),
    [anon_sym_return] = ACTIONS(3170),
    [anon_sym_throw] = ACTIONS(3170),
    [anon_sym_SEMI] = ACTIONS(3170),
    [anon_sym_case] = ACTIONS(3170),
    [anon_sym_yield] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3170),
    [anon_sym_LTtemplate_GT] = ACTIONS(3170),
    [anon_sym_class] = ACTIONS(3170),
    [anon_sym_async] = ACTIONS(3170),
    [anon_sym_function] = ACTIONS(3170),
    [anon_sym_new] = ACTIONS(3170),
    [anon_sym_using] = ACTIONS(3170),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_SLASH] = ACTIONS(3170),
    [anon_sym_LT] = ACTIONS(3170),
    [anon_sym_TILDE] = ACTIONS(3170),
    [anon_sym_void] = ACTIONS(3170),
    [anon_sym_delete] = ACTIONS(3170),
    [anon_sym_PLUS_PLUS] = ACTIONS(3170),
    [anon_sym_DASH_DASH] = ACTIONS(3170),
    [anon_sym_DQUOTE] = ACTIONS(3170),
    [anon_sym_SQUOTE] = ACTIONS(3170),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3170),
    [sym_number] = ACTIONS(3170),
    [sym_private_property_identifier] = ACTIONS(3170),
    [sym_this] = ACTIONS(3170),
    [sym_super] = ACTIONS(3170),
    [sym_true] = ACTIONS(3170),
    [sym_false] = ACTIONS(3170),
    [sym_null] = ACTIONS(3170),
    [sym_undefined] = ACTIONS(3170),
    [anon_sym_AT] = ACTIONS(3170),
    [anon_sym_static] = ACTIONS(3170),
    [anon_sym_readonly] = ACTIONS(3170),
    [anon_sym_get] = ACTIONS(3170),
    [anon_sym_set] = ACTIONS(3170),
    [anon_sym_declare] = ACTIONS(3170),
    [anon_sym_public] = ACTIONS(3170),
    [anon_sym_private] = ACTIONS(3170),
    [anon_sym_protected] = ACTIONS(3170),
    [anon_sym_override] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(3170),
    [anon_sym_any] = ACTIONS(3170),
    [anon_sym_number] = ACTIONS(3170),
    [anon_sym_boolean] = ACTIONS(3170),
    [anon_sym_string] = ACTIONS(3170),
    [anon_sym_symbol] = ACTIONS(3170),
    [anon_sym_object] = ACTIONS(3170),
    [anon_sym_abstract] = ACTIONS(3170),
    [anon_sym_interface] = ACTIONS(3170),
    [anon_sym_enum] = ACTIONS(3170),
    [sym_html_comment] = ACTIONS(5),
  },
  [1002] = {
    [sym_comment] = STATE(1002),
    [sym_identifier] = ACTIONS(2165),
    [anon_sym_export] = ACTIONS(2165),
    [anon_sym_default] = ACTIONS(2165),
    [anon_sym_type] = ACTIONS(2165),
    [anon_sym_namespace] = ACTIONS(2165),
    [anon_sym_LBRACE] = ACTIONS(2165),
    [anon_sym_RBRACE] = ACTIONS(2165),
    [anon_sym_typeof] = ACTIONS(2165),
    [anon_sym_import] = ACTIONS(2165),
    [anon_sym_var] = ACTIONS(2165),
    [anon_sym_let] = ACTIONS(2165),
    [anon_sym_const] = ACTIONS(2165),
    [anon_sym_BANG] = ACTIONS(2165),
    [anon_sym_if] = ACTIONS(2165),
    [anon_sym_switch] = ACTIONS(2165),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_LPAREN] = ACTIONS(2165),
    [anon_sym_await] = ACTIONS(2165),
    [anon_sym_while] = ACTIONS(2165),
    [anon_sym_do] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_with] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2165),
    [anon_sym_continue] = ACTIONS(2165),
    [anon_sym_debugger] = ACTIONS(2165),
    [anon_sym_return] = ACTIONS(2165),
    [anon_sym_throw] = ACTIONS(2165),
    [anon_sym_SEMI] = ACTIONS(2165),
    [anon_sym_case] = ACTIONS(2165),
    [anon_sym_finally] = ACTIONS(2165),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_LBRACK] = ACTIONS(2165),
    [anon_sym_LTtemplate_GT] = ACTIONS(2165),
    [anon_sym_class] = ACTIONS(2165),
    [anon_sym_async] = ACTIONS(2165),
    [anon_sym_function] = ACTIONS(2165),
    [anon_sym_new] = ACTIONS(2165),
    [anon_sym_using] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(2165),
    [anon_sym_DASH] = ACTIONS(2165),
    [anon_sym_SLASH] = ACTIONS(2165),
    [anon_sym_LT] = ACTIONS(2165),
    [anon_sym_TILDE] = ACTIONS(2165),
    [anon_sym_void] = ACTIONS(2165),
    [anon_sym_delete] = ACTIONS(2165),
    [anon_sym_PLUS_PLUS] = ACTIONS(2165),
    [anon_sym_DASH_DASH] = ACTIONS(2165),
    [anon_sym_DQUOTE] = ACTIONS(2165),
    [anon_sym_SQUOTE] = ACTIONS(2165),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2165),
    [sym_number] = ACTIONS(2165),
    [sym_private_property_identifier] = ACTIONS(2165),
    [sym_this] = ACTIONS(2165),
    [sym_super] = ACTIONS(2165),
    [sym_true] = ACTIONS(2165),
    [sym_false] = ACTIONS(2165),
    [sym_null] = ACTIONS(2165),
    [sym_undefined] = ACTIONS(2165),
    [anon_sym_AT] = ACTIONS(2165),
    [anon_sym_static] = ACTIONS(2165),
    [anon_sym_readonly] = ACTIONS(2165),
    [anon_sym_get] = ACTIONS(2165),
    [anon_sym_set] = ACTIONS(2165),
    [anon_sym_declare] = ACTIONS(2165),
    [anon_sym_public] = ACTIONS(2165),
    [anon_sym_private] = ACTIONS(2165),
    [anon_sym_protected] = ACTIONS(2165),
    [anon_sym_override] = ACTIONS(2165),
    [anon_sym_module] = ACTIONS(2165),
    [anon_sym_any] = ACTIONS(2165),
    [anon_sym_number] = ACTIONS(2165),
    [anon_sym_boolean] = ACTIONS(2165),
    [anon_sym_string] = ACTIONS(2165),
    [anon_sym_symbol] = ACTIONS(2165),
    [anon_sym_object] = ACTIONS(2165),
    [anon_sym_abstract] = ACTIONS(2165),
    [anon_sym_interface] = ACTIONS(2165),
    [anon_sym_enum] = ACTIONS(2165),
    [sym_html_comment] = ACTIONS(5),
  },
  [1003] = {
    [sym_comment] = STATE(1003),
    [sym_identifier] = ACTIONS(2107),
    [anon_sym_export] = ACTIONS(2107),
    [anon_sym_default] = ACTIONS(2107),
    [anon_sym_type] = ACTIONS(2107),
    [anon_sym_namespace] = ACTIONS(2107),
    [anon_sym_LBRACE] = ACTIONS(2107),
    [anon_sym_RBRACE] = ACTIONS(2107),
    [anon_sym_typeof] = ACTIONS(2107),
    [anon_sym_import] = ACTIONS(2107),
    [anon_sym_var] = ACTIONS(2107),
    [anon_sym_let] = ACTIONS(2107),
    [anon_sym_const] = ACTIONS(2107),
    [anon_sym_BANG] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(2107),
    [anon_sym_if] = ACTIONS(2107),
    [anon_sym_switch] = ACTIONS(2107),
    [anon_sym_for] = ACTIONS(2107),
    [anon_sym_LPAREN] = ACTIONS(2107),
    [anon_sym_await] = ACTIONS(2107),
    [anon_sym_while] = ACTIONS(2107),
    [anon_sym_do] = ACTIONS(2107),
    [anon_sym_try] = ACTIONS(2107),
    [anon_sym_with] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2107),
    [anon_sym_continue] = ACTIONS(2107),
    [anon_sym_debugger] = ACTIONS(2107),
    [anon_sym_return] = ACTIONS(2107),
    [anon_sym_throw] = ACTIONS(2107),
    [anon_sym_SEMI] = ACTIONS(2107),
    [anon_sym_case] = ACTIONS(2107),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_LBRACK] = ACTIONS(2107),
    [anon_sym_LTtemplate_GT] = ACTIONS(2107),
    [anon_sym_class] = ACTIONS(2107),
    [anon_sym_async] = ACTIONS(2107),
    [anon_sym_function] = ACTIONS(2107),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_using] = ACTIONS(2107),
    [anon_sym_PLUS] = ACTIONS(2107),
    [anon_sym_DASH] = ACTIONS(2107),
    [anon_sym_SLASH] = ACTIONS(2107),
    [anon_sym_LT] = ACTIONS(2107),
    [anon_sym_TILDE] = ACTIONS(2107),
    [anon_sym_void] = ACTIONS(2107),
    [anon_sym_delete] = ACTIONS(2107),
    [anon_sym_PLUS_PLUS] = ACTIONS(2107),
    [anon_sym_DASH_DASH] = ACTIONS(2107),
    [anon_sym_DQUOTE] = ACTIONS(2107),
    [anon_sym_SQUOTE] = ACTIONS(2107),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2107),
    [sym_number] = ACTIONS(2107),
    [sym_private_property_identifier] = ACTIONS(2107),
    [sym_this] = ACTIONS(2107),
    [sym_super] = ACTIONS(2107),
    [sym_true] = ACTIONS(2107),
    [sym_false] = ACTIONS(2107),
    [sym_null] = ACTIONS(2107),
    [sym_undefined] = ACTIONS(2107),
    [anon_sym_AT] = ACTIONS(2107),
    [anon_sym_static] = ACTIONS(2107),
    [anon_sym_readonly] = ACTIONS(2107),
    [anon_sym_get] = ACTIONS(2107),
    [anon_sym_set] = ACTIONS(2107),
    [anon_sym_declare] = ACTIONS(2107),
    [anon_sym_public] = ACTIONS(2107),
    [anon_sym_private] = ACTIONS(2107),
    [anon_sym_protected] = ACTIONS(2107),
    [anon_sym_override] = ACTIONS(2107),
    [anon_sym_module] = ACTIONS(2107),
    [anon_sym_any] = ACTIONS(2107),
    [anon_sym_number] = ACTIONS(2107),
    [anon_sym_boolean] = ACTIONS(2107),
    [anon_sym_string] = ACTIONS(2107),
    [anon_sym_symbol] = ACTIONS(2107),
    [anon_sym_object] = ACTIONS(2107),
    [anon_sym_abstract] = ACTIONS(2107),
    [anon_sym_interface] = ACTIONS(2107),
    [anon_sym_enum] = ACTIONS(2107),
    [sym_html_comment] = ACTIONS(5),
  },
  [1004] = {
    [sym_comment] = STATE(1004),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1005] = {
    [sym_comment] = STATE(1005),
    [sym_identifier] = ACTIONS(2101),
    [anon_sym_export] = ACTIONS(2101),
    [anon_sym_default] = ACTIONS(2101),
    [anon_sym_type] = ACTIONS(2101),
    [anon_sym_namespace] = ACTIONS(2101),
    [anon_sym_LBRACE] = ACTIONS(2101),
    [anon_sym_RBRACE] = ACTIONS(2101),
    [anon_sym_typeof] = ACTIONS(2101),
    [anon_sym_import] = ACTIONS(2101),
    [anon_sym_var] = ACTIONS(2101),
    [anon_sym_let] = ACTIONS(2101),
    [anon_sym_const] = ACTIONS(2101),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_else] = ACTIONS(2101),
    [anon_sym_if] = ACTIONS(2101),
    [anon_sym_switch] = ACTIONS(2101),
    [anon_sym_for] = ACTIONS(2101),
    [anon_sym_LPAREN] = ACTIONS(2101),
    [anon_sym_await] = ACTIONS(2101),
    [anon_sym_while] = ACTIONS(2101),
    [anon_sym_do] = ACTIONS(2101),
    [anon_sym_try] = ACTIONS(2101),
    [anon_sym_with] = ACTIONS(2101),
    [anon_sym_break] = ACTIONS(2101),
    [anon_sym_continue] = ACTIONS(2101),
    [anon_sym_debugger] = ACTIONS(2101),
    [anon_sym_return] = ACTIONS(2101),
    [anon_sym_throw] = ACTIONS(2101),
    [anon_sym_SEMI] = ACTIONS(2101),
    [anon_sym_case] = ACTIONS(2101),
    [anon_sym_yield] = ACTIONS(2101),
    [anon_sym_LBRACK] = ACTIONS(2101),
    [anon_sym_LTtemplate_GT] = ACTIONS(2101),
    [anon_sym_class] = ACTIONS(2101),
    [anon_sym_async] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2101),
    [anon_sym_new] = ACTIONS(2101),
    [anon_sym_using] = ACTIONS(2101),
    [anon_sym_PLUS] = ACTIONS(2101),
    [anon_sym_DASH] = ACTIONS(2101),
    [anon_sym_SLASH] = ACTIONS(2101),
    [anon_sym_LT] = ACTIONS(2101),
    [anon_sym_TILDE] = ACTIONS(2101),
    [anon_sym_void] = ACTIONS(2101),
    [anon_sym_delete] = ACTIONS(2101),
    [anon_sym_PLUS_PLUS] = ACTIONS(2101),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_DQUOTE] = ACTIONS(2101),
    [anon_sym_SQUOTE] = ACTIONS(2101),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2101),
    [sym_number] = ACTIONS(2101),
    [sym_private_property_identifier] = ACTIONS(2101),
    [sym_this] = ACTIONS(2101),
    [sym_super] = ACTIONS(2101),
    [sym_true] = ACTIONS(2101),
    [sym_false] = ACTIONS(2101),
    [sym_null] = ACTIONS(2101),
    [sym_undefined] = ACTIONS(2101),
    [anon_sym_AT] = ACTIONS(2101),
    [anon_sym_static] = ACTIONS(2101),
    [anon_sym_readonly] = ACTIONS(2101),
    [anon_sym_get] = ACTIONS(2101),
    [anon_sym_set] = ACTIONS(2101),
    [anon_sym_declare] = ACTIONS(2101),
    [anon_sym_public] = ACTIONS(2101),
    [anon_sym_private] = ACTIONS(2101),
    [anon_sym_protected] = ACTIONS(2101),
    [anon_sym_override] = ACTIONS(2101),
    [anon_sym_module] = ACTIONS(2101),
    [anon_sym_any] = ACTIONS(2101),
    [anon_sym_number] = ACTIONS(2101),
    [anon_sym_boolean] = ACTIONS(2101),
    [anon_sym_string] = ACTIONS(2101),
    [anon_sym_symbol] = ACTIONS(2101),
    [anon_sym_object] = ACTIONS(2101),
    [anon_sym_abstract] = ACTIONS(2101),
    [anon_sym_interface] = ACTIONS(2101),
    [anon_sym_enum] = ACTIONS(2101),
    [sym_html_comment] = ACTIONS(5),
  },
  [1006] = {
    [sym_comment] = STATE(1006),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_default] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_RBRACE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_case] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LTtemplate_GT] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_using] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_LT] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [sym_private_property_identifier] = ACTIONS(2141),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_object] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
    [sym__automatic_semicolon] = ACTIONS(2143),
    [sym_html_comment] = ACTIONS(5),
  },
  [1007] = {
    [sym_comment] = STATE(1007),
    [sym_identifier] = ACTIONS(2089),
    [anon_sym_export] = ACTIONS(2089),
    [anon_sym_default] = ACTIONS(2089),
    [anon_sym_type] = ACTIONS(2089),
    [anon_sym_namespace] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2089),
    [anon_sym_RBRACE] = ACTIONS(2089),
    [anon_sym_typeof] = ACTIONS(2089),
    [anon_sym_import] = ACTIONS(2089),
    [anon_sym_var] = ACTIONS(2089),
    [anon_sym_let] = ACTIONS(2089),
    [anon_sym_const] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2089),
    [anon_sym_else] = ACTIONS(2089),
    [anon_sym_if] = ACTIONS(2089),
    [anon_sym_switch] = ACTIONS(2089),
    [anon_sym_for] = ACTIONS(2089),
    [anon_sym_LPAREN] = ACTIONS(2089),
    [anon_sym_await] = ACTIONS(2089),
    [anon_sym_while] = ACTIONS(2089),
    [anon_sym_do] = ACTIONS(2089),
    [anon_sym_try] = ACTIONS(2089),
    [anon_sym_with] = ACTIONS(2089),
    [anon_sym_break] = ACTIONS(2089),
    [anon_sym_continue] = ACTIONS(2089),
    [anon_sym_debugger] = ACTIONS(2089),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_throw] = ACTIONS(2089),
    [anon_sym_SEMI] = ACTIONS(2089),
    [anon_sym_case] = ACTIONS(2089),
    [anon_sym_yield] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2089),
    [anon_sym_LTtemplate_GT] = ACTIONS(2089),
    [anon_sym_class] = ACTIONS(2089),
    [anon_sym_async] = ACTIONS(2089),
    [anon_sym_function] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2089),
    [anon_sym_using] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(2089),
    [anon_sym_DASH] = ACTIONS(2089),
    [anon_sym_SLASH] = ACTIONS(2089),
    [anon_sym_LT] = ACTIONS(2089),
    [anon_sym_TILDE] = ACTIONS(2089),
    [anon_sym_void] = ACTIONS(2089),
    [anon_sym_delete] = ACTIONS(2089),
    [anon_sym_PLUS_PLUS] = ACTIONS(2089),
    [anon_sym_DASH_DASH] = ACTIONS(2089),
    [anon_sym_DQUOTE] = ACTIONS(2089),
    [anon_sym_SQUOTE] = ACTIONS(2089),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2089),
    [sym_number] = ACTIONS(2089),
    [sym_private_property_identifier] = ACTIONS(2089),
    [sym_this] = ACTIONS(2089),
    [sym_super] = ACTIONS(2089),
    [sym_true] = ACTIONS(2089),
    [sym_false] = ACTIONS(2089),
    [sym_null] = ACTIONS(2089),
    [sym_undefined] = ACTIONS(2089),
    [anon_sym_AT] = ACTIONS(2089),
    [anon_sym_static] = ACTIONS(2089),
    [anon_sym_readonly] = ACTIONS(2089),
    [anon_sym_get] = ACTIONS(2089),
    [anon_sym_set] = ACTIONS(2089),
    [anon_sym_declare] = ACTIONS(2089),
    [anon_sym_public] = ACTIONS(2089),
    [anon_sym_private] = ACTIONS(2089),
    [anon_sym_protected] = ACTIONS(2089),
    [anon_sym_override] = ACTIONS(2089),
    [anon_sym_module] = ACTIONS(2089),
    [anon_sym_any] = ACTIONS(2089),
    [anon_sym_number] = ACTIONS(2089),
    [anon_sym_boolean] = ACTIONS(2089),
    [anon_sym_string] = ACTIONS(2089),
    [anon_sym_symbol] = ACTIONS(2089),
    [anon_sym_object] = ACTIONS(2089),
    [anon_sym_abstract] = ACTIONS(2089),
    [anon_sym_interface] = ACTIONS(2089),
    [anon_sym_enum] = ACTIONS(2089),
    [sym_html_comment] = ACTIONS(5),
  },
  [1008] = {
    [sym_comment] = STATE(1008),
    [sym_identifier] = ACTIONS(2165),
    [anon_sym_export] = ACTIONS(2165),
    [anon_sym_default] = ACTIONS(2165),
    [anon_sym_type] = ACTIONS(2165),
    [anon_sym_namespace] = ACTIONS(2165),
    [anon_sym_LBRACE] = ACTIONS(2165),
    [anon_sym_RBRACE] = ACTIONS(2165),
    [anon_sym_typeof] = ACTIONS(2165),
    [anon_sym_import] = ACTIONS(2165),
    [anon_sym_var] = ACTIONS(2165),
    [anon_sym_let] = ACTIONS(2165),
    [anon_sym_const] = ACTIONS(2165),
    [anon_sym_BANG] = ACTIONS(2165),
    [anon_sym_if] = ACTIONS(2165),
    [anon_sym_switch] = ACTIONS(2165),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_LPAREN] = ACTIONS(2165),
    [anon_sym_await] = ACTIONS(2165),
    [anon_sym_while] = ACTIONS(2165),
    [anon_sym_do] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_with] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2165),
    [anon_sym_continue] = ACTIONS(2165),
    [anon_sym_debugger] = ACTIONS(2165),
    [anon_sym_return] = ACTIONS(2165),
    [anon_sym_throw] = ACTIONS(2165),
    [anon_sym_SEMI] = ACTIONS(2165),
    [anon_sym_case] = ACTIONS(2165),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_LBRACK] = ACTIONS(2165),
    [anon_sym_LTtemplate_GT] = ACTIONS(2165),
    [anon_sym_class] = ACTIONS(2165),
    [anon_sym_async] = ACTIONS(2165),
    [anon_sym_function] = ACTIONS(2165),
    [anon_sym_new] = ACTIONS(2165),
    [anon_sym_using] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(2165),
    [anon_sym_DASH] = ACTIONS(2165),
    [anon_sym_SLASH] = ACTIONS(2165),
    [anon_sym_LT] = ACTIONS(2165),
    [anon_sym_TILDE] = ACTIONS(2165),
    [anon_sym_void] = ACTIONS(2165),
    [anon_sym_delete] = ACTIONS(2165),
    [anon_sym_PLUS_PLUS] = ACTIONS(2165),
    [anon_sym_DASH_DASH] = ACTIONS(2165),
    [anon_sym_DQUOTE] = ACTIONS(2165),
    [anon_sym_SQUOTE] = ACTIONS(2165),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2165),
    [sym_number] = ACTIONS(2165),
    [sym_private_property_identifier] = ACTIONS(2165),
    [sym_this] = ACTIONS(2165),
    [sym_super] = ACTIONS(2165),
    [sym_true] = ACTIONS(2165),
    [sym_false] = ACTIONS(2165),
    [sym_null] = ACTIONS(2165),
    [sym_undefined] = ACTIONS(2165),
    [anon_sym_AT] = ACTIONS(2165),
    [anon_sym_static] = ACTIONS(2165),
    [anon_sym_readonly] = ACTIONS(2165),
    [anon_sym_get] = ACTIONS(2165),
    [anon_sym_set] = ACTIONS(2165),
    [anon_sym_declare] = ACTIONS(2165),
    [anon_sym_public] = ACTIONS(2165),
    [anon_sym_private] = ACTIONS(2165),
    [anon_sym_protected] = ACTIONS(2165),
    [anon_sym_override] = ACTIONS(2165),
    [anon_sym_module] = ACTIONS(2165),
    [anon_sym_any] = ACTIONS(2165),
    [anon_sym_number] = ACTIONS(2165),
    [anon_sym_boolean] = ACTIONS(2165),
    [anon_sym_string] = ACTIONS(2165),
    [anon_sym_symbol] = ACTIONS(2165),
    [anon_sym_object] = ACTIONS(2165),
    [anon_sym_abstract] = ACTIONS(2165),
    [anon_sym_interface] = ACTIONS(2165),
    [anon_sym_enum] = ACTIONS(2165),
    [sym__automatic_semicolon] = ACTIONS(2167),
    [sym_html_comment] = ACTIONS(5),
  },
  [1009] = {
    [sym_comment] = STATE(1009),
    [sym_identifier] = ACTIONS(3174),
    [anon_sym_export] = ACTIONS(3174),
    [anon_sym_default] = ACTIONS(3174),
    [anon_sym_type] = ACTIONS(3174),
    [anon_sym_namespace] = ACTIONS(3174),
    [anon_sym_LBRACE] = ACTIONS(3174),
    [anon_sym_RBRACE] = ACTIONS(3174),
    [anon_sym_typeof] = ACTIONS(3174),
    [anon_sym_import] = ACTIONS(3174),
    [anon_sym_var] = ACTIONS(3174),
    [anon_sym_let] = ACTIONS(3174),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3174),
    [anon_sym_else] = ACTIONS(3174),
    [anon_sym_if] = ACTIONS(3174),
    [anon_sym_switch] = ACTIONS(3174),
    [anon_sym_for] = ACTIONS(3174),
    [anon_sym_LPAREN] = ACTIONS(3174),
    [anon_sym_await] = ACTIONS(3174),
    [anon_sym_while] = ACTIONS(3174),
    [anon_sym_do] = ACTIONS(3174),
    [anon_sym_try] = ACTIONS(3174),
    [anon_sym_with] = ACTIONS(3174),
    [anon_sym_break] = ACTIONS(3174),
    [anon_sym_continue] = ACTIONS(3174),
    [anon_sym_debugger] = ACTIONS(3174),
    [anon_sym_return] = ACTIONS(3174),
    [anon_sym_throw] = ACTIONS(3174),
    [anon_sym_SEMI] = ACTIONS(3174),
    [anon_sym_case] = ACTIONS(3174),
    [anon_sym_yield] = ACTIONS(3174),
    [anon_sym_LBRACK] = ACTIONS(3174),
    [anon_sym_LTtemplate_GT] = ACTIONS(3174),
    [anon_sym_class] = ACTIONS(3174),
    [anon_sym_async] = ACTIONS(3174),
    [anon_sym_function] = ACTIONS(3174),
    [anon_sym_new] = ACTIONS(3174),
    [anon_sym_using] = ACTIONS(3174),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3174),
    [anon_sym_SLASH] = ACTIONS(3174),
    [anon_sym_LT] = ACTIONS(3174),
    [anon_sym_TILDE] = ACTIONS(3174),
    [anon_sym_void] = ACTIONS(3174),
    [anon_sym_delete] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_DQUOTE] = ACTIONS(3174),
    [anon_sym_SQUOTE] = ACTIONS(3174),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3174),
    [sym_number] = ACTIONS(3174),
    [sym_private_property_identifier] = ACTIONS(3174),
    [sym_this] = ACTIONS(3174),
    [sym_super] = ACTIONS(3174),
    [sym_true] = ACTIONS(3174),
    [sym_false] = ACTIONS(3174),
    [sym_null] = ACTIONS(3174),
    [sym_undefined] = ACTIONS(3174),
    [anon_sym_AT] = ACTIONS(3174),
    [anon_sym_static] = ACTIONS(3174),
    [anon_sym_readonly] = ACTIONS(3174),
    [anon_sym_get] = ACTIONS(3174),
    [anon_sym_set] = ACTIONS(3174),
    [anon_sym_declare] = ACTIONS(3174),
    [anon_sym_public] = ACTIONS(3174),
    [anon_sym_private] = ACTIONS(3174),
    [anon_sym_protected] = ACTIONS(3174),
    [anon_sym_override] = ACTIONS(3174),
    [anon_sym_module] = ACTIONS(3174),
    [anon_sym_any] = ACTIONS(3174),
    [anon_sym_number] = ACTIONS(3174),
    [anon_sym_boolean] = ACTIONS(3174),
    [anon_sym_string] = ACTIONS(3174),
    [anon_sym_symbol] = ACTIONS(3174),
    [anon_sym_object] = ACTIONS(3174),
    [anon_sym_abstract] = ACTIONS(3174),
    [anon_sym_interface] = ACTIONS(3174),
    [anon_sym_enum] = ACTIONS(3174),
    [sym_html_comment] = ACTIONS(5),
  },
  [1010] = {
    [sym_comment] = STATE(1010),
    [sym_identifier] = ACTIONS(3176),
    [anon_sym_export] = ACTIONS(3176),
    [anon_sym_default] = ACTIONS(3176),
    [anon_sym_type] = ACTIONS(3176),
    [anon_sym_namespace] = ACTIONS(3176),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_RBRACE] = ACTIONS(3176),
    [anon_sym_typeof] = ACTIONS(3176),
    [anon_sym_import] = ACTIONS(3176),
    [anon_sym_var] = ACTIONS(3176),
    [anon_sym_let] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3176),
    [anon_sym_BANG] = ACTIONS(3176),
    [anon_sym_else] = ACTIONS(3176),
    [anon_sym_if] = ACTIONS(3176),
    [anon_sym_switch] = ACTIONS(3176),
    [anon_sym_for] = ACTIONS(3176),
    [anon_sym_LPAREN] = ACTIONS(3176),
    [anon_sym_await] = ACTIONS(3176),
    [anon_sym_while] = ACTIONS(3176),
    [anon_sym_do] = ACTIONS(3176),
    [anon_sym_try] = ACTIONS(3176),
    [anon_sym_with] = ACTIONS(3176),
    [anon_sym_break] = ACTIONS(3176),
    [anon_sym_continue] = ACTIONS(3176),
    [anon_sym_debugger] = ACTIONS(3176),
    [anon_sym_return] = ACTIONS(3176),
    [anon_sym_throw] = ACTIONS(3176),
    [anon_sym_SEMI] = ACTIONS(3176),
    [anon_sym_case] = ACTIONS(3176),
    [anon_sym_yield] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_LTtemplate_GT] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_async] = ACTIONS(3176),
    [anon_sym_function] = ACTIONS(3176),
    [anon_sym_new] = ACTIONS(3176),
    [anon_sym_using] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3176),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_SLASH] = ACTIONS(3176),
    [anon_sym_LT] = ACTIONS(3176),
    [anon_sym_TILDE] = ACTIONS(3176),
    [anon_sym_void] = ACTIONS(3176),
    [anon_sym_delete] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [anon_sym_DQUOTE] = ACTIONS(3176),
    [anon_sym_SQUOTE] = ACTIONS(3176),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3176),
    [sym_number] = ACTIONS(3176),
    [sym_private_property_identifier] = ACTIONS(3176),
    [sym_this] = ACTIONS(3176),
    [sym_super] = ACTIONS(3176),
    [sym_true] = ACTIONS(3176),
    [sym_false] = ACTIONS(3176),
    [sym_null] = ACTIONS(3176),
    [sym_undefined] = ACTIONS(3176),
    [anon_sym_AT] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_readonly] = ACTIONS(3176),
    [anon_sym_get] = ACTIONS(3176),
    [anon_sym_set] = ACTIONS(3176),
    [anon_sym_declare] = ACTIONS(3176),
    [anon_sym_public] = ACTIONS(3176),
    [anon_sym_private] = ACTIONS(3176),
    [anon_sym_protected] = ACTIONS(3176),
    [anon_sym_override] = ACTIONS(3176),
    [anon_sym_module] = ACTIONS(3176),
    [anon_sym_any] = ACTIONS(3176),
    [anon_sym_number] = ACTIONS(3176),
    [anon_sym_boolean] = ACTIONS(3176),
    [anon_sym_string] = ACTIONS(3176),
    [anon_sym_symbol] = ACTIONS(3176),
    [anon_sym_object] = ACTIONS(3176),
    [anon_sym_abstract] = ACTIONS(3176),
    [anon_sym_interface] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [sym_html_comment] = ACTIONS(5),
  },
  [1011] = {
    [sym_comment] = STATE(1011),
    [sym_identifier] = ACTIONS(3176),
    [anon_sym_export] = ACTIONS(3176),
    [anon_sym_default] = ACTIONS(3176),
    [anon_sym_type] = ACTIONS(3176),
    [anon_sym_namespace] = ACTIONS(3176),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_RBRACE] = ACTIONS(3176),
    [anon_sym_typeof] = ACTIONS(3176),
    [anon_sym_import] = ACTIONS(3176),
    [anon_sym_var] = ACTIONS(3176),
    [anon_sym_let] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3176),
    [anon_sym_BANG] = ACTIONS(3176),
    [anon_sym_else] = ACTIONS(3176),
    [anon_sym_if] = ACTIONS(3176),
    [anon_sym_switch] = ACTIONS(3176),
    [anon_sym_for] = ACTIONS(3176),
    [anon_sym_LPAREN] = ACTIONS(3176),
    [anon_sym_await] = ACTIONS(3176),
    [anon_sym_while] = ACTIONS(3176),
    [anon_sym_do] = ACTIONS(3176),
    [anon_sym_try] = ACTIONS(3176),
    [anon_sym_with] = ACTIONS(3176),
    [anon_sym_break] = ACTIONS(3176),
    [anon_sym_continue] = ACTIONS(3176),
    [anon_sym_debugger] = ACTIONS(3176),
    [anon_sym_return] = ACTIONS(3176),
    [anon_sym_throw] = ACTIONS(3176),
    [anon_sym_SEMI] = ACTIONS(3176),
    [anon_sym_case] = ACTIONS(3176),
    [anon_sym_yield] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_LTtemplate_GT] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_async] = ACTIONS(3176),
    [anon_sym_function] = ACTIONS(3176),
    [anon_sym_new] = ACTIONS(3176),
    [anon_sym_using] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3176),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_SLASH] = ACTIONS(3176),
    [anon_sym_LT] = ACTIONS(3176),
    [anon_sym_TILDE] = ACTIONS(3176),
    [anon_sym_void] = ACTIONS(3176),
    [anon_sym_delete] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [anon_sym_DQUOTE] = ACTIONS(3176),
    [anon_sym_SQUOTE] = ACTIONS(3176),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3176),
    [sym_number] = ACTIONS(3176),
    [sym_private_property_identifier] = ACTIONS(3176),
    [sym_this] = ACTIONS(3176),
    [sym_super] = ACTIONS(3176),
    [sym_true] = ACTIONS(3176),
    [sym_false] = ACTIONS(3176),
    [sym_null] = ACTIONS(3176),
    [sym_undefined] = ACTIONS(3176),
    [anon_sym_AT] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_readonly] = ACTIONS(3176),
    [anon_sym_get] = ACTIONS(3176),
    [anon_sym_set] = ACTIONS(3176),
    [anon_sym_declare] = ACTIONS(3176),
    [anon_sym_public] = ACTIONS(3176),
    [anon_sym_private] = ACTIONS(3176),
    [anon_sym_protected] = ACTIONS(3176),
    [anon_sym_override] = ACTIONS(3176),
    [anon_sym_module] = ACTIONS(3176),
    [anon_sym_any] = ACTIONS(3176),
    [anon_sym_number] = ACTIONS(3176),
    [anon_sym_boolean] = ACTIONS(3176),
    [anon_sym_string] = ACTIONS(3176),
    [anon_sym_symbol] = ACTIONS(3176),
    [anon_sym_object] = ACTIONS(3176),
    [anon_sym_abstract] = ACTIONS(3176),
    [anon_sym_interface] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [sym_html_comment] = ACTIONS(5),
  },
  [1012] = {
    [sym_comment] = STATE(1012),
    [sym_identifier] = ACTIONS(3176),
    [anon_sym_export] = ACTIONS(3176),
    [anon_sym_default] = ACTIONS(3176),
    [anon_sym_type] = ACTIONS(3176),
    [anon_sym_namespace] = ACTIONS(3176),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_RBRACE] = ACTIONS(3176),
    [anon_sym_typeof] = ACTIONS(3176),
    [anon_sym_import] = ACTIONS(3176),
    [anon_sym_var] = ACTIONS(3176),
    [anon_sym_let] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3176),
    [anon_sym_BANG] = ACTIONS(3176),
    [anon_sym_else] = ACTIONS(3176),
    [anon_sym_if] = ACTIONS(3176),
    [anon_sym_switch] = ACTIONS(3176),
    [anon_sym_for] = ACTIONS(3176),
    [anon_sym_LPAREN] = ACTIONS(3176),
    [anon_sym_await] = ACTIONS(3176),
    [anon_sym_while] = ACTIONS(3176),
    [anon_sym_do] = ACTIONS(3176),
    [anon_sym_try] = ACTIONS(3176),
    [anon_sym_with] = ACTIONS(3176),
    [anon_sym_break] = ACTIONS(3176),
    [anon_sym_continue] = ACTIONS(3176),
    [anon_sym_debugger] = ACTIONS(3176),
    [anon_sym_return] = ACTIONS(3176),
    [anon_sym_throw] = ACTIONS(3176),
    [anon_sym_SEMI] = ACTIONS(3176),
    [anon_sym_case] = ACTIONS(3176),
    [anon_sym_yield] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_LTtemplate_GT] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_async] = ACTIONS(3176),
    [anon_sym_function] = ACTIONS(3176),
    [anon_sym_new] = ACTIONS(3176),
    [anon_sym_using] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3176),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_SLASH] = ACTIONS(3176),
    [anon_sym_LT] = ACTIONS(3176),
    [anon_sym_TILDE] = ACTIONS(3176),
    [anon_sym_void] = ACTIONS(3176),
    [anon_sym_delete] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [anon_sym_DQUOTE] = ACTIONS(3176),
    [anon_sym_SQUOTE] = ACTIONS(3176),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3176),
    [sym_number] = ACTIONS(3176),
    [sym_private_property_identifier] = ACTIONS(3176),
    [sym_this] = ACTIONS(3176),
    [sym_super] = ACTIONS(3176),
    [sym_true] = ACTIONS(3176),
    [sym_false] = ACTIONS(3176),
    [sym_null] = ACTIONS(3176),
    [sym_undefined] = ACTIONS(3176),
    [anon_sym_AT] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_readonly] = ACTIONS(3176),
    [anon_sym_get] = ACTIONS(3176),
    [anon_sym_set] = ACTIONS(3176),
    [anon_sym_declare] = ACTIONS(3176),
    [anon_sym_public] = ACTIONS(3176),
    [anon_sym_private] = ACTIONS(3176),
    [anon_sym_protected] = ACTIONS(3176),
    [anon_sym_override] = ACTIONS(3176),
    [anon_sym_module] = ACTIONS(3176),
    [anon_sym_any] = ACTIONS(3176),
    [anon_sym_number] = ACTIONS(3176),
    [anon_sym_boolean] = ACTIONS(3176),
    [anon_sym_string] = ACTIONS(3176),
    [anon_sym_symbol] = ACTIONS(3176),
    [anon_sym_object] = ACTIONS(3176),
    [anon_sym_abstract] = ACTIONS(3176),
    [anon_sym_interface] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [sym_html_comment] = ACTIONS(5),
  },
  [1013] = {
    [sym_comment] = STATE(1013),
    [ts_builtin_sym_end] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2065),
    [anon_sym_export] = ACTIONS(2065),
    [anon_sym_type] = ACTIONS(2065),
    [anon_sym_namespace] = ACTIONS(2065),
    [anon_sym_LBRACE] = ACTIONS(2065),
    [anon_sym_RBRACE] = ACTIONS(2065),
    [anon_sym_typeof] = ACTIONS(2065),
    [anon_sym_import] = ACTIONS(2065),
    [anon_sym_var] = ACTIONS(2065),
    [anon_sym_let] = ACTIONS(2065),
    [anon_sym_const] = ACTIONS(2065),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_else] = ACTIONS(2065),
    [anon_sym_if] = ACTIONS(2065),
    [anon_sym_switch] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2065),
    [anon_sym_LPAREN] = ACTIONS(2065),
    [anon_sym_await] = ACTIONS(2065),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_do] = ACTIONS(2065),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_with] = ACTIONS(2065),
    [anon_sym_break] = ACTIONS(2065),
    [anon_sym_continue] = ACTIONS(2065),
    [anon_sym_debugger] = ACTIONS(2065),
    [anon_sym_return] = ACTIONS(2065),
    [anon_sym_throw] = ACTIONS(2065),
    [anon_sym_SEMI] = ACTIONS(2065),
    [anon_sym_yield] = ACTIONS(2065),
    [anon_sym_LBRACK] = ACTIONS(2065),
    [anon_sym_LTtemplate_GT] = ACTIONS(2065),
    [anon_sym_class] = ACTIONS(2065),
    [anon_sym_async] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2065),
    [anon_sym_new] = ACTIONS(2065),
    [anon_sym_using] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2065),
    [anon_sym_DASH] = ACTIONS(2065),
    [anon_sym_SLASH] = ACTIONS(2065),
    [anon_sym_LT] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_void] = ACTIONS(2065),
    [anon_sym_delete] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_DQUOTE] = ACTIONS(2065),
    [anon_sym_SQUOTE] = ACTIONS(2065),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2065),
    [sym_number] = ACTIONS(2065),
    [sym_private_property_identifier] = ACTIONS(2065),
    [sym_this] = ACTIONS(2065),
    [sym_super] = ACTIONS(2065),
    [sym_true] = ACTIONS(2065),
    [sym_false] = ACTIONS(2065),
    [sym_null] = ACTIONS(2065),
    [sym_undefined] = ACTIONS(2065),
    [anon_sym_AT] = ACTIONS(2065),
    [anon_sym_static] = ACTIONS(2065),
    [anon_sym_readonly] = ACTIONS(2065),
    [anon_sym_get] = ACTIONS(2065),
    [anon_sym_set] = ACTIONS(2065),
    [anon_sym_declare] = ACTIONS(2065),
    [anon_sym_public] = ACTIONS(2065),
    [anon_sym_private] = ACTIONS(2065),
    [anon_sym_protected] = ACTIONS(2065),
    [anon_sym_override] = ACTIONS(2065),
    [anon_sym_module] = ACTIONS(2065),
    [anon_sym_any] = ACTIONS(2065),
    [anon_sym_number] = ACTIONS(2065),
    [anon_sym_boolean] = ACTIONS(2065),
    [anon_sym_string] = ACTIONS(2065),
    [anon_sym_symbol] = ACTIONS(2065),
    [anon_sym_object] = ACTIONS(2065),
    [anon_sym_abstract] = ACTIONS(2065),
    [anon_sym_interface] = ACTIONS(2065),
    [anon_sym_enum] = ACTIONS(2065),
    [sym__automatic_semicolon] = ACTIONS(3178),
    [sym_html_comment] = ACTIONS(5),
  },
  [1014] = {
    [sym_comment] = STATE(1014),
    [sym_identifier] = ACTIONS(3180),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_default] = ACTIONS(3180),
    [anon_sym_type] = ACTIONS(3180),
    [anon_sym_namespace] = ACTIONS(3180),
    [anon_sym_LBRACE] = ACTIONS(3180),
    [anon_sym_RBRACE] = ACTIONS(3180),
    [anon_sym_typeof] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3180),
    [anon_sym_var] = ACTIONS(3180),
    [anon_sym_let] = ACTIONS(3180),
    [anon_sym_const] = ACTIONS(3180),
    [anon_sym_BANG] = ACTIONS(3180),
    [anon_sym_else] = ACTIONS(3180),
    [anon_sym_if] = ACTIONS(3180),
    [anon_sym_switch] = ACTIONS(3180),
    [anon_sym_for] = ACTIONS(3180),
    [anon_sym_LPAREN] = ACTIONS(3180),
    [anon_sym_await] = ACTIONS(3180),
    [anon_sym_while] = ACTIONS(3180),
    [anon_sym_do] = ACTIONS(3180),
    [anon_sym_try] = ACTIONS(3180),
    [anon_sym_with] = ACTIONS(3180),
    [anon_sym_break] = ACTIONS(3180),
    [anon_sym_continue] = ACTIONS(3180),
    [anon_sym_debugger] = ACTIONS(3180),
    [anon_sym_return] = ACTIONS(3180),
    [anon_sym_throw] = ACTIONS(3180),
    [anon_sym_SEMI] = ACTIONS(3180),
    [anon_sym_case] = ACTIONS(3180),
    [anon_sym_yield] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_LTtemplate_GT] = ACTIONS(3180),
    [anon_sym_class] = ACTIONS(3180),
    [anon_sym_async] = ACTIONS(3180),
    [anon_sym_function] = ACTIONS(3180),
    [anon_sym_new] = ACTIONS(3180),
    [anon_sym_using] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_SLASH] = ACTIONS(3180),
    [anon_sym_LT] = ACTIONS(3180),
    [anon_sym_TILDE] = ACTIONS(3180),
    [anon_sym_void] = ACTIONS(3180),
    [anon_sym_delete] = ACTIONS(3180),
    [anon_sym_PLUS_PLUS] = ACTIONS(3180),
    [anon_sym_DASH_DASH] = ACTIONS(3180),
    [anon_sym_DQUOTE] = ACTIONS(3180),
    [anon_sym_SQUOTE] = ACTIONS(3180),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3180),
    [sym_number] = ACTIONS(3180),
    [sym_private_property_identifier] = ACTIONS(3180),
    [sym_this] = ACTIONS(3180),
    [sym_super] = ACTIONS(3180),
    [sym_true] = ACTIONS(3180),
    [sym_false] = ACTIONS(3180),
    [sym_null] = ACTIONS(3180),
    [sym_undefined] = ACTIONS(3180),
    [anon_sym_AT] = ACTIONS(3180),
    [anon_sym_static] = ACTIONS(3180),
    [anon_sym_readonly] = ACTIONS(3180),
    [anon_sym_get] = ACTIONS(3180),
    [anon_sym_set] = ACTIONS(3180),
    [anon_sym_declare] = ACTIONS(3180),
    [anon_sym_public] = ACTIONS(3180),
    [anon_sym_private] = ACTIONS(3180),
    [anon_sym_protected] = ACTIONS(3180),
    [anon_sym_override] = ACTIONS(3180),
    [anon_sym_module] = ACTIONS(3180),
    [anon_sym_any] = ACTIONS(3180),
    [anon_sym_number] = ACTIONS(3180),
    [anon_sym_boolean] = ACTIONS(3180),
    [anon_sym_string] = ACTIONS(3180),
    [anon_sym_symbol] = ACTIONS(3180),
    [anon_sym_object] = ACTIONS(3180),
    [anon_sym_abstract] = ACTIONS(3180),
    [anon_sym_interface] = ACTIONS(3180),
    [anon_sym_enum] = ACTIONS(3180),
    [sym_html_comment] = ACTIONS(5),
  },
  [1015] = {
    [sym_comment] = STATE(1015),
    [sym_identifier] = ACTIONS(3182),
    [anon_sym_export] = ACTIONS(3182),
    [anon_sym_default] = ACTIONS(3182),
    [anon_sym_type] = ACTIONS(3182),
    [anon_sym_namespace] = ACTIONS(3182),
    [anon_sym_LBRACE] = ACTIONS(3182),
    [anon_sym_RBRACE] = ACTIONS(3182),
    [anon_sym_typeof] = ACTIONS(3182),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_var] = ACTIONS(3182),
    [anon_sym_let] = ACTIONS(3182),
    [anon_sym_const] = ACTIONS(3182),
    [anon_sym_BANG] = ACTIONS(3182),
    [anon_sym_else] = ACTIONS(3182),
    [anon_sym_if] = ACTIONS(3182),
    [anon_sym_switch] = ACTIONS(3182),
    [anon_sym_for] = ACTIONS(3182),
    [anon_sym_LPAREN] = ACTIONS(3182),
    [anon_sym_await] = ACTIONS(3182),
    [anon_sym_while] = ACTIONS(3182),
    [anon_sym_do] = ACTIONS(3182),
    [anon_sym_try] = ACTIONS(3182),
    [anon_sym_with] = ACTIONS(3182),
    [anon_sym_break] = ACTIONS(3182),
    [anon_sym_continue] = ACTIONS(3182),
    [anon_sym_debugger] = ACTIONS(3182),
    [anon_sym_return] = ACTIONS(3182),
    [anon_sym_throw] = ACTIONS(3182),
    [anon_sym_SEMI] = ACTIONS(3182),
    [anon_sym_case] = ACTIONS(3182),
    [anon_sym_yield] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3182),
    [anon_sym_LTtemplate_GT] = ACTIONS(3182),
    [anon_sym_class] = ACTIONS(3182),
    [anon_sym_async] = ACTIONS(3182),
    [anon_sym_function] = ACTIONS(3182),
    [anon_sym_new] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_PLUS] = ACTIONS(3182),
    [anon_sym_DASH] = ACTIONS(3182),
    [anon_sym_SLASH] = ACTIONS(3182),
    [anon_sym_LT] = ACTIONS(3182),
    [anon_sym_TILDE] = ACTIONS(3182),
    [anon_sym_void] = ACTIONS(3182),
    [anon_sym_delete] = ACTIONS(3182),
    [anon_sym_PLUS_PLUS] = ACTIONS(3182),
    [anon_sym_DASH_DASH] = ACTIONS(3182),
    [anon_sym_DQUOTE] = ACTIONS(3182),
    [anon_sym_SQUOTE] = ACTIONS(3182),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3182),
    [sym_number] = ACTIONS(3182),
    [sym_private_property_identifier] = ACTIONS(3182),
    [sym_this] = ACTIONS(3182),
    [sym_super] = ACTIONS(3182),
    [sym_true] = ACTIONS(3182),
    [sym_false] = ACTIONS(3182),
    [sym_null] = ACTIONS(3182),
    [sym_undefined] = ACTIONS(3182),
    [anon_sym_AT] = ACTIONS(3182),
    [anon_sym_static] = ACTIONS(3182),
    [anon_sym_readonly] = ACTIONS(3182),
    [anon_sym_get] = ACTIONS(3182),
    [anon_sym_set] = ACTIONS(3182),
    [anon_sym_declare] = ACTIONS(3182),
    [anon_sym_public] = ACTIONS(3182),
    [anon_sym_private] = ACTIONS(3182),
    [anon_sym_protected] = ACTIONS(3182),
    [anon_sym_override] = ACTIONS(3182),
    [anon_sym_module] = ACTIONS(3182),
    [anon_sym_any] = ACTIONS(3182),
    [anon_sym_number] = ACTIONS(3182),
    [anon_sym_boolean] = ACTIONS(3182),
    [anon_sym_string] = ACTIONS(3182),
    [anon_sym_symbol] = ACTIONS(3182),
    [anon_sym_object] = ACTIONS(3182),
    [anon_sym_abstract] = ACTIONS(3182),
    [anon_sym_interface] = ACTIONS(3182),
    [anon_sym_enum] = ACTIONS(3182),
    [sym_html_comment] = ACTIONS(5),
  },
  [1016] = {
    [sym_comment] = STATE(1016),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_export] = ACTIONS(2259),
    [anon_sym_default] = ACTIONS(2259),
    [anon_sym_type] = ACTIONS(2259),
    [anon_sym_namespace] = ACTIONS(2259),
    [anon_sym_LBRACE] = ACTIONS(2259),
    [anon_sym_RBRACE] = ACTIONS(2259),
    [anon_sym_typeof] = ACTIONS(2259),
    [anon_sym_import] = ACTIONS(2259),
    [anon_sym_var] = ACTIONS(2259),
    [anon_sym_let] = ACTIONS(2259),
    [anon_sym_const] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2259),
    [anon_sym_if] = ACTIONS(2259),
    [anon_sym_switch] = ACTIONS(2259),
    [anon_sym_for] = ACTIONS(2259),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_while] = ACTIONS(2259),
    [anon_sym_do] = ACTIONS(2259),
    [anon_sym_try] = ACTIONS(2259),
    [anon_sym_with] = ACTIONS(2259),
    [anon_sym_break] = ACTIONS(2259),
    [anon_sym_continue] = ACTIONS(2259),
    [anon_sym_debugger] = ACTIONS(2259),
    [anon_sym_return] = ACTIONS(2259),
    [anon_sym_throw] = ACTIONS(2259),
    [anon_sym_SEMI] = ACTIONS(2259),
    [anon_sym_case] = ACTIONS(2259),
    [anon_sym_yield] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2259),
    [anon_sym_LTtemplate_GT] = ACTIONS(2259),
    [anon_sym_class] = ACTIONS(2259),
    [anon_sym_async] = ACTIONS(2259),
    [anon_sym_function] = ACTIONS(2259),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_using] = ACTIONS(2259),
    [anon_sym_PLUS] = ACTIONS(2259),
    [anon_sym_DASH] = ACTIONS(2259),
    [anon_sym_SLASH] = ACTIONS(2259),
    [anon_sym_LT] = ACTIONS(2259),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_void] = ACTIONS(2259),
    [anon_sym_delete] = ACTIONS(2259),
    [anon_sym_PLUS_PLUS] = ACTIONS(2259),
    [anon_sym_DASH_DASH] = ACTIONS(2259),
    [anon_sym_DQUOTE] = ACTIONS(2259),
    [anon_sym_SQUOTE] = ACTIONS(2259),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2259),
    [sym_number] = ACTIONS(2259),
    [sym_private_property_identifier] = ACTIONS(2259),
    [sym_this] = ACTIONS(2259),
    [sym_super] = ACTIONS(2259),
    [sym_true] = ACTIONS(2259),
    [sym_false] = ACTIONS(2259),
    [sym_null] = ACTIONS(2259),
    [sym_undefined] = ACTIONS(2259),
    [anon_sym_AT] = ACTIONS(2259),
    [anon_sym_static] = ACTIONS(2259),
    [anon_sym_readonly] = ACTIONS(2259),
    [anon_sym_get] = ACTIONS(2259),
    [anon_sym_set] = ACTIONS(2259),
    [anon_sym_declare] = ACTIONS(2259),
    [anon_sym_public] = ACTIONS(2259),
    [anon_sym_private] = ACTIONS(2259),
    [anon_sym_protected] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2259),
    [anon_sym_module] = ACTIONS(2259),
    [anon_sym_any] = ACTIONS(2259),
    [anon_sym_number] = ACTIONS(2259),
    [anon_sym_boolean] = ACTIONS(2259),
    [anon_sym_string] = ACTIONS(2259),
    [anon_sym_symbol] = ACTIONS(2259),
    [anon_sym_object] = ACTIONS(2259),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_interface] = ACTIONS(2259),
    [anon_sym_enum] = ACTIONS(2259),
    [sym__automatic_semicolon] = ACTIONS(2291),
    [sym_html_comment] = ACTIONS(5),
  },
  [1017] = {
    [sym_comment] = STATE(1017),
    [sym_identifier] = ACTIONS(3184),
    [anon_sym_export] = ACTIONS(3184),
    [anon_sym_default] = ACTIONS(3184),
    [anon_sym_type] = ACTIONS(3184),
    [anon_sym_namespace] = ACTIONS(3184),
    [anon_sym_LBRACE] = ACTIONS(3184),
    [anon_sym_RBRACE] = ACTIONS(3184),
    [anon_sym_typeof] = ACTIONS(3184),
    [anon_sym_import] = ACTIONS(3184),
    [anon_sym_var] = ACTIONS(3184),
    [anon_sym_let] = ACTIONS(3184),
    [anon_sym_const] = ACTIONS(3184),
    [anon_sym_BANG] = ACTIONS(3184),
    [anon_sym_else] = ACTIONS(3184),
    [anon_sym_if] = ACTIONS(3184),
    [anon_sym_switch] = ACTIONS(3184),
    [anon_sym_for] = ACTIONS(3184),
    [anon_sym_LPAREN] = ACTIONS(3184),
    [anon_sym_await] = ACTIONS(3184),
    [anon_sym_while] = ACTIONS(3184),
    [anon_sym_do] = ACTIONS(3184),
    [anon_sym_try] = ACTIONS(3184),
    [anon_sym_with] = ACTIONS(3184),
    [anon_sym_break] = ACTIONS(3184),
    [anon_sym_continue] = ACTIONS(3184),
    [anon_sym_debugger] = ACTIONS(3184),
    [anon_sym_return] = ACTIONS(3184),
    [anon_sym_throw] = ACTIONS(3184),
    [anon_sym_SEMI] = ACTIONS(3184),
    [anon_sym_case] = ACTIONS(3184),
    [anon_sym_yield] = ACTIONS(3184),
    [anon_sym_LBRACK] = ACTIONS(3184),
    [anon_sym_LTtemplate_GT] = ACTIONS(3184),
    [anon_sym_class] = ACTIONS(3184),
    [anon_sym_async] = ACTIONS(3184),
    [anon_sym_function] = ACTIONS(3184),
    [anon_sym_new] = ACTIONS(3184),
    [anon_sym_using] = ACTIONS(3184),
    [anon_sym_PLUS] = ACTIONS(3184),
    [anon_sym_DASH] = ACTIONS(3184),
    [anon_sym_SLASH] = ACTIONS(3184),
    [anon_sym_LT] = ACTIONS(3184),
    [anon_sym_TILDE] = ACTIONS(3184),
    [anon_sym_void] = ACTIONS(3184),
    [anon_sym_delete] = ACTIONS(3184),
    [anon_sym_PLUS_PLUS] = ACTIONS(3184),
    [anon_sym_DASH_DASH] = ACTIONS(3184),
    [anon_sym_DQUOTE] = ACTIONS(3184),
    [anon_sym_SQUOTE] = ACTIONS(3184),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3184),
    [sym_number] = ACTIONS(3184),
    [sym_private_property_identifier] = ACTIONS(3184),
    [sym_this] = ACTIONS(3184),
    [sym_super] = ACTIONS(3184),
    [sym_true] = ACTIONS(3184),
    [sym_false] = ACTIONS(3184),
    [sym_null] = ACTIONS(3184),
    [sym_undefined] = ACTIONS(3184),
    [anon_sym_AT] = ACTIONS(3184),
    [anon_sym_static] = ACTIONS(3184),
    [anon_sym_readonly] = ACTIONS(3184),
    [anon_sym_get] = ACTIONS(3184),
    [anon_sym_set] = ACTIONS(3184),
    [anon_sym_declare] = ACTIONS(3184),
    [anon_sym_public] = ACTIONS(3184),
    [anon_sym_private] = ACTIONS(3184),
    [anon_sym_protected] = ACTIONS(3184),
    [anon_sym_override] = ACTIONS(3184),
    [anon_sym_module] = ACTIONS(3184),
    [anon_sym_any] = ACTIONS(3184),
    [anon_sym_number] = ACTIONS(3184),
    [anon_sym_boolean] = ACTIONS(3184),
    [anon_sym_string] = ACTIONS(3184),
    [anon_sym_symbol] = ACTIONS(3184),
    [anon_sym_object] = ACTIONS(3184),
    [anon_sym_abstract] = ACTIONS(3184),
    [anon_sym_interface] = ACTIONS(3184),
    [anon_sym_enum] = ACTIONS(3184),
    [sym_html_comment] = ACTIONS(5),
  },
  [1018] = {
    [sym_comment] = STATE(1018),
    [sym_identifier] = ACTIONS(3186),
    [anon_sym_export] = ACTIONS(3186),
    [anon_sym_default] = ACTIONS(3186),
    [anon_sym_type] = ACTIONS(3186),
    [anon_sym_namespace] = ACTIONS(3186),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_RBRACE] = ACTIONS(3186),
    [anon_sym_typeof] = ACTIONS(3186),
    [anon_sym_import] = ACTIONS(3186),
    [anon_sym_var] = ACTIONS(3186),
    [anon_sym_let] = ACTIONS(3186),
    [anon_sym_const] = ACTIONS(3186),
    [anon_sym_BANG] = ACTIONS(3186),
    [anon_sym_else] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_switch] = ACTIONS(3186),
    [anon_sym_for] = ACTIONS(3186),
    [anon_sym_LPAREN] = ACTIONS(3186),
    [anon_sym_await] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_try] = ACTIONS(3186),
    [anon_sym_with] = ACTIONS(3186),
    [anon_sym_break] = ACTIONS(3186),
    [anon_sym_continue] = ACTIONS(3186),
    [anon_sym_debugger] = ACTIONS(3186),
    [anon_sym_return] = ACTIONS(3186),
    [anon_sym_throw] = ACTIONS(3186),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_case] = ACTIONS(3186),
    [anon_sym_yield] = ACTIONS(3186),
    [anon_sym_LBRACK] = ACTIONS(3186),
    [anon_sym_LTtemplate_GT] = ACTIONS(3186),
    [anon_sym_class] = ACTIONS(3186),
    [anon_sym_async] = ACTIONS(3186),
    [anon_sym_function] = ACTIONS(3186),
    [anon_sym_new] = ACTIONS(3186),
    [anon_sym_using] = ACTIONS(3186),
    [anon_sym_PLUS] = ACTIONS(3186),
    [anon_sym_DASH] = ACTIONS(3186),
    [anon_sym_SLASH] = ACTIONS(3186),
    [anon_sym_LT] = ACTIONS(3186),
    [anon_sym_TILDE] = ACTIONS(3186),
    [anon_sym_void] = ACTIONS(3186),
    [anon_sym_delete] = ACTIONS(3186),
    [anon_sym_PLUS_PLUS] = ACTIONS(3186),
    [anon_sym_DASH_DASH] = ACTIONS(3186),
    [anon_sym_DQUOTE] = ACTIONS(3186),
    [anon_sym_SQUOTE] = ACTIONS(3186),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3186),
    [sym_number] = ACTIONS(3186),
    [sym_private_property_identifier] = ACTIONS(3186),
    [sym_this] = ACTIONS(3186),
    [sym_super] = ACTIONS(3186),
    [sym_true] = ACTIONS(3186),
    [sym_false] = ACTIONS(3186),
    [sym_null] = ACTIONS(3186),
    [sym_undefined] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(3186),
    [anon_sym_static] = ACTIONS(3186),
    [anon_sym_readonly] = ACTIONS(3186),
    [anon_sym_get] = ACTIONS(3186),
    [anon_sym_set] = ACTIONS(3186),
    [anon_sym_declare] = ACTIONS(3186),
    [anon_sym_public] = ACTIONS(3186),
    [anon_sym_private] = ACTIONS(3186),
    [anon_sym_protected] = ACTIONS(3186),
    [anon_sym_override] = ACTIONS(3186),
    [anon_sym_module] = ACTIONS(3186),
    [anon_sym_any] = ACTIONS(3186),
    [anon_sym_number] = ACTIONS(3186),
    [anon_sym_boolean] = ACTIONS(3186),
    [anon_sym_string] = ACTIONS(3186),
    [anon_sym_symbol] = ACTIONS(3186),
    [anon_sym_object] = ACTIONS(3186),
    [anon_sym_abstract] = ACTIONS(3186),
    [anon_sym_interface] = ACTIONS(3186),
    [anon_sym_enum] = ACTIONS(3186),
    [sym_html_comment] = ACTIONS(5),
  },
  [1019] = {
    [sym_comment] = STATE(1019),
    [sym_identifier] = ACTIONS(3188),
    [anon_sym_export] = ACTIONS(3188),
    [anon_sym_default] = ACTIONS(3188),
    [anon_sym_type] = ACTIONS(3188),
    [anon_sym_namespace] = ACTIONS(3188),
    [anon_sym_LBRACE] = ACTIONS(3188),
    [anon_sym_RBRACE] = ACTIONS(3188),
    [anon_sym_typeof] = ACTIONS(3188),
    [anon_sym_import] = ACTIONS(3188),
    [anon_sym_var] = ACTIONS(3188),
    [anon_sym_let] = ACTIONS(3188),
    [anon_sym_const] = ACTIONS(3188),
    [anon_sym_BANG] = ACTIONS(3188),
    [anon_sym_else] = ACTIONS(3188),
    [anon_sym_if] = ACTIONS(3188),
    [anon_sym_switch] = ACTIONS(3188),
    [anon_sym_for] = ACTIONS(3188),
    [anon_sym_LPAREN] = ACTIONS(3188),
    [anon_sym_await] = ACTIONS(3188),
    [anon_sym_while] = ACTIONS(3188),
    [anon_sym_do] = ACTIONS(3188),
    [anon_sym_try] = ACTIONS(3188),
    [anon_sym_with] = ACTIONS(3188),
    [anon_sym_break] = ACTIONS(3188),
    [anon_sym_continue] = ACTIONS(3188),
    [anon_sym_debugger] = ACTIONS(3188),
    [anon_sym_return] = ACTIONS(3188),
    [anon_sym_throw] = ACTIONS(3188),
    [anon_sym_SEMI] = ACTIONS(3188),
    [anon_sym_case] = ACTIONS(3188),
    [anon_sym_yield] = ACTIONS(3188),
    [anon_sym_LBRACK] = ACTIONS(3188),
    [anon_sym_LTtemplate_GT] = ACTIONS(3188),
    [anon_sym_class] = ACTIONS(3188),
    [anon_sym_async] = ACTIONS(3188),
    [anon_sym_function] = ACTIONS(3188),
    [anon_sym_new] = ACTIONS(3188),
    [anon_sym_using] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_SLASH] = ACTIONS(3188),
    [anon_sym_LT] = ACTIONS(3188),
    [anon_sym_TILDE] = ACTIONS(3188),
    [anon_sym_void] = ACTIONS(3188),
    [anon_sym_delete] = ACTIONS(3188),
    [anon_sym_PLUS_PLUS] = ACTIONS(3188),
    [anon_sym_DASH_DASH] = ACTIONS(3188),
    [anon_sym_DQUOTE] = ACTIONS(3188),
    [anon_sym_SQUOTE] = ACTIONS(3188),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3188),
    [sym_number] = ACTIONS(3188),
    [sym_private_property_identifier] = ACTIONS(3188),
    [sym_this] = ACTIONS(3188),
    [sym_super] = ACTIONS(3188),
    [sym_true] = ACTIONS(3188),
    [sym_false] = ACTIONS(3188),
    [sym_null] = ACTIONS(3188),
    [sym_undefined] = ACTIONS(3188),
    [anon_sym_AT] = ACTIONS(3188),
    [anon_sym_static] = ACTIONS(3188),
    [anon_sym_readonly] = ACTIONS(3188),
    [anon_sym_get] = ACTIONS(3188),
    [anon_sym_set] = ACTIONS(3188),
    [anon_sym_declare] = ACTIONS(3188),
    [anon_sym_public] = ACTIONS(3188),
    [anon_sym_private] = ACTIONS(3188),
    [anon_sym_protected] = ACTIONS(3188),
    [anon_sym_override] = ACTIONS(3188),
    [anon_sym_module] = ACTIONS(3188),
    [anon_sym_any] = ACTIONS(3188),
    [anon_sym_number] = ACTIONS(3188),
    [anon_sym_boolean] = ACTIONS(3188),
    [anon_sym_string] = ACTIONS(3188),
    [anon_sym_symbol] = ACTIONS(3188),
    [anon_sym_object] = ACTIONS(3188),
    [anon_sym_abstract] = ACTIONS(3188),
    [anon_sym_interface] = ACTIONS(3188),
    [anon_sym_enum] = ACTIONS(3188),
    [sym_html_comment] = ACTIONS(5),
  },
  [1020] = {
    [sym_comment] = STATE(1020),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_export] = ACTIONS(3190),
    [anon_sym_default] = ACTIONS(3190),
    [anon_sym_type] = ACTIONS(3190),
    [anon_sym_namespace] = ACTIONS(3190),
    [anon_sym_LBRACE] = ACTIONS(3190),
    [anon_sym_RBRACE] = ACTIONS(3190),
    [anon_sym_typeof] = ACTIONS(3190),
    [anon_sym_import] = ACTIONS(3190),
    [anon_sym_var] = ACTIONS(3190),
    [anon_sym_let] = ACTIONS(3190),
    [anon_sym_const] = ACTIONS(3190),
    [anon_sym_BANG] = ACTIONS(3190),
    [anon_sym_else] = ACTIONS(3190),
    [anon_sym_if] = ACTIONS(3190),
    [anon_sym_switch] = ACTIONS(3190),
    [anon_sym_for] = ACTIONS(3190),
    [anon_sym_LPAREN] = ACTIONS(3190),
    [anon_sym_await] = ACTIONS(3190),
    [anon_sym_while] = ACTIONS(3190),
    [anon_sym_do] = ACTIONS(3190),
    [anon_sym_try] = ACTIONS(3190),
    [anon_sym_with] = ACTIONS(3190),
    [anon_sym_break] = ACTIONS(3190),
    [anon_sym_continue] = ACTIONS(3190),
    [anon_sym_debugger] = ACTIONS(3190),
    [anon_sym_return] = ACTIONS(3190),
    [anon_sym_throw] = ACTIONS(3190),
    [anon_sym_SEMI] = ACTIONS(3190),
    [anon_sym_case] = ACTIONS(3190),
    [anon_sym_yield] = ACTIONS(3190),
    [anon_sym_LBRACK] = ACTIONS(3190),
    [anon_sym_LTtemplate_GT] = ACTIONS(3190),
    [anon_sym_class] = ACTIONS(3190),
    [anon_sym_async] = ACTIONS(3190),
    [anon_sym_function] = ACTIONS(3190),
    [anon_sym_new] = ACTIONS(3190),
    [anon_sym_using] = ACTIONS(3190),
    [anon_sym_PLUS] = ACTIONS(3190),
    [anon_sym_DASH] = ACTIONS(3190),
    [anon_sym_SLASH] = ACTIONS(3190),
    [anon_sym_LT] = ACTIONS(3190),
    [anon_sym_TILDE] = ACTIONS(3190),
    [anon_sym_void] = ACTIONS(3190),
    [anon_sym_delete] = ACTIONS(3190),
    [anon_sym_PLUS_PLUS] = ACTIONS(3190),
    [anon_sym_DASH_DASH] = ACTIONS(3190),
    [anon_sym_DQUOTE] = ACTIONS(3190),
    [anon_sym_SQUOTE] = ACTIONS(3190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3190),
    [sym_number] = ACTIONS(3190),
    [sym_private_property_identifier] = ACTIONS(3190),
    [sym_this] = ACTIONS(3190),
    [sym_super] = ACTIONS(3190),
    [sym_true] = ACTIONS(3190),
    [sym_false] = ACTIONS(3190),
    [sym_null] = ACTIONS(3190),
    [sym_undefined] = ACTIONS(3190),
    [anon_sym_AT] = ACTIONS(3190),
    [anon_sym_static] = ACTIONS(3190),
    [anon_sym_readonly] = ACTIONS(3190),
    [anon_sym_get] = ACTIONS(3190),
    [anon_sym_set] = ACTIONS(3190),
    [anon_sym_declare] = ACTIONS(3190),
    [anon_sym_public] = ACTIONS(3190),
    [anon_sym_private] = ACTIONS(3190),
    [anon_sym_protected] = ACTIONS(3190),
    [anon_sym_override] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(3190),
    [anon_sym_any] = ACTIONS(3190),
    [anon_sym_number] = ACTIONS(3190),
    [anon_sym_boolean] = ACTIONS(3190),
    [anon_sym_string] = ACTIONS(3190),
    [anon_sym_symbol] = ACTIONS(3190),
    [anon_sym_object] = ACTIONS(3190),
    [anon_sym_abstract] = ACTIONS(3190),
    [anon_sym_interface] = ACTIONS(3190),
    [anon_sym_enum] = ACTIONS(3190),
    [sym_html_comment] = ACTIONS(5),
  },
  [1021] = {
    [sym_comment] = STATE(1021),
    [sym_identifier] = ACTIONS(3192),
    [anon_sym_export] = ACTIONS(3192),
    [anon_sym_default] = ACTIONS(3192),
    [anon_sym_type] = ACTIONS(3192),
    [anon_sym_namespace] = ACTIONS(3192),
    [anon_sym_LBRACE] = ACTIONS(3192),
    [anon_sym_RBRACE] = ACTIONS(3192),
    [anon_sym_typeof] = ACTIONS(3192),
    [anon_sym_import] = ACTIONS(3192),
    [anon_sym_var] = ACTIONS(3192),
    [anon_sym_let] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3192),
    [anon_sym_BANG] = ACTIONS(3192),
    [anon_sym_else] = ACTIONS(3192),
    [anon_sym_if] = ACTIONS(3192),
    [anon_sym_switch] = ACTIONS(3192),
    [anon_sym_for] = ACTIONS(3192),
    [anon_sym_LPAREN] = ACTIONS(3192),
    [anon_sym_await] = ACTIONS(3192),
    [anon_sym_while] = ACTIONS(3192),
    [anon_sym_do] = ACTIONS(3192),
    [anon_sym_try] = ACTIONS(3192),
    [anon_sym_with] = ACTIONS(3192),
    [anon_sym_break] = ACTIONS(3192),
    [anon_sym_continue] = ACTIONS(3192),
    [anon_sym_debugger] = ACTIONS(3192),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_throw] = ACTIONS(3192),
    [anon_sym_SEMI] = ACTIONS(3192),
    [anon_sym_case] = ACTIONS(3192),
    [anon_sym_yield] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(3192),
    [anon_sym_LTtemplate_GT] = ACTIONS(3192),
    [anon_sym_class] = ACTIONS(3192),
    [anon_sym_async] = ACTIONS(3192),
    [anon_sym_function] = ACTIONS(3192),
    [anon_sym_new] = ACTIONS(3192),
    [anon_sym_using] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3192),
    [anon_sym_DASH] = ACTIONS(3192),
    [anon_sym_SLASH] = ACTIONS(3192),
    [anon_sym_LT] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3192),
    [anon_sym_void] = ACTIONS(3192),
    [anon_sym_delete] = ACTIONS(3192),
    [anon_sym_PLUS_PLUS] = ACTIONS(3192),
    [anon_sym_DASH_DASH] = ACTIONS(3192),
    [anon_sym_DQUOTE] = ACTIONS(3192),
    [anon_sym_SQUOTE] = ACTIONS(3192),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3192),
    [sym_number] = ACTIONS(3192),
    [sym_private_property_identifier] = ACTIONS(3192),
    [sym_this] = ACTIONS(3192),
    [sym_super] = ACTIONS(3192),
    [sym_true] = ACTIONS(3192),
    [sym_false] = ACTIONS(3192),
    [sym_null] = ACTIONS(3192),
    [sym_undefined] = ACTIONS(3192),
    [anon_sym_AT] = ACTIONS(3192),
    [anon_sym_static] = ACTIONS(3192),
    [anon_sym_readonly] = ACTIONS(3192),
    [anon_sym_get] = ACTIONS(3192),
    [anon_sym_set] = ACTIONS(3192),
    [anon_sym_declare] = ACTIONS(3192),
    [anon_sym_public] = ACTIONS(3192),
    [anon_sym_private] = ACTIONS(3192),
    [anon_sym_protected] = ACTIONS(3192),
    [anon_sym_override] = ACTIONS(3192),
    [anon_sym_module] = ACTIONS(3192),
    [anon_sym_any] = ACTIONS(3192),
    [anon_sym_number] = ACTIONS(3192),
    [anon_sym_boolean] = ACTIONS(3192),
    [anon_sym_string] = ACTIONS(3192),
    [anon_sym_symbol] = ACTIONS(3192),
    [anon_sym_object] = ACTIONS(3192),
    [anon_sym_abstract] = ACTIONS(3192),
    [anon_sym_interface] = ACTIONS(3192),
    [anon_sym_enum] = ACTIONS(3192),
    [sym_html_comment] = ACTIONS(5),
  },
  [1022] = {
    [sym_comment] = STATE(1022),
    [sym_identifier] = ACTIONS(3194),
    [anon_sym_export] = ACTIONS(3194),
    [anon_sym_default] = ACTIONS(3194),
    [anon_sym_type] = ACTIONS(3194),
    [anon_sym_namespace] = ACTIONS(3194),
    [anon_sym_LBRACE] = ACTIONS(3194),
    [anon_sym_RBRACE] = ACTIONS(3194),
    [anon_sym_typeof] = ACTIONS(3194),
    [anon_sym_import] = ACTIONS(3194),
    [anon_sym_var] = ACTIONS(3194),
    [anon_sym_let] = ACTIONS(3194),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_BANG] = ACTIONS(3194),
    [anon_sym_else] = ACTIONS(3194),
    [anon_sym_if] = ACTIONS(3194),
    [anon_sym_switch] = ACTIONS(3194),
    [anon_sym_for] = ACTIONS(3194),
    [anon_sym_LPAREN] = ACTIONS(3194),
    [anon_sym_await] = ACTIONS(3194),
    [anon_sym_while] = ACTIONS(3194),
    [anon_sym_do] = ACTIONS(3194),
    [anon_sym_try] = ACTIONS(3194),
    [anon_sym_with] = ACTIONS(3194),
    [anon_sym_break] = ACTIONS(3194),
    [anon_sym_continue] = ACTIONS(3194),
    [anon_sym_debugger] = ACTIONS(3194),
    [anon_sym_return] = ACTIONS(3194),
    [anon_sym_throw] = ACTIONS(3194),
    [anon_sym_SEMI] = ACTIONS(3194),
    [anon_sym_case] = ACTIONS(3194),
    [anon_sym_yield] = ACTIONS(3194),
    [anon_sym_LBRACK] = ACTIONS(3194),
    [anon_sym_LTtemplate_GT] = ACTIONS(3194),
    [anon_sym_class] = ACTIONS(3194),
    [anon_sym_async] = ACTIONS(3194),
    [anon_sym_function] = ACTIONS(3194),
    [anon_sym_new] = ACTIONS(3194),
    [anon_sym_using] = ACTIONS(3194),
    [anon_sym_PLUS] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3194),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_LT] = ACTIONS(3194),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_void] = ACTIONS(3194),
    [anon_sym_delete] = ACTIONS(3194),
    [anon_sym_PLUS_PLUS] = ACTIONS(3194),
    [anon_sym_DASH_DASH] = ACTIONS(3194),
    [anon_sym_DQUOTE] = ACTIONS(3194),
    [anon_sym_SQUOTE] = ACTIONS(3194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3194),
    [sym_number] = ACTIONS(3194),
    [sym_private_property_identifier] = ACTIONS(3194),
    [sym_this] = ACTIONS(3194),
    [sym_super] = ACTIONS(3194),
    [sym_true] = ACTIONS(3194),
    [sym_false] = ACTIONS(3194),
    [sym_null] = ACTIONS(3194),
    [sym_undefined] = ACTIONS(3194),
    [anon_sym_AT] = ACTIONS(3194),
    [anon_sym_static] = ACTIONS(3194),
    [anon_sym_readonly] = ACTIONS(3194),
    [anon_sym_get] = ACTIONS(3194),
    [anon_sym_set] = ACTIONS(3194),
    [anon_sym_declare] = ACTIONS(3194),
    [anon_sym_public] = ACTIONS(3194),
    [anon_sym_private] = ACTIONS(3194),
    [anon_sym_protected] = ACTIONS(3194),
    [anon_sym_override] = ACTIONS(3194),
    [anon_sym_module] = ACTIONS(3194),
    [anon_sym_any] = ACTIONS(3194),
    [anon_sym_number] = ACTIONS(3194),
    [anon_sym_boolean] = ACTIONS(3194),
    [anon_sym_string] = ACTIONS(3194),
    [anon_sym_symbol] = ACTIONS(3194),
    [anon_sym_object] = ACTIONS(3194),
    [anon_sym_abstract] = ACTIONS(3194),
    [anon_sym_interface] = ACTIONS(3194),
    [anon_sym_enum] = ACTIONS(3194),
    [sym_html_comment] = ACTIONS(5),
  },
  [1023] = {
    [sym_comment] = STATE(1023),
    [sym_identifier] = ACTIONS(3194),
    [anon_sym_export] = ACTIONS(3194),
    [anon_sym_default] = ACTIONS(3194),
    [anon_sym_type] = ACTIONS(3194),
    [anon_sym_namespace] = ACTIONS(3194),
    [anon_sym_LBRACE] = ACTIONS(3194),
    [anon_sym_RBRACE] = ACTIONS(3194),
    [anon_sym_typeof] = ACTIONS(3194),
    [anon_sym_import] = ACTIONS(3194),
    [anon_sym_var] = ACTIONS(3194),
    [anon_sym_let] = ACTIONS(3194),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_BANG] = ACTIONS(3194),
    [anon_sym_else] = ACTIONS(3194),
    [anon_sym_if] = ACTIONS(3194),
    [anon_sym_switch] = ACTIONS(3194),
    [anon_sym_for] = ACTIONS(3194),
    [anon_sym_LPAREN] = ACTIONS(3194),
    [anon_sym_await] = ACTIONS(3194),
    [anon_sym_while] = ACTIONS(3194),
    [anon_sym_do] = ACTIONS(3194),
    [anon_sym_try] = ACTIONS(3194),
    [anon_sym_with] = ACTIONS(3194),
    [anon_sym_break] = ACTIONS(3194),
    [anon_sym_continue] = ACTIONS(3194),
    [anon_sym_debugger] = ACTIONS(3194),
    [anon_sym_return] = ACTIONS(3194),
    [anon_sym_throw] = ACTIONS(3194),
    [anon_sym_SEMI] = ACTIONS(3194),
    [anon_sym_case] = ACTIONS(3194),
    [anon_sym_yield] = ACTIONS(3194),
    [anon_sym_LBRACK] = ACTIONS(3194),
    [anon_sym_LTtemplate_GT] = ACTIONS(3194),
    [anon_sym_class] = ACTIONS(3194),
    [anon_sym_async] = ACTIONS(3194),
    [anon_sym_function] = ACTIONS(3194),
    [anon_sym_new] = ACTIONS(3194),
    [anon_sym_using] = ACTIONS(3194),
    [anon_sym_PLUS] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3194),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_LT] = ACTIONS(3194),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_void] = ACTIONS(3194),
    [anon_sym_delete] = ACTIONS(3194),
    [anon_sym_PLUS_PLUS] = ACTIONS(3194),
    [anon_sym_DASH_DASH] = ACTIONS(3194),
    [anon_sym_DQUOTE] = ACTIONS(3194),
    [anon_sym_SQUOTE] = ACTIONS(3194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3194),
    [sym_number] = ACTIONS(3194),
    [sym_private_property_identifier] = ACTIONS(3194),
    [sym_this] = ACTIONS(3194),
    [sym_super] = ACTIONS(3194),
    [sym_true] = ACTIONS(3194),
    [sym_false] = ACTIONS(3194),
    [sym_null] = ACTIONS(3194),
    [sym_undefined] = ACTIONS(3194),
    [anon_sym_AT] = ACTIONS(3194),
    [anon_sym_static] = ACTIONS(3194),
    [anon_sym_readonly] = ACTIONS(3194),
    [anon_sym_get] = ACTIONS(3194),
    [anon_sym_set] = ACTIONS(3194),
    [anon_sym_declare] = ACTIONS(3194),
    [anon_sym_public] = ACTIONS(3194),
    [anon_sym_private] = ACTIONS(3194),
    [anon_sym_protected] = ACTIONS(3194),
    [anon_sym_override] = ACTIONS(3194),
    [anon_sym_module] = ACTIONS(3194),
    [anon_sym_any] = ACTIONS(3194),
    [anon_sym_number] = ACTIONS(3194),
    [anon_sym_boolean] = ACTIONS(3194),
    [anon_sym_string] = ACTIONS(3194),
    [anon_sym_symbol] = ACTIONS(3194),
    [anon_sym_object] = ACTIONS(3194),
    [anon_sym_abstract] = ACTIONS(3194),
    [anon_sym_interface] = ACTIONS(3194),
    [anon_sym_enum] = ACTIONS(3194),
    [sym_html_comment] = ACTIONS(5),
  },
  [1024] = {
    [sym_comment] = STATE(1024),
    [sym_identifier] = ACTIONS(3094),
    [anon_sym_export] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_type] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3094),
    [anon_sym_RBRACE] = ACTIONS(3094),
    [anon_sym_typeof] = ACTIONS(3094),
    [anon_sym_import] = ACTIONS(3094),
    [anon_sym_var] = ACTIONS(3094),
    [anon_sym_let] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_BANG] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_LPAREN] = ACTIONS(3094),
    [anon_sym_await] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_with] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_debugger] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_finally] = ACTIONS(3094),
    [anon_sym_yield] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_LTtemplate_GT] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_async] = ACTIONS(3094),
    [anon_sym_function] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_SLASH] = ACTIONS(3094),
    [anon_sym_LT] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3094),
    [anon_sym_void] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_PLUS_PLUS] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3094),
    [anon_sym_DQUOTE] = ACTIONS(3094),
    [anon_sym_SQUOTE] = ACTIONS(3094),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3094),
    [sym_number] = ACTIONS(3094),
    [sym_private_property_identifier] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
    [sym_super] = ACTIONS(3094),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [sym_null] = ACTIONS(3094),
    [sym_undefined] = ACTIONS(3094),
    [anon_sym_AT] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_readonly] = ACTIONS(3094),
    [anon_sym_get] = ACTIONS(3094),
    [anon_sym_set] = ACTIONS(3094),
    [anon_sym_declare] = ACTIONS(3094),
    [anon_sym_public] = ACTIONS(3094),
    [anon_sym_private] = ACTIONS(3094),
    [anon_sym_protected] = ACTIONS(3094),
    [anon_sym_override] = ACTIONS(3094),
    [anon_sym_module] = ACTIONS(3094),
    [anon_sym_any] = ACTIONS(3094),
    [anon_sym_number] = ACTIONS(3094),
    [anon_sym_boolean] = ACTIONS(3094),
    [anon_sym_string] = ACTIONS(3094),
    [anon_sym_symbol] = ACTIONS(3094),
    [anon_sym_object] = ACTIONS(3094),
    [anon_sym_abstract] = ACTIONS(3094),
    [anon_sym_interface] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [sym_html_comment] = ACTIONS(5),
  },
  [1025] = {
    [sym_comment] = STATE(1025),
    [sym_identifier] = ACTIONS(3196),
    [anon_sym_export] = ACTIONS(3196),
    [anon_sym_default] = ACTIONS(3196),
    [anon_sym_type] = ACTIONS(3196),
    [anon_sym_namespace] = ACTIONS(3196),
    [anon_sym_LBRACE] = ACTIONS(3196),
    [anon_sym_RBRACE] = ACTIONS(3196),
    [anon_sym_typeof] = ACTIONS(3196),
    [anon_sym_import] = ACTIONS(3196),
    [anon_sym_var] = ACTIONS(3196),
    [anon_sym_let] = ACTIONS(3196),
    [anon_sym_const] = ACTIONS(3196),
    [anon_sym_BANG] = ACTIONS(3196),
    [anon_sym_else] = ACTIONS(3196),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_switch] = ACTIONS(3196),
    [anon_sym_for] = ACTIONS(3196),
    [anon_sym_LPAREN] = ACTIONS(3196),
    [anon_sym_await] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3196),
    [anon_sym_do] = ACTIONS(3196),
    [anon_sym_try] = ACTIONS(3196),
    [anon_sym_with] = ACTIONS(3196),
    [anon_sym_break] = ACTIONS(3196),
    [anon_sym_continue] = ACTIONS(3196),
    [anon_sym_debugger] = ACTIONS(3196),
    [anon_sym_return] = ACTIONS(3196),
    [anon_sym_throw] = ACTIONS(3196),
    [anon_sym_SEMI] = ACTIONS(3196),
    [anon_sym_case] = ACTIONS(3196),
    [anon_sym_yield] = ACTIONS(3196),
    [anon_sym_LBRACK] = ACTIONS(3196),
    [anon_sym_LTtemplate_GT] = ACTIONS(3196),
    [anon_sym_class] = ACTIONS(3196),
    [anon_sym_async] = ACTIONS(3196),
    [anon_sym_function] = ACTIONS(3196),
    [anon_sym_new] = ACTIONS(3196),
    [anon_sym_using] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3196),
    [anon_sym_DASH] = ACTIONS(3196),
    [anon_sym_SLASH] = ACTIONS(3196),
    [anon_sym_LT] = ACTIONS(3196),
    [anon_sym_TILDE] = ACTIONS(3196),
    [anon_sym_void] = ACTIONS(3196),
    [anon_sym_delete] = ACTIONS(3196),
    [anon_sym_PLUS_PLUS] = ACTIONS(3196),
    [anon_sym_DASH_DASH] = ACTIONS(3196),
    [anon_sym_DQUOTE] = ACTIONS(3196),
    [anon_sym_SQUOTE] = ACTIONS(3196),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3196),
    [sym_number] = ACTIONS(3196),
    [sym_private_property_identifier] = ACTIONS(3196),
    [sym_this] = ACTIONS(3196),
    [sym_super] = ACTIONS(3196),
    [sym_true] = ACTIONS(3196),
    [sym_false] = ACTIONS(3196),
    [sym_null] = ACTIONS(3196),
    [sym_undefined] = ACTIONS(3196),
    [anon_sym_AT] = ACTIONS(3196),
    [anon_sym_static] = ACTIONS(3196),
    [anon_sym_readonly] = ACTIONS(3196),
    [anon_sym_get] = ACTIONS(3196),
    [anon_sym_set] = ACTIONS(3196),
    [anon_sym_declare] = ACTIONS(3196),
    [anon_sym_public] = ACTIONS(3196),
    [anon_sym_private] = ACTIONS(3196),
    [anon_sym_protected] = ACTIONS(3196),
    [anon_sym_override] = ACTIONS(3196),
    [anon_sym_module] = ACTIONS(3196),
    [anon_sym_any] = ACTIONS(3196),
    [anon_sym_number] = ACTIONS(3196),
    [anon_sym_boolean] = ACTIONS(3196),
    [anon_sym_string] = ACTIONS(3196),
    [anon_sym_symbol] = ACTIONS(3196),
    [anon_sym_object] = ACTIONS(3196),
    [anon_sym_abstract] = ACTIONS(3196),
    [anon_sym_interface] = ACTIONS(3196),
    [anon_sym_enum] = ACTIONS(3196),
    [sym_html_comment] = ACTIONS(5),
  },
  [1026] = {
    [sym_comment] = STATE(1026),
    [ts_builtin_sym_end] = ACTIONS(2167),
    [sym_identifier] = ACTIONS(2165),
    [anon_sym_export] = ACTIONS(2165),
    [anon_sym_type] = ACTIONS(2165),
    [anon_sym_namespace] = ACTIONS(2165),
    [anon_sym_LBRACE] = ACTIONS(2165),
    [anon_sym_RBRACE] = ACTIONS(2165),
    [anon_sym_typeof] = ACTIONS(2165),
    [anon_sym_import] = ACTIONS(2165),
    [anon_sym_var] = ACTIONS(2165),
    [anon_sym_let] = ACTIONS(2165),
    [anon_sym_const] = ACTIONS(2165),
    [anon_sym_BANG] = ACTIONS(2165),
    [anon_sym_else] = ACTIONS(2165),
    [anon_sym_if] = ACTIONS(2165),
    [anon_sym_switch] = ACTIONS(2165),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_LPAREN] = ACTIONS(2165),
    [anon_sym_await] = ACTIONS(2165),
    [anon_sym_while] = ACTIONS(2165),
    [anon_sym_do] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_with] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2165),
    [anon_sym_continue] = ACTIONS(2165),
    [anon_sym_debugger] = ACTIONS(2165),
    [anon_sym_return] = ACTIONS(2165),
    [anon_sym_throw] = ACTIONS(2165),
    [anon_sym_SEMI] = ACTIONS(2165),
    [anon_sym_finally] = ACTIONS(2165),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_LBRACK] = ACTIONS(2165),
    [anon_sym_LTtemplate_GT] = ACTIONS(2165),
    [anon_sym_class] = ACTIONS(2165),
    [anon_sym_async] = ACTIONS(2165),
    [anon_sym_function] = ACTIONS(2165),
    [anon_sym_new] = ACTIONS(2165),
    [anon_sym_using] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(2165),
    [anon_sym_DASH] = ACTIONS(2165),
    [anon_sym_SLASH] = ACTIONS(2165),
    [anon_sym_LT] = ACTIONS(2165),
    [anon_sym_TILDE] = ACTIONS(2165),
    [anon_sym_void] = ACTIONS(2165),
    [anon_sym_delete] = ACTIONS(2165),
    [anon_sym_PLUS_PLUS] = ACTIONS(2165),
    [anon_sym_DASH_DASH] = ACTIONS(2165),
    [anon_sym_DQUOTE] = ACTIONS(2165),
    [anon_sym_SQUOTE] = ACTIONS(2165),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2165),
    [sym_number] = ACTIONS(2165),
    [sym_private_property_identifier] = ACTIONS(2165),
    [sym_this] = ACTIONS(2165),
    [sym_super] = ACTIONS(2165),
    [sym_true] = ACTIONS(2165),
    [sym_false] = ACTIONS(2165),
    [sym_null] = ACTIONS(2165),
    [sym_undefined] = ACTIONS(2165),
    [anon_sym_AT] = ACTIONS(2165),
    [anon_sym_static] = ACTIONS(2165),
    [anon_sym_readonly] = ACTIONS(2165),
    [anon_sym_get] = ACTIONS(2165),
    [anon_sym_set] = ACTIONS(2165),
    [anon_sym_declare] = ACTIONS(2165),
    [anon_sym_public] = ACTIONS(2165),
    [anon_sym_private] = ACTIONS(2165),
    [anon_sym_protected] = ACTIONS(2165),
    [anon_sym_override] = ACTIONS(2165),
    [anon_sym_module] = ACTIONS(2165),
    [anon_sym_any] = ACTIONS(2165),
    [anon_sym_number] = ACTIONS(2165),
    [anon_sym_boolean] = ACTIONS(2165),
    [anon_sym_string] = ACTIONS(2165),
    [anon_sym_symbol] = ACTIONS(2165),
    [anon_sym_object] = ACTIONS(2165),
    [anon_sym_abstract] = ACTIONS(2165),
    [anon_sym_interface] = ACTIONS(2165),
    [anon_sym_enum] = ACTIONS(2165),
    [sym_html_comment] = ACTIONS(5),
  },
  [1027] = {
    [sym_comment] = STATE(1027),
    [sym_identifier] = ACTIONS(2085),
    [anon_sym_export] = ACTIONS(2085),
    [anon_sym_default] = ACTIONS(2085),
    [anon_sym_type] = ACTIONS(2085),
    [anon_sym_namespace] = ACTIONS(2085),
    [anon_sym_LBRACE] = ACTIONS(2085),
    [anon_sym_RBRACE] = ACTIONS(2085),
    [anon_sym_typeof] = ACTIONS(2085),
    [anon_sym_import] = ACTIONS(2085),
    [anon_sym_var] = ACTIONS(2085),
    [anon_sym_let] = ACTIONS(2085),
    [anon_sym_const] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_else] = ACTIONS(2085),
    [anon_sym_if] = ACTIONS(2085),
    [anon_sym_switch] = ACTIONS(2085),
    [anon_sym_for] = ACTIONS(2085),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_await] = ACTIONS(2085),
    [anon_sym_while] = ACTIONS(2085),
    [anon_sym_do] = ACTIONS(2085),
    [anon_sym_try] = ACTIONS(2085),
    [anon_sym_with] = ACTIONS(2085),
    [anon_sym_break] = ACTIONS(2085),
    [anon_sym_continue] = ACTIONS(2085),
    [anon_sym_debugger] = ACTIONS(2085),
    [anon_sym_return] = ACTIONS(2085),
    [anon_sym_throw] = ACTIONS(2085),
    [anon_sym_SEMI] = ACTIONS(2085),
    [anon_sym_case] = ACTIONS(2085),
    [anon_sym_yield] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2085),
    [anon_sym_LTtemplate_GT] = ACTIONS(2085),
    [anon_sym_class] = ACTIONS(2085),
    [anon_sym_async] = ACTIONS(2085),
    [anon_sym_function] = ACTIONS(2085),
    [anon_sym_new] = ACTIONS(2085),
    [anon_sym_using] = ACTIONS(2085),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_SLASH] = ACTIONS(2085),
    [anon_sym_LT] = ACTIONS(2085),
    [anon_sym_TILDE] = ACTIONS(2085),
    [anon_sym_void] = ACTIONS(2085),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_PLUS_PLUS] = ACTIONS(2085),
    [anon_sym_DASH_DASH] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2085),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2085),
    [sym_number] = ACTIONS(2085),
    [sym_private_property_identifier] = ACTIONS(2085),
    [sym_this] = ACTIONS(2085),
    [sym_super] = ACTIONS(2085),
    [sym_true] = ACTIONS(2085),
    [sym_false] = ACTIONS(2085),
    [sym_null] = ACTIONS(2085),
    [sym_undefined] = ACTIONS(2085),
    [anon_sym_AT] = ACTIONS(2085),
    [anon_sym_static] = ACTIONS(2085),
    [anon_sym_readonly] = ACTIONS(2085),
    [anon_sym_get] = ACTIONS(2085),
    [anon_sym_set] = ACTIONS(2085),
    [anon_sym_declare] = ACTIONS(2085),
    [anon_sym_public] = ACTIONS(2085),
    [anon_sym_private] = ACTIONS(2085),
    [anon_sym_protected] = ACTIONS(2085),
    [anon_sym_override] = ACTIONS(2085),
    [anon_sym_module] = ACTIONS(2085),
    [anon_sym_any] = ACTIONS(2085),
    [anon_sym_number] = ACTIONS(2085),
    [anon_sym_boolean] = ACTIONS(2085),
    [anon_sym_string] = ACTIONS(2085),
    [anon_sym_symbol] = ACTIONS(2085),
    [anon_sym_object] = ACTIONS(2085),
    [anon_sym_abstract] = ACTIONS(2085),
    [anon_sym_interface] = ACTIONS(2085),
    [anon_sym_enum] = ACTIONS(2085),
    [sym_html_comment] = ACTIONS(5),
  },
  [1028] = {
    [sym_comment] = STATE(1028),
    [sym_identifier] = ACTIONS(3198),
    [anon_sym_export] = ACTIONS(3198),
    [anon_sym_default] = ACTIONS(3198),
    [anon_sym_type] = ACTIONS(3198),
    [anon_sym_namespace] = ACTIONS(3198),
    [anon_sym_LBRACE] = ACTIONS(3198),
    [anon_sym_RBRACE] = ACTIONS(3198),
    [anon_sym_typeof] = ACTIONS(3198),
    [anon_sym_import] = ACTIONS(3198),
    [anon_sym_var] = ACTIONS(3198),
    [anon_sym_let] = ACTIONS(3198),
    [anon_sym_const] = ACTIONS(3198),
    [anon_sym_BANG] = ACTIONS(3198),
    [anon_sym_else] = ACTIONS(3198),
    [anon_sym_if] = ACTIONS(3198),
    [anon_sym_switch] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(3198),
    [anon_sym_await] = ACTIONS(3198),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_do] = ACTIONS(3198),
    [anon_sym_try] = ACTIONS(3198),
    [anon_sym_with] = ACTIONS(3198),
    [anon_sym_break] = ACTIONS(3198),
    [anon_sym_continue] = ACTIONS(3198),
    [anon_sym_debugger] = ACTIONS(3198),
    [anon_sym_return] = ACTIONS(3198),
    [anon_sym_throw] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3198),
    [anon_sym_case] = ACTIONS(3198),
    [anon_sym_yield] = ACTIONS(3198),
    [anon_sym_LBRACK] = ACTIONS(3198),
    [anon_sym_LTtemplate_GT] = ACTIONS(3198),
    [anon_sym_class] = ACTIONS(3198),
    [anon_sym_async] = ACTIONS(3198),
    [anon_sym_function] = ACTIONS(3198),
    [anon_sym_new] = ACTIONS(3198),
    [anon_sym_using] = ACTIONS(3198),
    [anon_sym_PLUS] = ACTIONS(3198),
    [anon_sym_DASH] = ACTIONS(3198),
    [anon_sym_SLASH] = ACTIONS(3198),
    [anon_sym_LT] = ACTIONS(3198),
    [anon_sym_TILDE] = ACTIONS(3198),
    [anon_sym_void] = ACTIONS(3198),
    [anon_sym_delete] = ACTIONS(3198),
    [anon_sym_PLUS_PLUS] = ACTIONS(3198),
    [anon_sym_DASH_DASH] = ACTIONS(3198),
    [anon_sym_DQUOTE] = ACTIONS(3198),
    [anon_sym_SQUOTE] = ACTIONS(3198),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3198),
    [sym_number] = ACTIONS(3198),
    [sym_private_property_identifier] = ACTIONS(3198),
    [sym_this] = ACTIONS(3198),
    [sym_super] = ACTIONS(3198),
    [sym_true] = ACTIONS(3198),
    [sym_false] = ACTIONS(3198),
    [sym_null] = ACTIONS(3198),
    [sym_undefined] = ACTIONS(3198),
    [anon_sym_AT] = ACTIONS(3198),
    [anon_sym_static] = ACTIONS(3198),
    [anon_sym_readonly] = ACTIONS(3198),
    [anon_sym_get] = ACTIONS(3198),
    [anon_sym_set] = ACTIONS(3198),
    [anon_sym_declare] = ACTIONS(3198),
    [anon_sym_public] = ACTIONS(3198),
    [anon_sym_private] = ACTIONS(3198),
    [anon_sym_protected] = ACTIONS(3198),
    [anon_sym_override] = ACTIONS(3198),
    [anon_sym_module] = ACTIONS(3198),
    [anon_sym_any] = ACTIONS(3198),
    [anon_sym_number] = ACTIONS(3198),
    [anon_sym_boolean] = ACTIONS(3198),
    [anon_sym_string] = ACTIONS(3198),
    [anon_sym_symbol] = ACTIONS(3198),
    [anon_sym_object] = ACTIONS(3198),
    [anon_sym_abstract] = ACTIONS(3198),
    [anon_sym_interface] = ACTIONS(3198),
    [anon_sym_enum] = ACTIONS(3198),
    [sym_html_comment] = ACTIONS(5),
  },
  [1029] = {
    [sym_comment] = STATE(1029),
    [ts_builtin_sym_end] = ACTIONS(2143),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_RBRACE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_else] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_finally] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LTtemplate_GT] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_using] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_LT] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [sym_private_property_identifier] = ACTIONS(2141),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_object] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
    [sym_html_comment] = ACTIONS(5),
  },
  [1030] = {
    [sym_comment] = STATE(1030),
    [sym_identifier] = ACTIONS(2135),
    [anon_sym_export] = ACTIONS(2135),
    [anon_sym_default] = ACTIONS(2135),
    [anon_sym_type] = ACTIONS(2135),
    [anon_sym_namespace] = ACTIONS(2135),
    [anon_sym_LBRACE] = ACTIONS(2135),
    [anon_sym_RBRACE] = ACTIONS(2135),
    [anon_sym_typeof] = ACTIONS(2135),
    [anon_sym_import] = ACTIONS(2135),
    [anon_sym_var] = ACTIONS(2135),
    [anon_sym_let] = ACTIONS(2135),
    [anon_sym_const] = ACTIONS(2135),
    [anon_sym_BANG] = ACTIONS(2135),
    [anon_sym_else] = ACTIONS(2135),
    [anon_sym_if] = ACTIONS(2135),
    [anon_sym_switch] = ACTIONS(2135),
    [anon_sym_for] = ACTIONS(2135),
    [anon_sym_LPAREN] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2135),
    [anon_sym_while] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(2135),
    [anon_sym_try] = ACTIONS(2135),
    [anon_sym_with] = ACTIONS(2135),
    [anon_sym_break] = ACTIONS(2135),
    [anon_sym_continue] = ACTIONS(2135),
    [anon_sym_debugger] = ACTIONS(2135),
    [anon_sym_return] = ACTIONS(2135),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_SEMI] = ACTIONS(2135),
    [anon_sym_case] = ACTIONS(2135),
    [anon_sym_yield] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(2135),
    [anon_sym_LTtemplate_GT] = ACTIONS(2135),
    [anon_sym_class] = ACTIONS(2135),
    [anon_sym_async] = ACTIONS(2135),
    [anon_sym_function] = ACTIONS(2135),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_using] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_SLASH] = ACTIONS(2135),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_TILDE] = ACTIONS(2135),
    [anon_sym_void] = ACTIONS(2135),
    [anon_sym_delete] = ACTIONS(2135),
    [anon_sym_PLUS_PLUS] = ACTIONS(2135),
    [anon_sym_DASH_DASH] = ACTIONS(2135),
    [anon_sym_DQUOTE] = ACTIONS(2135),
    [anon_sym_SQUOTE] = ACTIONS(2135),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2135),
    [sym_number] = ACTIONS(2135),
    [sym_private_property_identifier] = ACTIONS(2135),
    [sym_this] = ACTIONS(2135),
    [sym_super] = ACTIONS(2135),
    [sym_true] = ACTIONS(2135),
    [sym_false] = ACTIONS(2135),
    [sym_null] = ACTIONS(2135),
    [sym_undefined] = ACTIONS(2135),
    [anon_sym_AT] = ACTIONS(2135),
    [anon_sym_static] = ACTIONS(2135),
    [anon_sym_readonly] = ACTIONS(2135),
    [anon_sym_get] = ACTIONS(2135),
    [anon_sym_set] = ACTIONS(2135),
    [anon_sym_declare] = ACTIONS(2135),
    [anon_sym_public] = ACTIONS(2135),
    [anon_sym_private] = ACTIONS(2135),
    [anon_sym_protected] = ACTIONS(2135),
    [anon_sym_override] = ACTIONS(2135),
    [anon_sym_module] = ACTIONS(2135),
    [anon_sym_any] = ACTIONS(2135),
    [anon_sym_number] = ACTIONS(2135),
    [anon_sym_boolean] = ACTIONS(2135),
    [anon_sym_string] = ACTIONS(2135),
    [anon_sym_symbol] = ACTIONS(2135),
    [anon_sym_object] = ACTIONS(2135),
    [anon_sym_abstract] = ACTIONS(2135),
    [anon_sym_interface] = ACTIONS(2135),
    [anon_sym_enum] = ACTIONS(2135),
    [sym_html_comment] = ACTIONS(5),
  },
  [1031] = {
    [sym_comment] = STATE(1031),
    [sym_identifier] = ACTIONS(3200),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_default] = ACTIONS(3200),
    [anon_sym_type] = ACTIONS(3200),
    [anon_sym_namespace] = ACTIONS(3200),
    [anon_sym_LBRACE] = ACTIONS(3200),
    [anon_sym_RBRACE] = ACTIONS(3200),
    [anon_sym_typeof] = ACTIONS(3200),
    [anon_sym_import] = ACTIONS(3200),
    [anon_sym_var] = ACTIONS(3200),
    [anon_sym_let] = ACTIONS(3200),
    [anon_sym_const] = ACTIONS(3200),
    [anon_sym_BANG] = ACTIONS(3200),
    [anon_sym_else] = ACTIONS(3200),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_switch] = ACTIONS(3200),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_LPAREN] = ACTIONS(3200),
    [anon_sym_await] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3200),
    [anon_sym_do] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3200),
    [anon_sym_with] = ACTIONS(3200),
    [anon_sym_break] = ACTIONS(3200),
    [anon_sym_continue] = ACTIONS(3200),
    [anon_sym_debugger] = ACTIONS(3200),
    [anon_sym_return] = ACTIONS(3200),
    [anon_sym_throw] = ACTIONS(3200),
    [anon_sym_SEMI] = ACTIONS(3200),
    [anon_sym_case] = ACTIONS(3200),
    [anon_sym_yield] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_LTtemplate_GT] = ACTIONS(3200),
    [anon_sym_class] = ACTIONS(3200),
    [anon_sym_async] = ACTIONS(3200),
    [anon_sym_function] = ACTIONS(3200),
    [anon_sym_new] = ACTIONS(3200),
    [anon_sym_using] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3200),
    [anon_sym_DASH] = ACTIONS(3200),
    [anon_sym_SLASH] = ACTIONS(3200),
    [anon_sym_LT] = ACTIONS(3200),
    [anon_sym_TILDE] = ACTIONS(3200),
    [anon_sym_void] = ACTIONS(3200),
    [anon_sym_delete] = ACTIONS(3200),
    [anon_sym_PLUS_PLUS] = ACTIONS(3200),
    [anon_sym_DASH_DASH] = ACTIONS(3200),
    [anon_sym_DQUOTE] = ACTIONS(3200),
    [anon_sym_SQUOTE] = ACTIONS(3200),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3200),
    [sym_number] = ACTIONS(3200),
    [sym_private_property_identifier] = ACTIONS(3200),
    [sym_this] = ACTIONS(3200),
    [sym_super] = ACTIONS(3200),
    [sym_true] = ACTIONS(3200),
    [sym_false] = ACTIONS(3200),
    [sym_null] = ACTIONS(3200),
    [sym_undefined] = ACTIONS(3200),
    [anon_sym_AT] = ACTIONS(3200),
    [anon_sym_static] = ACTIONS(3200),
    [anon_sym_readonly] = ACTIONS(3200),
    [anon_sym_get] = ACTIONS(3200),
    [anon_sym_set] = ACTIONS(3200),
    [anon_sym_declare] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3200),
    [anon_sym_private] = ACTIONS(3200),
    [anon_sym_protected] = ACTIONS(3200),
    [anon_sym_override] = ACTIONS(3200),
    [anon_sym_module] = ACTIONS(3200),
    [anon_sym_any] = ACTIONS(3200),
    [anon_sym_number] = ACTIONS(3200),
    [anon_sym_boolean] = ACTIONS(3200),
    [anon_sym_string] = ACTIONS(3200),
    [anon_sym_symbol] = ACTIONS(3200),
    [anon_sym_object] = ACTIONS(3200),
    [anon_sym_abstract] = ACTIONS(3200),
    [anon_sym_interface] = ACTIONS(3200),
    [anon_sym_enum] = ACTIONS(3200),
    [sym_html_comment] = ACTIONS(5),
  },
  [1032] = {
    [sym_comment] = STATE(1032),
    [sym_identifier] = ACTIONS(2177),
    [anon_sym_export] = ACTIONS(2177),
    [anon_sym_default] = ACTIONS(2177),
    [anon_sym_type] = ACTIONS(2177),
    [anon_sym_namespace] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(2177),
    [anon_sym_RBRACE] = ACTIONS(2177),
    [anon_sym_typeof] = ACTIONS(2177),
    [anon_sym_import] = ACTIONS(2177),
    [anon_sym_var] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2177),
    [anon_sym_const] = ACTIONS(2177),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_if] = ACTIONS(2177),
    [anon_sym_switch] = ACTIONS(2177),
    [anon_sym_for] = ACTIONS(2177),
    [anon_sym_LPAREN] = ACTIONS(2177),
    [anon_sym_await] = ACTIONS(2177),
    [anon_sym_while] = ACTIONS(2177),
    [anon_sym_do] = ACTIONS(2177),
    [anon_sym_try] = ACTIONS(2177),
    [anon_sym_with] = ACTIONS(2177),
    [anon_sym_break] = ACTIONS(2177),
    [anon_sym_continue] = ACTIONS(2177),
    [anon_sym_debugger] = ACTIONS(2177),
    [anon_sym_return] = ACTIONS(2177),
    [anon_sym_throw] = ACTIONS(2177),
    [anon_sym_SEMI] = ACTIONS(2177),
    [anon_sym_case] = ACTIONS(2177),
    [anon_sym_yield] = ACTIONS(2177),
    [anon_sym_LBRACK] = ACTIONS(2177),
    [anon_sym_LTtemplate_GT] = ACTIONS(2177),
    [anon_sym_class] = ACTIONS(2177),
    [anon_sym_async] = ACTIONS(2177),
    [anon_sym_function] = ACTIONS(2177),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_using] = ACTIONS(2177),
    [anon_sym_PLUS] = ACTIONS(2177),
    [anon_sym_DASH] = ACTIONS(2177),
    [anon_sym_SLASH] = ACTIONS(2177),
    [anon_sym_LT] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [anon_sym_void] = ACTIONS(2177),
    [anon_sym_delete] = ACTIONS(2177),
    [anon_sym_PLUS_PLUS] = ACTIONS(2177),
    [anon_sym_DASH_DASH] = ACTIONS(2177),
    [anon_sym_DQUOTE] = ACTIONS(2177),
    [anon_sym_SQUOTE] = ACTIONS(2177),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2177),
    [sym_number] = ACTIONS(2177),
    [sym_private_property_identifier] = ACTIONS(2177),
    [sym_this] = ACTIONS(2177),
    [sym_super] = ACTIONS(2177),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [sym_null] = ACTIONS(2177),
    [sym_undefined] = ACTIONS(2177),
    [anon_sym_AT] = ACTIONS(2177),
    [anon_sym_static] = ACTIONS(2177),
    [anon_sym_readonly] = ACTIONS(2177),
    [anon_sym_get] = ACTIONS(2177),
    [anon_sym_set] = ACTIONS(2177),
    [anon_sym_declare] = ACTIONS(2177),
    [anon_sym_public] = ACTIONS(2177),
    [anon_sym_private] = ACTIONS(2177),
    [anon_sym_protected] = ACTIONS(2177),
    [anon_sym_override] = ACTIONS(2177),
    [anon_sym_module] = ACTIONS(2177),
    [anon_sym_any] = ACTIONS(2177),
    [anon_sym_number] = ACTIONS(2177),
    [anon_sym_boolean] = ACTIONS(2177),
    [anon_sym_string] = ACTIONS(2177),
    [anon_sym_symbol] = ACTIONS(2177),
    [anon_sym_object] = ACTIONS(2177),
    [anon_sym_abstract] = ACTIONS(2177),
    [anon_sym_interface] = ACTIONS(2177),
    [anon_sym_enum] = ACTIONS(2177),
    [sym__automatic_semicolon] = ACTIONS(2321),
    [sym_html_comment] = ACTIONS(5),
  },
  [1033] = {
    [sym_comment] = STATE(1033),
    [sym_identifier] = ACTIONS(2223),
    [anon_sym_export] = ACTIONS(2223),
    [anon_sym_default] = ACTIONS(2223),
    [anon_sym_type] = ACTIONS(2223),
    [anon_sym_namespace] = ACTIONS(2223),
    [anon_sym_LBRACE] = ACTIONS(2223),
    [anon_sym_RBRACE] = ACTIONS(2223),
    [anon_sym_typeof] = ACTIONS(2223),
    [anon_sym_import] = ACTIONS(2223),
    [anon_sym_var] = ACTIONS(2223),
    [anon_sym_let] = ACTIONS(2223),
    [anon_sym_const] = ACTIONS(2223),
    [anon_sym_BANG] = ACTIONS(2223),
    [anon_sym_if] = ACTIONS(2223),
    [anon_sym_switch] = ACTIONS(2223),
    [anon_sym_for] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(2223),
    [anon_sym_await] = ACTIONS(2223),
    [anon_sym_while] = ACTIONS(2223),
    [anon_sym_do] = ACTIONS(2223),
    [anon_sym_try] = ACTIONS(2223),
    [anon_sym_with] = ACTIONS(2223),
    [anon_sym_break] = ACTIONS(2223),
    [anon_sym_continue] = ACTIONS(2223),
    [anon_sym_debugger] = ACTIONS(2223),
    [anon_sym_return] = ACTIONS(2223),
    [anon_sym_throw] = ACTIONS(2223),
    [anon_sym_SEMI] = ACTIONS(2223),
    [anon_sym_case] = ACTIONS(2223),
    [anon_sym_yield] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(2223),
    [anon_sym_LTtemplate_GT] = ACTIONS(2223),
    [anon_sym_class] = ACTIONS(2223),
    [anon_sym_async] = ACTIONS(2223),
    [anon_sym_function] = ACTIONS(2223),
    [anon_sym_new] = ACTIONS(2223),
    [anon_sym_using] = ACTIONS(2223),
    [anon_sym_PLUS] = ACTIONS(2223),
    [anon_sym_DASH] = ACTIONS(2223),
    [anon_sym_SLASH] = ACTIONS(2223),
    [anon_sym_LT] = ACTIONS(2223),
    [anon_sym_TILDE] = ACTIONS(2223),
    [anon_sym_void] = ACTIONS(2223),
    [anon_sym_delete] = ACTIONS(2223),
    [anon_sym_PLUS_PLUS] = ACTIONS(2223),
    [anon_sym_DASH_DASH] = ACTIONS(2223),
    [anon_sym_DQUOTE] = ACTIONS(2223),
    [anon_sym_SQUOTE] = ACTIONS(2223),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2223),
    [sym_number] = ACTIONS(2223),
    [sym_private_property_identifier] = ACTIONS(2223),
    [sym_this] = ACTIONS(2223),
    [sym_super] = ACTIONS(2223),
    [sym_true] = ACTIONS(2223),
    [sym_false] = ACTIONS(2223),
    [sym_null] = ACTIONS(2223),
    [sym_undefined] = ACTIONS(2223),
    [anon_sym_AT] = ACTIONS(2223),
    [anon_sym_static] = ACTIONS(2223),
    [anon_sym_readonly] = ACTIONS(2223),
    [anon_sym_get] = ACTIONS(2223),
    [anon_sym_set] = ACTIONS(2223),
    [anon_sym_declare] = ACTIONS(2223),
    [anon_sym_public] = ACTIONS(2223),
    [anon_sym_private] = ACTIONS(2223),
    [anon_sym_protected] = ACTIONS(2223),
    [anon_sym_override] = ACTIONS(2223),
    [anon_sym_module] = ACTIONS(2223),
    [anon_sym_any] = ACTIONS(2223),
    [anon_sym_number] = ACTIONS(2223),
    [anon_sym_boolean] = ACTIONS(2223),
    [anon_sym_string] = ACTIONS(2223),
    [anon_sym_symbol] = ACTIONS(2223),
    [anon_sym_object] = ACTIONS(2223),
    [anon_sym_abstract] = ACTIONS(2223),
    [anon_sym_interface] = ACTIONS(2223),
    [anon_sym_enum] = ACTIONS(2223),
    [sym__automatic_semicolon] = ACTIONS(2303),
    [sym_html_comment] = ACTIONS(5),
  },
  [1034] = {
    [sym_comment] = STATE(1034),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_export] = ACTIONS(2213),
    [anon_sym_default] = ACTIONS(2213),
    [anon_sym_type] = ACTIONS(2213),
    [anon_sym_namespace] = ACTIONS(2213),
    [anon_sym_LBRACE] = ACTIONS(2213),
    [anon_sym_RBRACE] = ACTIONS(2213),
    [anon_sym_typeof] = ACTIONS(2213),
    [anon_sym_import] = ACTIONS(2213),
    [anon_sym_var] = ACTIONS(2213),
    [anon_sym_let] = ACTIONS(2213),
    [anon_sym_const] = ACTIONS(2213),
    [anon_sym_BANG] = ACTIONS(2213),
    [anon_sym_if] = ACTIONS(2213),
    [anon_sym_switch] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2213),
    [anon_sym_LPAREN] = ACTIONS(2213),
    [anon_sym_await] = ACTIONS(2213),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_do] = ACTIONS(2213),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_with] = ACTIONS(2213),
    [anon_sym_break] = ACTIONS(2213),
    [anon_sym_continue] = ACTIONS(2213),
    [anon_sym_debugger] = ACTIONS(2213),
    [anon_sym_return] = ACTIONS(2213),
    [anon_sym_throw] = ACTIONS(2213),
    [anon_sym_SEMI] = ACTIONS(2213),
    [anon_sym_case] = ACTIONS(2213),
    [anon_sym_yield] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(2213),
    [anon_sym_LTtemplate_GT] = ACTIONS(2213),
    [anon_sym_class] = ACTIONS(2213),
    [anon_sym_async] = ACTIONS(2213),
    [anon_sym_function] = ACTIONS(2213),
    [anon_sym_new] = ACTIONS(2213),
    [anon_sym_using] = ACTIONS(2213),
    [anon_sym_PLUS] = ACTIONS(2213),
    [anon_sym_DASH] = ACTIONS(2213),
    [anon_sym_SLASH] = ACTIONS(2213),
    [anon_sym_LT] = ACTIONS(2213),
    [anon_sym_TILDE] = ACTIONS(2213),
    [anon_sym_void] = ACTIONS(2213),
    [anon_sym_delete] = ACTIONS(2213),
    [anon_sym_PLUS_PLUS] = ACTIONS(2213),
    [anon_sym_DASH_DASH] = ACTIONS(2213),
    [anon_sym_DQUOTE] = ACTIONS(2213),
    [anon_sym_SQUOTE] = ACTIONS(2213),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2213),
    [sym_number] = ACTIONS(2213),
    [sym_private_property_identifier] = ACTIONS(2213),
    [sym_this] = ACTIONS(2213),
    [sym_super] = ACTIONS(2213),
    [sym_true] = ACTIONS(2213),
    [sym_false] = ACTIONS(2213),
    [sym_null] = ACTIONS(2213),
    [sym_undefined] = ACTIONS(2213),
    [anon_sym_AT] = ACTIONS(2213),
    [anon_sym_static] = ACTIONS(2213),
    [anon_sym_readonly] = ACTIONS(2213),
    [anon_sym_get] = ACTIONS(2213),
    [anon_sym_set] = ACTIONS(2213),
    [anon_sym_declare] = ACTIONS(2213),
    [anon_sym_public] = ACTIONS(2213),
    [anon_sym_private] = ACTIONS(2213),
    [anon_sym_protected] = ACTIONS(2213),
    [anon_sym_override] = ACTIONS(2213),
    [anon_sym_module] = ACTIONS(2213),
    [anon_sym_any] = ACTIONS(2213),
    [anon_sym_number] = ACTIONS(2213),
    [anon_sym_boolean] = ACTIONS(2213),
    [anon_sym_string] = ACTIONS(2213),
    [anon_sym_symbol] = ACTIONS(2213),
    [anon_sym_object] = ACTIONS(2213),
    [anon_sym_abstract] = ACTIONS(2213),
    [anon_sym_interface] = ACTIONS(2213),
    [anon_sym_enum] = ACTIONS(2213),
    [sym__automatic_semicolon] = ACTIONS(2309),
    [sym_html_comment] = ACTIONS(5),
  },
  [1035] = {
    [sym_comment] = STATE(1035),
    [ts_builtin_sym_end] = ACTIONS(3202),
    [sym_identifier] = ACTIONS(3094),
    [anon_sym_export] = ACTIONS(3094),
    [anon_sym_type] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3094),
    [anon_sym_RBRACE] = ACTIONS(3094),
    [anon_sym_typeof] = ACTIONS(3094),
    [anon_sym_import] = ACTIONS(3094),
    [anon_sym_var] = ACTIONS(3094),
    [anon_sym_let] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_BANG] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_LPAREN] = ACTIONS(3094),
    [anon_sym_await] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_with] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_debugger] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3094),
    [anon_sym_finally] = ACTIONS(3094),
    [anon_sym_yield] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_LTtemplate_GT] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_async] = ACTIONS(3094),
    [anon_sym_function] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_SLASH] = ACTIONS(3094),
    [anon_sym_LT] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3094),
    [anon_sym_void] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_PLUS_PLUS] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3094),
    [anon_sym_DQUOTE] = ACTIONS(3094),
    [anon_sym_SQUOTE] = ACTIONS(3094),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3094),
    [sym_number] = ACTIONS(3094),
    [sym_private_property_identifier] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
    [sym_super] = ACTIONS(3094),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [sym_null] = ACTIONS(3094),
    [sym_undefined] = ACTIONS(3094),
    [anon_sym_AT] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_readonly] = ACTIONS(3094),
    [anon_sym_get] = ACTIONS(3094),
    [anon_sym_set] = ACTIONS(3094),
    [anon_sym_declare] = ACTIONS(3094),
    [anon_sym_public] = ACTIONS(3094),
    [anon_sym_private] = ACTIONS(3094),
    [anon_sym_protected] = ACTIONS(3094),
    [anon_sym_override] = ACTIONS(3094),
    [anon_sym_module] = ACTIONS(3094),
    [anon_sym_any] = ACTIONS(3094),
    [anon_sym_number] = ACTIONS(3094),
    [anon_sym_boolean] = ACTIONS(3094),
    [anon_sym_string] = ACTIONS(3094),
    [anon_sym_symbol] = ACTIONS(3094),
    [anon_sym_object] = ACTIONS(3094),
    [anon_sym_abstract] = ACTIONS(3094),
    [anon_sym_interface] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [sym_html_comment] = ACTIONS(5),
  },
  [1036] = {
    [sym_comment] = STATE(1036),
    [sym_identifier] = ACTIONS(2101),
    [anon_sym_export] = ACTIONS(2101),
    [anon_sym_default] = ACTIONS(2101),
    [anon_sym_type] = ACTIONS(2101),
    [anon_sym_namespace] = ACTIONS(2101),
    [anon_sym_LBRACE] = ACTIONS(2101),
    [anon_sym_RBRACE] = ACTIONS(2101),
    [anon_sym_typeof] = ACTIONS(2101),
    [anon_sym_import] = ACTIONS(2101),
    [anon_sym_var] = ACTIONS(2101),
    [anon_sym_let] = ACTIONS(2101),
    [anon_sym_const] = ACTIONS(2101),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_if] = ACTIONS(2101),
    [anon_sym_switch] = ACTIONS(2101),
    [anon_sym_for] = ACTIONS(2101),
    [anon_sym_LPAREN] = ACTIONS(2101),
    [anon_sym_await] = ACTIONS(2101),
    [anon_sym_while] = ACTIONS(2101),
    [anon_sym_do] = ACTIONS(2101),
    [anon_sym_try] = ACTIONS(2101),
    [anon_sym_with] = ACTIONS(2101),
    [anon_sym_break] = ACTIONS(2101),
    [anon_sym_continue] = ACTIONS(2101),
    [anon_sym_debugger] = ACTIONS(2101),
    [anon_sym_return] = ACTIONS(2101),
    [anon_sym_throw] = ACTIONS(2101),
    [anon_sym_SEMI] = ACTIONS(2101),
    [anon_sym_case] = ACTIONS(2101),
    [anon_sym_yield] = ACTIONS(2101),
    [anon_sym_LBRACK] = ACTIONS(2101),
    [anon_sym_LTtemplate_GT] = ACTIONS(2101),
    [anon_sym_class] = ACTIONS(2101),
    [anon_sym_async] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2101),
    [anon_sym_new] = ACTIONS(2101),
    [anon_sym_using] = ACTIONS(2101),
    [anon_sym_PLUS] = ACTIONS(2101),
    [anon_sym_DASH] = ACTIONS(2101),
    [anon_sym_SLASH] = ACTIONS(2101),
    [anon_sym_LT] = ACTIONS(2101),
    [anon_sym_TILDE] = ACTIONS(2101),
    [anon_sym_void] = ACTIONS(2101),
    [anon_sym_delete] = ACTIONS(2101),
    [anon_sym_PLUS_PLUS] = ACTIONS(2101),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_DQUOTE] = ACTIONS(2101),
    [anon_sym_SQUOTE] = ACTIONS(2101),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2101),
    [sym_number] = ACTIONS(2101),
    [sym_private_property_identifier] = ACTIONS(2101),
    [sym_this] = ACTIONS(2101),
    [sym_super] = ACTIONS(2101),
    [sym_true] = ACTIONS(2101),
    [sym_false] = ACTIONS(2101),
    [sym_null] = ACTIONS(2101),
    [sym_undefined] = ACTIONS(2101),
    [anon_sym_AT] = ACTIONS(2101),
    [anon_sym_static] = ACTIONS(2101),
    [anon_sym_readonly] = ACTIONS(2101),
    [anon_sym_get] = ACTIONS(2101),
    [anon_sym_set] = ACTIONS(2101),
    [anon_sym_declare] = ACTIONS(2101),
    [anon_sym_public] = ACTIONS(2101),
    [anon_sym_private] = ACTIONS(2101),
    [anon_sym_protected] = ACTIONS(2101),
    [anon_sym_override] = ACTIONS(2101),
    [anon_sym_module] = ACTIONS(2101),
    [anon_sym_any] = ACTIONS(2101),
    [anon_sym_number] = ACTIONS(2101),
    [anon_sym_boolean] = ACTIONS(2101),
    [anon_sym_string] = ACTIONS(2101),
    [anon_sym_symbol] = ACTIONS(2101),
    [anon_sym_object] = ACTIONS(2101),
    [anon_sym_abstract] = ACTIONS(2101),
    [anon_sym_interface] = ACTIONS(2101),
    [anon_sym_enum] = ACTIONS(2101),
    [sym__automatic_semicolon] = ACTIONS(2103),
    [sym_html_comment] = ACTIONS(5),
  },
  [1037] = {
    [sym_comment] = STATE(1037),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_export] = ACTIONS(2193),
    [anon_sym_default] = ACTIONS(2193),
    [anon_sym_type] = ACTIONS(2193),
    [anon_sym_namespace] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(2193),
    [anon_sym_RBRACE] = ACTIONS(2193),
    [anon_sym_typeof] = ACTIONS(2193),
    [anon_sym_import] = ACTIONS(2193),
    [anon_sym_var] = ACTIONS(2193),
    [anon_sym_let] = ACTIONS(2193),
    [anon_sym_const] = ACTIONS(2193),
    [anon_sym_BANG] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2193),
    [anon_sym_switch] = ACTIONS(2193),
    [anon_sym_for] = ACTIONS(2193),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_await] = ACTIONS(2193),
    [anon_sym_while] = ACTIONS(2193),
    [anon_sym_do] = ACTIONS(2193),
    [anon_sym_try] = ACTIONS(2193),
    [anon_sym_with] = ACTIONS(2193),
    [anon_sym_break] = ACTIONS(2193),
    [anon_sym_continue] = ACTIONS(2193),
    [anon_sym_debugger] = ACTIONS(2193),
    [anon_sym_return] = ACTIONS(2193),
    [anon_sym_throw] = ACTIONS(2193),
    [anon_sym_SEMI] = ACTIONS(2193),
    [anon_sym_case] = ACTIONS(2193),
    [anon_sym_yield] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2193),
    [anon_sym_LTtemplate_GT] = ACTIONS(2193),
    [anon_sym_class] = ACTIONS(2193),
    [anon_sym_async] = ACTIONS(2193),
    [anon_sym_function] = ACTIONS(2193),
    [anon_sym_new] = ACTIONS(2193),
    [anon_sym_using] = ACTIONS(2193),
    [anon_sym_PLUS] = ACTIONS(2193),
    [anon_sym_DASH] = ACTIONS(2193),
    [anon_sym_SLASH] = ACTIONS(2193),
    [anon_sym_LT] = ACTIONS(2193),
    [anon_sym_TILDE] = ACTIONS(2193),
    [anon_sym_void] = ACTIONS(2193),
    [anon_sym_delete] = ACTIONS(2193),
    [anon_sym_PLUS_PLUS] = ACTIONS(2193),
    [anon_sym_DASH_DASH] = ACTIONS(2193),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [anon_sym_SQUOTE] = ACTIONS(2193),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2193),
    [sym_number] = ACTIONS(2193),
    [sym_private_property_identifier] = ACTIONS(2193),
    [sym_this] = ACTIONS(2193),
    [sym_super] = ACTIONS(2193),
    [sym_true] = ACTIONS(2193),
    [sym_false] = ACTIONS(2193),
    [sym_null] = ACTIONS(2193),
    [sym_undefined] = ACTIONS(2193),
    [anon_sym_AT] = ACTIONS(2193),
    [anon_sym_static] = ACTIONS(2193),
    [anon_sym_readonly] = ACTIONS(2193),
    [anon_sym_get] = ACTIONS(2193),
    [anon_sym_set] = ACTIONS(2193),
    [anon_sym_declare] = ACTIONS(2193),
    [anon_sym_public] = ACTIONS(2193),
    [anon_sym_private] = ACTIONS(2193),
    [anon_sym_protected] = ACTIONS(2193),
    [anon_sym_override] = ACTIONS(2193),
    [anon_sym_module] = ACTIONS(2193),
    [anon_sym_any] = ACTIONS(2193),
    [anon_sym_number] = ACTIONS(2193),
    [anon_sym_boolean] = ACTIONS(2193),
    [anon_sym_string] = ACTIONS(2193),
    [anon_sym_symbol] = ACTIONS(2193),
    [anon_sym_object] = ACTIONS(2193),
    [anon_sym_abstract] = ACTIONS(2193),
    [anon_sym_interface] = ACTIONS(2193),
    [anon_sym_enum] = ACTIONS(2193),
    [sym__automatic_semicolon] = ACTIONS(2315),
    [sym_html_comment] = ACTIONS(5),
  },
  [1038] = {
    [sym_comment] = STATE(1038),
    [sym_identifier] = ACTIONS(2089),
    [anon_sym_export] = ACTIONS(2089),
    [anon_sym_default] = ACTIONS(2089),
    [anon_sym_type] = ACTIONS(2089),
    [anon_sym_namespace] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2089),
    [anon_sym_RBRACE] = ACTIONS(2089),
    [anon_sym_typeof] = ACTIONS(2089),
    [anon_sym_import] = ACTIONS(2089),
    [anon_sym_var] = ACTIONS(2089),
    [anon_sym_let] = ACTIONS(2089),
    [anon_sym_const] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2089),
    [anon_sym_if] = ACTIONS(2089),
    [anon_sym_switch] = ACTIONS(2089),
    [anon_sym_for] = ACTIONS(2089),
    [anon_sym_LPAREN] = ACTIONS(2089),
    [anon_sym_await] = ACTIONS(2089),
    [anon_sym_while] = ACTIONS(2089),
    [anon_sym_do] = ACTIONS(2089),
    [anon_sym_try] = ACTIONS(2089),
    [anon_sym_with] = ACTIONS(2089),
    [anon_sym_break] = ACTIONS(2089),
    [anon_sym_continue] = ACTIONS(2089),
    [anon_sym_debugger] = ACTIONS(2089),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_throw] = ACTIONS(2089),
    [anon_sym_SEMI] = ACTIONS(2089),
    [anon_sym_case] = ACTIONS(2089),
    [anon_sym_yield] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2089),
    [anon_sym_LTtemplate_GT] = ACTIONS(2089),
    [anon_sym_class] = ACTIONS(2089),
    [anon_sym_async] = ACTIONS(2089),
    [anon_sym_function] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2089),
    [anon_sym_using] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(2089),
    [anon_sym_DASH] = ACTIONS(2089),
    [anon_sym_SLASH] = ACTIONS(2089),
    [anon_sym_LT] = ACTIONS(2089),
    [anon_sym_TILDE] = ACTIONS(2089),
    [anon_sym_void] = ACTIONS(2089),
    [anon_sym_delete] = ACTIONS(2089),
    [anon_sym_PLUS_PLUS] = ACTIONS(2089),
    [anon_sym_DASH_DASH] = ACTIONS(2089),
    [anon_sym_DQUOTE] = ACTIONS(2089),
    [anon_sym_SQUOTE] = ACTIONS(2089),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2089),
    [sym_number] = ACTIONS(2089),
    [sym_private_property_identifier] = ACTIONS(2089),
    [sym_this] = ACTIONS(2089),
    [sym_super] = ACTIONS(2089),
    [sym_true] = ACTIONS(2089),
    [sym_false] = ACTIONS(2089),
    [sym_null] = ACTIONS(2089),
    [sym_undefined] = ACTIONS(2089),
    [anon_sym_AT] = ACTIONS(2089),
    [anon_sym_static] = ACTIONS(2089),
    [anon_sym_readonly] = ACTIONS(2089),
    [anon_sym_get] = ACTIONS(2089),
    [anon_sym_set] = ACTIONS(2089),
    [anon_sym_declare] = ACTIONS(2089),
    [anon_sym_public] = ACTIONS(2089),
    [anon_sym_private] = ACTIONS(2089),
    [anon_sym_protected] = ACTIONS(2089),
    [anon_sym_override] = ACTIONS(2089),
    [anon_sym_module] = ACTIONS(2089),
    [anon_sym_any] = ACTIONS(2089),
    [anon_sym_number] = ACTIONS(2089),
    [anon_sym_boolean] = ACTIONS(2089),
    [anon_sym_string] = ACTIONS(2089),
    [anon_sym_symbol] = ACTIONS(2089),
    [anon_sym_object] = ACTIONS(2089),
    [anon_sym_abstract] = ACTIONS(2089),
    [anon_sym_interface] = ACTIONS(2089),
    [anon_sym_enum] = ACTIONS(2089),
    [sym__automatic_semicolon] = ACTIONS(2091),
    [sym_html_comment] = ACTIONS(5),
  },
  [1039] = {
    [sym_comment] = STATE(1039),
    [ts_builtin_sym_end] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2065),
    [anon_sym_export] = ACTIONS(2065),
    [anon_sym_type] = ACTIONS(2065),
    [anon_sym_namespace] = ACTIONS(2065),
    [anon_sym_LBRACE] = ACTIONS(2065),
    [anon_sym_RBRACE] = ACTIONS(2065),
    [anon_sym_typeof] = ACTIONS(2065),
    [anon_sym_import] = ACTIONS(2065),
    [anon_sym_var] = ACTIONS(2065),
    [anon_sym_let] = ACTIONS(2065),
    [anon_sym_const] = ACTIONS(2065),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_else] = ACTIONS(2065),
    [anon_sym_if] = ACTIONS(2065),
    [anon_sym_switch] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2065),
    [anon_sym_LPAREN] = ACTIONS(2065),
    [anon_sym_await] = ACTIONS(2065),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_do] = ACTIONS(2065),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_with] = ACTIONS(2065),
    [anon_sym_break] = ACTIONS(2065),
    [anon_sym_continue] = ACTIONS(2065),
    [anon_sym_debugger] = ACTIONS(2065),
    [anon_sym_return] = ACTIONS(2065),
    [anon_sym_throw] = ACTIONS(2065),
    [anon_sym_SEMI] = ACTIONS(2065),
    [anon_sym_yield] = ACTIONS(2065),
    [anon_sym_LBRACK] = ACTIONS(2065),
    [anon_sym_LTtemplate_GT] = ACTIONS(2065),
    [anon_sym_class] = ACTIONS(2065),
    [anon_sym_async] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2065),
    [anon_sym_new] = ACTIONS(2065),
    [anon_sym_using] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2065),
    [anon_sym_DASH] = ACTIONS(2065),
    [anon_sym_SLASH] = ACTIONS(2065),
    [anon_sym_LT] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_void] = ACTIONS(2065),
    [anon_sym_delete] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_DQUOTE] = ACTIONS(2065),
    [anon_sym_SQUOTE] = ACTIONS(2065),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2065),
    [sym_number] = ACTIONS(2065),
    [sym_private_property_identifier] = ACTIONS(2065),
    [sym_this] = ACTIONS(2065),
    [sym_super] = ACTIONS(2065),
    [sym_true] = ACTIONS(2065),
    [sym_false] = ACTIONS(2065),
    [sym_null] = ACTIONS(2065),
    [sym_undefined] = ACTIONS(2065),
    [anon_sym_AT] = ACTIONS(2065),
    [anon_sym_static] = ACTIONS(2065),
    [anon_sym_readonly] = ACTIONS(2065),
    [anon_sym_get] = ACTIONS(2065),
    [anon_sym_set] = ACTIONS(2065),
    [anon_sym_declare] = ACTIONS(2065),
    [anon_sym_public] = ACTIONS(2065),
    [anon_sym_private] = ACTIONS(2065),
    [anon_sym_protected] = ACTIONS(2065),
    [anon_sym_override] = ACTIONS(2065),
    [anon_sym_module] = ACTIONS(2065),
    [anon_sym_any] = ACTIONS(2065),
    [anon_sym_number] = ACTIONS(2065),
    [anon_sym_boolean] = ACTIONS(2065),
    [anon_sym_string] = ACTIONS(2065),
    [anon_sym_symbol] = ACTIONS(2065),
    [anon_sym_object] = ACTIONS(2065),
    [anon_sym_abstract] = ACTIONS(2065),
    [anon_sym_interface] = ACTIONS(2065),
    [anon_sym_enum] = ACTIONS(2065),
    [sym__automatic_semicolon] = ACTIONS(2231),
    [sym_html_comment] = ACTIONS(5),
  },
  [1040] = {
    [sym_comment] = STATE(1040),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_default] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_RBRACE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_case] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LTtemplate_GT] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_using] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_LT] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [sym_private_property_identifier] = ACTIONS(2141),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_object] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
    [sym__automatic_semicolon] = ACTIONS(3204),
    [sym_html_comment] = ACTIONS(5),
  },
  [1041] = {
    [sym_comment] = STATE(1041),
    [sym_identifier] = ACTIONS(2127),
    [anon_sym_export] = ACTIONS(2127),
    [anon_sym_default] = ACTIONS(2127),
    [anon_sym_type] = ACTIONS(2127),
    [anon_sym_namespace] = ACTIONS(2127),
    [anon_sym_LBRACE] = ACTIONS(2127),
    [anon_sym_RBRACE] = ACTIONS(2127),
    [anon_sym_typeof] = ACTIONS(2127),
    [anon_sym_import] = ACTIONS(2127),
    [anon_sym_var] = ACTIONS(2127),
    [anon_sym_let] = ACTIONS(2127),
    [anon_sym_const] = ACTIONS(2127),
    [anon_sym_BANG] = ACTIONS(2127),
    [anon_sym_else] = ACTIONS(2127),
    [anon_sym_if] = ACTIONS(2127),
    [anon_sym_switch] = ACTIONS(2127),
    [anon_sym_for] = ACTIONS(2127),
    [anon_sym_LPAREN] = ACTIONS(2127),
    [anon_sym_await] = ACTIONS(2127),
    [anon_sym_while] = ACTIONS(2127),
    [anon_sym_do] = ACTIONS(2127),
    [anon_sym_try] = ACTIONS(2127),
    [anon_sym_with] = ACTIONS(2127),
    [anon_sym_break] = ACTIONS(2127),
    [anon_sym_continue] = ACTIONS(2127),
    [anon_sym_debugger] = ACTIONS(2127),
    [anon_sym_return] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2127),
    [anon_sym_SEMI] = ACTIONS(2127),
    [anon_sym_case] = ACTIONS(2127),
    [anon_sym_yield] = ACTIONS(2127),
    [anon_sym_LBRACK] = ACTIONS(2127),
    [anon_sym_LTtemplate_GT] = ACTIONS(2127),
    [anon_sym_class] = ACTIONS(2127),
    [anon_sym_async] = ACTIONS(2127),
    [anon_sym_function] = ACTIONS(2127),
    [anon_sym_new] = ACTIONS(2127),
    [anon_sym_using] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_SLASH] = ACTIONS(2127),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_TILDE] = ACTIONS(2127),
    [anon_sym_void] = ACTIONS(2127),
    [anon_sym_delete] = ACTIONS(2127),
    [anon_sym_PLUS_PLUS] = ACTIONS(2127),
    [anon_sym_DASH_DASH] = ACTIONS(2127),
    [anon_sym_DQUOTE] = ACTIONS(2127),
    [anon_sym_SQUOTE] = ACTIONS(2127),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2127),
    [sym_number] = ACTIONS(2127),
    [sym_private_property_identifier] = ACTIONS(2127),
    [sym_this] = ACTIONS(2127),
    [sym_super] = ACTIONS(2127),
    [sym_true] = ACTIONS(2127),
    [sym_false] = ACTIONS(2127),
    [sym_null] = ACTIONS(2127),
    [sym_undefined] = ACTIONS(2127),
    [anon_sym_AT] = ACTIONS(2127),
    [anon_sym_static] = ACTIONS(2127),
    [anon_sym_readonly] = ACTIONS(2127),
    [anon_sym_get] = ACTIONS(2127),
    [anon_sym_set] = ACTIONS(2127),
    [anon_sym_declare] = ACTIONS(2127),
    [anon_sym_public] = ACTIONS(2127),
    [anon_sym_private] = ACTIONS(2127),
    [anon_sym_protected] = ACTIONS(2127),
    [anon_sym_override] = ACTIONS(2127),
    [anon_sym_module] = ACTIONS(2127),
    [anon_sym_any] = ACTIONS(2127),
    [anon_sym_number] = ACTIONS(2127),
    [anon_sym_boolean] = ACTIONS(2127),
    [anon_sym_string] = ACTIONS(2127),
    [anon_sym_symbol] = ACTIONS(2127),
    [anon_sym_object] = ACTIONS(2127),
    [anon_sym_abstract] = ACTIONS(2127),
    [anon_sym_interface] = ACTIONS(2127),
    [anon_sym_enum] = ACTIONS(2127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1042] = {
    [sym_comment] = STATE(1042),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_default] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_else] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_case] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym_html_comment] = ACTIONS(5),
  },
  [1043] = {
    [sym_comment] = STATE(1043),
    [ts_builtin_sym_end] = ACTIONS(2351),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_export] = ACTIONS(2193),
    [anon_sym_type] = ACTIONS(2193),
    [anon_sym_namespace] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(2193),
    [anon_sym_RBRACE] = ACTIONS(2193),
    [anon_sym_typeof] = ACTIONS(2193),
    [anon_sym_import] = ACTIONS(2193),
    [anon_sym_var] = ACTIONS(2193),
    [anon_sym_let] = ACTIONS(2193),
    [anon_sym_const] = ACTIONS(2193),
    [anon_sym_BANG] = ACTIONS(2193),
    [anon_sym_else] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2193),
    [anon_sym_switch] = ACTIONS(2193),
    [anon_sym_for] = ACTIONS(2193),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_await] = ACTIONS(2193),
    [anon_sym_while] = ACTIONS(2193),
    [anon_sym_do] = ACTIONS(2193),
    [anon_sym_try] = ACTIONS(2193),
    [anon_sym_with] = ACTIONS(2193),
    [anon_sym_break] = ACTIONS(2193),
    [anon_sym_continue] = ACTIONS(2193),
    [anon_sym_debugger] = ACTIONS(2193),
    [anon_sym_return] = ACTIONS(2193),
    [anon_sym_throw] = ACTIONS(2193),
    [anon_sym_SEMI] = ACTIONS(2193),
    [anon_sym_yield] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2193),
    [anon_sym_LTtemplate_GT] = ACTIONS(2193),
    [anon_sym_class] = ACTIONS(2193),
    [anon_sym_async] = ACTIONS(2193),
    [anon_sym_function] = ACTIONS(2193),
    [anon_sym_new] = ACTIONS(2193),
    [anon_sym_using] = ACTIONS(2193),
    [anon_sym_PLUS] = ACTIONS(2193),
    [anon_sym_DASH] = ACTIONS(2193),
    [anon_sym_SLASH] = ACTIONS(2193),
    [anon_sym_LT] = ACTIONS(2193),
    [anon_sym_TILDE] = ACTIONS(2193),
    [anon_sym_void] = ACTIONS(2193),
    [anon_sym_delete] = ACTIONS(2193),
    [anon_sym_PLUS_PLUS] = ACTIONS(2193),
    [anon_sym_DASH_DASH] = ACTIONS(2193),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [anon_sym_SQUOTE] = ACTIONS(2193),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2193),
    [sym_number] = ACTIONS(2193),
    [sym_private_property_identifier] = ACTIONS(2193),
    [sym_this] = ACTIONS(2193),
    [sym_super] = ACTIONS(2193),
    [sym_true] = ACTIONS(2193),
    [sym_false] = ACTIONS(2193),
    [sym_null] = ACTIONS(2193),
    [sym_undefined] = ACTIONS(2193),
    [anon_sym_AT] = ACTIONS(2193),
    [anon_sym_static] = ACTIONS(2193),
    [anon_sym_readonly] = ACTIONS(2193),
    [anon_sym_get] = ACTIONS(2193),
    [anon_sym_set] = ACTIONS(2193),
    [anon_sym_declare] = ACTIONS(2193),
    [anon_sym_public] = ACTIONS(2193),
    [anon_sym_private] = ACTIONS(2193),
    [anon_sym_protected] = ACTIONS(2193),
    [anon_sym_override] = ACTIONS(2193),
    [anon_sym_module] = ACTIONS(2193),
    [anon_sym_any] = ACTIONS(2193),
    [anon_sym_number] = ACTIONS(2193),
    [anon_sym_boolean] = ACTIONS(2193),
    [anon_sym_string] = ACTIONS(2193),
    [anon_sym_symbol] = ACTIONS(2193),
    [anon_sym_object] = ACTIONS(2193),
    [anon_sym_abstract] = ACTIONS(2193),
    [anon_sym_interface] = ACTIONS(2193),
    [anon_sym_enum] = ACTIONS(2193),
    [sym__automatic_semicolon] = ACTIONS(2353),
    [sym_html_comment] = ACTIONS(5),
  },
  [1044] = {
    [sym_comment] = STATE(1044),
    [sym_identifier] = ACTIONS(2119),
    [anon_sym_export] = ACTIONS(2119),
    [anon_sym_default] = ACTIONS(2119),
    [anon_sym_type] = ACTIONS(2119),
    [anon_sym_namespace] = ACTIONS(2119),
    [anon_sym_LBRACE] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2119),
    [anon_sym_import] = ACTIONS(2119),
    [anon_sym_var] = ACTIONS(2119),
    [anon_sym_let] = ACTIONS(2119),
    [anon_sym_const] = ACTIONS(2119),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_switch] = ACTIONS(2119),
    [anon_sym_for] = ACTIONS(2119),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2119),
    [anon_sym_do] = ACTIONS(2119),
    [anon_sym_try] = ACTIONS(2119),
    [anon_sym_with] = ACTIONS(2119),
    [anon_sym_break] = ACTIONS(2119),
    [anon_sym_continue] = ACTIONS(2119),
    [anon_sym_debugger] = ACTIONS(2119),
    [anon_sym_return] = ACTIONS(2119),
    [anon_sym_throw] = ACTIONS(2119),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_case] = ACTIONS(2119),
    [anon_sym_yield] = ACTIONS(2119),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_DOT] = ACTIONS(2119),
    [anon_sym_class] = ACTIONS(2119),
    [anon_sym_async] = ACTIONS(2119),
    [anon_sym_function] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2119),
    [anon_sym_using] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2119),
    [anon_sym_DASH] = ACTIONS(2119),
    [anon_sym_SLASH] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2119),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2119),
    [anon_sym_delete] = ACTIONS(2119),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_private_property_identifier] = ACTIONS(2119),
    [sym_this] = ACTIONS(2119),
    [sym_super] = ACTIONS(2119),
    [sym_true] = ACTIONS(2119),
    [sym_false] = ACTIONS(2119),
    [sym_null] = ACTIONS(2119),
    [sym_undefined] = ACTIONS(2119),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2119),
    [anon_sym_readonly] = ACTIONS(2119),
    [anon_sym_get] = ACTIONS(2119),
    [anon_sym_set] = ACTIONS(2119),
    [anon_sym_declare] = ACTIONS(2119),
    [anon_sym_public] = ACTIONS(2119),
    [anon_sym_private] = ACTIONS(2119),
    [anon_sym_protected] = ACTIONS(2119),
    [anon_sym_override] = ACTIONS(2119),
    [anon_sym_module] = ACTIONS(2119),
    [anon_sym_any] = ACTIONS(2119),
    [anon_sym_number] = ACTIONS(2119),
    [anon_sym_boolean] = ACTIONS(2119),
    [anon_sym_string] = ACTIONS(2119),
    [anon_sym_symbol] = ACTIONS(2119),
    [anon_sym_object] = ACTIONS(2119),
    [anon_sym_abstract] = ACTIONS(2119),
    [anon_sym_interface] = ACTIONS(2119),
    [anon_sym_enum] = ACTIONS(2119),
    [sym_html_comment] = ACTIONS(5),
  },
  [1045] = {
    [sym_comment] = STATE(1045),
    [sym_identifier] = ACTIONS(2077),
    [anon_sym_export] = ACTIONS(2077),
    [anon_sym_default] = ACTIONS(2077),
    [anon_sym_type] = ACTIONS(2077),
    [anon_sym_namespace] = ACTIONS(2077),
    [anon_sym_LBRACE] = ACTIONS(2077),
    [anon_sym_RBRACE] = ACTIONS(2077),
    [anon_sym_typeof] = ACTIONS(2077),
    [anon_sym_import] = ACTIONS(2077),
    [anon_sym_var] = ACTIONS(2077),
    [anon_sym_let] = ACTIONS(2077),
    [anon_sym_const] = ACTIONS(2077),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_if] = ACTIONS(2077),
    [anon_sym_switch] = ACTIONS(2077),
    [anon_sym_for] = ACTIONS(2077),
    [anon_sym_LPAREN] = ACTIONS(2077),
    [anon_sym_await] = ACTIONS(2077),
    [anon_sym_while] = ACTIONS(2077),
    [anon_sym_do] = ACTIONS(2077),
    [anon_sym_try] = ACTIONS(2077),
    [anon_sym_with] = ACTIONS(2077),
    [anon_sym_break] = ACTIONS(2077),
    [anon_sym_continue] = ACTIONS(2077),
    [anon_sym_debugger] = ACTIONS(2077),
    [anon_sym_return] = ACTIONS(2077),
    [anon_sym_throw] = ACTIONS(2077),
    [anon_sym_SEMI] = ACTIONS(2077),
    [anon_sym_case] = ACTIONS(2077),
    [anon_sym_yield] = ACTIONS(2077),
    [anon_sym_LBRACK] = ACTIONS(2077),
    [anon_sym_LTtemplate_GT] = ACTIONS(2077),
    [anon_sym_class] = ACTIONS(2077),
    [anon_sym_async] = ACTIONS(2077),
    [anon_sym_function] = ACTIONS(2077),
    [anon_sym_new] = ACTIONS(2077),
    [anon_sym_using] = ACTIONS(2077),
    [anon_sym_PLUS] = ACTIONS(2077),
    [anon_sym_DASH] = ACTIONS(2077),
    [anon_sym_SLASH] = ACTIONS(2077),
    [anon_sym_LT] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_void] = ACTIONS(2077),
    [anon_sym_delete] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_DQUOTE] = ACTIONS(2077),
    [anon_sym_SQUOTE] = ACTIONS(2077),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2077),
    [sym_number] = ACTIONS(2077),
    [sym_private_property_identifier] = ACTIONS(2077),
    [sym_this] = ACTIONS(2077),
    [sym_super] = ACTIONS(2077),
    [sym_true] = ACTIONS(2077),
    [sym_false] = ACTIONS(2077),
    [sym_null] = ACTIONS(2077),
    [sym_undefined] = ACTIONS(2077),
    [anon_sym_AT] = ACTIONS(2077),
    [anon_sym_static] = ACTIONS(2077),
    [anon_sym_readonly] = ACTIONS(2077),
    [anon_sym_get] = ACTIONS(2077),
    [anon_sym_set] = ACTIONS(2077),
    [anon_sym_declare] = ACTIONS(2077),
    [anon_sym_public] = ACTIONS(2077),
    [anon_sym_private] = ACTIONS(2077),
    [anon_sym_protected] = ACTIONS(2077),
    [anon_sym_override] = ACTIONS(2077),
    [anon_sym_module] = ACTIONS(2077),
    [anon_sym_any] = ACTIONS(2077),
    [anon_sym_number] = ACTIONS(2077),
    [anon_sym_boolean] = ACTIONS(2077),
    [anon_sym_string] = ACTIONS(2077),
    [anon_sym_symbol] = ACTIONS(2077),
    [anon_sym_object] = ACTIONS(2077),
    [anon_sym_abstract] = ACTIONS(2077),
    [anon_sym_interface] = ACTIONS(2077),
    [anon_sym_enum] = ACTIONS(2077),
    [sym__automatic_semicolon] = ACTIONS(2313),
    [sym_html_comment] = ACTIONS(5),
  },
  [1046] = {
    [sym_comment] = STATE(1046),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_export] = ACTIONS(2205),
    [anon_sym_default] = ACTIONS(2205),
    [anon_sym_type] = ACTIONS(2205),
    [anon_sym_namespace] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2205),
    [anon_sym_RBRACE] = ACTIONS(2205),
    [anon_sym_typeof] = ACTIONS(2205),
    [anon_sym_import] = ACTIONS(2205),
    [anon_sym_var] = ACTIONS(2205),
    [anon_sym_let] = ACTIONS(2205),
    [anon_sym_const] = ACTIONS(2205),
    [anon_sym_BANG] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2205),
    [anon_sym_switch] = ACTIONS(2205),
    [anon_sym_for] = ACTIONS(2205),
    [anon_sym_LPAREN] = ACTIONS(2205),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_try] = ACTIONS(2205),
    [anon_sym_with] = ACTIONS(2205),
    [anon_sym_break] = ACTIONS(2205),
    [anon_sym_continue] = ACTIONS(2205),
    [anon_sym_debugger] = ACTIONS(2205),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2205),
    [anon_sym_SEMI] = ACTIONS(2205),
    [anon_sym_case] = ACTIONS(2205),
    [anon_sym_yield] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_LTtemplate_GT] = ACTIONS(2205),
    [anon_sym_class] = ACTIONS(2205),
    [anon_sym_async] = ACTIONS(2205),
    [anon_sym_function] = ACTIONS(2205),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_using] = ACTIONS(2205),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_SLASH] = ACTIONS(2205),
    [anon_sym_LT] = ACTIONS(2205),
    [anon_sym_TILDE] = ACTIONS(2205),
    [anon_sym_void] = ACTIONS(2205),
    [anon_sym_delete] = ACTIONS(2205),
    [anon_sym_PLUS_PLUS] = ACTIONS(2205),
    [anon_sym_DASH_DASH] = ACTIONS(2205),
    [anon_sym_DQUOTE] = ACTIONS(2205),
    [anon_sym_SQUOTE] = ACTIONS(2205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2205),
    [sym_number] = ACTIONS(2205),
    [sym_private_property_identifier] = ACTIONS(2205),
    [sym_this] = ACTIONS(2205),
    [sym_super] = ACTIONS(2205),
    [sym_true] = ACTIONS(2205),
    [sym_false] = ACTIONS(2205),
    [sym_null] = ACTIONS(2205),
    [sym_undefined] = ACTIONS(2205),
    [anon_sym_AT] = ACTIONS(2205),
    [anon_sym_static] = ACTIONS(2205),
    [anon_sym_readonly] = ACTIONS(2205),
    [anon_sym_get] = ACTIONS(2205),
    [anon_sym_set] = ACTIONS(2205),
    [anon_sym_declare] = ACTIONS(2205),
    [anon_sym_public] = ACTIONS(2205),
    [anon_sym_private] = ACTIONS(2205),
    [anon_sym_protected] = ACTIONS(2205),
    [anon_sym_override] = ACTIONS(2205),
    [anon_sym_module] = ACTIONS(2205),
    [anon_sym_any] = ACTIONS(2205),
    [anon_sym_number] = ACTIONS(2205),
    [anon_sym_boolean] = ACTIONS(2205),
    [anon_sym_string] = ACTIONS(2205),
    [anon_sym_symbol] = ACTIONS(2205),
    [anon_sym_object] = ACTIONS(2205),
    [anon_sym_abstract] = ACTIONS(2205),
    [anon_sym_interface] = ACTIONS(2205),
    [anon_sym_enum] = ACTIONS(2205),
    [sym__automatic_semicolon] = ACTIONS(2311),
    [sym_html_comment] = ACTIONS(5),
  },
  [1047] = {
    [sym_comment] = STATE(1047),
    [sym_identifier] = ACTIONS(3206),
    [anon_sym_export] = ACTIONS(3206),
    [anon_sym_default] = ACTIONS(3206),
    [anon_sym_type] = ACTIONS(3206),
    [anon_sym_namespace] = ACTIONS(3206),
    [anon_sym_LBRACE] = ACTIONS(3206),
    [anon_sym_RBRACE] = ACTIONS(3206),
    [anon_sym_typeof] = ACTIONS(3206),
    [anon_sym_import] = ACTIONS(3206),
    [anon_sym_var] = ACTIONS(3206),
    [anon_sym_let] = ACTIONS(3206),
    [anon_sym_const] = ACTIONS(3206),
    [anon_sym_BANG] = ACTIONS(3206),
    [anon_sym_else] = ACTIONS(3206),
    [anon_sym_if] = ACTIONS(3206),
    [anon_sym_switch] = ACTIONS(3206),
    [anon_sym_for] = ACTIONS(3206),
    [anon_sym_LPAREN] = ACTIONS(3206),
    [anon_sym_await] = ACTIONS(3206),
    [anon_sym_while] = ACTIONS(3206),
    [anon_sym_do] = ACTIONS(3206),
    [anon_sym_try] = ACTIONS(3206),
    [anon_sym_with] = ACTIONS(3206),
    [anon_sym_break] = ACTIONS(3206),
    [anon_sym_continue] = ACTIONS(3206),
    [anon_sym_debugger] = ACTIONS(3206),
    [anon_sym_return] = ACTIONS(3206),
    [anon_sym_throw] = ACTIONS(3206),
    [anon_sym_SEMI] = ACTIONS(3206),
    [anon_sym_case] = ACTIONS(3206),
    [anon_sym_yield] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(3206),
    [anon_sym_LTtemplate_GT] = ACTIONS(3206),
    [anon_sym_class] = ACTIONS(3206),
    [anon_sym_async] = ACTIONS(3206),
    [anon_sym_function] = ACTIONS(3206),
    [anon_sym_new] = ACTIONS(3206),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_PLUS] = ACTIONS(3206),
    [anon_sym_DASH] = ACTIONS(3206),
    [anon_sym_SLASH] = ACTIONS(3206),
    [anon_sym_LT] = ACTIONS(3206),
    [anon_sym_TILDE] = ACTIONS(3206),
    [anon_sym_void] = ACTIONS(3206),
    [anon_sym_delete] = ACTIONS(3206),
    [anon_sym_PLUS_PLUS] = ACTIONS(3206),
    [anon_sym_DASH_DASH] = ACTIONS(3206),
    [anon_sym_DQUOTE] = ACTIONS(3206),
    [anon_sym_SQUOTE] = ACTIONS(3206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3206),
    [sym_number] = ACTIONS(3206),
    [sym_private_property_identifier] = ACTIONS(3206),
    [sym_this] = ACTIONS(3206),
    [sym_super] = ACTIONS(3206),
    [sym_true] = ACTIONS(3206),
    [sym_false] = ACTIONS(3206),
    [sym_null] = ACTIONS(3206),
    [sym_undefined] = ACTIONS(3206),
    [anon_sym_AT] = ACTIONS(3206),
    [anon_sym_static] = ACTIONS(3206),
    [anon_sym_readonly] = ACTIONS(3206),
    [anon_sym_get] = ACTIONS(3206),
    [anon_sym_set] = ACTIONS(3206),
    [anon_sym_declare] = ACTIONS(3206),
    [anon_sym_public] = ACTIONS(3206),
    [anon_sym_private] = ACTIONS(3206),
    [anon_sym_protected] = ACTIONS(3206),
    [anon_sym_override] = ACTIONS(3206),
    [anon_sym_module] = ACTIONS(3206),
    [anon_sym_any] = ACTIONS(3206),
    [anon_sym_number] = ACTIONS(3206),
    [anon_sym_boolean] = ACTIONS(3206),
    [anon_sym_string] = ACTIONS(3206),
    [anon_sym_symbol] = ACTIONS(3206),
    [anon_sym_object] = ACTIONS(3206),
    [anon_sym_abstract] = ACTIONS(3206),
    [anon_sym_interface] = ACTIONS(3206),
    [anon_sym_enum] = ACTIONS(3206),
    [sym_html_comment] = ACTIONS(5),
  },
  [1048] = {
    [sym_comment] = STATE(1048),
    [sym_identifier] = ACTIONS(3208),
    [anon_sym_export] = ACTIONS(3208),
    [anon_sym_default] = ACTIONS(3208),
    [anon_sym_type] = ACTIONS(3208),
    [anon_sym_namespace] = ACTIONS(3208),
    [anon_sym_LBRACE] = ACTIONS(3208),
    [anon_sym_RBRACE] = ACTIONS(3208),
    [anon_sym_typeof] = ACTIONS(3208),
    [anon_sym_import] = ACTIONS(3208),
    [anon_sym_var] = ACTIONS(3208),
    [anon_sym_let] = ACTIONS(3208),
    [anon_sym_const] = ACTIONS(3208),
    [anon_sym_BANG] = ACTIONS(3208),
    [anon_sym_else] = ACTIONS(3208),
    [anon_sym_if] = ACTIONS(3208),
    [anon_sym_switch] = ACTIONS(3208),
    [anon_sym_for] = ACTIONS(3208),
    [anon_sym_LPAREN] = ACTIONS(3208),
    [anon_sym_await] = ACTIONS(3208),
    [anon_sym_while] = ACTIONS(3208),
    [anon_sym_do] = ACTIONS(3208),
    [anon_sym_try] = ACTIONS(3208),
    [anon_sym_with] = ACTIONS(3208),
    [anon_sym_break] = ACTIONS(3208),
    [anon_sym_continue] = ACTIONS(3208),
    [anon_sym_debugger] = ACTIONS(3208),
    [anon_sym_return] = ACTIONS(3208),
    [anon_sym_throw] = ACTIONS(3208),
    [anon_sym_SEMI] = ACTIONS(3208),
    [anon_sym_case] = ACTIONS(3208),
    [anon_sym_yield] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_LTtemplate_GT] = ACTIONS(3208),
    [anon_sym_class] = ACTIONS(3208),
    [anon_sym_async] = ACTIONS(3208),
    [anon_sym_function] = ACTIONS(3208),
    [anon_sym_new] = ACTIONS(3208),
    [anon_sym_using] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3208),
    [anon_sym_DASH] = ACTIONS(3208),
    [anon_sym_SLASH] = ACTIONS(3208),
    [anon_sym_LT] = ACTIONS(3208),
    [anon_sym_TILDE] = ACTIONS(3208),
    [anon_sym_void] = ACTIONS(3208),
    [anon_sym_delete] = ACTIONS(3208),
    [anon_sym_PLUS_PLUS] = ACTIONS(3208),
    [anon_sym_DASH_DASH] = ACTIONS(3208),
    [anon_sym_DQUOTE] = ACTIONS(3208),
    [anon_sym_SQUOTE] = ACTIONS(3208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3208),
    [sym_number] = ACTIONS(3208),
    [sym_private_property_identifier] = ACTIONS(3208),
    [sym_this] = ACTIONS(3208),
    [sym_super] = ACTIONS(3208),
    [sym_true] = ACTIONS(3208),
    [sym_false] = ACTIONS(3208),
    [sym_null] = ACTIONS(3208),
    [sym_undefined] = ACTIONS(3208),
    [anon_sym_AT] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(3208),
    [anon_sym_readonly] = ACTIONS(3208),
    [anon_sym_get] = ACTIONS(3208),
    [anon_sym_set] = ACTIONS(3208),
    [anon_sym_declare] = ACTIONS(3208),
    [anon_sym_public] = ACTIONS(3208),
    [anon_sym_private] = ACTIONS(3208),
    [anon_sym_protected] = ACTIONS(3208),
    [anon_sym_override] = ACTIONS(3208),
    [anon_sym_module] = ACTIONS(3208),
    [anon_sym_any] = ACTIONS(3208),
    [anon_sym_number] = ACTIONS(3208),
    [anon_sym_boolean] = ACTIONS(3208),
    [anon_sym_string] = ACTIONS(3208),
    [anon_sym_symbol] = ACTIONS(3208),
    [anon_sym_object] = ACTIONS(3208),
    [anon_sym_abstract] = ACTIONS(3208),
    [anon_sym_interface] = ACTIONS(3208),
    [anon_sym_enum] = ACTIONS(3208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1049] = {
    [sym_comment] = STATE(1049),
    [sym_identifier] = ACTIONS(3210),
    [anon_sym_export] = ACTIONS(3210),
    [anon_sym_default] = ACTIONS(3210),
    [anon_sym_type] = ACTIONS(3210),
    [anon_sym_namespace] = ACTIONS(3210),
    [anon_sym_LBRACE] = ACTIONS(3210),
    [anon_sym_RBRACE] = ACTIONS(3210),
    [anon_sym_typeof] = ACTIONS(3210),
    [anon_sym_import] = ACTIONS(3210),
    [anon_sym_var] = ACTIONS(3210),
    [anon_sym_let] = ACTIONS(3210),
    [anon_sym_const] = ACTIONS(3210),
    [anon_sym_BANG] = ACTIONS(3210),
    [anon_sym_else] = ACTIONS(3210),
    [anon_sym_if] = ACTIONS(3210),
    [anon_sym_switch] = ACTIONS(3210),
    [anon_sym_for] = ACTIONS(3210),
    [anon_sym_LPAREN] = ACTIONS(3210),
    [anon_sym_await] = ACTIONS(3210),
    [anon_sym_while] = ACTIONS(3210),
    [anon_sym_do] = ACTIONS(3210),
    [anon_sym_try] = ACTIONS(3210),
    [anon_sym_with] = ACTIONS(3210),
    [anon_sym_break] = ACTIONS(3210),
    [anon_sym_continue] = ACTIONS(3210),
    [anon_sym_debugger] = ACTIONS(3210),
    [anon_sym_return] = ACTIONS(3210),
    [anon_sym_throw] = ACTIONS(3210),
    [anon_sym_SEMI] = ACTIONS(3210),
    [anon_sym_case] = ACTIONS(3210),
    [anon_sym_yield] = ACTIONS(3210),
    [anon_sym_LBRACK] = ACTIONS(3210),
    [anon_sym_LTtemplate_GT] = ACTIONS(3210),
    [anon_sym_class] = ACTIONS(3210),
    [anon_sym_async] = ACTIONS(3210),
    [anon_sym_function] = ACTIONS(3210),
    [anon_sym_new] = ACTIONS(3210),
    [anon_sym_using] = ACTIONS(3210),
    [anon_sym_PLUS] = ACTIONS(3210),
    [anon_sym_DASH] = ACTIONS(3210),
    [anon_sym_SLASH] = ACTIONS(3210),
    [anon_sym_LT] = ACTIONS(3210),
    [anon_sym_TILDE] = ACTIONS(3210),
    [anon_sym_void] = ACTIONS(3210),
    [anon_sym_delete] = ACTIONS(3210),
    [anon_sym_PLUS_PLUS] = ACTIONS(3210),
    [anon_sym_DASH_DASH] = ACTIONS(3210),
    [anon_sym_DQUOTE] = ACTIONS(3210),
    [anon_sym_SQUOTE] = ACTIONS(3210),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3210),
    [sym_number] = ACTIONS(3210),
    [sym_private_property_identifier] = ACTIONS(3210),
    [sym_this] = ACTIONS(3210),
    [sym_super] = ACTIONS(3210),
    [sym_true] = ACTIONS(3210),
    [sym_false] = ACTIONS(3210),
    [sym_null] = ACTIONS(3210),
    [sym_undefined] = ACTIONS(3210),
    [anon_sym_AT] = ACTIONS(3210),
    [anon_sym_static] = ACTIONS(3210),
    [anon_sym_readonly] = ACTIONS(3210),
    [anon_sym_get] = ACTIONS(3210),
    [anon_sym_set] = ACTIONS(3210),
    [anon_sym_declare] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(3210),
    [anon_sym_private] = ACTIONS(3210),
    [anon_sym_protected] = ACTIONS(3210),
    [anon_sym_override] = ACTIONS(3210),
    [anon_sym_module] = ACTIONS(3210),
    [anon_sym_any] = ACTIONS(3210),
    [anon_sym_number] = ACTIONS(3210),
    [anon_sym_boolean] = ACTIONS(3210),
    [anon_sym_string] = ACTIONS(3210),
    [anon_sym_symbol] = ACTIONS(3210),
    [anon_sym_object] = ACTIONS(3210),
    [anon_sym_abstract] = ACTIONS(3210),
    [anon_sym_interface] = ACTIONS(3210),
    [anon_sym_enum] = ACTIONS(3210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1050] = {
    [sym_comment] = STATE(1050),
    [sym_identifier] = ACTIONS(3212),
    [anon_sym_export] = ACTIONS(3212),
    [anon_sym_default] = ACTIONS(3212),
    [anon_sym_type] = ACTIONS(3212),
    [anon_sym_namespace] = ACTIONS(3212),
    [anon_sym_LBRACE] = ACTIONS(3212),
    [anon_sym_RBRACE] = ACTIONS(3212),
    [anon_sym_typeof] = ACTIONS(3212),
    [anon_sym_import] = ACTIONS(3212),
    [anon_sym_var] = ACTIONS(3212),
    [anon_sym_let] = ACTIONS(3212),
    [anon_sym_const] = ACTIONS(3212),
    [anon_sym_BANG] = ACTIONS(3212),
    [anon_sym_else] = ACTIONS(3212),
    [anon_sym_if] = ACTIONS(3212),
    [anon_sym_switch] = ACTIONS(3212),
    [anon_sym_for] = ACTIONS(3212),
    [anon_sym_LPAREN] = ACTIONS(3212),
    [anon_sym_await] = ACTIONS(3212),
    [anon_sym_while] = ACTIONS(3212),
    [anon_sym_do] = ACTIONS(3212),
    [anon_sym_try] = ACTIONS(3212),
    [anon_sym_with] = ACTIONS(3212),
    [anon_sym_break] = ACTIONS(3212),
    [anon_sym_continue] = ACTIONS(3212),
    [anon_sym_debugger] = ACTIONS(3212),
    [anon_sym_return] = ACTIONS(3212),
    [anon_sym_throw] = ACTIONS(3212),
    [anon_sym_SEMI] = ACTIONS(3212),
    [anon_sym_case] = ACTIONS(3212),
    [anon_sym_yield] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3212),
    [anon_sym_LTtemplate_GT] = ACTIONS(3212),
    [anon_sym_class] = ACTIONS(3212),
    [anon_sym_async] = ACTIONS(3212),
    [anon_sym_function] = ACTIONS(3212),
    [anon_sym_new] = ACTIONS(3212),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_PLUS] = ACTIONS(3212),
    [anon_sym_DASH] = ACTIONS(3212),
    [anon_sym_SLASH] = ACTIONS(3212),
    [anon_sym_LT] = ACTIONS(3212),
    [anon_sym_TILDE] = ACTIONS(3212),
    [anon_sym_void] = ACTIONS(3212),
    [anon_sym_delete] = ACTIONS(3212),
    [anon_sym_PLUS_PLUS] = ACTIONS(3212),
    [anon_sym_DASH_DASH] = ACTIONS(3212),
    [anon_sym_DQUOTE] = ACTIONS(3212),
    [anon_sym_SQUOTE] = ACTIONS(3212),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3212),
    [sym_number] = ACTIONS(3212),
    [sym_private_property_identifier] = ACTIONS(3212),
    [sym_this] = ACTIONS(3212),
    [sym_super] = ACTIONS(3212),
    [sym_true] = ACTIONS(3212),
    [sym_false] = ACTIONS(3212),
    [sym_null] = ACTIONS(3212),
    [sym_undefined] = ACTIONS(3212),
    [anon_sym_AT] = ACTIONS(3212),
    [anon_sym_static] = ACTIONS(3212),
    [anon_sym_readonly] = ACTIONS(3212),
    [anon_sym_get] = ACTIONS(3212),
    [anon_sym_set] = ACTIONS(3212),
    [anon_sym_declare] = ACTIONS(3212),
    [anon_sym_public] = ACTIONS(3212),
    [anon_sym_private] = ACTIONS(3212),
    [anon_sym_protected] = ACTIONS(3212),
    [anon_sym_override] = ACTIONS(3212),
    [anon_sym_module] = ACTIONS(3212),
    [anon_sym_any] = ACTIONS(3212),
    [anon_sym_number] = ACTIONS(3212),
    [anon_sym_boolean] = ACTIONS(3212),
    [anon_sym_string] = ACTIONS(3212),
    [anon_sym_symbol] = ACTIONS(3212),
    [anon_sym_object] = ACTIONS(3212),
    [anon_sym_abstract] = ACTIONS(3212),
    [anon_sym_interface] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1051] = {
    [sym_comment] = STATE(1051),
    [sym_identifier] = ACTIONS(2249),
    [anon_sym_export] = ACTIONS(2249),
    [anon_sym_default] = ACTIONS(2249),
    [anon_sym_type] = ACTIONS(2249),
    [anon_sym_namespace] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2249),
    [anon_sym_RBRACE] = ACTIONS(2249),
    [anon_sym_typeof] = ACTIONS(2249),
    [anon_sym_import] = ACTIONS(2249),
    [anon_sym_var] = ACTIONS(2249),
    [anon_sym_let] = ACTIONS(2249),
    [anon_sym_const] = ACTIONS(2249),
    [anon_sym_BANG] = ACTIONS(2249),
    [anon_sym_if] = ACTIONS(2249),
    [anon_sym_switch] = ACTIONS(2249),
    [anon_sym_for] = ACTIONS(2249),
    [anon_sym_LPAREN] = ACTIONS(2249),
    [anon_sym_await] = ACTIONS(2249),
    [anon_sym_while] = ACTIONS(2249),
    [anon_sym_do] = ACTIONS(2249),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_with] = ACTIONS(2249),
    [anon_sym_break] = ACTIONS(2249),
    [anon_sym_continue] = ACTIONS(2249),
    [anon_sym_debugger] = ACTIONS(2249),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_throw] = ACTIONS(2249),
    [anon_sym_SEMI] = ACTIONS(2249),
    [anon_sym_case] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2249),
    [anon_sym_LBRACK] = ACTIONS(2249),
    [anon_sym_LTtemplate_GT] = ACTIONS(2249),
    [anon_sym_class] = ACTIONS(2249),
    [anon_sym_async] = ACTIONS(2249),
    [anon_sym_function] = ACTIONS(2249),
    [anon_sym_new] = ACTIONS(2249),
    [anon_sym_using] = ACTIONS(2249),
    [anon_sym_PLUS] = ACTIONS(2249),
    [anon_sym_DASH] = ACTIONS(2249),
    [anon_sym_SLASH] = ACTIONS(2249),
    [anon_sym_LT] = ACTIONS(2249),
    [anon_sym_TILDE] = ACTIONS(2249),
    [anon_sym_void] = ACTIONS(2249),
    [anon_sym_delete] = ACTIONS(2249),
    [anon_sym_PLUS_PLUS] = ACTIONS(2249),
    [anon_sym_DASH_DASH] = ACTIONS(2249),
    [anon_sym_DQUOTE] = ACTIONS(2249),
    [anon_sym_SQUOTE] = ACTIONS(2249),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2249),
    [sym_number] = ACTIONS(2249),
    [sym_private_property_identifier] = ACTIONS(2249),
    [sym_this] = ACTIONS(2249),
    [sym_super] = ACTIONS(2249),
    [sym_true] = ACTIONS(2249),
    [sym_false] = ACTIONS(2249),
    [sym_null] = ACTIONS(2249),
    [sym_undefined] = ACTIONS(2249),
    [anon_sym_AT] = ACTIONS(2249),
    [anon_sym_static] = ACTIONS(2249),
    [anon_sym_readonly] = ACTIONS(2249),
    [anon_sym_get] = ACTIONS(2249),
    [anon_sym_set] = ACTIONS(2249),
    [anon_sym_declare] = ACTIONS(2249),
    [anon_sym_public] = ACTIONS(2249),
    [anon_sym_private] = ACTIONS(2249),
    [anon_sym_protected] = ACTIONS(2249),
    [anon_sym_override] = ACTIONS(2249),
    [anon_sym_module] = ACTIONS(2249),
    [anon_sym_any] = ACTIONS(2249),
    [anon_sym_number] = ACTIONS(2249),
    [anon_sym_boolean] = ACTIONS(2249),
    [anon_sym_string] = ACTIONS(2249),
    [anon_sym_symbol] = ACTIONS(2249),
    [anon_sym_object] = ACTIONS(2249),
    [anon_sym_abstract] = ACTIONS(2249),
    [anon_sym_interface] = ACTIONS(2249),
    [anon_sym_enum] = ACTIONS(2249),
    [sym__automatic_semicolon] = ACTIONS(2293),
    [sym_html_comment] = ACTIONS(5),
  },
  [1052] = {
    [sym_comment] = STATE(1052),
    [sym_identifier] = ACTIONS(3066),
    [anon_sym_export] = ACTIONS(3066),
    [anon_sym_default] = ACTIONS(3066),
    [anon_sym_type] = ACTIONS(3066),
    [anon_sym_namespace] = ACTIONS(3066),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_RBRACE] = ACTIONS(3066),
    [anon_sym_typeof] = ACTIONS(3066),
    [anon_sym_import] = ACTIONS(3066),
    [anon_sym_var] = ACTIONS(3066),
    [anon_sym_let] = ACTIONS(3066),
    [anon_sym_const] = ACTIONS(3066),
    [anon_sym_BANG] = ACTIONS(3066),
    [anon_sym_if] = ACTIONS(3066),
    [anon_sym_switch] = ACTIONS(3066),
    [anon_sym_for] = ACTIONS(3066),
    [anon_sym_LPAREN] = ACTIONS(3066),
    [anon_sym_await] = ACTIONS(3066),
    [anon_sym_while] = ACTIONS(3066),
    [anon_sym_do] = ACTIONS(3066),
    [anon_sym_try] = ACTIONS(3066),
    [anon_sym_with] = ACTIONS(3066),
    [anon_sym_break] = ACTIONS(3066),
    [anon_sym_continue] = ACTIONS(3066),
    [anon_sym_debugger] = ACTIONS(3066),
    [anon_sym_return] = ACTIONS(3066),
    [anon_sym_throw] = ACTIONS(3066),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym_case] = ACTIONS(3066),
    [anon_sym_finally] = ACTIONS(3066),
    [anon_sym_yield] = ACTIONS(3066),
    [anon_sym_LBRACK] = ACTIONS(3066),
    [anon_sym_LTtemplate_GT] = ACTIONS(3066),
    [anon_sym_class] = ACTIONS(3066),
    [anon_sym_async] = ACTIONS(3066),
    [anon_sym_function] = ACTIONS(3066),
    [anon_sym_new] = ACTIONS(3066),
    [anon_sym_using] = ACTIONS(3066),
    [anon_sym_PLUS] = ACTIONS(3066),
    [anon_sym_DASH] = ACTIONS(3066),
    [anon_sym_SLASH] = ACTIONS(3066),
    [anon_sym_LT] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_void] = ACTIONS(3066),
    [anon_sym_delete] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_DQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3066),
    [sym_number] = ACTIONS(3066),
    [sym_private_property_identifier] = ACTIONS(3066),
    [sym_this] = ACTIONS(3066),
    [sym_super] = ACTIONS(3066),
    [sym_true] = ACTIONS(3066),
    [sym_false] = ACTIONS(3066),
    [sym_null] = ACTIONS(3066),
    [sym_undefined] = ACTIONS(3066),
    [anon_sym_AT] = ACTIONS(3066),
    [anon_sym_static] = ACTIONS(3066),
    [anon_sym_readonly] = ACTIONS(3066),
    [anon_sym_get] = ACTIONS(3066),
    [anon_sym_set] = ACTIONS(3066),
    [anon_sym_declare] = ACTIONS(3066),
    [anon_sym_public] = ACTIONS(3066),
    [anon_sym_private] = ACTIONS(3066),
    [anon_sym_protected] = ACTIONS(3066),
    [anon_sym_override] = ACTIONS(3066),
    [anon_sym_module] = ACTIONS(3066),
    [anon_sym_any] = ACTIONS(3066),
    [anon_sym_number] = ACTIONS(3066),
    [anon_sym_boolean] = ACTIONS(3066),
    [anon_sym_string] = ACTIONS(3066),
    [anon_sym_symbol] = ACTIONS(3066),
    [anon_sym_object] = ACTIONS(3066),
    [anon_sym_abstract] = ACTIONS(3066),
    [anon_sym_interface] = ACTIONS(3066),
    [anon_sym_enum] = ACTIONS(3066),
    [sym_html_comment] = ACTIONS(5),
  },
  [1053] = {
    [sym_comment] = STATE(1053),
    [ts_builtin_sym_end] = ACTIONS(2167),
    [sym_identifier] = ACTIONS(2165),
    [anon_sym_export] = ACTIONS(2165),
    [anon_sym_type] = ACTIONS(2165),
    [anon_sym_namespace] = ACTIONS(2165),
    [anon_sym_LBRACE] = ACTIONS(2165),
    [anon_sym_RBRACE] = ACTIONS(2165),
    [anon_sym_typeof] = ACTIONS(2165),
    [anon_sym_import] = ACTIONS(2165),
    [anon_sym_var] = ACTIONS(2165),
    [anon_sym_let] = ACTIONS(2165),
    [anon_sym_const] = ACTIONS(2165),
    [anon_sym_BANG] = ACTIONS(2165),
    [anon_sym_if] = ACTIONS(2165),
    [anon_sym_switch] = ACTIONS(2165),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_LPAREN] = ACTIONS(2165),
    [anon_sym_await] = ACTIONS(2165),
    [anon_sym_while] = ACTIONS(2165),
    [anon_sym_do] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_with] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2165),
    [anon_sym_continue] = ACTIONS(2165),
    [anon_sym_debugger] = ACTIONS(2165),
    [anon_sym_return] = ACTIONS(2165),
    [anon_sym_throw] = ACTIONS(2165),
    [anon_sym_SEMI] = ACTIONS(2165),
    [anon_sym_catch] = ACTIONS(2165),
    [anon_sym_finally] = ACTIONS(2165),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_LBRACK] = ACTIONS(2165),
    [anon_sym_LTtemplate_GT] = ACTIONS(2165),
    [anon_sym_class] = ACTIONS(2165),
    [anon_sym_async] = ACTIONS(2165),
    [anon_sym_function] = ACTIONS(2165),
    [anon_sym_new] = ACTIONS(2165),
    [anon_sym_using] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(2165),
    [anon_sym_DASH] = ACTIONS(2165),
    [anon_sym_SLASH] = ACTIONS(2165),
    [anon_sym_LT] = ACTIONS(2165),
    [anon_sym_TILDE] = ACTIONS(2165),
    [anon_sym_void] = ACTIONS(2165),
    [anon_sym_delete] = ACTIONS(2165),
    [anon_sym_PLUS_PLUS] = ACTIONS(2165),
    [anon_sym_DASH_DASH] = ACTIONS(2165),
    [anon_sym_DQUOTE] = ACTIONS(2165),
    [anon_sym_SQUOTE] = ACTIONS(2165),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2165),
    [sym_number] = ACTIONS(2165),
    [sym_private_property_identifier] = ACTIONS(2165),
    [sym_this] = ACTIONS(2165),
    [sym_super] = ACTIONS(2165),
    [sym_true] = ACTIONS(2165),
    [sym_false] = ACTIONS(2165),
    [sym_null] = ACTIONS(2165),
    [sym_undefined] = ACTIONS(2165),
    [anon_sym_AT] = ACTIONS(2165),
    [anon_sym_static] = ACTIONS(2165),
    [anon_sym_readonly] = ACTIONS(2165),
    [anon_sym_get] = ACTIONS(2165),
    [anon_sym_set] = ACTIONS(2165),
    [anon_sym_declare] = ACTIONS(2165),
    [anon_sym_public] = ACTIONS(2165),
    [anon_sym_private] = ACTIONS(2165),
    [anon_sym_protected] = ACTIONS(2165),
    [anon_sym_override] = ACTIONS(2165),
    [anon_sym_module] = ACTIONS(2165),
    [anon_sym_any] = ACTIONS(2165),
    [anon_sym_number] = ACTIONS(2165),
    [anon_sym_boolean] = ACTIONS(2165),
    [anon_sym_string] = ACTIONS(2165),
    [anon_sym_symbol] = ACTIONS(2165),
    [anon_sym_object] = ACTIONS(2165),
    [anon_sym_abstract] = ACTIONS(2165),
    [anon_sym_interface] = ACTIONS(2165),
    [anon_sym_enum] = ACTIONS(2165),
    [sym_html_comment] = ACTIONS(5),
  },
  [1054] = {
    [sym_comment] = STATE(1054),
    [sym_identifier] = ACTIONS(3072),
    [anon_sym_export] = ACTIONS(3072),
    [anon_sym_default] = ACTIONS(3072),
    [anon_sym_type] = ACTIONS(3072),
    [anon_sym_namespace] = ACTIONS(3072),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_RBRACE] = ACTIONS(3072),
    [anon_sym_typeof] = ACTIONS(3072),
    [anon_sym_import] = ACTIONS(3072),
    [anon_sym_var] = ACTIONS(3072),
    [anon_sym_let] = ACTIONS(3072),
    [anon_sym_const] = ACTIONS(3072),
    [anon_sym_BANG] = ACTIONS(3072),
    [anon_sym_if] = ACTIONS(3072),
    [anon_sym_switch] = ACTIONS(3072),
    [anon_sym_for] = ACTIONS(3072),
    [anon_sym_LPAREN] = ACTIONS(3072),
    [anon_sym_await] = ACTIONS(3072),
    [anon_sym_while] = ACTIONS(3072),
    [anon_sym_do] = ACTIONS(3072),
    [anon_sym_try] = ACTIONS(3072),
    [anon_sym_with] = ACTIONS(3072),
    [anon_sym_break] = ACTIONS(3072),
    [anon_sym_continue] = ACTIONS(3072),
    [anon_sym_debugger] = ACTIONS(3072),
    [anon_sym_return] = ACTIONS(3072),
    [anon_sym_throw] = ACTIONS(3072),
    [anon_sym_SEMI] = ACTIONS(3072),
    [anon_sym_case] = ACTIONS(3072),
    [anon_sym_finally] = ACTIONS(3072),
    [anon_sym_yield] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_LTtemplate_GT] = ACTIONS(3072),
    [anon_sym_class] = ACTIONS(3072),
    [anon_sym_async] = ACTIONS(3072),
    [anon_sym_function] = ACTIONS(3072),
    [anon_sym_new] = ACTIONS(3072),
    [anon_sym_using] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3072),
    [anon_sym_DASH] = ACTIONS(3072),
    [anon_sym_SLASH] = ACTIONS(3072),
    [anon_sym_LT] = ACTIONS(3072),
    [anon_sym_TILDE] = ACTIONS(3072),
    [anon_sym_void] = ACTIONS(3072),
    [anon_sym_delete] = ACTIONS(3072),
    [anon_sym_PLUS_PLUS] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3072),
    [anon_sym_DQUOTE] = ACTIONS(3072),
    [anon_sym_SQUOTE] = ACTIONS(3072),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3072),
    [sym_number] = ACTIONS(3072),
    [sym_private_property_identifier] = ACTIONS(3072),
    [sym_this] = ACTIONS(3072),
    [sym_super] = ACTIONS(3072),
    [sym_true] = ACTIONS(3072),
    [sym_false] = ACTIONS(3072),
    [sym_null] = ACTIONS(3072),
    [sym_undefined] = ACTIONS(3072),
    [anon_sym_AT] = ACTIONS(3072),
    [anon_sym_static] = ACTIONS(3072),
    [anon_sym_readonly] = ACTIONS(3072),
    [anon_sym_get] = ACTIONS(3072),
    [anon_sym_set] = ACTIONS(3072),
    [anon_sym_declare] = ACTIONS(3072),
    [anon_sym_public] = ACTIONS(3072),
    [anon_sym_private] = ACTIONS(3072),
    [anon_sym_protected] = ACTIONS(3072),
    [anon_sym_override] = ACTIONS(3072),
    [anon_sym_module] = ACTIONS(3072),
    [anon_sym_any] = ACTIONS(3072),
    [anon_sym_number] = ACTIONS(3072),
    [anon_sym_boolean] = ACTIONS(3072),
    [anon_sym_string] = ACTIONS(3072),
    [anon_sym_symbol] = ACTIONS(3072),
    [anon_sym_object] = ACTIONS(3072),
    [anon_sym_abstract] = ACTIONS(3072),
    [anon_sym_interface] = ACTIONS(3072),
    [anon_sym_enum] = ACTIONS(3072),
    [sym_html_comment] = ACTIONS(5),
  },
  [1055] = {
    [sym_comment] = STATE(1055),
    [sym_identifier] = ACTIONS(3214),
    [anon_sym_export] = ACTIONS(3214),
    [anon_sym_default] = ACTIONS(3214),
    [anon_sym_type] = ACTIONS(3214),
    [anon_sym_namespace] = ACTIONS(3214),
    [anon_sym_LBRACE] = ACTIONS(3214),
    [anon_sym_RBRACE] = ACTIONS(3214),
    [anon_sym_typeof] = ACTIONS(3214),
    [anon_sym_import] = ACTIONS(3214),
    [anon_sym_var] = ACTIONS(3214),
    [anon_sym_let] = ACTIONS(3214),
    [anon_sym_const] = ACTIONS(3214),
    [anon_sym_BANG] = ACTIONS(3214),
    [anon_sym_else] = ACTIONS(3214),
    [anon_sym_if] = ACTIONS(3214),
    [anon_sym_switch] = ACTIONS(3214),
    [anon_sym_for] = ACTIONS(3214),
    [anon_sym_LPAREN] = ACTIONS(3214),
    [anon_sym_await] = ACTIONS(3214),
    [anon_sym_while] = ACTIONS(3214),
    [anon_sym_do] = ACTIONS(3214),
    [anon_sym_try] = ACTIONS(3214),
    [anon_sym_with] = ACTIONS(3214),
    [anon_sym_break] = ACTIONS(3214),
    [anon_sym_continue] = ACTIONS(3214),
    [anon_sym_debugger] = ACTIONS(3214),
    [anon_sym_return] = ACTIONS(3214),
    [anon_sym_throw] = ACTIONS(3214),
    [anon_sym_SEMI] = ACTIONS(3214),
    [anon_sym_case] = ACTIONS(3214),
    [anon_sym_yield] = ACTIONS(3214),
    [anon_sym_LBRACK] = ACTIONS(3214),
    [anon_sym_LTtemplate_GT] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3214),
    [anon_sym_async] = ACTIONS(3214),
    [anon_sym_function] = ACTIONS(3214),
    [anon_sym_new] = ACTIONS(3214),
    [anon_sym_using] = ACTIONS(3214),
    [anon_sym_PLUS] = ACTIONS(3214),
    [anon_sym_DASH] = ACTIONS(3214),
    [anon_sym_SLASH] = ACTIONS(3214),
    [anon_sym_LT] = ACTIONS(3214),
    [anon_sym_TILDE] = ACTIONS(3214),
    [anon_sym_void] = ACTIONS(3214),
    [anon_sym_delete] = ACTIONS(3214),
    [anon_sym_PLUS_PLUS] = ACTIONS(3214),
    [anon_sym_DASH_DASH] = ACTIONS(3214),
    [anon_sym_DQUOTE] = ACTIONS(3214),
    [anon_sym_SQUOTE] = ACTIONS(3214),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3214),
    [sym_number] = ACTIONS(3214),
    [sym_private_property_identifier] = ACTIONS(3214),
    [sym_this] = ACTIONS(3214),
    [sym_super] = ACTIONS(3214),
    [sym_true] = ACTIONS(3214),
    [sym_false] = ACTIONS(3214),
    [sym_null] = ACTIONS(3214),
    [sym_undefined] = ACTIONS(3214),
    [anon_sym_AT] = ACTIONS(3214),
    [anon_sym_static] = ACTIONS(3214),
    [anon_sym_readonly] = ACTIONS(3214),
    [anon_sym_get] = ACTIONS(3214),
    [anon_sym_set] = ACTIONS(3214),
    [anon_sym_declare] = ACTIONS(3214),
    [anon_sym_public] = ACTIONS(3214),
    [anon_sym_private] = ACTIONS(3214),
    [anon_sym_protected] = ACTIONS(3214),
    [anon_sym_override] = ACTIONS(3214),
    [anon_sym_module] = ACTIONS(3214),
    [anon_sym_any] = ACTIONS(3214),
    [anon_sym_number] = ACTIONS(3214),
    [anon_sym_boolean] = ACTIONS(3214),
    [anon_sym_string] = ACTIONS(3214),
    [anon_sym_symbol] = ACTIONS(3214),
    [anon_sym_object] = ACTIONS(3214),
    [anon_sym_abstract] = ACTIONS(3214),
    [anon_sym_interface] = ACTIONS(3214),
    [anon_sym_enum] = ACTIONS(3214),
    [sym_html_comment] = ACTIONS(5),
  },
  [1056] = {
    [sym_comment] = STATE(1056),
    [sym_identifier] = ACTIONS(3216),
    [anon_sym_export] = ACTIONS(3216),
    [anon_sym_default] = ACTIONS(3216),
    [anon_sym_type] = ACTIONS(3216),
    [anon_sym_namespace] = ACTIONS(3216),
    [anon_sym_LBRACE] = ACTIONS(3216),
    [anon_sym_RBRACE] = ACTIONS(3216),
    [anon_sym_typeof] = ACTIONS(3216),
    [anon_sym_import] = ACTIONS(3216),
    [anon_sym_var] = ACTIONS(3216),
    [anon_sym_let] = ACTIONS(3216),
    [anon_sym_const] = ACTIONS(3216),
    [anon_sym_BANG] = ACTIONS(3216),
    [anon_sym_else] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_switch] = ACTIONS(3216),
    [anon_sym_for] = ACTIONS(3216),
    [anon_sym_LPAREN] = ACTIONS(3216),
    [anon_sym_await] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(3216),
    [anon_sym_do] = ACTIONS(3216),
    [anon_sym_try] = ACTIONS(3216),
    [anon_sym_with] = ACTIONS(3216),
    [anon_sym_break] = ACTIONS(3216),
    [anon_sym_continue] = ACTIONS(3216),
    [anon_sym_debugger] = ACTIONS(3216),
    [anon_sym_return] = ACTIONS(3216),
    [anon_sym_throw] = ACTIONS(3216),
    [anon_sym_SEMI] = ACTIONS(3216),
    [anon_sym_case] = ACTIONS(3216),
    [anon_sym_yield] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_LTtemplate_GT] = ACTIONS(3216),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_async] = ACTIONS(3216),
    [anon_sym_function] = ACTIONS(3216),
    [anon_sym_new] = ACTIONS(3216),
    [anon_sym_using] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3216),
    [anon_sym_LT] = ACTIONS(3216),
    [anon_sym_TILDE] = ACTIONS(3216),
    [anon_sym_void] = ACTIONS(3216),
    [anon_sym_delete] = ACTIONS(3216),
    [anon_sym_PLUS_PLUS] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3216),
    [anon_sym_DQUOTE] = ACTIONS(3216),
    [anon_sym_SQUOTE] = ACTIONS(3216),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3216),
    [sym_number] = ACTIONS(3216),
    [sym_private_property_identifier] = ACTIONS(3216),
    [sym_this] = ACTIONS(3216),
    [sym_super] = ACTIONS(3216),
    [sym_true] = ACTIONS(3216),
    [sym_false] = ACTIONS(3216),
    [sym_null] = ACTIONS(3216),
    [sym_undefined] = ACTIONS(3216),
    [anon_sym_AT] = ACTIONS(3216),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_readonly] = ACTIONS(3216),
    [anon_sym_get] = ACTIONS(3216),
    [anon_sym_set] = ACTIONS(3216),
    [anon_sym_declare] = ACTIONS(3216),
    [anon_sym_public] = ACTIONS(3216),
    [anon_sym_private] = ACTIONS(3216),
    [anon_sym_protected] = ACTIONS(3216),
    [anon_sym_override] = ACTIONS(3216),
    [anon_sym_module] = ACTIONS(3216),
    [anon_sym_any] = ACTIONS(3216),
    [anon_sym_number] = ACTIONS(3216),
    [anon_sym_boolean] = ACTIONS(3216),
    [anon_sym_string] = ACTIONS(3216),
    [anon_sym_symbol] = ACTIONS(3216),
    [anon_sym_object] = ACTIONS(3216),
    [anon_sym_abstract] = ACTIONS(3216),
    [anon_sym_interface] = ACTIONS(3216),
    [anon_sym_enum] = ACTIONS(3216),
    [sym_html_comment] = ACTIONS(5),
  },
  [1057] = {
    [sym_else_clause] = STATE(1466),
    [sym_comment] = STATE(1057),
    [ts_builtin_sym_end] = ACTIONS(3218),
    [sym_identifier] = ACTIONS(3080),
    [anon_sym_export] = ACTIONS(3080),
    [anon_sym_type] = ACTIONS(3080),
    [anon_sym_namespace] = ACTIONS(3080),
    [anon_sym_LBRACE] = ACTIONS(3080),
    [anon_sym_RBRACE] = ACTIONS(3080),
    [anon_sym_typeof] = ACTIONS(3080),
    [anon_sym_import] = ACTIONS(3080),
    [anon_sym_var] = ACTIONS(3080),
    [anon_sym_let] = ACTIONS(3080),
    [anon_sym_const] = ACTIONS(3080),
    [anon_sym_BANG] = ACTIONS(3080),
    [anon_sym_else] = ACTIONS(3220),
    [anon_sym_if] = ACTIONS(3080),
    [anon_sym_switch] = ACTIONS(3080),
    [anon_sym_for] = ACTIONS(3080),
    [anon_sym_LPAREN] = ACTIONS(3080),
    [anon_sym_await] = ACTIONS(3080),
    [anon_sym_while] = ACTIONS(3080),
    [anon_sym_do] = ACTIONS(3080),
    [anon_sym_try] = ACTIONS(3080),
    [anon_sym_with] = ACTIONS(3080),
    [anon_sym_break] = ACTIONS(3080),
    [anon_sym_continue] = ACTIONS(3080),
    [anon_sym_debugger] = ACTIONS(3080),
    [anon_sym_return] = ACTIONS(3080),
    [anon_sym_throw] = ACTIONS(3080),
    [anon_sym_SEMI] = ACTIONS(3080),
    [anon_sym_yield] = ACTIONS(3080),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_LTtemplate_GT] = ACTIONS(3080),
    [anon_sym_class] = ACTIONS(3080),
    [anon_sym_async] = ACTIONS(3080),
    [anon_sym_function] = ACTIONS(3080),
    [anon_sym_new] = ACTIONS(3080),
    [anon_sym_using] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3080),
    [anon_sym_DASH] = ACTIONS(3080),
    [anon_sym_SLASH] = ACTIONS(3080),
    [anon_sym_LT] = ACTIONS(3080),
    [anon_sym_TILDE] = ACTIONS(3080),
    [anon_sym_void] = ACTIONS(3080),
    [anon_sym_delete] = ACTIONS(3080),
    [anon_sym_PLUS_PLUS] = ACTIONS(3080),
    [anon_sym_DASH_DASH] = ACTIONS(3080),
    [anon_sym_DQUOTE] = ACTIONS(3080),
    [anon_sym_SQUOTE] = ACTIONS(3080),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3080),
    [sym_number] = ACTIONS(3080),
    [sym_private_property_identifier] = ACTIONS(3080),
    [sym_this] = ACTIONS(3080),
    [sym_super] = ACTIONS(3080),
    [sym_true] = ACTIONS(3080),
    [sym_false] = ACTIONS(3080),
    [sym_null] = ACTIONS(3080),
    [sym_undefined] = ACTIONS(3080),
    [anon_sym_AT] = ACTIONS(3080),
    [anon_sym_static] = ACTIONS(3080),
    [anon_sym_readonly] = ACTIONS(3080),
    [anon_sym_get] = ACTIONS(3080),
    [anon_sym_set] = ACTIONS(3080),
    [anon_sym_declare] = ACTIONS(3080),
    [anon_sym_public] = ACTIONS(3080),
    [anon_sym_private] = ACTIONS(3080),
    [anon_sym_protected] = ACTIONS(3080),
    [anon_sym_override] = ACTIONS(3080),
    [anon_sym_module] = ACTIONS(3080),
    [anon_sym_any] = ACTIONS(3080),
    [anon_sym_number] = ACTIONS(3080),
    [anon_sym_boolean] = ACTIONS(3080),
    [anon_sym_string] = ACTIONS(3080),
    [anon_sym_symbol] = ACTIONS(3080),
    [anon_sym_object] = ACTIONS(3080),
    [anon_sym_abstract] = ACTIONS(3080),
    [anon_sym_interface] = ACTIONS(3080),
    [anon_sym_enum] = ACTIONS(3080),
    [sym_html_comment] = ACTIONS(5),
  },
  [1058] = {
    [sym_comment] = STATE(1058),
    [sym_identifier] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_default] = ACTIONS(3222),
    [anon_sym_type] = ACTIONS(3222),
    [anon_sym_namespace] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_RBRACE] = ACTIONS(3222),
    [anon_sym_typeof] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_var] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_BANG] = ACTIONS(3222),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_switch] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_await] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [anon_sym_do] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_with] = ACTIONS(3222),
    [anon_sym_break] = ACTIONS(3222),
    [anon_sym_continue] = ACTIONS(3222),
    [anon_sym_debugger] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_throw] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_case] = ACTIONS(3222),
    [anon_sym_yield] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_LTtemplate_GT] = ACTIONS(3222),
    [anon_sym_class] = ACTIONS(3222),
    [anon_sym_async] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_new] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_PLUS] = ACTIONS(3222),
    [anon_sym_DASH] = ACTIONS(3222),
    [anon_sym_SLASH] = ACTIONS(3222),
    [anon_sym_LT] = ACTIONS(3222),
    [anon_sym_TILDE] = ACTIONS(3222),
    [anon_sym_void] = ACTIONS(3222),
    [anon_sym_delete] = ACTIONS(3222),
    [anon_sym_PLUS_PLUS] = ACTIONS(3222),
    [anon_sym_DASH_DASH] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [sym_number] = ACTIONS(3222),
    [sym_private_property_identifier] = ACTIONS(3222),
    [sym_this] = ACTIONS(3222),
    [sym_super] = ACTIONS(3222),
    [sym_true] = ACTIONS(3222),
    [sym_false] = ACTIONS(3222),
    [sym_null] = ACTIONS(3222),
    [sym_undefined] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_static] = ACTIONS(3222),
    [anon_sym_readonly] = ACTIONS(3222),
    [anon_sym_get] = ACTIONS(3222),
    [anon_sym_set] = ACTIONS(3222),
    [anon_sym_declare] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_private] = ACTIONS(3222),
    [anon_sym_protected] = ACTIONS(3222),
    [anon_sym_override] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_any] = ACTIONS(3222),
    [anon_sym_number] = ACTIONS(3222),
    [anon_sym_boolean] = ACTIONS(3222),
    [anon_sym_string] = ACTIONS(3222),
    [anon_sym_symbol] = ACTIONS(3222),
    [anon_sym_object] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_interface] = ACTIONS(3222),
    [anon_sym_enum] = ACTIONS(3222),
    [sym_html_comment] = ACTIONS(5),
  },
  [1059] = {
    [sym_comment] = STATE(1059),
    [sym_identifier] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_default] = ACTIONS(3222),
    [anon_sym_type] = ACTIONS(3222),
    [anon_sym_namespace] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_RBRACE] = ACTIONS(3222),
    [anon_sym_typeof] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_var] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_BANG] = ACTIONS(3222),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_switch] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_await] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [anon_sym_do] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_with] = ACTIONS(3222),
    [anon_sym_break] = ACTIONS(3222),
    [anon_sym_continue] = ACTIONS(3222),
    [anon_sym_debugger] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_throw] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_case] = ACTIONS(3222),
    [anon_sym_yield] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_LTtemplate_GT] = ACTIONS(3222),
    [anon_sym_class] = ACTIONS(3222),
    [anon_sym_async] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_new] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_PLUS] = ACTIONS(3222),
    [anon_sym_DASH] = ACTIONS(3222),
    [anon_sym_SLASH] = ACTIONS(3222),
    [anon_sym_LT] = ACTIONS(3222),
    [anon_sym_TILDE] = ACTIONS(3222),
    [anon_sym_void] = ACTIONS(3222),
    [anon_sym_delete] = ACTIONS(3222),
    [anon_sym_PLUS_PLUS] = ACTIONS(3222),
    [anon_sym_DASH_DASH] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [sym_number] = ACTIONS(3222),
    [sym_private_property_identifier] = ACTIONS(3222),
    [sym_this] = ACTIONS(3222),
    [sym_super] = ACTIONS(3222),
    [sym_true] = ACTIONS(3222),
    [sym_false] = ACTIONS(3222),
    [sym_null] = ACTIONS(3222),
    [sym_undefined] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_static] = ACTIONS(3222),
    [anon_sym_readonly] = ACTIONS(3222),
    [anon_sym_get] = ACTIONS(3222),
    [anon_sym_set] = ACTIONS(3222),
    [anon_sym_declare] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_private] = ACTIONS(3222),
    [anon_sym_protected] = ACTIONS(3222),
    [anon_sym_override] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_any] = ACTIONS(3222),
    [anon_sym_number] = ACTIONS(3222),
    [anon_sym_boolean] = ACTIONS(3222),
    [anon_sym_string] = ACTIONS(3222),
    [anon_sym_symbol] = ACTIONS(3222),
    [anon_sym_object] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_interface] = ACTIONS(3222),
    [anon_sym_enum] = ACTIONS(3222),
    [sym_html_comment] = ACTIONS(5),
  },
  [1060] = {
    [sym_comment] = STATE(1060),
    [ts_builtin_sym_end] = ACTIONS(2271),
    [sym_identifier] = ACTIONS(2147),
    [anon_sym_export] = ACTIONS(2147),
    [anon_sym_type] = ACTIONS(2147),
    [anon_sym_namespace] = ACTIONS(2147),
    [anon_sym_LBRACE] = ACTIONS(2147),
    [anon_sym_RBRACE] = ACTIONS(2147),
    [anon_sym_typeof] = ACTIONS(2147),
    [anon_sym_import] = ACTIONS(2147),
    [anon_sym_var] = ACTIONS(2147),
    [anon_sym_let] = ACTIONS(2147),
    [anon_sym_const] = ACTIONS(2147),
    [anon_sym_BANG] = ACTIONS(2147),
    [anon_sym_else] = ACTIONS(2147),
    [anon_sym_if] = ACTIONS(2147),
    [anon_sym_switch] = ACTIONS(2147),
    [anon_sym_for] = ACTIONS(2147),
    [anon_sym_LPAREN] = ACTIONS(2147),
    [anon_sym_await] = ACTIONS(2147),
    [anon_sym_while] = ACTIONS(2147),
    [anon_sym_do] = ACTIONS(2147),
    [anon_sym_try] = ACTIONS(2147),
    [anon_sym_with] = ACTIONS(2147),
    [anon_sym_break] = ACTIONS(2147),
    [anon_sym_continue] = ACTIONS(2147),
    [anon_sym_debugger] = ACTIONS(2147),
    [anon_sym_return] = ACTIONS(2147),
    [anon_sym_throw] = ACTIONS(2147),
    [anon_sym_SEMI] = ACTIONS(2147),
    [anon_sym_yield] = ACTIONS(2147),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_LTtemplate_GT] = ACTIONS(2147),
    [anon_sym_class] = ACTIONS(2147),
    [anon_sym_async] = ACTIONS(2147),
    [anon_sym_function] = ACTIONS(2147),
    [anon_sym_new] = ACTIONS(2147),
    [anon_sym_using] = ACTIONS(2147),
    [anon_sym_PLUS] = ACTIONS(2147),
    [anon_sym_DASH] = ACTIONS(2147),
    [anon_sym_SLASH] = ACTIONS(2147),
    [anon_sym_LT] = ACTIONS(2147),
    [anon_sym_TILDE] = ACTIONS(2147),
    [anon_sym_void] = ACTIONS(2147),
    [anon_sym_delete] = ACTIONS(2147),
    [anon_sym_PLUS_PLUS] = ACTIONS(2147),
    [anon_sym_DASH_DASH] = ACTIONS(2147),
    [anon_sym_DQUOTE] = ACTIONS(2147),
    [anon_sym_SQUOTE] = ACTIONS(2147),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2147),
    [sym_number] = ACTIONS(2147),
    [sym_private_property_identifier] = ACTIONS(2147),
    [sym_this] = ACTIONS(2147),
    [sym_super] = ACTIONS(2147),
    [sym_true] = ACTIONS(2147),
    [sym_false] = ACTIONS(2147),
    [sym_null] = ACTIONS(2147),
    [sym_undefined] = ACTIONS(2147),
    [anon_sym_AT] = ACTIONS(2147),
    [anon_sym_static] = ACTIONS(2147),
    [anon_sym_readonly] = ACTIONS(2147),
    [anon_sym_get] = ACTIONS(2147),
    [anon_sym_set] = ACTIONS(2147),
    [anon_sym_declare] = ACTIONS(2147),
    [anon_sym_public] = ACTIONS(2147),
    [anon_sym_private] = ACTIONS(2147),
    [anon_sym_protected] = ACTIONS(2147),
    [anon_sym_override] = ACTIONS(2147),
    [anon_sym_module] = ACTIONS(2147),
    [anon_sym_any] = ACTIONS(2147),
    [anon_sym_number] = ACTIONS(2147),
    [anon_sym_boolean] = ACTIONS(2147),
    [anon_sym_string] = ACTIONS(2147),
    [anon_sym_symbol] = ACTIONS(2147),
    [anon_sym_object] = ACTIONS(2147),
    [anon_sym_abstract] = ACTIONS(2147),
    [anon_sym_interface] = ACTIONS(2147),
    [anon_sym_enum] = ACTIONS(2147),
    [sym__automatic_semicolon] = ACTIONS(2273),
    [sym_html_comment] = ACTIONS(5),
  },
  [1061] = {
    [sym_comment] = STATE(1061),
    [sym_identifier] = ACTIONS(2185),
    [anon_sym_export] = ACTIONS(2185),
    [anon_sym_default] = ACTIONS(2185),
    [anon_sym_type] = ACTIONS(2185),
    [anon_sym_namespace] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2185),
    [anon_sym_RBRACE] = ACTIONS(2185),
    [anon_sym_typeof] = ACTIONS(2185),
    [anon_sym_import] = ACTIONS(2185),
    [anon_sym_var] = ACTIONS(2185),
    [anon_sym_let] = ACTIONS(2185),
    [anon_sym_const] = ACTIONS(2185),
    [anon_sym_BANG] = ACTIONS(2185),
    [anon_sym_if] = ACTIONS(2185),
    [anon_sym_switch] = ACTIONS(2185),
    [anon_sym_for] = ACTIONS(2185),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_while] = ACTIONS(2185),
    [anon_sym_do] = ACTIONS(2185),
    [anon_sym_try] = ACTIONS(2185),
    [anon_sym_with] = ACTIONS(2185),
    [anon_sym_break] = ACTIONS(2185),
    [anon_sym_continue] = ACTIONS(2185),
    [anon_sym_debugger] = ACTIONS(2185),
    [anon_sym_return] = ACTIONS(2185),
    [anon_sym_throw] = ACTIONS(2185),
    [anon_sym_SEMI] = ACTIONS(2185),
    [anon_sym_case] = ACTIONS(2185),
    [anon_sym_yield] = ACTIONS(2185),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_LTtemplate_GT] = ACTIONS(2185),
    [anon_sym_class] = ACTIONS(2185),
    [anon_sym_async] = ACTIONS(2185),
    [anon_sym_function] = ACTIONS(2185),
    [anon_sym_new] = ACTIONS(2185),
    [anon_sym_using] = ACTIONS(2185),
    [anon_sym_PLUS] = ACTIONS(2185),
    [anon_sym_DASH] = ACTIONS(2185),
    [anon_sym_SLASH] = ACTIONS(2185),
    [anon_sym_LT] = ACTIONS(2185),
    [anon_sym_TILDE] = ACTIONS(2185),
    [anon_sym_void] = ACTIONS(2185),
    [anon_sym_delete] = ACTIONS(2185),
    [anon_sym_PLUS_PLUS] = ACTIONS(2185),
    [anon_sym_DASH_DASH] = ACTIONS(2185),
    [anon_sym_DQUOTE] = ACTIONS(2185),
    [anon_sym_SQUOTE] = ACTIONS(2185),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2185),
    [sym_number] = ACTIONS(2185),
    [sym_private_property_identifier] = ACTIONS(2185),
    [sym_this] = ACTIONS(2185),
    [sym_super] = ACTIONS(2185),
    [sym_true] = ACTIONS(2185),
    [sym_false] = ACTIONS(2185),
    [sym_null] = ACTIONS(2185),
    [sym_undefined] = ACTIONS(2185),
    [anon_sym_AT] = ACTIONS(2185),
    [anon_sym_static] = ACTIONS(2185),
    [anon_sym_readonly] = ACTIONS(2185),
    [anon_sym_get] = ACTIONS(2185),
    [anon_sym_set] = ACTIONS(2185),
    [anon_sym_declare] = ACTIONS(2185),
    [anon_sym_public] = ACTIONS(2185),
    [anon_sym_private] = ACTIONS(2185),
    [anon_sym_protected] = ACTIONS(2185),
    [anon_sym_override] = ACTIONS(2185),
    [anon_sym_module] = ACTIONS(2185),
    [anon_sym_any] = ACTIONS(2185),
    [anon_sym_number] = ACTIONS(2185),
    [anon_sym_boolean] = ACTIONS(2185),
    [anon_sym_string] = ACTIONS(2185),
    [anon_sym_symbol] = ACTIONS(2185),
    [anon_sym_object] = ACTIONS(2185),
    [anon_sym_abstract] = ACTIONS(2185),
    [anon_sym_interface] = ACTIONS(2185),
    [anon_sym_enum] = ACTIONS(2185),
    [sym__automatic_semicolon] = ACTIONS(2317),
    [sym_html_comment] = ACTIONS(5),
  },
  [1062] = {
    [sym_comment] = STATE(1062),
    [sym_identifier] = ACTIONS(3224),
    [anon_sym_export] = ACTIONS(3224),
    [anon_sym_default] = ACTIONS(3224),
    [anon_sym_type] = ACTIONS(3224),
    [anon_sym_namespace] = ACTIONS(3224),
    [anon_sym_LBRACE] = ACTIONS(3224),
    [anon_sym_RBRACE] = ACTIONS(3224),
    [anon_sym_typeof] = ACTIONS(3224),
    [anon_sym_import] = ACTIONS(3224),
    [anon_sym_var] = ACTIONS(3224),
    [anon_sym_let] = ACTIONS(3224),
    [anon_sym_const] = ACTIONS(3224),
    [anon_sym_BANG] = ACTIONS(3224),
    [anon_sym_else] = ACTIONS(3224),
    [anon_sym_if] = ACTIONS(3224),
    [anon_sym_switch] = ACTIONS(3224),
    [anon_sym_for] = ACTIONS(3224),
    [anon_sym_LPAREN] = ACTIONS(3224),
    [anon_sym_await] = ACTIONS(3224),
    [anon_sym_while] = ACTIONS(3224),
    [anon_sym_do] = ACTIONS(3224),
    [anon_sym_try] = ACTIONS(3224),
    [anon_sym_with] = ACTIONS(3224),
    [anon_sym_break] = ACTIONS(3224),
    [anon_sym_continue] = ACTIONS(3224),
    [anon_sym_debugger] = ACTIONS(3224),
    [anon_sym_return] = ACTIONS(3224),
    [anon_sym_throw] = ACTIONS(3224),
    [anon_sym_SEMI] = ACTIONS(3224),
    [anon_sym_case] = ACTIONS(3224),
    [anon_sym_yield] = ACTIONS(3224),
    [anon_sym_LBRACK] = ACTIONS(3224),
    [anon_sym_LTtemplate_GT] = ACTIONS(3224),
    [anon_sym_class] = ACTIONS(3224),
    [anon_sym_async] = ACTIONS(3224),
    [anon_sym_function] = ACTIONS(3224),
    [anon_sym_new] = ACTIONS(3224),
    [anon_sym_using] = ACTIONS(3224),
    [anon_sym_PLUS] = ACTIONS(3224),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_SLASH] = ACTIONS(3224),
    [anon_sym_LT] = ACTIONS(3224),
    [anon_sym_TILDE] = ACTIONS(3224),
    [anon_sym_void] = ACTIONS(3224),
    [anon_sym_delete] = ACTIONS(3224),
    [anon_sym_PLUS_PLUS] = ACTIONS(3224),
    [anon_sym_DASH_DASH] = ACTIONS(3224),
    [anon_sym_DQUOTE] = ACTIONS(3224),
    [anon_sym_SQUOTE] = ACTIONS(3224),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3224),
    [sym_number] = ACTIONS(3224),
    [sym_private_property_identifier] = ACTIONS(3224),
    [sym_this] = ACTIONS(3224),
    [sym_super] = ACTIONS(3224),
    [sym_true] = ACTIONS(3224),
    [sym_false] = ACTIONS(3224),
    [sym_null] = ACTIONS(3224),
    [sym_undefined] = ACTIONS(3224),
    [anon_sym_AT] = ACTIONS(3224),
    [anon_sym_static] = ACTIONS(3224),
    [anon_sym_readonly] = ACTIONS(3224),
    [anon_sym_get] = ACTIONS(3224),
    [anon_sym_set] = ACTIONS(3224),
    [anon_sym_declare] = ACTIONS(3224),
    [anon_sym_public] = ACTIONS(3224),
    [anon_sym_private] = ACTIONS(3224),
    [anon_sym_protected] = ACTIONS(3224),
    [anon_sym_override] = ACTIONS(3224),
    [anon_sym_module] = ACTIONS(3224),
    [anon_sym_any] = ACTIONS(3224),
    [anon_sym_number] = ACTIONS(3224),
    [anon_sym_boolean] = ACTIONS(3224),
    [anon_sym_string] = ACTIONS(3224),
    [anon_sym_symbol] = ACTIONS(3224),
    [anon_sym_object] = ACTIONS(3224),
    [anon_sym_abstract] = ACTIONS(3224),
    [anon_sym_interface] = ACTIONS(3224),
    [anon_sym_enum] = ACTIONS(3224),
    [sym_html_comment] = ACTIONS(5),
  },
  [1063] = {
    [sym_comment] = STATE(1063),
    [sym_identifier] = ACTIONS(2169),
    [anon_sym_export] = ACTIONS(2169),
    [anon_sym_default] = ACTIONS(2169),
    [anon_sym_type] = ACTIONS(2169),
    [anon_sym_namespace] = ACTIONS(2169),
    [anon_sym_LBRACE] = ACTIONS(2169),
    [anon_sym_RBRACE] = ACTIONS(2169),
    [anon_sym_typeof] = ACTIONS(2169),
    [anon_sym_import] = ACTIONS(2169),
    [anon_sym_var] = ACTIONS(2169),
    [anon_sym_let] = ACTIONS(2169),
    [anon_sym_const] = ACTIONS(2169),
    [anon_sym_BANG] = ACTIONS(2169),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_switch] = ACTIONS(2169),
    [anon_sym_for] = ACTIONS(2169),
    [anon_sym_LPAREN] = ACTIONS(2169),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_while] = ACTIONS(2169),
    [anon_sym_do] = ACTIONS(2169),
    [anon_sym_try] = ACTIONS(2169),
    [anon_sym_with] = ACTIONS(2169),
    [anon_sym_break] = ACTIONS(2169),
    [anon_sym_continue] = ACTIONS(2169),
    [anon_sym_debugger] = ACTIONS(2169),
    [anon_sym_return] = ACTIONS(2169),
    [anon_sym_throw] = ACTIONS(2169),
    [anon_sym_SEMI] = ACTIONS(2169),
    [anon_sym_case] = ACTIONS(2169),
    [anon_sym_yield] = ACTIONS(2169),
    [anon_sym_LBRACK] = ACTIONS(2169),
    [anon_sym_LTtemplate_GT] = ACTIONS(2169),
    [anon_sym_class] = ACTIONS(2169),
    [anon_sym_async] = ACTIONS(2169),
    [anon_sym_function] = ACTIONS(2169),
    [anon_sym_new] = ACTIONS(2169),
    [anon_sym_using] = ACTIONS(2169),
    [anon_sym_PLUS] = ACTIONS(2169),
    [anon_sym_DASH] = ACTIONS(2169),
    [anon_sym_SLASH] = ACTIONS(2169),
    [anon_sym_LT] = ACTIONS(2169),
    [anon_sym_TILDE] = ACTIONS(2169),
    [anon_sym_void] = ACTIONS(2169),
    [anon_sym_delete] = ACTIONS(2169),
    [anon_sym_PLUS_PLUS] = ACTIONS(2169),
    [anon_sym_DASH_DASH] = ACTIONS(2169),
    [anon_sym_DQUOTE] = ACTIONS(2169),
    [anon_sym_SQUOTE] = ACTIONS(2169),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2169),
    [sym_number] = ACTIONS(2169),
    [sym_private_property_identifier] = ACTIONS(2169),
    [sym_this] = ACTIONS(2169),
    [sym_super] = ACTIONS(2169),
    [sym_true] = ACTIONS(2169),
    [sym_false] = ACTIONS(2169),
    [sym_null] = ACTIONS(2169),
    [sym_undefined] = ACTIONS(2169),
    [anon_sym_AT] = ACTIONS(2169),
    [anon_sym_static] = ACTIONS(2169),
    [anon_sym_readonly] = ACTIONS(2169),
    [anon_sym_get] = ACTIONS(2169),
    [anon_sym_set] = ACTIONS(2169),
    [anon_sym_declare] = ACTIONS(2169),
    [anon_sym_public] = ACTIONS(2169),
    [anon_sym_private] = ACTIONS(2169),
    [anon_sym_protected] = ACTIONS(2169),
    [anon_sym_override] = ACTIONS(2169),
    [anon_sym_module] = ACTIONS(2169),
    [anon_sym_any] = ACTIONS(2169),
    [anon_sym_number] = ACTIONS(2169),
    [anon_sym_boolean] = ACTIONS(2169),
    [anon_sym_string] = ACTIONS(2169),
    [anon_sym_symbol] = ACTIONS(2169),
    [anon_sym_object] = ACTIONS(2169),
    [anon_sym_abstract] = ACTIONS(2169),
    [anon_sym_interface] = ACTIONS(2169),
    [anon_sym_enum] = ACTIONS(2169),
    [sym__automatic_semicolon] = ACTIONS(2327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1064] = {
    [sym_comment] = STATE(1064),
    [sym_identifier] = ACTIONS(2155),
    [anon_sym_export] = ACTIONS(2155),
    [anon_sym_default] = ACTIONS(2155),
    [anon_sym_type] = ACTIONS(2155),
    [anon_sym_namespace] = ACTIONS(2155),
    [anon_sym_LBRACE] = ACTIONS(2155),
    [anon_sym_RBRACE] = ACTIONS(2155),
    [anon_sym_typeof] = ACTIONS(2155),
    [anon_sym_import] = ACTIONS(2155),
    [anon_sym_var] = ACTIONS(2155),
    [anon_sym_let] = ACTIONS(2155),
    [anon_sym_const] = ACTIONS(2155),
    [anon_sym_BANG] = ACTIONS(2155),
    [anon_sym_if] = ACTIONS(2155),
    [anon_sym_switch] = ACTIONS(2155),
    [anon_sym_for] = ACTIONS(2155),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_await] = ACTIONS(2155),
    [anon_sym_while] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(2155),
    [anon_sym_try] = ACTIONS(2155),
    [anon_sym_with] = ACTIONS(2155),
    [anon_sym_break] = ACTIONS(2155),
    [anon_sym_continue] = ACTIONS(2155),
    [anon_sym_debugger] = ACTIONS(2155),
    [anon_sym_return] = ACTIONS(2155),
    [anon_sym_throw] = ACTIONS(2155),
    [anon_sym_SEMI] = ACTIONS(2155),
    [anon_sym_case] = ACTIONS(2155),
    [anon_sym_yield] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2155),
    [anon_sym_LTtemplate_GT] = ACTIONS(2155),
    [anon_sym_class] = ACTIONS(2155),
    [anon_sym_async] = ACTIONS(2155),
    [anon_sym_function] = ACTIONS(2155),
    [anon_sym_new] = ACTIONS(2155),
    [anon_sym_using] = ACTIONS(2155),
    [anon_sym_PLUS] = ACTIONS(2155),
    [anon_sym_DASH] = ACTIONS(2155),
    [anon_sym_SLASH] = ACTIONS(2155),
    [anon_sym_LT] = ACTIONS(2155),
    [anon_sym_TILDE] = ACTIONS(2155),
    [anon_sym_void] = ACTIONS(2155),
    [anon_sym_delete] = ACTIONS(2155),
    [anon_sym_PLUS_PLUS] = ACTIONS(2155),
    [anon_sym_DASH_DASH] = ACTIONS(2155),
    [anon_sym_DQUOTE] = ACTIONS(2155),
    [anon_sym_SQUOTE] = ACTIONS(2155),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2155),
    [sym_number] = ACTIONS(2155),
    [sym_private_property_identifier] = ACTIONS(2155),
    [sym_this] = ACTIONS(2155),
    [sym_super] = ACTIONS(2155),
    [sym_true] = ACTIONS(2155),
    [sym_false] = ACTIONS(2155),
    [sym_null] = ACTIONS(2155),
    [sym_undefined] = ACTIONS(2155),
    [anon_sym_AT] = ACTIONS(2155),
    [anon_sym_static] = ACTIONS(2155),
    [anon_sym_readonly] = ACTIONS(2155),
    [anon_sym_get] = ACTIONS(2155),
    [anon_sym_set] = ACTIONS(2155),
    [anon_sym_declare] = ACTIONS(2155),
    [anon_sym_public] = ACTIONS(2155),
    [anon_sym_private] = ACTIONS(2155),
    [anon_sym_protected] = ACTIONS(2155),
    [anon_sym_override] = ACTIONS(2155),
    [anon_sym_module] = ACTIONS(2155),
    [anon_sym_any] = ACTIONS(2155),
    [anon_sym_number] = ACTIONS(2155),
    [anon_sym_boolean] = ACTIONS(2155),
    [anon_sym_string] = ACTIONS(2155),
    [anon_sym_symbol] = ACTIONS(2155),
    [anon_sym_object] = ACTIONS(2155),
    [anon_sym_abstract] = ACTIONS(2155),
    [anon_sym_interface] = ACTIONS(2155),
    [anon_sym_enum] = ACTIONS(2155),
    [sym__automatic_semicolon] = ACTIONS(2329),
    [sym_html_comment] = ACTIONS(5),
  },
  [1065] = {
    [sym_comment] = STATE(1065),
    [sym_identifier] = ACTIONS(3226),
    [anon_sym_export] = ACTIONS(3226),
    [anon_sym_default] = ACTIONS(3226),
    [anon_sym_type] = ACTIONS(3226),
    [anon_sym_namespace] = ACTIONS(3226),
    [anon_sym_LBRACE] = ACTIONS(3226),
    [anon_sym_RBRACE] = ACTIONS(3226),
    [anon_sym_typeof] = ACTIONS(3226),
    [anon_sym_import] = ACTIONS(3226),
    [anon_sym_var] = ACTIONS(3226),
    [anon_sym_let] = ACTIONS(3226),
    [anon_sym_const] = ACTIONS(3226),
    [anon_sym_BANG] = ACTIONS(3226),
    [anon_sym_else] = ACTIONS(3226),
    [anon_sym_if] = ACTIONS(3226),
    [anon_sym_switch] = ACTIONS(3226),
    [anon_sym_for] = ACTIONS(3226),
    [anon_sym_LPAREN] = ACTIONS(3226),
    [anon_sym_await] = ACTIONS(3226),
    [anon_sym_while] = ACTIONS(3226),
    [anon_sym_do] = ACTIONS(3226),
    [anon_sym_try] = ACTIONS(3226),
    [anon_sym_with] = ACTIONS(3226),
    [anon_sym_break] = ACTIONS(3226),
    [anon_sym_continue] = ACTIONS(3226),
    [anon_sym_debugger] = ACTIONS(3226),
    [anon_sym_return] = ACTIONS(3226),
    [anon_sym_throw] = ACTIONS(3226),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym_case] = ACTIONS(3226),
    [anon_sym_yield] = ACTIONS(3226),
    [anon_sym_LBRACK] = ACTIONS(3226),
    [anon_sym_LTtemplate_GT] = ACTIONS(3226),
    [anon_sym_class] = ACTIONS(3226),
    [anon_sym_async] = ACTIONS(3226),
    [anon_sym_function] = ACTIONS(3226),
    [anon_sym_new] = ACTIONS(3226),
    [anon_sym_using] = ACTIONS(3226),
    [anon_sym_PLUS] = ACTIONS(3226),
    [anon_sym_DASH] = ACTIONS(3226),
    [anon_sym_SLASH] = ACTIONS(3226),
    [anon_sym_LT] = ACTIONS(3226),
    [anon_sym_TILDE] = ACTIONS(3226),
    [anon_sym_void] = ACTIONS(3226),
    [anon_sym_delete] = ACTIONS(3226),
    [anon_sym_PLUS_PLUS] = ACTIONS(3226),
    [anon_sym_DASH_DASH] = ACTIONS(3226),
    [anon_sym_DQUOTE] = ACTIONS(3226),
    [anon_sym_SQUOTE] = ACTIONS(3226),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3226),
    [sym_number] = ACTIONS(3226),
    [sym_private_property_identifier] = ACTIONS(3226),
    [sym_this] = ACTIONS(3226),
    [sym_super] = ACTIONS(3226),
    [sym_true] = ACTIONS(3226),
    [sym_false] = ACTIONS(3226),
    [sym_null] = ACTIONS(3226),
    [sym_undefined] = ACTIONS(3226),
    [anon_sym_AT] = ACTIONS(3226),
    [anon_sym_static] = ACTIONS(3226),
    [anon_sym_readonly] = ACTIONS(3226),
    [anon_sym_get] = ACTIONS(3226),
    [anon_sym_set] = ACTIONS(3226),
    [anon_sym_declare] = ACTIONS(3226),
    [anon_sym_public] = ACTIONS(3226),
    [anon_sym_private] = ACTIONS(3226),
    [anon_sym_protected] = ACTIONS(3226),
    [anon_sym_override] = ACTIONS(3226),
    [anon_sym_module] = ACTIONS(3226),
    [anon_sym_any] = ACTIONS(3226),
    [anon_sym_number] = ACTIONS(3226),
    [anon_sym_boolean] = ACTIONS(3226),
    [anon_sym_string] = ACTIONS(3226),
    [anon_sym_symbol] = ACTIONS(3226),
    [anon_sym_object] = ACTIONS(3226),
    [anon_sym_abstract] = ACTIONS(3226),
    [anon_sym_interface] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(3226),
    [sym_html_comment] = ACTIONS(5),
  },
  [1066] = {
    [sym_comment] = STATE(1066),
    [ts_builtin_sym_end] = ACTIONS(2295),
    [sym_identifier] = ACTIONS(2155),
    [anon_sym_export] = ACTIONS(2155),
    [anon_sym_type] = ACTIONS(2155),
    [anon_sym_namespace] = ACTIONS(2155),
    [anon_sym_LBRACE] = ACTIONS(2155),
    [anon_sym_RBRACE] = ACTIONS(2155),
    [anon_sym_typeof] = ACTIONS(2155),
    [anon_sym_import] = ACTIONS(2155),
    [anon_sym_var] = ACTIONS(2155),
    [anon_sym_let] = ACTIONS(2155),
    [anon_sym_const] = ACTIONS(2155),
    [anon_sym_BANG] = ACTIONS(2155),
    [anon_sym_else] = ACTIONS(2155),
    [anon_sym_if] = ACTIONS(2155),
    [anon_sym_switch] = ACTIONS(2155),
    [anon_sym_for] = ACTIONS(2155),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_await] = ACTIONS(2155),
    [anon_sym_while] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(2155),
    [anon_sym_try] = ACTIONS(2155),
    [anon_sym_with] = ACTIONS(2155),
    [anon_sym_break] = ACTIONS(2155),
    [anon_sym_continue] = ACTIONS(2155),
    [anon_sym_debugger] = ACTIONS(2155),
    [anon_sym_return] = ACTIONS(2155),
    [anon_sym_throw] = ACTIONS(2155),
    [anon_sym_SEMI] = ACTIONS(2155),
    [anon_sym_yield] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2155),
    [anon_sym_LTtemplate_GT] = ACTIONS(2155),
    [anon_sym_class] = ACTIONS(2155),
    [anon_sym_async] = ACTIONS(2155),
    [anon_sym_function] = ACTIONS(2155),
    [anon_sym_new] = ACTIONS(2155),
    [anon_sym_using] = ACTIONS(2155),
    [anon_sym_PLUS] = ACTIONS(2155),
    [anon_sym_DASH] = ACTIONS(2155),
    [anon_sym_SLASH] = ACTIONS(2155),
    [anon_sym_LT] = ACTIONS(2155),
    [anon_sym_TILDE] = ACTIONS(2155),
    [anon_sym_void] = ACTIONS(2155),
    [anon_sym_delete] = ACTIONS(2155),
    [anon_sym_PLUS_PLUS] = ACTIONS(2155),
    [anon_sym_DASH_DASH] = ACTIONS(2155),
    [anon_sym_DQUOTE] = ACTIONS(2155),
    [anon_sym_SQUOTE] = ACTIONS(2155),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2155),
    [sym_number] = ACTIONS(2155),
    [sym_private_property_identifier] = ACTIONS(2155),
    [sym_this] = ACTIONS(2155),
    [sym_super] = ACTIONS(2155),
    [sym_true] = ACTIONS(2155),
    [sym_false] = ACTIONS(2155),
    [sym_null] = ACTIONS(2155),
    [sym_undefined] = ACTIONS(2155),
    [anon_sym_AT] = ACTIONS(2155),
    [anon_sym_static] = ACTIONS(2155),
    [anon_sym_readonly] = ACTIONS(2155),
    [anon_sym_get] = ACTIONS(2155),
    [anon_sym_set] = ACTIONS(2155),
    [anon_sym_declare] = ACTIONS(2155),
    [anon_sym_public] = ACTIONS(2155),
    [anon_sym_private] = ACTIONS(2155),
    [anon_sym_protected] = ACTIONS(2155),
    [anon_sym_override] = ACTIONS(2155),
    [anon_sym_module] = ACTIONS(2155),
    [anon_sym_any] = ACTIONS(2155),
    [anon_sym_number] = ACTIONS(2155),
    [anon_sym_boolean] = ACTIONS(2155),
    [anon_sym_string] = ACTIONS(2155),
    [anon_sym_symbol] = ACTIONS(2155),
    [anon_sym_object] = ACTIONS(2155),
    [anon_sym_abstract] = ACTIONS(2155),
    [anon_sym_interface] = ACTIONS(2155),
    [anon_sym_enum] = ACTIONS(2155),
    [sym__automatic_semicolon] = ACTIONS(2297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1067] = {
    [sym_comment] = STATE(1067),
    [sym_identifier] = ACTIONS(3228),
    [anon_sym_export] = ACTIONS(3228),
    [anon_sym_default] = ACTIONS(3228),
    [anon_sym_type] = ACTIONS(3228),
    [anon_sym_namespace] = ACTIONS(3228),
    [anon_sym_LBRACE] = ACTIONS(3228),
    [anon_sym_RBRACE] = ACTIONS(3228),
    [anon_sym_typeof] = ACTIONS(3228),
    [anon_sym_import] = ACTIONS(3228),
    [anon_sym_var] = ACTIONS(3228),
    [anon_sym_let] = ACTIONS(3228),
    [anon_sym_const] = ACTIONS(3228),
    [anon_sym_BANG] = ACTIONS(3228),
    [anon_sym_else] = ACTIONS(3228),
    [anon_sym_if] = ACTIONS(3228),
    [anon_sym_switch] = ACTIONS(3228),
    [anon_sym_for] = ACTIONS(3228),
    [anon_sym_LPAREN] = ACTIONS(3228),
    [anon_sym_await] = ACTIONS(3228),
    [anon_sym_while] = ACTIONS(3228),
    [anon_sym_do] = ACTIONS(3228),
    [anon_sym_try] = ACTIONS(3228),
    [anon_sym_with] = ACTIONS(3228),
    [anon_sym_break] = ACTIONS(3228),
    [anon_sym_continue] = ACTIONS(3228),
    [anon_sym_debugger] = ACTIONS(3228),
    [anon_sym_return] = ACTIONS(3228),
    [anon_sym_throw] = ACTIONS(3228),
    [anon_sym_SEMI] = ACTIONS(3228),
    [anon_sym_case] = ACTIONS(3228),
    [anon_sym_yield] = ACTIONS(3228),
    [anon_sym_LBRACK] = ACTIONS(3228),
    [anon_sym_LTtemplate_GT] = ACTIONS(3228),
    [anon_sym_class] = ACTIONS(3228),
    [anon_sym_async] = ACTIONS(3228),
    [anon_sym_function] = ACTIONS(3228),
    [anon_sym_new] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3228),
    [anon_sym_PLUS] = ACTIONS(3228),
    [anon_sym_DASH] = ACTIONS(3228),
    [anon_sym_SLASH] = ACTIONS(3228),
    [anon_sym_LT] = ACTIONS(3228),
    [anon_sym_TILDE] = ACTIONS(3228),
    [anon_sym_void] = ACTIONS(3228),
    [anon_sym_delete] = ACTIONS(3228),
    [anon_sym_PLUS_PLUS] = ACTIONS(3228),
    [anon_sym_DASH_DASH] = ACTIONS(3228),
    [anon_sym_DQUOTE] = ACTIONS(3228),
    [anon_sym_SQUOTE] = ACTIONS(3228),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3228),
    [sym_number] = ACTIONS(3228),
    [sym_private_property_identifier] = ACTIONS(3228),
    [sym_this] = ACTIONS(3228),
    [sym_super] = ACTIONS(3228),
    [sym_true] = ACTIONS(3228),
    [sym_false] = ACTIONS(3228),
    [sym_null] = ACTIONS(3228),
    [sym_undefined] = ACTIONS(3228),
    [anon_sym_AT] = ACTIONS(3228),
    [anon_sym_static] = ACTIONS(3228),
    [anon_sym_readonly] = ACTIONS(3228),
    [anon_sym_get] = ACTIONS(3228),
    [anon_sym_set] = ACTIONS(3228),
    [anon_sym_declare] = ACTIONS(3228),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_override] = ACTIONS(3228),
    [anon_sym_module] = ACTIONS(3228),
    [anon_sym_any] = ACTIONS(3228),
    [anon_sym_number] = ACTIONS(3228),
    [anon_sym_boolean] = ACTIONS(3228),
    [anon_sym_string] = ACTIONS(3228),
    [anon_sym_symbol] = ACTIONS(3228),
    [anon_sym_object] = ACTIONS(3228),
    [anon_sym_abstract] = ACTIONS(3228),
    [anon_sym_interface] = ACTIONS(3228),
    [anon_sym_enum] = ACTIONS(3228),
    [sym_html_comment] = ACTIONS(5),
  },
  [1068] = {
    [sym_comment] = STATE(1068),
    [ts_builtin_sym_end] = ACTIONS(2275),
    [sym_identifier] = ACTIONS(2169),
    [anon_sym_export] = ACTIONS(2169),
    [anon_sym_type] = ACTIONS(2169),
    [anon_sym_namespace] = ACTIONS(2169),
    [anon_sym_LBRACE] = ACTIONS(2169),
    [anon_sym_RBRACE] = ACTIONS(2169),
    [anon_sym_typeof] = ACTIONS(2169),
    [anon_sym_import] = ACTIONS(2169),
    [anon_sym_var] = ACTIONS(2169),
    [anon_sym_let] = ACTIONS(2169),
    [anon_sym_const] = ACTIONS(2169),
    [anon_sym_BANG] = ACTIONS(2169),
    [anon_sym_else] = ACTIONS(2169),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_switch] = ACTIONS(2169),
    [anon_sym_for] = ACTIONS(2169),
    [anon_sym_LPAREN] = ACTIONS(2169),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_while] = ACTIONS(2169),
    [anon_sym_do] = ACTIONS(2169),
    [anon_sym_try] = ACTIONS(2169),
    [anon_sym_with] = ACTIONS(2169),
    [anon_sym_break] = ACTIONS(2169),
    [anon_sym_continue] = ACTIONS(2169),
    [anon_sym_debugger] = ACTIONS(2169),
    [anon_sym_return] = ACTIONS(2169),
    [anon_sym_throw] = ACTIONS(2169),
    [anon_sym_SEMI] = ACTIONS(2169),
    [anon_sym_yield] = ACTIONS(2169),
    [anon_sym_LBRACK] = ACTIONS(2169),
    [anon_sym_LTtemplate_GT] = ACTIONS(2169),
    [anon_sym_class] = ACTIONS(2169),
    [anon_sym_async] = ACTIONS(2169),
    [anon_sym_function] = ACTIONS(2169),
    [anon_sym_new] = ACTIONS(2169),
    [anon_sym_using] = ACTIONS(2169),
    [anon_sym_PLUS] = ACTIONS(2169),
    [anon_sym_DASH] = ACTIONS(2169),
    [anon_sym_SLASH] = ACTIONS(2169),
    [anon_sym_LT] = ACTIONS(2169),
    [anon_sym_TILDE] = ACTIONS(2169),
    [anon_sym_void] = ACTIONS(2169),
    [anon_sym_delete] = ACTIONS(2169),
    [anon_sym_PLUS_PLUS] = ACTIONS(2169),
    [anon_sym_DASH_DASH] = ACTIONS(2169),
    [anon_sym_DQUOTE] = ACTIONS(2169),
    [anon_sym_SQUOTE] = ACTIONS(2169),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2169),
    [sym_number] = ACTIONS(2169),
    [sym_private_property_identifier] = ACTIONS(2169),
    [sym_this] = ACTIONS(2169),
    [sym_super] = ACTIONS(2169),
    [sym_true] = ACTIONS(2169),
    [sym_false] = ACTIONS(2169),
    [sym_null] = ACTIONS(2169),
    [sym_undefined] = ACTIONS(2169),
    [anon_sym_AT] = ACTIONS(2169),
    [anon_sym_static] = ACTIONS(2169),
    [anon_sym_readonly] = ACTIONS(2169),
    [anon_sym_get] = ACTIONS(2169),
    [anon_sym_set] = ACTIONS(2169),
    [anon_sym_declare] = ACTIONS(2169),
    [anon_sym_public] = ACTIONS(2169),
    [anon_sym_private] = ACTIONS(2169),
    [anon_sym_protected] = ACTIONS(2169),
    [anon_sym_override] = ACTIONS(2169),
    [anon_sym_module] = ACTIONS(2169),
    [anon_sym_any] = ACTIONS(2169),
    [anon_sym_number] = ACTIONS(2169),
    [anon_sym_boolean] = ACTIONS(2169),
    [anon_sym_string] = ACTIONS(2169),
    [anon_sym_symbol] = ACTIONS(2169),
    [anon_sym_object] = ACTIONS(2169),
    [anon_sym_abstract] = ACTIONS(2169),
    [anon_sym_interface] = ACTIONS(2169),
    [anon_sym_enum] = ACTIONS(2169),
    [sym__automatic_semicolon] = ACTIONS(2277),
    [sym_html_comment] = ACTIONS(5),
  },
  [1069] = {
    [sym_comment] = STATE(1069),
    [ts_builtin_sym_end] = ACTIONS(2323),
    [sym_identifier] = ACTIONS(2177),
    [anon_sym_export] = ACTIONS(2177),
    [anon_sym_type] = ACTIONS(2177),
    [anon_sym_namespace] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(2177),
    [anon_sym_RBRACE] = ACTIONS(2177),
    [anon_sym_typeof] = ACTIONS(2177),
    [anon_sym_import] = ACTIONS(2177),
    [anon_sym_var] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2177),
    [anon_sym_const] = ACTIONS(2177),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_else] = ACTIONS(2177),
    [anon_sym_if] = ACTIONS(2177),
    [anon_sym_switch] = ACTIONS(2177),
    [anon_sym_for] = ACTIONS(2177),
    [anon_sym_LPAREN] = ACTIONS(2177),
    [anon_sym_await] = ACTIONS(2177),
    [anon_sym_while] = ACTIONS(2177),
    [anon_sym_do] = ACTIONS(2177),
    [anon_sym_try] = ACTIONS(2177),
    [anon_sym_with] = ACTIONS(2177),
    [anon_sym_break] = ACTIONS(2177),
    [anon_sym_continue] = ACTIONS(2177),
    [anon_sym_debugger] = ACTIONS(2177),
    [anon_sym_return] = ACTIONS(2177),
    [anon_sym_throw] = ACTIONS(2177),
    [anon_sym_SEMI] = ACTIONS(2177),
    [anon_sym_yield] = ACTIONS(2177),
    [anon_sym_LBRACK] = ACTIONS(2177),
    [anon_sym_LTtemplate_GT] = ACTIONS(2177),
    [anon_sym_class] = ACTIONS(2177),
    [anon_sym_async] = ACTIONS(2177),
    [anon_sym_function] = ACTIONS(2177),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_using] = ACTIONS(2177),
    [anon_sym_PLUS] = ACTIONS(2177),
    [anon_sym_DASH] = ACTIONS(2177),
    [anon_sym_SLASH] = ACTIONS(2177),
    [anon_sym_LT] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [anon_sym_void] = ACTIONS(2177),
    [anon_sym_delete] = ACTIONS(2177),
    [anon_sym_PLUS_PLUS] = ACTIONS(2177),
    [anon_sym_DASH_DASH] = ACTIONS(2177),
    [anon_sym_DQUOTE] = ACTIONS(2177),
    [anon_sym_SQUOTE] = ACTIONS(2177),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2177),
    [sym_number] = ACTIONS(2177),
    [sym_private_property_identifier] = ACTIONS(2177),
    [sym_this] = ACTIONS(2177),
    [sym_super] = ACTIONS(2177),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [sym_null] = ACTIONS(2177),
    [sym_undefined] = ACTIONS(2177),
    [anon_sym_AT] = ACTIONS(2177),
    [anon_sym_static] = ACTIONS(2177),
    [anon_sym_readonly] = ACTIONS(2177),
    [anon_sym_get] = ACTIONS(2177),
    [anon_sym_set] = ACTIONS(2177),
    [anon_sym_declare] = ACTIONS(2177),
    [anon_sym_public] = ACTIONS(2177),
    [anon_sym_private] = ACTIONS(2177),
    [anon_sym_protected] = ACTIONS(2177),
    [anon_sym_override] = ACTIONS(2177),
    [anon_sym_module] = ACTIONS(2177),
    [anon_sym_any] = ACTIONS(2177),
    [anon_sym_number] = ACTIONS(2177),
    [anon_sym_boolean] = ACTIONS(2177),
    [anon_sym_string] = ACTIONS(2177),
    [anon_sym_symbol] = ACTIONS(2177),
    [anon_sym_object] = ACTIONS(2177),
    [anon_sym_abstract] = ACTIONS(2177),
    [anon_sym_interface] = ACTIONS(2177),
    [anon_sym_enum] = ACTIONS(2177),
    [sym__automatic_semicolon] = ACTIONS(2325),
    [sym_html_comment] = ACTIONS(5),
  },
  [1070] = {
    [sym_comment] = STATE(1070),
    [ts_builtin_sym_end] = ACTIONS(2337),
    [sym_identifier] = ACTIONS(2185),
    [anon_sym_export] = ACTIONS(2185),
    [anon_sym_type] = ACTIONS(2185),
    [anon_sym_namespace] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2185),
    [anon_sym_RBRACE] = ACTIONS(2185),
    [anon_sym_typeof] = ACTIONS(2185),
    [anon_sym_import] = ACTIONS(2185),
    [anon_sym_var] = ACTIONS(2185),
    [anon_sym_let] = ACTIONS(2185),
    [anon_sym_const] = ACTIONS(2185),
    [anon_sym_BANG] = ACTIONS(2185),
    [anon_sym_else] = ACTIONS(2185),
    [anon_sym_if] = ACTIONS(2185),
    [anon_sym_switch] = ACTIONS(2185),
    [anon_sym_for] = ACTIONS(2185),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_while] = ACTIONS(2185),
    [anon_sym_do] = ACTIONS(2185),
    [anon_sym_try] = ACTIONS(2185),
    [anon_sym_with] = ACTIONS(2185),
    [anon_sym_break] = ACTIONS(2185),
    [anon_sym_continue] = ACTIONS(2185),
    [anon_sym_debugger] = ACTIONS(2185),
    [anon_sym_return] = ACTIONS(2185),
    [anon_sym_throw] = ACTIONS(2185),
    [anon_sym_SEMI] = ACTIONS(2185),
    [anon_sym_yield] = ACTIONS(2185),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_LTtemplate_GT] = ACTIONS(2185),
    [anon_sym_class] = ACTIONS(2185),
    [anon_sym_async] = ACTIONS(2185),
    [anon_sym_function] = ACTIONS(2185),
    [anon_sym_new] = ACTIONS(2185),
    [anon_sym_using] = ACTIONS(2185),
    [anon_sym_PLUS] = ACTIONS(2185),
    [anon_sym_DASH] = ACTIONS(2185),
    [anon_sym_SLASH] = ACTIONS(2185),
    [anon_sym_LT] = ACTIONS(2185),
    [anon_sym_TILDE] = ACTIONS(2185),
    [anon_sym_void] = ACTIONS(2185),
    [anon_sym_delete] = ACTIONS(2185),
    [anon_sym_PLUS_PLUS] = ACTIONS(2185),
    [anon_sym_DASH_DASH] = ACTIONS(2185),
    [anon_sym_DQUOTE] = ACTIONS(2185),
    [anon_sym_SQUOTE] = ACTIONS(2185),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2185),
    [sym_number] = ACTIONS(2185),
    [sym_private_property_identifier] = ACTIONS(2185),
    [sym_this] = ACTIONS(2185),
    [sym_super] = ACTIONS(2185),
    [sym_true] = ACTIONS(2185),
    [sym_false] = ACTIONS(2185),
    [sym_null] = ACTIONS(2185),
    [sym_undefined] = ACTIONS(2185),
    [anon_sym_AT] = ACTIONS(2185),
    [anon_sym_static] = ACTIONS(2185),
    [anon_sym_readonly] = ACTIONS(2185),
    [anon_sym_get] = ACTIONS(2185),
    [anon_sym_set] = ACTIONS(2185),
    [anon_sym_declare] = ACTIONS(2185),
    [anon_sym_public] = ACTIONS(2185),
    [anon_sym_private] = ACTIONS(2185),
    [anon_sym_protected] = ACTIONS(2185),
    [anon_sym_override] = ACTIONS(2185),
    [anon_sym_module] = ACTIONS(2185),
    [anon_sym_any] = ACTIONS(2185),
    [anon_sym_number] = ACTIONS(2185),
    [anon_sym_boolean] = ACTIONS(2185),
    [anon_sym_string] = ACTIONS(2185),
    [anon_sym_symbol] = ACTIONS(2185),
    [anon_sym_object] = ACTIONS(2185),
    [anon_sym_abstract] = ACTIONS(2185),
    [anon_sym_interface] = ACTIONS(2185),
    [anon_sym_enum] = ACTIONS(2185),
    [sym__automatic_semicolon] = ACTIONS(2339),
    [sym_html_comment] = ACTIONS(5),
  },
  [1071] = {
    [sym_comment] = STATE(1071),
    [sym_identifier] = ACTIONS(3230),
    [anon_sym_export] = ACTIONS(3230),
    [anon_sym_default] = ACTIONS(3230),
    [anon_sym_type] = ACTIONS(3230),
    [anon_sym_namespace] = ACTIONS(3230),
    [anon_sym_LBRACE] = ACTIONS(3230),
    [anon_sym_RBRACE] = ACTIONS(3230),
    [anon_sym_typeof] = ACTIONS(3230),
    [anon_sym_import] = ACTIONS(3230),
    [anon_sym_var] = ACTIONS(3230),
    [anon_sym_let] = ACTIONS(3230),
    [anon_sym_const] = ACTIONS(3230),
    [anon_sym_BANG] = ACTIONS(3230),
    [anon_sym_else] = ACTIONS(3230),
    [anon_sym_if] = ACTIONS(3230),
    [anon_sym_switch] = ACTIONS(3230),
    [anon_sym_for] = ACTIONS(3230),
    [anon_sym_LPAREN] = ACTIONS(3230),
    [anon_sym_await] = ACTIONS(3230),
    [anon_sym_while] = ACTIONS(3230),
    [anon_sym_do] = ACTIONS(3230),
    [anon_sym_try] = ACTIONS(3230),
    [anon_sym_with] = ACTIONS(3230),
    [anon_sym_break] = ACTIONS(3230),
    [anon_sym_continue] = ACTIONS(3230),
    [anon_sym_debugger] = ACTIONS(3230),
    [anon_sym_return] = ACTIONS(3230),
    [anon_sym_throw] = ACTIONS(3230),
    [anon_sym_SEMI] = ACTIONS(3230),
    [anon_sym_case] = ACTIONS(3230),
    [anon_sym_yield] = ACTIONS(3230),
    [anon_sym_LBRACK] = ACTIONS(3230),
    [anon_sym_LTtemplate_GT] = ACTIONS(3230),
    [anon_sym_class] = ACTIONS(3230),
    [anon_sym_async] = ACTIONS(3230),
    [anon_sym_function] = ACTIONS(3230),
    [anon_sym_new] = ACTIONS(3230),
    [anon_sym_using] = ACTIONS(3230),
    [anon_sym_PLUS] = ACTIONS(3230),
    [anon_sym_DASH] = ACTIONS(3230),
    [anon_sym_SLASH] = ACTIONS(3230),
    [anon_sym_LT] = ACTIONS(3230),
    [anon_sym_TILDE] = ACTIONS(3230),
    [anon_sym_void] = ACTIONS(3230),
    [anon_sym_delete] = ACTIONS(3230),
    [anon_sym_PLUS_PLUS] = ACTIONS(3230),
    [anon_sym_DASH_DASH] = ACTIONS(3230),
    [anon_sym_DQUOTE] = ACTIONS(3230),
    [anon_sym_SQUOTE] = ACTIONS(3230),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3230),
    [sym_number] = ACTIONS(3230),
    [sym_private_property_identifier] = ACTIONS(3230),
    [sym_this] = ACTIONS(3230),
    [sym_super] = ACTIONS(3230),
    [sym_true] = ACTIONS(3230),
    [sym_false] = ACTIONS(3230),
    [sym_null] = ACTIONS(3230),
    [sym_undefined] = ACTIONS(3230),
    [anon_sym_AT] = ACTIONS(3230),
    [anon_sym_static] = ACTIONS(3230),
    [anon_sym_readonly] = ACTIONS(3230),
    [anon_sym_get] = ACTIONS(3230),
    [anon_sym_set] = ACTIONS(3230),
    [anon_sym_declare] = ACTIONS(3230),
    [anon_sym_public] = ACTIONS(3230),
    [anon_sym_private] = ACTIONS(3230),
    [anon_sym_protected] = ACTIONS(3230),
    [anon_sym_override] = ACTIONS(3230),
    [anon_sym_module] = ACTIONS(3230),
    [anon_sym_any] = ACTIONS(3230),
    [anon_sym_number] = ACTIONS(3230),
    [anon_sym_boolean] = ACTIONS(3230),
    [anon_sym_string] = ACTIONS(3230),
    [anon_sym_symbol] = ACTIONS(3230),
    [anon_sym_object] = ACTIONS(3230),
    [anon_sym_abstract] = ACTIONS(3230),
    [anon_sym_interface] = ACTIONS(3230),
    [anon_sym_enum] = ACTIONS(3230),
    [sym_html_comment] = ACTIONS(5),
  },
  [1072] = {
    [sym_statement_block] = STATE(1483),
    [sym_comment] = STATE(1072),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_default] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(3086),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_case] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym_html_comment] = ACTIONS(5),
  },
  [1073] = {
    [sym_else_clause] = STATE(1575),
    [sym_comment] = STATE(1073),
    [ts_builtin_sym_end] = ACTIONS(3218),
    [sym_identifier] = ACTIONS(3080),
    [anon_sym_export] = ACTIONS(3080),
    [anon_sym_type] = ACTIONS(3080),
    [anon_sym_namespace] = ACTIONS(3080),
    [anon_sym_LBRACE] = ACTIONS(3080),
    [anon_sym_RBRACE] = ACTIONS(3080),
    [anon_sym_typeof] = ACTIONS(3080),
    [anon_sym_import] = ACTIONS(3080),
    [anon_sym_var] = ACTIONS(3080),
    [anon_sym_let] = ACTIONS(3080),
    [anon_sym_const] = ACTIONS(3080),
    [anon_sym_BANG] = ACTIONS(3080),
    [anon_sym_else] = ACTIONS(3232),
    [anon_sym_if] = ACTIONS(3080),
    [anon_sym_switch] = ACTIONS(3080),
    [anon_sym_for] = ACTIONS(3080),
    [anon_sym_LPAREN] = ACTIONS(3080),
    [anon_sym_await] = ACTIONS(3080),
    [anon_sym_while] = ACTIONS(3080),
    [anon_sym_do] = ACTIONS(3080),
    [anon_sym_try] = ACTIONS(3080),
    [anon_sym_with] = ACTIONS(3080),
    [anon_sym_break] = ACTIONS(3080),
    [anon_sym_continue] = ACTIONS(3080),
    [anon_sym_debugger] = ACTIONS(3080),
    [anon_sym_return] = ACTIONS(3080),
    [anon_sym_throw] = ACTIONS(3080),
    [anon_sym_SEMI] = ACTIONS(3080),
    [anon_sym_yield] = ACTIONS(3080),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_LTtemplate_GT] = ACTIONS(3080),
    [anon_sym_class] = ACTIONS(3080),
    [anon_sym_async] = ACTIONS(3080),
    [anon_sym_function] = ACTIONS(3080),
    [anon_sym_new] = ACTIONS(3080),
    [anon_sym_using] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3080),
    [anon_sym_DASH] = ACTIONS(3080),
    [anon_sym_SLASH] = ACTIONS(3080),
    [anon_sym_LT] = ACTIONS(3080),
    [anon_sym_TILDE] = ACTIONS(3080),
    [anon_sym_void] = ACTIONS(3080),
    [anon_sym_delete] = ACTIONS(3080),
    [anon_sym_PLUS_PLUS] = ACTIONS(3080),
    [anon_sym_DASH_DASH] = ACTIONS(3080),
    [anon_sym_DQUOTE] = ACTIONS(3080),
    [anon_sym_SQUOTE] = ACTIONS(3080),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3080),
    [sym_number] = ACTIONS(3080),
    [sym_private_property_identifier] = ACTIONS(3080),
    [sym_this] = ACTIONS(3080),
    [sym_super] = ACTIONS(3080),
    [sym_true] = ACTIONS(3080),
    [sym_false] = ACTIONS(3080),
    [sym_null] = ACTIONS(3080),
    [sym_undefined] = ACTIONS(3080),
    [anon_sym_AT] = ACTIONS(3080),
    [anon_sym_static] = ACTIONS(3080),
    [anon_sym_readonly] = ACTIONS(3080),
    [anon_sym_get] = ACTIONS(3080),
    [anon_sym_set] = ACTIONS(3080),
    [anon_sym_declare] = ACTIONS(3080),
    [anon_sym_public] = ACTIONS(3080),
    [anon_sym_private] = ACTIONS(3080),
    [anon_sym_protected] = ACTIONS(3080),
    [anon_sym_override] = ACTIONS(3080),
    [anon_sym_module] = ACTIONS(3080),
    [anon_sym_any] = ACTIONS(3080),
    [anon_sym_number] = ACTIONS(3080),
    [anon_sym_boolean] = ACTIONS(3080),
    [anon_sym_string] = ACTIONS(3080),
    [anon_sym_symbol] = ACTIONS(3080),
    [anon_sym_object] = ACTIONS(3080),
    [anon_sym_abstract] = ACTIONS(3080),
    [anon_sym_interface] = ACTIONS(3080),
    [anon_sym_enum] = ACTIONS(3080),
    [sym_html_comment] = ACTIONS(5),
  },
  [1074] = {
    [sym_comment] = STATE(1074),
    [sym_identifier] = ACTIONS(3234),
    [anon_sym_export] = ACTIONS(3234),
    [anon_sym_default] = ACTIONS(3234),
    [anon_sym_type] = ACTIONS(3234),
    [anon_sym_namespace] = ACTIONS(3234),
    [anon_sym_LBRACE] = ACTIONS(3234),
    [anon_sym_RBRACE] = ACTIONS(3234),
    [anon_sym_typeof] = ACTIONS(3234),
    [anon_sym_import] = ACTIONS(3234),
    [anon_sym_var] = ACTIONS(3234),
    [anon_sym_let] = ACTIONS(3234),
    [anon_sym_const] = ACTIONS(3234),
    [anon_sym_BANG] = ACTIONS(3234),
    [anon_sym_else] = ACTIONS(3234),
    [anon_sym_if] = ACTIONS(3234),
    [anon_sym_switch] = ACTIONS(3234),
    [anon_sym_for] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(3234),
    [anon_sym_await] = ACTIONS(3234),
    [anon_sym_while] = ACTIONS(3234),
    [anon_sym_do] = ACTIONS(3234),
    [anon_sym_try] = ACTIONS(3234),
    [anon_sym_with] = ACTIONS(3234),
    [anon_sym_break] = ACTIONS(3234),
    [anon_sym_continue] = ACTIONS(3234),
    [anon_sym_debugger] = ACTIONS(3234),
    [anon_sym_return] = ACTIONS(3234),
    [anon_sym_throw] = ACTIONS(3234),
    [anon_sym_SEMI] = ACTIONS(3234),
    [anon_sym_case] = ACTIONS(3234),
    [anon_sym_yield] = ACTIONS(3234),
    [anon_sym_LBRACK] = ACTIONS(3234),
    [anon_sym_LTtemplate_GT] = ACTIONS(3234),
    [anon_sym_class] = ACTIONS(3234),
    [anon_sym_async] = ACTIONS(3234),
    [anon_sym_function] = ACTIONS(3234),
    [anon_sym_new] = ACTIONS(3234),
    [anon_sym_using] = ACTIONS(3234),
    [anon_sym_PLUS] = ACTIONS(3234),
    [anon_sym_DASH] = ACTIONS(3234),
    [anon_sym_SLASH] = ACTIONS(3234),
    [anon_sym_LT] = ACTIONS(3234),
    [anon_sym_TILDE] = ACTIONS(3234),
    [anon_sym_void] = ACTIONS(3234),
    [anon_sym_delete] = ACTIONS(3234),
    [anon_sym_PLUS_PLUS] = ACTIONS(3234),
    [anon_sym_DASH_DASH] = ACTIONS(3234),
    [anon_sym_DQUOTE] = ACTIONS(3234),
    [anon_sym_SQUOTE] = ACTIONS(3234),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3234),
    [sym_number] = ACTIONS(3234),
    [sym_private_property_identifier] = ACTIONS(3234),
    [sym_this] = ACTIONS(3234),
    [sym_super] = ACTIONS(3234),
    [sym_true] = ACTIONS(3234),
    [sym_false] = ACTIONS(3234),
    [sym_null] = ACTIONS(3234),
    [sym_undefined] = ACTIONS(3234),
    [anon_sym_AT] = ACTIONS(3234),
    [anon_sym_static] = ACTIONS(3234),
    [anon_sym_readonly] = ACTIONS(3234),
    [anon_sym_get] = ACTIONS(3234),
    [anon_sym_set] = ACTIONS(3234),
    [anon_sym_declare] = ACTIONS(3234),
    [anon_sym_public] = ACTIONS(3234),
    [anon_sym_private] = ACTIONS(3234),
    [anon_sym_protected] = ACTIONS(3234),
    [anon_sym_override] = ACTIONS(3234),
    [anon_sym_module] = ACTIONS(3234),
    [anon_sym_any] = ACTIONS(3234),
    [anon_sym_number] = ACTIONS(3234),
    [anon_sym_boolean] = ACTIONS(3234),
    [anon_sym_string] = ACTIONS(3234),
    [anon_sym_symbol] = ACTIONS(3234),
    [anon_sym_object] = ACTIONS(3234),
    [anon_sym_abstract] = ACTIONS(3234),
    [anon_sym_interface] = ACTIONS(3234),
    [anon_sym_enum] = ACTIONS(3234),
    [sym_html_comment] = ACTIONS(5),
  },
  [1075] = {
    [sym_comment] = STATE(1075),
    [sym_identifier] = ACTIONS(3236),
    [anon_sym_export] = ACTIONS(3236),
    [anon_sym_default] = ACTIONS(3236),
    [anon_sym_type] = ACTIONS(3236),
    [anon_sym_namespace] = ACTIONS(3236),
    [anon_sym_LBRACE] = ACTIONS(3236),
    [anon_sym_RBRACE] = ACTIONS(3236),
    [anon_sym_typeof] = ACTIONS(3236),
    [anon_sym_import] = ACTIONS(3236),
    [anon_sym_var] = ACTIONS(3236),
    [anon_sym_let] = ACTIONS(3236),
    [anon_sym_const] = ACTIONS(3236),
    [anon_sym_BANG] = ACTIONS(3236),
    [anon_sym_else] = ACTIONS(3236),
    [anon_sym_if] = ACTIONS(3236),
    [anon_sym_switch] = ACTIONS(3236),
    [anon_sym_for] = ACTIONS(3236),
    [anon_sym_LPAREN] = ACTIONS(3236),
    [anon_sym_await] = ACTIONS(3236),
    [anon_sym_while] = ACTIONS(3236),
    [anon_sym_do] = ACTIONS(3236),
    [anon_sym_try] = ACTIONS(3236),
    [anon_sym_with] = ACTIONS(3236),
    [anon_sym_break] = ACTIONS(3236),
    [anon_sym_continue] = ACTIONS(3236),
    [anon_sym_debugger] = ACTIONS(3236),
    [anon_sym_return] = ACTIONS(3236),
    [anon_sym_throw] = ACTIONS(3236),
    [anon_sym_SEMI] = ACTIONS(3236),
    [anon_sym_case] = ACTIONS(3236),
    [anon_sym_yield] = ACTIONS(3236),
    [anon_sym_LBRACK] = ACTIONS(3236),
    [anon_sym_LTtemplate_GT] = ACTIONS(3236),
    [anon_sym_class] = ACTIONS(3236),
    [anon_sym_async] = ACTIONS(3236),
    [anon_sym_function] = ACTIONS(3236),
    [anon_sym_new] = ACTIONS(3236),
    [anon_sym_using] = ACTIONS(3236),
    [anon_sym_PLUS] = ACTIONS(3236),
    [anon_sym_DASH] = ACTIONS(3236),
    [anon_sym_SLASH] = ACTIONS(3236),
    [anon_sym_LT] = ACTIONS(3236),
    [anon_sym_TILDE] = ACTIONS(3236),
    [anon_sym_void] = ACTIONS(3236),
    [anon_sym_delete] = ACTIONS(3236),
    [anon_sym_PLUS_PLUS] = ACTIONS(3236),
    [anon_sym_DASH_DASH] = ACTIONS(3236),
    [anon_sym_DQUOTE] = ACTIONS(3236),
    [anon_sym_SQUOTE] = ACTIONS(3236),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3236),
    [sym_number] = ACTIONS(3236),
    [sym_private_property_identifier] = ACTIONS(3236),
    [sym_this] = ACTIONS(3236),
    [sym_super] = ACTIONS(3236),
    [sym_true] = ACTIONS(3236),
    [sym_false] = ACTIONS(3236),
    [sym_null] = ACTIONS(3236),
    [sym_undefined] = ACTIONS(3236),
    [anon_sym_AT] = ACTIONS(3236),
    [anon_sym_static] = ACTIONS(3236),
    [anon_sym_readonly] = ACTIONS(3236),
    [anon_sym_get] = ACTIONS(3236),
    [anon_sym_set] = ACTIONS(3236),
    [anon_sym_declare] = ACTIONS(3236),
    [anon_sym_public] = ACTIONS(3236),
    [anon_sym_private] = ACTIONS(3236),
    [anon_sym_protected] = ACTIONS(3236),
    [anon_sym_override] = ACTIONS(3236),
    [anon_sym_module] = ACTIONS(3236),
    [anon_sym_any] = ACTIONS(3236),
    [anon_sym_number] = ACTIONS(3236),
    [anon_sym_boolean] = ACTIONS(3236),
    [anon_sym_string] = ACTIONS(3236),
    [anon_sym_symbol] = ACTIONS(3236),
    [anon_sym_object] = ACTIONS(3236),
    [anon_sym_abstract] = ACTIONS(3236),
    [anon_sym_interface] = ACTIONS(3236),
    [anon_sym_enum] = ACTIONS(3236),
    [sym_html_comment] = ACTIONS(5),
  },
  [1076] = {
    [sym_comment] = STATE(1076),
    [sym_identifier] = ACTIONS(3238),
    [anon_sym_export] = ACTIONS(3238),
    [anon_sym_default] = ACTIONS(3238),
    [anon_sym_type] = ACTIONS(3238),
    [anon_sym_namespace] = ACTIONS(3238),
    [anon_sym_LBRACE] = ACTIONS(3238),
    [anon_sym_RBRACE] = ACTIONS(3238),
    [anon_sym_typeof] = ACTIONS(3238),
    [anon_sym_import] = ACTIONS(3238),
    [anon_sym_var] = ACTIONS(3238),
    [anon_sym_let] = ACTIONS(3238),
    [anon_sym_const] = ACTIONS(3238),
    [anon_sym_BANG] = ACTIONS(3238),
    [anon_sym_else] = ACTIONS(3238),
    [anon_sym_if] = ACTIONS(3238),
    [anon_sym_switch] = ACTIONS(3238),
    [anon_sym_for] = ACTIONS(3238),
    [anon_sym_LPAREN] = ACTIONS(3238),
    [anon_sym_await] = ACTIONS(3238),
    [anon_sym_while] = ACTIONS(3238),
    [anon_sym_do] = ACTIONS(3238),
    [anon_sym_try] = ACTIONS(3238),
    [anon_sym_with] = ACTIONS(3238),
    [anon_sym_break] = ACTIONS(3238),
    [anon_sym_continue] = ACTIONS(3238),
    [anon_sym_debugger] = ACTIONS(3238),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_throw] = ACTIONS(3238),
    [anon_sym_SEMI] = ACTIONS(3238),
    [anon_sym_case] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3238),
    [anon_sym_LBRACK] = ACTIONS(3238),
    [anon_sym_LTtemplate_GT] = ACTIONS(3238),
    [anon_sym_class] = ACTIONS(3238),
    [anon_sym_async] = ACTIONS(3238),
    [anon_sym_function] = ACTIONS(3238),
    [anon_sym_new] = ACTIONS(3238),
    [anon_sym_using] = ACTIONS(3238),
    [anon_sym_PLUS] = ACTIONS(3238),
    [anon_sym_DASH] = ACTIONS(3238),
    [anon_sym_SLASH] = ACTIONS(3238),
    [anon_sym_LT] = ACTIONS(3238),
    [anon_sym_TILDE] = ACTIONS(3238),
    [anon_sym_void] = ACTIONS(3238),
    [anon_sym_delete] = ACTIONS(3238),
    [anon_sym_PLUS_PLUS] = ACTIONS(3238),
    [anon_sym_DASH_DASH] = ACTIONS(3238),
    [anon_sym_DQUOTE] = ACTIONS(3238),
    [anon_sym_SQUOTE] = ACTIONS(3238),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3238),
    [sym_number] = ACTIONS(3238),
    [sym_private_property_identifier] = ACTIONS(3238),
    [sym_this] = ACTIONS(3238),
    [sym_super] = ACTIONS(3238),
    [sym_true] = ACTIONS(3238),
    [sym_false] = ACTIONS(3238),
    [sym_null] = ACTIONS(3238),
    [sym_undefined] = ACTIONS(3238),
    [anon_sym_AT] = ACTIONS(3238),
    [anon_sym_static] = ACTIONS(3238),
    [anon_sym_readonly] = ACTIONS(3238),
    [anon_sym_get] = ACTIONS(3238),
    [anon_sym_set] = ACTIONS(3238),
    [anon_sym_declare] = ACTIONS(3238),
    [anon_sym_public] = ACTIONS(3238),
    [anon_sym_private] = ACTIONS(3238),
    [anon_sym_protected] = ACTIONS(3238),
    [anon_sym_override] = ACTIONS(3238),
    [anon_sym_module] = ACTIONS(3238),
    [anon_sym_any] = ACTIONS(3238),
    [anon_sym_number] = ACTIONS(3238),
    [anon_sym_boolean] = ACTIONS(3238),
    [anon_sym_string] = ACTIONS(3238),
    [anon_sym_symbol] = ACTIONS(3238),
    [anon_sym_object] = ACTIONS(3238),
    [anon_sym_abstract] = ACTIONS(3238),
    [anon_sym_interface] = ACTIONS(3238),
    [anon_sym_enum] = ACTIONS(3238),
    [sym_html_comment] = ACTIONS(5),
  },
  [1077] = {
    [sym_comment] = STATE(1077),
    [sym_identifier] = ACTIONS(3240),
    [anon_sym_export] = ACTIONS(3240),
    [anon_sym_default] = ACTIONS(3240),
    [anon_sym_type] = ACTIONS(3240),
    [anon_sym_namespace] = ACTIONS(3240),
    [anon_sym_LBRACE] = ACTIONS(3240),
    [anon_sym_RBRACE] = ACTIONS(3240),
    [anon_sym_typeof] = ACTIONS(3240),
    [anon_sym_import] = ACTIONS(3240),
    [anon_sym_var] = ACTIONS(3240),
    [anon_sym_let] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3240),
    [anon_sym_BANG] = ACTIONS(3240),
    [anon_sym_else] = ACTIONS(3240),
    [anon_sym_if] = ACTIONS(3240),
    [anon_sym_switch] = ACTIONS(3240),
    [anon_sym_for] = ACTIONS(3240),
    [anon_sym_LPAREN] = ACTIONS(3240),
    [anon_sym_await] = ACTIONS(3240),
    [anon_sym_while] = ACTIONS(3240),
    [anon_sym_do] = ACTIONS(3240),
    [anon_sym_try] = ACTIONS(3240),
    [anon_sym_with] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3240),
    [anon_sym_continue] = ACTIONS(3240),
    [anon_sym_debugger] = ACTIONS(3240),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_throw] = ACTIONS(3240),
    [anon_sym_SEMI] = ACTIONS(3240),
    [anon_sym_case] = ACTIONS(3240),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_LBRACK] = ACTIONS(3240),
    [anon_sym_LTtemplate_GT] = ACTIONS(3240),
    [anon_sym_class] = ACTIONS(3240),
    [anon_sym_async] = ACTIONS(3240),
    [anon_sym_function] = ACTIONS(3240),
    [anon_sym_new] = ACTIONS(3240),
    [anon_sym_using] = ACTIONS(3240),
    [anon_sym_PLUS] = ACTIONS(3240),
    [anon_sym_DASH] = ACTIONS(3240),
    [anon_sym_SLASH] = ACTIONS(3240),
    [anon_sym_LT] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3240),
    [anon_sym_void] = ACTIONS(3240),
    [anon_sym_delete] = ACTIONS(3240),
    [anon_sym_PLUS_PLUS] = ACTIONS(3240),
    [anon_sym_DASH_DASH] = ACTIONS(3240),
    [anon_sym_DQUOTE] = ACTIONS(3240),
    [anon_sym_SQUOTE] = ACTIONS(3240),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3240),
    [sym_number] = ACTIONS(3240),
    [sym_private_property_identifier] = ACTIONS(3240),
    [sym_this] = ACTIONS(3240),
    [sym_super] = ACTIONS(3240),
    [sym_true] = ACTIONS(3240),
    [sym_false] = ACTIONS(3240),
    [sym_null] = ACTIONS(3240),
    [sym_undefined] = ACTIONS(3240),
    [anon_sym_AT] = ACTIONS(3240),
    [anon_sym_static] = ACTIONS(3240),
    [anon_sym_readonly] = ACTIONS(3240),
    [anon_sym_get] = ACTIONS(3240),
    [anon_sym_set] = ACTIONS(3240),
    [anon_sym_declare] = ACTIONS(3240),
    [anon_sym_public] = ACTIONS(3240),
    [anon_sym_private] = ACTIONS(3240),
    [anon_sym_protected] = ACTIONS(3240),
    [anon_sym_override] = ACTIONS(3240),
    [anon_sym_module] = ACTIONS(3240),
    [anon_sym_any] = ACTIONS(3240),
    [anon_sym_number] = ACTIONS(3240),
    [anon_sym_boolean] = ACTIONS(3240),
    [anon_sym_string] = ACTIONS(3240),
    [anon_sym_symbol] = ACTIONS(3240),
    [anon_sym_object] = ACTIONS(3240),
    [anon_sym_abstract] = ACTIONS(3240),
    [anon_sym_interface] = ACTIONS(3240),
    [anon_sym_enum] = ACTIONS(3240),
    [sym_html_comment] = ACTIONS(5),
  },
  [1078] = {
    [sym_comment] = STATE(1078),
    [sym_identifier] = ACTIONS(3242),
    [anon_sym_export] = ACTIONS(3242),
    [anon_sym_default] = ACTIONS(3242),
    [anon_sym_type] = ACTIONS(3242),
    [anon_sym_namespace] = ACTIONS(3242),
    [anon_sym_LBRACE] = ACTIONS(3242),
    [anon_sym_RBRACE] = ACTIONS(3242),
    [anon_sym_typeof] = ACTIONS(3242),
    [anon_sym_import] = ACTIONS(3242),
    [anon_sym_var] = ACTIONS(3242),
    [anon_sym_let] = ACTIONS(3242),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_BANG] = ACTIONS(3242),
    [anon_sym_else] = ACTIONS(3242),
    [anon_sym_if] = ACTIONS(3242),
    [anon_sym_switch] = ACTIONS(3242),
    [anon_sym_for] = ACTIONS(3242),
    [anon_sym_LPAREN] = ACTIONS(3242),
    [anon_sym_await] = ACTIONS(3242),
    [anon_sym_while] = ACTIONS(3242),
    [anon_sym_do] = ACTIONS(3242),
    [anon_sym_try] = ACTIONS(3242),
    [anon_sym_with] = ACTIONS(3242),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_continue] = ACTIONS(3242),
    [anon_sym_debugger] = ACTIONS(3242),
    [anon_sym_return] = ACTIONS(3242),
    [anon_sym_throw] = ACTIONS(3242),
    [anon_sym_SEMI] = ACTIONS(3242),
    [anon_sym_case] = ACTIONS(3242),
    [anon_sym_yield] = ACTIONS(3242),
    [anon_sym_LBRACK] = ACTIONS(3242),
    [anon_sym_LTtemplate_GT] = ACTIONS(3242),
    [anon_sym_class] = ACTIONS(3242),
    [anon_sym_async] = ACTIONS(3242),
    [anon_sym_function] = ACTIONS(3242),
    [anon_sym_new] = ACTIONS(3242),
    [anon_sym_using] = ACTIONS(3242),
    [anon_sym_PLUS] = ACTIONS(3242),
    [anon_sym_DASH] = ACTIONS(3242),
    [anon_sym_SLASH] = ACTIONS(3242),
    [anon_sym_LT] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_void] = ACTIONS(3242),
    [anon_sym_delete] = ACTIONS(3242),
    [anon_sym_PLUS_PLUS] = ACTIONS(3242),
    [anon_sym_DASH_DASH] = ACTIONS(3242),
    [anon_sym_DQUOTE] = ACTIONS(3242),
    [anon_sym_SQUOTE] = ACTIONS(3242),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3242),
    [sym_number] = ACTIONS(3242),
    [sym_private_property_identifier] = ACTIONS(3242),
    [sym_this] = ACTIONS(3242),
    [sym_super] = ACTIONS(3242),
    [sym_true] = ACTIONS(3242),
    [sym_false] = ACTIONS(3242),
    [sym_null] = ACTIONS(3242),
    [sym_undefined] = ACTIONS(3242),
    [anon_sym_AT] = ACTIONS(3242),
    [anon_sym_static] = ACTIONS(3242),
    [anon_sym_readonly] = ACTIONS(3242),
    [anon_sym_get] = ACTIONS(3242),
    [anon_sym_set] = ACTIONS(3242),
    [anon_sym_declare] = ACTIONS(3242),
    [anon_sym_public] = ACTIONS(3242),
    [anon_sym_private] = ACTIONS(3242),
    [anon_sym_protected] = ACTIONS(3242),
    [anon_sym_override] = ACTIONS(3242),
    [anon_sym_module] = ACTIONS(3242),
    [anon_sym_any] = ACTIONS(3242),
    [anon_sym_number] = ACTIONS(3242),
    [anon_sym_boolean] = ACTIONS(3242),
    [anon_sym_string] = ACTIONS(3242),
    [anon_sym_symbol] = ACTIONS(3242),
    [anon_sym_object] = ACTIONS(3242),
    [anon_sym_abstract] = ACTIONS(3242),
    [anon_sym_interface] = ACTIONS(3242),
    [anon_sym_enum] = ACTIONS(3242),
    [sym_html_comment] = ACTIONS(5),
  },
  [1079] = {
    [sym_comment] = STATE(1079),
    [sym_identifier] = ACTIONS(3244),
    [anon_sym_export] = ACTIONS(3244),
    [anon_sym_default] = ACTIONS(3244),
    [anon_sym_type] = ACTIONS(3244),
    [anon_sym_namespace] = ACTIONS(3244),
    [anon_sym_LBRACE] = ACTIONS(3244),
    [anon_sym_RBRACE] = ACTIONS(3244),
    [anon_sym_typeof] = ACTIONS(3244),
    [anon_sym_import] = ACTIONS(3244),
    [anon_sym_var] = ACTIONS(3244),
    [anon_sym_let] = ACTIONS(3244),
    [anon_sym_const] = ACTIONS(3244),
    [anon_sym_BANG] = ACTIONS(3244),
    [anon_sym_else] = ACTIONS(3244),
    [anon_sym_if] = ACTIONS(3244),
    [anon_sym_switch] = ACTIONS(3244),
    [anon_sym_for] = ACTIONS(3244),
    [anon_sym_LPAREN] = ACTIONS(3244),
    [anon_sym_await] = ACTIONS(3244),
    [anon_sym_while] = ACTIONS(3244),
    [anon_sym_do] = ACTIONS(3244),
    [anon_sym_try] = ACTIONS(3244),
    [anon_sym_with] = ACTIONS(3244),
    [anon_sym_break] = ACTIONS(3244),
    [anon_sym_continue] = ACTIONS(3244),
    [anon_sym_debugger] = ACTIONS(3244),
    [anon_sym_return] = ACTIONS(3244),
    [anon_sym_throw] = ACTIONS(3244),
    [anon_sym_SEMI] = ACTIONS(3244),
    [anon_sym_case] = ACTIONS(3244),
    [anon_sym_yield] = ACTIONS(3244),
    [anon_sym_LBRACK] = ACTIONS(3244),
    [anon_sym_LTtemplate_GT] = ACTIONS(3244),
    [anon_sym_class] = ACTIONS(3244),
    [anon_sym_async] = ACTIONS(3244),
    [anon_sym_function] = ACTIONS(3244),
    [anon_sym_new] = ACTIONS(3244),
    [anon_sym_using] = ACTIONS(3244),
    [anon_sym_PLUS] = ACTIONS(3244),
    [anon_sym_DASH] = ACTIONS(3244),
    [anon_sym_SLASH] = ACTIONS(3244),
    [anon_sym_LT] = ACTIONS(3244),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_void] = ACTIONS(3244),
    [anon_sym_delete] = ACTIONS(3244),
    [anon_sym_PLUS_PLUS] = ACTIONS(3244),
    [anon_sym_DASH_DASH] = ACTIONS(3244),
    [anon_sym_DQUOTE] = ACTIONS(3244),
    [anon_sym_SQUOTE] = ACTIONS(3244),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3244),
    [sym_number] = ACTIONS(3244),
    [sym_private_property_identifier] = ACTIONS(3244),
    [sym_this] = ACTIONS(3244),
    [sym_super] = ACTIONS(3244),
    [sym_true] = ACTIONS(3244),
    [sym_false] = ACTIONS(3244),
    [sym_null] = ACTIONS(3244),
    [sym_undefined] = ACTIONS(3244),
    [anon_sym_AT] = ACTIONS(3244),
    [anon_sym_static] = ACTIONS(3244),
    [anon_sym_readonly] = ACTIONS(3244),
    [anon_sym_get] = ACTIONS(3244),
    [anon_sym_set] = ACTIONS(3244),
    [anon_sym_declare] = ACTIONS(3244),
    [anon_sym_public] = ACTIONS(3244),
    [anon_sym_private] = ACTIONS(3244),
    [anon_sym_protected] = ACTIONS(3244),
    [anon_sym_override] = ACTIONS(3244),
    [anon_sym_module] = ACTIONS(3244),
    [anon_sym_any] = ACTIONS(3244),
    [anon_sym_number] = ACTIONS(3244),
    [anon_sym_boolean] = ACTIONS(3244),
    [anon_sym_string] = ACTIONS(3244),
    [anon_sym_symbol] = ACTIONS(3244),
    [anon_sym_object] = ACTIONS(3244),
    [anon_sym_abstract] = ACTIONS(3244),
    [anon_sym_interface] = ACTIONS(3244),
    [anon_sym_enum] = ACTIONS(3244),
    [sym_html_comment] = ACTIONS(5),
  },
  [1080] = {
    [sym_comment] = STATE(1080),
    [sym_identifier] = ACTIONS(3246),
    [anon_sym_export] = ACTIONS(3246),
    [anon_sym_default] = ACTIONS(3246),
    [anon_sym_type] = ACTIONS(3246),
    [anon_sym_namespace] = ACTIONS(3246),
    [anon_sym_LBRACE] = ACTIONS(3246),
    [anon_sym_RBRACE] = ACTIONS(3246),
    [anon_sym_typeof] = ACTIONS(3246),
    [anon_sym_import] = ACTIONS(3246),
    [anon_sym_var] = ACTIONS(3246),
    [anon_sym_let] = ACTIONS(3246),
    [anon_sym_const] = ACTIONS(3246),
    [anon_sym_BANG] = ACTIONS(3246),
    [anon_sym_else] = ACTIONS(3246),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_switch] = ACTIONS(3246),
    [anon_sym_for] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(3246),
    [anon_sym_await] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3246),
    [anon_sym_do] = ACTIONS(3246),
    [anon_sym_try] = ACTIONS(3246),
    [anon_sym_with] = ACTIONS(3246),
    [anon_sym_break] = ACTIONS(3246),
    [anon_sym_continue] = ACTIONS(3246),
    [anon_sym_debugger] = ACTIONS(3246),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3246),
    [anon_sym_case] = ACTIONS(3246),
    [anon_sym_yield] = ACTIONS(3246),
    [anon_sym_LBRACK] = ACTIONS(3246),
    [anon_sym_LTtemplate_GT] = ACTIONS(3246),
    [anon_sym_class] = ACTIONS(3246),
    [anon_sym_async] = ACTIONS(3246),
    [anon_sym_function] = ACTIONS(3246),
    [anon_sym_new] = ACTIONS(3246),
    [anon_sym_using] = ACTIONS(3246),
    [anon_sym_PLUS] = ACTIONS(3246),
    [anon_sym_DASH] = ACTIONS(3246),
    [anon_sym_SLASH] = ACTIONS(3246),
    [anon_sym_LT] = ACTIONS(3246),
    [anon_sym_TILDE] = ACTIONS(3246),
    [anon_sym_void] = ACTIONS(3246),
    [anon_sym_delete] = ACTIONS(3246),
    [anon_sym_PLUS_PLUS] = ACTIONS(3246),
    [anon_sym_DASH_DASH] = ACTIONS(3246),
    [anon_sym_DQUOTE] = ACTIONS(3246),
    [anon_sym_SQUOTE] = ACTIONS(3246),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3246),
    [sym_number] = ACTIONS(3246),
    [sym_private_property_identifier] = ACTIONS(3246),
    [sym_this] = ACTIONS(3246),
    [sym_super] = ACTIONS(3246),
    [sym_true] = ACTIONS(3246),
    [sym_false] = ACTIONS(3246),
    [sym_null] = ACTIONS(3246),
    [sym_undefined] = ACTIONS(3246),
    [anon_sym_AT] = ACTIONS(3246),
    [anon_sym_static] = ACTIONS(3246),
    [anon_sym_readonly] = ACTIONS(3246),
    [anon_sym_get] = ACTIONS(3246),
    [anon_sym_set] = ACTIONS(3246),
    [anon_sym_declare] = ACTIONS(3246),
    [anon_sym_public] = ACTIONS(3246),
    [anon_sym_private] = ACTIONS(3246),
    [anon_sym_protected] = ACTIONS(3246),
    [anon_sym_override] = ACTIONS(3246),
    [anon_sym_module] = ACTIONS(3246),
    [anon_sym_any] = ACTIONS(3246),
    [anon_sym_number] = ACTIONS(3246),
    [anon_sym_boolean] = ACTIONS(3246),
    [anon_sym_string] = ACTIONS(3246),
    [anon_sym_symbol] = ACTIONS(3246),
    [anon_sym_object] = ACTIONS(3246),
    [anon_sym_abstract] = ACTIONS(3246),
    [anon_sym_interface] = ACTIONS(3246),
    [anon_sym_enum] = ACTIONS(3246),
    [sym_html_comment] = ACTIONS(5),
  },
  [1081] = {
    [sym_comment] = STATE(1081),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_else] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1082] = {
    [sym_comment] = STATE(1082),
    [sym_identifier] = ACTIONS(3250),
    [anon_sym_export] = ACTIONS(3250),
    [anon_sym_default] = ACTIONS(3250),
    [anon_sym_type] = ACTIONS(3250),
    [anon_sym_namespace] = ACTIONS(3250),
    [anon_sym_LBRACE] = ACTIONS(3250),
    [anon_sym_RBRACE] = ACTIONS(3250),
    [anon_sym_typeof] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3250),
    [anon_sym_var] = ACTIONS(3250),
    [anon_sym_let] = ACTIONS(3250),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3250),
    [anon_sym_else] = ACTIONS(3250),
    [anon_sym_if] = ACTIONS(3250),
    [anon_sym_switch] = ACTIONS(3250),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_LPAREN] = ACTIONS(3250),
    [anon_sym_await] = ACTIONS(3250),
    [anon_sym_while] = ACTIONS(3250),
    [anon_sym_do] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3250),
    [anon_sym_with] = ACTIONS(3250),
    [anon_sym_break] = ACTIONS(3250),
    [anon_sym_continue] = ACTIONS(3250),
    [anon_sym_debugger] = ACTIONS(3250),
    [anon_sym_return] = ACTIONS(3250),
    [anon_sym_throw] = ACTIONS(3250),
    [anon_sym_SEMI] = ACTIONS(3250),
    [anon_sym_case] = ACTIONS(3250),
    [anon_sym_yield] = ACTIONS(3250),
    [anon_sym_LBRACK] = ACTIONS(3250),
    [anon_sym_LTtemplate_GT] = ACTIONS(3250),
    [anon_sym_class] = ACTIONS(3250),
    [anon_sym_async] = ACTIONS(3250),
    [anon_sym_function] = ACTIONS(3250),
    [anon_sym_new] = ACTIONS(3250),
    [anon_sym_using] = ACTIONS(3250),
    [anon_sym_PLUS] = ACTIONS(3250),
    [anon_sym_DASH] = ACTIONS(3250),
    [anon_sym_SLASH] = ACTIONS(3250),
    [anon_sym_LT] = ACTIONS(3250),
    [anon_sym_TILDE] = ACTIONS(3250),
    [anon_sym_void] = ACTIONS(3250),
    [anon_sym_delete] = ACTIONS(3250),
    [anon_sym_PLUS_PLUS] = ACTIONS(3250),
    [anon_sym_DASH_DASH] = ACTIONS(3250),
    [anon_sym_DQUOTE] = ACTIONS(3250),
    [anon_sym_SQUOTE] = ACTIONS(3250),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3250),
    [sym_number] = ACTIONS(3250),
    [sym_private_property_identifier] = ACTIONS(3250),
    [sym_this] = ACTIONS(3250),
    [sym_super] = ACTIONS(3250),
    [sym_true] = ACTIONS(3250),
    [sym_false] = ACTIONS(3250),
    [sym_null] = ACTIONS(3250),
    [sym_undefined] = ACTIONS(3250),
    [anon_sym_AT] = ACTIONS(3250),
    [anon_sym_static] = ACTIONS(3250),
    [anon_sym_readonly] = ACTIONS(3250),
    [anon_sym_get] = ACTIONS(3250),
    [anon_sym_set] = ACTIONS(3250),
    [anon_sym_declare] = ACTIONS(3250),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_private] = ACTIONS(3250),
    [anon_sym_protected] = ACTIONS(3250),
    [anon_sym_override] = ACTIONS(3250),
    [anon_sym_module] = ACTIONS(3250),
    [anon_sym_any] = ACTIONS(3250),
    [anon_sym_number] = ACTIONS(3250),
    [anon_sym_boolean] = ACTIONS(3250),
    [anon_sym_string] = ACTIONS(3250),
    [anon_sym_symbol] = ACTIONS(3250),
    [anon_sym_object] = ACTIONS(3250),
    [anon_sym_abstract] = ACTIONS(3250),
    [anon_sym_interface] = ACTIONS(3250),
    [anon_sym_enum] = ACTIONS(3250),
    [sym_html_comment] = ACTIONS(5),
  },
  [1083] = {
    [sym_comment] = STATE(1083),
    [ts_builtin_sym_end] = ACTIONS(3252),
    [sym_identifier] = ACTIONS(3072),
    [anon_sym_export] = ACTIONS(3072),
    [anon_sym_type] = ACTIONS(3072),
    [anon_sym_namespace] = ACTIONS(3072),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_RBRACE] = ACTIONS(3072),
    [anon_sym_typeof] = ACTIONS(3072),
    [anon_sym_import] = ACTIONS(3072),
    [anon_sym_var] = ACTIONS(3072),
    [anon_sym_let] = ACTIONS(3072),
    [anon_sym_const] = ACTIONS(3072),
    [anon_sym_BANG] = ACTIONS(3072),
    [anon_sym_else] = ACTIONS(3072),
    [anon_sym_if] = ACTIONS(3072),
    [anon_sym_switch] = ACTIONS(3072),
    [anon_sym_for] = ACTIONS(3072),
    [anon_sym_LPAREN] = ACTIONS(3072),
    [anon_sym_await] = ACTIONS(3072),
    [anon_sym_while] = ACTIONS(3072),
    [anon_sym_do] = ACTIONS(3072),
    [anon_sym_try] = ACTIONS(3072),
    [anon_sym_with] = ACTIONS(3072),
    [anon_sym_break] = ACTIONS(3072),
    [anon_sym_continue] = ACTIONS(3072),
    [anon_sym_debugger] = ACTIONS(3072),
    [anon_sym_return] = ACTIONS(3072),
    [anon_sym_throw] = ACTIONS(3072),
    [anon_sym_SEMI] = ACTIONS(3072),
    [anon_sym_finally] = ACTIONS(3072),
    [anon_sym_yield] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_LTtemplate_GT] = ACTIONS(3072),
    [anon_sym_class] = ACTIONS(3072),
    [anon_sym_async] = ACTIONS(3072),
    [anon_sym_function] = ACTIONS(3072),
    [anon_sym_new] = ACTIONS(3072),
    [anon_sym_using] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3072),
    [anon_sym_DASH] = ACTIONS(3072),
    [anon_sym_SLASH] = ACTIONS(3072),
    [anon_sym_LT] = ACTIONS(3072),
    [anon_sym_TILDE] = ACTIONS(3072),
    [anon_sym_void] = ACTIONS(3072),
    [anon_sym_delete] = ACTIONS(3072),
    [anon_sym_PLUS_PLUS] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3072),
    [anon_sym_DQUOTE] = ACTIONS(3072),
    [anon_sym_SQUOTE] = ACTIONS(3072),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3072),
    [sym_number] = ACTIONS(3072),
    [sym_private_property_identifier] = ACTIONS(3072),
    [sym_this] = ACTIONS(3072),
    [sym_super] = ACTIONS(3072),
    [sym_true] = ACTIONS(3072),
    [sym_false] = ACTIONS(3072),
    [sym_null] = ACTIONS(3072),
    [sym_undefined] = ACTIONS(3072),
    [anon_sym_AT] = ACTIONS(3072),
    [anon_sym_static] = ACTIONS(3072),
    [anon_sym_readonly] = ACTIONS(3072),
    [anon_sym_get] = ACTIONS(3072),
    [anon_sym_set] = ACTIONS(3072),
    [anon_sym_declare] = ACTIONS(3072),
    [anon_sym_public] = ACTIONS(3072),
    [anon_sym_private] = ACTIONS(3072),
    [anon_sym_protected] = ACTIONS(3072),
    [anon_sym_override] = ACTIONS(3072),
    [anon_sym_module] = ACTIONS(3072),
    [anon_sym_any] = ACTIONS(3072),
    [anon_sym_number] = ACTIONS(3072),
    [anon_sym_boolean] = ACTIONS(3072),
    [anon_sym_string] = ACTIONS(3072),
    [anon_sym_symbol] = ACTIONS(3072),
    [anon_sym_object] = ACTIONS(3072),
    [anon_sym_abstract] = ACTIONS(3072),
    [anon_sym_interface] = ACTIONS(3072),
    [anon_sym_enum] = ACTIONS(3072),
    [sym_html_comment] = ACTIONS(5),
  },
  [1084] = {
    [sym_comment] = STATE(1084),
    [sym_identifier] = ACTIONS(3254),
    [anon_sym_export] = ACTIONS(3254),
    [anon_sym_default] = ACTIONS(3254),
    [anon_sym_type] = ACTIONS(3254),
    [anon_sym_namespace] = ACTIONS(3254),
    [anon_sym_LBRACE] = ACTIONS(3254),
    [anon_sym_RBRACE] = ACTIONS(3254),
    [anon_sym_typeof] = ACTIONS(3254),
    [anon_sym_import] = ACTIONS(3254),
    [anon_sym_var] = ACTIONS(3254),
    [anon_sym_let] = ACTIONS(3254),
    [anon_sym_const] = ACTIONS(3254),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_else] = ACTIONS(3254),
    [anon_sym_if] = ACTIONS(3254),
    [anon_sym_switch] = ACTIONS(3254),
    [anon_sym_for] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(3254),
    [anon_sym_await] = ACTIONS(3254),
    [anon_sym_while] = ACTIONS(3254),
    [anon_sym_do] = ACTIONS(3254),
    [anon_sym_try] = ACTIONS(3254),
    [anon_sym_with] = ACTIONS(3254),
    [anon_sym_break] = ACTIONS(3254),
    [anon_sym_continue] = ACTIONS(3254),
    [anon_sym_debugger] = ACTIONS(3254),
    [anon_sym_return] = ACTIONS(3254),
    [anon_sym_throw] = ACTIONS(3254),
    [anon_sym_SEMI] = ACTIONS(3254),
    [anon_sym_case] = ACTIONS(3254),
    [anon_sym_yield] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(3254),
    [anon_sym_LTtemplate_GT] = ACTIONS(3254),
    [anon_sym_class] = ACTIONS(3254),
    [anon_sym_async] = ACTIONS(3254),
    [anon_sym_function] = ACTIONS(3254),
    [anon_sym_new] = ACTIONS(3254),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_PLUS] = ACTIONS(3254),
    [anon_sym_DASH] = ACTIONS(3254),
    [anon_sym_SLASH] = ACTIONS(3254),
    [anon_sym_LT] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [anon_sym_void] = ACTIONS(3254),
    [anon_sym_delete] = ACTIONS(3254),
    [anon_sym_PLUS_PLUS] = ACTIONS(3254),
    [anon_sym_DASH_DASH] = ACTIONS(3254),
    [anon_sym_DQUOTE] = ACTIONS(3254),
    [anon_sym_SQUOTE] = ACTIONS(3254),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3254),
    [sym_number] = ACTIONS(3254),
    [sym_private_property_identifier] = ACTIONS(3254),
    [sym_this] = ACTIONS(3254),
    [sym_super] = ACTIONS(3254),
    [sym_true] = ACTIONS(3254),
    [sym_false] = ACTIONS(3254),
    [sym_null] = ACTIONS(3254),
    [sym_undefined] = ACTIONS(3254),
    [anon_sym_AT] = ACTIONS(3254),
    [anon_sym_static] = ACTIONS(3254),
    [anon_sym_readonly] = ACTIONS(3254),
    [anon_sym_get] = ACTIONS(3254),
    [anon_sym_set] = ACTIONS(3254),
    [anon_sym_declare] = ACTIONS(3254),
    [anon_sym_public] = ACTIONS(3254),
    [anon_sym_private] = ACTIONS(3254),
    [anon_sym_protected] = ACTIONS(3254),
    [anon_sym_override] = ACTIONS(3254),
    [anon_sym_module] = ACTIONS(3254),
    [anon_sym_any] = ACTIONS(3254),
    [anon_sym_number] = ACTIONS(3254),
    [anon_sym_boolean] = ACTIONS(3254),
    [anon_sym_string] = ACTIONS(3254),
    [anon_sym_symbol] = ACTIONS(3254),
    [anon_sym_object] = ACTIONS(3254),
    [anon_sym_abstract] = ACTIONS(3254),
    [anon_sym_interface] = ACTIONS(3254),
    [anon_sym_enum] = ACTIONS(3254),
    [sym_html_comment] = ACTIONS(5),
  },
  [1085] = {
    [sym_comment] = STATE(1085),
    [sym_identifier] = ACTIONS(3256),
    [anon_sym_export] = ACTIONS(3256),
    [anon_sym_default] = ACTIONS(3256),
    [anon_sym_type] = ACTIONS(3256),
    [anon_sym_namespace] = ACTIONS(3256),
    [anon_sym_LBRACE] = ACTIONS(3256),
    [anon_sym_RBRACE] = ACTIONS(3256),
    [anon_sym_typeof] = ACTIONS(3256),
    [anon_sym_import] = ACTIONS(3256),
    [anon_sym_var] = ACTIONS(3256),
    [anon_sym_let] = ACTIONS(3256),
    [anon_sym_const] = ACTIONS(3256),
    [anon_sym_BANG] = ACTIONS(3256),
    [anon_sym_else] = ACTIONS(3256),
    [anon_sym_if] = ACTIONS(3256),
    [anon_sym_switch] = ACTIONS(3256),
    [anon_sym_for] = ACTIONS(3256),
    [anon_sym_LPAREN] = ACTIONS(3256),
    [anon_sym_await] = ACTIONS(3256),
    [anon_sym_while] = ACTIONS(3256),
    [anon_sym_do] = ACTIONS(3256),
    [anon_sym_try] = ACTIONS(3256),
    [anon_sym_with] = ACTIONS(3256),
    [anon_sym_break] = ACTIONS(3256),
    [anon_sym_continue] = ACTIONS(3256),
    [anon_sym_debugger] = ACTIONS(3256),
    [anon_sym_return] = ACTIONS(3256),
    [anon_sym_throw] = ACTIONS(3256),
    [anon_sym_SEMI] = ACTIONS(3256),
    [anon_sym_case] = ACTIONS(3256),
    [anon_sym_yield] = ACTIONS(3256),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_LTtemplate_GT] = ACTIONS(3256),
    [anon_sym_class] = ACTIONS(3256),
    [anon_sym_async] = ACTIONS(3256),
    [anon_sym_function] = ACTIONS(3256),
    [anon_sym_new] = ACTIONS(3256),
    [anon_sym_using] = ACTIONS(3256),
    [anon_sym_PLUS] = ACTIONS(3256),
    [anon_sym_DASH] = ACTIONS(3256),
    [anon_sym_SLASH] = ACTIONS(3256),
    [anon_sym_LT] = ACTIONS(3256),
    [anon_sym_TILDE] = ACTIONS(3256),
    [anon_sym_void] = ACTIONS(3256),
    [anon_sym_delete] = ACTIONS(3256),
    [anon_sym_PLUS_PLUS] = ACTIONS(3256),
    [anon_sym_DASH_DASH] = ACTIONS(3256),
    [anon_sym_DQUOTE] = ACTIONS(3256),
    [anon_sym_SQUOTE] = ACTIONS(3256),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3256),
    [sym_number] = ACTIONS(3256),
    [sym_private_property_identifier] = ACTIONS(3256),
    [sym_this] = ACTIONS(3256),
    [sym_super] = ACTIONS(3256),
    [sym_true] = ACTIONS(3256),
    [sym_false] = ACTIONS(3256),
    [sym_null] = ACTIONS(3256),
    [sym_undefined] = ACTIONS(3256),
    [anon_sym_AT] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(3256),
    [anon_sym_readonly] = ACTIONS(3256),
    [anon_sym_get] = ACTIONS(3256),
    [anon_sym_set] = ACTIONS(3256),
    [anon_sym_declare] = ACTIONS(3256),
    [anon_sym_public] = ACTIONS(3256),
    [anon_sym_private] = ACTIONS(3256),
    [anon_sym_protected] = ACTIONS(3256),
    [anon_sym_override] = ACTIONS(3256),
    [anon_sym_module] = ACTIONS(3256),
    [anon_sym_any] = ACTIONS(3256),
    [anon_sym_number] = ACTIONS(3256),
    [anon_sym_boolean] = ACTIONS(3256),
    [anon_sym_string] = ACTIONS(3256),
    [anon_sym_symbol] = ACTIONS(3256),
    [anon_sym_object] = ACTIONS(3256),
    [anon_sym_abstract] = ACTIONS(3256),
    [anon_sym_interface] = ACTIONS(3256),
    [anon_sym_enum] = ACTIONS(3256),
    [sym_html_comment] = ACTIONS(5),
  },
  [1086] = {
    [sym_comment] = STATE(1086),
    [sym_identifier] = ACTIONS(3258),
    [anon_sym_export] = ACTIONS(3258),
    [anon_sym_default] = ACTIONS(3258),
    [anon_sym_type] = ACTIONS(3258),
    [anon_sym_namespace] = ACTIONS(3258),
    [anon_sym_LBRACE] = ACTIONS(3258),
    [anon_sym_RBRACE] = ACTIONS(3258),
    [anon_sym_typeof] = ACTIONS(3258),
    [anon_sym_import] = ACTIONS(3258),
    [anon_sym_var] = ACTIONS(3258),
    [anon_sym_let] = ACTIONS(3258),
    [anon_sym_const] = ACTIONS(3258),
    [anon_sym_BANG] = ACTIONS(3258),
    [anon_sym_else] = ACTIONS(3258),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_switch] = ACTIONS(3258),
    [anon_sym_for] = ACTIONS(3258),
    [anon_sym_LPAREN] = ACTIONS(3258),
    [anon_sym_await] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3258),
    [anon_sym_do] = ACTIONS(3258),
    [anon_sym_try] = ACTIONS(3258),
    [anon_sym_with] = ACTIONS(3258),
    [anon_sym_break] = ACTIONS(3258),
    [anon_sym_continue] = ACTIONS(3258),
    [anon_sym_debugger] = ACTIONS(3258),
    [anon_sym_return] = ACTIONS(3258),
    [anon_sym_throw] = ACTIONS(3258),
    [anon_sym_SEMI] = ACTIONS(3258),
    [anon_sym_case] = ACTIONS(3258),
    [anon_sym_yield] = ACTIONS(3258),
    [anon_sym_LBRACK] = ACTIONS(3258),
    [anon_sym_LTtemplate_GT] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3258),
    [anon_sym_async] = ACTIONS(3258),
    [anon_sym_function] = ACTIONS(3258),
    [anon_sym_new] = ACTIONS(3258),
    [anon_sym_using] = ACTIONS(3258),
    [anon_sym_PLUS] = ACTIONS(3258),
    [anon_sym_DASH] = ACTIONS(3258),
    [anon_sym_SLASH] = ACTIONS(3258),
    [anon_sym_LT] = ACTIONS(3258),
    [anon_sym_TILDE] = ACTIONS(3258),
    [anon_sym_void] = ACTIONS(3258),
    [anon_sym_delete] = ACTIONS(3258),
    [anon_sym_PLUS_PLUS] = ACTIONS(3258),
    [anon_sym_DASH_DASH] = ACTIONS(3258),
    [anon_sym_DQUOTE] = ACTIONS(3258),
    [anon_sym_SQUOTE] = ACTIONS(3258),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3258),
    [sym_number] = ACTIONS(3258),
    [sym_private_property_identifier] = ACTIONS(3258),
    [sym_this] = ACTIONS(3258),
    [sym_super] = ACTIONS(3258),
    [sym_true] = ACTIONS(3258),
    [sym_false] = ACTIONS(3258),
    [sym_null] = ACTIONS(3258),
    [sym_undefined] = ACTIONS(3258),
    [anon_sym_AT] = ACTIONS(3258),
    [anon_sym_static] = ACTIONS(3258),
    [anon_sym_readonly] = ACTIONS(3258),
    [anon_sym_get] = ACTIONS(3258),
    [anon_sym_set] = ACTIONS(3258),
    [anon_sym_declare] = ACTIONS(3258),
    [anon_sym_public] = ACTIONS(3258),
    [anon_sym_private] = ACTIONS(3258),
    [anon_sym_protected] = ACTIONS(3258),
    [anon_sym_override] = ACTIONS(3258),
    [anon_sym_module] = ACTIONS(3258),
    [anon_sym_any] = ACTIONS(3258),
    [anon_sym_number] = ACTIONS(3258),
    [anon_sym_boolean] = ACTIONS(3258),
    [anon_sym_string] = ACTIONS(3258),
    [anon_sym_symbol] = ACTIONS(3258),
    [anon_sym_object] = ACTIONS(3258),
    [anon_sym_abstract] = ACTIONS(3258),
    [anon_sym_interface] = ACTIONS(3258),
    [anon_sym_enum] = ACTIONS(3258),
    [sym_html_comment] = ACTIONS(5),
  },
  [1087] = {
    [sym_comment] = STATE(1087),
    [sym_identifier] = ACTIONS(3260),
    [anon_sym_export] = ACTIONS(3260),
    [anon_sym_default] = ACTIONS(3260),
    [anon_sym_type] = ACTIONS(3260),
    [anon_sym_namespace] = ACTIONS(3260),
    [anon_sym_LBRACE] = ACTIONS(3260),
    [anon_sym_RBRACE] = ACTIONS(3260),
    [anon_sym_typeof] = ACTIONS(3260),
    [anon_sym_import] = ACTIONS(3260),
    [anon_sym_var] = ACTIONS(3260),
    [anon_sym_let] = ACTIONS(3260),
    [anon_sym_const] = ACTIONS(3260),
    [anon_sym_BANG] = ACTIONS(3260),
    [anon_sym_else] = ACTIONS(3260),
    [anon_sym_if] = ACTIONS(3260),
    [anon_sym_switch] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3260),
    [anon_sym_LPAREN] = ACTIONS(3260),
    [anon_sym_await] = ACTIONS(3260),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_do] = ACTIONS(3260),
    [anon_sym_try] = ACTIONS(3260),
    [anon_sym_with] = ACTIONS(3260),
    [anon_sym_break] = ACTIONS(3260),
    [anon_sym_continue] = ACTIONS(3260),
    [anon_sym_debugger] = ACTIONS(3260),
    [anon_sym_return] = ACTIONS(3260),
    [anon_sym_throw] = ACTIONS(3260),
    [anon_sym_SEMI] = ACTIONS(3260),
    [anon_sym_case] = ACTIONS(3260),
    [anon_sym_yield] = ACTIONS(3260),
    [anon_sym_LBRACK] = ACTIONS(3260),
    [anon_sym_LTtemplate_GT] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_async] = ACTIONS(3260),
    [anon_sym_function] = ACTIONS(3260),
    [anon_sym_new] = ACTIONS(3260),
    [anon_sym_using] = ACTIONS(3260),
    [anon_sym_PLUS] = ACTIONS(3260),
    [anon_sym_DASH] = ACTIONS(3260),
    [anon_sym_SLASH] = ACTIONS(3260),
    [anon_sym_LT] = ACTIONS(3260),
    [anon_sym_TILDE] = ACTIONS(3260),
    [anon_sym_void] = ACTIONS(3260),
    [anon_sym_delete] = ACTIONS(3260),
    [anon_sym_PLUS_PLUS] = ACTIONS(3260),
    [anon_sym_DASH_DASH] = ACTIONS(3260),
    [anon_sym_DQUOTE] = ACTIONS(3260),
    [anon_sym_SQUOTE] = ACTIONS(3260),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3260),
    [sym_number] = ACTIONS(3260),
    [sym_private_property_identifier] = ACTIONS(3260),
    [sym_this] = ACTIONS(3260),
    [sym_super] = ACTIONS(3260),
    [sym_true] = ACTIONS(3260),
    [sym_false] = ACTIONS(3260),
    [sym_null] = ACTIONS(3260),
    [sym_undefined] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(3260),
    [anon_sym_static] = ACTIONS(3260),
    [anon_sym_readonly] = ACTIONS(3260),
    [anon_sym_get] = ACTIONS(3260),
    [anon_sym_set] = ACTIONS(3260),
    [anon_sym_declare] = ACTIONS(3260),
    [anon_sym_public] = ACTIONS(3260),
    [anon_sym_private] = ACTIONS(3260),
    [anon_sym_protected] = ACTIONS(3260),
    [anon_sym_override] = ACTIONS(3260),
    [anon_sym_module] = ACTIONS(3260),
    [anon_sym_any] = ACTIONS(3260),
    [anon_sym_number] = ACTIONS(3260),
    [anon_sym_boolean] = ACTIONS(3260),
    [anon_sym_string] = ACTIONS(3260),
    [anon_sym_symbol] = ACTIONS(3260),
    [anon_sym_object] = ACTIONS(3260),
    [anon_sym_abstract] = ACTIONS(3260),
    [anon_sym_interface] = ACTIONS(3260),
    [anon_sym_enum] = ACTIONS(3260),
    [sym_html_comment] = ACTIONS(5),
  },
  [1088] = {
    [sym_comment] = STATE(1088),
    [ts_builtin_sym_end] = ACTIONS(3262),
    [sym_identifier] = ACTIONS(3066),
    [anon_sym_export] = ACTIONS(3066),
    [anon_sym_type] = ACTIONS(3066),
    [anon_sym_namespace] = ACTIONS(3066),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_RBRACE] = ACTIONS(3066),
    [anon_sym_typeof] = ACTIONS(3066),
    [anon_sym_import] = ACTIONS(3066),
    [anon_sym_var] = ACTIONS(3066),
    [anon_sym_let] = ACTIONS(3066),
    [anon_sym_const] = ACTIONS(3066),
    [anon_sym_BANG] = ACTIONS(3066),
    [anon_sym_else] = ACTIONS(3066),
    [anon_sym_if] = ACTIONS(3066),
    [anon_sym_switch] = ACTIONS(3066),
    [anon_sym_for] = ACTIONS(3066),
    [anon_sym_LPAREN] = ACTIONS(3066),
    [anon_sym_await] = ACTIONS(3066),
    [anon_sym_while] = ACTIONS(3066),
    [anon_sym_do] = ACTIONS(3066),
    [anon_sym_try] = ACTIONS(3066),
    [anon_sym_with] = ACTIONS(3066),
    [anon_sym_break] = ACTIONS(3066),
    [anon_sym_continue] = ACTIONS(3066),
    [anon_sym_debugger] = ACTIONS(3066),
    [anon_sym_return] = ACTIONS(3066),
    [anon_sym_throw] = ACTIONS(3066),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym_finally] = ACTIONS(3066),
    [anon_sym_yield] = ACTIONS(3066),
    [anon_sym_LBRACK] = ACTIONS(3066),
    [anon_sym_LTtemplate_GT] = ACTIONS(3066),
    [anon_sym_class] = ACTIONS(3066),
    [anon_sym_async] = ACTIONS(3066),
    [anon_sym_function] = ACTIONS(3066),
    [anon_sym_new] = ACTIONS(3066),
    [anon_sym_using] = ACTIONS(3066),
    [anon_sym_PLUS] = ACTIONS(3066),
    [anon_sym_DASH] = ACTIONS(3066),
    [anon_sym_SLASH] = ACTIONS(3066),
    [anon_sym_LT] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_void] = ACTIONS(3066),
    [anon_sym_delete] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_DQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3066),
    [sym_number] = ACTIONS(3066),
    [sym_private_property_identifier] = ACTIONS(3066),
    [sym_this] = ACTIONS(3066),
    [sym_super] = ACTIONS(3066),
    [sym_true] = ACTIONS(3066),
    [sym_false] = ACTIONS(3066),
    [sym_null] = ACTIONS(3066),
    [sym_undefined] = ACTIONS(3066),
    [anon_sym_AT] = ACTIONS(3066),
    [anon_sym_static] = ACTIONS(3066),
    [anon_sym_readonly] = ACTIONS(3066),
    [anon_sym_get] = ACTIONS(3066),
    [anon_sym_set] = ACTIONS(3066),
    [anon_sym_declare] = ACTIONS(3066),
    [anon_sym_public] = ACTIONS(3066),
    [anon_sym_private] = ACTIONS(3066),
    [anon_sym_protected] = ACTIONS(3066),
    [anon_sym_override] = ACTIONS(3066),
    [anon_sym_module] = ACTIONS(3066),
    [anon_sym_any] = ACTIONS(3066),
    [anon_sym_number] = ACTIONS(3066),
    [anon_sym_boolean] = ACTIONS(3066),
    [anon_sym_string] = ACTIONS(3066),
    [anon_sym_symbol] = ACTIONS(3066),
    [anon_sym_object] = ACTIONS(3066),
    [anon_sym_abstract] = ACTIONS(3066),
    [anon_sym_interface] = ACTIONS(3066),
    [anon_sym_enum] = ACTIONS(3066),
    [sym_html_comment] = ACTIONS(5),
  },
  [1089] = {
    [sym_comment] = STATE(1089),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1090] = {
    [sym_comment] = STATE(1090),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1091] = {
    [sym_comment] = STATE(1091),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1092] = {
    [sym_comment] = STATE(1092),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1093] = {
    [sym_comment] = STATE(1093),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1094] = {
    [sym_comment] = STATE(1094),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1095] = {
    [sym_comment] = STATE(1095),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1096] = {
    [sym_comment] = STATE(1096),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1097] = {
    [sym_comment] = STATE(1097),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1098] = {
    [sym_comment] = STATE(1098),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1099] = {
    [sym_comment] = STATE(1099),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1100] = {
    [sym_comment] = STATE(1100),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1101] = {
    [sym_comment] = STATE(1101),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1102] = {
    [sym_comment] = STATE(1102),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1103] = {
    [sym_comment] = STATE(1103),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1104] = {
    [sym_comment] = STATE(1104),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1105] = {
    [sym_comment] = STATE(1105),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1106] = {
    [sym_comment] = STATE(1106),
    [sym_identifier] = ACTIONS(3266),
    [anon_sym_export] = ACTIONS(3266),
    [anon_sym_default] = ACTIONS(3266),
    [anon_sym_type] = ACTIONS(3266),
    [anon_sym_namespace] = ACTIONS(3266),
    [anon_sym_LBRACE] = ACTIONS(3266),
    [anon_sym_RBRACE] = ACTIONS(3266),
    [anon_sym_typeof] = ACTIONS(3266),
    [anon_sym_import] = ACTIONS(3266),
    [anon_sym_var] = ACTIONS(3266),
    [anon_sym_let] = ACTIONS(3266),
    [anon_sym_const] = ACTIONS(3266),
    [anon_sym_BANG] = ACTIONS(3266),
    [anon_sym_else] = ACTIONS(3266),
    [anon_sym_if] = ACTIONS(3266),
    [anon_sym_switch] = ACTIONS(3266),
    [anon_sym_for] = ACTIONS(3266),
    [anon_sym_LPAREN] = ACTIONS(3266),
    [anon_sym_await] = ACTIONS(3266),
    [anon_sym_while] = ACTIONS(3266),
    [anon_sym_do] = ACTIONS(3266),
    [anon_sym_try] = ACTIONS(3266),
    [anon_sym_with] = ACTIONS(3266),
    [anon_sym_break] = ACTIONS(3266),
    [anon_sym_continue] = ACTIONS(3266),
    [anon_sym_debugger] = ACTIONS(3266),
    [anon_sym_return] = ACTIONS(3266),
    [anon_sym_throw] = ACTIONS(3266),
    [anon_sym_SEMI] = ACTIONS(3266),
    [anon_sym_case] = ACTIONS(3266),
    [anon_sym_yield] = ACTIONS(3266),
    [anon_sym_LBRACK] = ACTIONS(3266),
    [anon_sym_LTtemplate_GT] = ACTIONS(3266),
    [anon_sym_class] = ACTIONS(3266),
    [anon_sym_async] = ACTIONS(3266),
    [anon_sym_function] = ACTIONS(3266),
    [anon_sym_new] = ACTIONS(3266),
    [anon_sym_using] = ACTIONS(3266),
    [anon_sym_PLUS] = ACTIONS(3266),
    [anon_sym_DASH] = ACTIONS(3266),
    [anon_sym_SLASH] = ACTIONS(3266),
    [anon_sym_LT] = ACTIONS(3266),
    [anon_sym_TILDE] = ACTIONS(3266),
    [anon_sym_void] = ACTIONS(3266),
    [anon_sym_delete] = ACTIONS(3266),
    [anon_sym_PLUS_PLUS] = ACTIONS(3266),
    [anon_sym_DASH_DASH] = ACTIONS(3266),
    [anon_sym_DQUOTE] = ACTIONS(3266),
    [anon_sym_SQUOTE] = ACTIONS(3266),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3266),
    [sym_number] = ACTIONS(3266),
    [sym_private_property_identifier] = ACTIONS(3266),
    [sym_this] = ACTIONS(3266),
    [sym_super] = ACTIONS(3266),
    [sym_true] = ACTIONS(3266),
    [sym_false] = ACTIONS(3266),
    [sym_null] = ACTIONS(3266),
    [sym_undefined] = ACTIONS(3266),
    [anon_sym_AT] = ACTIONS(3266),
    [anon_sym_static] = ACTIONS(3266),
    [anon_sym_readonly] = ACTIONS(3266),
    [anon_sym_get] = ACTIONS(3266),
    [anon_sym_set] = ACTIONS(3266),
    [anon_sym_declare] = ACTIONS(3266),
    [anon_sym_public] = ACTIONS(3266),
    [anon_sym_private] = ACTIONS(3266),
    [anon_sym_protected] = ACTIONS(3266),
    [anon_sym_override] = ACTIONS(3266),
    [anon_sym_module] = ACTIONS(3266),
    [anon_sym_any] = ACTIONS(3266),
    [anon_sym_number] = ACTIONS(3266),
    [anon_sym_boolean] = ACTIONS(3266),
    [anon_sym_string] = ACTIONS(3266),
    [anon_sym_symbol] = ACTIONS(3266),
    [anon_sym_object] = ACTIONS(3266),
    [anon_sym_abstract] = ACTIONS(3266),
    [anon_sym_interface] = ACTIONS(3266),
    [anon_sym_enum] = ACTIONS(3266),
    [sym_html_comment] = ACTIONS(5),
  },
  [1107] = {
    [sym_comment] = STATE(1107),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1108] = {
    [sym_comment] = STATE(1108),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1109] = {
    [sym_comment] = STATE(1109),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1110] = {
    [sym_comment] = STATE(1110),
    [sym_identifier] = ACTIONS(3268),
    [anon_sym_export] = ACTIONS(3268),
    [anon_sym_default] = ACTIONS(3268),
    [anon_sym_type] = ACTIONS(3268),
    [anon_sym_namespace] = ACTIONS(3268),
    [anon_sym_LBRACE] = ACTIONS(3268),
    [anon_sym_RBRACE] = ACTIONS(3268),
    [anon_sym_typeof] = ACTIONS(3268),
    [anon_sym_import] = ACTIONS(3268),
    [anon_sym_var] = ACTIONS(3268),
    [anon_sym_let] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3268),
    [anon_sym_BANG] = ACTIONS(3268),
    [anon_sym_else] = ACTIONS(3268),
    [anon_sym_if] = ACTIONS(3268),
    [anon_sym_switch] = ACTIONS(3268),
    [anon_sym_for] = ACTIONS(3268),
    [anon_sym_LPAREN] = ACTIONS(3268),
    [anon_sym_await] = ACTIONS(3268),
    [anon_sym_while] = ACTIONS(3268),
    [anon_sym_do] = ACTIONS(3268),
    [anon_sym_try] = ACTIONS(3268),
    [anon_sym_with] = ACTIONS(3268),
    [anon_sym_break] = ACTIONS(3268),
    [anon_sym_continue] = ACTIONS(3268),
    [anon_sym_debugger] = ACTIONS(3268),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_throw] = ACTIONS(3268),
    [anon_sym_SEMI] = ACTIONS(3268),
    [anon_sym_case] = ACTIONS(3268),
    [anon_sym_yield] = ACTIONS(3268),
    [anon_sym_LBRACK] = ACTIONS(3268),
    [anon_sym_LTtemplate_GT] = ACTIONS(3268),
    [anon_sym_class] = ACTIONS(3268),
    [anon_sym_async] = ACTIONS(3268),
    [anon_sym_function] = ACTIONS(3268),
    [anon_sym_new] = ACTIONS(3268),
    [anon_sym_using] = ACTIONS(3268),
    [anon_sym_PLUS] = ACTIONS(3268),
    [anon_sym_DASH] = ACTIONS(3268),
    [anon_sym_SLASH] = ACTIONS(3268),
    [anon_sym_LT] = ACTIONS(3268),
    [anon_sym_TILDE] = ACTIONS(3268),
    [anon_sym_void] = ACTIONS(3268),
    [anon_sym_delete] = ACTIONS(3268),
    [anon_sym_PLUS_PLUS] = ACTIONS(3268),
    [anon_sym_DASH_DASH] = ACTIONS(3268),
    [anon_sym_DQUOTE] = ACTIONS(3268),
    [anon_sym_SQUOTE] = ACTIONS(3268),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3268),
    [sym_number] = ACTIONS(3268),
    [sym_private_property_identifier] = ACTIONS(3268),
    [sym_this] = ACTIONS(3268),
    [sym_super] = ACTIONS(3268),
    [sym_true] = ACTIONS(3268),
    [sym_false] = ACTIONS(3268),
    [sym_null] = ACTIONS(3268),
    [sym_undefined] = ACTIONS(3268),
    [anon_sym_AT] = ACTIONS(3268),
    [anon_sym_static] = ACTIONS(3268),
    [anon_sym_readonly] = ACTIONS(3268),
    [anon_sym_get] = ACTIONS(3268),
    [anon_sym_set] = ACTIONS(3268),
    [anon_sym_declare] = ACTIONS(3268),
    [anon_sym_public] = ACTIONS(3268),
    [anon_sym_private] = ACTIONS(3268),
    [anon_sym_protected] = ACTIONS(3268),
    [anon_sym_override] = ACTIONS(3268),
    [anon_sym_module] = ACTIONS(3268),
    [anon_sym_any] = ACTIONS(3268),
    [anon_sym_number] = ACTIONS(3268),
    [anon_sym_boolean] = ACTIONS(3268),
    [anon_sym_string] = ACTIONS(3268),
    [anon_sym_symbol] = ACTIONS(3268),
    [anon_sym_object] = ACTIONS(3268),
    [anon_sym_abstract] = ACTIONS(3268),
    [anon_sym_interface] = ACTIONS(3268),
    [anon_sym_enum] = ACTIONS(3268),
    [sym_html_comment] = ACTIONS(5),
  },
  [1111] = {
    [sym_comment] = STATE(1111),
    [ts_builtin_sym_end] = ACTIONS(2143),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_RBRACE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_else] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LTtemplate_GT] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_using] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_LT] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [sym_private_property_identifier] = ACTIONS(2141),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_object] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
    [sym__automatic_semicolon] = ACTIONS(3270),
    [sym_html_comment] = ACTIONS(5),
  },
  [1112] = {
    [sym_comment] = STATE(1112),
    [sym_identifier] = ACTIONS(3272),
    [anon_sym_export] = ACTIONS(3272),
    [anon_sym_default] = ACTIONS(3272),
    [anon_sym_type] = ACTIONS(3272),
    [anon_sym_namespace] = ACTIONS(3272),
    [anon_sym_LBRACE] = ACTIONS(3272),
    [anon_sym_RBRACE] = ACTIONS(3272),
    [anon_sym_typeof] = ACTIONS(3272),
    [anon_sym_import] = ACTIONS(3272),
    [anon_sym_var] = ACTIONS(3272),
    [anon_sym_let] = ACTIONS(3272),
    [anon_sym_const] = ACTIONS(3272),
    [anon_sym_BANG] = ACTIONS(3272),
    [anon_sym_else] = ACTIONS(3272),
    [anon_sym_if] = ACTIONS(3272),
    [anon_sym_switch] = ACTIONS(3272),
    [anon_sym_for] = ACTIONS(3272),
    [anon_sym_LPAREN] = ACTIONS(3272),
    [anon_sym_await] = ACTIONS(3272),
    [anon_sym_while] = ACTIONS(3272),
    [anon_sym_do] = ACTIONS(3272),
    [anon_sym_try] = ACTIONS(3272),
    [anon_sym_with] = ACTIONS(3272),
    [anon_sym_break] = ACTIONS(3272),
    [anon_sym_continue] = ACTIONS(3272),
    [anon_sym_debugger] = ACTIONS(3272),
    [anon_sym_return] = ACTIONS(3272),
    [anon_sym_throw] = ACTIONS(3272),
    [anon_sym_SEMI] = ACTIONS(3272),
    [anon_sym_case] = ACTIONS(3272),
    [anon_sym_yield] = ACTIONS(3272),
    [anon_sym_LBRACK] = ACTIONS(3272),
    [anon_sym_LTtemplate_GT] = ACTIONS(3272),
    [anon_sym_class] = ACTIONS(3272),
    [anon_sym_async] = ACTIONS(3272),
    [anon_sym_function] = ACTIONS(3272),
    [anon_sym_new] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3272),
    [anon_sym_PLUS] = ACTIONS(3272),
    [anon_sym_DASH] = ACTIONS(3272),
    [anon_sym_SLASH] = ACTIONS(3272),
    [anon_sym_LT] = ACTIONS(3272),
    [anon_sym_TILDE] = ACTIONS(3272),
    [anon_sym_void] = ACTIONS(3272),
    [anon_sym_delete] = ACTIONS(3272),
    [anon_sym_PLUS_PLUS] = ACTIONS(3272),
    [anon_sym_DASH_DASH] = ACTIONS(3272),
    [anon_sym_DQUOTE] = ACTIONS(3272),
    [anon_sym_SQUOTE] = ACTIONS(3272),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3272),
    [sym_number] = ACTIONS(3272),
    [sym_private_property_identifier] = ACTIONS(3272),
    [sym_this] = ACTIONS(3272),
    [sym_super] = ACTIONS(3272),
    [sym_true] = ACTIONS(3272),
    [sym_false] = ACTIONS(3272),
    [sym_null] = ACTIONS(3272),
    [sym_undefined] = ACTIONS(3272),
    [anon_sym_AT] = ACTIONS(3272),
    [anon_sym_static] = ACTIONS(3272),
    [anon_sym_readonly] = ACTIONS(3272),
    [anon_sym_get] = ACTIONS(3272),
    [anon_sym_set] = ACTIONS(3272),
    [anon_sym_declare] = ACTIONS(3272),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_override] = ACTIONS(3272),
    [anon_sym_module] = ACTIONS(3272),
    [anon_sym_any] = ACTIONS(3272),
    [anon_sym_number] = ACTIONS(3272),
    [anon_sym_boolean] = ACTIONS(3272),
    [anon_sym_string] = ACTIONS(3272),
    [anon_sym_symbol] = ACTIONS(3272),
    [anon_sym_object] = ACTIONS(3272),
    [anon_sym_abstract] = ACTIONS(3272),
    [anon_sym_interface] = ACTIONS(3272),
    [anon_sym_enum] = ACTIONS(3272),
    [sym_html_comment] = ACTIONS(5),
  },
  [1113] = {
    [sym_comment] = STATE(1113),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_default] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_RBRACE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_case] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LTtemplate_GT] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_using] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_LT] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [sym_private_property_identifier] = ACTIONS(2141),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_object] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
    [sym__automatic_semicolon] = ACTIONS(3274),
    [sym_html_comment] = ACTIONS(5),
  },
  [1114] = {
    [sym_comment] = STATE(1114),
    [sym_identifier] = ACTIONS(3276),
    [anon_sym_export] = ACTIONS(3276),
    [anon_sym_default] = ACTIONS(3276),
    [anon_sym_type] = ACTIONS(3276),
    [anon_sym_namespace] = ACTIONS(3276),
    [anon_sym_LBRACE] = ACTIONS(3276),
    [anon_sym_RBRACE] = ACTIONS(3276),
    [anon_sym_typeof] = ACTIONS(3276),
    [anon_sym_import] = ACTIONS(3276),
    [anon_sym_var] = ACTIONS(3276),
    [anon_sym_let] = ACTIONS(3276),
    [anon_sym_const] = ACTIONS(3276),
    [anon_sym_BANG] = ACTIONS(3276),
    [anon_sym_else] = ACTIONS(3276),
    [anon_sym_if] = ACTIONS(3276),
    [anon_sym_switch] = ACTIONS(3276),
    [anon_sym_for] = ACTIONS(3276),
    [anon_sym_LPAREN] = ACTIONS(3276),
    [anon_sym_await] = ACTIONS(3276),
    [anon_sym_while] = ACTIONS(3276),
    [anon_sym_do] = ACTIONS(3276),
    [anon_sym_try] = ACTIONS(3276),
    [anon_sym_with] = ACTIONS(3276),
    [anon_sym_break] = ACTIONS(3276),
    [anon_sym_continue] = ACTIONS(3276),
    [anon_sym_debugger] = ACTIONS(3276),
    [anon_sym_return] = ACTIONS(3276),
    [anon_sym_throw] = ACTIONS(3276),
    [anon_sym_SEMI] = ACTIONS(3276),
    [anon_sym_case] = ACTIONS(3276),
    [anon_sym_yield] = ACTIONS(3276),
    [anon_sym_LBRACK] = ACTIONS(3276),
    [anon_sym_LTtemplate_GT] = ACTIONS(3276),
    [anon_sym_class] = ACTIONS(3276),
    [anon_sym_async] = ACTIONS(3276),
    [anon_sym_function] = ACTIONS(3276),
    [anon_sym_new] = ACTIONS(3276),
    [anon_sym_using] = ACTIONS(3276),
    [anon_sym_PLUS] = ACTIONS(3276),
    [anon_sym_DASH] = ACTIONS(3276),
    [anon_sym_SLASH] = ACTIONS(3276),
    [anon_sym_LT] = ACTIONS(3276),
    [anon_sym_TILDE] = ACTIONS(3276),
    [anon_sym_void] = ACTIONS(3276),
    [anon_sym_delete] = ACTIONS(3276),
    [anon_sym_PLUS_PLUS] = ACTIONS(3276),
    [anon_sym_DASH_DASH] = ACTIONS(3276),
    [anon_sym_DQUOTE] = ACTIONS(3276),
    [anon_sym_SQUOTE] = ACTIONS(3276),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3276),
    [sym_number] = ACTIONS(3276),
    [sym_private_property_identifier] = ACTIONS(3276),
    [sym_this] = ACTIONS(3276),
    [sym_super] = ACTIONS(3276),
    [sym_true] = ACTIONS(3276),
    [sym_false] = ACTIONS(3276),
    [sym_null] = ACTIONS(3276),
    [sym_undefined] = ACTIONS(3276),
    [anon_sym_AT] = ACTIONS(3276),
    [anon_sym_static] = ACTIONS(3276),
    [anon_sym_readonly] = ACTIONS(3276),
    [anon_sym_get] = ACTIONS(3276),
    [anon_sym_set] = ACTIONS(3276),
    [anon_sym_declare] = ACTIONS(3276),
    [anon_sym_public] = ACTIONS(3276),
    [anon_sym_private] = ACTIONS(3276),
    [anon_sym_protected] = ACTIONS(3276),
    [anon_sym_override] = ACTIONS(3276),
    [anon_sym_module] = ACTIONS(3276),
    [anon_sym_any] = ACTIONS(3276),
    [anon_sym_number] = ACTIONS(3276),
    [anon_sym_boolean] = ACTIONS(3276),
    [anon_sym_string] = ACTIONS(3276),
    [anon_sym_symbol] = ACTIONS(3276),
    [anon_sym_object] = ACTIONS(3276),
    [anon_sym_abstract] = ACTIONS(3276),
    [anon_sym_interface] = ACTIONS(3276),
    [anon_sym_enum] = ACTIONS(3276),
    [sym_html_comment] = ACTIONS(5),
  },
  [1115] = {
    [sym_comment] = STATE(1115),
    [sym_identifier] = ACTIONS(3278),
    [anon_sym_export] = ACTIONS(3278),
    [anon_sym_default] = ACTIONS(3278),
    [anon_sym_type] = ACTIONS(3278),
    [anon_sym_namespace] = ACTIONS(3278),
    [anon_sym_LBRACE] = ACTIONS(3278),
    [anon_sym_RBRACE] = ACTIONS(3278),
    [anon_sym_typeof] = ACTIONS(3278),
    [anon_sym_import] = ACTIONS(3278),
    [anon_sym_var] = ACTIONS(3278),
    [anon_sym_let] = ACTIONS(3278),
    [anon_sym_const] = ACTIONS(3278),
    [anon_sym_BANG] = ACTIONS(3278),
    [anon_sym_else] = ACTIONS(3278),
    [anon_sym_if] = ACTIONS(3278),
    [anon_sym_switch] = ACTIONS(3278),
    [anon_sym_for] = ACTIONS(3278),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_await] = ACTIONS(3278),
    [anon_sym_while] = ACTIONS(3278),
    [anon_sym_do] = ACTIONS(3278),
    [anon_sym_try] = ACTIONS(3278),
    [anon_sym_with] = ACTIONS(3278),
    [anon_sym_break] = ACTIONS(3278),
    [anon_sym_continue] = ACTIONS(3278),
    [anon_sym_debugger] = ACTIONS(3278),
    [anon_sym_return] = ACTIONS(3278),
    [anon_sym_throw] = ACTIONS(3278),
    [anon_sym_SEMI] = ACTIONS(3278),
    [anon_sym_case] = ACTIONS(3278),
    [anon_sym_yield] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(3278),
    [anon_sym_LTtemplate_GT] = ACTIONS(3278),
    [anon_sym_class] = ACTIONS(3278),
    [anon_sym_async] = ACTIONS(3278),
    [anon_sym_function] = ACTIONS(3278),
    [anon_sym_new] = ACTIONS(3278),
    [anon_sym_using] = ACTIONS(3278),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_SLASH] = ACTIONS(3278),
    [anon_sym_LT] = ACTIONS(3278),
    [anon_sym_TILDE] = ACTIONS(3278),
    [anon_sym_void] = ACTIONS(3278),
    [anon_sym_delete] = ACTIONS(3278),
    [anon_sym_PLUS_PLUS] = ACTIONS(3278),
    [anon_sym_DASH_DASH] = ACTIONS(3278),
    [anon_sym_DQUOTE] = ACTIONS(3278),
    [anon_sym_SQUOTE] = ACTIONS(3278),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3278),
    [sym_number] = ACTIONS(3278),
    [sym_private_property_identifier] = ACTIONS(3278),
    [sym_this] = ACTIONS(3278),
    [sym_super] = ACTIONS(3278),
    [sym_true] = ACTIONS(3278),
    [sym_false] = ACTIONS(3278),
    [sym_null] = ACTIONS(3278),
    [sym_undefined] = ACTIONS(3278),
    [anon_sym_AT] = ACTIONS(3278),
    [anon_sym_static] = ACTIONS(3278),
    [anon_sym_readonly] = ACTIONS(3278),
    [anon_sym_get] = ACTIONS(3278),
    [anon_sym_set] = ACTIONS(3278),
    [anon_sym_declare] = ACTIONS(3278),
    [anon_sym_public] = ACTIONS(3278),
    [anon_sym_private] = ACTIONS(3278),
    [anon_sym_protected] = ACTIONS(3278),
    [anon_sym_override] = ACTIONS(3278),
    [anon_sym_module] = ACTIONS(3278),
    [anon_sym_any] = ACTIONS(3278),
    [anon_sym_number] = ACTIONS(3278),
    [anon_sym_boolean] = ACTIONS(3278),
    [anon_sym_string] = ACTIONS(3278),
    [anon_sym_symbol] = ACTIONS(3278),
    [anon_sym_object] = ACTIONS(3278),
    [anon_sym_abstract] = ACTIONS(3278),
    [anon_sym_interface] = ACTIONS(3278),
    [anon_sym_enum] = ACTIONS(3278),
    [sym_html_comment] = ACTIONS(5),
  },
  [1116] = {
    [sym_comment] = STATE(1116),
    [sym_identifier] = ACTIONS(3280),
    [anon_sym_export] = ACTIONS(3280),
    [anon_sym_default] = ACTIONS(3280),
    [anon_sym_type] = ACTIONS(3280),
    [anon_sym_namespace] = ACTIONS(3280),
    [anon_sym_LBRACE] = ACTIONS(3280),
    [anon_sym_RBRACE] = ACTIONS(3280),
    [anon_sym_typeof] = ACTIONS(3280),
    [anon_sym_import] = ACTIONS(3280),
    [anon_sym_var] = ACTIONS(3280),
    [anon_sym_let] = ACTIONS(3280),
    [anon_sym_const] = ACTIONS(3280),
    [anon_sym_BANG] = ACTIONS(3280),
    [anon_sym_else] = ACTIONS(3280),
    [anon_sym_if] = ACTIONS(3280),
    [anon_sym_switch] = ACTIONS(3280),
    [anon_sym_for] = ACTIONS(3280),
    [anon_sym_LPAREN] = ACTIONS(3280),
    [anon_sym_await] = ACTIONS(3280),
    [anon_sym_while] = ACTIONS(3280),
    [anon_sym_do] = ACTIONS(3280),
    [anon_sym_try] = ACTIONS(3280),
    [anon_sym_with] = ACTIONS(3280),
    [anon_sym_break] = ACTIONS(3280),
    [anon_sym_continue] = ACTIONS(3280),
    [anon_sym_debugger] = ACTIONS(3280),
    [anon_sym_return] = ACTIONS(3280),
    [anon_sym_throw] = ACTIONS(3280),
    [anon_sym_SEMI] = ACTIONS(3280),
    [anon_sym_case] = ACTIONS(3280),
    [anon_sym_yield] = ACTIONS(3280),
    [anon_sym_LBRACK] = ACTIONS(3280),
    [anon_sym_LTtemplate_GT] = ACTIONS(3280),
    [anon_sym_class] = ACTIONS(3280),
    [anon_sym_async] = ACTIONS(3280),
    [anon_sym_function] = ACTIONS(3280),
    [anon_sym_new] = ACTIONS(3280),
    [anon_sym_using] = ACTIONS(3280),
    [anon_sym_PLUS] = ACTIONS(3280),
    [anon_sym_DASH] = ACTIONS(3280),
    [anon_sym_SLASH] = ACTIONS(3280),
    [anon_sym_LT] = ACTIONS(3280),
    [anon_sym_TILDE] = ACTIONS(3280),
    [anon_sym_void] = ACTIONS(3280),
    [anon_sym_delete] = ACTIONS(3280),
    [anon_sym_PLUS_PLUS] = ACTIONS(3280),
    [anon_sym_DASH_DASH] = ACTIONS(3280),
    [anon_sym_DQUOTE] = ACTIONS(3280),
    [anon_sym_SQUOTE] = ACTIONS(3280),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3280),
    [sym_number] = ACTIONS(3280),
    [sym_private_property_identifier] = ACTIONS(3280),
    [sym_this] = ACTIONS(3280),
    [sym_super] = ACTIONS(3280),
    [sym_true] = ACTIONS(3280),
    [sym_false] = ACTIONS(3280),
    [sym_null] = ACTIONS(3280),
    [sym_undefined] = ACTIONS(3280),
    [anon_sym_AT] = ACTIONS(3280),
    [anon_sym_static] = ACTIONS(3280),
    [anon_sym_readonly] = ACTIONS(3280),
    [anon_sym_get] = ACTIONS(3280),
    [anon_sym_set] = ACTIONS(3280),
    [anon_sym_declare] = ACTIONS(3280),
    [anon_sym_public] = ACTIONS(3280),
    [anon_sym_private] = ACTIONS(3280),
    [anon_sym_protected] = ACTIONS(3280),
    [anon_sym_override] = ACTIONS(3280),
    [anon_sym_module] = ACTIONS(3280),
    [anon_sym_any] = ACTIONS(3280),
    [anon_sym_number] = ACTIONS(3280),
    [anon_sym_boolean] = ACTIONS(3280),
    [anon_sym_string] = ACTIONS(3280),
    [anon_sym_symbol] = ACTIONS(3280),
    [anon_sym_object] = ACTIONS(3280),
    [anon_sym_abstract] = ACTIONS(3280),
    [anon_sym_interface] = ACTIONS(3280),
    [anon_sym_enum] = ACTIONS(3280),
    [sym_html_comment] = ACTIONS(5),
  },
  [1117] = {
    [sym_comment] = STATE(1117),
    [sym_identifier] = ACTIONS(3280),
    [anon_sym_export] = ACTIONS(3280),
    [anon_sym_default] = ACTIONS(3280),
    [anon_sym_type] = ACTIONS(3280),
    [anon_sym_namespace] = ACTIONS(3280),
    [anon_sym_LBRACE] = ACTIONS(3280),
    [anon_sym_RBRACE] = ACTIONS(3280),
    [anon_sym_typeof] = ACTIONS(3280),
    [anon_sym_import] = ACTIONS(3280),
    [anon_sym_var] = ACTIONS(3280),
    [anon_sym_let] = ACTIONS(3280),
    [anon_sym_const] = ACTIONS(3280),
    [anon_sym_BANG] = ACTIONS(3280),
    [anon_sym_else] = ACTIONS(3280),
    [anon_sym_if] = ACTIONS(3280),
    [anon_sym_switch] = ACTIONS(3280),
    [anon_sym_for] = ACTIONS(3280),
    [anon_sym_LPAREN] = ACTIONS(3280),
    [anon_sym_await] = ACTIONS(3280),
    [anon_sym_while] = ACTIONS(3280),
    [anon_sym_do] = ACTIONS(3280),
    [anon_sym_try] = ACTIONS(3280),
    [anon_sym_with] = ACTIONS(3280),
    [anon_sym_break] = ACTIONS(3280),
    [anon_sym_continue] = ACTIONS(3280),
    [anon_sym_debugger] = ACTIONS(3280),
    [anon_sym_return] = ACTIONS(3280),
    [anon_sym_throw] = ACTIONS(3280),
    [anon_sym_SEMI] = ACTIONS(3280),
    [anon_sym_case] = ACTIONS(3280),
    [anon_sym_yield] = ACTIONS(3280),
    [anon_sym_LBRACK] = ACTIONS(3280),
    [anon_sym_LTtemplate_GT] = ACTIONS(3280),
    [anon_sym_class] = ACTIONS(3280),
    [anon_sym_async] = ACTIONS(3280),
    [anon_sym_function] = ACTIONS(3280),
    [anon_sym_new] = ACTIONS(3280),
    [anon_sym_using] = ACTIONS(3280),
    [anon_sym_PLUS] = ACTIONS(3280),
    [anon_sym_DASH] = ACTIONS(3280),
    [anon_sym_SLASH] = ACTIONS(3280),
    [anon_sym_LT] = ACTIONS(3280),
    [anon_sym_TILDE] = ACTIONS(3280),
    [anon_sym_void] = ACTIONS(3280),
    [anon_sym_delete] = ACTIONS(3280),
    [anon_sym_PLUS_PLUS] = ACTIONS(3280),
    [anon_sym_DASH_DASH] = ACTIONS(3280),
    [anon_sym_DQUOTE] = ACTIONS(3280),
    [anon_sym_SQUOTE] = ACTIONS(3280),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3280),
    [sym_number] = ACTIONS(3280),
    [sym_private_property_identifier] = ACTIONS(3280),
    [sym_this] = ACTIONS(3280),
    [sym_super] = ACTIONS(3280),
    [sym_true] = ACTIONS(3280),
    [sym_false] = ACTIONS(3280),
    [sym_null] = ACTIONS(3280),
    [sym_undefined] = ACTIONS(3280),
    [anon_sym_AT] = ACTIONS(3280),
    [anon_sym_static] = ACTIONS(3280),
    [anon_sym_readonly] = ACTIONS(3280),
    [anon_sym_get] = ACTIONS(3280),
    [anon_sym_set] = ACTIONS(3280),
    [anon_sym_declare] = ACTIONS(3280),
    [anon_sym_public] = ACTIONS(3280),
    [anon_sym_private] = ACTIONS(3280),
    [anon_sym_protected] = ACTIONS(3280),
    [anon_sym_override] = ACTIONS(3280),
    [anon_sym_module] = ACTIONS(3280),
    [anon_sym_any] = ACTIONS(3280),
    [anon_sym_number] = ACTIONS(3280),
    [anon_sym_boolean] = ACTIONS(3280),
    [anon_sym_string] = ACTIONS(3280),
    [anon_sym_symbol] = ACTIONS(3280),
    [anon_sym_object] = ACTIONS(3280),
    [anon_sym_abstract] = ACTIONS(3280),
    [anon_sym_interface] = ACTIONS(3280),
    [anon_sym_enum] = ACTIONS(3280),
    [sym_html_comment] = ACTIONS(5),
  },
  [1118] = {
    [sym_comment] = STATE(1118),
    [sym_identifier] = ACTIONS(3282),
    [anon_sym_export] = ACTIONS(3282),
    [anon_sym_default] = ACTIONS(3282),
    [anon_sym_type] = ACTIONS(3282),
    [anon_sym_namespace] = ACTIONS(3282),
    [anon_sym_LBRACE] = ACTIONS(3282),
    [anon_sym_RBRACE] = ACTIONS(3282),
    [anon_sym_typeof] = ACTIONS(3282),
    [anon_sym_import] = ACTIONS(3282),
    [anon_sym_var] = ACTIONS(3282),
    [anon_sym_let] = ACTIONS(3282),
    [anon_sym_const] = ACTIONS(3282),
    [anon_sym_BANG] = ACTIONS(3282),
    [anon_sym_else] = ACTIONS(3282),
    [anon_sym_if] = ACTIONS(3282),
    [anon_sym_switch] = ACTIONS(3282),
    [anon_sym_for] = ACTIONS(3282),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_await] = ACTIONS(3282),
    [anon_sym_while] = ACTIONS(3282),
    [anon_sym_do] = ACTIONS(3282),
    [anon_sym_try] = ACTIONS(3282),
    [anon_sym_with] = ACTIONS(3282),
    [anon_sym_break] = ACTIONS(3282),
    [anon_sym_continue] = ACTIONS(3282),
    [anon_sym_debugger] = ACTIONS(3282),
    [anon_sym_return] = ACTIONS(3282),
    [anon_sym_throw] = ACTIONS(3282),
    [anon_sym_SEMI] = ACTIONS(3282),
    [anon_sym_case] = ACTIONS(3282),
    [anon_sym_yield] = ACTIONS(3282),
    [anon_sym_LBRACK] = ACTIONS(3282),
    [anon_sym_LTtemplate_GT] = ACTIONS(3282),
    [anon_sym_class] = ACTIONS(3282),
    [anon_sym_async] = ACTIONS(3282),
    [anon_sym_function] = ACTIONS(3282),
    [anon_sym_new] = ACTIONS(3282),
    [anon_sym_using] = ACTIONS(3282),
    [anon_sym_PLUS] = ACTIONS(3282),
    [anon_sym_DASH] = ACTIONS(3282),
    [anon_sym_SLASH] = ACTIONS(3282),
    [anon_sym_LT] = ACTIONS(3282),
    [anon_sym_TILDE] = ACTIONS(3282),
    [anon_sym_void] = ACTIONS(3282),
    [anon_sym_delete] = ACTIONS(3282),
    [anon_sym_PLUS_PLUS] = ACTIONS(3282),
    [anon_sym_DASH_DASH] = ACTIONS(3282),
    [anon_sym_DQUOTE] = ACTIONS(3282),
    [anon_sym_SQUOTE] = ACTIONS(3282),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3282),
    [sym_number] = ACTIONS(3282),
    [sym_private_property_identifier] = ACTIONS(3282),
    [sym_this] = ACTIONS(3282),
    [sym_super] = ACTIONS(3282),
    [sym_true] = ACTIONS(3282),
    [sym_false] = ACTIONS(3282),
    [sym_null] = ACTIONS(3282),
    [sym_undefined] = ACTIONS(3282),
    [anon_sym_AT] = ACTIONS(3282),
    [anon_sym_static] = ACTIONS(3282),
    [anon_sym_readonly] = ACTIONS(3282),
    [anon_sym_get] = ACTIONS(3282),
    [anon_sym_set] = ACTIONS(3282),
    [anon_sym_declare] = ACTIONS(3282),
    [anon_sym_public] = ACTIONS(3282),
    [anon_sym_private] = ACTIONS(3282),
    [anon_sym_protected] = ACTIONS(3282),
    [anon_sym_override] = ACTIONS(3282),
    [anon_sym_module] = ACTIONS(3282),
    [anon_sym_any] = ACTIONS(3282),
    [anon_sym_number] = ACTIONS(3282),
    [anon_sym_boolean] = ACTIONS(3282),
    [anon_sym_string] = ACTIONS(3282),
    [anon_sym_symbol] = ACTIONS(3282),
    [anon_sym_object] = ACTIONS(3282),
    [anon_sym_abstract] = ACTIONS(3282),
    [anon_sym_interface] = ACTIONS(3282),
    [anon_sym_enum] = ACTIONS(3282),
    [sym_html_comment] = ACTIONS(5),
  },
  [1119] = {
    [sym_comment] = STATE(1119),
    [sym_identifier] = ACTIONS(3284),
    [anon_sym_export] = ACTIONS(3284),
    [anon_sym_default] = ACTIONS(3284),
    [anon_sym_type] = ACTIONS(3284),
    [anon_sym_namespace] = ACTIONS(3284),
    [anon_sym_LBRACE] = ACTIONS(3284),
    [anon_sym_RBRACE] = ACTIONS(3284),
    [anon_sym_typeof] = ACTIONS(3284),
    [anon_sym_import] = ACTIONS(3284),
    [anon_sym_var] = ACTIONS(3284),
    [anon_sym_let] = ACTIONS(3284),
    [anon_sym_const] = ACTIONS(3284),
    [anon_sym_BANG] = ACTIONS(3284),
    [anon_sym_else] = ACTIONS(3284),
    [anon_sym_if] = ACTIONS(3284),
    [anon_sym_switch] = ACTIONS(3284),
    [anon_sym_for] = ACTIONS(3284),
    [anon_sym_LPAREN] = ACTIONS(3284),
    [anon_sym_await] = ACTIONS(3284),
    [anon_sym_while] = ACTIONS(3284),
    [anon_sym_do] = ACTIONS(3284),
    [anon_sym_try] = ACTIONS(3284),
    [anon_sym_with] = ACTIONS(3284),
    [anon_sym_break] = ACTIONS(3284),
    [anon_sym_continue] = ACTIONS(3284),
    [anon_sym_debugger] = ACTIONS(3284),
    [anon_sym_return] = ACTIONS(3284),
    [anon_sym_throw] = ACTIONS(3284),
    [anon_sym_SEMI] = ACTIONS(3284),
    [anon_sym_case] = ACTIONS(3284),
    [anon_sym_yield] = ACTIONS(3284),
    [anon_sym_LBRACK] = ACTIONS(3284),
    [anon_sym_LTtemplate_GT] = ACTIONS(3284),
    [anon_sym_class] = ACTIONS(3284),
    [anon_sym_async] = ACTIONS(3284),
    [anon_sym_function] = ACTIONS(3284),
    [anon_sym_new] = ACTIONS(3284),
    [anon_sym_using] = ACTIONS(3284),
    [anon_sym_PLUS] = ACTIONS(3284),
    [anon_sym_DASH] = ACTIONS(3284),
    [anon_sym_SLASH] = ACTIONS(3284),
    [anon_sym_LT] = ACTIONS(3284),
    [anon_sym_TILDE] = ACTIONS(3284),
    [anon_sym_void] = ACTIONS(3284),
    [anon_sym_delete] = ACTIONS(3284),
    [anon_sym_PLUS_PLUS] = ACTIONS(3284),
    [anon_sym_DASH_DASH] = ACTIONS(3284),
    [anon_sym_DQUOTE] = ACTIONS(3284),
    [anon_sym_SQUOTE] = ACTIONS(3284),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3284),
    [sym_number] = ACTIONS(3284),
    [sym_private_property_identifier] = ACTIONS(3284),
    [sym_this] = ACTIONS(3284),
    [sym_super] = ACTIONS(3284),
    [sym_true] = ACTIONS(3284),
    [sym_false] = ACTIONS(3284),
    [sym_null] = ACTIONS(3284),
    [sym_undefined] = ACTIONS(3284),
    [anon_sym_AT] = ACTIONS(3284),
    [anon_sym_static] = ACTIONS(3284),
    [anon_sym_readonly] = ACTIONS(3284),
    [anon_sym_get] = ACTIONS(3284),
    [anon_sym_set] = ACTIONS(3284),
    [anon_sym_declare] = ACTIONS(3284),
    [anon_sym_public] = ACTIONS(3284),
    [anon_sym_private] = ACTIONS(3284),
    [anon_sym_protected] = ACTIONS(3284),
    [anon_sym_override] = ACTIONS(3284),
    [anon_sym_module] = ACTIONS(3284),
    [anon_sym_any] = ACTIONS(3284),
    [anon_sym_number] = ACTIONS(3284),
    [anon_sym_boolean] = ACTIONS(3284),
    [anon_sym_string] = ACTIONS(3284),
    [anon_sym_symbol] = ACTIONS(3284),
    [anon_sym_object] = ACTIONS(3284),
    [anon_sym_abstract] = ACTIONS(3284),
    [anon_sym_interface] = ACTIONS(3284),
    [anon_sym_enum] = ACTIONS(3284),
    [sym_html_comment] = ACTIONS(5),
  },
  [1120] = {
    [sym_comment] = STATE(1120),
    [sym_identifier] = ACTIONS(3286),
    [anon_sym_export] = ACTIONS(3286),
    [anon_sym_default] = ACTIONS(3286),
    [anon_sym_type] = ACTIONS(3286),
    [anon_sym_namespace] = ACTIONS(3286),
    [anon_sym_LBRACE] = ACTIONS(3286),
    [anon_sym_RBRACE] = ACTIONS(3286),
    [anon_sym_typeof] = ACTIONS(3286),
    [anon_sym_import] = ACTIONS(3286),
    [anon_sym_var] = ACTIONS(3286),
    [anon_sym_let] = ACTIONS(3286),
    [anon_sym_const] = ACTIONS(3286),
    [anon_sym_BANG] = ACTIONS(3286),
    [anon_sym_else] = ACTIONS(3286),
    [anon_sym_if] = ACTIONS(3286),
    [anon_sym_switch] = ACTIONS(3286),
    [anon_sym_for] = ACTIONS(3286),
    [anon_sym_LPAREN] = ACTIONS(3286),
    [anon_sym_await] = ACTIONS(3286),
    [anon_sym_while] = ACTIONS(3286),
    [anon_sym_do] = ACTIONS(3286),
    [anon_sym_try] = ACTIONS(3286),
    [anon_sym_with] = ACTIONS(3286),
    [anon_sym_break] = ACTIONS(3286),
    [anon_sym_continue] = ACTIONS(3286),
    [anon_sym_debugger] = ACTIONS(3286),
    [anon_sym_return] = ACTIONS(3286),
    [anon_sym_throw] = ACTIONS(3286),
    [anon_sym_SEMI] = ACTIONS(3286),
    [anon_sym_case] = ACTIONS(3286),
    [anon_sym_yield] = ACTIONS(3286),
    [anon_sym_LBRACK] = ACTIONS(3286),
    [anon_sym_LTtemplate_GT] = ACTIONS(3286),
    [anon_sym_class] = ACTIONS(3286),
    [anon_sym_async] = ACTIONS(3286),
    [anon_sym_function] = ACTIONS(3286),
    [anon_sym_new] = ACTIONS(3286),
    [anon_sym_using] = ACTIONS(3286),
    [anon_sym_PLUS] = ACTIONS(3286),
    [anon_sym_DASH] = ACTIONS(3286),
    [anon_sym_SLASH] = ACTIONS(3286),
    [anon_sym_LT] = ACTIONS(3286),
    [anon_sym_TILDE] = ACTIONS(3286),
    [anon_sym_void] = ACTIONS(3286),
    [anon_sym_delete] = ACTIONS(3286),
    [anon_sym_PLUS_PLUS] = ACTIONS(3286),
    [anon_sym_DASH_DASH] = ACTIONS(3286),
    [anon_sym_DQUOTE] = ACTIONS(3286),
    [anon_sym_SQUOTE] = ACTIONS(3286),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3286),
    [sym_number] = ACTIONS(3286),
    [sym_private_property_identifier] = ACTIONS(3286),
    [sym_this] = ACTIONS(3286),
    [sym_super] = ACTIONS(3286),
    [sym_true] = ACTIONS(3286),
    [sym_false] = ACTIONS(3286),
    [sym_null] = ACTIONS(3286),
    [sym_undefined] = ACTIONS(3286),
    [anon_sym_AT] = ACTIONS(3286),
    [anon_sym_static] = ACTIONS(3286),
    [anon_sym_readonly] = ACTIONS(3286),
    [anon_sym_get] = ACTIONS(3286),
    [anon_sym_set] = ACTIONS(3286),
    [anon_sym_declare] = ACTIONS(3286),
    [anon_sym_public] = ACTIONS(3286),
    [anon_sym_private] = ACTIONS(3286),
    [anon_sym_protected] = ACTIONS(3286),
    [anon_sym_override] = ACTIONS(3286),
    [anon_sym_module] = ACTIONS(3286),
    [anon_sym_any] = ACTIONS(3286),
    [anon_sym_number] = ACTIONS(3286),
    [anon_sym_boolean] = ACTIONS(3286),
    [anon_sym_string] = ACTIONS(3286),
    [anon_sym_symbol] = ACTIONS(3286),
    [anon_sym_object] = ACTIONS(3286),
    [anon_sym_abstract] = ACTIONS(3286),
    [anon_sym_interface] = ACTIONS(3286),
    [anon_sym_enum] = ACTIONS(3286),
    [sym_html_comment] = ACTIONS(5),
  },
  [1121] = {
    [sym_comment] = STATE(1121),
    [sym_identifier] = ACTIONS(3288),
    [anon_sym_export] = ACTIONS(3288),
    [anon_sym_default] = ACTIONS(3288),
    [anon_sym_type] = ACTIONS(3288),
    [anon_sym_namespace] = ACTIONS(3288),
    [anon_sym_LBRACE] = ACTIONS(3288),
    [anon_sym_RBRACE] = ACTIONS(3288),
    [anon_sym_typeof] = ACTIONS(3288),
    [anon_sym_import] = ACTIONS(3288),
    [anon_sym_var] = ACTIONS(3288),
    [anon_sym_let] = ACTIONS(3288),
    [anon_sym_const] = ACTIONS(3288),
    [anon_sym_BANG] = ACTIONS(3288),
    [anon_sym_else] = ACTIONS(3288),
    [anon_sym_if] = ACTIONS(3288),
    [anon_sym_switch] = ACTIONS(3288),
    [anon_sym_for] = ACTIONS(3288),
    [anon_sym_LPAREN] = ACTIONS(3288),
    [anon_sym_await] = ACTIONS(3288),
    [anon_sym_while] = ACTIONS(3288),
    [anon_sym_do] = ACTIONS(3288),
    [anon_sym_try] = ACTIONS(3288),
    [anon_sym_with] = ACTIONS(3288),
    [anon_sym_break] = ACTIONS(3288),
    [anon_sym_continue] = ACTIONS(3288),
    [anon_sym_debugger] = ACTIONS(3288),
    [anon_sym_return] = ACTIONS(3288),
    [anon_sym_throw] = ACTIONS(3288),
    [anon_sym_SEMI] = ACTIONS(3288),
    [anon_sym_case] = ACTIONS(3288),
    [anon_sym_yield] = ACTIONS(3288),
    [anon_sym_LBRACK] = ACTIONS(3288),
    [anon_sym_LTtemplate_GT] = ACTIONS(3288),
    [anon_sym_class] = ACTIONS(3288),
    [anon_sym_async] = ACTIONS(3288),
    [anon_sym_function] = ACTIONS(3288),
    [anon_sym_new] = ACTIONS(3288),
    [anon_sym_using] = ACTIONS(3288),
    [anon_sym_PLUS] = ACTIONS(3288),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_SLASH] = ACTIONS(3288),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_TILDE] = ACTIONS(3288),
    [anon_sym_void] = ACTIONS(3288),
    [anon_sym_delete] = ACTIONS(3288),
    [anon_sym_PLUS_PLUS] = ACTIONS(3288),
    [anon_sym_DASH_DASH] = ACTIONS(3288),
    [anon_sym_DQUOTE] = ACTIONS(3288),
    [anon_sym_SQUOTE] = ACTIONS(3288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3288),
    [sym_number] = ACTIONS(3288),
    [sym_private_property_identifier] = ACTIONS(3288),
    [sym_this] = ACTIONS(3288),
    [sym_super] = ACTIONS(3288),
    [sym_true] = ACTIONS(3288),
    [sym_false] = ACTIONS(3288),
    [sym_null] = ACTIONS(3288),
    [sym_undefined] = ACTIONS(3288),
    [anon_sym_AT] = ACTIONS(3288),
    [anon_sym_static] = ACTIONS(3288),
    [anon_sym_readonly] = ACTIONS(3288),
    [anon_sym_get] = ACTIONS(3288),
    [anon_sym_set] = ACTIONS(3288),
    [anon_sym_declare] = ACTIONS(3288),
    [anon_sym_public] = ACTIONS(3288),
    [anon_sym_private] = ACTIONS(3288),
    [anon_sym_protected] = ACTIONS(3288),
    [anon_sym_override] = ACTIONS(3288),
    [anon_sym_module] = ACTIONS(3288),
    [anon_sym_any] = ACTIONS(3288),
    [anon_sym_number] = ACTIONS(3288),
    [anon_sym_boolean] = ACTIONS(3288),
    [anon_sym_string] = ACTIONS(3288),
    [anon_sym_symbol] = ACTIONS(3288),
    [anon_sym_object] = ACTIONS(3288),
    [anon_sym_abstract] = ACTIONS(3288),
    [anon_sym_interface] = ACTIONS(3288),
    [anon_sym_enum] = ACTIONS(3288),
    [sym_html_comment] = ACTIONS(5),
  },
  [1122] = {
    [sym_comment] = STATE(1122),
    [sym_identifier] = ACTIONS(3290),
    [anon_sym_export] = ACTIONS(3290),
    [anon_sym_default] = ACTIONS(3290),
    [anon_sym_type] = ACTIONS(3290),
    [anon_sym_namespace] = ACTIONS(3290),
    [anon_sym_LBRACE] = ACTIONS(3290),
    [anon_sym_RBRACE] = ACTIONS(3290),
    [anon_sym_typeof] = ACTIONS(3290),
    [anon_sym_import] = ACTIONS(3290),
    [anon_sym_var] = ACTIONS(3290),
    [anon_sym_let] = ACTIONS(3290),
    [anon_sym_const] = ACTIONS(3290),
    [anon_sym_BANG] = ACTIONS(3290),
    [anon_sym_else] = ACTIONS(3290),
    [anon_sym_if] = ACTIONS(3290),
    [anon_sym_switch] = ACTIONS(3290),
    [anon_sym_for] = ACTIONS(3290),
    [anon_sym_LPAREN] = ACTIONS(3290),
    [anon_sym_await] = ACTIONS(3290),
    [anon_sym_while] = ACTIONS(3290),
    [anon_sym_do] = ACTIONS(3290),
    [anon_sym_try] = ACTIONS(3290),
    [anon_sym_with] = ACTIONS(3290),
    [anon_sym_break] = ACTIONS(3290),
    [anon_sym_continue] = ACTIONS(3290),
    [anon_sym_debugger] = ACTIONS(3290),
    [anon_sym_return] = ACTIONS(3290),
    [anon_sym_throw] = ACTIONS(3290),
    [anon_sym_SEMI] = ACTIONS(3290),
    [anon_sym_case] = ACTIONS(3290),
    [anon_sym_yield] = ACTIONS(3290),
    [anon_sym_LBRACK] = ACTIONS(3290),
    [anon_sym_LTtemplate_GT] = ACTIONS(3290),
    [anon_sym_class] = ACTIONS(3290),
    [anon_sym_async] = ACTIONS(3290),
    [anon_sym_function] = ACTIONS(3290),
    [anon_sym_new] = ACTIONS(3290),
    [anon_sym_using] = ACTIONS(3290),
    [anon_sym_PLUS] = ACTIONS(3290),
    [anon_sym_DASH] = ACTIONS(3290),
    [anon_sym_SLASH] = ACTIONS(3290),
    [anon_sym_LT] = ACTIONS(3290),
    [anon_sym_TILDE] = ACTIONS(3290),
    [anon_sym_void] = ACTIONS(3290),
    [anon_sym_delete] = ACTIONS(3290),
    [anon_sym_PLUS_PLUS] = ACTIONS(3290),
    [anon_sym_DASH_DASH] = ACTIONS(3290),
    [anon_sym_DQUOTE] = ACTIONS(3290),
    [anon_sym_SQUOTE] = ACTIONS(3290),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3290),
    [sym_number] = ACTIONS(3290),
    [sym_private_property_identifier] = ACTIONS(3290),
    [sym_this] = ACTIONS(3290),
    [sym_super] = ACTIONS(3290),
    [sym_true] = ACTIONS(3290),
    [sym_false] = ACTIONS(3290),
    [sym_null] = ACTIONS(3290),
    [sym_undefined] = ACTIONS(3290),
    [anon_sym_AT] = ACTIONS(3290),
    [anon_sym_static] = ACTIONS(3290),
    [anon_sym_readonly] = ACTIONS(3290),
    [anon_sym_get] = ACTIONS(3290),
    [anon_sym_set] = ACTIONS(3290),
    [anon_sym_declare] = ACTIONS(3290),
    [anon_sym_public] = ACTIONS(3290),
    [anon_sym_private] = ACTIONS(3290),
    [anon_sym_protected] = ACTIONS(3290),
    [anon_sym_override] = ACTIONS(3290),
    [anon_sym_module] = ACTIONS(3290),
    [anon_sym_any] = ACTIONS(3290),
    [anon_sym_number] = ACTIONS(3290),
    [anon_sym_boolean] = ACTIONS(3290),
    [anon_sym_string] = ACTIONS(3290),
    [anon_sym_symbol] = ACTIONS(3290),
    [anon_sym_object] = ACTIONS(3290),
    [anon_sym_abstract] = ACTIONS(3290),
    [anon_sym_interface] = ACTIONS(3290),
    [anon_sym_enum] = ACTIONS(3290),
    [sym_html_comment] = ACTIONS(5),
  },
  [1123] = {
    [sym_comment] = STATE(1123),
    [ts_builtin_sym_end] = ACTIONS(2393),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_export] = ACTIONS(2259),
    [anon_sym_type] = ACTIONS(2259),
    [anon_sym_namespace] = ACTIONS(2259),
    [anon_sym_LBRACE] = ACTIONS(2259),
    [anon_sym_RBRACE] = ACTIONS(2259),
    [anon_sym_typeof] = ACTIONS(2259),
    [anon_sym_import] = ACTIONS(2259),
    [anon_sym_var] = ACTIONS(2259),
    [anon_sym_let] = ACTIONS(2259),
    [anon_sym_const] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2259),
    [anon_sym_else] = ACTIONS(2259),
    [anon_sym_if] = ACTIONS(2259),
    [anon_sym_switch] = ACTIONS(2259),
    [anon_sym_for] = ACTIONS(2259),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_while] = ACTIONS(2259),
    [anon_sym_do] = ACTIONS(2259),
    [anon_sym_try] = ACTIONS(2259),
    [anon_sym_with] = ACTIONS(2259),
    [anon_sym_break] = ACTIONS(2259),
    [anon_sym_continue] = ACTIONS(2259),
    [anon_sym_debugger] = ACTIONS(2259),
    [anon_sym_return] = ACTIONS(2259),
    [anon_sym_throw] = ACTIONS(2259),
    [anon_sym_SEMI] = ACTIONS(2259),
    [anon_sym_yield] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2259),
    [anon_sym_LTtemplate_GT] = ACTIONS(2259),
    [anon_sym_class] = ACTIONS(2259),
    [anon_sym_async] = ACTIONS(2259),
    [anon_sym_function] = ACTIONS(2259),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_using] = ACTIONS(2259),
    [anon_sym_PLUS] = ACTIONS(2259),
    [anon_sym_DASH] = ACTIONS(2259),
    [anon_sym_SLASH] = ACTIONS(2259),
    [anon_sym_LT] = ACTIONS(2259),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_void] = ACTIONS(2259),
    [anon_sym_delete] = ACTIONS(2259),
    [anon_sym_PLUS_PLUS] = ACTIONS(2259),
    [anon_sym_DASH_DASH] = ACTIONS(2259),
    [anon_sym_DQUOTE] = ACTIONS(2259),
    [anon_sym_SQUOTE] = ACTIONS(2259),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2259),
    [sym_number] = ACTIONS(2259),
    [sym_private_property_identifier] = ACTIONS(2259),
    [sym_this] = ACTIONS(2259),
    [sym_super] = ACTIONS(2259),
    [sym_true] = ACTIONS(2259),
    [sym_false] = ACTIONS(2259),
    [sym_null] = ACTIONS(2259),
    [sym_undefined] = ACTIONS(2259),
    [anon_sym_AT] = ACTIONS(2259),
    [anon_sym_static] = ACTIONS(2259),
    [anon_sym_readonly] = ACTIONS(2259),
    [anon_sym_get] = ACTIONS(2259),
    [anon_sym_set] = ACTIONS(2259),
    [anon_sym_declare] = ACTIONS(2259),
    [anon_sym_public] = ACTIONS(2259),
    [anon_sym_private] = ACTIONS(2259),
    [anon_sym_protected] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2259),
    [anon_sym_module] = ACTIONS(2259),
    [anon_sym_any] = ACTIONS(2259),
    [anon_sym_number] = ACTIONS(2259),
    [anon_sym_boolean] = ACTIONS(2259),
    [anon_sym_string] = ACTIONS(2259),
    [anon_sym_symbol] = ACTIONS(2259),
    [anon_sym_object] = ACTIONS(2259),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_interface] = ACTIONS(2259),
    [anon_sym_enum] = ACTIONS(2259),
    [sym__automatic_semicolon] = ACTIONS(2395),
    [sym_html_comment] = ACTIONS(5),
  },
  [1124] = {
    [sym_comment] = STATE(1124),
    [ts_builtin_sym_end] = ACTIONS(2389),
    [sym_identifier] = ACTIONS(2249),
    [anon_sym_export] = ACTIONS(2249),
    [anon_sym_type] = ACTIONS(2249),
    [anon_sym_namespace] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2249),
    [anon_sym_RBRACE] = ACTIONS(2249),
    [anon_sym_typeof] = ACTIONS(2249),
    [anon_sym_import] = ACTIONS(2249),
    [anon_sym_var] = ACTIONS(2249),
    [anon_sym_let] = ACTIONS(2249),
    [anon_sym_const] = ACTIONS(2249),
    [anon_sym_BANG] = ACTIONS(2249),
    [anon_sym_else] = ACTIONS(2249),
    [anon_sym_if] = ACTIONS(2249),
    [anon_sym_switch] = ACTIONS(2249),
    [anon_sym_for] = ACTIONS(2249),
    [anon_sym_LPAREN] = ACTIONS(2249),
    [anon_sym_await] = ACTIONS(2249),
    [anon_sym_while] = ACTIONS(2249),
    [anon_sym_do] = ACTIONS(2249),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_with] = ACTIONS(2249),
    [anon_sym_break] = ACTIONS(2249),
    [anon_sym_continue] = ACTIONS(2249),
    [anon_sym_debugger] = ACTIONS(2249),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_throw] = ACTIONS(2249),
    [anon_sym_SEMI] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2249),
    [anon_sym_LBRACK] = ACTIONS(2249),
    [anon_sym_LTtemplate_GT] = ACTIONS(2249),
    [anon_sym_class] = ACTIONS(2249),
    [anon_sym_async] = ACTIONS(2249),
    [anon_sym_function] = ACTIONS(2249),
    [anon_sym_new] = ACTIONS(2249),
    [anon_sym_using] = ACTIONS(2249),
    [anon_sym_PLUS] = ACTIONS(2249),
    [anon_sym_DASH] = ACTIONS(2249),
    [anon_sym_SLASH] = ACTIONS(2249),
    [anon_sym_LT] = ACTIONS(2249),
    [anon_sym_TILDE] = ACTIONS(2249),
    [anon_sym_void] = ACTIONS(2249),
    [anon_sym_delete] = ACTIONS(2249),
    [anon_sym_PLUS_PLUS] = ACTIONS(2249),
    [anon_sym_DASH_DASH] = ACTIONS(2249),
    [anon_sym_DQUOTE] = ACTIONS(2249),
    [anon_sym_SQUOTE] = ACTIONS(2249),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2249),
    [sym_number] = ACTIONS(2249),
    [sym_private_property_identifier] = ACTIONS(2249),
    [sym_this] = ACTIONS(2249),
    [sym_super] = ACTIONS(2249),
    [sym_true] = ACTIONS(2249),
    [sym_false] = ACTIONS(2249),
    [sym_null] = ACTIONS(2249),
    [sym_undefined] = ACTIONS(2249),
    [anon_sym_AT] = ACTIONS(2249),
    [anon_sym_static] = ACTIONS(2249),
    [anon_sym_readonly] = ACTIONS(2249),
    [anon_sym_get] = ACTIONS(2249),
    [anon_sym_set] = ACTIONS(2249),
    [anon_sym_declare] = ACTIONS(2249),
    [anon_sym_public] = ACTIONS(2249),
    [anon_sym_private] = ACTIONS(2249),
    [anon_sym_protected] = ACTIONS(2249),
    [anon_sym_override] = ACTIONS(2249),
    [anon_sym_module] = ACTIONS(2249),
    [anon_sym_any] = ACTIONS(2249),
    [anon_sym_number] = ACTIONS(2249),
    [anon_sym_boolean] = ACTIONS(2249),
    [anon_sym_string] = ACTIONS(2249),
    [anon_sym_symbol] = ACTIONS(2249),
    [anon_sym_object] = ACTIONS(2249),
    [anon_sym_abstract] = ACTIONS(2249),
    [anon_sym_interface] = ACTIONS(2249),
    [anon_sym_enum] = ACTIONS(2249),
    [sym__automatic_semicolon] = ACTIONS(2391),
    [sym_html_comment] = ACTIONS(5),
  },
  [1125] = {
    [sym_statement_block] = STATE(1433),
    [sym_comment] = STATE(1125),
    [ts_builtin_sym_end] = ACTIONS(2061),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(3100),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_else] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym_html_comment] = ACTIONS(5),
  },
  [1126] = {
    [sym_comment] = STATE(1126),
    [sym_identifier] = ACTIONS(3292),
    [anon_sym_export] = ACTIONS(3292),
    [anon_sym_default] = ACTIONS(3292),
    [anon_sym_type] = ACTIONS(3292),
    [anon_sym_namespace] = ACTIONS(3292),
    [anon_sym_LBRACE] = ACTIONS(3292),
    [anon_sym_RBRACE] = ACTIONS(3292),
    [anon_sym_typeof] = ACTIONS(3292),
    [anon_sym_import] = ACTIONS(3292),
    [anon_sym_var] = ACTIONS(3292),
    [anon_sym_let] = ACTIONS(3292),
    [anon_sym_const] = ACTIONS(3292),
    [anon_sym_BANG] = ACTIONS(3292),
    [anon_sym_else] = ACTIONS(3292),
    [anon_sym_if] = ACTIONS(3292),
    [anon_sym_switch] = ACTIONS(3292),
    [anon_sym_for] = ACTIONS(3292),
    [anon_sym_LPAREN] = ACTIONS(3292),
    [anon_sym_await] = ACTIONS(3292),
    [anon_sym_while] = ACTIONS(3292),
    [anon_sym_do] = ACTIONS(3292),
    [anon_sym_try] = ACTIONS(3292),
    [anon_sym_with] = ACTIONS(3292),
    [anon_sym_break] = ACTIONS(3292),
    [anon_sym_continue] = ACTIONS(3292),
    [anon_sym_debugger] = ACTIONS(3292),
    [anon_sym_return] = ACTIONS(3292),
    [anon_sym_throw] = ACTIONS(3292),
    [anon_sym_SEMI] = ACTIONS(3292),
    [anon_sym_case] = ACTIONS(3292),
    [anon_sym_yield] = ACTIONS(3292),
    [anon_sym_LBRACK] = ACTIONS(3292),
    [anon_sym_LTtemplate_GT] = ACTIONS(3292),
    [anon_sym_class] = ACTIONS(3292),
    [anon_sym_async] = ACTIONS(3292),
    [anon_sym_function] = ACTIONS(3292),
    [anon_sym_new] = ACTIONS(3292),
    [anon_sym_using] = ACTIONS(3292),
    [anon_sym_PLUS] = ACTIONS(3292),
    [anon_sym_DASH] = ACTIONS(3292),
    [anon_sym_SLASH] = ACTIONS(3292),
    [anon_sym_LT] = ACTIONS(3292),
    [anon_sym_TILDE] = ACTIONS(3292),
    [anon_sym_void] = ACTIONS(3292),
    [anon_sym_delete] = ACTIONS(3292),
    [anon_sym_PLUS_PLUS] = ACTIONS(3292),
    [anon_sym_DASH_DASH] = ACTIONS(3292),
    [anon_sym_DQUOTE] = ACTIONS(3292),
    [anon_sym_SQUOTE] = ACTIONS(3292),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3292),
    [sym_number] = ACTIONS(3292),
    [sym_private_property_identifier] = ACTIONS(3292),
    [sym_this] = ACTIONS(3292),
    [sym_super] = ACTIONS(3292),
    [sym_true] = ACTIONS(3292),
    [sym_false] = ACTIONS(3292),
    [sym_null] = ACTIONS(3292),
    [sym_undefined] = ACTIONS(3292),
    [anon_sym_AT] = ACTIONS(3292),
    [anon_sym_static] = ACTIONS(3292),
    [anon_sym_readonly] = ACTIONS(3292),
    [anon_sym_get] = ACTIONS(3292),
    [anon_sym_set] = ACTIONS(3292),
    [anon_sym_declare] = ACTIONS(3292),
    [anon_sym_public] = ACTIONS(3292),
    [anon_sym_private] = ACTIONS(3292),
    [anon_sym_protected] = ACTIONS(3292),
    [anon_sym_override] = ACTIONS(3292),
    [anon_sym_module] = ACTIONS(3292),
    [anon_sym_any] = ACTIONS(3292),
    [anon_sym_number] = ACTIONS(3292),
    [anon_sym_boolean] = ACTIONS(3292),
    [anon_sym_string] = ACTIONS(3292),
    [anon_sym_symbol] = ACTIONS(3292),
    [anon_sym_object] = ACTIONS(3292),
    [anon_sym_abstract] = ACTIONS(3292),
    [anon_sym_interface] = ACTIONS(3292),
    [anon_sym_enum] = ACTIONS(3292),
    [sym_html_comment] = ACTIONS(5),
  },
  [1127] = {
    [sym_comment] = STATE(1127),
    [sym_identifier] = ACTIONS(2147),
    [anon_sym_export] = ACTIONS(2147),
    [anon_sym_default] = ACTIONS(2147),
    [anon_sym_type] = ACTIONS(2147),
    [anon_sym_namespace] = ACTIONS(2147),
    [anon_sym_LBRACE] = ACTIONS(2147),
    [anon_sym_RBRACE] = ACTIONS(2147),
    [anon_sym_typeof] = ACTIONS(2147),
    [anon_sym_import] = ACTIONS(2147),
    [anon_sym_var] = ACTIONS(2147),
    [anon_sym_let] = ACTIONS(2147),
    [anon_sym_const] = ACTIONS(2147),
    [anon_sym_BANG] = ACTIONS(2147),
    [anon_sym_if] = ACTIONS(2147),
    [anon_sym_switch] = ACTIONS(2147),
    [anon_sym_for] = ACTIONS(2147),
    [anon_sym_LPAREN] = ACTIONS(2147),
    [anon_sym_await] = ACTIONS(2147),
    [anon_sym_while] = ACTIONS(2147),
    [anon_sym_do] = ACTIONS(2147),
    [anon_sym_try] = ACTIONS(2147),
    [anon_sym_with] = ACTIONS(2147),
    [anon_sym_break] = ACTIONS(2147),
    [anon_sym_continue] = ACTIONS(2147),
    [anon_sym_debugger] = ACTIONS(2147),
    [anon_sym_return] = ACTIONS(2147),
    [anon_sym_throw] = ACTIONS(2147),
    [anon_sym_SEMI] = ACTIONS(2147),
    [anon_sym_case] = ACTIONS(2147),
    [anon_sym_yield] = ACTIONS(2147),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_LTtemplate_GT] = ACTIONS(2147),
    [anon_sym_class] = ACTIONS(2147),
    [anon_sym_async] = ACTIONS(2147),
    [anon_sym_function] = ACTIONS(2147),
    [anon_sym_new] = ACTIONS(2147),
    [anon_sym_using] = ACTIONS(2147),
    [anon_sym_PLUS] = ACTIONS(2147),
    [anon_sym_DASH] = ACTIONS(2147),
    [anon_sym_SLASH] = ACTIONS(2147),
    [anon_sym_LT] = ACTIONS(2147),
    [anon_sym_TILDE] = ACTIONS(2147),
    [anon_sym_void] = ACTIONS(2147),
    [anon_sym_delete] = ACTIONS(2147),
    [anon_sym_PLUS_PLUS] = ACTIONS(2147),
    [anon_sym_DASH_DASH] = ACTIONS(2147),
    [anon_sym_DQUOTE] = ACTIONS(2147),
    [anon_sym_SQUOTE] = ACTIONS(2147),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2147),
    [sym_number] = ACTIONS(2147),
    [sym_private_property_identifier] = ACTIONS(2147),
    [sym_this] = ACTIONS(2147),
    [sym_super] = ACTIONS(2147),
    [sym_true] = ACTIONS(2147),
    [sym_false] = ACTIONS(2147),
    [sym_null] = ACTIONS(2147),
    [sym_undefined] = ACTIONS(2147),
    [anon_sym_AT] = ACTIONS(2147),
    [anon_sym_static] = ACTIONS(2147),
    [anon_sym_readonly] = ACTIONS(2147),
    [anon_sym_get] = ACTIONS(2147),
    [anon_sym_set] = ACTIONS(2147),
    [anon_sym_declare] = ACTIONS(2147),
    [anon_sym_public] = ACTIONS(2147),
    [anon_sym_private] = ACTIONS(2147),
    [anon_sym_protected] = ACTIONS(2147),
    [anon_sym_override] = ACTIONS(2147),
    [anon_sym_module] = ACTIONS(2147),
    [anon_sym_any] = ACTIONS(2147),
    [anon_sym_number] = ACTIONS(2147),
    [anon_sym_boolean] = ACTIONS(2147),
    [anon_sym_string] = ACTIONS(2147),
    [anon_sym_symbol] = ACTIONS(2147),
    [anon_sym_object] = ACTIONS(2147),
    [anon_sym_abstract] = ACTIONS(2147),
    [anon_sym_interface] = ACTIONS(2147),
    [anon_sym_enum] = ACTIONS(2147),
    [sym__automatic_semicolon] = ACTIONS(2343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1128] = {
    [sym_comment] = STATE(1128),
    [sym_identifier] = ACTIONS(3294),
    [anon_sym_export] = ACTIONS(3294),
    [anon_sym_default] = ACTIONS(3294),
    [anon_sym_type] = ACTIONS(3294),
    [anon_sym_namespace] = ACTIONS(3294),
    [anon_sym_LBRACE] = ACTIONS(3294),
    [anon_sym_RBRACE] = ACTIONS(3294),
    [anon_sym_typeof] = ACTIONS(3294),
    [anon_sym_import] = ACTIONS(3294),
    [anon_sym_var] = ACTIONS(3294),
    [anon_sym_let] = ACTIONS(3294),
    [anon_sym_const] = ACTIONS(3294),
    [anon_sym_BANG] = ACTIONS(3294),
    [anon_sym_else] = ACTIONS(3294),
    [anon_sym_if] = ACTIONS(3294),
    [anon_sym_switch] = ACTIONS(3294),
    [anon_sym_for] = ACTIONS(3294),
    [anon_sym_LPAREN] = ACTIONS(3294),
    [anon_sym_await] = ACTIONS(3294),
    [anon_sym_while] = ACTIONS(3294),
    [anon_sym_do] = ACTIONS(3294),
    [anon_sym_try] = ACTIONS(3294),
    [anon_sym_with] = ACTIONS(3294),
    [anon_sym_break] = ACTIONS(3294),
    [anon_sym_continue] = ACTIONS(3294),
    [anon_sym_debugger] = ACTIONS(3294),
    [anon_sym_return] = ACTIONS(3294),
    [anon_sym_throw] = ACTIONS(3294),
    [anon_sym_SEMI] = ACTIONS(3294),
    [anon_sym_case] = ACTIONS(3294),
    [anon_sym_yield] = ACTIONS(3294),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [anon_sym_LTtemplate_GT] = ACTIONS(3294),
    [anon_sym_class] = ACTIONS(3294),
    [anon_sym_async] = ACTIONS(3294),
    [anon_sym_function] = ACTIONS(3294),
    [anon_sym_new] = ACTIONS(3294),
    [anon_sym_using] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_SLASH] = ACTIONS(3294),
    [anon_sym_LT] = ACTIONS(3294),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_void] = ACTIONS(3294),
    [anon_sym_delete] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_DQUOTE] = ACTIONS(3294),
    [anon_sym_SQUOTE] = ACTIONS(3294),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3294),
    [sym_number] = ACTIONS(3294),
    [sym_private_property_identifier] = ACTIONS(3294),
    [sym_this] = ACTIONS(3294),
    [sym_super] = ACTIONS(3294),
    [sym_true] = ACTIONS(3294),
    [sym_false] = ACTIONS(3294),
    [sym_null] = ACTIONS(3294),
    [sym_undefined] = ACTIONS(3294),
    [anon_sym_AT] = ACTIONS(3294),
    [anon_sym_static] = ACTIONS(3294),
    [anon_sym_readonly] = ACTIONS(3294),
    [anon_sym_get] = ACTIONS(3294),
    [anon_sym_set] = ACTIONS(3294),
    [anon_sym_declare] = ACTIONS(3294),
    [anon_sym_public] = ACTIONS(3294),
    [anon_sym_private] = ACTIONS(3294),
    [anon_sym_protected] = ACTIONS(3294),
    [anon_sym_override] = ACTIONS(3294),
    [anon_sym_module] = ACTIONS(3294),
    [anon_sym_any] = ACTIONS(3294),
    [anon_sym_number] = ACTIONS(3294),
    [anon_sym_boolean] = ACTIONS(3294),
    [anon_sym_string] = ACTIONS(3294),
    [anon_sym_symbol] = ACTIONS(3294),
    [anon_sym_object] = ACTIONS(3294),
    [anon_sym_abstract] = ACTIONS(3294),
    [anon_sym_interface] = ACTIONS(3294),
    [anon_sym_enum] = ACTIONS(3294),
    [sym_html_comment] = ACTIONS(5),
  },
  [1129] = {
    [sym_comment] = STATE(1129),
    [sym_identifier] = ACTIONS(3296),
    [anon_sym_export] = ACTIONS(3296),
    [anon_sym_default] = ACTIONS(3296),
    [anon_sym_type] = ACTIONS(3296),
    [anon_sym_namespace] = ACTIONS(3296),
    [anon_sym_LBRACE] = ACTIONS(3296),
    [anon_sym_RBRACE] = ACTIONS(3296),
    [anon_sym_typeof] = ACTIONS(3296),
    [anon_sym_import] = ACTIONS(3296),
    [anon_sym_var] = ACTIONS(3296),
    [anon_sym_let] = ACTIONS(3296),
    [anon_sym_const] = ACTIONS(3296),
    [anon_sym_BANG] = ACTIONS(3296),
    [anon_sym_else] = ACTIONS(3296),
    [anon_sym_if] = ACTIONS(3296),
    [anon_sym_switch] = ACTIONS(3296),
    [anon_sym_for] = ACTIONS(3296),
    [anon_sym_LPAREN] = ACTIONS(3296),
    [anon_sym_await] = ACTIONS(3296),
    [anon_sym_while] = ACTIONS(3296),
    [anon_sym_do] = ACTIONS(3296),
    [anon_sym_try] = ACTIONS(3296),
    [anon_sym_with] = ACTIONS(3296),
    [anon_sym_break] = ACTIONS(3296),
    [anon_sym_continue] = ACTIONS(3296),
    [anon_sym_debugger] = ACTIONS(3296),
    [anon_sym_return] = ACTIONS(3296),
    [anon_sym_throw] = ACTIONS(3296),
    [anon_sym_SEMI] = ACTIONS(3296),
    [anon_sym_case] = ACTIONS(3296),
    [anon_sym_yield] = ACTIONS(3296),
    [anon_sym_LBRACK] = ACTIONS(3296),
    [anon_sym_LTtemplate_GT] = ACTIONS(3296),
    [anon_sym_class] = ACTIONS(3296),
    [anon_sym_async] = ACTIONS(3296),
    [anon_sym_function] = ACTIONS(3296),
    [anon_sym_new] = ACTIONS(3296),
    [anon_sym_using] = ACTIONS(3296),
    [anon_sym_PLUS] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3296),
    [anon_sym_SLASH] = ACTIONS(3296),
    [anon_sym_LT] = ACTIONS(3296),
    [anon_sym_TILDE] = ACTIONS(3296),
    [anon_sym_void] = ACTIONS(3296),
    [anon_sym_delete] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_DQUOTE] = ACTIONS(3296),
    [anon_sym_SQUOTE] = ACTIONS(3296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3296),
    [sym_number] = ACTIONS(3296),
    [sym_private_property_identifier] = ACTIONS(3296),
    [sym_this] = ACTIONS(3296),
    [sym_super] = ACTIONS(3296),
    [sym_true] = ACTIONS(3296),
    [sym_false] = ACTIONS(3296),
    [sym_null] = ACTIONS(3296),
    [sym_undefined] = ACTIONS(3296),
    [anon_sym_AT] = ACTIONS(3296),
    [anon_sym_static] = ACTIONS(3296),
    [anon_sym_readonly] = ACTIONS(3296),
    [anon_sym_get] = ACTIONS(3296),
    [anon_sym_set] = ACTIONS(3296),
    [anon_sym_declare] = ACTIONS(3296),
    [anon_sym_public] = ACTIONS(3296),
    [anon_sym_private] = ACTIONS(3296),
    [anon_sym_protected] = ACTIONS(3296),
    [anon_sym_override] = ACTIONS(3296),
    [anon_sym_module] = ACTIONS(3296),
    [anon_sym_any] = ACTIONS(3296),
    [anon_sym_number] = ACTIONS(3296),
    [anon_sym_boolean] = ACTIONS(3296),
    [anon_sym_string] = ACTIONS(3296),
    [anon_sym_symbol] = ACTIONS(3296),
    [anon_sym_object] = ACTIONS(3296),
    [anon_sym_abstract] = ACTIONS(3296),
    [anon_sym_interface] = ACTIONS(3296),
    [anon_sym_enum] = ACTIONS(3296),
    [sym_html_comment] = ACTIONS(5),
  },
  [1130] = {
    [sym_comment] = STATE(1130),
    [sym_identifier] = ACTIONS(3298),
    [anon_sym_export] = ACTIONS(3298),
    [anon_sym_default] = ACTIONS(3298),
    [anon_sym_type] = ACTIONS(3298),
    [anon_sym_namespace] = ACTIONS(3298),
    [anon_sym_LBRACE] = ACTIONS(3298),
    [anon_sym_RBRACE] = ACTIONS(3298),
    [anon_sym_typeof] = ACTIONS(3298),
    [anon_sym_import] = ACTIONS(3298),
    [anon_sym_var] = ACTIONS(3298),
    [anon_sym_let] = ACTIONS(3298),
    [anon_sym_const] = ACTIONS(3298),
    [anon_sym_BANG] = ACTIONS(3298),
    [anon_sym_else] = ACTIONS(3298),
    [anon_sym_if] = ACTIONS(3298),
    [anon_sym_switch] = ACTIONS(3298),
    [anon_sym_for] = ACTIONS(3298),
    [anon_sym_LPAREN] = ACTIONS(3298),
    [anon_sym_await] = ACTIONS(3298),
    [anon_sym_while] = ACTIONS(3298),
    [anon_sym_do] = ACTIONS(3298),
    [anon_sym_try] = ACTIONS(3298),
    [anon_sym_with] = ACTIONS(3298),
    [anon_sym_break] = ACTIONS(3298),
    [anon_sym_continue] = ACTIONS(3298),
    [anon_sym_debugger] = ACTIONS(3298),
    [anon_sym_return] = ACTIONS(3298),
    [anon_sym_throw] = ACTIONS(3298),
    [anon_sym_SEMI] = ACTIONS(3298),
    [anon_sym_case] = ACTIONS(3298),
    [anon_sym_yield] = ACTIONS(3298),
    [anon_sym_LBRACK] = ACTIONS(3298),
    [anon_sym_LTtemplate_GT] = ACTIONS(3298),
    [anon_sym_class] = ACTIONS(3298),
    [anon_sym_async] = ACTIONS(3298),
    [anon_sym_function] = ACTIONS(3298),
    [anon_sym_new] = ACTIONS(3298),
    [anon_sym_using] = ACTIONS(3298),
    [anon_sym_PLUS] = ACTIONS(3298),
    [anon_sym_DASH] = ACTIONS(3298),
    [anon_sym_SLASH] = ACTIONS(3298),
    [anon_sym_LT] = ACTIONS(3298),
    [anon_sym_TILDE] = ACTIONS(3298),
    [anon_sym_void] = ACTIONS(3298),
    [anon_sym_delete] = ACTIONS(3298),
    [anon_sym_PLUS_PLUS] = ACTIONS(3298),
    [anon_sym_DASH_DASH] = ACTIONS(3298),
    [anon_sym_DQUOTE] = ACTIONS(3298),
    [anon_sym_SQUOTE] = ACTIONS(3298),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3298),
    [sym_number] = ACTIONS(3298),
    [sym_private_property_identifier] = ACTIONS(3298),
    [sym_this] = ACTIONS(3298),
    [sym_super] = ACTIONS(3298),
    [sym_true] = ACTIONS(3298),
    [sym_false] = ACTIONS(3298),
    [sym_null] = ACTIONS(3298),
    [sym_undefined] = ACTIONS(3298),
    [anon_sym_AT] = ACTIONS(3298),
    [anon_sym_static] = ACTIONS(3298),
    [anon_sym_readonly] = ACTIONS(3298),
    [anon_sym_get] = ACTIONS(3298),
    [anon_sym_set] = ACTIONS(3298),
    [anon_sym_declare] = ACTIONS(3298),
    [anon_sym_public] = ACTIONS(3298),
    [anon_sym_private] = ACTIONS(3298),
    [anon_sym_protected] = ACTIONS(3298),
    [anon_sym_override] = ACTIONS(3298),
    [anon_sym_module] = ACTIONS(3298),
    [anon_sym_any] = ACTIONS(3298),
    [anon_sym_number] = ACTIONS(3298),
    [anon_sym_boolean] = ACTIONS(3298),
    [anon_sym_string] = ACTIONS(3298),
    [anon_sym_symbol] = ACTIONS(3298),
    [anon_sym_object] = ACTIONS(3298),
    [anon_sym_abstract] = ACTIONS(3298),
    [anon_sym_interface] = ACTIONS(3298),
    [anon_sym_enum] = ACTIONS(3298),
    [sym_html_comment] = ACTIONS(5),
  },
  [1131] = {
    [sym_comment] = STATE(1131),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_export] = ACTIONS(3300),
    [anon_sym_default] = ACTIONS(3300),
    [anon_sym_type] = ACTIONS(3300),
    [anon_sym_namespace] = ACTIONS(3300),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_RBRACE] = ACTIONS(3300),
    [anon_sym_typeof] = ACTIONS(3300),
    [anon_sym_import] = ACTIONS(3300),
    [anon_sym_var] = ACTIONS(3300),
    [anon_sym_let] = ACTIONS(3300),
    [anon_sym_const] = ACTIONS(3300),
    [anon_sym_BANG] = ACTIONS(3300),
    [anon_sym_else] = ACTIONS(3300),
    [anon_sym_if] = ACTIONS(3300),
    [anon_sym_switch] = ACTIONS(3300),
    [anon_sym_for] = ACTIONS(3300),
    [anon_sym_LPAREN] = ACTIONS(3300),
    [anon_sym_await] = ACTIONS(3300),
    [anon_sym_while] = ACTIONS(3300),
    [anon_sym_do] = ACTIONS(3300),
    [anon_sym_try] = ACTIONS(3300),
    [anon_sym_with] = ACTIONS(3300),
    [anon_sym_break] = ACTIONS(3300),
    [anon_sym_continue] = ACTIONS(3300),
    [anon_sym_debugger] = ACTIONS(3300),
    [anon_sym_return] = ACTIONS(3300),
    [anon_sym_throw] = ACTIONS(3300),
    [anon_sym_SEMI] = ACTIONS(3300),
    [anon_sym_case] = ACTIONS(3300),
    [anon_sym_yield] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(3300),
    [anon_sym_LTtemplate_GT] = ACTIONS(3300),
    [anon_sym_class] = ACTIONS(3300),
    [anon_sym_async] = ACTIONS(3300),
    [anon_sym_function] = ACTIONS(3300),
    [anon_sym_new] = ACTIONS(3300),
    [anon_sym_using] = ACTIONS(3300),
    [anon_sym_PLUS] = ACTIONS(3300),
    [anon_sym_DASH] = ACTIONS(3300),
    [anon_sym_SLASH] = ACTIONS(3300),
    [anon_sym_LT] = ACTIONS(3300),
    [anon_sym_TILDE] = ACTIONS(3300),
    [anon_sym_void] = ACTIONS(3300),
    [anon_sym_delete] = ACTIONS(3300),
    [anon_sym_PLUS_PLUS] = ACTIONS(3300),
    [anon_sym_DASH_DASH] = ACTIONS(3300),
    [anon_sym_DQUOTE] = ACTIONS(3300),
    [anon_sym_SQUOTE] = ACTIONS(3300),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3300),
    [sym_number] = ACTIONS(3300),
    [sym_private_property_identifier] = ACTIONS(3300),
    [sym_this] = ACTIONS(3300),
    [sym_super] = ACTIONS(3300),
    [sym_true] = ACTIONS(3300),
    [sym_false] = ACTIONS(3300),
    [sym_null] = ACTIONS(3300),
    [sym_undefined] = ACTIONS(3300),
    [anon_sym_AT] = ACTIONS(3300),
    [anon_sym_static] = ACTIONS(3300),
    [anon_sym_readonly] = ACTIONS(3300),
    [anon_sym_get] = ACTIONS(3300),
    [anon_sym_set] = ACTIONS(3300),
    [anon_sym_declare] = ACTIONS(3300),
    [anon_sym_public] = ACTIONS(3300),
    [anon_sym_private] = ACTIONS(3300),
    [anon_sym_protected] = ACTIONS(3300),
    [anon_sym_override] = ACTIONS(3300),
    [anon_sym_module] = ACTIONS(3300),
    [anon_sym_any] = ACTIONS(3300),
    [anon_sym_number] = ACTIONS(3300),
    [anon_sym_boolean] = ACTIONS(3300),
    [anon_sym_string] = ACTIONS(3300),
    [anon_sym_symbol] = ACTIONS(3300),
    [anon_sym_object] = ACTIONS(3300),
    [anon_sym_abstract] = ACTIONS(3300),
    [anon_sym_interface] = ACTIONS(3300),
    [anon_sym_enum] = ACTIONS(3300),
    [sym_html_comment] = ACTIONS(5),
  },
  [1132] = {
    [sym_comment] = STATE(1132),
    [sym_identifier] = ACTIONS(3302),
    [anon_sym_export] = ACTIONS(3302),
    [anon_sym_default] = ACTIONS(3302),
    [anon_sym_type] = ACTIONS(3302),
    [anon_sym_namespace] = ACTIONS(3302),
    [anon_sym_LBRACE] = ACTIONS(3302),
    [anon_sym_RBRACE] = ACTIONS(3302),
    [anon_sym_typeof] = ACTIONS(3302),
    [anon_sym_import] = ACTIONS(3302),
    [anon_sym_var] = ACTIONS(3302),
    [anon_sym_let] = ACTIONS(3302),
    [anon_sym_const] = ACTIONS(3302),
    [anon_sym_BANG] = ACTIONS(3302),
    [anon_sym_else] = ACTIONS(3302),
    [anon_sym_if] = ACTIONS(3302),
    [anon_sym_switch] = ACTIONS(3302),
    [anon_sym_for] = ACTIONS(3302),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_await] = ACTIONS(3302),
    [anon_sym_while] = ACTIONS(3302),
    [anon_sym_do] = ACTIONS(3302),
    [anon_sym_try] = ACTIONS(3302),
    [anon_sym_with] = ACTIONS(3302),
    [anon_sym_break] = ACTIONS(3302),
    [anon_sym_continue] = ACTIONS(3302),
    [anon_sym_debugger] = ACTIONS(3302),
    [anon_sym_return] = ACTIONS(3302),
    [anon_sym_throw] = ACTIONS(3302),
    [anon_sym_SEMI] = ACTIONS(3302),
    [anon_sym_case] = ACTIONS(3302),
    [anon_sym_yield] = ACTIONS(3302),
    [anon_sym_LBRACK] = ACTIONS(3302),
    [anon_sym_LTtemplate_GT] = ACTIONS(3302),
    [anon_sym_class] = ACTIONS(3302),
    [anon_sym_async] = ACTIONS(3302),
    [anon_sym_function] = ACTIONS(3302),
    [anon_sym_new] = ACTIONS(3302),
    [anon_sym_using] = ACTIONS(3302),
    [anon_sym_PLUS] = ACTIONS(3302),
    [anon_sym_DASH] = ACTIONS(3302),
    [anon_sym_SLASH] = ACTIONS(3302),
    [anon_sym_LT] = ACTIONS(3302),
    [anon_sym_TILDE] = ACTIONS(3302),
    [anon_sym_void] = ACTIONS(3302),
    [anon_sym_delete] = ACTIONS(3302),
    [anon_sym_PLUS_PLUS] = ACTIONS(3302),
    [anon_sym_DASH_DASH] = ACTIONS(3302),
    [anon_sym_DQUOTE] = ACTIONS(3302),
    [anon_sym_SQUOTE] = ACTIONS(3302),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3302),
    [sym_number] = ACTIONS(3302),
    [sym_private_property_identifier] = ACTIONS(3302),
    [sym_this] = ACTIONS(3302),
    [sym_super] = ACTIONS(3302),
    [sym_true] = ACTIONS(3302),
    [sym_false] = ACTIONS(3302),
    [sym_null] = ACTIONS(3302),
    [sym_undefined] = ACTIONS(3302),
    [anon_sym_AT] = ACTIONS(3302),
    [anon_sym_static] = ACTIONS(3302),
    [anon_sym_readonly] = ACTIONS(3302),
    [anon_sym_get] = ACTIONS(3302),
    [anon_sym_set] = ACTIONS(3302),
    [anon_sym_declare] = ACTIONS(3302),
    [anon_sym_public] = ACTIONS(3302),
    [anon_sym_private] = ACTIONS(3302),
    [anon_sym_protected] = ACTIONS(3302),
    [anon_sym_override] = ACTIONS(3302),
    [anon_sym_module] = ACTIONS(3302),
    [anon_sym_any] = ACTIONS(3302),
    [anon_sym_number] = ACTIONS(3302),
    [anon_sym_boolean] = ACTIONS(3302),
    [anon_sym_string] = ACTIONS(3302),
    [anon_sym_symbol] = ACTIONS(3302),
    [anon_sym_object] = ACTIONS(3302),
    [anon_sym_abstract] = ACTIONS(3302),
    [anon_sym_interface] = ACTIONS(3302),
    [anon_sym_enum] = ACTIONS(3302),
    [sym_html_comment] = ACTIONS(5),
  },
  [1133] = {
    [sym_comment] = STATE(1133),
    [sym_identifier] = ACTIONS(3304),
    [anon_sym_export] = ACTIONS(3304),
    [anon_sym_default] = ACTIONS(3304),
    [anon_sym_type] = ACTIONS(3304),
    [anon_sym_namespace] = ACTIONS(3304),
    [anon_sym_LBRACE] = ACTIONS(3304),
    [anon_sym_RBRACE] = ACTIONS(3304),
    [anon_sym_typeof] = ACTIONS(3304),
    [anon_sym_import] = ACTIONS(3304),
    [anon_sym_var] = ACTIONS(3304),
    [anon_sym_let] = ACTIONS(3304),
    [anon_sym_const] = ACTIONS(3304),
    [anon_sym_BANG] = ACTIONS(3304),
    [anon_sym_else] = ACTIONS(3304),
    [anon_sym_if] = ACTIONS(3304),
    [anon_sym_switch] = ACTIONS(3304),
    [anon_sym_for] = ACTIONS(3304),
    [anon_sym_LPAREN] = ACTIONS(3304),
    [anon_sym_await] = ACTIONS(3304),
    [anon_sym_while] = ACTIONS(3304),
    [anon_sym_do] = ACTIONS(3304),
    [anon_sym_try] = ACTIONS(3304),
    [anon_sym_with] = ACTIONS(3304),
    [anon_sym_break] = ACTIONS(3304),
    [anon_sym_continue] = ACTIONS(3304),
    [anon_sym_debugger] = ACTIONS(3304),
    [anon_sym_return] = ACTIONS(3304),
    [anon_sym_throw] = ACTIONS(3304),
    [anon_sym_SEMI] = ACTIONS(3304),
    [anon_sym_case] = ACTIONS(3304),
    [anon_sym_yield] = ACTIONS(3304),
    [anon_sym_LBRACK] = ACTIONS(3304),
    [anon_sym_LTtemplate_GT] = ACTIONS(3304),
    [anon_sym_class] = ACTIONS(3304),
    [anon_sym_async] = ACTIONS(3304),
    [anon_sym_function] = ACTIONS(3304),
    [anon_sym_new] = ACTIONS(3304),
    [anon_sym_using] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3304),
    [anon_sym_DASH] = ACTIONS(3304),
    [anon_sym_SLASH] = ACTIONS(3304),
    [anon_sym_LT] = ACTIONS(3304),
    [anon_sym_TILDE] = ACTIONS(3304),
    [anon_sym_void] = ACTIONS(3304),
    [anon_sym_delete] = ACTIONS(3304),
    [anon_sym_PLUS_PLUS] = ACTIONS(3304),
    [anon_sym_DASH_DASH] = ACTIONS(3304),
    [anon_sym_DQUOTE] = ACTIONS(3304),
    [anon_sym_SQUOTE] = ACTIONS(3304),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3304),
    [sym_number] = ACTIONS(3304),
    [sym_private_property_identifier] = ACTIONS(3304),
    [sym_this] = ACTIONS(3304),
    [sym_super] = ACTIONS(3304),
    [sym_true] = ACTIONS(3304),
    [sym_false] = ACTIONS(3304),
    [sym_null] = ACTIONS(3304),
    [sym_undefined] = ACTIONS(3304),
    [anon_sym_AT] = ACTIONS(3304),
    [anon_sym_static] = ACTIONS(3304),
    [anon_sym_readonly] = ACTIONS(3304),
    [anon_sym_get] = ACTIONS(3304),
    [anon_sym_set] = ACTIONS(3304),
    [anon_sym_declare] = ACTIONS(3304),
    [anon_sym_public] = ACTIONS(3304),
    [anon_sym_private] = ACTIONS(3304),
    [anon_sym_protected] = ACTIONS(3304),
    [anon_sym_override] = ACTIONS(3304),
    [anon_sym_module] = ACTIONS(3304),
    [anon_sym_any] = ACTIONS(3304),
    [anon_sym_number] = ACTIONS(3304),
    [anon_sym_boolean] = ACTIONS(3304),
    [anon_sym_string] = ACTIONS(3304),
    [anon_sym_symbol] = ACTIONS(3304),
    [anon_sym_object] = ACTIONS(3304),
    [anon_sym_abstract] = ACTIONS(3304),
    [anon_sym_interface] = ACTIONS(3304),
    [anon_sym_enum] = ACTIONS(3304),
    [sym_html_comment] = ACTIONS(5),
  },
  [1134] = {
    [sym_comment] = STATE(1134),
    [sym_identifier] = ACTIONS(3306),
    [anon_sym_export] = ACTIONS(3306),
    [anon_sym_default] = ACTIONS(3306),
    [anon_sym_type] = ACTIONS(3306),
    [anon_sym_namespace] = ACTIONS(3306),
    [anon_sym_LBRACE] = ACTIONS(3306),
    [anon_sym_RBRACE] = ACTIONS(3306),
    [anon_sym_typeof] = ACTIONS(3306),
    [anon_sym_import] = ACTIONS(3306),
    [anon_sym_var] = ACTIONS(3306),
    [anon_sym_let] = ACTIONS(3306),
    [anon_sym_const] = ACTIONS(3306),
    [anon_sym_BANG] = ACTIONS(3306),
    [anon_sym_else] = ACTIONS(3306),
    [anon_sym_if] = ACTIONS(3306),
    [anon_sym_switch] = ACTIONS(3306),
    [anon_sym_for] = ACTIONS(3306),
    [anon_sym_LPAREN] = ACTIONS(3306),
    [anon_sym_await] = ACTIONS(3306),
    [anon_sym_while] = ACTIONS(3306),
    [anon_sym_do] = ACTIONS(3306),
    [anon_sym_try] = ACTIONS(3306),
    [anon_sym_with] = ACTIONS(3306),
    [anon_sym_break] = ACTIONS(3306),
    [anon_sym_continue] = ACTIONS(3306),
    [anon_sym_debugger] = ACTIONS(3306),
    [anon_sym_return] = ACTIONS(3306),
    [anon_sym_throw] = ACTIONS(3306),
    [anon_sym_SEMI] = ACTIONS(3306),
    [anon_sym_case] = ACTIONS(3306),
    [anon_sym_yield] = ACTIONS(3306),
    [anon_sym_LBRACK] = ACTIONS(3306),
    [anon_sym_LTtemplate_GT] = ACTIONS(3306),
    [anon_sym_class] = ACTIONS(3306),
    [anon_sym_async] = ACTIONS(3306),
    [anon_sym_function] = ACTIONS(3306),
    [anon_sym_new] = ACTIONS(3306),
    [anon_sym_using] = ACTIONS(3306),
    [anon_sym_PLUS] = ACTIONS(3306),
    [anon_sym_DASH] = ACTIONS(3306),
    [anon_sym_SLASH] = ACTIONS(3306),
    [anon_sym_LT] = ACTIONS(3306),
    [anon_sym_TILDE] = ACTIONS(3306),
    [anon_sym_void] = ACTIONS(3306),
    [anon_sym_delete] = ACTIONS(3306),
    [anon_sym_PLUS_PLUS] = ACTIONS(3306),
    [anon_sym_DASH_DASH] = ACTIONS(3306),
    [anon_sym_DQUOTE] = ACTIONS(3306),
    [anon_sym_SQUOTE] = ACTIONS(3306),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3306),
    [sym_number] = ACTIONS(3306),
    [sym_private_property_identifier] = ACTIONS(3306),
    [sym_this] = ACTIONS(3306),
    [sym_super] = ACTIONS(3306),
    [sym_true] = ACTIONS(3306),
    [sym_false] = ACTIONS(3306),
    [sym_null] = ACTIONS(3306),
    [sym_undefined] = ACTIONS(3306),
    [anon_sym_AT] = ACTIONS(3306),
    [anon_sym_static] = ACTIONS(3306),
    [anon_sym_readonly] = ACTIONS(3306),
    [anon_sym_get] = ACTIONS(3306),
    [anon_sym_set] = ACTIONS(3306),
    [anon_sym_declare] = ACTIONS(3306),
    [anon_sym_public] = ACTIONS(3306),
    [anon_sym_private] = ACTIONS(3306),
    [anon_sym_protected] = ACTIONS(3306),
    [anon_sym_override] = ACTIONS(3306),
    [anon_sym_module] = ACTIONS(3306),
    [anon_sym_any] = ACTIONS(3306),
    [anon_sym_number] = ACTIONS(3306),
    [anon_sym_boolean] = ACTIONS(3306),
    [anon_sym_string] = ACTIONS(3306),
    [anon_sym_symbol] = ACTIONS(3306),
    [anon_sym_object] = ACTIONS(3306),
    [anon_sym_abstract] = ACTIONS(3306),
    [anon_sym_interface] = ACTIONS(3306),
    [anon_sym_enum] = ACTIONS(3306),
    [sym_html_comment] = ACTIONS(5),
  },
  [1135] = {
    [sym_comment] = STATE(1135),
    [sym_identifier] = ACTIONS(3308),
    [anon_sym_export] = ACTIONS(3308),
    [anon_sym_default] = ACTIONS(3308),
    [anon_sym_type] = ACTIONS(3308),
    [anon_sym_namespace] = ACTIONS(3308),
    [anon_sym_LBRACE] = ACTIONS(3308),
    [anon_sym_RBRACE] = ACTIONS(3308),
    [anon_sym_typeof] = ACTIONS(3308),
    [anon_sym_import] = ACTIONS(3308),
    [anon_sym_var] = ACTIONS(3308),
    [anon_sym_let] = ACTIONS(3308),
    [anon_sym_const] = ACTIONS(3308),
    [anon_sym_BANG] = ACTIONS(3308),
    [anon_sym_else] = ACTIONS(3308),
    [anon_sym_if] = ACTIONS(3308),
    [anon_sym_switch] = ACTIONS(3308),
    [anon_sym_for] = ACTIONS(3308),
    [anon_sym_LPAREN] = ACTIONS(3308),
    [anon_sym_await] = ACTIONS(3308),
    [anon_sym_while] = ACTIONS(3308),
    [anon_sym_do] = ACTIONS(3308),
    [anon_sym_try] = ACTIONS(3308),
    [anon_sym_with] = ACTIONS(3308),
    [anon_sym_break] = ACTIONS(3308),
    [anon_sym_continue] = ACTIONS(3308),
    [anon_sym_debugger] = ACTIONS(3308),
    [anon_sym_return] = ACTIONS(3308),
    [anon_sym_throw] = ACTIONS(3308),
    [anon_sym_SEMI] = ACTIONS(3308),
    [anon_sym_case] = ACTIONS(3308),
    [anon_sym_yield] = ACTIONS(3308),
    [anon_sym_LBRACK] = ACTIONS(3308),
    [anon_sym_LTtemplate_GT] = ACTIONS(3308),
    [anon_sym_class] = ACTIONS(3308),
    [anon_sym_async] = ACTIONS(3308),
    [anon_sym_function] = ACTIONS(3308),
    [anon_sym_new] = ACTIONS(3308),
    [anon_sym_using] = ACTIONS(3308),
    [anon_sym_PLUS] = ACTIONS(3308),
    [anon_sym_DASH] = ACTIONS(3308),
    [anon_sym_SLASH] = ACTIONS(3308),
    [anon_sym_LT] = ACTIONS(3308),
    [anon_sym_TILDE] = ACTIONS(3308),
    [anon_sym_void] = ACTIONS(3308),
    [anon_sym_delete] = ACTIONS(3308),
    [anon_sym_PLUS_PLUS] = ACTIONS(3308),
    [anon_sym_DASH_DASH] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [anon_sym_SQUOTE] = ACTIONS(3308),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3308),
    [sym_number] = ACTIONS(3308),
    [sym_private_property_identifier] = ACTIONS(3308),
    [sym_this] = ACTIONS(3308),
    [sym_super] = ACTIONS(3308),
    [sym_true] = ACTIONS(3308),
    [sym_false] = ACTIONS(3308),
    [sym_null] = ACTIONS(3308),
    [sym_undefined] = ACTIONS(3308),
    [anon_sym_AT] = ACTIONS(3308),
    [anon_sym_static] = ACTIONS(3308),
    [anon_sym_readonly] = ACTIONS(3308),
    [anon_sym_get] = ACTIONS(3308),
    [anon_sym_set] = ACTIONS(3308),
    [anon_sym_declare] = ACTIONS(3308),
    [anon_sym_public] = ACTIONS(3308),
    [anon_sym_private] = ACTIONS(3308),
    [anon_sym_protected] = ACTIONS(3308),
    [anon_sym_override] = ACTIONS(3308),
    [anon_sym_module] = ACTIONS(3308),
    [anon_sym_any] = ACTIONS(3308),
    [anon_sym_number] = ACTIONS(3308),
    [anon_sym_boolean] = ACTIONS(3308),
    [anon_sym_string] = ACTIONS(3308),
    [anon_sym_symbol] = ACTIONS(3308),
    [anon_sym_object] = ACTIONS(3308),
    [anon_sym_abstract] = ACTIONS(3308),
    [anon_sym_interface] = ACTIONS(3308),
    [anon_sym_enum] = ACTIONS(3308),
    [sym_html_comment] = ACTIONS(5),
  },
  [1136] = {
    [sym_comment] = STATE(1136),
    [sym_identifier] = ACTIONS(3310),
    [anon_sym_export] = ACTIONS(3310),
    [anon_sym_default] = ACTIONS(3310),
    [anon_sym_type] = ACTIONS(3310),
    [anon_sym_namespace] = ACTIONS(3310),
    [anon_sym_LBRACE] = ACTIONS(3310),
    [anon_sym_RBRACE] = ACTIONS(3310),
    [anon_sym_typeof] = ACTIONS(3310),
    [anon_sym_import] = ACTIONS(3310),
    [anon_sym_var] = ACTIONS(3310),
    [anon_sym_let] = ACTIONS(3310),
    [anon_sym_const] = ACTIONS(3310),
    [anon_sym_BANG] = ACTIONS(3310),
    [anon_sym_else] = ACTIONS(3310),
    [anon_sym_if] = ACTIONS(3310),
    [anon_sym_switch] = ACTIONS(3310),
    [anon_sym_for] = ACTIONS(3310),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_await] = ACTIONS(3310),
    [anon_sym_while] = ACTIONS(3310),
    [anon_sym_do] = ACTIONS(3310),
    [anon_sym_try] = ACTIONS(3310),
    [anon_sym_with] = ACTIONS(3310),
    [anon_sym_break] = ACTIONS(3310),
    [anon_sym_continue] = ACTIONS(3310),
    [anon_sym_debugger] = ACTIONS(3310),
    [anon_sym_return] = ACTIONS(3310),
    [anon_sym_throw] = ACTIONS(3310),
    [anon_sym_SEMI] = ACTIONS(3310),
    [anon_sym_case] = ACTIONS(3310),
    [anon_sym_yield] = ACTIONS(3310),
    [anon_sym_LBRACK] = ACTIONS(3310),
    [anon_sym_LTtemplate_GT] = ACTIONS(3310),
    [anon_sym_class] = ACTIONS(3310),
    [anon_sym_async] = ACTIONS(3310),
    [anon_sym_function] = ACTIONS(3310),
    [anon_sym_new] = ACTIONS(3310),
    [anon_sym_using] = ACTIONS(3310),
    [anon_sym_PLUS] = ACTIONS(3310),
    [anon_sym_DASH] = ACTIONS(3310),
    [anon_sym_SLASH] = ACTIONS(3310),
    [anon_sym_LT] = ACTIONS(3310),
    [anon_sym_TILDE] = ACTIONS(3310),
    [anon_sym_void] = ACTIONS(3310),
    [anon_sym_delete] = ACTIONS(3310),
    [anon_sym_PLUS_PLUS] = ACTIONS(3310),
    [anon_sym_DASH_DASH] = ACTIONS(3310),
    [anon_sym_DQUOTE] = ACTIONS(3310),
    [anon_sym_SQUOTE] = ACTIONS(3310),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3310),
    [sym_number] = ACTIONS(3310),
    [sym_private_property_identifier] = ACTIONS(3310),
    [sym_this] = ACTIONS(3310),
    [sym_super] = ACTIONS(3310),
    [sym_true] = ACTIONS(3310),
    [sym_false] = ACTIONS(3310),
    [sym_null] = ACTIONS(3310),
    [sym_undefined] = ACTIONS(3310),
    [anon_sym_AT] = ACTIONS(3310),
    [anon_sym_static] = ACTIONS(3310),
    [anon_sym_readonly] = ACTIONS(3310),
    [anon_sym_get] = ACTIONS(3310),
    [anon_sym_set] = ACTIONS(3310),
    [anon_sym_declare] = ACTIONS(3310),
    [anon_sym_public] = ACTIONS(3310),
    [anon_sym_private] = ACTIONS(3310),
    [anon_sym_protected] = ACTIONS(3310),
    [anon_sym_override] = ACTIONS(3310),
    [anon_sym_module] = ACTIONS(3310),
    [anon_sym_any] = ACTIONS(3310),
    [anon_sym_number] = ACTIONS(3310),
    [anon_sym_boolean] = ACTIONS(3310),
    [anon_sym_string] = ACTIONS(3310),
    [anon_sym_symbol] = ACTIONS(3310),
    [anon_sym_object] = ACTIONS(3310),
    [anon_sym_abstract] = ACTIONS(3310),
    [anon_sym_interface] = ACTIONS(3310),
    [anon_sym_enum] = ACTIONS(3310),
    [sym_html_comment] = ACTIONS(5),
  },
  [1137] = {
    [sym_comment] = STATE(1137),
    [sym_identifier] = ACTIONS(3312),
    [anon_sym_export] = ACTIONS(3312),
    [anon_sym_default] = ACTIONS(3312),
    [anon_sym_type] = ACTIONS(3312),
    [anon_sym_namespace] = ACTIONS(3312),
    [anon_sym_LBRACE] = ACTIONS(3312),
    [anon_sym_RBRACE] = ACTIONS(3312),
    [anon_sym_typeof] = ACTIONS(3312),
    [anon_sym_import] = ACTIONS(3312),
    [anon_sym_var] = ACTIONS(3312),
    [anon_sym_let] = ACTIONS(3312),
    [anon_sym_const] = ACTIONS(3312),
    [anon_sym_BANG] = ACTIONS(3312),
    [anon_sym_else] = ACTIONS(3312),
    [anon_sym_if] = ACTIONS(3312),
    [anon_sym_switch] = ACTIONS(3312),
    [anon_sym_for] = ACTIONS(3312),
    [anon_sym_LPAREN] = ACTIONS(3312),
    [anon_sym_await] = ACTIONS(3312),
    [anon_sym_while] = ACTIONS(3312),
    [anon_sym_do] = ACTIONS(3312),
    [anon_sym_try] = ACTIONS(3312),
    [anon_sym_with] = ACTIONS(3312),
    [anon_sym_break] = ACTIONS(3312),
    [anon_sym_continue] = ACTIONS(3312),
    [anon_sym_debugger] = ACTIONS(3312),
    [anon_sym_return] = ACTIONS(3312),
    [anon_sym_throw] = ACTIONS(3312),
    [anon_sym_SEMI] = ACTIONS(3312),
    [anon_sym_case] = ACTIONS(3312),
    [anon_sym_yield] = ACTIONS(3312),
    [anon_sym_LBRACK] = ACTIONS(3312),
    [anon_sym_LTtemplate_GT] = ACTIONS(3312),
    [anon_sym_class] = ACTIONS(3312),
    [anon_sym_async] = ACTIONS(3312),
    [anon_sym_function] = ACTIONS(3312),
    [anon_sym_new] = ACTIONS(3312),
    [anon_sym_using] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_SLASH] = ACTIONS(3312),
    [anon_sym_LT] = ACTIONS(3312),
    [anon_sym_TILDE] = ACTIONS(3312),
    [anon_sym_void] = ACTIONS(3312),
    [anon_sym_delete] = ACTIONS(3312),
    [anon_sym_PLUS_PLUS] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(3312),
    [anon_sym_DQUOTE] = ACTIONS(3312),
    [anon_sym_SQUOTE] = ACTIONS(3312),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3312),
    [sym_number] = ACTIONS(3312),
    [sym_private_property_identifier] = ACTIONS(3312),
    [sym_this] = ACTIONS(3312),
    [sym_super] = ACTIONS(3312),
    [sym_true] = ACTIONS(3312),
    [sym_false] = ACTIONS(3312),
    [sym_null] = ACTIONS(3312),
    [sym_undefined] = ACTIONS(3312),
    [anon_sym_AT] = ACTIONS(3312),
    [anon_sym_static] = ACTIONS(3312),
    [anon_sym_readonly] = ACTIONS(3312),
    [anon_sym_get] = ACTIONS(3312),
    [anon_sym_set] = ACTIONS(3312),
    [anon_sym_declare] = ACTIONS(3312),
    [anon_sym_public] = ACTIONS(3312),
    [anon_sym_private] = ACTIONS(3312),
    [anon_sym_protected] = ACTIONS(3312),
    [anon_sym_override] = ACTIONS(3312),
    [anon_sym_module] = ACTIONS(3312),
    [anon_sym_any] = ACTIONS(3312),
    [anon_sym_number] = ACTIONS(3312),
    [anon_sym_boolean] = ACTIONS(3312),
    [anon_sym_string] = ACTIONS(3312),
    [anon_sym_symbol] = ACTIONS(3312),
    [anon_sym_object] = ACTIONS(3312),
    [anon_sym_abstract] = ACTIONS(3312),
    [anon_sym_interface] = ACTIONS(3312),
    [anon_sym_enum] = ACTIONS(3312),
    [sym_html_comment] = ACTIONS(5),
  },
  [1138] = {
    [sym_comment] = STATE(1138),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_export] = ACTIONS(3314),
    [anon_sym_default] = ACTIONS(3314),
    [anon_sym_type] = ACTIONS(3314),
    [anon_sym_namespace] = ACTIONS(3314),
    [anon_sym_LBRACE] = ACTIONS(3314),
    [anon_sym_RBRACE] = ACTIONS(3314),
    [anon_sym_typeof] = ACTIONS(3314),
    [anon_sym_import] = ACTIONS(3314),
    [anon_sym_var] = ACTIONS(3314),
    [anon_sym_let] = ACTIONS(3314),
    [anon_sym_const] = ACTIONS(3314),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_else] = ACTIONS(3314),
    [anon_sym_if] = ACTIONS(3314),
    [anon_sym_switch] = ACTIONS(3314),
    [anon_sym_for] = ACTIONS(3314),
    [anon_sym_LPAREN] = ACTIONS(3314),
    [anon_sym_await] = ACTIONS(3314),
    [anon_sym_while] = ACTIONS(3314),
    [anon_sym_do] = ACTIONS(3314),
    [anon_sym_try] = ACTIONS(3314),
    [anon_sym_with] = ACTIONS(3314),
    [anon_sym_break] = ACTIONS(3314),
    [anon_sym_continue] = ACTIONS(3314),
    [anon_sym_debugger] = ACTIONS(3314),
    [anon_sym_return] = ACTIONS(3314),
    [anon_sym_throw] = ACTIONS(3314),
    [anon_sym_SEMI] = ACTIONS(3314),
    [anon_sym_case] = ACTIONS(3314),
    [anon_sym_yield] = ACTIONS(3314),
    [anon_sym_LBRACK] = ACTIONS(3314),
    [anon_sym_LTtemplate_GT] = ACTIONS(3314),
    [anon_sym_class] = ACTIONS(3314),
    [anon_sym_async] = ACTIONS(3314),
    [anon_sym_function] = ACTIONS(3314),
    [anon_sym_new] = ACTIONS(3314),
    [anon_sym_using] = ACTIONS(3314),
    [anon_sym_PLUS] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3314),
    [anon_sym_SLASH] = ACTIONS(3314),
    [anon_sym_LT] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_void] = ACTIONS(3314),
    [anon_sym_delete] = ACTIONS(3314),
    [anon_sym_PLUS_PLUS] = ACTIONS(3314),
    [anon_sym_DASH_DASH] = ACTIONS(3314),
    [anon_sym_DQUOTE] = ACTIONS(3314),
    [anon_sym_SQUOTE] = ACTIONS(3314),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3314),
    [sym_number] = ACTIONS(3314),
    [sym_private_property_identifier] = ACTIONS(3314),
    [sym_this] = ACTIONS(3314),
    [sym_super] = ACTIONS(3314),
    [sym_true] = ACTIONS(3314),
    [sym_false] = ACTIONS(3314),
    [sym_null] = ACTIONS(3314),
    [sym_undefined] = ACTIONS(3314),
    [anon_sym_AT] = ACTIONS(3314),
    [anon_sym_static] = ACTIONS(3314),
    [anon_sym_readonly] = ACTIONS(3314),
    [anon_sym_get] = ACTIONS(3314),
    [anon_sym_set] = ACTIONS(3314),
    [anon_sym_declare] = ACTIONS(3314),
    [anon_sym_public] = ACTIONS(3314),
    [anon_sym_private] = ACTIONS(3314),
    [anon_sym_protected] = ACTIONS(3314),
    [anon_sym_override] = ACTIONS(3314),
    [anon_sym_module] = ACTIONS(3314),
    [anon_sym_any] = ACTIONS(3314),
    [anon_sym_number] = ACTIONS(3314),
    [anon_sym_boolean] = ACTIONS(3314),
    [anon_sym_string] = ACTIONS(3314),
    [anon_sym_symbol] = ACTIONS(3314),
    [anon_sym_object] = ACTIONS(3314),
    [anon_sym_abstract] = ACTIONS(3314),
    [anon_sym_interface] = ACTIONS(3314),
    [anon_sym_enum] = ACTIONS(3314),
    [sym_html_comment] = ACTIONS(5),
  },
  [1139] = {
    [sym_comment] = STATE(1139),
    [sym_identifier] = ACTIONS(3316),
    [anon_sym_export] = ACTIONS(3316),
    [anon_sym_default] = ACTIONS(3316),
    [anon_sym_type] = ACTIONS(3316),
    [anon_sym_namespace] = ACTIONS(3316),
    [anon_sym_LBRACE] = ACTIONS(3316),
    [anon_sym_RBRACE] = ACTIONS(3316),
    [anon_sym_typeof] = ACTIONS(3316),
    [anon_sym_import] = ACTIONS(3316),
    [anon_sym_var] = ACTIONS(3316),
    [anon_sym_let] = ACTIONS(3316),
    [anon_sym_const] = ACTIONS(3316),
    [anon_sym_BANG] = ACTIONS(3316),
    [anon_sym_else] = ACTIONS(3316),
    [anon_sym_if] = ACTIONS(3316),
    [anon_sym_switch] = ACTIONS(3316),
    [anon_sym_for] = ACTIONS(3316),
    [anon_sym_LPAREN] = ACTIONS(3316),
    [anon_sym_await] = ACTIONS(3316),
    [anon_sym_while] = ACTIONS(3316),
    [anon_sym_do] = ACTIONS(3316),
    [anon_sym_try] = ACTIONS(3316),
    [anon_sym_with] = ACTIONS(3316),
    [anon_sym_break] = ACTIONS(3316),
    [anon_sym_continue] = ACTIONS(3316),
    [anon_sym_debugger] = ACTIONS(3316),
    [anon_sym_return] = ACTIONS(3316),
    [anon_sym_throw] = ACTIONS(3316),
    [anon_sym_SEMI] = ACTIONS(3316),
    [anon_sym_case] = ACTIONS(3316),
    [anon_sym_yield] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(3316),
    [anon_sym_LTtemplate_GT] = ACTIONS(3316),
    [anon_sym_class] = ACTIONS(3316),
    [anon_sym_async] = ACTIONS(3316),
    [anon_sym_function] = ACTIONS(3316),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_using] = ACTIONS(3316),
    [anon_sym_PLUS] = ACTIONS(3316),
    [anon_sym_DASH] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3316),
    [anon_sym_LT] = ACTIONS(3316),
    [anon_sym_TILDE] = ACTIONS(3316),
    [anon_sym_void] = ACTIONS(3316),
    [anon_sym_delete] = ACTIONS(3316),
    [anon_sym_PLUS_PLUS] = ACTIONS(3316),
    [anon_sym_DASH_DASH] = ACTIONS(3316),
    [anon_sym_DQUOTE] = ACTIONS(3316),
    [anon_sym_SQUOTE] = ACTIONS(3316),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3316),
    [sym_number] = ACTIONS(3316),
    [sym_private_property_identifier] = ACTIONS(3316),
    [sym_this] = ACTIONS(3316),
    [sym_super] = ACTIONS(3316),
    [sym_true] = ACTIONS(3316),
    [sym_false] = ACTIONS(3316),
    [sym_null] = ACTIONS(3316),
    [sym_undefined] = ACTIONS(3316),
    [anon_sym_AT] = ACTIONS(3316),
    [anon_sym_static] = ACTIONS(3316),
    [anon_sym_readonly] = ACTIONS(3316),
    [anon_sym_get] = ACTIONS(3316),
    [anon_sym_set] = ACTIONS(3316),
    [anon_sym_declare] = ACTIONS(3316),
    [anon_sym_public] = ACTIONS(3316),
    [anon_sym_private] = ACTIONS(3316),
    [anon_sym_protected] = ACTIONS(3316),
    [anon_sym_override] = ACTIONS(3316),
    [anon_sym_module] = ACTIONS(3316),
    [anon_sym_any] = ACTIONS(3316),
    [anon_sym_number] = ACTIONS(3316),
    [anon_sym_boolean] = ACTIONS(3316),
    [anon_sym_string] = ACTIONS(3316),
    [anon_sym_symbol] = ACTIONS(3316),
    [anon_sym_object] = ACTIONS(3316),
    [anon_sym_abstract] = ACTIONS(3316),
    [anon_sym_interface] = ACTIONS(3316),
    [anon_sym_enum] = ACTIONS(3316),
    [sym_html_comment] = ACTIONS(5),
  },
  [1140] = {
    [sym_comment] = STATE(1140),
    [ts_builtin_sym_end] = ACTIONS(2103),
    [sym_identifier] = ACTIONS(2101),
    [anon_sym_export] = ACTIONS(2101),
    [anon_sym_type] = ACTIONS(2101),
    [anon_sym_namespace] = ACTIONS(2101),
    [anon_sym_LBRACE] = ACTIONS(2101),
    [anon_sym_RBRACE] = ACTIONS(2101),
    [anon_sym_typeof] = ACTIONS(2101),
    [anon_sym_import] = ACTIONS(2101),
    [anon_sym_var] = ACTIONS(2101),
    [anon_sym_let] = ACTIONS(2101),
    [anon_sym_const] = ACTIONS(2101),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_else] = ACTIONS(2101),
    [anon_sym_if] = ACTIONS(2101),
    [anon_sym_switch] = ACTIONS(2101),
    [anon_sym_for] = ACTIONS(2101),
    [anon_sym_LPAREN] = ACTIONS(2101),
    [anon_sym_await] = ACTIONS(2101),
    [anon_sym_while] = ACTIONS(2101),
    [anon_sym_do] = ACTIONS(2101),
    [anon_sym_try] = ACTIONS(2101),
    [anon_sym_with] = ACTIONS(2101),
    [anon_sym_break] = ACTIONS(2101),
    [anon_sym_continue] = ACTIONS(2101),
    [anon_sym_debugger] = ACTIONS(2101),
    [anon_sym_return] = ACTIONS(2101),
    [anon_sym_throw] = ACTIONS(2101),
    [anon_sym_SEMI] = ACTIONS(2101),
    [anon_sym_yield] = ACTIONS(2101),
    [anon_sym_LBRACK] = ACTIONS(2101),
    [anon_sym_LTtemplate_GT] = ACTIONS(2101),
    [anon_sym_class] = ACTIONS(2101),
    [anon_sym_async] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2101),
    [anon_sym_new] = ACTIONS(2101),
    [anon_sym_using] = ACTIONS(2101),
    [anon_sym_PLUS] = ACTIONS(2101),
    [anon_sym_DASH] = ACTIONS(2101),
    [anon_sym_SLASH] = ACTIONS(2101),
    [anon_sym_LT] = ACTIONS(2101),
    [anon_sym_TILDE] = ACTIONS(2101),
    [anon_sym_void] = ACTIONS(2101),
    [anon_sym_delete] = ACTIONS(2101),
    [anon_sym_PLUS_PLUS] = ACTIONS(2101),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_DQUOTE] = ACTIONS(2101),
    [anon_sym_SQUOTE] = ACTIONS(2101),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2101),
    [sym_number] = ACTIONS(2101),
    [sym_private_property_identifier] = ACTIONS(2101),
    [sym_this] = ACTIONS(2101),
    [sym_super] = ACTIONS(2101),
    [sym_true] = ACTIONS(2101),
    [sym_false] = ACTIONS(2101),
    [sym_null] = ACTIONS(2101),
    [sym_undefined] = ACTIONS(2101),
    [anon_sym_AT] = ACTIONS(2101),
    [anon_sym_static] = ACTIONS(2101),
    [anon_sym_readonly] = ACTIONS(2101),
    [anon_sym_get] = ACTIONS(2101),
    [anon_sym_set] = ACTIONS(2101),
    [anon_sym_declare] = ACTIONS(2101),
    [anon_sym_public] = ACTIONS(2101),
    [anon_sym_private] = ACTIONS(2101),
    [anon_sym_protected] = ACTIONS(2101),
    [anon_sym_override] = ACTIONS(2101),
    [anon_sym_module] = ACTIONS(2101),
    [anon_sym_any] = ACTIONS(2101),
    [anon_sym_number] = ACTIONS(2101),
    [anon_sym_boolean] = ACTIONS(2101),
    [anon_sym_string] = ACTIONS(2101),
    [anon_sym_symbol] = ACTIONS(2101),
    [anon_sym_object] = ACTIONS(2101),
    [anon_sym_abstract] = ACTIONS(2101),
    [anon_sym_interface] = ACTIONS(2101),
    [anon_sym_enum] = ACTIONS(2101),
    [sym__automatic_semicolon] = ACTIONS(2103),
    [sym_html_comment] = ACTIONS(5),
  },
  [1141] = {
    [sym_finally_clause] = STATE(1612),
    [sym_comment] = STATE(1141),
    [ts_builtin_sym_end] = ACTIONS(3076),
    [sym_identifier] = ACTIONS(3064),
    [anon_sym_export] = ACTIONS(3064),
    [anon_sym_type] = ACTIONS(3064),
    [anon_sym_namespace] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3064),
    [anon_sym_RBRACE] = ACTIONS(3064),
    [anon_sym_typeof] = ACTIONS(3064),
    [anon_sym_import] = ACTIONS(3064),
    [anon_sym_var] = ACTIONS(3064),
    [anon_sym_let] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_BANG] = ACTIONS(3064),
    [anon_sym_if] = ACTIONS(3064),
    [anon_sym_switch] = ACTIONS(3064),
    [anon_sym_for] = ACTIONS(3064),
    [anon_sym_LPAREN] = ACTIONS(3064),
    [anon_sym_await] = ACTIONS(3064),
    [anon_sym_while] = ACTIONS(3064),
    [anon_sym_do] = ACTIONS(3064),
    [anon_sym_try] = ACTIONS(3064),
    [anon_sym_with] = ACTIONS(3064),
    [anon_sym_break] = ACTIONS(3064),
    [anon_sym_continue] = ACTIONS(3064),
    [anon_sym_debugger] = ACTIONS(3064),
    [anon_sym_return] = ACTIONS(3064),
    [anon_sym_throw] = ACTIONS(3064),
    [anon_sym_SEMI] = ACTIONS(3064),
    [anon_sym_finally] = ACTIONS(3056),
    [anon_sym_yield] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3064),
    [anon_sym_LTtemplate_GT] = ACTIONS(3064),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_async] = ACTIONS(3064),
    [anon_sym_function] = ACTIONS(3064),
    [anon_sym_new] = ACTIONS(3064),
    [anon_sym_using] = ACTIONS(3064),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3064),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_TILDE] = ACTIONS(3064),
    [anon_sym_void] = ACTIONS(3064),
    [anon_sym_delete] = ACTIONS(3064),
    [anon_sym_PLUS_PLUS] = ACTIONS(3064),
    [anon_sym_DASH_DASH] = ACTIONS(3064),
    [anon_sym_DQUOTE] = ACTIONS(3064),
    [anon_sym_SQUOTE] = ACTIONS(3064),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3064),
    [sym_number] = ACTIONS(3064),
    [sym_private_property_identifier] = ACTIONS(3064),
    [sym_this] = ACTIONS(3064),
    [sym_super] = ACTIONS(3064),
    [sym_true] = ACTIONS(3064),
    [sym_false] = ACTIONS(3064),
    [sym_null] = ACTIONS(3064),
    [sym_undefined] = ACTIONS(3064),
    [anon_sym_AT] = ACTIONS(3064),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_readonly] = ACTIONS(3064),
    [anon_sym_get] = ACTIONS(3064),
    [anon_sym_set] = ACTIONS(3064),
    [anon_sym_declare] = ACTIONS(3064),
    [anon_sym_public] = ACTIONS(3064),
    [anon_sym_private] = ACTIONS(3064),
    [anon_sym_protected] = ACTIONS(3064),
    [anon_sym_override] = ACTIONS(3064),
    [anon_sym_module] = ACTIONS(3064),
    [anon_sym_any] = ACTIONS(3064),
    [anon_sym_number] = ACTIONS(3064),
    [anon_sym_boolean] = ACTIONS(3064),
    [anon_sym_string] = ACTIONS(3064),
    [anon_sym_symbol] = ACTIONS(3064),
    [anon_sym_object] = ACTIONS(3064),
    [anon_sym_abstract] = ACTIONS(3064),
    [anon_sym_interface] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [sym_html_comment] = ACTIONS(5),
  },
  [1142] = {
    [sym_comment] = STATE(1142),
    [ts_builtin_sym_end] = ACTIONS(2133),
    [sym_identifier] = ACTIONS(2131),
    [anon_sym_export] = ACTIONS(2131),
    [anon_sym_type] = ACTIONS(2131),
    [anon_sym_namespace] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(2131),
    [anon_sym_RBRACE] = ACTIONS(2131),
    [anon_sym_typeof] = ACTIONS(2131),
    [anon_sym_import] = ACTIONS(2131),
    [anon_sym_var] = ACTIONS(2131),
    [anon_sym_let] = ACTIONS(2131),
    [anon_sym_const] = ACTIONS(2131),
    [anon_sym_BANG] = ACTIONS(2131),
    [anon_sym_else] = ACTIONS(2131),
    [anon_sym_if] = ACTIONS(2131),
    [anon_sym_switch] = ACTIONS(2131),
    [anon_sym_for] = ACTIONS(2131),
    [anon_sym_LPAREN] = ACTIONS(2131),
    [anon_sym_await] = ACTIONS(2131),
    [anon_sym_while] = ACTIONS(2131),
    [anon_sym_do] = ACTIONS(2131),
    [anon_sym_try] = ACTIONS(2131),
    [anon_sym_with] = ACTIONS(2131),
    [anon_sym_break] = ACTIONS(2131),
    [anon_sym_continue] = ACTIONS(2131),
    [anon_sym_debugger] = ACTIONS(2131),
    [anon_sym_return] = ACTIONS(2131),
    [anon_sym_throw] = ACTIONS(2131),
    [anon_sym_SEMI] = ACTIONS(2131),
    [anon_sym_yield] = ACTIONS(2131),
    [anon_sym_LBRACK] = ACTIONS(2131),
    [anon_sym_LTtemplate_GT] = ACTIONS(2131),
    [anon_sym_DOT] = ACTIONS(2131),
    [anon_sym_class] = ACTIONS(2131),
    [anon_sym_async] = ACTIONS(2131),
    [anon_sym_function] = ACTIONS(2131),
    [anon_sym_new] = ACTIONS(2131),
    [anon_sym_using] = ACTIONS(2131),
    [anon_sym_PLUS] = ACTIONS(2131),
    [anon_sym_DASH] = ACTIONS(2131),
    [anon_sym_SLASH] = ACTIONS(2131),
    [anon_sym_LT] = ACTIONS(2131),
    [anon_sym_TILDE] = ACTIONS(2131),
    [anon_sym_void] = ACTIONS(2131),
    [anon_sym_delete] = ACTIONS(2131),
    [anon_sym_PLUS_PLUS] = ACTIONS(2131),
    [anon_sym_DASH_DASH] = ACTIONS(2131),
    [anon_sym_DQUOTE] = ACTIONS(2131),
    [anon_sym_SQUOTE] = ACTIONS(2131),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2131),
    [sym_number] = ACTIONS(2131),
    [sym_private_property_identifier] = ACTIONS(2131),
    [sym_this] = ACTIONS(2131),
    [sym_super] = ACTIONS(2131),
    [sym_true] = ACTIONS(2131),
    [sym_false] = ACTIONS(2131),
    [sym_null] = ACTIONS(2131),
    [sym_undefined] = ACTIONS(2131),
    [anon_sym_AT] = ACTIONS(2131),
    [anon_sym_static] = ACTIONS(2131),
    [anon_sym_readonly] = ACTIONS(2131),
    [anon_sym_get] = ACTIONS(2131),
    [anon_sym_set] = ACTIONS(2131),
    [anon_sym_declare] = ACTIONS(2131),
    [anon_sym_public] = ACTIONS(2131),
    [anon_sym_private] = ACTIONS(2131),
    [anon_sym_protected] = ACTIONS(2131),
    [anon_sym_override] = ACTIONS(2131),
    [anon_sym_module] = ACTIONS(2131),
    [anon_sym_any] = ACTIONS(2131),
    [anon_sym_number] = ACTIONS(2131),
    [anon_sym_boolean] = ACTIONS(2131),
    [anon_sym_string] = ACTIONS(2131),
    [anon_sym_symbol] = ACTIONS(2131),
    [anon_sym_object] = ACTIONS(2131),
    [anon_sym_abstract] = ACTIONS(2131),
    [anon_sym_interface] = ACTIONS(2131),
    [anon_sym_enum] = ACTIONS(2131),
    [sym_html_comment] = ACTIONS(5),
  },
  [1143] = {
    [sym_comment] = STATE(1143),
    [ts_builtin_sym_end] = ACTIONS(2143),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_RBRACE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_finally] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LTtemplate_GT] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_using] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_LT] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [sym_private_property_identifier] = ACTIONS(2141),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_object] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
    [sym__automatic_semicolon] = ACTIONS(3318),
    [sym_html_comment] = ACTIONS(5),
  },
  [1144] = {
    [sym_comment] = STATE(1144),
    [ts_builtin_sym_end] = ACTIONS(2143),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_RBRACE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_catch] = ACTIONS(2141),
    [anon_sym_finally] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LTtemplate_GT] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_using] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_LT] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [sym_private_property_identifier] = ACTIONS(2141),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_object] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
    [sym_html_comment] = ACTIONS(5),
  },
  [1145] = {
    [sym_comment] = STATE(1145),
    [ts_builtin_sym_end] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2065),
    [anon_sym_export] = ACTIONS(2065),
    [anon_sym_type] = ACTIONS(2065),
    [anon_sym_namespace] = ACTIONS(2065),
    [anon_sym_LBRACE] = ACTIONS(2065),
    [anon_sym_RBRACE] = ACTIONS(2065),
    [anon_sym_typeof] = ACTIONS(2065),
    [anon_sym_import] = ACTIONS(2065),
    [anon_sym_var] = ACTIONS(2065),
    [anon_sym_let] = ACTIONS(2065),
    [anon_sym_const] = ACTIONS(2065),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_if] = ACTIONS(2065),
    [anon_sym_switch] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2065),
    [anon_sym_LPAREN] = ACTIONS(2065),
    [anon_sym_await] = ACTIONS(2065),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_do] = ACTIONS(2065),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_with] = ACTIONS(2065),
    [anon_sym_break] = ACTIONS(2065),
    [anon_sym_continue] = ACTIONS(2065),
    [anon_sym_debugger] = ACTIONS(2065),
    [anon_sym_return] = ACTIONS(2065),
    [anon_sym_throw] = ACTIONS(2065),
    [anon_sym_SEMI] = ACTIONS(2065),
    [anon_sym_finally] = ACTIONS(2065),
    [anon_sym_yield] = ACTIONS(2065),
    [anon_sym_LBRACK] = ACTIONS(2065),
    [anon_sym_LTtemplate_GT] = ACTIONS(2065),
    [anon_sym_class] = ACTIONS(2065),
    [anon_sym_async] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2065),
    [anon_sym_new] = ACTIONS(2065),
    [anon_sym_using] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2065),
    [anon_sym_DASH] = ACTIONS(2065),
    [anon_sym_SLASH] = ACTIONS(2065),
    [anon_sym_LT] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_void] = ACTIONS(2065),
    [anon_sym_delete] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_DQUOTE] = ACTIONS(2065),
    [anon_sym_SQUOTE] = ACTIONS(2065),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2065),
    [sym_number] = ACTIONS(2065),
    [sym_private_property_identifier] = ACTIONS(2065),
    [sym_this] = ACTIONS(2065),
    [sym_super] = ACTIONS(2065),
    [sym_true] = ACTIONS(2065),
    [sym_false] = ACTIONS(2065),
    [sym_null] = ACTIONS(2065),
    [sym_undefined] = ACTIONS(2065),
    [anon_sym_AT] = ACTIONS(2065),
    [anon_sym_static] = ACTIONS(2065),
    [anon_sym_readonly] = ACTIONS(2065),
    [anon_sym_get] = ACTIONS(2065),
    [anon_sym_set] = ACTIONS(2065),
    [anon_sym_declare] = ACTIONS(2065),
    [anon_sym_public] = ACTIONS(2065),
    [anon_sym_private] = ACTIONS(2065),
    [anon_sym_protected] = ACTIONS(2065),
    [anon_sym_override] = ACTIONS(2065),
    [anon_sym_module] = ACTIONS(2065),
    [anon_sym_any] = ACTIONS(2065),
    [anon_sym_number] = ACTIONS(2065),
    [anon_sym_boolean] = ACTIONS(2065),
    [anon_sym_string] = ACTIONS(2065),
    [anon_sym_symbol] = ACTIONS(2065),
    [anon_sym_object] = ACTIONS(2065),
    [anon_sym_abstract] = ACTIONS(2065),
    [anon_sym_interface] = ACTIONS(2065),
    [anon_sym_enum] = ACTIONS(2065),
    [sym__automatic_semicolon] = ACTIONS(3320),
    [sym_html_comment] = ACTIONS(5),
  },
  [1146] = {
    [sym_comment] = STATE(1146),
    [ts_builtin_sym_end] = ACTIONS(2371),
    [sym_identifier] = ACTIONS(2223),
    [anon_sym_export] = ACTIONS(2223),
    [anon_sym_type] = ACTIONS(2223),
    [anon_sym_namespace] = ACTIONS(2223),
    [anon_sym_LBRACE] = ACTIONS(2223),
    [anon_sym_RBRACE] = ACTIONS(2223),
    [anon_sym_typeof] = ACTIONS(2223),
    [anon_sym_import] = ACTIONS(2223),
    [anon_sym_var] = ACTIONS(2223),
    [anon_sym_let] = ACTIONS(2223),
    [anon_sym_const] = ACTIONS(2223),
    [anon_sym_BANG] = ACTIONS(2223),
    [anon_sym_else] = ACTIONS(2223),
    [anon_sym_if] = ACTIONS(2223),
    [anon_sym_switch] = ACTIONS(2223),
    [anon_sym_for] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(2223),
    [anon_sym_await] = ACTIONS(2223),
    [anon_sym_while] = ACTIONS(2223),
    [anon_sym_do] = ACTIONS(2223),
    [anon_sym_try] = ACTIONS(2223),
    [anon_sym_with] = ACTIONS(2223),
    [anon_sym_break] = ACTIONS(2223),
    [anon_sym_continue] = ACTIONS(2223),
    [anon_sym_debugger] = ACTIONS(2223),
    [anon_sym_return] = ACTIONS(2223),
    [anon_sym_throw] = ACTIONS(2223),
    [anon_sym_SEMI] = ACTIONS(2223),
    [anon_sym_yield] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(2223),
    [anon_sym_LTtemplate_GT] = ACTIONS(2223),
    [anon_sym_class] = ACTIONS(2223),
    [anon_sym_async] = ACTIONS(2223),
    [anon_sym_function] = ACTIONS(2223),
    [anon_sym_new] = ACTIONS(2223),
    [anon_sym_using] = ACTIONS(2223),
    [anon_sym_PLUS] = ACTIONS(2223),
    [anon_sym_DASH] = ACTIONS(2223),
    [anon_sym_SLASH] = ACTIONS(2223),
    [anon_sym_LT] = ACTIONS(2223),
    [anon_sym_TILDE] = ACTIONS(2223),
    [anon_sym_void] = ACTIONS(2223),
    [anon_sym_delete] = ACTIONS(2223),
    [anon_sym_PLUS_PLUS] = ACTIONS(2223),
    [anon_sym_DASH_DASH] = ACTIONS(2223),
    [anon_sym_DQUOTE] = ACTIONS(2223),
    [anon_sym_SQUOTE] = ACTIONS(2223),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2223),
    [sym_number] = ACTIONS(2223),
    [sym_private_property_identifier] = ACTIONS(2223),
    [sym_this] = ACTIONS(2223),
    [sym_super] = ACTIONS(2223),
    [sym_true] = ACTIONS(2223),
    [sym_false] = ACTIONS(2223),
    [sym_null] = ACTIONS(2223),
    [sym_undefined] = ACTIONS(2223),
    [anon_sym_AT] = ACTIONS(2223),
    [anon_sym_static] = ACTIONS(2223),
    [anon_sym_readonly] = ACTIONS(2223),
    [anon_sym_get] = ACTIONS(2223),
    [anon_sym_set] = ACTIONS(2223),
    [anon_sym_declare] = ACTIONS(2223),
    [anon_sym_public] = ACTIONS(2223),
    [anon_sym_private] = ACTIONS(2223),
    [anon_sym_protected] = ACTIONS(2223),
    [anon_sym_override] = ACTIONS(2223),
    [anon_sym_module] = ACTIONS(2223),
    [anon_sym_any] = ACTIONS(2223),
    [anon_sym_number] = ACTIONS(2223),
    [anon_sym_boolean] = ACTIONS(2223),
    [anon_sym_string] = ACTIONS(2223),
    [anon_sym_symbol] = ACTIONS(2223),
    [anon_sym_object] = ACTIONS(2223),
    [anon_sym_abstract] = ACTIONS(2223),
    [anon_sym_interface] = ACTIONS(2223),
    [anon_sym_enum] = ACTIONS(2223),
    [sym__automatic_semicolon] = ACTIONS(2373),
    [sym_html_comment] = ACTIONS(5),
  },
  [1147] = {
    [sym_comment] = STATE(1147),
    [ts_builtin_sym_end] = ACTIONS(2121),
    [sym_identifier] = ACTIONS(2119),
    [anon_sym_export] = ACTIONS(2119),
    [anon_sym_type] = ACTIONS(2119),
    [anon_sym_namespace] = ACTIONS(2119),
    [anon_sym_LBRACE] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2119),
    [anon_sym_import] = ACTIONS(2119),
    [anon_sym_var] = ACTIONS(2119),
    [anon_sym_let] = ACTIONS(2119),
    [anon_sym_const] = ACTIONS(2119),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_else] = ACTIONS(2119),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_switch] = ACTIONS(2119),
    [anon_sym_for] = ACTIONS(2119),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2119),
    [anon_sym_do] = ACTIONS(2119),
    [anon_sym_try] = ACTIONS(2119),
    [anon_sym_with] = ACTIONS(2119),
    [anon_sym_break] = ACTIONS(2119),
    [anon_sym_continue] = ACTIONS(2119),
    [anon_sym_debugger] = ACTIONS(2119),
    [anon_sym_return] = ACTIONS(2119),
    [anon_sym_throw] = ACTIONS(2119),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_yield] = ACTIONS(2119),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_DOT] = ACTIONS(2119),
    [anon_sym_class] = ACTIONS(2119),
    [anon_sym_async] = ACTIONS(2119),
    [anon_sym_function] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2119),
    [anon_sym_using] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2119),
    [anon_sym_DASH] = ACTIONS(2119),
    [anon_sym_SLASH] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2119),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2119),
    [anon_sym_delete] = ACTIONS(2119),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_private_property_identifier] = ACTIONS(2119),
    [sym_this] = ACTIONS(2119),
    [sym_super] = ACTIONS(2119),
    [sym_true] = ACTIONS(2119),
    [sym_false] = ACTIONS(2119),
    [sym_null] = ACTIONS(2119),
    [sym_undefined] = ACTIONS(2119),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2119),
    [anon_sym_readonly] = ACTIONS(2119),
    [anon_sym_get] = ACTIONS(2119),
    [anon_sym_set] = ACTIONS(2119),
    [anon_sym_declare] = ACTIONS(2119),
    [anon_sym_public] = ACTIONS(2119),
    [anon_sym_private] = ACTIONS(2119),
    [anon_sym_protected] = ACTIONS(2119),
    [anon_sym_override] = ACTIONS(2119),
    [anon_sym_module] = ACTIONS(2119),
    [anon_sym_any] = ACTIONS(2119),
    [anon_sym_number] = ACTIONS(2119),
    [anon_sym_boolean] = ACTIONS(2119),
    [anon_sym_string] = ACTIONS(2119),
    [anon_sym_symbol] = ACTIONS(2119),
    [anon_sym_object] = ACTIONS(2119),
    [anon_sym_abstract] = ACTIONS(2119),
    [anon_sym_interface] = ACTIONS(2119),
    [anon_sym_enum] = ACTIONS(2119),
    [sym_html_comment] = ACTIONS(5),
  },
  [1148] = {
    [sym_comment] = STATE(1148),
    [ts_builtin_sym_end] = ACTIONS(2091),
    [sym_identifier] = ACTIONS(2089),
    [anon_sym_export] = ACTIONS(2089),
    [anon_sym_type] = ACTIONS(2089),
    [anon_sym_namespace] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2089),
    [anon_sym_RBRACE] = ACTIONS(2089),
    [anon_sym_typeof] = ACTIONS(2089),
    [anon_sym_import] = ACTIONS(2089),
    [anon_sym_var] = ACTIONS(2089),
    [anon_sym_let] = ACTIONS(2089),
    [anon_sym_const] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2089),
    [anon_sym_else] = ACTIONS(2089),
    [anon_sym_if] = ACTIONS(2089),
    [anon_sym_switch] = ACTIONS(2089),
    [anon_sym_for] = ACTIONS(2089),
    [anon_sym_LPAREN] = ACTIONS(2089),
    [anon_sym_await] = ACTIONS(2089),
    [anon_sym_while] = ACTIONS(2089),
    [anon_sym_do] = ACTIONS(2089),
    [anon_sym_try] = ACTIONS(2089),
    [anon_sym_with] = ACTIONS(2089),
    [anon_sym_break] = ACTIONS(2089),
    [anon_sym_continue] = ACTIONS(2089),
    [anon_sym_debugger] = ACTIONS(2089),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_throw] = ACTIONS(2089),
    [anon_sym_SEMI] = ACTIONS(2089),
    [anon_sym_yield] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2089),
    [anon_sym_LTtemplate_GT] = ACTIONS(2089),
    [anon_sym_class] = ACTIONS(2089),
    [anon_sym_async] = ACTIONS(2089),
    [anon_sym_function] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2089),
    [anon_sym_using] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(2089),
    [anon_sym_DASH] = ACTIONS(2089),
    [anon_sym_SLASH] = ACTIONS(2089),
    [anon_sym_LT] = ACTIONS(2089),
    [anon_sym_TILDE] = ACTIONS(2089),
    [anon_sym_void] = ACTIONS(2089),
    [anon_sym_delete] = ACTIONS(2089),
    [anon_sym_PLUS_PLUS] = ACTIONS(2089),
    [anon_sym_DASH_DASH] = ACTIONS(2089),
    [anon_sym_DQUOTE] = ACTIONS(2089),
    [anon_sym_SQUOTE] = ACTIONS(2089),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2089),
    [sym_number] = ACTIONS(2089),
    [sym_private_property_identifier] = ACTIONS(2089),
    [sym_this] = ACTIONS(2089),
    [sym_super] = ACTIONS(2089),
    [sym_true] = ACTIONS(2089),
    [sym_false] = ACTIONS(2089),
    [sym_null] = ACTIONS(2089),
    [sym_undefined] = ACTIONS(2089),
    [anon_sym_AT] = ACTIONS(2089),
    [anon_sym_static] = ACTIONS(2089),
    [anon_sym_readonly] = ACTIONS(2089),
    [anon_sym_get] = ACTIONS(2089),
    [anon_sym_set] = ACTIONS(2089),
    [anon_sym_declare] = ACTIONS(2089),
    [anon_sym_public] = ACTIONS(2089),
    [anon_sym_private] = ACTIONS(2089),
    [anon_sym_protected] = ACTIONS(2089),
    [anon_sym_override] = ACTIONS(2089),
    [anon_sym_module] = ACTIONS(2089),
    [anon_sym_any] = ACTIONS(2089),
    [anon_sym_number] = ACTIONS(2089),
    [anon_sym_boolean] = ACTIONS(2089),
    [anon_sym_string] = ACTIONS(2089),
    [anon_sym_symbol] = ACTIONS(2089),
    [anon_sym_object] = ACTIONS(2089),
    [anon_sym_abstract] = ACTIONS(2089),
    [anon_sym_interface] = ACTIONS(2089),
    [anon_sym_enum] = ACTIONS(2089),
    [sym__automatic_semicolon] = ACTIONS(2091),
    [sym_html_comment] = ACTIONS(5),
  },
  [1149] = {
    [sym_comment] = STATE(1149),
    [sym_identifier] = ACTIONS(3322),
    [anon_sym_export] = ACTIONS(3322),
    [anon_sym_default] = ACTIONS(3322),
    [anon_sym_type] = ACTIONS(3322),
    [anon_sym_namespace] = ACTIONS(3322),
    [anon_sym_LBRACE] = ACTIONS(3322),
    [anon_sym_RBRACE] = ACTIONS(3322),
    [anon_sym_typeof] = ACTIONS(3322),
    [anon_sym_import] = ACTIONS(3322),
    [anon_sym_var] = ACTIONS(3322),
    [anon_sym_let] = ACTIONS(3322),
    [anon_sym_const] = ACTIONS(3322),
    [anon_sym_BANG] = ACTIONS(3322),
    [anon_sym_else] = ACTIONS(3322),
    [anon_sym_if] = ACTIONS(3322),
    [anon_sym_switch] = ACTIONS(3322),
    [anon_sym_for] = ACTIONS(3322),
    [anon_sym_LPAREN] = ACTIONS(3322),
    [anon_sym_await] = ACTIONS(3322),
    [anon_sym_while] = ACTIONS(3322),
    [anon_sym_do] = ACTIONS(3322),
    [anon_sym_try] = ACTIONS(3322),
    [anon_sym_with] = ACTIONS(3322),
    [anon_sym_break] = ACTIONS(3322),
    [anon_sym_continue] = ACTIONS(3322),
    [anon_sym_debugger] = ACTIONS(3322),
    [anon_sym_return] = ACTIONS(3322),
    [anon_sym_throw] = ACTIONS(3322),
    [anon_sym_SEMI] = ACTIONS(3322),
    [anon_sym_case] = ACTIONS(3322),
    [anon_sym_yield] = ACTIONS(3322),
    [anon_sym_LBRACK] = ACTIONS(3322),
    [anon_sym_LTtemplate_GT] = ACTIONS(3322),
    [anon_sym_class] = ACTIONS(3322),
    [anon_sym_async] = ACTIONS(3322),
    [anon_sym_function] = ACTIONS(3322),
    [anon_sym_new] = ACTIONS(3322),
    [anon_sym_using] = ACTIONS(3322),
    [anon_sym_PLUS] = ACTIONS(3322),
    [anon_sym_DASH] = ACTIONS(3322),
    [anon_sym_SLASH] = ACTIONS(3322),
    [anon_sym_LT] = ACTIONS(3322),
    [anon_sym_TILDE] = ACTIONS(3322),
    [anon_sym_void] = ACTIONS(3322),
    [anon_sym_delete] = ACTIONS(3322),
    [anon_sym_PLUS_PLUS] = ACTIONS(3322),
    [anon_sym_DASH_DASH] = ACTIONS(3322),
    [anon_sym_DQUOTE] = ACTIONS(3322),
    [anon_sym_SQUOTE] = ACTIONS(3322),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3322),
    [sym_number] = ACTIONS(3322),
    [sym_private_property_identifier] = ACTIONS(3322),
    [sym_this] = ACTIONS(3322),
    [sym_super] = ACTIONS(3322),
    [sym_true] = ACTIONS(3322),
    [sym_false] = ACTIONS(3322),
    [sym_null] = ACTIONS(3322),
    [sym_undefined] = ACTIONS(3322),
    [anon_sym_AT] = ACTIONS(3322),
    [anon_sym_static] = ACTIONS(3322),
    [anon_sym_readonly] = ACTIONS(3322),
    [anon_sym_get] = ACTIONS(3322),
    [anon_sym_set] = ACTIONS(3322),
    [anon_sym_declare] = ACTIONS(3322),
    [anon_sym_public] = ACTIONS(3322),
    [anon_sym_private] = ACTIONS(3322),
    [anon_sym_protected] = ACTIONS(3322),
    [anon_sym_override] = ACTIONS(3322),
    [anon_sym_module] = ACTIONS(3322),
    [anon_sym_any] = ACTIONS(3322),
    [anon_sym_number] = ACTIONS(3322),
    [anon_sym_boolean] = ACTIONS(3322),
    [anon_sym_string] = ACTIONS(3322),
    [anon_sym_symbol] = ACTIONS(3322),
    [anon_sym_object] = ACTIONS(3322),
    [anon_sym_abstract] = ACTIONS(3322),
    [anon_sym_interface] = ACTIONS(3322),
    [anon_sym_enum] = ACTIONS(3322),
    [sym_html_comment] = ACTIONS(5),
  },
  [1150] = {
    [sym_comment] = STATE(1150),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_export] = ACTIONS(3324),
    [anon_sym_default] = ACTIONS(3324),
    [anon_sym_type] = ACTIONS(3324),
    [anon_sym_namespace] = ACTIONS(3324),
    [anon_sym_LBRACE] = ACTIONS(3324),
    [anon_sym_RBRACE] = ACTIONS(3324),
    [anon_sym_typeof] = ACTIONS(3324),
    [anon_sym_import] = ACTIONS(3324),
    [anon_sym_var] = ACTIONS(3324),
    [anon_sym_let] = ACTIONS(3324),
    [anon_sym_const] = ACTIONS(3324),
    [anon_sym_BANG] = ACTIONS(3324),
    [anon_sym_else] = ACTIONS(3324),
    [anon_sym_if] = ACTIONS(3324),
    [anon_sym_switch] = ACTIONS(3324),
    [anon_sym_for] = ACTIONS(3324),
    [anon_sym_LPAREN] = ACTIONS(3324),
    [anon_sym_await] = ACTIONS(3324),
    [anon_sym_while] = ACTIONS(3324),
    [anon_sym_do] = ACTIONS(3324),
    [anon_sym_try] = ACTIONS(3324),
    [anon_sym_with] = ACTIONS(3324),
    [anon_sym_break] = ACTIONS(3324),
    [anon_sym_continue] = ACTIONS(3324),
    [anon_sym_debugger] = ACTIONS(3324),
    [anon_sym_return] = ACTIONS(3324),
    [anon_sym_throw] = ACTIONS(3324),
    [anon_sym_SEMI] = ACTIONS(3324),
    [anon_sym_case] = ACTIONS(3324),
    [anon_sym_yield] = ACTIONS(3324),
    [anon_sym_LBRACK] = ACTIONS(3324),
    [anon_sym_LTtemplate_GT] = ACTIONS(3324),
    [anon_sym_class] = ACTIONS(3324),
    [anon_sym_async] = ACTIONS(3324),
    [anon_sym_function] = ACTIONS(3324),
    [anon_sym_new] = ACTIONS(3324),
    [anon_sym_using] = ACTIONS(3324),
    [anon_sym_PLUS] = ACTIONS(3324),
    [anon_sym_DASH] = ACTIONS(3324),
    [anon_sym_SLASH] = ACTIONS(3324),
    [anon_sym_LT] = ACTIONS(3324),
    [anon_sym_TILDE] = ACTIONS(3324),
    [anon_sym_void] = ACTIONS(3324),
    [anon_sym_delete] = ACTIONS(3324),
    [anon_sym_PLUS_PLUS] = ACTIONS(3324),
    [anon_sym_DASH_DASH] = ACTIONS(3324),
    [anon_sym_DQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3324),
    [sym_number] = ACTIONS(3324),
    [sym_private_property_identifier] = ACTIONS(3324),
    [sym_this] = ACTIONS(3324),
    [sym_super] = ACTIONS(3324),
    [sym_true] = ACTIONS(3324),
    [sym_false] = ACTIONS(3324),
    [sym_null] = ACTIONS(3324),
    [sym_undefined] = ACTIONS(3324),
    [anon_sym_AT] = ACTIONS(3324),
    [anon_sym_static] = ACTIONS(3324),
    [anon_sym_readonly] = ACTIONS(3324),
    [anon_sym_get] = ACTIONS(3324),
    [anon_sym_set] = ACTIONS(3324),
    [anon_sym_declare] = ACTIONS(3324),
    [anon_sym_public] = ACTIONS(3324),
    [anon_sym_private] = ACTIONS(3324),
    [anon_sym_protected] = ACTIONS(3324),
    [anon_sym_override] = ACTIONS(3324),
    [anon_sym_module] = ACTIONS(3324),
    [anon_sym_any] = ACTIONS(3324),
    [anon_sym_number] = ACTIONS(3324),
    [anon_sym_boolean] = ACTIONS(3324),
    [anon_sym_string] = ACTIONS(3324),
    [anon_sym_symbol] = ACTIONS(3324),
    [anon_sym_object] = ACTIONS(3324),
    [anon_sym_abstract] = ACTIONS(3324),
    [anon_sym_interface] = ACTIONS(3324),
    [anon_sym_enum] = ACTIONS(3324),
    [sym_html_comment] = ACTIONS(5),
  },
  [1151] = {
    [sym_comment] = STATE(1151),
    [sym_identifier] = ACTIONS(3326),
    [anon_sym_export] = ACTIONS(3326),
    [anon_sym_default] = ACTIONS(3326),
    [anon_sym_type] = ACTIONS(3326),
    [anon_sym_namespace] = ACTIONS(3326),
    [anon_sym_LBRACE] = ACTIONS(3326),
    [anon_sym_RBRACE] = ACTIONS(3326),
    [anon_sym_typeof] = ACTIONS(3326),
    [anon_sym_import] = ACTIONS(3326),
    [anon_sym_var] = ACTIONS(3326),
    [anon_sym_let] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3326),
    [anon_sym_BANG] = ACTIONS(3326),
    [anon_sym_else] = ACTIONS(3326),
    [anon_sym_if] = ACTIONS(3326),
    [anon_sym_switch] = ACTIONS(3326),
    [anon_sym_for] = ACTIONS(3326),
    [anon_sym_LPAREN] = ACTIONS(3326),
    [anon_sym_await] = ACTIONS(3326),
    [anon_sym_while] = ACTIONS(3326),
    [anon_sym_do] = ACTIONS(3326),
    [anon_sym_try] = ACTIONS(3326),
    [anon_sym_with] = ACTIONS(3326),
    [anon_sym_break] = ACTIONS(3326),
    [anon_sym_continue] = ACTIONS(3326),
    [anon_sym_debugger] = ACTIONS(3326),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_throw] = ACTIONS(3326),
    [anon_sym_SEMI] = ACTIONS(3326),
    [anon_sym_case] = ACTIONS(3326),
    [anon_sym_yield] = ACTIONS(3326),
    [anon_sym_LBRACK] = ACTIONS(3326),
    [anon_sym_LTtemplate_GT] = ACTIONS(3326),
    [anon_sym_class] = ACTIONS(3326),
    [anon_sym_async] = ACTIONS(3326),
    [anon_sym_function] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(3326),
    [anon_sym_using] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_SLASH] = ACTIONS(3326),
    [anon_sym_LT] = ACTIONS(3326),
    [anon_sym_TILDE] = ACTIONS(3326),
    [anon_sym_void] = ACTIONS(3326),
    [anon_sym_delete] = ACTIONS(3326),
    [anon_sym_PLUS_PLUS] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [anon_sym_SQUOTE] = ACTIONS(3326),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3326),
    [sym_number] = ACTIONS(3326),
    [sym_private_property_identifier] = ACTIONS(3326),
    [sym_this] = ACTIONS(3326),
    [sym_super] = ACTIONS(3326),
    [sym_true] = ACTIONS(3326),
    [sym_false] = ACTIONS(3326),
    [sym_null] = ACTIONS(3326),
    [sym_undefined] = ACTIONS(3326),
    [anon_sym_AT] = ACTIONS(3326),
    [anon_sym_static] = ACTIONS(3326),
    [anon_sym_readonly] = ACTIONS(3326),
    [anon_sym_get] = ACTIONS(3326),
    [anon_sym_set] = ACTIONS(3326),
    [anon_sym_declare] = ACTIONS(3326),
    [anon_sym_public] = ACTIONS(3326),
    [anon_sym_private] = ACTIONS(3326),
    [anon_sym_protected] = ACTIONS(3326),
    [anon_sym_override] = ACTIONS(3326),
    [anon_sym_module] = ACTIONS(3326),
    [anon_sym_any] = ACTIONS(3326),
    [anon_sym_number] = ACTIONS(3326),
    [anon_sym_boolean] = ACTIONS(3326),
    [anon_sym_string] = ACTIONS(3326),
    [anon_sym_symbol] = ACTIONS(3326),
    [anon_sym_object] = ACTIONS(3326),
    [anon_sym_abstract] = ACTIONS(3326),
    [anon_sym_interface] = ACTIONS(3326),
    [anon_sym_enum] = ACTIONS(3326),
    [sym_html_comment] = ACTIONS(5),
  },
  [1152] = {
    [sym_comment] = STATE(1152),
    [sym_identifier] = ACTIONS(3328),
    [anon_sym_export] = ACTIONS(3328),
    [anon_sym_default] = ACTIONS(3328),
    [anon_sym_type] = ACTIONS(3328),
    [anon_sym_namespace] = ACTIONS(3328),
    [anon_sym_LBRACE] = ACTIONS(3328),
    [anon_sym_RBRACE] = ACTIONS(3328),
    [anon_sym_typeof] = ACTIONS(3328),
    [anon_sym_import] = ACTIONS(3328),
    [anon_sym_var] = ACTIONS(3328),
    [anon_sym_let] = ACTIONS(3328),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_else] = ACTIONS(3328),
    [anon_sym_if] = ACTIONS(3328),
    [anon_sym_switch] = ACTIONS(3328),
    [anon_sym_for] = ACTIONS(3328),
    [anon_sym_LPAREN] = ACTIONS(3328),
    [anon_sym_await] = ACTIONS(3328),
    [anon_sym_while] = ACTIONS(3328),
    [anon_sym_do] = ACTIONS(3328),
    [anon_sym_try] = ACTIONS(3328),
    [anon_sym_with] = ACTIONS(3328),
    [anon_sym_break] = ACTIONS(3328),
    [anon_sym_continue] = ACTIONS(3328),
    [anon_sym_debugger] = ACTIONS(3328),
    [anon_sym_return] = ACTIONS(3328),
    [anon_sym_throw] = ACTIONS(3328),
    [anon_sym_SEMI] = ACTIONS(3328),
    [anon_sym_case] = ACTIONS(3328),
    [anon_sym_yield] = ACTIONS(3328),
    [anon_sym_LBRACK] = ACTIONS(3328),
    [anon_sym_LTtemplate_GT] = ACTIONS(3328),
    [anon_sym_class] = ACTIONS(3328),
    [anon_sym_async] = ACTIONS(3328),
    [anon_sym_function] = ACTIONS(3328),
    [anon_sym_new] = ACTIONS(3328),
    [anon_sym_using] = ACTIONS(3328),
    [anon_sym_PLUS] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3328),
    [anon_sym_SLASH] = ACTIONS(3328),
    [anon_sym_LT] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_void] = ACTIONS(3328),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_PLUS_PLUS] = ACTIONS(3328),
    [anon_sym_DASH_DASH] = ACTIONS(3328),
    [anon_sym_DQUOTE] = ACTIONS(3328),
    [anon_sym_SQUOTE] = ACTIONS(3328),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3328),
    [sym_number] = ACTIONS(3328),
    [sym_private_property_identifier] = ACTIONS(3328),
    [sym_this] = ACTIONS(3328),
    [sym_super] = ACTIONS(3328),
    [sym_true] = ACTIONS(3328),
    [sym_false] = ACTIONS(3328),
    [sym_null] = ACTIONS(3328),
    [sym_undefined] = ACTIONS(3328),
    [anon_sym_AT] = ACTIONS(3328),
    [anon_sym_static] = ACTIONS(3328),
    [anon_sym_readonly] = ACTIONS(3328),
    [anon_sym_get] = ACTIONS(3328),
    [anon_sym_set] = ACTIONS(3328),
    [anon_sym_declare] = ACTIONS(3328),
    [anon_sym_public] = ACTIONS(3328),
    [anon_sym_private] = ACTIONS(3328),
    [anon_sym_protected] = ACTIONS(3328),
    [anon_sym_override] = ACTIONS(3328),
    [anon_sym_module] = ACTIONS(3328),
    [anon_sym_any] = ACTIONS(3328),
    [anon_sym_number] = ACTIONS(3328),
    [anon_sym_boolean] = ACTIONS(3328),
    [anon_sym_string] = ACTIONS(3328),
    [anon_sym_symbol] = ACTIONS(3328),
    [anon_sym_object] = ACTIONS(3328),
    [anon_sym_abstract] = ACTIONS(3328),
    [anon_sym_interface] = ACTIONS(3328),
    [anon_sym_enum] = ACTIONS(3328),
    [sym_html_comment] = ACTIONS(5),
  },
  [1153] = {
    [sym_comment] = STATE(1153),
    [sym_identifier] = ACTIONS(3330),
    [anon_sym_export] = ACTIONS(3330),
    [anon_sym_default] = ACTIONS(3330),
    [anon_sym_type] = ACTIONS(3330),
    [anon_sym_namespace] = ACTIONS(3330),
    [anon_sym_LBRACE] = ACTIONS(3330),
    [anon_sym_RBRACE] = ACTIONS(3330),
    [anon_sym_typeof] = ACTIONS(3330),
    [anon_sym_import] = ACTIONS(3330),
    [anon_sym_var] = ACTIONS(3330),
    [anon_sym_let] = ACTIONS(3330),
    [anon_sym_const] = ACTIONS(3330),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_else] = ACTIONS(3330),
    [anon_sym_if] = ACTIONS(3330),
    [anon_sym_switch] = ACTIONS(3330),
    [anon_sym_for] = ACTIONS(3330),
    [anon_sym_LPAREN] = ACTIONS(3330),
    [anon_sym_await] = ACTIONS(3330),
    [anon_sym_while] = ACTIONS(3330),
    [anon_sym_do] = ACTIONS(3330),
    [anon_sym_try] = ACTIONS(3330),
    [anon_sym_with] = ACTIONS(3330),
    [anon_sym_break] = ACTIONS(3330),
    [anon_sym_continue] = ACTIONS(3330),
    [anon_sym_debugger] = ACTIONS(3330),
    [anon_sym_return] = ACTIONS(3330),
    [anon_sym_throw] = ACTIONS(3330),
    [anon_sym_SEMI] = ACTIONS(3330),
    [anon_sym_case] = ACTIONS(3330),
    [anon_sym_yield] = ACTIONS(3330),
    [anon_sym_LBRACK] = ACTIONS(3330),
    [anon_sym_LTtemplate_GT] = ACTIONS(3330),
    [anon_sym_class] = ACTIONS(3330),
    [anon_sym_async] = ACTIONS(3330),
    [anon_sym_function] = ACTIONS(3330),
    [anon_sym_new] = ACTIONS(3330),
    [anon_sym_using] = ACTIONS(3330),
    [anon_sym_PLUS] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3330),
    [anon_sym_SLASH] = ACTIONS(3330),
    [anon_sym_LT] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_void] = ACTIONS(3330),
    [anon_sym_delete] = ACTIONS(3330),
    [anon_sym_PLUS_PLUS] = ACTIONS(3330),
    [anon_sym_DASH_DASH] = ACTIONS(3330),
    [anon_sym_DQUOTE] = ACTIONS(3330),
    [anon_sym_SQUOTE] = ACTIONS(3330),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3330),
    [sym_number] = ACTIONS(3330),
    [sym_private_property_identifier] = ACTIONS(3330),
    [sym_this] = ACTIONS(3330),
    [sym_super] = ACTIONS(3330),
    [sym_true] = ACTIONS(3330),
    [sym_false] = ACTIONS(3330),
    [sym_null] = ACTIONS(3330),
    [sym_undefined] = ACTIONS(3330),
    [anon_sym_AT] = ACTIONS(3330),
    [anon_sym_static] = ACTIONS(3330),
    [anon_sym_readonly] = ACTIONS(3330),
    [anon_sym_get] = ACTIONS(3330),
    [anon_sym_set] = ACTIONS(3330),
    [anon_sym_declare] = ACTIONS(3330),
    [anon_sym_public] = ACTIONS(3330),
    [anon_sym_private] = ACTIONS(3330),
    [anon_sym_protected] = ACTIONS(3330),
    [anon_sym_override] = ACTIONS(3330),
    [anon_sym_module] = ACTIONS(3330),
    [anon_sym_any] = ACTIONS(3330),
    [anon_sym_number] = ACTIONS(3330),
    [anon_sym_boolean] = ACTIONS(3330),
    [anon_sym_string] = ACTIONS(3330),
    [anon_sym_symbol] = ACTIONS(3330),
    [anon_sym_object] = ACTIONS(3330),
    [anon_sym_abstract] = ACTIONS(3330),
    [anon_sym_interface] = ACTIONS(3330),
    [anon_sym_enum] = ACTIONS(3330),
    [sym_html_comment] = ACTIONS(5),
  },
  [1154] = {
    [sym_comment] = STATE(1154),
    [sym_identifier] = ACTIONS(3332),
    [anon_sym_export] = ACTIONS(3332),
    [anon_sym_default] = ACTIONS(3332),
    [anon_sym_type] = ACTIONS(3332),
    [anon_sym_namespace] = ACTIONS(3332),
    [anon_sym_LBRACE] = ACTIONS(3332),
    [anon_sym_RBRACE] = ACTIONS(3332),
    [anon_sym_typeof] = ACTIONS(3332),
    [anon_sym_import] = ACTIONS(3332),
    [anon_sym_var] = ACTIONS(3332),
    [anon_sym_let] = ACTIONS(3332),
    [anon_sym_const] = ACTIONS(3332),
    [anon_sym_BANG] = ACTIONS(3332),
    [anon_sym_else] = ACTIONS(3332),
    [anon_sym_if] = ACTIONS(3332),
    [anon_sym_switch] = ACTIONS(3332),
    [anon_sym_for] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(3332),
    [anon_sym_await] = ACTIONS(3332),
    [anon_sym_while] = ACTIONS(3332),
    [anon_sym_do] = ACTIONS(3332),
    [anon_sym_try] = ACTIONS(3332),
    [anon_sym_with] = ACTIONS(3332),
    [anon_sym_break] = ACTIONS(3332),
    [anon_sym_continue] = ACTIONS(3332),
    [anon_sym_debugger] = ACTIONS(3332),
    [anon_sym_return] = ACTIONS(3332),
    [anon_sym_throw] = ACTIONS(3332),
    [anon_sym_SEMI] = ACTIONS(3332),
    [anon_sym_case] = ACTIONS(3332),
    [anon_sym_yield] = ACTIONS(3332),
    [anon_sym_LBRACK] = ACTIONS(3332),
    [anon_sym_LTtemplate_GT] = ACTIONS(3332),
    [anon_sym_class] = ACTIONS(3332),
    [anon_sym_async] = ACTIONS(3332),
    [anon_sym_function] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3332),
    [anon_sym_using] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_SLASH] = ACTIONS(3332),
    [anon_sym_LT] = ACTIONS(3332),
    [anon_sym_TILDE] = ACTIONS(3332),
    [anon_sym_void] = ACTIONS(3332),
    [anon_sym_delete] = ACTIONS(3332),
    [anon_sym_PLUS_PLUS] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3332),
    [anon_sym_DQUOTE] = ACTIONS(3332),
    [anon_sym_SQUOTE] = ACTIONS(3332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3332),
    [sym_number] = ACTIONS(3332),
    [sym_private_property_identifier] = ACTIONS(3332),
    [sym_this] = ACTIONS(3332),
    [sym_super] = ACTIONS(3332),
    [sym_true] = ACTIONS(3332),
    [sym_false] = ACTIONS(3332),
    [sym_null] = ACTIONS(3332),
    [sym_undefined] = ACTIONS(3332),
    [anon_sym_AT] = ACTIONS(3332),
    [anon_sym_static] = ACTIONS(3332),
    [anon_sym_readonly] = ACTIONS(3332),
    [anon_sym_get] = ACTIONS(3332),
    [anon_sym_set] = ACTIONS(3332),
    [anon_sym_declare] = ACTIONS(3332),
    [anon_sym_public] = ACTIONS(3332),
    [anon_sym_private] = ACTIONS(3332),
    [anon_sym_protected] = ACTIONS(3332),
    [anon_sym_override] = ACTIONS(3332),
    [anon_sym_module] = ACTIONS(3332),
    [anon_sym_any] = ACTIONS(3332),
    [anon_sym_number] = ACTIONS(3332),
    [anon_sym_boolean] = ACTIONS(3332),
    [anon_sym_string] = ACTIONS(3332),
    [anon_sym_symbol] = ACTIONS(3332),
    [anon_sym_object] = ACTIONS(3332),
    [anon_sym_abstract] = ACTIONS(3332),
    [anon_sym_interface] = ACTIONS(3332),
    [anon_sym_enum] = ACTIONS(3332),
    [sym_html_comment] = ACTIONS(5),
  },
  [1155] = {
    [sym_comment] = STATE(1155),
    [ts_builtin_sym_end] = ACTIONS(2367),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_export] = ACTIONS(2213),
    [anon_sym_type] = ACTIONS(2213),
    [anon_sym_namespace] = ACTIONS(2213),
    [anon_sym_LBRACE] = ACTIONS(2213),
    [anon_sym_RBRACE] = ACTIONS(2213),
    [anon_sym_typeof] = ACTIONS(2213),
    [anon_sym_import] = ACTIONS(2213),
    [anon_sym_var] = ACTIONS(2213),
    [anon_sym_let] = ACTIONS(2213),
    [anon_sym_const] = ACTIONS(2213),
    [anon_sym_BANG] = ACTIONS(2213),
    [anon_sym_else] = ACTIONS(2213),
    [anon_sym_if] = ACTIONS(2213),
    [anon_sym_switch] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2213),
    [anon_sym_LPAREN] = ACTIONS(2213),
    [anon_sym_await] = ACTIONS(2213),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_do] = ACTIONS(2213),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_with] = ACTIONS(2213),
    [anon_sym_break] = ACTIONS(2213),
    [anon_sym_continue] = ACTIONS(2213),
    [anon_sym_debugger] = ACTIONS(2213),
    [anon_sym_return] = ACTIONS(2213),
    [anon_sym_throw] = ACTIONS(2213),
    [anon_sym_SEMI] = ACTIONS(2213),
    [anon_sym_yield] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(2213),
    [anon_sym_LTtemplate_GT] = ACTIONS(2213),
    [anon_sym_class] = ACTIONS(2213),
    [anon_sym_async] = ACTIONS(2213),
    [anon_sym_function] = ACTIONS(2213),
    [anon_sym_new] = ACTIONS(2213),
    [anon_sym_using] = ACTIONS(2213),
    [anon_sym_PLUS] = ACTIONS(2213),
    [anon_sym_DASH] = ACTIONS(2213),
    [anon_sym_SLASH] = ACTIONS(2213),
    [anon_sym_LT] = ACTIONS(2213),
    [anon_sym_TILDE] = ACTIONS(2213),
    [anon_sym_void] = ACTIONS(2213),
    [anon_sym_delete] = ACTIONS(2213),
    [anon_sym_PLUS_PLUS] = ACTIONS(2213),
    [anon_sym_DASH_DASH] = ACTIONS(2213),
    [anon_sym_DQUOTE] = ACTIONS(2213),
    [anon_sym_SQUOTE] = ACTIONS(2213),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2213),
    [sym_number] = ACTIONS(2213),
    [sym_private_property_identifier] = ACTIONS(2213),
    [sym_this] = ACTIONS(2213),
    [sym_super] = ACTIONS(2213),
    [sym_true] = ACTIONS(2213),
    [sym_false] = ACTIONS(2213),
    [sym_null] = ACTIONS(2213),
    [sym_undefined] = ACTIONS(2213),
    [anon_sym_AT] = ACTIONS(2213),
    [anon_sym_static] = ACTIONS(2213),
    [anon_sym_readonly] = ACTIONS(2213),
    [anon_sym_get] = ACTIONS(2213),
    [anon_sym_set] = ACTIONS(2213),
    [anon_sym_declare] = ACTIONS(2213),
    [anon_sym_public] = ACTIONS(2213),
    [anon_sym_private] = ACTIONS(2213),
    [anon_sym_protected] = ACTIONS(2213),
    [anon_sym_override] = ACTIONS(2213),
    [anon_sym_module] = ACTIONS(2213),
    [anon_sym_any] = ACTIONS(2213),
    [anon_sym_number] = ACTIONS(2213),
    [anon_sym_boolean] = ACTIONS(2213),
    [anon_sym_string] = ACTIONS(2213),
    [anon_sym_symbol] = ACTIONS(2213),
    [anon_sym_object] = ACTIONS(2213),
    [anon_sym_abstract] = ACTIONS(2213),
    [anon_sym_interface] = ACTIONS(2213),
    [anon_sym_enum] = ACTIONS(2213),
    [sym__automatic_semicolon] = ACTIONS(2369),
    [sym_html_comment] = ACTIONS(5),
  },
  [1156] = {
    [sym_comment] = STATE(1156),
    [ts_builtin_sym_end] = ACTIONS(2363),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_export] = ACTIONS(2205),
    [anon_sym_type] = ACTIONS(2205),
    [anon_sym_namespace] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2205),
    [anon_sym_RBRACE] = ACTIONS(2205),
    [anon_sym_typeof] = ACTIONS(2205),
    [anon_sym_import] = ACTIONS(2205),
    [anon_sym_var] = ACTIONS(2205),
    [anon_sym_let] = ACTIONS(2205),
    [anon_sym_const] = ACTIONS(2205),
    [anon_sym_BANG] = ACTIONS(2205),
    [anon_sym_else] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2205),
    [anon_sym_switch] = ACTIONS(2205),
    [anon_sym_for] = ACTIONS(2205),
    [anon_sym_LPAREN] = ACTIONS(2205),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_try] = ACTIONS(2205),
    [anon_sym_with] = ACTIONS(2205),
    [anon_sym_break] = ACTIONS(2205),
    [anon_sym_continue] = ACTIONS(2205),
    [anon_sym_debugger] = ACTIONS(2205),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2205),
    [anon_sym_SEMI] = ACTIONS(2205),
    [anon_sym_yield] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_LTtemplate_GT] = ACTIONS(2205),
    [anon_sym_class] = ACTIONS(2205),
    [anon_sym_async] = ACTIONS(2205),
    [anon_sym_function] = ACTIONS(2205),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_using] = ACTIONS(2205),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_SLASH] = ACTIONS(2205),
    [anon_sym_LT] = ACTIONS(2205),
    [anon_sym_TILDE] = ACTIONS(2205),
    [anon_sym_void] = ACTIONS(2205),
    [anon_sym_delete] = ACTIONS(2205),
    [anon_sym_PLUS_PLUS] = ACTIONS(2205),
    [anon_sym_DASH_DASH] = ACTIONS(2205),
    [anon_sym_DQUOTE] = ACTIONS(2205),
    [anon_sym_SQUOTE] = ACTIONS(2205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2205),
    [sym_number] = ACTIONS(2205),
    [sym_private_property_identifier] = ACTIONS(2205),
    [sym_this] = ACTIONS(2205),
    [sym_super] = ACTIONS(2205),
    [sym_true] = ACTIONS(2205),
    [sym_false] = ACTIONS(2205),
    [sym_null] = ACTIONS(2205),
    [sym_undefined] = ACTIONS(2205),
    [anon_sym_AT] = ACTIONS(2205),
    [anon_sym_static] = ACTIONS(2205),
    [anon_sym_readonly] = ACTIONS(2205),
    [anon_sym_get] = ACTIONS(2205),
    [anon_sym_set] = ACTIONS(2205),
    [anon_sym_declare] = ACTIONS(2205),
    [anon_sym_public] = ACTIONS(2205),
    [anon_sym_private] = ACTIONS(2205),
    [anon_sym_protected] = ACTIONS(2205),
    [anon_sym_override] = ACTIONS(2205),
    [anon_sym_module] = ACTIONS(2205),
    [anon_sym_any] = ACTIONS(2205),
    [anon_sym_number] = ACTIONS(2205),
    [anon_sym_boolean] = ACTIONS(2205),
    [anon_sym_string] = ACTIONS(2205),
    [anon_sym_symbol] = ACTIONS(2205),
    [anon_sym_object] = ACTIONS(2205),
    [anon_sym_abstract] = ACTIONS(2205),
    [anon_sym_interface] = ACTIONS(2205),
    [anon_sym_enum] = ACTIONS(2205),
    [sym__automatic_semicolon] = ACTIONS(2365),
    [sym_html_comment] = ACTIONS(5),
  },
  [1157] = {
    [sym_comment] = STATE(1157),
    [sym_identifier] = ACTIONS(3334),
    [anon_sym_export] = ACTIONS(3334),
    [anon_sym_default] = ACTIONS(3334),
    [anon_sym_type] = ACTIONS(3334),
    [anon_sym_namespace] = ACTIONS(3334),
    [anon_sym_LBRACE] = ACTIONS(3334),
    [anon_sym_RBRACE] = ACTIONS(3334),
    [anon_sym_typeof] = ACTIONS(3334),
    [anon_sym_import] = ACTIONS(3334),
    [anon_sym_var] = ACTIONS(3334),
    [anon_sym_let] = ACTIONS(3334),
    [anon_sym_const] = ACTIONS(3334),
    [anon_sym_BANG] = ACTIONS(3334),
    [anon_sym_else] = ACTIONS(3334),
    [anon_sym_if] = ACTIONS(3334),
    [anon_sym_switch] = ACTIONS(3334),
    [anon_sym_for] = ACTIONS(3334),
    [anon_sym_LPAREN] = ACTIONS(3334),
    [anon_sym_await] = ACTIONS(3334),
    [anon_sym_while] = ACTIONS(3334),
    [anon_sym_do] = ACTIONS(3334),
    [anon_sym_try] = ACTIONS(3334),
    [anon_sym_with] = ACTIONS(3334),
    [anon_sym_break] = ACTIONS(3334),
    [anon_sym_continue] = ACTIONS(3334),
    [anon_sym_debugger] = ACTIONS(3334),
    [anon_sym_return] = ACTIONS(3334),
    [anon_sym_throw] = ACTIONS(3334),
    [anon_sym_SEMI] = ACTIONS(3334),
    [anon_sym_case] = ACTIONS(3334),
    [anon_sym_yield] = ACTIONS(3334),
    [anon_sym_LBRACK] = ACTIONS(3334),
    [anon_sym_LTtemplate_GT] = ACTIONS(3334),
    [anon_sym_class] = ACTIONS(3334),
    [anon_sym_async] = ACTIONS(3334),
    [anon_sym_function] = ACTIONS(3334),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_using] = ACTIONS(3334),
    [anon_sym_PLUS] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3334),
    [anon_sym_SLASH] = ACTIONS(3334),
    [anon_sym_LT] = ACTIONS(3334),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_void] = ACTIONS(3334),
    [anon_sym_delete] = ACTIONS(3334),
    [anon_sym_PLUS_PLUS] = ACTIONS(3334),
    [anon_sym_DASH_DASH] = ACTIONS(3334),
    [anon_sym_DQUOTE] = ACTIONS(3334),
    [anon_sym_SQUOTE] = ACTIONS(3334),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3334),
    [sym_number] = ACTIONS(3334),
    [sym_private_property_identifier] = ACTIONS(3334),
    [sym_this] = ACTIONS(3334),
    [sym_super] = ACTIONS(3334),
    [sym_true] = ACTIONS(3334),
    [sym_false] = ACTIONS(3334),
    [sym_null] = ACTIONS(3334),
    [sym_undefined] = ACTIONS(3334),
    [anon_sym_AT] = ACTIONS(3334),
    [anon_sym_static] = ACTIONS(3334),
    [anon_sym_readonly] = ACTIONS(3334),
    [anon_sym_get] = ACTIONS(3334),
    [anon_sym_set] = ACTIONS(3334),
    [anon_sym_declare] = ACTIONS(3334),
    [anon_sym_public] = ACTIONS(3334),
    [anon_sym_private] = ACTIONS(3334),
    [anon_sym_protected] = ACTIONS(3334),
    [anon_sym_override] = ACTIONS(3334),
    [anon_sym_module] = ACTIONS(3334),
    [anon_sym_any] = ACTIONS(3334),
    [anon_sym_number] = ACTIONS(3334),
    [anon_sym_boolean] = ACTIONS(3334),
    [anon_sym_string] = ACTIONS(3334),
    [anon_sym_symbol] = ACTIONS(3334),
    [anon_sym_object] = ACTIONS(3334),
    [anon_sym_abstract] = ACTIONS(3334),
    [anon_sym_interface] = ACTIONS(3334),
    [anon_sym_enum] = ACTIONS(3334),
    [sym_html_comment] = ACTIONS(5),
  },
  [1158] = {
    [sym_comment] = STATE(1158),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1159] = {
    [sym_comment] = STATE(1159),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1160] = {
    [sym_comment] = STATE(1160),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1161] = {
    [sym_comment] = STATE(1161),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1162] = {
    [sym_comment] = STATE(1162),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1163] = {
    [sym_comment] = STATE(1163),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1164] = {
    [sym_comment] = STATE(1164),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1165] = {
    [sym_comment] = STATE(1165),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1166] = {
    [sym_comment] = STATE(1166),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1167] = {
    [sym_comment] = STATE(1167),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1168] = {
    [sym_comment] = STATE(1168),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1169] = {
    [sym_comment] = STATE(1169),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1170] = {
    [sym_comment] = STATE(1170),
    [ts_builtin_sym_end] = ACTIONS(2355),
    [sym_identifier] = ACTIONS(2077),
    [anon_sym_export] = ACTIONS(2077),
    [anon_sym_type] = ACTIONS(2077),
    [anon_sym_namespace] = ACTIONS(2077),
    [anon_sym_LBRACE] = ACTIONS(2077),
    [anon_sym_RBRACE] = ACTIONS(2077),
    [anon_sym_typeof] = ACTIONS(2077),
    [anon_sym_import] = ACTIONS(2077),
    [anon_sym_var] = ACTIONS(2077),
    [anon_sym_let] = ACTIONS(2077),
    [anon_sym_const] = ACTIONS(2077),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_else] = ACTIONS(2077),
    [anon_sym_if] = ACTIONS(2077),
    [anon_sym_switch] = ACTIONS(2077),
    [anon_sym_for] = ACTIONS(2077),
    [anon_sym_LPAREN] = ACTIONS(2077),
    [anon_sym_await] = ACTIONS(2077),
    [anon_sym_while] = ACTIONS(2077),
    [anon_sym_do] = ACTIONS(2077),
    [anon_sym_try] = ACTIONS(2077),
    [anon_sym_with] = ACTIONS(2077),
    [anon_sym_break] = ACTIONS(2077),
    [anon_sym_continue] = ACTIONS(2077),
    [anon_sym_debugger] = ACTIONS(2077),
    [anon_sym_return] = ACTIONS(2077),
    [anon_sym_throw] = ACTIONS(2077),
    [anon_sym_SEMI] = ACTIONS(2077),
    [anon_sym_yield] = ACTIONS(2077),
    [anon_sym_LBRACK] = ACTIONS(2077),
    [anon_sym_LTtemplate_GT] = ACTIONS(2077),
    [anon_sym_class] = ACTIONS(2077),
    [anon_sym_async] = ACTIONS(2077),
    [anon_sym_function] = ACTIONS(2077),
    [anon_sym_new] = ACTIONS(2077),
    [anon_sym_using] = ACTIONS(2077),
    [anon_sym_PLUS] = ACTIONS(2077),
    [anon_sym_DASH] = ACTIONS(2077),
    [anon_sym_SLASH] = ACTIONS(2077),
    [anon_sym_LT] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_void] = ACTIONS(2077),
    [anon_sym_delete] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_DQUOTE] = ACTIONS(2077),
    [anon_sym_SQUOTE] = ACTIONS(2077),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2077),
    [sym_number] = ACTIONS(2077),
    [sym_private_property_identifier] = ACTIONS(2077),
    [sym_this] = ACTIONS(2077),
    [sym_super] = ACTIONS(2077),
    [sym_true] = ACTIONS(2077),
    [sym_false] = ACTIONS(2077),
    [sym_null] = ACTIONS(2077),
    [sym_undefined] = ACTIONS(2077),
    [anon_sym_AT] = ACTIONS(2077),
    [anon_sym_static] = ACTIONS(2077),
    [anon_sym_readonly] = ACTIONS(2077),
    [anon_sym_get] = ACTIONS(2077),
    [anon_sym_set] = ACTIONS(2077),
    [anon_sym_declare] = ACTIONS(2077),
    [anon_sym_public] = ACTIONS(2077),
    [anon_sym_private] = ACTIONS(2077),
    [anon_sym_protected] = ACTIONS(2077),
    [anon_sym_override] = ACTIONS(2077),
    [anon_sym_module] = ACTIONS(2077),
    [anon_sym_any] = ACTIONS(2077),
    [anon_sym_number] = ACTIONS(2077),
    [anon_sym_boolean] = ACTIONS(2077),
    [anon_sym_string] = ACTIONS(2077),
    [anon_sym_symbol] = ACTIONS(2077),
    [anon_sym_object] = ACTIONS(2077),
    [anon_sym_abstract] = ACTIONS(2077),
    [anon_sym_interface] = ACTIONS(2077),
    [anon_sym_enum] = ACTIONS(2077),
    [sym__automatic_semicolon] = ACTIONS(2357),
    [sym_html_comment] = ACTIONS(5),
  },
  [1171] = {
    [sym_comment] = STATE(1171),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1172] = {
    [sym_comment] = STATE(1172),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1173] = {
    [sym_comment] = STATE(1173),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1174] = {
    [sym_comment] = STATE(1174),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1175] = {
    [sym_comment] = STATE(1175),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1176] = {
    [sym_comment] = STATE(1176),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1177] = {
    [sym_comment] = STATE(1177),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1178] = {
    [sym_comment] = STATE(1178),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1179] = {
    [sym_comment] = STATE(1179),
    [sym_identifier] = ACTIONS(3338),
    [anon_sym_export] = ACTIONS(3338),
    [anon_sym_default] = ACTIONS(3338),
    [anon_sym_type] = ACTIONS(3338),
    [anon_sym_namespace] = ACTIONS(3338),
    [anon_sym_LBRACE] = ACTIONS(3338),
    [anon_sym_RBRACE] = ACTIONS(3338),
    [anon_sym_typeof] = ACTIONS(3338),
    [anon_sym_import] = ACTIONS(3338),
    [anon_sym_var] = ACTIONS(3338),
    [anon_sym_let] = ACTIONS(3338),
    [anon_sym_const] = ACTIONS(3338),
    [anon_sym_BANG] = ACTIONS(3338),
    [anon_sym_else] = ACTIONS(3338),
    [anon_sym_if] = ACTIONS(3338),
    [anon_sym_switch] = ACTIONS(3338),
    [anon_sym_for] = ACTIONS(3338),
    [anon_sym_LPAREN] = ACTIONS(3338),
    [anon_sym_await] = ACTIONS(3338),
    [anon_sym_while] = ACTIONS(3338),
    [anon_sym_do] = ACTIONS(3338),
    [anon_sym_try] = ACTIONS(3338),
    [anon_sym_with] = ACTIONS(3338),
    [anon_sym_break] = ACTIONS(3338),
    [anon_sym_continue] = ACTIONS(3338),
    [anon_sym_debugger] = ACTIONS(3338),
    [anon_sym_return] = ACTIONS(3338),
    [anon_sym_throw] = ACTIONS(3338),
    [anon_sym_SEMI] = ACTIONS(3338),
    [anon_sym_case] = ACTIONS(3338),
    [anon_sym_yield] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(3338),
    [anon_sym_LTtemplate_GT] = ACTIONS(3338),
    [anon_sym_class] = ACTIONS(3338),
    [anon_sym_async] = ACTIONS(3338),
    [anon_sym_function] = ACTIONS(3338),
    [anon_sym_new] = ACTIONS(3338),
    [anon_sym_using] = ACTIONS(3338),
    [anon_sym_PLUS] = ACTIONS(3338),
    [anon_sym_DASH] = ACTIONS(3338),
    [anon_sym_SLASH] = ACTIONS(3338),
    [anon_sym_LT] = ACTIONS(3338),
    [anon_sym_TILDE] = ACTIONS(3338),
    [anon_sym_void] = ACTIONS(3338),
    [anon_sym_delete] = ACTIONS(3338),
    [anon_sym_PLUS_PLUS] = ACTIONS(3338),
    [anon_sym_DASH_DASH] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [anon_sym_SQUOTE] = ACTIONS(3338),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3338),
    [sym_number] = ACTIONS(3338),
    [sym_private_property_identifier] = ACTIONS(3338),
    [sym_this] = ACTIONS(3338),
    [sym_super] = ACTIONS(3338),
    [sym_true] = ACTIONS(3338),
    [sym_false] = ACTIONS(3338),
    [sym_null] = ACTIONS(3338),
    [sym_undefined] = ACTIONS(3338),
    [anon_sym_AT] = ACTIONS(3338),
    [anon_sym_static] = ACTIONS(3338),
    [anon_sym_readonly] = ACTIONS(3338),
    [anon_sym_get] = ACTIONS(3338),
    [anon_sym_set] = ACTIONS(3338),
    [anon_sym_declare] = ACTIONS(3338),
    [anon_sym_public] = ACTIONS(3338),
    [anon_sym_private] = ACTIONS(3338),
    [anon_sym_protected] = ACTIONS(3338),
    [anon_sym_override] = ACTIONS(3338),
    [anon_sym_module] = ACTIONS(3338),
    [anon_sym_any] = ACTIONS(3338),
    [anon_sym_number] = ACTIONS(3338),
    [anon_sym_boolean] = ACTIONS(3338),
    [anon_sym_string] = ACTIONS(3338),
    [anon_sym_symbol] = ACTIONS(3338),
    [anon_sym_object] = ACTIONS(3338),
    [anon_sym_abstract] = ACTIONS(3338),
    [anon_sym_interface] = ACTIONS(3338),
    [anon_sym_enum] = ACTIONS(3338),
    [sym_html_comment] = ACTIONS(5),
  },
  [1180] = {
    [sym_comment] = STATE(1180),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1181] = {
    [sym_comment] = STATE(1181),
    [ts_builtin_sym_end] = ACTIONS(3340),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_export] = ACTIONS(3140),
    [anon_sym_type] = ACTIONS(3140),
    [anon_sym_namespace] = ACTIONS(3140),
    [anon_sym_LBRACE] = ACTIONS(3140),
    [anon_sym_RBRACE] = ACTIONS(3140),
    [anon_sym_typeof] = ACTIONS(3140),
    [anon_sym_import] = ACTIONS(3140),
    [anon_sym_var] = ACTIONS(3140),
    [anon_sym_let] = ACTIONS(3140),
    [anon_sym_const] = ACTIONS(3140),
    [anon_sym_BANG] = ACTIONS(3140),
    [anon_sym_else] = ACTIONS(3140),
    [anon_sym_if] = ACTIONS(3140),
    [anon_sym_switch] = ACTIONS(3140),
    [anon_sym_for] = ACTIONS(3140),
    [anon_sym_LPAREN] = ACTIONS(3140),
    [anon_sym_await] = ACTIONS(3140),
    [anon_sym_while] = ACTIONS(3140),
    [anon_sym_do] = ACTIONS(3140),
    [anon_sym_try] = ACTIONS(3140),
    [anon_sym_with] = ACTIONS(3140),
    [anon_sym_break] = ACTIONS(3140),
    [anon_sym_continue] = ACTIONS(3140),
    [anon_sym_debugger] = ACTIONS(3140),
    [anon_sym_return] = ACTIONS(3140),
    [anon_sym_throw] = ACTIONS(3140),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym_yield] = ACTIONS(3140),
    [anon_sym_LBRACK] = ACTIONS(3140),
    [anon_sym_LTtemplate_GT] = ACTIONS(3140),
    [anon_sym_class] = ACTIONS(3140),
    [anon_sym_async] = ACTIONS(3140),
    [anon_sym_function] = ACTIONS(3140),
    [anon_sym_new] = ACTIONS(3140),
    [anon_sym_using] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_SLASH] = ACTIONS(3140),
    [anon_sym_LT] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_void] = ACTIONS(3140),
    [anon_sym_delete] = ACTIONS(3140),
    [anon_sym_PLUS_PLUS] = ACTIONS(3140),
    [anon_sym_DASH_DASH] = ACTIONS(3140),
    [anon_sym_DQUOTE] = ACTIONS(3140),
    [anon_sym_SQUOTE] = ACTIONS(3140),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3140),
    [sym_number] = ACTIONS(3140),
    [sym_private_property_identifier] = ACTIONS(3140),
    [sym_this] = ACTIONS(3140),
    [sym_super] = ACTIONS(3140),
    [sym_true] = ACTIONS(3140),
    [sym_false] = ACTIONS(3140),
    [sym_null] = ACTIONS(3140),
    [sym_undefined] = ACTIONS(3140),
    [anon_sym_AT] = ACTIONS(3140),
    [anon_sym_static] = ACTIONS(3140),
    [anon_sym_readonly] = ACTIONS(3140),
    [anon_sym_get] = ACTIONS(3140),
    [anon_sym_set] = ACTIONS(3140),
    [anon_sym_declare] = ACTIONS(3140),
    [anon_sym_public] = ACTIONS(3140),
    [anon_sym_private] = ACTIONS(3140),
    [anon_sym_protected] = ACTIONS(3140),
    [anon_sym_override] = ACTIONS(3140),
    [anon_sym_module] = ACTIONS(3140),
    [anon_sym_any] = ACTIONS(3140),
    [anon_sym_number] = ACTIONS(3140),
    [anon_sym_boolean] = ACTIONS(3140),
    [anon_sym_string] = ACTIONS(3140),
    [anon_sym_symbol] = ACTIONS(3140),
    [anon_sym_object] = ACTIONS(3140),
    [anon_sym_abstract] = ACTIONS(3140),
    [anon_sym_interface] = ACTIONS(3140),
    [anon_sym_enum] = ACTIONS(3140),
    [sym_html_comment] = ACTIONS(5),
  },
  [1182] = {
    [sym_comment] = STATE(1182),
    [sym_identifier] = ACTIONS(3136),
    [anon_sym_export] = ACTIONS(3136),
    [anon_sym_default] = ACTIONS(3136),
    [anon_sym_type] = ACTIONS(3136),
    [anon_sym_namespace] = ACTIONS(3136),
    [anon_sym_LBRACE] = ACTIONS(3136),
    [anon_sym_RBRACE] = ACTIONS(3136),
    [anon_sym_typeof] = ACTIONS(3136),
    [anon_sym_import] = ACTIONS(3136),
    [anon_sym_var] = ACTIONS(3136),
    [anon_sym_let] = ACTIONS(3136),
    [anon_sym_const] = ACTIONS(3136),
    [anon_sym_BANG] = ACTIONS(3136),
    [anon_sym_if] = ACTIONS(3136),
    [anon_sym_switch] = ACTIONS(3136),
    [anon_sym_for] = ACTIONS(3136),
    [anon_sym_LPAREN] = ACTIONS(3136),
    [anon_sym_await] = ACTIONS(3136),
    [anon_sym_while] = ACTIONS(3136),
    [anon_sym_do] = ACTIONS(3136),
    [anon_sym_try] = ACTIONS(3136),
    [anon_sym_with] = ACTIONS(3136),
    [anon_sym_break] = ACTIONS(3136),
    [anon_sym_continue] = ACTIONS(3136),
    [anon_sym_debugger] = ACTIONS(3136),
    [anon_sym_return] = ACTIONS(3136),
    [anon_sym_throw] = ACTIONS(3136),
    [anon_sym_SEMI] = ACTIONS(3136),
    [anon_sym_case] = ACTIONS(3136),
    [anon_sym_yield] = ACTIONS(3136),
    [anon_sym_LBRACK] = ACTIONS(3136),
    [anon_sym_LTtemplate_GT] = ACTIONS(3136),
    [anon_sym_class] = ACTIONS(3136),
    [anon_sym_async] = ACTIONS(3136),
    [anon_sym_function] = ACTIONS(3136),
    [anon_sym_new] = ACTIONS(3136),
    [anon_sym_using] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_SLASH] = ACTIONS(3136),
    [anon_sym_LT] = ACTIONS(3136),
    [anon_sym_TILDE] = ACTIONS(3136),
    [anon_sym_void] = ACTIONS(3136),
    [anon_sym_delete] = ACTIONS(3136),
    [anon_sym_PLUS_PLUS] = ACTIONS(3136),
    [anon_sym_DASH_DASH] = ACTIONS(3136),
    [anon_sym_DQUOTE] = ACTIONS(3136),
    [anon_sym_SQUOTE] = ACTIONS(3136),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3136),
    [sym_number] = ACTIONS(3136),
    [sym_private_property_identifier] = ACTIONS(3136),
    [sym_this] = ACTIONS(3136),
    [sym_super] = ACTIONS(3136),
    [sym_true] = ACTIONS(3136),
    [sym_false] = ACTIONS(3136),
    [sym_null] = ACTIONS(3136),
    [sym_undefined] = ACTIONS(3136),
    [anon_sym_AT] = ACTIONS(3136),
    [anon_sym_static] = ACTIONS(3136),
    [anon_sym_readonly] = ACTIONS(3136),
    [anon_sym_get] = ACTIONS(3136),
    [anon_sym_set] = ACTIONS(3136),
    [anon_sym_declare] = ACTIONS(3136),
    [anon_sym_public] = ACTIONS(3136),
    [anon_sym_private] = ACTIONS(3136),
    [anon_sym_protected] = ACTIONS(3136),
    [anon_sym_override] = ACTIONS(3136),
    [anon_sym_module] = ACTIONS(3136),
    [anon_sym_any] = ACTIONS(3136),
    [anon_sym_number] = ACTIONS(3136),
    [anon_sym_boolean] = ACTIONS(3136),
    [anon_sym_string] = ACTIONS(3136),
    [anon_sym_symbol] = ACTIONS(3136),
    [anon_sym_object] = ACTIONS(3136),
    [anon_sym_abstract] = ACTIONS(3136),
    [anon_sym_interface] = ACTIONS(3136),
    [anon_sym_enum] = ACTIONS(3136),
    [sym_html_comment] = ACTIONS(5),
  },
  [1183] = {
    [sym_comment] = STATE(1183),
    [ts_builtin_sym_end] = ACTIONS(3262),
    [sym_identifier] = ACTIONS(3066),
    [anon_sym_export] = ACTIONS(3066),
    [anon_sym_type] = ACTIONS(3066),
    [anon_sym_namespace] = ACTIONS(3066),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_RBRACE] = ACTIONS(3066),
    [anon_sym_typeof] = ACTIONS(3066),
    [anon_sym_import] = ACTIONS(3066),
    [anon_sym_var] = ACTIONS(3066),
    [anon_sym_let] = ACTIONS(3066),
    [anon_sym_const] = ACTIONS(3066),
    [anon_sym_BANG] = ACTIONS(3066),
    [anon_sym_if] = ACTIONS(3066),
    [anon_sym_switch] = ACTIONS(3066),
    [anon_sym_for] = ACTIONS(3066),
    [anon_sym_LPAREN] = ACTIONS(3066),
    [anon_sym_await] = ACTIONS(3066),
    [anon_sym_while] = ACTIONS(3066),
    [anon_sym_do] = ACTIONS(3066),
    [anon_sym_try] = ACTIONS(3066),
    [anon_sym_with] = ACTIONS(3066),
    [anon_sym_break] = ACTIONS(3066),
    [anon_sym_continue] = ACTIONS(3066),
    [anon_sym_debugger] = ACTIONS(3066),
    [anon_sym_return] = ACTIONS(3066),
    [anon_sym_throw] = ACTIONS(3066),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym_finally] = ACTIONS(3066),
    [anon_sym_yield] = ACTIONS(3066),
    [anon_sym_LBRACK] = ACTIONS(3066),
    [anon_sym_LTtemplate_GT] = ACTIONS(3066),
    [anon_sym_class] = ACTIONS(3066),
    [anon_sym_async] = ACTIONS(3066),
    [anon_sym_function] = ACTIONS(3066),
    [anon_sym_new] = ACTIONS(3066),
    [anon_sym_using] = ACTIONS(3066),
    [anon_sym_PLUS] = ACTIONS(3066),
    [anon_sym_DASH] = ACTIONS(3066),
    [anon_sym_SLASH] = ACTIONS(3066),
    [anon_sym_LT] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_void] = ACTIONS(3066),
    [anon_sym_delete] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_DQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3066),
    [sym_number] = ACTIONS(3066),
    [sym_private_property_identifier] = ACTIONS(3066),
    [sym_this] = ACTIONS(3066),
    [sym_super] = ACTIONS(3066),
    [sym_true] = ACTIONS(3066),
    [sym_false] = ACTIONS(3066),
    [sym_null] = ACTIONS(3066),
    [sym_undefined] = ACTIONS(3066),
    [anon_sym_AT] = ACTIONS(3066),
    [anon_sym_static] = ACTIONS(3066),
    [anon_sym_readonly] = ACTIONS(3066),
    [anon_sym_get] = ACTIONS(3066),
    [anon_sym_set] = ACTIONS(3066),
    [anon_sym_declare] = ACTIONS(3066),
    [anon_sym_public] = ACTIONS(3066),
    [anon_sym_private] = ACTIONS(3066),
    [anon_sym_protected] = ACTIONS(3066),
    [anon_sym_override] = ACTIONS(3066),
    [anon_sym_module] = ACTIONS(3066),
    [anon_sym_any] = ACTIONS(3066),
    [anon_sym_number] = ACTIONS(3066),
    [anon_sym_boolean] = ACTIONS(3066),
    [anon_sym_string] = ACTIONS(3066),
    [anon_sym_symbol] = ACTIONS(3066),
    [anon_sym_object] = ACTIONS(3066),
    [anon_sym_abstract] = ACTIONS(3066),
    [anon_sym_interface] = ACTIONS(3066),
    [anon_sym_enum] = ACTIONS(3066),
    [sym_html_comment] = ACTIONS(5),
  },
  [1184] = {
    [sym_comment] = STATE(1184),
    [ts_builtin_sym_end] = ACTIONS(2393),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_export] = ACTIONS(2259),
    [anon_sym_type] = ACTIONS(2259),
    [anon_sym_namespace] = ACTIONS(2259),
    [anon_sym_LBRACE] = ACTIONS(2259),
    [anon_sym_RBRACE] = ACTIONS(2259),
    [anon_sym_typeof] = ACTIONS(2259),
    [anon_sym_import] = ACTIONS(2259),
    [anon_sym_var] = ACTIONS(2259),
    [anon_sym_let] = ACTIONS(2259),
    [anon_sym_const] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2259),
    [anon_sym_if] = ACTIONS(2259),
    [anon_sym_switch] = ACTIONS(2259),
    [anon_sym_for] = ACTIONS(2259),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_while] = ACTIONS(2259),
    [anon_sym_do] = ACTIONS(2259),
    [anon_sym_try] = ACTIONS(2259),
    [anon_sym_with] = ACTIONS(2259),
    [anon_sym_break] = ACTIONS(2259),
    [anon_sym_continue] = ACTIONS(2259),
    [anon_sym_debugger] = ACTIONS(2259),
    [anon_sym_return] = ACTIONS(2259),
    [anon_sym_throw] = ACTIONS(2259),
    [anon_sym_SEMI] = ACTIONS(2259),
    [anon_sym_yield] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2259),
    [anon_sym_LTtemplate_GT] = ACTIONS(2259),
    [anon_sym_class] = ACTIONS(2259),
    [anon_sym_async] = ACTIONS(2259),
    [anon_sym_function] = ACTIONS(2259),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_using] = ACTIONS(2259),
    [anon_sym_PLUS] = ACTIONS(2259),
    [anon_sym_DASH] = ACTIONS(2259),
    [anon_sym_SLASH] = ACTIONS(2259),
    [anon_sym_LT] = ACTIONS(2259),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_void] = ACTIONS(2259),
    [anon_sym_delete] = ACTIONS(2259),
    [anon_sym_PLUS_PLUS] = ACTIONS(2259),
    [anon_sym_DASH_DASH] = ACTIONS(2259),
    [anon_sym_DQUOTE] = ACTIONS(2259),
    [anon_sym_SQUOTE] = ACTIONS(2259),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2259),
    [sym_number] = ACTIONS(2259),
    [sym_private_property_identifier] = ACTIONS(2259),
    [sym_this] = ACTIONS(2259),
    [sym_super] = ACTIONS(2259),
    [sym_true] = ACTIONS(2259),
    [sym_false] = ACTIONS(2259),
    [sym_null] = ACTIONS(2259),
    [sym_undefined] = ACTIONS(2259),
    [anon_sym_AT] = ACTIONS(2259),
    [anon_sym_static] = ACTIONS(2259),
    [anon_sym_readonly] = ACTIONS(2259),
    [anon_sym_get] = ACTIONS(2259),
    [anon_sym_set] = ACTIONS(2259),
    [anon_sym_declare] = ACTIONS(2259),
    [anon_sym_public] = ACTIONS(2259),
    [anon_sym_private] = ACTIONS(2259),
    [anon_sym_protected] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2259),
    [anon_sym_module] = ACTIONS(2259),
    [anon_sym_any] = ACTIONS(2259),
    [anon_sym_number] = ACTIONS(2259),
    [anon_sym_boolean] = ACTIONS(2259),
    [anon_sym_string] = ACTIONS(2259),
    [anon_sym_symbol] = ACTIONS(2259),
    [anon_sym_object] = ACTIONS(2259),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_interface] = ACTIONS(2259),
    [anon_sym_enum] = ACTIONS(2259),
    [sym__automatic_semicolon] = ACTIONS(2413),
    [sym_html_comment] = ACTIONS(5),
  },
  [1185] = {
    [sym_comment] = STATE(1185),
    [ts_builtin_sym_end] = ACTIONS(2389),
    [sym_identifier] = ACTIONS(2249),
    [anon_sym_export] = ACTIONS(2249),
    [anon_sym_type] = ACTIONS(2249),
    [anon_sym_namespace] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2249),
    [anon_sym_RBRACE] = ACTIONS(2249),
    [anon_sym_typeof] = ACTIONS(2249),
    [anon_sym_import] = ACTIONS(2249),
    [anon_sym_var] = ACTIONS(2249),
    [anon_sym_let] = ACTIONS(2249),
    [anon_sym_const] = ACTIONS(2249),
    [anon_sym_BANG] = ACTIONS(2249),
    [anon_sym_if] = ACTIONS(2249),
    [anon_sym_switch] = ACTIONS(2249),
    [anon_sym_for] = ACTIONS(2249),
    [anon_sym_LPAREN] = ACTIONS(2249),
    [anon_sym_await] = ACTIONS(2249),
    [anon_sym_while] = ACTIONS(2249),
    [anon_sym_do] = ACTIONS(2249),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_with] = ACTIONS(2249),
    [anon_sym_break] = ACTIONS(2249),
    [anon_sym_continue] = ACTIONS(2249),
    [anon_sym_debugger] = ACTIONS(2249),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_throw] = ACTIONS(2249),
    [anon_sym_SEMI] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2249),
    [anon_sym_LBRACK] = ACTIONS(2249),
    [anon_sym_LTtemplate_GT] = ACTIONS(2249),
    [anon_sym_class] = ACTIONS(2249),
    [anon_sym_async] = ACTIONS(2249),
    [anon_sym_function] = ACTIONS(2249),
    [anon_sym_new] = ACTIONS(2249),
    [anon_sym_using] = ACTIONS(2249),
    [anon_sym_PLUS] = ACTIONS(2249),
    [anon_sym_DASH] = ACTIONS(2249),
    [anon_sym_SLASH] = ACTIONS(2249),
    [anon_sym_LT] = ACTIONS(2249),
    [anon_sym_TILDE] = ACTIONS(2249),
    [anon_sym_void] = ACTIONS(2249),
    [anon_sym_delete] = ACTIONS(2249),
    [anon_sym_PLUS_PLUS] = ACTIONS(2249),
    [anon_sym_DASH_DASH] = ACTIONS(2249),
    [anon_sym_DQUOTE] = ACTIONS(2249),
    [anon_sym_SQUOTE] = ACTIONS(2249),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2249),
    [sym_number] = ACTIONS(2249),
    [sym_private_property_identifier] = ACTIONS(2249),
    [sym_this] = ACTIONS(2249),
    [sym_super] = ACTIONS(2249),
    [sym_true] = ACTIONS(2249),
    [sym_false] = ACTIONS(2249),
    [sym_null] = ACTIONS(2249),
    [sym_undefined] = ACTIONS(2249),
    [anon_sym_AT] = ACTIONS(2249),
    [anon_sym_static] = ACTIONS(2249),
    [anon_sym_readonly] = ACTIONS(2249),
    [anon_sym_get] = ACTIONS(2249),
    [anon_sym_set] = ACTIONS(2249),
    [anon_sym_declare] = ACTIONS(2249),
    [anon_sym_public] = ACTIONS(2249),
    [anon_sym_private] = ACTIONS(2249),
    [anon_sym_protected] = ACTIONS(2249),
    [anon_sym_override] = ACTIONS(2249),
    [anon_sym_module] = ACTIONS(2249),
    [anon_sym_any] = ACTIONS(2249),
    [anon_sym_number] = ACTIONS(2249),
    [anon_sym_boolean] = ACTIONS(2249),
    [anon_sym_string] = ACTIONS(2249),
    [anon_sym_symbol] = ACTIONS(2249),
    [anon_sym_object] = ACTIONS(2249),
    [anon_sym_abstract] = ACTIONS(2249),
    [anon_sym_interface] = ACTIONS(2249),
    [anon_sym_enum] = ACTIONS(2249),
    [sym__automatic_semicolon] = ACTIONS(2451),
    [sym_html_comment] = ACTIONS(5),
  },
  [1186] = {
    [sym_comment] = STATE(1186),
    [ts_builtin_sym_end] = ACTIONS(3252),
    [sym_identifier] = ACTIONS(3072),
    [anon_sym_export] = ACTIONS(3072),
    [anon_sym_type] = ACTIONS(3072),
    [anon_sym_namespace] = ACTIONS(3072),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_RBRACE] = ACTIONS(3072),
    [anon_sym_typeof] = ACTIONS(3072),
    [anon_sym_import] = ACTIONS(3072),
    [anon_sym_var] = ACTIONS(3072),
    [anon_sym_let] = ACTIONS(3072),
    [anon_sym_const] = ACTIONS(3072),
    [anon_sym_BANG] = ACTIONS(3072),
    [anon_sym_if] = ACTIONS(3072),
    [anon_sym_switch] = ACTIONS(3072),
    [anon_sym_for] = ACTIONS(3072),
    [anon_sym_LPAREN] = ACTIONS(3072),
    [anon_sym_await] = ACTIONS(3072),
    [anon_sym_while] = ACTIONS(3072),
    [anon_sym_do] = ACTIONS(3072),
    [anon_sym_try] = ACTIONS(3072),
    [anon_sym_with] = ACTIONS(3072),
    [anon_sym_break] = ACTIONS(3072),
    [anon_sym_continue] = ACTIONS(3072),
    [anon_sym_debugger] = ACTIONS(3072),
    [anon_sym_return] = ACTIONS(3072),
    [anon_sym_throw] = ACTIONS(3072),
    [anon_sym_SEMI] = ACTIONS(3072),
    [anon_sym_finally] = ACTIONS(3072),
    [anon_sym_yield] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_LTtemplate_GT] = ACTIONS(3072),
    [anon_sym_class] = ACTIONS(3072),
    [anon_sym_async] = ACTIONS(3072),
    [anon_sym_function] = ACTIONS(3072),
    [anon_sym_new] = ACTIONS(3072),
    [anon_sym_using] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3072),
    [anon_sym_DASH] = ACTIONS(3072),
    [anon_sym_SLASH] = ACTIONS(3072),
    [anon_sym_LT] = ACTIONS(3072),
    [anon_sym_TILDE] = ACTIONS(3072),
    [anon_sym_void] = ACTIONS(3072),
    [anon_sym_delete] = ACTIONS(3072),
    [anon_sym_PLUS_PLUS] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3072),
    [anon_sym_DQUOTE] = ACTIONS(3072),
    [anon_sym_SQUOTE] = ACTIONS(3072),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3072),
    [sym_number] = ACTIONS(3072),
    [sym_private_property_identifier] = ACTIONS(3072),
    [sym_this] = ACTIONS(3072),
    [sym_super] = ACTIONS(3072),
    [sym_true] = ACTIONS(3072),
    [sym_false] = ACTIONS(3072),
    [sym_null] = ACTIONS(3072),
    [sym_undefined] = ACTIONS(3072),
    [anon_sym_AT] = ACTIONS(3072),
    [anon_sym_static] = ACTIONS(3072),
    [anon_sym_readonly] = ACTIONS(3072),
    [anon_sym_get] = ACTIONS(3072),
    [anon_sym_set] = ACTIONS(3072),
    [anon_sym_declare] = ACTIONS(3072),
    [anon_sym_public] = ACTIONS(3072),
    [anon_sym_private] = ACTIONS(3072),
    [anon_sym_protected] = ACTIONS(3072),
    [anon_sym_override] = ACTIONS(3072),
    [anon_sym_module] = ACTIONS(3072),
    [anon_sym_any] = ACTIONS(3072),
    [anon_sym_number] = ACTIONS(3072),
    [anon_sym_boolean] = ACTIONS(3072),
    [anon_sym_string] = ACTIONS(3072),
    [anon_sym_symbol] = ACTIONS(3072),
    [anon_sym_object] = ACTIONS(3072),
    [anon_sym_abstract] = ACTIONS(3072),
    [anon_sym_interface] = ACTIONS(3072),
    [anon_sym_enum] = ACTIONS(3072),
    [sym_html_comment] = ACTIONS(5),
  },
  [1187] = {
    [sym_comment] = STATE(1187),
    [sym_identifier] = ACTIONS(3138),
    [anon_sym_export] = ACTIONS(3138),
    [anon_sym_default] = ACTIONS(3138),
    [anon_sym_type] = ACTIONS(3138),
    [anon_sym_namespace] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3138),
    [anon_sym_RBRACE] = ACTIONS(3138),
    [anon_sym_typeof] = ACTIONS(3138),
    [anon_sym_import] = ACTIONS(3138),
    [anon_sym_var] = ACTIONS(3138),
    [anon_sym_let] = ACTIONS(3138),
    [anon_sym_const] = ACTIONS(3138),
    [anon_sym_BANG] = ACTIONS(3138),
    [anon_sym_if] = ACTIONS(3138),
    [anon_sym_switch] = ACTIONS(3138),
    [anon_sym_for] = ACTIONS(3138),
    [anon_sym_LPAREN] = ACTIONS(3138),
    [anon_sym_await] = ACTIONS(3138),
    [anon_sym_while] = ACTIONS(3138),
    [anon_sym_do] = ACTIONS(3138),
    [anon_sym_try] = ACTIONS(3138),
    [anon_sym_with] = ACTIONS(3138),
    [anon_sym_break] = ACTIONS(3138),
    [anon_sym_continue] = ACTIONS(3138),
    [anon_sym_debugger] = ACTIONS(3138),
    [anon_sym_return] = ACTIONS(3138),
    [anon_sym_throw] = ACTIONS(3138),
    [anon_sym_SEMI] = ACTIONS(3138),
    [anon_sym_case] = ACTIONS(3138),
    [anon_sym_yield] = ACTIONS(3138),
    [anon_sym_LBRACK] = ACTIONS(3138),
    [anon_sym_LTtemplate_GT] = ACTIONS(3138),
    [anon_sym_class] = ACTIONS(3138),
    [anon_sym_async] = ACTIONS(3138),
    [anon_sym_function] = ACTIONS(3138),
    [anon_sym_new] = ACTIONS(3138),
    [anon_sym_using] = ACTIONS(3138),
    [anon_sym_PLUS] = ACTIONS(3138),
    [anon_sym_DASH] = ACTIONS(3138),
    [anon_sym_SLASH] = ACTIONS(3138),
    [anon_sym_LT] = ACTIONS(3138),
    [anon_sym_TILDE] = ACTIONS(3138),
    [anon_sym_void] = ACTIONS(3138),
    [anon_sym_delete] = ACTIONS(3138),
    [anon_sym_PLUS_PLUS] = ACTIONS(3138),
    [anon_sym_DASH_DASH] = ACTIONS(3138),
    [anon_sym_DQUOTE] = ACTIONS(3138),
    [anon_sym_SQUOTE] = ACTIONS(3138),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3138),
    [sym_number] = ACTIONS(3138),
    [sym_private_property_identifier] = ACTIONS(3138),
    [sym_this] = ACTIONS(3138),
    [sym_super] = ACTIONS(3138),
    [sym_true] = ACTIONS(3138),
    [sym_false] = ACTIONS(3138),
    [sym_null] = ACTIONS(3138),
    [sym_undefined] = ACTIONS(3138),
    [anon_sym_AT] = ACTIONS(3138),
    [anon_sym_static] = ACTIONS(3138),
    [anon_sym_readonly] = ACTIONS(3138),
    [anon_sym_get] = ACTIONS(3138),
    [anon_sym_set] = ACTIONS(3138),
    [anon_sym_declare] = ACTIONS(3138),
    [anon_sym_public] = ACTIONS(3138),
    [anon_sym_private] = ACTIONS(3138),
    [anon_sym_protected] = ACTIONS(3138),
    [anon_sym_override] = ACTIONS(3138),
    [anon_sym_module] = ACTIONS(3138),
    [anon_sym_any] = ACTIONS(3138),
    [anon_sym_number] = ACTIONS(3138),
    [anon_sym_boolean] = ACTIONS(3138),
    [anon_sym_string] = ACTIONS(3138),
    [anon_sym_symbol] = ACTIONS(3138),
    [anon_sym_object] = ACTIONS(3138),
    [anon_sym_abstract] = ACTIONS(3138),
    [anon_sym_interface] = ACTIONS(3138),
    [anon_sym_enum] = ACTIONS(3138),
    [sym_html_comment] = ACTIONS(5),
  },
  [1188] = {
    [sym_comment] = STATE(1188),
    [ts_builtin_sym_end] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2065),
    [anon_sym_export] = ACTIONS(2065),
    [anon_sym_type] = ACTIONS(2065),
    [anon_sym_namespace] = ACTIONS(2065),
    [anon_sym_LBRACE] = ACTIONS(2065),
    [anon_sym_RBRACE] = ACTIONS(2065),
    [anon_sym_typeof] = ACTIONS(2065),
    [anon_sym_import] = ACTIONS(2065),
    [anon_sym_var] = ACTIONS(2065),
    [anon_sym_let] = ACTIONS(2065),
    [anon_sym_const] = ACTIONS(2065),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_if] = ACTIONS(2065),
    [anon_sym_switch] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2065),
    [anon_sym_LPAREN] = ACTIONS(2065),
    [anon_sym_await] = ACTIONS(2065),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_do] = ACTIONS(2065),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_with] = ACTIONS(2065),
    [anon_sym_break] = ACTIONS(2065),
    [anon_sym_continue] = ACTIONS(2065),
    [anon_sym_debugger] = ACTIONS(2065),
    [anon_sym_return] = ACTIONS(2065),
    [anon_sym_throw] = ACTIONS(2065),
    [anon_sym_SEMI] = ACTIONS(2065),
    [anon_sym_yield] = ACTIONS(2065),
    [anon_sym_LBRACK] = ACTIONS(2065),
    [anon_sym_LTtemplate_GT] = ACTIONS(2065),
    [anon_sym_class] = ACTIONS(2065),
    [anon_sym_async] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2065),
    [anon_sym_new] = ACTIONS(2065),
    [anon_sym_using] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2065),
    [anon_sym_DASH] = ACTIONS(2065),
    [anon_sym_SLASH] = ACTIONS(2065),
    [anon_sym_LT] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_void] = ACTIONS(2065),
    [anon_sym_delete] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_DQUOTE] = ACTIONS(2065),
    [anon_sym_SQUOTE] = ACTIONS(2065),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2065),
    [sym_number] = ACTIONS(2065),
    [sym_private_property_identifier] = ACTIONS(2065),
    [sym_this] = ACTIONS(2065),
    [sym_super] = ACTIONS(2065),
    [sym_true] = ACTIONS(2065),
    [sym_false] = ACTIONS(2065),
    [sym_null] = ACTIONS(2065),
    [sym_undefined] = ACTIONS(2065),
    [anon_sym_AT] = ACTIONS(2065),
    [anon_sym_static] = ACTIONS(2065),
    [anon_sym_readonly] = ACTIONS(2065),
    [anon_sym_get] = ACTIONS(2065),
    [anon_sym_set] = ACTIONS(2065),
    [anon_sym_declare] = ACTIONS(2065),
    [anon_sym_public] = ACTIONS(2065),
    [anon_sym_private] = ACTIONS(2065),
    [anon_sym_protected] = ACTIONS(2065),
    [anon_sym_override] = ACTIONS(2065),
    [anon_sym_module] = ACTIONS(2065),
    [anon_sym_any] = ACTIONS(2065),
    [anon_sym_number] = ACTIONS(2065),
    [anon_sym_boolean] = ACTIONS(2065),
    [anon_sym_string] = ACTIONS(2065),
    [anon_sym_symbol] = ACTIONS(2065),
    [anon_sym_object] = ACTIONS(2065),
    [anon_sym_abstract] = ACTIONS(2065),
    [anon_sym_interface] = ACTIONS(2065),
    [anon_sym_enum] = ACTIONS(2065),
    [sym__automatic_semicolon] = ACTIONS(2335),
    [sym_html_comment] = ACTIONS(5),
  },
  [1189] = {
    [sym_comment] = STATE(1189),
    [sym_identifier] = ACTIONS(3342),
    [anon_sym_export] = ACTIONS(3342),
    [anon_sym_default] = ACTIONS(3342),
    [anon_sym_type] = ACTIONS(3342),
    [anon_sym_namespace] = ACTIONS(3342),
    [anon_sym_LBRACE] = ACTIONS(3342),
    [anon_sym_RBRACE] = ACTIONS(3342),
    [anon_sym_typeof] = ACTIONS(3342),
    [anon_sym_import] = ACTIONS(3342),
    [anon_sym_var] = ACTIONS(3342),
    [anon_sym_let] = ACTIONS(3342),
    [anon_sym_const] = ACTIONS(3342),
    [anon_sym_BANG] = ACTIONS(3342),
    [anon_sym_if] = ACTIONS(3342),
    [anon_sym_switch] = ACTIONS(3342),
    [anon_sym_for] = ACTIONS(3342),
    [anon_sym_LPAREN] = ACTIONS(3342),
    [anon_sym_await] = ACTIONS(3342),
    [anon_sym_while] = ACTIONS(3342),
    [anon_sym_do] = ACTIONS(3342),
    [anon_sym_try] = ACTIONS(3342),
    [anon_sym_with] = ACTIONS(3342),
    [anon_sym_break] = ACTIONS(3342),
    [anon_sym_continue] = ACTIONS(3342),
    [anon_sym_debugger] = ACTIONS(3342),
    [anon_sym_return] = ACTIONS(3342),
    [anon_sym_throw] = ACTIONS(3342),
    [anon_sym_SEMI] = ACTIONS(3342),
    [anon_sym_case] = ACTIONS(3342),
    [anon_sym_yield] = ACTIONS(3342),
    [anon_sym_LBRACK] = ACTIONS(3342),
    [anon_sym_LTtemplate_GT] = ACTIONS(3342),
    [anon_sym_class] = ACTIONS(3342),
    [anon_sym_async] = ACTIONS(3342),
    [anon_sym_function] = ACTIONS(3342),
    [anon_sym_new] = ACTIONS(3342),
    [anon_sym_using] = ACTIONS(3342),
    [anon_sym_PLUS] = ACTIONS(3342),
    [anon_sym_DASH] = ACTIONS(3342),
    [anon_sym_SLASH] = ACTIONS(3342),
    [anon_sym_LT] = ACTIONS(3342),
    [anon_sym_TILDE] = ACTIONS(3342),
    [anon_sym_void] = ACTIONS(3342),
    [anon_sym_delete] = ACTIONS(3342),
    [anon_sym_PLUS_PLUS] = ACTIONS(3342),
    [anon_sym_DASH_DASH] = ACTIONS(3342),
    [anon_sym_DQUOTE] = ACTIONS(3342),
    [anon_sym_SQUOTE] = ACTIONS(3342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3342),
    [sym_number] = ACTIONS(3342),
    [sym_private_property_identifier] = ACTIONS(3342),
    [sym_this] = ACTIONS(3342),
    [sym_super] = ACTIONS(3342),
    [sym_true] = ACTIONS(3342),
    [sym_false] = ACTIONS(3342),
    [sym_null] = ACTIONS(3342),
    [sym_undefined] = ACTIONS(3342),
    [anon_sym_AT] = ACTIONS(3342),
    [anon_sym_static] = ACTIONS(3342),
    [anon_sym_readonly] = ACTIONS(3342),
    [anon_sym_get] = ACTIONS(3342),
    [anon_sym_set] = ACTIONS(3342),
    [anon_sym_declare] = ACTIONS(3342),
    [anon_sym_public] = ACTIONS(3342),
    [anon_sym_private] = ACTIONS(3342),
    [anon_sym_protected] = ACTIONS(3342),
    [anon_sym_override] = ACTIONS(3342),
    [anon_sym_module] = ACTIONS(3342),
    [anon_sym_any] = ACTIONS(3342),
    [anon_sym_number] = ACTIONS(3342),
    [anon_sym_boolean] = ACTIONS(3342),
    [anon_sym_string] = ACTIONS(3342),
    [anon_sym_symbol] = ACTIONS(3342),
    [anon_sym_object] = ACTIONS(3342),
    [anon_sym_abstract] = ACTIONS(3342),
    [anon_sym_interface] = ACTIONS(3342),
    [anon_sym_enum] = ACTIONS(3342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1190] = {
    [sym_comment] = STATE(1190),
    [ts_builtin_sym_end] = ACTIONS(3344),
    [sym_identifier] = ACTIONS(3308),
    [anon_sym_export] = ACTIONS(3308),
    [anon_sym_type] = ACTIONS(3308),
    [anon_sym_namespace] = ACTIONS(3308),
    [anon_sym_LBRACE] = ACTIONS(3308),
    [anon_sym_RBRACE] = ACTIONS(3308),
    [anon_sym_typeof] = ACTIONS(3308),
    [anon_sym_import] = ACTIONS(3308),
    [anon_sym_var] = ACTIONS(3308),
    [anon_sym_let] = ACTIONS(3308),
    [anon_sym_const] = ACTIONS(3308),
    [anon_sym_BANG] = ACTIONS(3308),
    [anon_sym_else] = ACTIONS(3308),
    [anon_sym_if] = ACTIONS(3308),
    [anon_sym_switch] = ACTIONS(3308),
    [anon_sym_for] = ACTIONS(3308),
    [anon_sym_LPAREN] = ACTIONS(3308),
    [anon_sym_await] = ACTIONS(3308),
    [anon_sym_while] = ACTIONS(3308),
    [anon_sym_do] = ACTIONS(3308),
    [anon_sym_try] = ACTIONS(3308),
    [anon_sym_with] = ACTIONS(3308),
    [anon_sym_break] = ACTIONS(3308),
    [anon_sym_continue] = ACTIONS(3308),
    [anon_sym_debugger] = ACTIONS(3308),
    [anon_sym_return] = ACTIONS(3308),
    [anon_sym_throw] = ACTIONS(3308),
    [anon_sym_SEMI] = ACTIONS(3308),
    [anon_sym_yield] = ACTIONS(3308),
    [anon_sym_LBRACK] = ACTIONS(3308),
    [anon_sym_LTtemplate_GT] = ACTIONS(3308),
    [anon_sym_class] = ACTIONS(3308),
    [anon_sym_async] = ACTIONS(3308),
    [anon_sym_function] = ACTIONS(3308),
    [anon_sym_new] = ACTIONS(3308),
    [anon_sym_using] = ACTIONS(3308),
    [anon_sym_PLUS] = ACTIONS(3308),
    [anon_sym_DASH] = ACTIONS(3308),
    [anon_sym_SLASH] = ACTIONS(3308),
    [anon_sym_LT] = ACTIONS(3308),
    [anon_sym_TILDE] = ACTIONS(3308),
    [anon_sym_void] = ACTIONS(3308),
    [anon_sym_delete] = ACTIONS(3308),
    [anon_sym_PLUS_PLUS] = ACTIONS(3308),
    [anon_sym_DASH_DASH] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [anon_sym_SQUOTE] = ACTIONS(3308),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3308),
    [sym_number] = ACTIONS(3308),
    [sym_private_property_identifier] = ACTIONS(3308),
    [sym_this] = ACTIONS(3308),
    [sym_super] = ACTIONS(3308),
    [sym_true] = ACTIONS(3308),
    [sym_false] = ACTIONS(3308),
    [sym_null] = ACTIONS(3308),
    [sym_undefined] = ACTIONS(3308),
    [anon_sym_AT] = ACTIONS(3308),
    [anon_sym_static] = ACTIONS(3308),
    [anon_sym_readonly] = ACTIONS(3308),
    [anon_sym_get] = ACTIONS(3308),
    [anon_sym_set] = ACTIONS(3308),
    [anon_sym_declare] = ACTIONS(3308),
    [anon_sym_public] = ACTIONS(3308),
    [anon_sym_private] = ACTIONS(3308),
    [anon_sym_protected] = ACTIONS(3308),
    [anon_sym_override] = ACTIONS(3308),
    [anon_sym_module] = ACTIONS(3308),
    [anon_sym_any] = ACTIONS(3308),
    [anon_sym_number] = ACTIONS(3308),
    [anon_sym_boolean] = ACTIONS(3308),
    [anon_sym_string] = ACTIONS(3308),
    [anon_sym_symbol] = ACTIONS(3308),
    [anon_sym_object] = ACTIONS(3308),
    [anon_sym_abstract] = ACTIONS(3308),
    [anon_sym_interface] = ACTIONS(3308),
    [anon_sym_enum] = ACTIONS(3308),
    [sym_html_comment] = ACTIONS(5),
  },
  [1191] = {
    [sym_statement_block] = STATE(1679),
    [sym_comment] = STATE(1191),
    [ts_builtin_sym_end] = ACTIONS(2061),
    [sym_identifier] = ACTIONS(2055),
    [anon_sym_export] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(3116),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2055),
    [anon_sym_import] = ACTIONS(2055),
    [anon_sym_var] = ACTIONS(2055),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2055),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_if] = ACTIONS(2055),
    [anon_sym_switch] = ACTIONS(2055),
    [anon_sym_for] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2055),
    [anon_sym_while] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2055),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_with] = ACTIONS(2055),
    [anon_sym_break] = ACTIONS(2055),
    [anon_sym_continue] = ACTIONS(2055),
    [anon_sym_debugger] = ACTIONS(2055),
    [anon_sym_return] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_yield] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(2055),
    [anon_sym_class] = ACTIONS(2055),
    [anon_sym_async] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(2055),
    [anon_sym_using] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2055),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_private_property_identifier] = ACTIONS(2055),
    [sym_this] = ACTIONS(2055),
    [sym_super] = ACTIONS(2055),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_undefined] = ACTIONS(2055),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2055),
    [anon_sym_readonly] = ACTIONS(2055),
    [anon_sym_get] = ACTIONS(2055),
    [anon_sym_set] = ACTIONS(2055),
    [anon_sym_declare] = ACTIONS(2055),
    [anon_sym_public] = ACTIONS(2055),
    [anon_sym_private] = ACTIONS(2055),
    [anon_sym_protected] = ACTIONS(2055),
    [anon_sym_override] = ACTIONS(2055),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_any] = ACTIONS(2055),
    [anon_sym_number] = ACTIONS(2055),
    [anon_sym_boolean] = ACTIONS(2055),
    [anon_sym_string] = ACTIONS(2055),
    [anon_sym_symbol] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(2055),
    [anon_sym_abstract] = ACTIONS(2055),
    [anon_sym_interface] = ACTIONS(2055),
    [anon_sym_enum] = ACTIONS(2055),
    [sym_html_comment] = ACTIONS(5),
  },
  [1192] = {
    [sym_comment] = STATE(1192),
    [sym_identifier] = ACTIONS(3176),
    [anon_sym_export] = ACTIONS(3176),
    [anon_sym_default] = ACTIONS(3176),
    [anon_sym_type] = ACTIONS(3176),
    [anon_sym_namespace] = ACTIONS(3176),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_RBRACE] = ACTIONS(3176),
    [anon_sym_typeof] = ACTIONS(3176),
    [anon_sym_import] = ACTIONS(3176),
    [anon_sym_var] = ACTIONS(3176),
    [anon_sym_let] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3176),
    [anon_sym_BANG] = ACTIONS(3176),
    [anon_sym_if] = ACTIONS(3176),
    [anon_sym_switch] = ACTIONS(3176),
    [anon_sym_for] = ACTIONS(3176),
    [anon_sym_LPAREN] = ACTIONS(3176),
    [anon_sym_await] = ACTIONS(3176),
    [anon_sym_while] = ACTIONS(3176),
    [anon_sym_do] = ACTIONS(3176),
    [anon_sym_try] = ACTIONS(3176),
    [anon_sym_with] = ACTIONS(3176),
    [anon_sym_break] = ACTIONS(3176),
    [anon_sym_continue] = ACTIONS(3176),
    [anon_sym_debugger] = ACTIONS(3176),
    [anon_sym_return] = ACTIONS(3176),
    [anon_sym_throw] = ACTIONS(3176),
    [anon_sym_SEMI] = ACTIONS(3176),
    [anon_sym_case] = ACTIONS(3176),
    [anon_sym_yield] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_LTtemplate_GT] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_async] = ACTIONS(3176),
    [anon_sym_function] = ACTIONS(3176),
    [anon_sym_new] = ACTIONS(3176),
    [anon_sym_using] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3176),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_SLASH] = ACTIONS(3176),
    [anon_sym_LT] = ACTIONS(3176),
    [anon_sym_TILDE] = ACTIONS(3176),
    [anon_sym_void] = ACTIONS(3176),
    [anon_sym_delete] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [anon_sym_DQUOTE] = ACTIONS(3176),
    [anon_sym_SQUOTE] = ACTIONS(3176),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3176),
    [sym_number] = ACTIONS(3176),
    [sym_private_property_identifier] = ACTIONS(3176),
    [sym_this] = ACTIONS(3176),
    [sym_super] = ACTIONS(3176),
    [sym_true] = ACTIONS(3176),
    [sym_false] = ACTIONS(3176),
    [sym_null] = ACTIONS(3176),
    [sym_undefined] = ACTIONS(3176),
    [anon_sym_AT] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_readonly] = ACTIONS(3176),
    [anon_sym_get] = ACTIONS(3176),
    [anon_sym_set] = ACTIONS(3176),
    [anon_sym_declare] = ACTIONS(3176),
    [anon_sym_public] = ACTIONS(3176),
    [anon_sym_private] = ACTIONS(3176),
    [anon_sym_protected] = ACTIONS(3176),
    [anon_sym_override] = ACTIONS(3176),
    [anon_sym_module] = ACTIONS(3176),
    [anon_sym_any] = ACTIONS(3176),
    [anon_sym_number] = ACTIONS(3176),
    [anon_sym_boolean] = ACTIONS(3176),
    [anon_sym_string] = ACTIONS(3176),
    [anon_sym_symbol] = ACTIONS(3176),
    [anon_sym_object] = ACTIONS(3176),
    [anon_sym_abstract] = ACTIONS(3176),
    [anon_sym_interface] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [sym_html_comment] = ACTIONS(5),
  },
  [1193] = {
    [sym_comment] = STATE(1193),
    [ts_builtin_sym_end] = ACTIONS(2295),
    [sym_identifier] = ACTIONS(2155),
    [anon_sym_export] = ACTIONS(2155),
    [anon_sym_type] = ACTIONS(2155),
    [anon_sym_namespace] = ACTIONS(2155),
    [anon_sym_LBRACE] = ACTIONS(2155),
    [anon_sym_RBRACE] = ACTIONS(2155),
    [anon_sym_typeof] = ACTIONS(2155),
    [anon_sym_import] = ACTIONS(2155),
    [anon_sym_var] = ACTIONS(2155),
    [anon_sym_let] = ACTIONS(2155),
    [anon_sym_const] = ACTIONS(2155),
    [anon_sym_BANG] = ACTIONS(2155),
    [anon_sym_if] = ACTIONS(2155),
    [anon_sym_switch] = ACTIONS(2155),
    [anon_sym_for] = ACTIONS(2155),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_await] = ACTIONS(2155),
    [anon_sym_while] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(2155),
    [anon_sym_try] = ACTIONS(2155),
    [anon_sym_with] = ACTIONS(2155),
    [anon_sym_break] = ACTIONS(2155),
    [anon_sym_continue] = ACTIONS(2155),
    [anon_sym_debugger] = ACTIONS(2155),
    [anon_sym_return] = ACTIONS(2155),
    [anon_sym_throw] = ACTIONS(2155),
    [anon_sym_SEMI] = ACTIONS(2155),
    [anon_sym_yield] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2155),
    [anon_sym_LTtemplate_GT] = ACTIONS(2155),
    [anon_sym_class] = ACTIONS(2155),
    [anon_sym_async] = ACTIONS(2155),
    [anon_sym_function] = ACTIONS(2155),
    [anon_sym_new] = ACTIONS(2155),
    [anon_sym_using] = ACTIONS(2155),
    [anon_sym_PLUS] = ACTIONS(2155),
    [anon_sym_DASH] = ACTIONS(2155),
    [anon_sym_SLASH] = ACTIONS(2155),
    [anon_sym_LT] = ACTIONS(2155),
    [anon_sym_TILDE] = ACTIONS(2155),
    [anon_sym_void] = ACTIONS(2155),
    [anon_sym_delete] = ACTIONS(2155),
    [anon_sym_PLUS_PLUS] = ACTIONS(2155),
    [anon_sym_DASH_DASH] = ACTIONS(2155),
    [anon_sym_DQUOTE] = ACTIONS(2155),
    [anon_sym_SQUOTE] = ACTIONS(2155),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2155),
    [sym_number] = ACTIONS(2155),
    [sym_private_property_identifier] = ACTIONS(2155),
    [sym_this] = ACTIONS(2155),
    [sym_super] = ACTIONS(2155),
    [sym_true] = ACTIONS(2155),
    [sym_false] = ACTIONS(2155),
    [sym_null] = ACTIONS(2155),
    [sym_undefined] = ACTIONS(2155),
    [anon_sym_AT] = ACTIONS(2155),
    [anon_sym_static] = ACTIONS(2155),
    [anon_sym_readonly] = ACTIONS(2155),
    [anon_sym_get] = ACTIONS(2155),
    [anon_sym_set] = ACTIONS(2155),
    [anon_sym_declare] = ACTIONS(2155),
    [anon_sym_public] = ACTIONS(2155),
    [anon_sym_private] = ACTIONS(2155),
    [anon_sym_protected] = ACTIONS(2155),
    [anon_sym_override] = ACTIONS(2155),
    [anon_sym_module] = ACTIONS(2155),
    [anon_sym_any] = ACTIONS(2155),
    [anon_sym_number] = ACTIONS(2155),
    [anon_sym_boolean] = ACTIONS(2155),
    [anon_sym_string] = ACTIONS(2155),
    [anon_sym_symbol] = ACTIONS(2155),
    [anon_sym_object] = ACTIONS(2155),
    [anon_sym_abstract] = ACTIONS(2155),
    [anon_sym_interface] = ACTIONS(2155),
    [anon_sym_enum] = ACTIONS(2155),
    [sym__automatic_semicolon] = ACTIONS(2405),
    [sym_html_comment] = ACTIONS(5),
  },
  [1194] = {
    [sym_comment] = STATE(1194),
    [sym_identifier] = ACTIONS(3132),
    [anon_sym_export] = ACTIONS(3132),
    [anon_sym_default] = ACTIONS(3132),
    [anon_sym_type] = ACTIONS(3132),
    [anon_sym_namespace] = ACTIONS(3132),
    [anon_sym_LBRACE] = ACTIONS(3132),
    [anon_sym_RBRACE] = ACTIONS(3132),
    [anon_sym_typeof] = ACTIONS(3132),
    [anon_sym_import] = ACTIONS(3132),
    [anon_sym_var] = ACTIONS(3132),
    [anon_sym_let] = ACTIONS(3132),
    [anon_sym_const] = ACTIONS(3132),
    [anon_sym_BANG] = ACTIONS(3132),
    [anon_sym_if] = ACTIONS(3132),
    [anon_sym_switch] = ACTIONS(3132),
    [anon_sym_for] = ACTIONS(3132),
    [anon_sym_LPAREN] = ACTIONS(3132),
    [anon_sym_await] = ACTIONS(3132),
    [anon_sym_while] = ACTIONS(3132),
    [anon_sym_do] = ACTIONS(3132),
    [anon_sym_try] = ACTIONS(3132),
    [anon_sym_with] = ACTIONS(3132),
    [anon_sym_break] = ACTIONS(3132),
    [anon_sym_continue] = ACTIONS(3132),
    [anon_sym_debugger] = ACTIONS(3132),
    [anon_sym_return] = ACTIONS(3132),
    [anon_sym_throw] = ACTIONS(3132),
    [anon_sym_SEMI] = ACTIONS(3132),
    [anon_sym_case] = ACTIONS(3132),
    [anon_sym_yield] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_LTtemplate_GT] = ACTIONS(3132),
    [anon_sym_class] = ACTIONS(3132),
    [anon_sym_async] = ACTIONS(3132),
    [anon_sym_function] = ACTIONS(3132),
    [anon_sym_new] = ACTIONS(3132),
    [anon_sym_using] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_SLASH] = ACTIONS(3132),
    [anon_sym_LT] = ACTIONS(3132),
    [anon_sym_TILDE] = ACTIONS(3132),
    [anon_sym_void] = ACTIONS(3132),
    [anon_sym_delete] = ACTIONS(3132),
    [anon_sym_PLUS_PLUS] = ACTIONS(3132),
    [anon_sym_DASH_DASH] = ACTIONS(3132),
    [anon_sym_DQUOTE] = ACTIONS(3132),
    [anon_sym_SQUOTE] = ACTIONS(3132),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3132),
    [sym_number] = ACTIONS(3132),
    [sym_private_property_identifier] = ACTIONS(3132),
    [sym_this] = ACTIONS(3132),
    [sym_super] = ACTIONS(3132),
    [sym_true] = ACTIONS(3132),
    [sym_false] = ACTIONS(3132),
    [sym_null] = ACTIONS(3132),
    [sym_undefined] = ACTIONS(3132),
    [anon_sym_AT] = ACTIONS(3132),
    [anon_sym_static] = ACTIONS(3132),
    [anon_sym_readonly] = ACTIONS(3132),
    [anon_sym_get] = ACTIONS(3132),
    [anon_sym_set] = ACTIONS(3132),
    [anon_sym_declare] = ACTIONS(3132),
    [anon_sym_public] = ACTIONS(3132),
    [anon_sym_private] = ACTIONS(3132),
    [anon_sym_protected] = ACTIONS(3132),
    [anon_sym_override] = ACTIONS(3132),
    [anon_sym_module] = ACTIONS(3132),
    [anon_sym_any] = ACTIONS(3132),
    [anon_sym_number] = ACTIONS(3132),
    [anon_sym_boolean] = ACTIONS(3132),
    [anon_sym_string] = ACTIONS(3132),
    [anon_sym_symbol] = ACTIONS(3132),
    [anon_sym_object] = ACTIONS(3132),
    [anon_sym_abstract] = ACTIONS(3132),
    [anon_sym_interface] = ACTIONS(3132),
    [anon_sym_enum] = ACTIONS(3132),
    [sym_html_comment] = ACTIONS(5),
  },
  [1195] = {
    [sym_comment] = STATE(1195),
    [ts_builtin_sym_end] = ACTIONS(2275),
    [sym_identifier] = ACTIONS(2169),
    [anon_sym_export] = ACTIONS(2169),
    [anon_sym_type] = ACTIONS(2169),
    [anon_sym_namespace] = ACTIONS(2169),
    [anon_sym_LBRACE] = ACTIONS(2169),
    [anon_sym_RBRACE] = ACTIONS(2169),
    [anon_sym_typeof] = ACTIONS(2169),
    [anon_sym_import] = ACTIONS(2169),
    [anon_sym_var] = ACTIONS(2169),
    [anon_sym_let] = ACTIONS(2169),
    [anon_sym_const] = ACTIONS(2169),
    [anon_sym_BANG] = ACTIONS(2169),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_switch] = ACTIONS(2169),
    [anon_sym_for] = ACTIONS(2169),
    [anon_sym_LPAREN] = ACTIONS(2169),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_while] = ACTIONS(2169),
    [anon_sym_do] = ACTIONS(2169),
    [anon_sym_try] = ACTIONS(2169),
    [anon_sym_with] = ACTIONS(2169),
    [anon_sym_break] = ACTIONS(2169),
    [anon_sym_continue] = ACTIONS(2169),
    [anon_sym_debugger] = ACTIONS(2169),
    [anon_sym_return] = ACTIONS(2169),
    [anon_sym_throw] = ACTIONS(2169),
    [anon_sym_SEMI] = ACTIONS(2169),
    [anon_sym_yield] = ACTIONS(2169),
    [anon_sym_LBRACK] = ACTIONS(2169),
    [anon_sym_LTtemplate_GT] = ACTIONS(2169),
    [anon_sym_class] = ACTIONS(2169),
    [anon_sym_async] = ACTIONS(2169),
    [anon_sym_function] = ACTIONS(2169),
    [anon_sym_new] = ACTIONS(2169),
    [anon_sym_using] = ACTIONS(2169),
    [anon_sym_PLUS] = ACTIONS(2169),
    [anon_sym_DASH] = ACTIONS(2169),
    [anon_sym_SLASH] = ACTIONS(2169),
    [anon_sym_LT] = ACTIONS(2169),
    [anon_sym_TILDE] = ACTIONS(2169),
    [anon_sym_void] = ACTIONS(2169),
    [anon_sym_delete] = ACTIONS(2169),
    [anon_sym_PLUS_PLUS] = ACTIONS(2169),
    [anon_sym_DASH_DASH] = ACTIONS(2169),
    [anon_sym_DQUOTE] = ACTIONS(2169),
    [anon_sym_SQUOTE] = ACTIONS(2169),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2169),
    [sym_number] = ACTIONS(2169),
    [sym_private_property_identifier] = ACTIONS(2169),
    [sym_this] = ACTIONS(2169),
    [sym_super] = ACTIONS(2169),
    [sym_true] = ACTIONS(2169),
    [sym_false] = ACTIONS(2169),
    [sym_null] = ACTIONS(2169),
    [sym_undefined] = ACTIONS(2169),
    [anon_sym_AT] = ACTIONS(2169),
    [anon_sym_static] = ACTIONS(2169),
    [anon_sym_readonly] = ACTIONS(2169),
    [anon_sym_get] = ACTIONS(2169),
    [anon_sym_set] = ACTIONS(2169),
    [anon_sym_declare] = ACTIONS(2169),
    [anon_sym_public] = ACTIONS(2169),
    [anon_sym_private] = ACTIONS(2169),
    [anon_sym_protected] = ACTIONS(2169),
    [anon_sym_override] = ACTIONS(2169),
    [anon_sym_module] = ACTIONS(2169),
    [anon_sym_any] = ACTIONS(2169),
    [anon_sym_number] = ACTIONS(2169),
    [anon_sym_boolean] = ACTIONS(2169),
    [anon_sym_string] = ACTIONS(2169),
    [anon_sym_symbol] = ACTIONS(2169),
    [anon_sym_object] = ACTIONS(2169),
    [anon_sym_abstract] = ACTIONS(2169),
    [anon_sym_interface] = ACTIONS(2169),
    [anon_sym_enum] = ACTIONS(2169),
    [sym__automatic_semicolon] = ACTIONS(2453),
    [sym_html_comment] = ACTIONS(5),
  },
  [1196] = {
    [sym_comment] = STATE(1196),
    [sym_identifier] = ACTIONS(3124),
    [anon_sym_export] = ACTIONS(3124),
    [anon_sym_default] = ACTIONS(3124),
    [anon_sym_type] = ACTIONS(3124),
    [anon_sym_namespace] = ACTIONS(3124),
    [anon_sym_LBRACE] = ACTIONS(3124),
    [anon_sym_RBRACE] = ACTIONS(3124),
    [anon_sym_typeof] = ACTIONS(3124),
    [anon_sym_import] = ACTIONS(3124),
    [anon_sym_var] = ACTIONS(3124),
    [anon_sym_let] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_BANG] = ACTIONS(3124),
    [anon_sym_if] = ACTIONS(3124),
    [anon_sym_switch] = ACTIONS(3124),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3124),
    [anon_sym_await] = ACTIONS(3124),
    [anon_sym_while] = ACTIONS(3124),
    [anon_sym_do] = ACTIONS(3124),
    [anon_sym_try] = ACTIONS(3124),
    [anon_sym_with] = ACTIONS(3124),
    [anon_sym_break] = ACTIONS(3124),
    [anon_sym_continue] = ACTIONS(3124),
    [anon_sym_debugger] = ACTIONS(3124),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3124),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym_case] = ACTIONS(3124),
    [anon_sym_yield] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_LTtemplate_GT] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_async] = ACTIONS(3124),
    [anon_sym_function] = ACTIONS(3124),
    [anon_sym_new] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_void] = ACTIONS(3124),
    [anon_sym_delete] = ACTIONS(3124),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(3124),
    [anon_sym_SQUOTE] = ACTIONS(3124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3124),
    [sym_number] = ACTIONS(3124),
    [sym_private_property_identifier] = ACTIONS(3124),
    [sym_this] = ACTIONS(3124),
    [sym_super] = ACTIONS(3124),
    [sym_true] = ACTIONS(3124),
    [sym_false] = ACTIONS(3124),
    [sym_null] = ACTIONS(3124),
    [sym_undefined] = ACTIONS(3124),
    [anon_sym_AT] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_get] = ACTIONS(3124),
    [anon_sym_set] = ACTIONS(3124),
    [anon_sym_declare] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3124),
    [anon_sym_private] = ACTIONS(3124),
    [anon_sym_protected] = ACTIONS(3124),
    [anon_sym_override] = ACTIONS(3124),
    [anon_sym_module] = ACTIONS(3124),
    [anon_sym_any] = ACTIONS(3124),
    [anon_sym_number] = ACTIONS(3124),
    [anon_sym_boolean] = ACTIONS(3124),
    [anon_sym_string] = ACTIONS(3124),
    [anon_sym_symbol] = ACTIONS(3124),
    [anon_sym_object] = ACTIONS(3124),
    [anon_sym_abstract] = ACTIONS(3124),
    [anon_sym_interface] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1197] = {
    [sym_comment] = STATE(1197),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1198] = {
    [sym_comment] = STATE(1198),
    [sym_identifier] = ACTIONS(3124),
    [anon_sym_export] = ACTIONS(3124),
    [anon_sym_default] = ACTIONS(3124),
    [anon_sym_type] = ACTIONS(3124),
    [anon_sym_namespace] = ACTIONS(3124),
    [anon_sym_LBRACE] = ACTIONS(3124),
    [anon_sym_RBRACE] = ACTIONS(3124),
    [anon_sym_typeof] = ACTIONS(3124),
    [anon_sym_import] = ACTIONS(3124),
    [anon_sym_var] = ACTIONS(3124),
    [anon_sym_let] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_BANG] = ACTIONS(3124),
    [anon_sym_if] = ACTIONS(3124),
    [anon_sym_switch] = ACTIONS(3124),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3124),
    [anon_sym_await] = ACTIONS(3124),
    [anon_sym_while] = ACTIONS(3124),
    [anon_sym_do] = ACTIONS(3124),
    [anon_sym_try] = ACTIONS(3124),
    [anon_sym_with] = ACTIONS(3124),
    [anon_sym_break] = ACTIONS(3124),
    [anon_sym_continue] = ACTIONS(3124),
    [anon_sym_debugger] = ACTIONS(3124),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3124),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym_case] = ACTIONS(3124),
    [anon_sym_yield] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_LTtemplate_GT] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_async] = ACTIONS(3124),
    [anon_sym_function] = ACTIONS(3124),
    [anon_sym_new] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_void] = ACTIONS(3124),
    [anon_sym_delete] = ACTIONS(3124),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(3124),
    [anon_sym_SQUOTE] = ACTIONS(3124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3124),
    [sym_number] = ACTIONS(3124),
    [sym_private_property_identifier] = ACTIONS(3124),
    [sym_this] = ACTIONS(3124),
    [sym_super] = ACTIONS(3124),
    [sym_true] = ACTIONS(3124),
    [sym_false] = ACTIONS(3124),
    [sym_null] = ACTIONS(3124),
    [sym_undefined] = ACTIONS(3124),
    [anon_sym_AT] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_get] = ACTIONS(3124),
    [anon_sym_set] = ACTIONS(3124),
    [anon_sym_declare] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3124),
    [anon_sym_private] = ACTIONS(3124),
    [anon_sym_protected] = ACTIONS(3124),
    [anon_sym_override] = ACTIONS(3124),
    [anon_sym_module] = ACTIONS(3124),
    [anon_sym_any] = ACTIONS(3124),
    [anon_sym_number] = ACTIONS(3124),
    [anon_sym_boolean] = ACTIONS(3124),
    [anon_sym_string] = ACTIONS(3124),
    [anon_sym_symbol] = ACTIONS(3124),
    [anon_sym_object] = ACTIONS(3124),
    [anon_sym_abstract] = ACTIONS(3124),
    [anon_sym_interface] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1199] = {
    [sym_comment] = STATE(1199),
    [ts_builtin_sym_end] = ACTIONS(2323),
    [sym_identifier] = ACTIONS(2177),
    [anon_sym_export] = ACTIONS(2177),
    [anon_sym_type] = ACTIONS(2177),
    [anon_sym_namespace] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(2177),
    [anon_sym_RBRACE] = ACTIONS(2177),
    [anon_sym_typeof] = ACTIONS(2177),
    [anon_sym_import] = ACTIONS(2177),
    [anon_sym_var] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2177),
    [anon_sym_const] = ACTIONS(2177),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_if] = ACTIONS(2177),
    [anon_sym_switch] = ACTIONS(2177),
    [anon_sym_for] = ACTIONS(2177),
    [anon_sym_LPAREN] = ACTIONS(2177),
    [anon_sym_await] = ACTIONS(2177),
    [anon_sym_while] = ACTIONS(2177),
    [anon_sym_do] = ACTIONS(2177),
    [anon_sym_try] = ACTIONS(2177),
    [anon_sym_with] = ACTIONS(2177),
    [anon_sym_break] = ACTIONS(2177),
    [anon_sym_continue] = ACTIONS(2177),
    [anon_sym_debugger] = ACTIONS(2177),
    [anon_sym_return] = ACTIONS(2177),
    [anon_sym_throw] = ACTIONS(2177),
    [anon_sym_SEMI] = ACTIONS(2177),
    [anon_sym_yield] = ACTIONS(2177),
    [anon_sym_LBRACK] = ACTIONS(2177),
    [anon_sym_LTtemplate_GT] = ACTIONS(2177),
    [anon_sym_class] = ACTIONS(2177),
    [anon_sym_async] = ACTIONS(2177),
    [anon_sym_function] = ACTIONS(2177),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_using] = ACTIONS(2177),
    [anon_sym_PLUS] = ACTIONS(2177),
    [anon_sym_DASH] = ACTIONS(2177),
    [anon_sym_SLASH] = ACTIONS(2177),
    [anon_sym_LT] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [anon_sym_void] = ACTIONS(2177),
    [anon_sym_delete] = ACTIONS(2177),
    [anon_sym_PLUS_PLUS] = ACTIONS(2177),
    [anon_sym_DASH_DASH] = ACTIONS(2177),
    [anon_sym_DQUOTE] = ACTIONS(2177),
    [anon_sym_SQUOTE] = ACTIONS(2177),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2177),
    [sym_number] = ACTIONS(2177),
    [sym_private_property_identifier] = ACTIONS(2177),
    [sym_this] = ACTIONS(2177),
    [sym_super] = ACTIONS(2177),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [sym_null] = ACTIONS(2177),
    [sym_undefined] = ACTIONS(2177),
    [anon_sym_AT] = ACTIONS(2177),
    [anon_sym_static] = ACTIONS(2177),
    [anon_sym_readonly] = ACTIONS(2177),
    [anon_sym_get] = ACTIONS(2177),
    [anon_sym_set] = ACTIONS(2177),
    [anon_sym_declare] = ACTIONS(2177),
    [anon_sym_public] = ACTIONS(2177),
    [anon_sym_private] = ACTIONS(2177),
    [anon_sym_protected] = ACTIONS(2177),
    [anon_sym_override] = ACTIONS(2177),
    [anon_sym_module] = ACTIONS(2177),
    [anon_sym_any] = ACTIONS(2177),
    [anon_sym_number] = ACTIONS(2177),
    [anon_sym_boolean] = ACTIONS(2177),
    [anon_sym_string] = ACTIONS(2177),
    [anon_sym_symbol] = ACTIONS(2177),
    [anon_sym_object] = ACTIONS(2177),
    [anon_sym_abstract] = ACTIONS(2177),
    [anon_sym_interface] = ACTIONS(2177),
    [anon_sym_enum] = ACTIONS(2177),
    [sym__automatic_semicolon] = ACTIONS(2417),
    [sym_html_comment] = ACTIONS(5),
  },
  [1200] = {
    [sym_comment] = STATE(1200),
    [sym_identifier] = ACTIONS(3156),
    [anon_sym_export] = ACTIONS(3156),
    [anon_sym_default] = ACTIONS(3156),
    [anon_sym_type] = ACTIONS(3156),
    [anon_sym_namespace] = ACTIONS(3156),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_RBRACE] = ACTIONS(3156),
    [anon_sym_typeof] = ACTIONS(3156),
    [anon_sym_import] = ACTIONS(3156),
    [anon_sym_var] = ACTIONS(3156),
    [anon_sym_let] = ACTIONS(3156),
    [anon_sym_const] = ACTIONS(3156),
    [anon_sym_BANG] = ACTIONS(3156),
    [anon_sym_if] = ACTIONS(3156),
    [anon_sym_switch] = ACTIONS(3156),
    [anon_sym_for] = ACTIONS(3156),
    [anon_sym_LPAREN] = ACTIONS(3156),
    [anon_sym_await] = ACTIONS(3156),
    [anon_sym_while] = ACTIONS(3156),
    [anon_sym_do] = ACTIONS(3156),
    [anon_sym_try] = ACTIONS(3156),
    [anon_sym_with] = ACTIONS(3156),
    [anon_sym_break] = ACTIONS(3156),
    [anon_sym_continue] = ACTIONS(3156),
    [anon_sym_debugger] = ACTIONS(3156),
    [anon_sym_return] = ACTIONS(3156),
    [anon_sym_throw] = ACTIONS(3156),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym_case] = ACTIONS(3156),
    [anon_sym_yield] = ACTIONS(3156),
    [anon_sym_LBRACK] = ACTIONS(3156),
    [anon_sym_LTtemplate_GT] = ACTIONS(3156),
    [anon_sym_class] = ACTIONS(3156),
    [anon_sym_async] = ACTIONS(3156),
    [anon_sym_function] = ACTIONS(3156),
    [anon_sym_new] = ACTIONS(3156),
    [anon_sym_using] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3156),
    [anon_sym_DASH] = ACTIONS(3156),
    [anon_sym_SLASH] = ACTIONS(3156),
    [anon_sym_LT] = ACTIONS(3156),
    [anon_sym_TILDE] = ACTIONS(3156),
    [anon_sym_void] = ACTIONS(3156),
    [anon_sym_delete] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [anon_sym_DQUOTE] = ACTIONS(3156),
    [anon_sym_SQUOTE] = ACTIONS(3156),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3156),
    [sym_number] = ACTIONS(3156),
    [sym_private_property_identifier] = ACTIONS(3156),
    [sym_this] = ACTIONS(3156),
    [sym_super] = ACTIONS(3156),
    [sym_true] = ACTIONS(3156),
    [sym_false] = ACTIONS(3156),
    [sym_null] = ACTIONS(3156),
    [sym_undefined] = ACTIONS(3156),
    [anon_sym_AT] = ACTIONS(3156),
    [anon_sym_static] = ACTIONS(3156),
    [anon_sym_readonly] = ACTIONS(3156),
    [anon_sym_get] = ACTIONS(3156),
    [anon_sym_set] = ACTIONS(3156),
    [anon_sym_declare] = ACTIONS(3156),
    [anon_sym_public] = ACTIONS(3156),
    [anon_sym_private] = ACTIONS(3156),
    [anon_sym_protected] = ACTIONS(3156),
    [anon_sym_override] = ACTIONS(3156),
    [anon_sym_module] = ACTIONS(3156),
    [anon_sym_any] = ACTIONS(3156),
    [anon_sym_number] = ACTIONS(3156),
    [anon_sym_boolean] = ACTIONS(3156),
    [anon_sym_string] = ACTIONS(3156),
    [anon_sym_symbol] = ACTIONS(3156),
    [anon_sym_object] = ACTIONS(3156),
    [anon_sym_abstract] = ACTIONS(3156),
    [anon_sym_interface] = ACTIONS(3156),
    [anon_sym_enum] = ACTIONS(3156),
    [sym_html_comment] = ACTIONS(5),
  },
  [1201] = {
    [sym_comment] = STATE(1201),
    [ts_builtin_sym_end] = ACTIONS(2337),
    [sym_identifier] = ACTIONS(2185),
    [anon_sym_export] = ACTIONS(2185),
    [anon_sym_type] = ACTIONS(2185),
    [anon_sym_namespace] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2185),
    [anon_sym_RBRACE] = ACTIONS(2185),
    [anon_sym_typeof] = ACTIONS(2185),
    [anon_sym_import] = ACTIONS(2185),
    [anon_sym_var] = ACTIONS(2185),
    [anon_sym_let] = ACTIONS(2185),
    [anon_sym_const] = ACTIONS(2185),
    [anon_sym_BANG] = ACTIONS(2185),
    [anon_sym_if] = ACTIONS(2185),
    [anon_sym_switch] = ACTIONS(2185),
    [anon_sym_for] = ACTIONS(2185),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_while] = ACTIONS(2185),
    [anon_sym_do] = ACTIONS(2185),
    [anon_sym_try] = ACTIONS(2185),
    [anon_sym_with] = ACTIONS(2185),
    [anon_sym_break] = ACTIONS(2185),
    [anon_sym_continue] = ACTIONS(2185),
    [anon_sym_debugger] = ACTIONS(2185),
    [anon_sym_return] = ACTIONS(2185),
    [anon_sym_throw] = ACTIONS(2185),
    [anon_sym_SEMI] = ACTIONS(2185),
    [anon_sym_yield] = ACTIONS(2185),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_LTtemplate_GT] = ACTIONS(2185),
    [anon_sym_class] = ACTIONS(2185),
    [anon_sym_async] = ACTIONS(2185),
    [anon_sym_function] = ACTIONS(2185),
    [anon_sym_new] = ACTIONS(2185),
    [anon_sym_using] = ACTIONS(2185),
    [anon_sym_PLUS] = ACTIONS(2185),
    [anon_sym_DASH] = ACTIONS(2185),
    [anon_sym_SLASH] = ACTIONS(2185),
    [anon_sym_LT] = ACTIONS(2185),
    [anon_sym_TILDE] = ACTIONS(2185),
    [anon_sym_void] = ACTIONS(2185),
    [anon_sym_delete] = ACTIONS(2185),
    [anon_sym_PLUS_PLUS] = ACTIONS(2185),
    [anon_sym_DASH_DASH] = ACTIONS(2185),
    [anon_sym_DQUOTE] = ACTIONS(2185),
    [anon_sym_SQUOTE] = ACTIONS(2185),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2185),
    [sym_number] = ACTIONS(2185),
    [sym_private_property_identifier] = ACTIONS(2185),
    [sym_this] = ACTIONS(2185),
    [sym_super] = ACTIONS(2185),
    [sym_true] = ACTIONS(2185),
    [sym_false] = ACTIONS(2185),
    [sym_null] = ACTIONS(2185),
    [sym_undefined] = ACTIONS(2185),
    [anon_sym_AT] = ACTIONS(2185),
    [anon_sym_static] = ACTIONS(2185),
    [anon_sym_readonly] = ACTIONS(2185),
    [anon_sym_get] = ACTIONS(2185),
    [anon_sym_set] = ACTIONS(2185),
    [anon_sym_declare] = ACTIONS(2185),
    [anon_sym_public] = ACTIONS(2185),
    [anon_sym_private] = ACTIONS(2185),
    [anon_sym_protected] = ACTIONS(2185),
    [anon_sym_override] = ACTIONS(2185),
    [anon_sym_module] = ACTIONS(2185),
    [anon_sym_any] = ACTIONS(2185),
    [anon_sym_number] = ACTIONS(2185),
    [anon_sym_boolean] = ACTIONS(2185),
    [anon_sym_string] = ACTIONS(2185),
    [anon_sym_symbol] = ACTIONS(2185),
    [anon_sym_object] = ACTIONS(2185),
    [anon_sym_abstract] = ACTIONS(2185),
    [anon_sym_interface] = ACTIONS(2185),
    [anon_sym_enum] = ACTIONS(2185),
    [sym__automatic_semicolon] = ACTIONS(2407),
    [sym_html_comment] = ACTIONS(5),
  },
  [1202] = {
    [sym_comment] = STATE(1202),
    [ts_builtin_sym_end] = ACTIONS(2143),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_RBRACE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LTtemplate_GT] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_using] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_LT] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [sym_private_property_identifier] = ACTIONS(2141),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_object] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
    [sym__automatic_semicolon] = ACTIONS(3346),
    [sym_html_comment] = ACTIONS(5),
  },
  [1203] = {
    [sym_comment] = STATE(1203),
    [ts_builtin_sym_end] = ACTIONS(3348),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1204] = {
    [sym_comment] = STATE(1204),
    [sym_identifier] = ACTIONS(3130),
    [anon_sym_export] = ACTIONS(3130),
    [anon_sym_default] = ACTIONS(3130),
    [anon_sym_type] = ACTIONS(3130),
    [anon_sym_namespace] = ACTIONS(3130),
    [anon_sym_LBRACE] = ACTIONS(3130),
    [anon_sym_RBRACE] = ACTIONS(3130),
    [anon_sym_typeof] = ACTIONS(3130),
    [anon_sym_import] = ACTIONS(3130),
    [anon_sym_var] = ACTIONS(3130),
    [anon_sym_let] = ACTIONS(3130),
    [anon_sym_const] = ACTIONS(3130),
    [anon_sym_BANG] = ACTIONS(3130),
    [anon_sym_if] = ACTIONS(3130),
    [anon_sym_switch] = ACTIONS(3130),
    [anon_sym_for] = ACTIONS(3130),
    [anon_sym_LPAREN] = ACTIONS(3130),
    [anon_sym_await] = ACTIONS(3130),
    [anon_sym_while] = ACTIONS(3130),
    [anon_sym_do] = ACTIONS(3130),
    [anon_sym_try] = ACTIONS(3130),
    [anon_sym_with] = ACTIONS(3130),
    [anon_sym_break] = ACTIONS(3130),
    [anon_sym_continue] = ACTIONS(3130),
    [anon_sym_debugger] = ACTIONS(3130),
    [anon_sym_return] = ACTIONS(3130),
    [anon_sym_throw] = ACTIONS(3130),
    [anon_sym_SEMI] = ACTIONS(3130),
    [anon_sym_case] = ACTIONS(3130),
    [anon_sym_yield] = ACTIONS(3130),
    [anon_sym_LBRACK] = ACTIONS(3130),
    [anon_sym_LTtemplate_GT] = ACTIONS(3130),
    [anon_sym_class] = ACTIONS(3130),
    [anon_sym_async] = ACTIONS(3130),
    [anon_sym_function] = ACTIONS(3130),
    [anon_sym_new] = ACTIONS(3130),
    [anon_sym_using] = ACTIONS(3130),
    [anon_sym_PLUS] = ACTIONS(3130),
    [anon_sym_DASH] = ACTIONS(3130),
    [anon_sym_SLASH] = ACTIONS(3130),
    [anon_sym_LT] = ACTIONS(3130),
    [anon_sym_TILDE] = ACTIONS(3130),
    [anon_sym_void] = ACTIONS(3130),
    [anon_sym_delete] = ACTIONS(3130),
    [anon_sym_PLUS_PLUS] = ACTIONS(3130),
    [anon_sym_DASH_DASH] = ACTIONS(3130),
    [anon_sym_DQUOTE] = ACTIONS(3130),
    [anon_sym_SQUOTE] = ACTIONS(3130),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3130),
    [sym_number] = ACTIONS(3130),
    [sym_private_property_identifier] = ACTIONS(3130),
    [sym_this] = ACTIONS(3130),
    [sym_super] = ACTIONS(3130),
    [sym_true] = ACTIONS(3130),
    [sym_false] = ACTIONS(3130),
    [sym_null] = ACTIONS(3130),
    [sym_undefined] = ACTIONS(3130),
    [anon_sym_AT] = ACTIONS(3130),
    [anon_sym_static] = ACTIONS(3130),
    [anon_sym_readonly] = ACTIONS(3130),
    [anon_sym_get] = ACTIONS(3130),
    [anon_sym_set] = ACTIONS(3130),
    [anon_sym_declare] = ACTIONS(3130),
    [anon_sym_public] = ACTIONS(3130),
    [anon_sym_private] = ACTIONS(3130),
    [anon_sym_protected] = ACTIONS(3130),
    [anon_sym_override] = ACTIONS(3130),
    [anon_sym_module] = ACTIONS(3130),
    [anon_sym_any] = ACTIONS(3130),
    [anon_sym_number] = ACTIONS(3130),
    [anon_sym_boolean] = ACTIONS(3130),
    [anon_sym_string] = ACTIONS(3130),
    [anon_sym_symbol] = ACTIONS(3130),
    [anon_sym_object] = ACTIONS(3130),
    [anon_sym_abstract] = ACTIONS(3130),
    [anon_sym_interface] = ACTIONS(3130),
    [anon_sym_enum] = ACTIONS(3130),
    [sym_html_comment] = ACTIONS(5),
  },
  [1205] = {
    [sym_comment] = STATE(1205),
    [sym_identifier] = ACTIONS(3128),
    [anon_sym_export] = ACTIONS(3128),
    [anon_sym_default] = ACTIONS(3128),
    [anon_sym_type] = ACTIONS(3128),
    [anon_sym_namespace] = ACTIONS(3128),
    [anon_sym_LBRACE] = ACTIONS(3128),
    [anon_sym_RBRACE] = ACTIONS(3128),
    [anon_sym_typeof] = ACTIONS(3128),
    [anon_sym_import] = ACTIONS(3128),
    [anon_sym_var] = ACTIONS(3128),
    [anon_sym_let] = ACTIONS(3128),
    [anon_sym_const] = ACTIONS(3128),
    [anon_sym_BANG] = ACTIONS(3128),
    [anon_sym_if] = ACTIONS(3128),
    [anon_sym_switch] = ACTIONS(3128),
    [anon_sym_for] = ACTIONS(3128),
    [anon_sym_LPAREN] = ACTIONS(3128),
    [anon_sym_await] = ACTIONS(3128),
    [anon_sym_while] = ACTIONS(3128),
    [anon_sym_do] = ACTIONS(3128),
    [anon_sym_try] = ACTIONS(3128),
    [anon_sym_with] = ACTIONS(3128),
    [anon_sym_break] = ACTIONS(3128),
    [anon_sym_continue] = ACTIONS(3128),
    [anon_sym_debugger] = ACTIONS(3128),
    [anon_sym_return] = ACTIONS(3128),
    [anon_sym_throw] = ACTIONS(3128),
    [anon_sym_SEMI] = ACTIONS(3128),
    [anon_sym_case] = ACTIONS(3128),
    [anon_sym_yield] = ACTIONS(3128),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_LTtemplate_GT] = ACTIONS(3128),
    [anon_sym_class] = ACTIONS(3128),
    [anon_sym_async] = ACTIONS(3128),
    [anon_sym_function] = ACTIONS(3128),
    [anon_sym_new] = ACTIONS(3128),
    [anon_sym_using] = ACTIONS(3128),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_SLASH] = ACTIONS(3128),
    [anon_sym_LT] = ACTIONS(3128),
    [anon_sym_TILDE] = ACTIONS(3128),
    [anon_sym_void] = ACTIONS(3128),
    [anon_sym_delete] = ACTIONS(3128),
    [anon_sym_PLUS_PLUS] = ACTIONS(3128),
    [anon_sym_DASH_DASH] = ACTIONS(3128),
    [anon_sym_DQUOTE] = ACTIONS(3128),
    [anon_sym_SQUOTE] = ACTIONS(3128),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3128),
    [sym_number] = ACTIONS(3128),
    [sym_private_property_identifier] = ACTIONS(3128),
    [sym_this] = ACTIONS(3128),
    [sym_super] = ACTIONS(3128),
    [sym_true] = ACTIONS(3128),
    [sym_false] = ACTIONS(3128),
    [sym_null] = ACTIONS(3128),
    [sym_undefined] = ACTIONS(3128),
    [anon_sym_AT] = ACTIONS(3128),
    [anon_sym_static] = ACTIONS(3128),
    [anon_sym_readonly] = ACTIONS(3128),
    [anon_sym_get] = ACTIONS(3128),
    [anon_sym_set] = ACTIONS(3128),
    [anon_sym_declare] = ACTIONS(3128),
    [anon_sym_public] = ACTIONS(3128),
    [anon_sym_private] = ACTIONS(3128),
    [anon_sym_protected] = ACTIONS(3128),
    [anon_sym_override] = ACTIONS(3128),
    [anon_sym_module] = ACTIONS(3128),
    [anon_sym_any] = ACTIONS(3128),
    [anon_sym_number] = ACTIONS(3128),
    [anon_sym_boolean] = ACTIONS(3128),
    [anon_sym_string] = ACTIONS(3128),
    [anon_sym_symbol] = ACTIONS(3128),
    [anon_sym_object] = ACTIONS(3128),
    [anon_sym_abstract] = ACTIONS(3128),
    [anon_sym_interface] = ACTIONS(3128),
    [anon_sym_enum] = ACTIONS(3128),
    [sym_html_comment] = ACTIONS(5),
  },
  [1206] = {
    [sym_comment] = STATE(1206),
    [ts_builtin_sym_end] = ACTIONS(2341),
    [sym_identifier] = ACTIONS(2107),
    [anon_sym_export] = ACTIONS(2107),
    [anon_sym_type] = ACTIONS(2107),
    [anon_sym_namespace] = ACTIONS(2107),
    [anon_sym_LBRACE] = ACTIONS(2107),
    [anon_sym_RBRACE] = ACTIONS(2107),
    [anon_sym_typeof] = ACTIONS(2107),
    [anon_sym_import] = ACTIONS(2107),
    [anon_sym_var] = ACTIONS(2107),
    [anon_sym_let] = ACTIONS(2107),
    [anon_sym_const] = ACTIONS(2107),
    [anon_sym_BANG] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(2107),
    [anon_sym_if] = ACTIONS(2107),
    [anon_sym_switch] = ACTIONS(2107),
    [anon_sym_for] = ACTIONS(2107),
    [anon_sym_LPAREN] = ACTIONS(2107),
    [anon_sym_await] = ACTIONS(2107),
    [anon_sym_while] = ACTIONS(2107),
    [anon_sym_do] = ACTIONS(2107),
    [anon_sym_try] = ACTIONS(2107),
    [anon_sym_with] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2107),
    [anon_sym_continue] = ACTIONS(2107),
    [anon_sym_debugger] = ACTIONS(2107),
    [anon_sym_return] = ACTIONS(2107),
    [anon_sym_throw] = ACTIONS(2107),
    [anon_sym_SEMI] = ACTIONS(2107),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_LBRACK] = ACTIONS(2107),
    [anon_sym_LTtemplate_GT] = ACTIONS(2107),
    [anon_sym_class] = ACTIONS(2107),
    [anon_sym_async] = ACTIONS(2107),
    [anon_sym_function] = ACTIONS(2107),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_using] = ACTIONS(2107),
    [anon_sym_PLUS] = ACTIONS(2107),
    [anon_sym_DASH] = ACTIONS(2107),
    [anon_sym_SLASH] = ACTIONS(2107),
    [anon_sym_LT] = ACTIONS(2107),
    [anon_sym_TILDE] = ACTIONS(2107),
    [anon_sym_void] = ACTIONS(2107),
    [anon_sym_delete] = ACTIONS(2107),
    [anon_sym_PLUS_PLUS] = ACTIONS(2107),
    [anon_sym_DASH_DASH] = ACTIONS(2107),
    [anon_sym_DQUOTE] = ACTIONS(2107),
    [anon_sym_SQUOTE] = ACTIONS(2107),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2107),
    [sym_number] = ACTIONS(2107),
    [sym_private_property_identifier] = ACTIONS(2107),
    [sym_this] = ACTIONS(2107),
    [sym_super] = ACTIONS(2107),
    [sym_true] = ACTIONS(2107),
    [sym_false] = ACTIONS(2107),
    [sym_null] = ACTIONS(2107),
    [sym_undefined] = ACTIONS(2107),
    [anon_sym_AT] = ACTIONS(2107),
    [anon_sym_static] = ACTIONS(2107),
    [anon_sym_readonly] = ACTIONS(2107),
    [anon_sym_get] = ACTIONS(2107),
    [anon_sym_set] = ACTIONS(2107),
    [anon_sym_declare] = ACTIONS(2107),
    [anon_sym_public] = ACTIONS(2107),
    [anon_sym_private] = ACTIONS(2107),
    [anon_sym_protected] = ACTIONS(2107),
    [anon_sym_override] = ACTIONS(2107),
    [anon_sym_module] = ACTIONS(2107),
    [anon_sym_any] = ACTIONS(2107),
    [anon_sym_number] = ACTIONS(2107),
    [anon_sym_boolean] = ACTIONS(2107),
    [anon_sym_string] = ACTIONS(2107),
    [anon_sym_symbol] = ACTIONS(2107),
    [anon_sym_object] = ACTIONS(2107),
    [anon_sym_abstract] = ACTIONS(2107),
    [anon_sym_interface] = ACTIONS(2107),
    [anon_sym_enum] = ACTIONS(2107),
    [sym_html_comment] = ACTIONS(5),
  },
  [1207] = {
    [sym_comment] = STATE(1207),
    [sym_identifier] = ACTIONS(3124),
    [anon_sym_export] = ACTIONS(3124),
    [anon_sym_default] = ACTIONS(3124),
    [anon_sym_type] = ACTIONS(3124),
    [anon_sym_namespace] = ACTIONS(3124),
    [anon_sym_LBRACE] = ACTIONS(3124),
    [anon_sym_RBRACE] = ACTIONS(3124),
    [anon_sym_typeof] = ACTIONS(3124),
    [anon_sym_import] = ACTIONS(3124),
    [anon_sym_var] = ACTIONS(3124),
    [anon_sym_let] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_BANG] = ACTIONS(3124),
    [anon_sym_if] = ACTIONS(3124),
    [anon_sym_switch] = ACTIONS(3124),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3124),
    [anon_sym_await] = ACTIONS(3124),
    [anon_sym_while] = ACTIONS(3124),
    [anon_sym_do] = ACTIONS(3124),
    [anon_sym_try] = ACTIONS(3124),
    [anon_sym_with] = ACTIONS(3124),
    [anon_sym_break] = ACTIONS(3124),
    [anon_sym_continue] = ACTIONS(3124),
    [anon_sym_debugger] = ACTIONS(3124),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3124),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym_case] = ACTIONS(3124),
    [anon_sym_yield] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_LTtemplate_GT] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_async] = ACTIONS(3124),
    [anon_sym_function] = ACTIONS(3124),
    [anon_sym_new] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_void] = ACTIONS(3124),
    [anon_sym_delete] = ACTIONS(3124),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(3124),
    [anon_sym_SQUOTE] = ACTIONS(3124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3124),
    [sym_number] = ACTIONS(3124),
    [sym_private_property_identifier] = ACTIONS(3124),
    [sym_this] = ACTIONS(3124),
    [sym_super] = ACTIONS(3124),
    [sym_true] = ACTIONS(3124),
    [sym_false] = ACTIONS(3124),
    [sym_null] = ACTIONS(3124),
    [sym_undefined] = ACTIONS(3124),
    [anon_sym_AT] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_get] = ACTIONS(3124),
    [anon_sym_set] = ACTIONS(3124),
    [anon_sym_declare] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3124),
    [anon_sym_private] = ACTIONS(3124),
    [anon_sym_protected] = ACTIONS(3124),
    [anon_sym_override] = ACTIONS(3124),
    [anon_sym_module] = ACTIONS(3124),
    [anon_sym_any] = ACTIONS(3124),
    [anon_sym_number] = ACTIONS(3124),
    [anon_sym_boolean] = ACTIONS(3124),
    [anon_sym_string] = ACTIONS(3124),
    [anon_sym_symbol] = ACTIONS(3124),
    [anon_sym_object] = ACTIONS(3124),
    [anon_sym_abstract] = ACTIONS(3124),
    [anon_sym_interface] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1208] = {
    [sym_comment] = STATE(1208),
    [sym_identifier] = ACTIONS(3124),
    [anon_sym_export] = ACTIONS(3124),
    [anon_sym_default] = ACTIONS(3124),
    [anon_sym_type] = ACTIONS(3124),
    [anon_sym_namespace] = ACTIONS(3124),
    [anon_sym_LBRACE] = ACTIONS(3124),
    [anon_sym_RBRACE] = ACTIONS(3124),
    [anon_sym_typeof] = ACTIONS(3124),
    [anon_sym_import] = ACTIONS(3124),
    [anon_sym_var] = ACTIONS(3124),
    [anon_sym_let] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_BANG] = ACTIONS(3124),
    [anon_sym_if] = ACTIONS(3124),
    [anon_sym_switch] = ACTIONS(3124),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3124),
    [anon_sym_await] = ACTIONS(3124),
    [anon_sym_while] = ACTIONS(3124),
    [anon_sym_do] = ACTIONS(3124),
    [anon_sym_try] = ACTIONS(3124),
    [anon_sym_with] = ACTIONS(3124),
    [anon_sym_break] = ACTIONS(3124),
    [anon_sym_continue] = ACTIONS(3124),
    [anon_sym_debugger] = ACTIONS(3124),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3124),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym_case] = ACTIONS(3124),
    [anon_sym_yield] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_LTtemplate_GT] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_async] = ACTIONS(3124),
    [anon_sym_function] = ACTIONS(3124),
    [anon_sym_new] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_void] = ACTIONS(3124),
    [anon_sym_delete] = ACTIONS(3124),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(3124),
    [anon_sym_SQUOTE] = ACTIONS(3124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3124),
    [sym_number] = ACTIONS(3124),
    [sym_private_property_identifier] = ACTIONS(3124),
    [sym_this] = ACTIONS(3124),
    [sym_super] = ACTIONS(3124),
    [sym_true] = ACTIONS(3124),
    [sym_false] = ACTIONS(3124),
    [sym_null] = ACTIONS(3124),
    [sym_undefined] = ACTIONS(3124),
    [anon_sym_AT] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_get] = ACTIONS(3124),
    [anon_sym_set] = ACTIONS(3124),
    [anon_sym_declare] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3124),
    [anon_sym_private] = ACTIONS(3124),
    [anon_sym_protected] = ACTIONS(3124),
    [anon_sym_override] = ACTIONS(3124),
    [anon_sym_module] = ACTIONS(3124),
    [anon_sym_any] = ACTIONS(3124),
    [anon_sym_number] = ACTIONS(3124),
    [anon_sym_boolean] = ACTIONS(3124),
    [anon_sym_string] = ACTIONS(3124),
    [anon_sym_symbol] = ACTIONS(3124),
    [anon_sym_object] = ACTIONS(3124),
    [anon_sym_abstract] = ACTIONS(3124),
    [anon_sym_interface] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1209] = {
    [sym_comment] = STATE(1209),
    [sym_identifier] = ACTIONS(3124),
    [anon_sym_export] = ACTIONS(3124),
    [anon_sym_default] = ACTIONS(3124),
    [anon_sym_type] = ACTIONS(3124),
    [anon_sym_namespace] = ACTIONS(3124),
    [anon_sym_LBRACE] = ACTIONS(3124),
    [anon_sym_RBRACE] = ACTIONS(3124),
    [anon_sym_typeof] = ACTIONS(3124),
    [anon_sym_import] = ACTIONS(3124),
    [anon_sym_var] = ACTIONS(3124),
    [anon_sym_let] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_BANG] = ACTIONS(3124),
    [anon_sym_if] = ACTIONS(3124),
    [anon_sym_switch] = ACTIONS(3124),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3124),
    [anon_sym_await] = ACTIONS(3124),
    [anon_sym_while] = ACTIONS(3124),
    [anon_sym_do] = ACTIONS(3124),
    [anon_sym_try] = ACTIONS(3124),
    [anon_sym_with] = ACTIONS(3124),
    [anon_sym_break] = ACTIONS(3124),
    [anon_sym_continue] = ACTIONS(3124),
    [anon_sym_debugger] = ACTIONS(3124),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3124),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym_case] = ACTIONS(3124),
    [anon_sym_yield] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_LTtemplate_GT] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_async] = ACTIONS(3124),
    [anon_sym_function] = ACTIONS(3124),
    [anon_sym_new] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_void] = ACTIONS(3124),
    [anon_sym_delete] = ACTIONS(3124),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(3124),
    [anon_sym_SQUOTE] = ACTIONS(3124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3124),
    [sym_number] = ACTIONS(3124),
    [sym_private_property_identifier] = ACTIONS(3124),
    [sym_this] = ACTIONS(3124),
    [sym_super] = ACTIONS(3124),
    [sym_true] = ACTIONS(3124),
    [sym_false] = ACTIONS(3124),
    [sym_null] = ACTIONS(3124),
    [sym_undefined] = ACTIONS(3124),
    [anon_sym_AT] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_get] = ACTIONS(3124),
    [anon_sym_set] = ACTIONS(3124),
    [anon_sym_declare] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3124),
    [anon_sym_private] = ACTIONS(3124),
    [anon_sym_protected] = ACTIONS(3124),
    [anon_sym_override] = ACTIONS(3124),
    [anon_sym_module] = ACTIONS(3124),
    [anon_sym_any] = ACTIONS(3124),
    [anon_sym_number] = ACTIONS(3124),
    [anon_sym_boolean] = ACTIONS(3124),
    [anon_sym_string] = ACTIONS(3124),
    [anon_sym_symbol] = ACTIONS(3124),
    [anon_sym_object] = ACTIONS(3124),
    [anon_sym_abstract] = ACTIONS(3124),
    [anon_sym_interface] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1210] = {
    [sym_comment] = STATE(1210),
    [sym_identifier] = ACTIONS(3124),
    [anon_sym_export] = ACTIONS(3124),
    [anon_sym_default] = ACTIONS(3124),
    [anon_sym_type] = ACTIONS(3124),
    [anon_sym_namespace] = ACTIONS(3124),
    [anon_sym_LBRACE] = ACTIONS(3124),
    [anon_sym_RBRACE] = ACTIONS(3124),
    [anon_sym_typeof] = ACTIONS(3124),
    [anon_sym_import] = ACTIONS(3124),
    [anon_sym_var] = ACTIONS(3124),
    [anon_sym_let] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_BANG] = ACTIONS(3124),
    [anon_sym_if] = ACTIONS(3124),
    [anon_sym_switch] = ACTIONS(3124),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3124),
    [anon_sym_await] = ACTIONS(3124),
    [anon_sym_while] = ACTIONS(3124),
    [anon_sym_do] = ACTIONS(3124),
    [anon_sym_try] = ACTIONS(3124),
    [anon_sym_with] = ACTIONS(3124),
    [anon_sym_break] = ACTIONS(3124),
    [anon_sym_continue] = ACTIONS(3124),
    [anon_sym_debugger] = ACTIONS(3124),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3124),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym_case] = ACTIONS(3124),
    [anon_sym_yield] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_LTtemplate_GT] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_async] = ACTIONS(3124),
    [anon_sym_function] = ACTIONS(3124),
    [anon_sym_new] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_void] = ACTIONS(3124),
    [anon_sym_delete] = ACTIONS(3124),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(3124),
    [anon_sym_SQUOTE] = ACTIONS(3124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3124),
    [sym_number] = ACTIONS(3124),
    [sym_private_property_identifier] = ACTIONS(3124),
    [sym_this] = ACTIONS(3124),
    [sym_super] = ACTIONS(3124),
    [sym_true] = ACTIONS(3124),
    [sym_false] = ACTIONS(3124),
    [sym_null] = ACTIONS(3124),
    [sym_undefined] = ACTIONS(3124),
    [anon_sym_AT] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_get] = ACTIONS(3124),
    [anon_sym_set] = ACTIONS(3124),
    [anon_sym_declare] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3124),
    [anon_sym_private] = ACTIONS(3124),
    [anon_sym_protected] = ACTIONS(3124),
    [anon_sym_override] = ACTIONS(3124),
    [anon_sym_module] = ACTIONS(3124),
    [anon_sym_any] = ACTIONS(3124),
    [anon_sym_number] = ACTIONS(3124),
    [anon_sym_boolean] = ACTIONS(3124),
    [anon_sym_string] = ACTIONS(3124),
    [anon_sym_symbol] = ACTIONS(3124),
    [anon_sym_object] = ACTIONS(3124),
    [anon_sym_abstract] = ACTIONS(3124),
    [anon_sym_interface] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1211] = {
    [sym_comment] = STATE(1211),
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_identifier] = ACTIONS(3170),
    [anon_sym_export] = ACTIONS(3170),
    [anon_sym_type] = ACTIONS(3170),
    [anon_sym_namespace] = ACTIONS(3170),
    [anon_sym_LBRACE] = ACTIONS(3170),
    [anon_sym_RBRACE] = ACTIONS(3170),
    [anon_sym_typeof] = ACTIONS(3170),
    [anon_sym_import] = ACTIONS(3170),
    [anon_sym_var] = ACTIONS(3170),
    [anon_sym_let] = ACTIONS(3170),
    [anon_sym_const] = ACTIONS(3170),
    [anon_sym_BANG] = ACTIONS(3170),
    [anon_sym_else] = ACTIONS(3170),
    [anon_sym_if] = ACTIONS(3170),
    [anon_sym_switch] = ACTIONS(3170),
    [anon_sym_for] = ACTIONS(3170),
    [anon_sym_LPAREN] = ACTIONS(3170),
    [anon_sym_await] = ACTIONS(3170),
    [anon_sym_while] = ACTIONS(3170),
    [anon_sym_do] = ACTIONS(3170),
    [anon_sym_try] = ACTIONS(3170),
    [anon_sym_with] = ACTIONS(3170),
    [anon_sym_break] = ACTIONS(3170),
    [anon_sym_continue] = ACTIONS(3170),
    [anon_sym_debugger] = ACTIONS(3170),
    [anon_sym_return] = ACTIONS(3170),
    [anon_sym_throw] = ACTIONS(3170),
    [anon_sym_SEMI] = ACTIONS(3170),
    [anon_sym_yield] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3170),
    [anon_sym_LTtemplate_GT] = ACTIONS(3170),
    [anon_sym_class] = ACTIONS(3170),
    [anon_sym_async] = ACTIONS(3170),
    [anon_sym_function] = ACTIONS(3170),
    [anon_sym_new] = ACTIONS(3170),
    [anon_sym_using] = ACTIONS(3170),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_SLASH] = ACTIONS(3170),
    [anon_sym_LT] = ACTIONS(3170),
    [anon_sym_TILDE] = ACTIONS(3170),
    [anon_sym_void] = ACTIONS(3170),
    [anon_sym_delete] = ACTIONS(3170),
    [anon_sym_PLUS_PLUS] = ACTIONS(3170),
    [anon_sym_DASH_DASH] = ACTIONS(3170),
    [anon_sym_DQUOTE] = ACTIONS(3170),
    [anon_sym_SQUOTE] = ACTIONS(3170),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3170),
    [sym_number] = ACTIONS(3170),
    [sym_private_property_identifier] = ACTIONS(3170),
    [sym_this] = ACTIONS(3170),
    [sym_super] = ACTIONS(3170),
    [sym_true] = ACTIONS(3170),
    [sym_false] = ACTIONS(3170),
    [sym_null] = ACTIONS(3170),
    [sym_undefined] = ACTIONS(3170),
    [anon_sym_AT] = ACTIONS(3170),
    [anon_sym_static] = ACTIONS(3170),
    [anon_sym_readonly] = ACTIONS(3170),
    [anon_sym_get] = ACTIONS(3170),
    [anon_sym_set] = ACTIONS(3170),
    [anon_sym_declare] = ACTIONS(3170),
    [anon_sym_public] = ACTIONS(3170),
    [anon_sym_private] = ACTIONS(3170),
    [anon_sym_protected] = ACTIONS(3170),
    [anon_sym_override] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(3170),
    [anon_sym_any] = ACTIONS(3170),
    [anon_sym_number] = ACTIONS(3170),
    [anon_sym_boolean] = ACTIONS(3170),
    [anon_sym_string] = ACTIONS(3170),
    [anon_sym_symbol] = ACTIONS(3170),
    [anon_sym_object] = ACTIONS(3170),
    [anon_sym_abstract] = ACTIONS(3170),
    [anon_sym_interface] = ACTIONS(3170),
    [anon_sym_enum] = ACTIONS(3170),
    [sym_html_comment] = ACTIONS(5),
  },
  [1212] = {
    [sym_comment] = STATE(1212),
    [sym_identifier] = ACTIONS(3114),
    [anon_sym_export] = ACTIONS(3114),
    [anon_sym_default] = ACTIONS(3114),
    [anon_sym_type] = ACTIONS(3114),
    [anon_sym_namespace] = ACTIONS(3114),
    [anon_sym_LBRACE] = ACTIONS(3114),
    [anon_sym_RBRACE] = ACTIONS(3114),
    [anon_sym_typeof] = ACTIONS(3114),
    [anon_sym_import] = ACTIONS(3114),
    [anon_sym_var] = ACTIONS(3114),
    [anon_sym_let] = ACTIONS(3114),
    [anon_sym_const] = ACTIONS(3114),
    [anon_sym_BANG] = ACTIONS(3114),
    [anon_sym_if] = ACTIONS(3114),
    [anon_sym_switch] = ACTIONS(3114),
    [anon_sym_for] = ACTIONS(3114),
    [anon_sym_LPAREN] = ACTIONS(3114),
    [anon_sym_await] = ACTIONS(3114),
    [anon_sym_while] = ACTIONS(3114),
    [anon_sym_do] = ACTIONS(3114),
    [anon_sym_try] = ACTIONS(3114),
    [anon_sym_with] = ACTIONS(3114),
    [anon_sym_break] = ACTIONS(3114),
    [anon_sym_continue] = ACTIONS(3114),
    [anon_sym_debugger] = ACTIONS(3114),
    [anon_sym_return] = ACTIONS(3114),
    [anon_sym_throw] = ACTIONS(3114),
    [anon_sym_SEMI] = ACTIONS(3114),
    [anon_sym_case] = ACTIONS(3114),
    [anon_sym_yield] = ACTIONS(3114),
    [anon_sym_LBRACK] = ACTIONS(3114),
    [anon_sym_LTtemplate_GT] = ACTIONS(3114),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_async] = ACTIONS(3114),
    [anon_sym_function] = ACTIONS(3114),
    [anon_sym_new] = ACTIONS(3114),
    [anon_sym_using] = ACTIONS(3114),
    [anon_sym_PLUS] = ACTIONS(3114),
    [anon_sym_DASH] = ACTIONS(3114),
    [anon_sym_SLASH] = ACTIONS(3114),
    [anon_sym_LT] = ACTIONS(3114),
    [anon_sym_TILDE] = ACTIONS(3114),
    [anon_sym_void] = ACTIONS(3114),
    [anon_sym_delete] = ACTIONS(3114),
    [anon_sym_PLUS_PLUS] = ACTIONS(3114),
    [anon_sym_DASH_DASH] = ACTIONS(3114),
    [anon_sym_DQUOTE] = ACTIONS(3114),
    [anon_sym_SQUOTE] = ACTIONS(3114),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3114),
    [sym_number] = ACTIONS(3114),
    [sym_private_property_identifier] = ACTIONS(3114),
    [sym_this] = ACTIONS(3114),
    [sym_super] = ACTIONS(3114),
    [sym_true] = ACTIONS(3114),
    [sym_false] = ACTIONS(3114),
    [sym_null] = ACTIONS(3114),
    [sym_undefined] = ACTIONS(3114),
    [anon_sym_AT] = ACTIONS(3114),
    [anon_sym_static] = ACTIONS(3114),
    [anon_sym_readonly] = ACTIONS(3114),
    [anon_sym_get] = ACTIONS(3114),
    [anon_sym_set] = ACTIONS(3114),
    [anon_sym_declare] = ACTIONS(3114),
    [anon_sym_public] = ACTIONS(3114),
    [anon_sym_private] = ACTIONS(3114),
    [anon_sym_protected] = ACTIONS(3114),
    [anon_sym_override] = ACTIONS(3114),
    [anon_sym_module] = ACTIONS(3114),
    [anon_sym_any] = ACTIONS(3114),
    [anon_sym_number] = ACTIONS(3114),
    [anon_sym_boolean] = ACTIONS(3114),
    [anon_sym_string] = ACTIONS(3114),
    [anon_sym_symbol] = ACTIONS(3114),
    [anon_sym_object] = ACTIONS(3114),
    [anon_sym_abstract] = ACTIONS(3114),
    [anon_sym_interface] = ACTIONS(3114),
    [anon_sym_enum] = ACTIONS(3114),
    [sym_html_comment] = ACTIONS(5),
  },
  [1213] = {
    [sym_comment] = STATE(1213),
    [ts_builtin_sym_end] = ACTIONS(2341),
    [sym_identifier] = ACTIONS(2107),
    [anon_sym_export] = ACTIONS(2107),
    [anon_sym_type] = ACTIONS(2107),
    [anon_sym_namespace] = ACTIONS(2107),
    [anon_sym_LBRACE] = ACTIONS(2107),
    [anon_sym_RBRACE] = ACTIONS(2107),
    [anon_sym_typeof] = ACTIONS(2107),
    [anon_sym_import] = ACTIONS(2107),
    [anon_sym_var] = ACTIONS(2107),
    [anon_sym_let] = ACTIONS(2107),
    [anon_sym_const] = ACTIONS(2107),
    [anon_sym_BANG] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(2107),
    [anon_sym_if] = ACTIONS(2107),
    [anon_sym_switch] = ACTIONS(2107),
    [anon_sym_for] = ACTIONS(2107),
    [anon_sym_LPAREN] = ACTIONS(2107),
    [anon_sym_await] = ACTIONS(2107),
    [anon_sym_while] = ACTIONS(2107),
    [anon_sym_do] = ACTIONS(2107),
    [anon_sym_try] = ACTIONS(2107),
    [anon_sym_with] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2107),
    [anon_sym_continue] = ACTIONS(2107),
    [anon_sym_debugger] = ACTIONS(2107),
    [anon_sym_return] = ACTIONS(2107),
    [anon_sym_throw] = ACTIONS(2107),
    [anon_sym_SEMI] = ACTIONS(2107),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_LBRACK] = ACTIONS(2107),
    [anon_sym_LTtemplate_GT] = ACTIONS(2107),
    [anon_sym_class] = ACTIONS(2107),
    [anon_sym_async] = ACTIONS(2107),
    [anon_sym_function] = ACTIONS(2107),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_using] = ACTIONS(2107),
    [anon_sym_PLUS] = ACTIONS(2107),
    [anon_sym_DASH] = ACTIONS(2107),
    [anon_sym_SLASH] = ACTIONS(2107),
    [anon_sym_LT] = ACTIONS(2107),
    [anon_sym_TILDE] = ACTIONS(2107),
    [anon_sym_void] = ACTIONS(2107),
    [anon_sym_delete] = ACTIONS(2107),
    [anon_sym_PLUS_PLUS] = ACTIONS(2107),
    [anon_sym_DASH_DASH] = ACTIONS(2107),
    [anon_sym_DQUOTE] = ACTIONS(2107),
    [anon_sym_SQUOTE] = ACTIONS(2107),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2107),
    [sym_number] = ACTIONS(2107),
    [sym_private_property_identifier] = ACTIONS(2107),
    [sym_this] = ACTIONS(2107),
    [sym_super] = ACTIONS(2107),
    [sym_true] = ACTIONS(2107),
    [sym_false] = ACTIONS(2107),
    [sym_null] = ACTIONS(2107),
    [sym_undefined] = ACTIONS(2107),
    [anon_sym_AT] = ACTIONS(2107),
    [anon_sym_static] = ACTIONS(2107),
    [anon_sym_readonly] = ACTIONS(2107),
    [anon_sym_get] = ACTIONS(2107),
    [anon_sym_set] = ACTIONS(2107),
    [anon_sym_declare] = ACTIONS(2107),
    [anon_sym_public] = ACTIONS(2107),
    [anon_sym_private] = ACTIONS(2107),
    [anon_sym_protected] = ACTIONS(2107),
    [anon_sym_override] = ACTIONS(2107),
    [anon_sym_module] = ACTIONS(2107),
    [anon_sym_any] = ACTIONS(2107),
    [anon_sym_number] = ACTIONS(2107),
    [anon_sym_boolean] = ACTIONS(2107),
    [anon_sym_string] = ACTIONS(2107),
    [anon_sym_symbol] = ACTIONS(2107),
    [anon_sym_object] = ACTIONS(2107),
    [anon_sym_abstract] = ACTIONS(2107),
    [anon_sym_interface] = ACTIONS(2107),
    [anon_sym_enum] = ACTIONS(2107),
    [sym_html_comment] = ACTIONS(5),
  },
  [1214] = {
    [sym_comment] = STATE(1214),
    [ts_builtin_sym_end] = ACTIONS(3352),
    [sym_identifier] = ACTIONS(3236),
    [anon_sym_export] = ACTIONS(3236),
    [anon_sym_type] = ACTIONS(3236),
    [anon_sym_namespace] = ACTIONS(3236),
    [anon_sym_LBRACE] = ACTIONS(3236),
    [anon_sym_RBRACE] = ACTIONS(3236),
    [anon_sym_typeof] = ACTIONS(3236),
    [anon_sym_import] = ACTIONS(3236),
    [anon_sym_var] = ACTIONS(3236),
    [anon_sym_let] = ACTIONS(3236),
    [anon_sym_const] = ACTIONS(3236),
    [anon_sym_BANG] = ACTIONS(3236),
    [anon_sym_else] = ACTIONS(3236),
    [anon_sym_if] = ACTIONS(3236),
    [anon_sym_switch] = ACTIONS(3236),
    [anon_sym_for] = ACTIONS(3236),
    [anon_sym_LPAREN] = ACTIONS(3236),
    [anon_sym_await] = ACTIONS(3236),
    [anon_sym_while] = ACTIONS(3236),
    [anon_sym_do] = ACTIONS(3236),
    [anon_sym_try] = ACTIONS(3236),
    [anon_sym_with] = ACTIONS(3236),
    [anon_sym_break] = ACTIONS(3236),
    [anon_sym_continue] = ACTIONS(3236),
    [anon_sym_debugger] = ACTIONS(3236),
    [anon_sym_return] = ACTIONS(3236),
    [anon_sym_throw] = ACTIONS(3236),
    [anon_sym_SEMI] = ACTIONS(3236),
    [anon_sym_yield] = ACTIONS(3236),
    [anon_sym_LBRACK] = ACTIONS(3236),
    [anon_sym_LTtemplate_GT] = ACTIONS(3236),
    [anon_sym_class] = ACTIONS(3236),
    [anon_sym_async] = ACTIONS(3236),
    [anon_sym_function] = ACTIONS(3236),
    [anon_sym_new] = ACTIONS(3236),
    [anon_sym_using] = ACTIONS(3236),
    [anon_sym_PLUS] = ACTIONS(3236),
    [anon_sym_DASH] = ACTIONS(3236),
    [anon_sym_SLASH] = ACTIONS(3236),
    [anon_sym_LT] = ACTIONS(3236),
    [anon_sym_TILDE] = ACTIONS(3236),
    [anon_sym_void] = ACTIONS(3236),
    [anon_sym_delete] = ACTIONS(3236),
    [anon_sym_PLUS_PLUS] = ACTIONS(3236),
    [anon_sym_DASH_DASH] = ACTIONS(3236),
    [anon_sym_DQUOTE] = ACTIONS(3236),
    [anon_sym_SQUOTE] = ACTIONS(3236),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3236),
    [sym_number] = ACTIONS(3236),
    [sym_private_property_identifier] = ACTIONS(3236),
    [sym_this] = ACTIONS(3236),
    [sym_super] = ACTIONS(3236),
    [sym_true] = ACTIONS(3236),
    [sym_false] = ACTIONS(3236),
    [sym_null] = ACTIONS(3236),
    [sym_undefined] = ACTIONS(3236),
    [anon_sym_AT] = ACTIONS(3236),
    [anon_sym_static] = ACTIONS(3236),
    [anon_sym_readonly] = ACTIONS(3236),
    [anon_sym_get] = ACTIONS(3236),
    [anon_sym_set] = ACTIONS(3236),
    [anon_sym_declare] = ACTIONS(3236),
    [anon_sym_public] = ACTIONS(3236),
    [anon_sym_private] = ACTIONS(3236),
    [anon_sym_protected] = ACTIONS(3236),
    [anon_sym_override] = ACTIONS(3236),
    [anon_sym_module] = ACTIONS(3236),
    [anon_sym_any] = ACTIONS(3236),
    [anon_sym_number] = ACTIONS(3236),
    [anon_sym_boolean] = ACTIONS(3236),
    [anon_sym_string] = ACTIONS(3236),
    [anon_sym_symbol] = ACTIONS(3236),
    [anon_sym_object] = ACTIONS(3236),
    [anon_sym_abstract] = ACTIONS(3236),
    [anon_sym_interface] = ACTIONS(3236),
    [anon_sym_enum] = ACTIONS(3236),
    [sym_html_comment] = ACTIONS(5),
  },
  [1215] = {
    [sym_comment] = STATE(1215),
    [ts_builtin_sym_end] = ACTIONS(3354),
    [sym_identifier] = ACTIONS(3238),
    [anon_sym_export] = ACTIONS(3238),
    [anon_sym_type] = ACTIONS(3238),
    [anon_sym_namespace] = ACTIONS(3238),
    [anon_sym_LBRACE] = ACTIONS(3238),
    [anon_sym_RBRACE] = ACTIONS(3238),
    [anon_sym_typeof] = ACTIONS(3238),
    [anon_sym_import] = ACTIONS(3238),
    [anon_sym_var] = ACTIONS(3238),
    [anon_sym_let] = ACTIONS(3238),
    [anon_sym_const] = ACTIONS(3238),
    [anon_sym_BANG] = ACTIONS(3238),
    [anon_sym_else] = ACTIONS(3238),
    [anon_sym_if] = ACTIONS(3238),
    [anon_sym_switch] = ACTIONS(3238),
    [anon_sym_for] = ACTIONS(3238),
    [anon_sym_LPAREN] = ACTIONS(3238),
    [anon_sym_await] = ACTIONS(3238),
    [anon_sym_while] = ACTIONS(3238),
    [anon_sym_do] = ACTIONS(3238),
    [anon_sym_try] = ACTIONS(3238),
    [anon_sym_with] = ACTIONS(3238),
    [anon_sym_break] = ACTIONS(3238),
    [anon_sym_continue] = ACTIONS(3238),
    [anon_sym_debugger] = ACTIONS(3238),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_throw] = ACTIONS(3238),
    [anon_sym_SEMI] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3238),
    [anon_sym_LBRACK] = ACTIONS(3238),
    [anon_sym_LTtemplate_GT] = ACTIONS(3238),
    [anon_sym_class] = ACTIONS(3238),
    [anon_sym_async] = ACTIONS(3238),
    [anon_sym_function] = ACTIONS(3238),
    [anon_sym_new] = ACTIONS(3238),
    [anon_sym_using] = ACTIONS(3238),
    [anon_sym_PLUS] = ACTIONS(3238),
    [anon_sym_DASH] = ACTIONS(3238),
    [anon_sym_SLASH] = ACTIONS(3238),
    [anon_sym_LT] = ACTIONS(3238),
    [anon_sym_TILDE] = ACTIONS(3238),
    [anon_sym_void] = ACTIONS(3238),
    [anon_sym_delete] = ACTIONS(3238),
    [anon_sym_PLUS_PLUS] = ACTIONS(3238),
    [anon_sym_DASH_DASH] = ACTIONS(3238),
    [anon_sym_DQUOTE] = ACTIONS(3238),
    [anon_sym_SQUOTE] = ACTIONS(3238),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3238),
    [sym_number] = ACTIONS(3238),
    [sym_private_property_identifier] = ACTIONS(3238),
    [sym_this] = ACTIONS(3238),
    [sym_super] = ACTIONS(3238),
    [sym_true] = ACTIONS(3238),
    [sym_false] = ACTIONS(3238),
    [sym_null] = ACTIONS(3238),
    [sym_undefined] = ACTIONS(3238),
    [anon_sym_AT] = ACTIONS(3238),
    [anon_sym_static] = ACTIONS(3238),
    [anon_sym_readonly] = ACTIONS(3238),
    [anon_sym_get] = ACTIONS(3238),
    [anon_sym_set] = ACTIONS(3238),
    [anon_sym_declare] = ACTIONS(3238),
    [anon_sym_public] = ACTIONS(3238),
    [anon_sym_private] = ACTIONS(3238),
    [anon_sym_protected] = ACTIONS(3238),
    [anon_sym_override] = ACTIONS(3238),
    [anon_sym_module] = ACTIONS(3238),
    [anon_sym_any] = ACTIONS(3238),
    [anon_sym_number] = ACTIONS(3238),
    [anon_sym_boolean] = ACTIONS(3238),
    [anon_sym_string] = ACTIONS(3238),
    [anon_sym_symbol] = ACTIONS(3238),
    [anon_sym_object] = ACTIONS(3238),
    [anon_sym_abstract] = ACTIONS(3238),
    [anon_sym_interface] = ACTIONS(3238),
    [anon_sym_enum] = ACTIONS(3238),
    [sym_html_comment] = ACTIONS(5),
  },
  [1216] = {
    [sym_comment] = STATE(1216),
    [ts_builtin_sym_end] = ACTIONS(3356),
    [sym_identifier] = ACTIONS(3240),
    [anon_sym_export] = ACTIONS(3240),
    [anon_sym_type] = ACTIONS(3240),
    [anon_sym_namespace] = ACTIONS(3240),
    [anon_sym_LBRACE] = ACTIONS(3240),
    [anon_sym_RBRACE] = ACTIONS(3240),
    [anon_sym_typeof] = ACTIONS(3240),
    [anon_sym_import] = ACTIONS(3240),
    [anon_sym_var] = ACTIONS(3240),
    [anon_sym_let] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3240),
    [anon_sym_BANG] = ACTIONS(3240),
    [anon_sym_else] = ACTIONS(3240),
    [anon_sym_if] = ACTIONS(3240),
    [anon_sym_switch] = ACTIONS(3240),
    [anon_sym_for] = ACTIONS(3240),
    [anon_sym_LPAREN] = ACTIONS(3240),
    [anon_sym_await] = ACTIONS(3240),
    [anon_sym_while] = ACTIONS(3240),
    [anon_sym_do] = ACTIONS(3240),
    [anon_sym_try] = ACTIONS(3240),
    [anon_sym_with] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3240),
    [anon_sym_continue] = ACTIONS(3240),
    [anon_sym_debugger] = ACTIONS(3240),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_throw] = ACTIONS(3240),
    [anon_sym_SEMI] = ACTIONS(3240),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_LBRACK] = ACTIONS(3240),
    [anon_sym_LTtemplate_GT] = ACTIONS(3240),
    [anon_sym_class] = ACTIONS(3240),
    [anon_sym_async] = ACTIONS(3240),
    [anon_sym_function] = ACTIONS(3240),
    [anon_sym_new] = ACTIONS(3240),
    [anon_sym_using] = ACTIONS(3240),
    [anon_sym_PLUS] = ACTIONS(3240),
    [anon_sym_DASH] = ACTIONS(3240),
    [anon_sym_SLASH] = ACTIONS(3240),
    [anon_sym_LT] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3240),
    [anon_sym_void] = ACTIONS(3240),
    [anon_sym_delete] = ACTIONS(3240),
    [anon_sym_PLUS_PLUS] = ACTIONS(3240),
    [anon_sym_DASH_DASH] = ACTIONS(3240),
    [anon_sym_DQUOTE] = ACTIONS(3240),
    [anon_sym_SQUOTE] = ACTIONS(3240),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3240),
    [sym_number] = ACTIONS(3240),
    [sym_private_property_identifier] = ACTIONS(3240),
    [sym_this] = ACTIONS(3240),
    [sym_super] = ACTIONS(3240),
    [sym_true] = ACTIONS(3240),
    [sym_false] = ACTIONS(3240),
    [sym_null] = ACTIONS(3240),
    [sym_undefined] = ACTIONS(3240),
    [anon_sym_AT] = ACTIONS(3240),
    [anon_sym_static] = ACTIONS(3240),
    [anon_sym_readonly] = ACTIONS(3240),
    [anon_sym_get] = ACTIONS(3240),
    [anon_sym_set] = ACTIONS(3240),
    [anon_sym_declare] = ACTIONS(3240),
    [anon_sym_public] = ACTIONS(3240),
    [anon_sym_private] = ACTIONS(3240),
    [anon_sym_protected] = ACTIONS(3240),
    [anon_sym_override] = ACTIONS(3240),
    [anon_sym_module] = ACTIONS(3240),
    [anon_sym_any] = ACTIONS(3240),
    [anon_sym_number] = ACTIONS(3240),
    [anon_sym_boolean] = ACTIONS(3240),
    [anon_sym_string] = ACTIONS(3240),
    [anon_sym_symbol] = ACTIONS(3240),
    [anon_sym_object] = ACTIONS(3240),
    [anon_sym_abstract] = ACTIONS(3240),
    [anon_sym_interface] = ACTIONS(3240),
    [anon_sym_enum] = ACTIONS(3240),
    [sym_html_comment] = ACTIONS(5),
  },
  [1217] = {
    [sym_comment] = STATE(1217),
    [ts_builtin_sym_end] = ACTIONS(3358),
    [sym_identifier] = ACTIONS(3316),
    [anon_sym_export] = ACTIONS(3316),
    [anon_sym_type] = ACTIONS(3316),
    [anon_sym_namespace] = ACTIONS(3316),
    [anon_sym_LBRACE] = ACTIONS(3316),
    [anon_sym_RBRACE] = ACTIONS(3316),
    [anon_sym_typeof] = ACTIONS(3316),
    [anon_sym_import] = ACTIONS(3316),
    [anon_sym_var] = ACTIONS(3316),
    [anon_sym_let] = ACTIONS(3316),
    [anon_sym_const] = ACTIONS(3316),
    [anon_sym_BANG] = ACTIONS(3316),
    [anon_sym_else] = ACTIONS(3316),
    [anon_sym_if] = ACTIONS(3316),
    [anon_sym_switch] = ACTIONS(3316),
    [anon_sym_for] = ACTIONS(3316),
    [anon_sym_LPAREN] = ACTIONS(3316),
    [anon_sym_await] = ACTIONS(3316),
    [anon_sym_while] = ACTIONS(3316),
    [anon_sym_do] = ACTIONS(3316),
    [anon_sym_try] = ACTIONS(3316),
    [anon_sym_with] = ACTIONS(3316),
    [anon_sym_break] = ACTIONS(3316),
    [anon_sym_continue] = ACTIONS(3316),
    [anon_sym_debugger] = ACTIONS(3316),
    [anon_sym_return] = ACTIONS(3316),
    [anon_sym_throw] = ACTIONS(3316),
    [anon_sym_SEMI] = ACTIONS(3316),
    [anon_sym_yield] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(3316),
    [anon_sym_LTtemplate_GT] = ACTIONS(3316),
    [anon_sym_class] = ACTIONS(3316),
    [anon_sym_async] = ACTIONS(3316),
    [anon_sym_function] = ACTIONS(3316),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_using] = ACTIONS(3316),
    [anon_sym_PLUS] = ACTIONS(3316),
    [anon_sym_DASH] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3316),
    [anon_sym_LT] = ACTIONS(3316),
    [anon_sym_TILDE] = ACTIONS(3316),
    [anon_sym_void] = ACTIONS(3316),
    [anon_sym_delete] = ACTIONS(3316),
    [anon_sym_PLUS_PLUS] = ACTIONS(3316),
    [anon_sym_DASH_DASH] = ACTIONS(3316),
    [anon_sym_DQUOTE] = ACTIONS(3316),
    [anon_sym_SQUOTE] = ACTIONS(3316),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3316),
    [sym_number] = ACTIONS(3316),
    [sym_private_property_identifier] = ACTIONS(3316),
    [sym_this] = ACTIONS(3316),
    [sym_super] = ACTIONS(3316),
    [sym_true] = ACTIONS(3316),
    [sym_false] = ACTIONS(3316),
    [sym_null] = ACTIONS(3316),
    [sym_undefined] = ACTIONS(3316),
    [anon_sym_AT] = ACTIONS(3316),
    [anon_sym_static] = ACTIONS(3316),
    [anon_sym_readonly] = ACTIONS(3316),
    [anon_sym_get] = ACTIONS(3316),
    [anon_sym_set] = ACTIONS(3316),
    [anon_sym_declare] = ACTIONS(3316),
    [anon_sym_public] = ACTIONS(3316),
    [anon_sym_private] = ACTIONS(3316),
    [anon_sym_protected] = ACTIONS(3316),
    [anon_sym_override] = ACTIONS(3316),
    [anon_sym_module] = ACTIONS(3316),
    [anon_sym_any] = ACTIONS(3316),
    [anon_sym_number] = ACTIONS(3316),
    [anon_sym_boolean] = ACTIONS(3316),
    [anon_sym_string] = ACTIONS(3316),
    [anon_sym_symbol] = ACTIONS(3316),
    [anon_sym_object] = ACTIONS(3316),
    [anon_sym_abstract] = ACTIONS(3316),
    [anon_sym_interface] = ACTIONS(3316),
    [anon_sym_enum] = ACTIONS(3316),
    [sym_html_comment] = ACTIONS(5),
  },
  [1218] = {
    [sym_comment] = STATE(1218),
    [sym_identifier] = ACTIONS(3110),
    [anon_sym_export] = ACTIONS(3110),
    [anon_sym_default] = ACTIONS(3110),
    [anon_sym_type] = ACTIONS(3110),
    [anon_sym_namespace] = ACTIONS(3110),
    [anon_sym_LBRACE] = ACTIONS(3110),
    [anon_sym_RBRACE] = ACTIONS(3110),
    [anon_sym_typeof] = ACTIONS(3110),
    [anon_sym_import] = ACTIONS(3110),
    [anon_sym_var] = ACTIONS(3110),
    [anon_sym_let] = ACTIONS(3110),
    [anon_sym_const] = ACTIONS(3110),
    [anon_sym_BANG] = ACTIONS(3110),
    [anon_sym_if] = ACTIONS(3110),
    [anon_sym_switch] = ACTIONS(3110),
    [anon_sym_for] = ACTIONS(3110),
    [anon_sym_LPAREN] = ACTIONS(3110),
    [anon_sym_await] = ACTIONS(3110),
    [anon_sym_while] = ACTIONS(3110),
    [anon_sym_do] = ACTIONS(3110),
    [anon_sym_try] = ACTIONS(3110),
    [anon_sym_with] = ACTIONS(3110),
    [anon_sym_break] = ACTIONS(3110),
    [anon_sym_continue] = ACTIONS(3110),
    [anon_sym_debugger] = ACTIONS(3110),
    [anon_sym_return] = ACTIONS(3110),
    [anon_sym_throw] = ACTIONS(3110),
    [anon_sym_SEMI] = ACTIONS(3110),
    [anon_sym_case] = ACTIONS(3110),
    [anon_sym_yield] = ACTIONS(3110),
    [anon_sym_LBRACK] = ACTIONS(3110),
    [anon_sym_LTtemplate_GT] = ACTIONS(3110),
    [anon_sym_class] = ACTIONS(3110),
    [anon_sym_async] = ACTIONS(3110),
    [anon_sym_function] = ACTIONS(3110),
    [anon_sym_new] = ACTIONS(3110),
    [anon_sym_using] = ACTIONS(3110),
    [anon_sym_PLUS] = ACTIONS(3110),
    [anon_sym_DASH] = ACTIONS(3110),
    [anon_sym_SLASH] = ACTIONS(3110),
    [anon_sym_LT] = ACTIONS(3110),
    [anon_sym_TILDE] = ACTIONS(3110),
    [anon_sym_void] = ACTIONS(3110),
    [anon_sym_delete] = ACTIONS(3110),
    [anon_sym_PLUS_PLUS] = ACTIONS(3110),
    [anon_sym_DASH_DASH] = ACTIONS(3110),
    [anon_sym_DQUOTE] = ACTIONS(3110),
    [anon_sym_SQUOTE] = ACTIONS(3110),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3110),
    [sym_number] = ACTIONS(3110),
    [sym_private_property_identifier] = ACTIONS(3110),
    [sym_this] = ACTIONS(3110),
    [sym_super] = ACTIONS(3110),
    [sym_true] = ACTIONS(3110),
    [sym_false] = ACTIONS(3110),
    [sym_null] = ACTIONS(3110),
    [sym_undefined] = ACTIONS(3110),
    [anon_sym_AT] = ACTIONS(3110),
    [anon_sym_static] = ACTIONS(3110),
    [anon_sym_readonly] = ACTIONS(3110),
    [anon_sym_get] = ACTIONS(3110),
    [anon_sym_set] = ACTIONS(3110),
    [anon_sym_declare] = ACTIONS(3110),
    [anon_sym_public] = ACTIONS(3110),
    [anon_sym_private] = ACTIONS(3110),
    [anon_sym_protected] = ACTIONS(3110),
    [anon_sym_override] = ACTIONS(3110),
    [anon_sym_module] = ACTIONS(3110),
    [anon_sym_any] = ACTIONS(3110),
    [anon_sym_number] = ACTIONS(3110),
    [anon_sym_boolean] = ACTIONS(3110),
    [anon_sym_string] = ACTIONS(3110),
    [anon_sym_symbol] = ACTIONS(3110),
    [anon_sym_object] = ACTIONS(3110),
    [anon_sym_abstract] = ACTIONS(3110),
    [anon_sym_interface] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3110),
    [sym_html_comment] = ACTIONS(5),
  },
  [1219] = {
    [sym_comment] = STATE(1219),
    [sym_identifier] = ACTIONS(3158),
    [anon_sym_export] = ACTIONS(3158),
    [anon_sym_default] = ACTIONS(3158),
    [anon_sym_type] = ACTIONS(3158),
    [anon_sym_namespace] = ACTIONS(3158),
    [anon_sym_LBRACE] = ACTIONS(3158),
    [anon_sym_RBRACE] = ACTIONS(3158),
    [anon_sym_typeof] = ACTIONS(3158),
    [anon_sym_import] = ACTIONS(3158),
    [anon_sym_var] = ACTIONS(3158),
    [anon_sym_let] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_BANG] = ACTIONS(3158),
    [anon_sym_if] = ACTIONS(3158),
    [anon_sym_switch] = ACTIONS(3158),
    [anon_sym_for] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(3158),
    [anon_sym_await] = ACTIONS(3158),
    [anon_sym_while] = ACTIONS(3158),
    [anon_sym_do] = ACTIONS(3158),
    [anon_sym_try] = ACTIONS(3158),
    [anon_sym_with] = ACTIONS(3158),
    [anon_sym_break] = ACTIONS(3158),
    [anon_sym_continue] = ACTIONS(3158),
    [anon_sym_debugger] = ACTIONS(3158),
    [anon_sym_return] = ACTIONS(3158),
    [anon_sym_throw] = ACTIONS(3158),
    [anon_sym_SEMI] = ACTIONS(3158),
    [anon_sym_case] = ACTIONS(3158),
    [anon_sym_yield] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [anon_sym_LTtemplate_GT] = ACTIONS(3158),
    [anon_sym_class] = ACTIONS(3158),
    [anon_sym_async] = ACTIONS(3158),
    [anon_sym_function] = ACTIONS(3158),
    [anon_sym_new] = ACTIONS(3158),
    [anon_sym_using] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_SLASH] = ACTIONS(3158),
    [anon_sym_LT] = ACTIONS(3158),
    [anon_sym_TILDE] = ACTIONS(3158),
    [anon_sym_void] = ACTIONS(3158),
    [anon_sym_delete] = ACTIONS(3158),
    [anon_sym_PLUS_PLUS] = ACTIONS(3158),
    [anon_sym_DASH_DASH] = ACTIONS(3158),
    [anon_sym_DQUOTE] = ACTIONS(3158),
    [anon_sym_SQUOTE] = ACTIONS(3158),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3158),
    [sym_number] = ACTIONS(3158),
    [sym_private_property_identifier] = ACTIONS(3158),
    [sym_this] = ACTIONS(3158),
    [sym_super] = ACTIONS(3158),
    [sym_true] = ACTIONS(3158),
    [sym_false] = ACTIONS(3158),
    [sym_null] = ACTIONS(3158),
    [sym_undefined] = ACTIONS(3158),
    [anon_sym_AT] = ACTIONS(3158),
    [anon_sym_static] = ACTIONS(3158),
    [anon_sym_readonly] = ACTIONS(3158),
    [anon_sym_get] = ACTIONS(3158),
    [anon_sym_set] = ACTIONS(3158),
    [anon_sym_declare] = ACTIONS(3158),
    [anon_sym_public] = ACTIONS(3158),
    [anon_sym_private] = ACTIONS(3158),
    [anon_sym_protected] = ACTIONS(3158),
    [anon_sym_override] = ACTIONS(3158),
    [anon_sym_module] = ACTIONS(3158),
    [anon_sym_any] = ACTIONS(3158),
    [anon_sym_number] = ACTIONS(3158),
    [anon_sym_boolean] = ACTIONS(3158),
    [anon_sym_string] = ACTIONS(3158),
    [anon_sym_symbol] = ACTIONS(3158),
    [anon_sym_object] = ACTIONS(3158),
    [anon_sym_abstract] = ACTIONS(3158),
    [anon_sym_interface] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [sym_html_comment] = ACTIONS(5),
  },
  [1220] = {
    [sym_comment] = STATE(1220),
    [sym_identifier] = ACTIONS(3160),
    [anon_sym_export] = ACTIONS(3160),
    [anon_sym_default] = ACTIONS(3160),
    [anon_sym_type] = ACTIONS(3160),
    [anon_sym_namespace] = ACTIONS(3160),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_RBRACE] = ACTIONS(3160),
    [anon_sym_typeof] = ACTIONS(3160),
    [anon_sym_import] = ACTIONS(3160),
    [anon_sym_var] = ACTIONS(3160),
    [anon_sym_let] = ACTIONS(3160),
    [anon_sym_const] = ACTIONS(3160),
    [anon_sym_BANG] = ACTIONS(3160),
    [anon_sym_if] = ACTIONS(3160),
    [anon_sym_switch] = ACTIONS(3160),
    [anon_sym_for] = ACTIONS(3160),
    [anon_sym_LPAREN] = ACTIONS(3160),
    [anon_sym_await] = ACTIONS(3160),
    [anon_sym_while] = ACTIONS(3160),
    [anon_sym_do] = ACTIONS(3160),
    [anon_sym_try] = ACTIONS(3160),
    [anon_sym_with] = ACTIONS(3160),
    [anon_sym_break] = ACTIONS(3160),
    [anon_sym_continue] = ACTIONS(3160),
    [anon_sym_debugger] = ACTIONS(3160),
    [anon_sym_return] = ACTIONS(3160),
    [anon_sym_throw] = ACTIONS(3160),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym_case] = ACTIONS(3160),
    [anon_sym_yield] = ACTIONS(3160),
    [anon_sym_LBRACK] = ACTIONS(3160),
    [anon_sym_LTtemplate_GT] = ACTIONS(3160),
    [anon_sym_class] = ACTIONS(3160),
    [anon_sym_async] = ACTIONS(3160),
    [anon_sym_function] = ACTIONS(3160),
    [anon_sym_new] = ACTIONS(3160),
    [anon_sym_using] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_SLASH] = ACTIONS(3160),
    [anon_sym_LT] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3160),
    [anon_sym_void] = ACTIONS(3160),
    [anon_sym_delete] = ACTIONS(3160),
    [anon_sym_PLUS_PLUS] = ACTIONS(3160),
    [anon_sym_DASH_DASH] = ACTIONS(3160),
    [anon_sym_DQUOTE] = ACTIONS(3160),
    [anon_sym_SQUOTE] = ACTIONS(3160),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3160),
    [sym_number] = ACTIONS(3160),
    [sym_private_property_identifier] = ACTIONS(3160),
    [sym_this] = ACTIONS(3160),
    [sym_super] = ACTIONS(3160),
    [sym_true] = ACTIONS(3160),
    [sym_false] = ACTIONS(3160),
    [sym_null] = ACTIONS(3160),
    [sym_undefined] = ACTIONS(3160),
    [anon_sym_AT] = ACTIONS(3160),
    [anon_sym_static] = ACTIONS(3160),
    [anon_sym_readonly] = ACTIONS(3160),
    [anon_sym_get] = ACTIONS(3160),
    [anon_sym_set] = ACTIONS(3160),
    [anon_sym_declare] = ACTIONS(3160),
    [anon_sym_public] = ACTIONS(3160),
    [anon_sym_private] = ACTIONS(3160),
    [anon_sym_protected] = ACTIONS(3160),
    [anon_sym_override] = ACTIONS(3160),
    [anon_sym_module] = ACTIONS(3160),
    [anon_sym_any] = ACTIONS(3160),
    [anon_sym_number] = ACTIONS(3160),
    [anon_sym_boolean] = ACTIONS(3160),
    [anon_sym_string] = ACTIONS(3160),
    [anon_sym_symbol] = ACTIONS(3160),
    [anon_sym_object] = ACTIONS(3160),
    [anon_sym_abstract] = ACTIONS(3160),
    [anon_sym_interface] = ACTIONS(3160),
    [anon_sym_enum] = ACTIONS(3160),
    [sym_html_comment] = ACTIONS(5),
  },
  [1221] = {
    [sym_comment] = STATE(1221),
    [ts_builtin_sym_end] = ACTIONS(3360),
    [sym_identifier] = ACTIONS(3242),
    [anon_sym_export] = ACTIONS(3242),
    [anon_sym_type] = ACTIONS(3242),
    [anon_sym_namespace] = ACTIONS(3242),
    [anon_sym_LBRACE] = ACTIONS(3242),
    [anon_sym_RBRACE] = ACTIONS(3242),
    [anon_sym_typeof] = ACTIONS(3242),
    [anon_sym_import] = ACTIONS(3242),
    [anon_sym_var] = ACTIONS(3242),
    [anon_sym_let] = ACTIONS(3242),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_BANG] = ACTIONS(3242),
    [anon_sym_else] = ACTIONS(3242),
    [anon_sym_if] = ACTIONS(3242),
    [anon_sym_switch] = ACTIONS(3242),
    [anon_sym_for] = ACTIONS(3242),
    [anon_sym_LPAREN] = ACTIONS(3242),
    [anon_sym_await] = ACTIONS(3242),
    [anon_sym_while] = ACTIONS(3242),
    [anon_sym_do] = ACTIONS(3242),
    [anon_sym_try] = ACTIONS(3242),
    [anon_sym_with] = ACTIONS(3242),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_continue] = ACTIONS(3242),
    [anon_sym_debugger] = ACTIONS(3242),
    [anon_sym_return] = ACTIONS(3242),
    [anon_sym_throw] = ACTIONS(3242),
    [anon_sym_SEMI] = ACTIONS(3242),
    [anon_sym_yield] = ACTIONS(3242),
    [anon_sym_LBRACK] = ACTIONS(3242),
    [anon_sym_LTtemplate_GT] = ACTIONS(3242),
    [anon_sym_class] = ACTIONS(3242),
    [anon_sym_async] = ACTIONS(3242),
    [anon_sym_function] = ACTIONS(3242),
    [anon_sym_new] = ACTIONS(3242),
    [anon_sym_using] = ACTIONS(3242),
    [anon_sym_PLUS] = ACTIONS(3242),
    [anon_sym_DASH] = ACTIONS(3242),
    [anon_sym_SLASH] = ACTIONS(3242),
    [anon_sym_LT] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_void] = ACTIONS(3242),
    [anon_sym_delete] = ACTIONS(3242),
    [anon_sym_PLUS_PLUS] = ACTIONS(3242),
    [anon_sym_DASH_DASH] = ACTIONS(3242),
    [anon_sym_DQUOTE] = ACTIONS(3242),
    [anon_sym_SQUOTE] = ACTIONS(3242),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3242),
    [sym_number] = ACTIONS(3242),
    [sym_private_property_identifier] = ACTIONS(3242),
    [sym_this] = ACTIONS(3242),
    [sym_super] = ACTIONS(3242),
    [sym_true] = ACTIONS(3242),
    [sym_false] = ACTIONS(3242),
    [sym_null] = ACTIONS(3242),
    [sym_undefined] = ACTIONS(3242),
    [anon_sym_AT] = ACTIONS(3242),
    [anon_sym_static] = ACTIONS(3242),
    [anon_sym_readonly] = ACTIONS(3242),
    [anon_sym_get] = ACTIONS(3242),
    [anon_sym_set] = ACTIONS(3242),
    [anon_sym_declare] = ACTIONS(3242),
    [anon_sym_public] = ACTIONS(3242),
    [anon_sym_private] = ACTIONS(3242),
    [anon_sym_protected] = ACTIONS(3242),
    [anon_sym_override] = ACTIONS(3242),
    [anon_sym_module] = ACTIONS(3242),
    [anon_sym_any] = ACTIONS(3242),
    [anon_sym_number] = ACTIONS(3242),
    [anon_sym_boolean] = ACTIONS(3242),
    [anon_sym_string] = ACTIONS(3242),
    [anon_sym_symbol] = ACTIONS(3242),
    [anon_sym_object] = ACTIONS(3242),
    [anon_sym_abstract] = ACTIONS(3242),
    [anon_sym_interface] = ACTIONS(3242),
    [anon_sym_enum] = ACTIONS(3242),
    [sym_html_comment] = ACTIONS(5),
  },
  [1222] = {
    [sym_comment] = STATE(1222),
    [sym_identifier] = ACTIONS(3150),
    [anon_sym_export] = ACTIONS(3150),
    [anon_sym_default] = ACTIONS(3150),
    [anon_sym_type] = ACTIONS(3150),
    [anon_sym_namespace] = ACTIONS(3150),
    [anon_sym_LBRACE] = ACTIONS(3150),
    [anon_sym_RBRACE] = ACTIONS(3150),
    [anon_sym_typeof] = ACTIONS(3150),
    [anon_sym_import] = ACTIONS(3150),
    [anon_sym_var] = ACTIONS(3150),
    [anon_sym_let] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_BANG] = ACTIONS(3150),
    [anon_sym_if] = ACTIONS(3150),
    [anon_sym_switch] = ACTIONS(3150),
    [anon_sym_for] = ACTIONS(3150),
    [anon_sym_LPAREN] = ACTIONS(3150),
    [anon_sym_await] = ACTIONS(3150),
    [anon_sym_while] = ACTIONS(3150),
    [anon_sym_do] = ACTIONS(3150),
    [anon_sym_try] = ACTIONS(3150),
    [anon_sym_with] = ACTIONS(3150),
    [anon_sym_break] = ACTIONS(3150),
    [anon_sym_continue] = ACTIONS(3150),
    [anon_sym_debugger] = ACTIONS(3150),
    [anon_sym_return] = ACTIONS(3150),
    [anon_sym_throw] = ACTIONS(3150),
    [anon_sym_SEMI] = ACTIONS(3150),
    [anon_sym_case] = ACTIONS(3150),
    [anon_sym_yield] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3150),
    [anon_sym_LTtemplate_GT] = ACTIONS(3150),
    [anon_sym_class] = ACTIONS(3150),
    [anon_sym_async] = ACTIONS(3150),
    [anon_sym_function] = ACTIONS(3150),
    [anon_sym_new] = ACTIONS(3150),
    [anon_sym_using] = ACTIONS(3150),
    [anon_sym_PLUS] = ACTIONS(3150),
    [anon_sym_DASH] = ACTIONS(3150),
    [anon_sym_SLASH] = ACTIONS(3150),
    [anon_sym_LT] = ACTIONS(3150),
    [anon_sym_TILDE] = ACTIONS(3150),
    [anon_sym_void] = ACTIONS(3150),
    [anon_sym_delete] = ACTIONS(3150),
    [anon_sym_PLUS_PLUS] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3150),
    [anon_sym_DQUOTE] = ACTIONS(3150),
    [anon_sym_SQUOTE] = ACTIONS(3150),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3150),
    [sym_number] = ACTIONS(3150),
    [sym_private_property_identifier] = ACTIONS(3150),
    [sym_this] = ACTIONS(3150),
    [sym_super] = ACTIONS(3150),
    [sym_true] = ACTIONS(3150),
    [sym_false] = ACTIONS(3150),
    [sym_null] = ACTIONS(3150),
    [sym_undefined] = ACTIONS(3150),
    [anon_sym_AT] = ACTIONS(3150),
    [anon_sym_static] = ACTIONS(3150),
    [anon_sym_readonly] = ACTIONS(3150),
    [anon_sym_get] = ACTIONS(3150),
    [anon_sym_set] = ACTIONS(3150),
    [anon_sym_declare] = ACTIONS(3150),
    [anon_sym_public] = ACTIONS(3150),
    [anon_sym_private] = ACTIONS(3150),
    [anon_sym_protected] = ACTIONS(3150),
    [anon_sym_override] = ACTIONS(3150),
    [anon_sym_module] = ACTIONS(3150),
    [anon_sym_any] = ACTIONS(3150),
    [anon_sym_number] = ACTIONS(3150),
    [anon_sym_boolean] = ACTIONS(3150),
    [anon_sym_string] = ACTIONS(3150),
    [anon_sym_symbol] = ACTIONS(3150),
    [anon_sym_object] = ACTIONS(3150),
    [anon_sym_abstract] = ACTIONS(3150),
    [anon_sym_interface] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [sym_html_comment] = ACTIONS(5),
  },
  [1223] = {
    [sym_comment] = STATE(1223),
    [ts_builtin_sym_end] = ACTIONS(3362),
    [sym_identifier] = ACTIONS(3160),
    [anon_sym_export] = ACTIONS(3160),
    [anon_sym_type] = ACTIONS(3160),
    [anon_sym_namespace] = ACTIONS(3160),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_RBRACE] = ACTIONS(3160),
    [anon_sym_typeof] = ACTIONS(3160),
    [anon_sym_import] = ACTIONS(3160),
    [anon_sym_var] = ACTIONS(3160),
    [anon_sym_let] = ACTIONS(3160),
    [anon_sym_const] = ACTIONS(3160),
    [anon_sym_BANG] = ACTIONS(3160),
    [anon_sym_else] = ACTIONS(3160),
    [anon_sym_if] = ACTIONS(3160),
    [anon_sym_switch] = ACTIONS(3160),
    [anon_sym_for] = ACTIONS(3160),
    [anon_sym_LPAREN] = ACTIONS(3160),
    [anon_sym_await] = ACTIONS(3160),
    [anon_sym_while] = ACTIONS(3160),
    [anon_sym_do] = ACTIONS(3160),
    [anon_sym_try] = ACTIONS(3160),
    [anon_sym_with] = ACTIONS(3160),
    [anon_sym_break] = ACTIONS(3160),
    [anon_sym_continue] = ACTIONS(3160),
    [anon_sym_debugger] = ACTIONS(3160),
    [anon_sym_return] = ACTIONS(3160),
    [anon_sym_throw] = ACTIONS(3160),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym_yield] = ACTIONS(3160),
    [anon_sym_LBRACK] = ACTIONS(3160),
    [anon_sym_LTtemplate_GT] = ACTIONS(3160),
    [anon_sym_class] = ACTIONS(3160),
    [anon_sym_async] = ACTIONS(3160),
    [anon_sym_function] = ACTIONS(3160),
    [anon_sym_new] = ACTIONS(3160),
    [anon_sym_using] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_SLASH] = ACTIONS(3160),
    [anon_sym_LT] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3160),
    [anon_sym_void] = ACTIONS(3160),
    [anon_sym_delete] = ACTIONS(3160),
    [anon_sym_PLUS_PLUS] = ACTIONS(3160),
    [anon_sym_DASH_DASH] = ACTIONS(3160),
    [anon_sym_DQUOTE] = ACTIONS(3160),
    [anon_sym_SQUOTE] = ACTIONS(3160),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3160),
    [sym_number] = ACTIONS(3160),
    [sym_private_property_identifier] = ACTIONS(3160),
    [sym_this] = ACTIONS(3160),
    [sym_super] = ACTIONS(3160),
    [sym_true] = ACTIONS(3160),
    [sym_false] = ACTIONS(3160),
    [sym_null] = ACTIONS(3160),
    [sym_undefined] = ACTIONS(3160),
    [anon_sym_AT] = ACTIONS(3160),
    [anon_sym_static] = ACTIONS(3160),
    [anon_sym_readonly] = ACTIONS(3160),
    [anon_sym_get] = ACTIONS(3160),
    [anon_sym_set] = ACTIONS(3160),
    [anon_sym_declare] = ACTIONS(3160),
    [anon_sym_public] = ACTIONS(3160),
    [anon_sym_private] = ACTIONS(3160),
    [anon_sym_protected] = ACTIONS(3160),
    [anon_sym_override] = ACTIONS(3160),
    [anon_sym_module] = ACTIONS(3160),
    [anon_sym_any] = ACTIONS(3160),
    [anon_sym_number] = ACTIONS(3160),
    [anon_sym_boolean] = ACTIONS(3160),
    [anon_sym_string] = ACTIONS(3160),
    [anon_sym_symbol] = ACTIONS(3160),
    [anon_sym_object] = ACTIONS(3160),
    [anon_sym_abstract] = ACTIONS(3160),
    [anon_sym_interface] = ACTIONS(3160),
    [anon_sym_enum] = ACTIONS(3160),
    [sym_html_comment] = ACTIONS(5),
  },
  [1224] = {
    [sym_comment] = STATE(1224),
    [ts_builtin_sym_end] = ACTIONS(3364),
    [sym_identifier] = ACTIONS(3158),
    [anon_sym_export] = ACTIONS(3158),
    [anon_sym_type] = ACTIONS(3158),
    [anon_sym_namespace] = ACTIONS(3158),
    [anon_sym_LBRACE] = ACTIONS(3158),
    [anon_sym_RBRACE] = ACTIONS(3158),
    [anon_sym_typeof] = ACTIONS(3158),
    [anon_sym_import] = ACTIONS(3158),
    [anon_sym_var] = ACTIONS(3158),
    [anon_sym_let] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_BANG] = ACTIONS(3158),
    [anon_sym_else] = ACTIONS(3158),
    [anon_sym_if] = ACTIONS(3158),
    [anon_sym_switch] = ACTIONS(3158),
    [anon_sym_for] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(3158),
    [anon_sym_await] = ACTIONS(3158),
    [anon_sym_while] = ACTIONS(3158),
    [anon_sym_do] = ACTIONS(3158),
    [anon_sym_try] = ACTIONS(3158),
    [anon_sym_with] = ACTIONS(3158),
    [anon_sym_break] = ACTIONS(3158),
    [anon_sym_continue] = ACTIONS(3158),
    [anon_sym_debugger] = ACTIONS(3158),
    [anon_sym_return] = ACTIONS(3158),
    [anon_sym_throw] = ACTIONS(3158),
    [anon_sym_SEMI] = ACTIONS(3158),
    [anon_sym_yield] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [anon_sym_LTtemplate_GT] = ACTIONS(3158),
    [anon_sym_class] = ACTIONS(3158),
    [anon_sym_async] = ACTIONS(3158),
    [anon_sym_function] = ACTIONS(3158),
    [anon_sym_new] = ACTIONS(3158),
    [anon_sym_using] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_SLASH] = ACTIONS(3158),
    [anon_sym_LT] = ACTIONS(3158),
    [anon_sym_TILDE] = ACTIONS(3158),
    [anon_sym_void] = ACTIONS(3158),
    [anon_sym_delete] = ACTIONS(3158),
    [anon_sym_PLUS_PLUS] = ACTIONS(3158),
    [anon_sym_DASH_DASH] = ACTIONS(3158),
    [anon_sym_DQUOTE] = ACTIONS(3158),
    [anon_sym_SQUOTE] = ACTIONS(3158),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3158),
    [sym_number] = ACTIONS(3158),
    [sym_private_property_identifier] = ACTIONS(3158),
    [sym_this] = ACTIONS(3158),
    [sym_super] = ACTIONS(3158),
    [sym_true] = ACTIONS(3158),
    [sym_false] = ACTIONS(3158),
    [sym_null] = ACTIONS(3158),
    [sym_undefined] = ACTIONS(3158),
    [anon_sym_AT] = ACTIONS(3158),
    [anon_sym_static] = ACTIONS(3158),
    [anon_sym_readonly] = ACTIONS(3158),
    [anon_sym_get] = ACTIONS(3158),
    [anon_sym_set] = ACTIONS(3158),
    [anon_sym_declare] = ACTIONS(3158),
    [anon_sym_public] = ACTIONS(3158),
    [anon_sym_private] = ACTIONS(3158),
    [anon_sym_protected] = ACTIONS(3158),
    [anon_sym_override] = ACTIONS(3158),
    [anon_sym_module] = ACTIONS(3158),
    [anon_sym_any] = ACTIONS(3158),
    [anon_sym_number] = ACTIONS(3158),
    [anon_sym_boolean] = ACTIONS(3158),
    [anon_sym_string] = ACTIONS(3158),
    [anon_sym_symbol] = ACTIONS(3158),
    [anon_sym_object] = ACTIONS(3158),
    [anon_sym_abstract] = ACTIONS(3158),
    [anon_sym_interface] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [sym_html_comment] = ACTIONS(5),
  },
  [1225] = {
    [sym_comment] = STATE(1225),
    [sym_identifier] = ACTIONS(3144),
    [anon_sym_export] = ACTIONS(3144),
    [anon_sym_default] = ACTIONS(3144),
    [anon_sym_type] = ACTIONS(3144),
    [anon_sym_namespace] = ACTIONS(3144),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_RBRACE] = ACTIONS(3144),
    [anon_sym_typeof] = ACTIONS(3144),
    [anon_sym_import] = ACTIONS(3144),
    [anon_sym_var] = ACTIONS(3144),
    [anon_sym_let] = ACTIONS(3144),
    [anon_sym_const] = ACTIONS(3144),
    [anon_sym_BANG] = ACTIONS(3144),
    [anon_sym_if] = ACTIONS(3144),
    [anon_sym_switch] = ACTIONS(3144),
    [anon_sym_for] = ACTIONS(3144),
    [anon_sym_LPAREN] = ACTIONS(3144),
    [anon_sym_await] = ACTIONS(3144),
    [anon_sym_while] = ACTIONS(3144),
    [anon_sym_do] = ACTIONS(3144),
    [anon_sym_try] = ACTIONS(3144),
    [anon_sym_with] = ACTIONS(3144),
    [anon_sym_break] = ACTIONS(3144),
    [anon_sym_continue] = ACTIONS(3144),
    [anon_sym_debugger] = ACTIONS(3144),
    [anon_sym_return] = ACTIONS(3144),
    [anon_sym_throw] = ACTIONS(3144),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym_case] = ACTIONS(3144),
    [anon_sym_yield] = ACTIONS(3144),
    [anon_sym_LBRACK] = ACTIONS(3144),
    [anon_sym_LTtemplate_GT] = ACTIONS(3144),
    [anon_sym_class] = ACTIONS(3144),
    [anon_sym_async] = ACTIONS(3144),
    [anon_sym_function] = ACTIONS(3144),
    [anon_sym_new] = ACTIONS(3144),
    [anon_sym_using] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_SLASH] = ACTIONS(3144),
    [anon_sym_LT] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_void] = ACTIONS(3144),
    [anon_sym_delete] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_DQUOTE] = ACTIONS(3144),
    [anon_sym_SQUOTE] = ACTIONS(3144),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3144),
    [sym_number] = ACTIONS(3144),
    [sym_private_property_identifier] = ACTIONS(3144),
    [sym_this] = ACTIONS(3144),
    [sym_super] = ACTIONS(3144),
    [sym_true] = ACTIONS(3144),
    [sym_false] = ACTIONS(3144),
    [sym_null] = ACTIONS(3144),
    [sym_undefined] = ACTIONS(3144),
    [anon_sym_AT] = ACTIONS(3144),
    [anon_sym_static] = ACTIONS(3144),
    [anon_sym_readonly] = ACTIONS(3144),
    [anon_sym_get] = ACTIONS(3144),
    [anon_sym_set] = ACTIONS(3144),
    [anon_sym_declare] = ACTIONS(3144),
    [anon_sym_public] = ACTIONS(3144),
    [anon_sym_private] = ACTIONS(3144),
    [anon_sym_protected] = ACTIONS(3144),
    [anon_sym_override] = ACTIONS(3144),
    [anon_sym_module] = ACTIONS(3144),
    [anon_sym_any] = ACTIONS(3144),
    [anon_sym_number] = ACTIONS(3144),
    [anon_sym_boolean] = ACTIONS(3144),
    [anon_sym_string] = ACTIONS(3144),
    [anon_sym_symbol] = ACTIONS(3144),
    [anon_sym_object] = ACTIONS(3144),
    [anon_sym_abstract] = ACTIONS(3144),
    [anon_sym_interface] = ACTIONS(3144),
    [anon_sym_enum] = ACTIONS(3144),
    [sym_html_comment] = ACTIONS(5),
  },
  [1226] = {
    [sym_comment] = STATE(1226),
    [sym_identifier] = ACTIONS(3144),
    [anon_sym_export] = ACTIONS(3144),
    [anon_sym_default] = ACTIONS(3144),
    [anon_sym_type] = ACTIONS(3144),
    [anon_sym_namespace] = ACTIONS(3144),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_RBRACE] = ACTIONS(3144),
    [anon_sym_typeof] = ACTIONS(3144),
    [anon_sym_import] = ACTIONS(3144),
    [anon_sym_var] = ACTIONS(3144),
    [anon_sym_let] = ACTIONS(3144),
    [anon_sym_const] = ACTIONS(3144),
    [anon_sym_BANG] = ACTIONS(3144),
    [anon_sym_if] = ACTIONS(3144),
    [anon_sym_switch] = ACTIONS(3144),
    [anon_sym_for] = ACTIONS(3144),
    [anon_sym_LPAREN] = ACTIONS(3144),
    [anon_sym_await] = ACTIONS(3144),
    [anon_sym_while] = ACTIONS(3144),
    [anon_sym_do] = ACTIONS(3144),
    [anon_sym_try] = ACTIONS(3144),
    [anon_sym_with] = ACTIONS(3144),
    [anon_sym_break] = ACTIONS(3144),
    [anon_sym_continue] = ACTIONS(3144),
    [anon_sym_debugger] = ACTIONS(3144),
    [anon_sym_return] = ACTIONS(3144),
    [anon_sym_throw] = ACTIONS(3144),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym_case] = ACTIONS(3144),
    [anon_sym_yield] = ACTIONS(3144),
    [anon_sym_LBRACK] = ACTIONS(3144),
    [anon_sym_LTtemplate_GT] = ACTIONS(3144),
    [anon_sym_class] = ACTIONS(3144),
    [anon_sym_async] = ACTIONS(3144),
    [anon_sym_function] = ACTIONS(3144),
    [anon_sym_new] = ACTIONS(3144),
    [anon_sym_using] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_SLASH] = ACTIONS(3144),
    [anon_sym_LT] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_void] = ACTIONS(3144),
    [anon_sym_delete] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_DQUOTE] = ACTIONS(3144),
    [anon_sym_SQUOTE] = ACTIONS(3144),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3144),
    [sym_number] = ACTIONS(3144),
    [sym_private_property_identifier] = ACTIONS(3144),
    [sym_this] = ACTIONS(3144),
    [sym_super] = ACTIONS(3144),
    [sym_true] = ACTIONS(3144),
    [sym_false] = ACTIONS(3144),
    [sym_null] = ACTIONS(3144),
    [sym_undefined] = ACTIONS(3144),
    [anon_sym_AT] = ACTIONS(3144),
    [anon_sym_static] = ACTIONS(3144),
    [anon_sym_readonly] = ACTIONS(3144),
    [anon_sym_get] = ACTIONS(3144),
    [anon_sym_set] = ACTIONS(3144),
    [anon_sym_declare] = ACTIONS(3144),
    [anon_sym_public] = ACTIONS(3144),
    [anon_sym_private] = ACTIONS(3144),
    [anon_sym_protected] = ACTIONS(3144),
    [anon_sym_override] = ACTIONS(3144),
    [anon_sym_module] = ACTIONS(3144),
    [anon_sym_any] = ACTIONS(3144),
    [anon_sym_number] = ACTIONS(3144),
    [anon_sym_boolean] = ACTIONS(3144),
    [anon_sym_string] = ACTIONS(3144),
    [anon_sym_symbol] = ACTIONS(3144),
    [anon_sym_object] = ACTIONS(3144),
    [anon_sym_abstract] = ACTIONS(3144),
    [anon_sym_interface] = ACTIONS(3144),
    [anon_sym_enum] = ACTIONS(3144),
    [sym_html_comment] = ACTIONS(5),
  },
  [1227] = {
    [sym_comment] = STATE(1227),
    [sym_identifier] = ACTIONS(3144),
    [anon_sym_export] = ACTIONS(3144),
    [anon_sym_default] = ACTIONS(3144),
    [anon_sym_type] = ACTIONS(3144),
    [anon_sym_namespace] = ACTIONS(3144),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_RBRACE] = ACTIONS(3144),
    [anon_sym_typeof] = ACTIONS(3144),
    [anon_sym_import] = ACTIONS(3144),
    [anon_sym_var] = ACTIONS(3144),
    [anon_sym_let] = ACTIONS(3144),
    [anon_sym_const] = ACTIONS(3144),
    [anon_sym_BANG] = ACTIONS(3144),
    [anon_sym_if] = ACTIONS(3144),
    [anon_sym_switch] = ACTIONS(3144),
    [anon_sym_for] = ACTIONS(3144),
    [anon_sym_LPAREN] = ACTIONS(3144),
    [anon_sym_await] = ACTIONS(3144),
    [anon_sym_while] = ACTIONS(3144),
    [anon_sym_do] = ACTIONS(3144),
    [anon_sym_try] = ACTIONS(3144),
    [anon_sym_with] = ACTIONS(3144),
    [anon_sym_break] = ACTIONS(3144),
    [anon_sym_continue] = ACTIONS(3144),
    [anon_sym_debugger] = ACTIONS(3144),
    [anon_sym_return] = ACTIONS(3144),
    [anon_sym_throw] = ACTIONS(3144),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym_case] = ACTIONS(3144),
    [anon_sym_yield] = ACTIONS(3144),
    [anon_sym_LBRACK] = ACTIONS(3144),
    [anon_sym_LTtemplate_GT] = ACTIONS(3144),
    [anon_sym_class] = ACTIONS(3144),
    [anon_sym_async] = ACTIONS(3144),
    [anon_sym_function] = ACTIONS(3144),
    [anon_sym_new] = ACTIONS(3144),
    [anon_sym_using] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_SLASH] = ACTIONS(3144),
    [anon_sym_LT] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_void] = ACTIONS(3144),
    [anon_sym_delete] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_DQUOTE] = ACTIONS(3144),
    [anon_sym_SQUOTE] = ACTIONS(3144),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3144),
    [sym_number] = ACTIONS(3144),
    [sym_private_property_identifier] = ACTIONS(3144),
    [sym_this] = ACTIONS(3144),
    [sym_super] = ACTIONS(3144),
    [sym_true] = ACTIONS(3144),
    [sym_false] = ACTIONS(3144),
    [sym_null] = ACTIONS(3144),
    [sym_undefined] = ACTIONS(3144),
    [anon_sym_AT] = ACTIONS(3144),
    [anon_sym_static] = ACTIONS(3144),
    [anon_sym_readonly] = ACTIONS(3144),
    [anon_sym_get] = ACTIONS(3144),
    [anon_sym_set] = ACTIONS(3144),
    [anon_sym_declare] = ACTIONS(3144),
    [anon_sym_public] = ACTIONS(3144),
    [anon_sym_private] = ACTIONS(3144),
    [anon_sym_protected] = ACTIONS(3144),
    [anon_sym_override] = ACTIONS(3144),
    [anon_sym_module] = ACTIONS(3144),
    [anon_sym_any] = ACTIONS(3144),
    [anon_sym_number] = ACTIONS(3144),
    [anon_sym_boolean] = ACTIONS(3144),
    [anon_sym_string] = ACTIONS(3144),
    [anon_sym_symbol] = ACTIONS(3144),
    [anon_sym_object] = ACTIONS(3144),
    [anon_sym_abstract] = ACTIONS(3144),
    [anon_sym_interface] = ACTIONS(3144),
    [anon_sym_enum] = ACTIONS(3144),
    [sym_html_comment] = ACTIONS(5),
  },
  [1228] = {
    [sym_comment] = STATE(1228),
    [sym_identifier] = ACTIONS(3126),
    [anon_sym_export] = ACTIONS(3126),
    [anon_sym_default] = ACTIONS(3126),
    [anon_sym_type] = ACTIONS(3126),
    [anon_sym_namespace] = ACTIONS(3126),
    [anon_sym_LBRACE] = ACTIONS(3126),
    [anon_sym_RBRACE] = ACTIONS(3126),
    [anon_sym_typeof] = ACTIONS(3126),
    [anon_sym_import] = ACTIONS(3126),
    [anon_sym_var] = ACTIONS(3126),
    [anon_sym_let] = ACTIONS(3126),
    [anon_sym_const] = ACTIONS(3126),
    [anon_sym_BANG] = ACTIONS(3126),
    [anon_sym_if] = ACTIONS(3126),
    [anon_sym_switch] = ACTIONS(3126),
    [anon_sym_for] = ACTIONS(3126),
    [anon_sym_LPAREN] = ACTIONS(3126),
    [anon_sym_await] = ACTIONS(3126),
    [anon_sym_while] = ACTIONS(3126),
    [anon_sym_do] = ACTIONS(3126),
    [anon_sym_try] = ACTIONS(3126),
    [anon_sym_with] = ACTIONS(3126),
    [anon_sym_break] = ACTIONS(3126),
    [anon_sym_continue] = ACTIONS(3126),
    [anon_sym_debugger] = ACTIONS(3126),
    [anon_sym_return] = ACTIONS(3126),
    [anon_sym_throw] = ACTIONS(3126),
    [anon_sym_SEMI] = ACTIONS(3126),
    [anon_sym_case] = ACTIONS(3126),
    [anon_sym_yield] = ACTIONS(3126),
    [anon_sym_LBRACK] = ACTIONS(3126),
    [anon_sym_LTtemplate_GT] = ACTIONS(3126),
    [anon_sym_class] = ACTIONS(3126),
    [anon_sym_async] = ACTIONS(3126),
    [anon_sym_function] = ACTIONS(3126),
    [anon_sym_new] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3126),
    [anon_sym_PLUS] = ACTIONS(3126),
    [anon_sym_DASH] = ACTIONS(3126),
    [anon_sym_SLASH] = ACTIONS(3126),
    [anon_sym_LT] = ACTIONS(3126),
    [anon_sym_TILDE] = ACTIONS(3126),
    [anon_sym_void] = ACTIONS(3126),
    [anon_sym_delete] = ACTIONS(3126),
    [anon_sym_PLUS_PLUS] = ACTIONS(3126),
    [anon_sym_DASH_DASH] = ACTIONS(3126),
    [anon_sym_DQUOTE] = ACTIONS(3126),
    [anon_sym_SQUOTE] = ACTIONS(3126),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3126),
    [sym_number] = ACTIONS(3126),
    [sym_private_property_identifier] = ACTIONS(3126),
    [sym_this] = ACTIONS(3126),
    [sym_super] = ACTIONS(3126),
    [sym_true] = ACTIONS(3126),
    [sym_false] = ACTIONS(3126),
    [sym_null] = ACTIONS(3126),
    [sym_undefined] = ACTIONS(3126),
    [anon_sym_AT] = ACTIONS(3126),
    [anon_sym_static] = ACTIONS(3126),
    [anon_sym_readonly] = ACTIONS(3126),
    [anon_sym_get] = ACTIONS(3126),
    [anon_sym_set] = ACTIONS(3126),
    [anon_sym_declare] = ACTIONS(3126),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_override] = ACTIONS(3126),
    [anon_sym_module] = ACTIONS(3126),
    [anon_sym_any] = ACTIONS(3126),
    [anon_sym_number] = ACTIONS(3126),
    [anon_sym_boolean] = ACTIONS(3126),
    [anon_sym_string] = ACTIONS(3126),
    [anon_sym_symbol] = ACTIONS(3126),
    [anon_sym_object] = ACTIONS(3126),
    [anon_sym_abstract] = ACTIONS(3126),
    [anon_sym_interface] = ACTIONS(3126),
    [anon_sym_enum] = ACTIONS(3126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1229] = {
    [sym_comment] = STATE(1229),
    [ts_builtin_sym_end] = ACTIONS(3366),
    [sym_identifier] = ACTIONS(3110),
    [anon_sym_export] = ACTIONS(3110),
    [anon_sym_type] = ACTIONS(3110),
    [anon_sym_namespace] = ACTIONS(3110),
    [anon_sym_LBRACE] = ACTIONS(3110),
    [anon_sym_RBRACE] = ACTIONS(3110),
    [anon_sym_typeof] = ACTIONS(3110),
    [anon_sym_import] = ACTIONS(3110),
    [anon_sym_var] = ACTIONS(3110),
    [anon_sym_let] = ACTIONS(3110),
    [anon_sym_const] = ACTIONS(3110),
    [anon_sym_BANG] = ACTIONS(3110),
    [anon_sym_else] = ACTIONS(3110),
    [anon_sym_if] = ACTIONS(3110),
    [anon_sym_switch] = ACTIONS(3110),
    [anon_sym_for] = ACTIONS(3110),
    [anon_sym_LPAREN] = ACTIONS(3110),
    [anon_sym_await] = ACTIONS(3110),
    [anon_sym_while] = ACTIONS(3110),
    [anon_sym_do] = ACTIONS(3110),
    [anon_sym_try] = ACTIONS(3110),
    [anon_sym_with] = ACTIONS(3110),
    [anon_sym_break] = ACTIONS(3110),
    [anon_sym_continue] = ACTIONS(3110),
    [anon_sym_debugger] = ACTIONS(3110),
    [anon_sym_return] = ACTIONS(3110),
    [anon_sym_throw] = ACTIONS(3110),
    [anon_sym_SEMI] = ACTIONS(3110),
    [anon_sym_yield] = ACTIONS(3110),
    [anon_sym_LBRACK] = ACTIONS(3110),
    [anon_sym_LTtemplate_GT] = ACTIONS(3110),
    [anon_sym_class] = ACTIONS(3110),
    [anon_sym_async] = ACTIONS(3110),
    [anon_sym_function] = ACTIONS(3110),
    [anon_sym_new] = ACTIONS(3110),
    [anon_sym_using] = ACTIONS(3110),
    [anon_sym_PLUS] = ACTIONS(3110),
    [anon_sym_DASH] = ACTIONS(3110),
    [anon_sym_SLASH] = ACTIONS(3110),
    [anon_sym_LT] = ACTIONS(3110),
    [anon_sym_TILDE] = ACTIONS(3110),
    [anon_sym_void] = ACTIONS(3110),
    [anon_sym_delete] = ACTIONS(3110),
    [anon_sym_PLUS_PLUS] = ACTIONS(3110),
    [anon_sym_DASH_DASH] = ACTIONS(3110),
    [anon_sym_DQUOTE] = ACTIONS(3110),
    [anon_sym_SQUOTE] = ACTIONS(3110),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3110),
    [sym_number] = ACTIONS(3110),
    [sym_private_property_identifier] = ACTIONS(3110),
    [sym_this] = ACTIONS(3110),
    [sym_super] = ACTIONS(3110),
    [sym_true] = ACTIONS(3110),
    [sym_false] = ACTIONS(3110),
    [sym_null] = ACTIONS(3110),
    [sym_undefined] = ACTIONS(3110),
    [anon_sym_AT] = ACTIONS(3110),
    [anon_sym_static] = ACTIONS(3110),
    [anon_sym_readonly] = ACTIONS(3110),
    [anon_sym_get] = ACTIONS(3110),
    [anon_sym_set] = ACTIONS(3110),
    [anon_sym_declare] = ACTIONS(3110),
    [anon_sym_public] = ACTIONS(3110),
    [anon_sym_private] = ACTIONS(3110),
    [anon_sym_protected] = ACTIONS(3110),
    [anon_sym_override] = ACTIONS(3110),
    [anon_sym_module] = ACTIONS(3110),
    [anon_sym_any] = ACTIONS(3110),
    [anon_sym_number] = ACTIONS(3110),
    [anon_sym_boolean] = ACTIONS(3110),
    [anon_sym_string] = ACTIONS(3110),
    [anon_sym_symbol] = ACTIONS(3110),
    [anon_sym_object] = ACTIONS(3110),
    [anon_sym_abstract] = ACTIONS(3110),
    [anon_sym_interface] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3110),
    [sym_html_comment] = ACTIONS(5),
  },
  [1230] = {
    [sym_comment] = STATE(1230),
    [ts_builtin_sym_end] = ACTIONS(3368),
    [sym_identifier] = ACTIONS(3156),
    [anon_sym_export] = ACTIONS(3156),
    [anon_sym_type] = ACTIONS(3156),
    [anon_sym_namespace] = ACTIONS(3156),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_RBRACE] = ACTIONS(3156),
    [anon_sym_typeof] = ACTIONS(3156),
    [anon_sym_import] = ACTIONS(3156),
    [anon_sym_var] = ACTIONS(3156),
    [anon_sym_let] = ACTIONS(3156),
    [anon_sym_const] = ACTIONS(3156),
    [anon_sym_BANG] = ACTIONS(3156),
    [anon_sym_else] = ACTIONS(3156),
    [anon_sym_if] = ACTIONS(3156),
    [anon_sym_switch] = ACTIONS(3156),
    [anon_sym_for] = ACTIONS(3156),
    [anon_sym_LPAREN] = ACTIONS(3156),
    [anon_sym_await] = ACTIONS(3156),
    [anon_sym_while] = ACTIONS(3156),
    [anon_sym_do] = ACTIONS(3156),
    [anon_sym_try] = ACTIONS(3156),
    [anon_sym_with] = ACTIONS(3156),
    [anon_sym_break] = ACTIONS(3156),
    [anon_sym_continue] = ACTIONS(3156),
    [anon_sym_debugger] = ACTIONS(3156),
    [anon_sym_return] = ACTIONS(3156),
    [anon_sym_throw] = ACTIONS(3156),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym_yield] = ACTIONS(3156),
    [anon_sym_LBRACK] = ACTIONS(3156),
    [anon_sym_LTtemplate_GT] = ACTIONS(3156),
    [anon_sym_class] = ACTIONS(3156),
    [anon_sym_async] = ACTIONS(3156),
    [anon_sym_function] = ACTIONS(3156),
    [anon_sym_new] = ACTIONS(3156),
    [anon_sym_using] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3156),
    [anon_sym_DASH] = ACTIONS(3156),
    [anon_sym_SLASH] = ACTIONS(3156),
    [anon_sym_LT] = ACTIONS(3156),
    [anon_sym_TILDE] = ACTIONS(3156),
    [anon_sym_void] = ACTIONS(3156),
    [anon_sym_delete] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [anon_sym_DQUOTE] = ACTIONS(3156),
    [anon_sym_SQUOTE] = ACTIONS(3156),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3156),
    [sym_number] = ACTIONS(3156),
    [sym_private_property_identifier] = ACTIONS(3156),
    [sym_this] = ACTIONS(3156),
    [sym_super] = ACTIONS(3156),
    [sym_true] = ACTIONS(3156),
    [sym_false] = ACTIONS(3156),
    [sym_null] = ACTIONS(3156),
    [sym_undefined] = ACTIONS(3156),
    [anon_sym_AT] = ACTIONS(3156),
    [anon_sym_static] = ACTIONS(3156),
    [anon_sym_readonly] = ACTIONS(3156),
    [anon_sym_get] = ACTIONS(3156),
    [anon_sym_set] = ACTIONS(3156),
    [anon_sym_declare] = ACTIONS(3156),
    [anon_sym_public] = ACTIONS(3156),
    [anon_sym_private] = ACTIONS(3156),
    [anon_sym_protected] = ACTIONS(3156),
    [anon_sym_override] = ACTIONS(3156),
    [anon_sym_module] = ACTIONS(3156),
    [anon_sym_any] = ACTIONS(3156),
    [anon_sym_number] = ACTIONS(3156),
    [anon_sym_boolean] = ACTIONS(3156),
    [anon_sym_string] = ACTIONS(3156),
    [anon_sym_symbol] = ACTIONS(3156),
    [anon_sym_object] = ACTIONS(3156),
    [anon_sym_abstract] = ACTIONS(3156),
    [anon_sym_interface] = ACTIONS(3156),
    [anon_sym_enum] = ACTIONS(3156),
    [sym_html_comment] = ACTIONS(5),
  },
  [1231] = {
    [sym_comment] = STATE(1231),
    [sym_identifier] = ACTIONS(3122),
    [anon_sym_export] = ACTIONS(3122),
    [anon_sym_default] = ACTIONS(3122),
    [anon_sym_type] = ACTIONS(3122),
    [anon_sym_namespace] = ACTIONS(3122),
    [anon_sym_LBRACE] = ACTIONS(3122),
    [anon_sym_RBRACE] = ACTIONS(3122),
    [anon_sym_typeof] = ACTIONS(3122),
    [anon_sym_import] = ACTIONS(3122),
    [anon_sym_var] = ACTIONS(3122),
    [anon_sym_let] = ACTIONS(3122),
    [anon_sym_const] = ACTIONS(3122),
    [anon_sym_BANG] = ACTIONS(3122),
    [anon_sym_if] = ACTIONS(3122),
    [anon_sym_switch] = ACTIONS(3122),
    [anon_sym_for] = ACTIONS(3122),
    [anon_sym_LPAREN] = ACTIONS(3122),
    [anon_sym_await] = ACTIONS(3122),
    [anon_sym_while] = ACTIONS(3122),
    [anon_sym_do] = ACTIONS(3122),
    [anon_sym_try] = ACTIONS(3122),
    [anon_sym_with] = ACTIONS(3122),
    [anon_sym_break] = ACTIONS(3122),
    [anon_sym_continue] = ACTIONS(3122),
    [anon_sym_debugger] = ACTIONS(3122),
    [anon_sym_return] = ACTIONS(3122),
    [anon_sym_throw] = ACTIONS(3122),
    [anon_sym_SEMI] = ACTIONS(3122),
    [anon_sym_case] = ACTIONS(3122),
    [anon_sym_yield] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3122),
    [anon_sym_LTtemplate_GT] = ACTIONS(3122),
    [anon_sym_class] = ACTIONS(3122),
    [anon_sym_async] = ACTIONS(3122),
    [anon_sym_function] = ACTIONS(3122),
    [anon_sym_new] = ACTIONS(3122),
    [anon_sym_using] = ACTIONS(3122),
    [anon_sym_PLUS] = ACTIONS(3122),
    [anon_sym_DASH] = ACTIONS(3122),
    [anon_sym_SLASH] = ACTIONS(3122),
    [anon_sym_LT] = ACTIONS(3122),
    [anon_sym_TILDE] = ACTIONS(3122),
    [anon_sym_void] = ACTIONS(3122),
    [anon_sym_delete] = ACTIONS(3122),
    [anon_sym_PLUS_PLUS] = ACTIONS(3122),
    [anon_sym_DASH_DASH] = ACTIONS(3122),
    [anon_sym_DQUOTE] = ACTIONS(3122),
    [anon_sym_SQUOTE] = ACTIONS(3122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3122),
    [sym_number] = ACTIONS(3122),
    [sym_private_property_identifier] = ACTIONS(3122),
    [sym_this] = ACTIONS(3122),
    [sym_super] = ACTIONS(3122),
    [sym_true] = ACTIONS(3122),
    [sym_false] = ACTIONS(3122),
    [sym_null] = ACTIONS(3122),
    [sym_undefined] = ACTIONS(3122),
    [anon_sym_AT] = ACTIONS(3122),
    [anon_sym_static] = ACTIONS(3122),
    [anon_sym_readonly] = ACTIONS(3122),
    [anon_sym_get] = ACTIONS(3122),
    [anon_sym_set] = ACTIONS(3122),
    [anon_sym_declare] = ACTIONS(3122),
    [anon_sym_public] = ACTIONS(3122),
    [anon_sym_private] = ACTIONS(3122),
    [anon_sym_protected] = ACTIONS(3122),
    [anon_sym_override] = ACTIONS(3122),
    [anon_sym_module] = ACTIONS(3122),
    [anon_sym_any] = ACTIONS(3122),
    [anon_sym_number] = ACTIONS(3122),
    [anon_sym_boolean] = ACTIONS(3122),
    [anon_sym_string] = ACTIONS(3122),
    [anon_sym_symbol] = ACTIONS(3122),
    [anon_sym_object] = ACTIONS(3122),
    [anon_sym_abstract] = ACTIONS(3122),
    [anon_sym_interface] = ACTIONS(3122),
    [anon_sym_enum] = ACTIONS(3122),
    [sym_html_comment] = ACTIONS(5),
  },
  [1232] = {
    [sym_comment] = STATE(1232),
    [sym_identifier] = ACTIONS(3120),
    [anon_sym_export] = ACTIONS(3120),
    [anon_sym_default] = ACTIONS(3120),
    [anon_sym_type] = ACTIONS(3120),
    [anon_sym_namespace] = ACTIONS(3120),
    [anon_sym_LBRACE] = ACTIONS(3120),
    [anon_sym_RBRACE] = ACTIONS(3120),
    [anon_sym_typeof] = ACTIONS(3120),
    [anon_sym_import] = ACTIONS(3120),
    [anon_sym_var] = ACTIONS(3120),
    [anon_sym_let] = ACTIONS(3120),
    [anon_sym_const] = ACTIONS(3120),
    [anon_sym_BANG] = ACTIONS(3120),
    [anon_sym_if] = ACTIONS(3120),
    [anon_sym_switch] = ACTIONS(3120),
    [anon_sym_for] = ACTIONS(3120),
    [anon_sym_LPAREN] = ACTIONS(3120),
    [anon_sym_await] = ACTIONS(3120),
    [anon_sym_while] = ACTIONS(3120),
    [anon_sym_do] = ACTIONS(3120),
    [anon_sym_try] = ACTIONS(3120),
    [anon_sym_with] = ACTIONS(3120),
    [anon_sym_break] = ACTIONS(3120),
    [anon_sym_continue] = ACTIONS(3120),
    [anon_sym_debugger] = ACTIONS(3120),
    [anon_sym_return] = ACTIONS(3120),
    [anon_sym_throw] = ACTIONS(3120),
    [anon_sym_SEMI] = ACTIONS(3120),
    [anon_sym_case] = ACTIONS(3120),
    [anon_sym_yield] = ACTIONS(3120),
    [anon_sym_LBRACK] = ACTIONS(3120),
    [anon_sym_LTtemplate_GT] = ACTIONS(3120),
    [anon_sym_class] = ACTIONS(3120),
    [anon_sym_async] = ACTIONS(3120),
    [anon_sym_function] = ACTIONS(3120),
    [anon_sym_new] = ACTIONS(3120),
    [anon_sym_using] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3120),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_SLASH] = ACTIONS(3120),
    [anon_sym_LT] = ACTIONS(3120),
    [anon_sym_TILDE] = ACTIONS(3120),
    [anon_sym_void] = ACTIONS(3120),
    [anon_sym_delete] = ACTIONS(3120),
    [anon_sym_PLUS_PLUS] = ACTIONS(3120),
    [anon_sym_DASH_DASH] = ACTIONS(3120),
    [anon_sym_DQUOTE] = ACTIONS(3120),
    [anon_sym_SQUOTE] = ACTIONS(3120),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3120),
    [sym_number] = ACTIONS(3120),
    [sym_private_property_identifier] = ACTIONS(3120),
    [sym_this] = ACTIONS(3120),
    [sym_super] = ACTIONS(3120),
    [sym_true] = ACTIONS(3120),
    [sym_false] = ACTIONS(3120),
    [sym_null] = ACTIONS(3120),
    [sym_undefined] = ACTIONS(3120),
    [anon_sym_AT] = ACTIONS(3120),
    [anon_sym_static] = ACTIONS(3120),
    [anon_sym_readonly] = ACTIONS(3120),
    [anon_sym_get] = ACTIONS(3120),
    [anon_sym_set] = ACTIONS(3120),
    [anon_sym_declare] = ACTIONS(3120),
    [anon_sym_public] = ACTIONS(3120),
    [anon_sym_private] = ACTIONS(3120),
    [anon_sym_protected] = ACTIONS(3120),
    [anon_sym_override] = ACTIONS(3120),
    [anon_sym_module] = ACTIONS(3120),
    [anon_sym_any] = ACTIONS(3120),
    [anon_sym_number] = ACTIONS(3120),
    [anon_sym_boolean] = ACTIONS(3120),
    [anon_sym_string] = ACTIONS(3120),
    [anon_sym_symbol] = ACTIONS(3120),
    [anon_sym_object] = ACTIONS(3120),
    [anon_sym_abstract] = ACTIONS(3120),
    [anon_sym_interface] = ACTIONS(3120),
    [anon_sym_enum] = ACTIONS(3120),
    [sym_html_comment] = ACTIONS(5),
  },
  [1233] = {
    [sym_comment] = STATE(1233),
    [sym_identifier] = ACTIONS(3228),
    [anon_sym_export] = ACTIONS(3228),
    [anon_sym_default] = ACTIONS(3228),
    [anon_sym_type] = ACTIONS(3228),
    [anon_sym_namespace] = ACTIONS(3228),
    [anon_sym_LBRACE] = ACTIONS(3228),
    [anon_sym_RBRACE] = ACTIONS(3228),
    [anon_sym_typeof] = ACTIONS(3228),
    [anon_sym_import] = ACTIONS(3228),
    [anon_sym_var] = ACTIONS(3228),
    [anon_sym_let] = ACTIONS(3228),
    [anon_sym_const] = ACTIONS(3228),
    [anon_sym_BANG] = ACTIONS(3228),
    [anon_sym_if] = ACTIONS(3228),
    [anon_sym_switch] = ACTIONS(3228),
    [anon_sym_for] = ACTIONS(3228),
    [anon_sym_LPAREN] = ACTIONS(3228),
    [anon_sym_await] = ACTIONS(3228),
    [anon_sym_while] = ACTIONS(3228),
    [anon_sym_do] = ACTIONS(3228),
    [anon_sym_try] = ACTIONS(3228),
    [anon_sym_with] = ACTIONS(3228),
    [anon_sym_break] = ACTIONS(3228),
    [anon_sym_continue] = ACTIONS(3228),
    [anon_sym_debugger] = ACTIONS(3228),
    [anon_sym_return] = ACTIONS(3228),
    [anon_sym_throw] = ACTIONS(3228),
    [anon_sym_SEMI] = ACTIONS(3228),
    [anon_sym_case] = ACTIONS(3228),
    [anon_sym_yield] = ACTIONS(3228),
    [anon_sym_LBRACK] = ACTIONS(3228),
    [anon_sym_LTtemplate_GT] = ACTIONS(3228),
    [anon_sym_class] = ACTIONS(3228),
    [anon_sym_async] = ACTIONS(3228),
    [anon_sym_function] = ACTIONS(3228),
    [anon_sym_new] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3228),
    [anon_sym_PLUS] = ACTIONS(3228),
    [anon_sym_DASH] = ACTIONS(3228),
    [anon_sym_SLASH] = ACTIONS(3228),
    [anon_sym_LT] = ACTIONS(3228),
    [anon_sym_TILDE] = ACTIONS(3228),
    [anon_sym_void] = ACTIONS(3228),
    [anon_sym_delete] = ACTIONS(3228),
    [anon_sym_PLUS_PLUS] = ACTIONS(3228),
    [anon_sym_DASH_DASH] = ACTIONS(3228),
    [anon_sym_DQUOTE] = ACTIONS(3228),
    [anon_sym_SQUOTE] = ACTIONS(3228),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3228),
    [sym_number] = ACTIONS(3228),
    [sym_private_property_identifier] = ACTIONS(3228),
    [sym_this] = ACTIONS(3228),
    [sym_super] = ACTIONS(3228),
    [sym_true] = ACTIONS(3228),
    [sym_false] = ACTIONS(3228),
    [sym_null] = ACTIONS(3228),
    [sym_undefined] = ACTIONS(3228),
    [anon_sym_AT] = ACTIONS(3228),
    [anon_sym_static] = ACTIONS(3228),
    [anon_sym_readonly] = ACTIONS(3228),
    [anon_sym_get] = ACTIONS(3228),
    [anon_sym_set] = ACTIONS(3228),
    [anon_sym_declare] = ACTIONS(3228),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_override] = ACTIONS(3228),
    [anon_sym_module] = ACTIONS(3228),
    [anon_sym_any] = ACTIONS(3228),
    [anon_sym_number] = ACTIONS(3228),
    [anon_sym_boolean] = ACTIONS(3228),
    [anon_sym_string] = ACTIONS(3228),
    [anon_sym_symbol] = ACTIONS(3228),
    [anon_sym_object] = ACTIONS(3228),
    [anon_sym_abstract] = ACTIONS(3228),
    [anon_sym_interface] = ACTIONS(3228),
    [anon_sym_enum] = ACTIONS(3228),
    [sym_html_comment] = ACTIONS(5),
  },
  [1234] = {
    [sym_comment] = STATE(1234),
    [sym_identifier] = ACTIONS(3152),
    [anon_sym_export] = ACTIONS(3152),
    [anon_sym_default] = ACTIONS(3152),
    [anon_sym_type] = ACTIONS(3152),
    [anon_sym_namespace] = ACTIONS(3152),
    [anon_sym_LBRACE] = ACTIONS(3152),
    [anon_sym_RBRACE] = ACTIONS(3152),
    [anon_sym_typeof] = ACTIONS(3152),
    [anon_sym_import] = ACTIONS(3152),
    [anon_sym_var] = ACTIONS(3152),
    [anon_sym_let] = ACTIONS(3152),
    [anon_sym_const] = ACTIONS(3152),
    [anon_sym_BANG] = ACTIONS(3152),
    [anon_sym_if] = ACTIONS(3152),
    [anon_sym_switch] = ACTIONS(3152),
    [anon_sym_for] = ACTIONS(3152),
    [anon_sym_LPAREN] = ACTIONS(3152),
    [anon_sym_await] = ACTIONS(3152),
    [anon_sym_while] = ACTIONS(3152),
    [anon_sym_do] = ACTIONS(3152),
    [anon_sym_try] = ACTIONS(3152),
    [anon_sym_with] = ACTIONS(3152),
    [anon_sym_break] = ACTIONS(3152),
    [anon_sym_continue] = ACTIONS(3152),
    [anon_sym_debugger] = ACTIONS(3152),
    [anon_sym_return] = ACTIONS(3152),
    [anon_sym_throw] = ACTIONS(3152),
    [anon_sym_SEMI] = ACTIONS(3152),
    [anon_sym_case] = ACTIONS(3152),
    [anon_sym_yield] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_LTtemplate_GT] = ACTIONS(3152),
    [anon_sym_class] = ACTIONS(3152),
    [anon_sym_async] = ACTIONS(3152),
    [anon_sym_function] = ACTIONS(3152),
    [anon_sym_new] = ACTIONS(3152),
    [anon_sym_using] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_SLASH] = ACTIONS(3152),
    [anon_sym_LT] = ACTIONS(3152),
    [anon_sym_TILDE] = ACTIONS(3152),
    [anon_sym_void] = ACTIONS(3152),
    [anon_sym_delete] = ACTIONS(3152),
    [anon_sym_PLUS_PLUS] = ACTIONS(3152),
    [anon_sym_DASH_DASH] = ACTIONS(3152),
    [anon_sym_DQUOTE] = ACTIONS(3152),
    [anon_sym_SQUOTE] = ACTIONS(3152),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3152),
    [sym_number] = ACTIONS(3152),
    [sym_private_property_identifier] = ACTIONS(3152),
    [sym_this] = ACTIONS(3152),
    [sym_super] = ACTIONS(3152),
    [sym_true] = ACTIONS(3152),
    [sym_false] = ACTIONS(3152),
    [sym_null] = ACTIONS(3152),
    [sym_undefined] = ACTIONS(3152),
    [anon_sym_AT] = ACTIONS(3152),
    [anon_sym_static] = ACTIONS(3152),
    [anon_sym_readonly] = ACTIONS(3152),
    [anon_sym_get] = ACTIONS(3152),
    [anon_sym_set] = ACTIONS(3152),
    [anon_sym_declare] = ACTIONS(3152),
    [anon_sym_public] = ACTIONS(3152),
    [anon_sym_private] = ACTIONS(3152),
    [anon_sym_protected] = ACTIONS(3152),
    [anon_sym_override] = ACTIONS(3152),
    [anon_sym_module] = ACTIONS(3152),
    [anon_sym_any] = ACTIONS(3152),
    [anon_sym_number] = ACTIONS(3152),
    [anon_sym_boolean] = ACTIONS(3152),
    [anon_sym_string] = ACTIONS(3152),
    [anon_sym_symbol] = ACTIONS(3152),
    [anon_sym_object] = ACTIONS(3152),
    [anon_sym_abstract] = ACTIONS(3152),
    [anon_sym_interface] = ACTIONS(3152),
    [anon_sym_enum] = ACTIONS(3152),
    [sym_html_comment] = ACTIONS(5),
  },
  [1235] = {
    [sym_comment] = STATE(1235),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_export] = ACTIONS(3140),
    [anon_sym_default] = ACTIONS(3140),
    [anon_sym_type] = ACTIONS(3140),
    [anon_sym_namespace] = ACTIONS(3140),
    [anon_sym_LBRACE] = ACTIONS(3140),
    [anon_sym_RBRACE] = ACTIONS(3140),
    [anon_sym_typeof] = ACTIONS(3140),
    [anon_sym_import] = ACTIONS(3140),
    [anon_sym_var] = ACTIONS(3140),
    [anon_sym_let] = ACTIONS(3140),
    [anon_sym_const] = ACTIONS(3140),
    [anon_sym_BANG] = ACTIONS(3140),
    [anon_sym_if] = ACTIONS(3140),
    [anon_sym_switch] = ACTIONS(3140),
    [anon_sym_for] = ACTIONS(3140),
    [anon_sym_LPAREN] = ACTIONS(3140),
    [anon_sym_await] = ACTIONS(3140),
    [anon_sym_while] = ACTIONS(3140),
    [anon_sym_do] = ACTIONS(3140),
    [anon_sym_try] = ACTIONS(3140),
    [anon_sym_with] = ACTIONS(3140),
    [anon_sym_break] = ACTIONS(3140),
    [anon_sym_continue] = ACTIONS(3140),
    [anon_sym_debugger] = ACTIONS(3140),
    [anon_sym_return] = ACTIONS(3140),
    [anon_sym_throw] = ACTIONS(3140),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym_case] = ACTIONS(3140),
    [anon_sym_yield] = ACTIONS(3140),
    [anon_sym_LBRACK] = ACTIONS(3140),
    [anon_sym_LTtemplate_GT] = ACTIONS(3140),
    [anon_sym_class] = ACTIONS(3140),
    [anon_sym_async] = ACTIONS(3140),
    [anon_sym_function] = ACTIONS(3140),
    [anon_sym_new] = ACTIONS(3140),
    [anon_sym_using] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_SLASH] = ACTIONS(3140),
    [anon_sym_LT] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_void] = ACTIONS(3140),
    [anon_sym_delete] = ACTIONS(3140),
    [anon_sym_PLUS_PLUS] = ACTIONS(3140),
    [anon_sym_DASH_DASH] = ACTIONS(3140),
    [anon_sym_DQUOTE] = ACTIONS(3140),
    [anon_sym_SQUOTE] = ACTIONS(3140),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3140),
    [sym_number] = ACTIONS(3140),
    [sym_private_property_identifier] = ACTIONS(3140),
    [sym_this] = ACTIONS(3140),
    [sym_super] = ACTIONS(3140),
    [sym_true] = ACTIONS(3140),
    [sym_false] = ACTIONS(3140),
    [sym_null] = ACTIONS(3140),
    [sym_undefined] = ACTIONS(3140),
    [anon_sym_AT] = ACTIONS(3140),
    [anon_sym_static] = ACTIONS(3140),
    [anon_sym_readonly] = ACTIONS(3140),
    [anon_sym_get] = ACTIONS(3140),
    [anon_sym_set] = ACTIONS(3140),
    [anon_sym_declare] = ACTIONS(3140),
    [anon_sym_public] = ACTIONS(3140),
    [anon_sym_private] = ACTIONS(3140),
    [anon_sym_protected] = ACTIONS(3140),
    [anon_sym_override] = ACTIONS(3140),
    [anon_sym_module] = ACTIONS(3140),
    [anon_sym_any] = ACTIONS(3140),
    [anon_sym_number] = ACTIONS(3140),
    [anon_sym_boolean] = ACTIONS(3140),
    [anon_sym_string] = ACTIONS(3140),
    [anon_sym_symbol] = ACTIONS(3140),
    [anon_sym_object] = ACTIONS(3140),
    [anon_sym_abstract] = ACTIONS(3140),
    [anon_sym_interface] = ACTIONS(3140),
    [anon_sym_enum] = ACTIONS(3140),
    [sym_html_comment] = ACTIONS(5),
  },
  [1236] = {
    [sym_comment] = STATE(1236),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_export] = ACTIONS(3140),
    [anon_sym_default] = ACTIONS(3140),
    [anon_sym_type] = ACTIONS(3140),
    [anon_sym_namespace] = ACTIONS(3140),
    [anon_sym_LBRACE] = ACTIONS(3140),
    [anon_sym_RBRACE] = ACTIONS(3140),
    [anon_sym_typeof] = ACTIONS(3140),
    [anon_sym_import] = ACTIONS(3140),
    [anon_sym_var] = ACTIONS(3140),
    [anon_sym_let] = ACTIONS(3140),
    [anon_sym_const] = ACTIONS(3140),
    [anon_sym_BANG] = ACTIONS(3140),
    [anon_sym_if] = ACTIONS(3140),
    [anon_sym_switch] = ACTIONS(3140),
    [anon_sym_for] = ACTIONS(3140),
    [anon_sym_LPAREN] = ACTIONS(3140),
    [anon_sym_await] = ACTIONS(3140),
    [anon_sym_while] = ACTIONS(3140),
    [anon_sym_do] = ACTIONS(3140),
    [anon_sym_try] = ACTIONS(3140),
    [anon_sym_with] = ACTIONS(3140),
    [anon_sym_break] = ACTIONS(3140),
    [anon_sym_continue] = ACTIONS(3140),
    [anon_sym_debugger] = ACTIONS(3140),
    [anon_sym_return] = ACTIONS(3140),
    [anon_sym_throw] = ACTIONS(3140),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym_case] = ACTIONS(3140),
    [anon_sym_yield] = ACTIONS(3140),
    [anon_sym_LBRACK] = ACTIONS(3140),
    [anon_sym_LTtemplate_GT] = ACTIONS(3140),
    [anon_sym_class] = ACTIONS(3140),
    [anon_sym_async] = ACTIONS(3140),
    [anon_sym_function] = ACTIONS(3140),
    [anon_sym_new] = ACTIONS(3140),
    [anon_sym_using] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_SLASH] = ACTIONS(3140),
    [anon_sym_LT] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_void] = ACTIONS(3140),
    [anon_sym_delete] = ACTIONS(3140),
    [anon_sym_PLUS_PLUS] = ACTIONS(3140),
    [anon_sym_DASH_DASH] = ACTIONS(3140),
    [anon_sym_DQUOTE] = ACTIONS(3140),
    [anon_sym_SQUOTE] = ACTIONS(3140),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3140),
    [sym_number] = ACTIONS(3140),
    [sym_private_property_identifier] = ACTIONS(3140),
    [sym_this] = ACTIONS(3140),
    [sym_super] = ACTIONS(3140),
    [sym_true] = ACTIONS(3140),
    [sym_false] = ACTIONS(3140),
    [sym_null] = ACTIONS(3140),
    [sym_undefined] = ACTIONS(3140),
    [anon_sym_AT] = ACTIONS(3140),
    [anon_sym_static] = ACTIONS(3140),
    [anon_sym_readonly] = ACTIONS(3140),
    [anon_sym_get] = ACTIONS(3140),
    [anon_sym_set] = ACTIONS(3140),
    [anon_sym_declare] = ACTIONS(3140),
    [anon_sym_public] = ACTIONS(3140),
    [anon_sym_private] = ACTIONS(3140),
    [anon_sym_protected] = ACTIONS(3140),
    [anon_sym_override] = ACTIONS(3140),
    [anon_sym_module] = ACTIONS(3140),
    [anon_sym_any] = ACTIONS(3140),
    [anon_sym_number] = ACTIONS(3140),
    [anon_sym_boolean] = ACTIONS(3140),
    [anon_sym_string] = ACTIONS(3140),
    [anon_sym_symbol] = ACTIONS(3140),
    [anon_sym_object] = ACTIONS(3140),
    [anon_sym_abstract] = ACTIONS(3140),
    [anon_sym_interface] = ACTIONS(3140),
    [anon_sym_enum] = ACTIONS(3140),
    [sym_html_comment] = ACTIONS(5),
  },
  [1237] = {
    [sym_comment] = STATE(1237),
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3298),
    [anon_sym_export] = ACTIONS(3298),
    [anon_sym_type] = ACTIONS(3298),
    [anon_sym_namespace] = ACTIONS(3298),
    [anon_sym_LBRACE] = ACTIONS(3298),
    [anon_sym_RBRACE] = ACTIONS(3298),
    [anon_sym_typeof] = ACTIONS(3298),
    [anon_sym_import] = ACTIONS(3298),
    [anon_sym_var] = ACTIONS(3298),
    [anon_sym_let] = ACTIONS(3298),
    [anon_sym_const] = ACTIONS(3298),
    [anon_sym_BANG] = ACTIONS(3298),
    [anon_sym_else] = ACTIONS(3298),
    [anon_sym_if] = ACTIONS(3298),
    [anon_sym_switch] = ACTIONS(3298),
    [anon_sym_for] = ACTIONS(3298),
    [anon_sym_LPAREN] = ACTIONS(3298),
    [anon_sym_await] = ACTIONS(3298),
    [anon_sym_while] = ACTIONS(3298),
    [anon_sym_do] = ACTIONS(3298),
    [anon_sym_try] = ACTIONS(3298),
    [anon_sym_with] = ACTIONS(3298),
    [anon_sym_break] = ACTIONS(3298),
    [anon_sym_continue] = ACTIONS(3298),
    [anon_sym_debugger] = ACTIONS(3298),
    [anon_sym_return] = ACTIONS(3298),
    [anon_sym_throw] = ACTIONS(3298),
    [anon_sym_SEMI] = ACTIONS(3298),
    [anon_sym_yield] = ACTIONS(3298),
    [anon_sym_LBRACK] = ACTIONS(3298),
    [anon_sym_LTtemplate_GT] = ACTIONS(3298),
    [anon_sym_class] = ACTIONS(3298),
    [anon_sym_async] = ACTIONS(3298),
    [anon_sym_function] = ACTIONS(3298),
    [anon_sym_new] = ACTIONS(3298),
    [anon_sym_using] = ACTIONS(3298),
    [anon_sym_PLUS] = ACTIONS(3298),
    [anon_sym_DASH] = ACTIONS(3298),
    [anon_sym_SLASH] = ACTIONS(3298),
    [anon_sym_LT] = ACTIONS(3298),
    [anon_sym_TILDE] = ACTIONS(3298),
    [anon_sym_void] = ACTIONS(3298),
    [anon_sym_delete] = ACTIONS(3298),
    [anon_sym_PLUS_PLUS] = ACTIONS(3298),
    [anon_sym_DASH_DASH] = ACTIONS(3298),
    [anon_sym_DQUOTE] = ACTIONS(3298),
    [anon_sym_SQUOTE] = ACTIONS(3298),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3298),
    [sym_number] = ACTIONS(3298),
    [sym_private_property_identifier] = ACTIONS(3298),
    [sym_this] = ACTIONS(3298),
    [sym_super] = ACTIONS(3298),
    [sym_true] = ACTIONS(3298),
    [sym_false] = ACTIONS(3298),
    [sym_null] = ACTIONS(3298),
    [sym_undefined] = ACTIONS(3298),
    [anon_sym_AT] = ACTIONS(3298),
    [anon_sym_static] = ACTIONS(3298),
    [anon_sym_readonly] = ACTIONS(3298),
    [anon_sym_get] = ACTIONS(3298),
    [anon_sym_set] = ACTIONS(3298),
    [anon_sym_declare] = ACTIONS(3298),
    [anon_sym_public] = ACTIONS(3298),
    [anon_sym_private] = ACTIONS(3298),
    [anon_sym_protected] = ACTIONS(3298),
    [anon_sym_override] = ACTIONS(3298),
    [anon_sym_module] = ACTIONS(3298),
    [anon_sym_any] = ACTIONS(3298),
    [anon_sym_number] = ACTIONS(3298),
    [anon_sym_boolean] = ACTIONS(3298),
    [anon_sym_string] = ACTIONS(3298),
    [anon_sym_symbol] = ACTIONS(3298),
    [anon_sym_object] = ACTIONS(3298),
    [anon_sym_abstract] = ACTIONS(3298),
    [anon_sym_interface] = ACTIONS(3298),
    [anon_sym_enum] = ACTIONS(3298),
    [sym_html_comment] = ACTIONS(5),
  },
  [1238] = {
    [sym_comment] = STATE(1238),
    [sym_identifier] = ACTIONS(2107),
    [anon_sym_export] = ACTIONS(2107),
    [anon_sym_default] = ACTIONS(2107),
    [anon_sym_type] = ACTIONS(2107),
    [anon_sym_namespace] = ACTIONS(2107),
    [anon_sym_LBRACE] = ACTIONS(2107),
    [anon_sym_RBRACE] = ACTIONS(2107),
    [anon_sym_typeof] = ACTIONS(2107),
    [anon_sym_import] = ACTIONS(2107),
    [anon_sym_var] = ACTIONS(2107),
    [anon_sym_let] = ACTIONS(2107),
    [anon_sym_const] = ACTIONS(2107),
    [anon_sym_BANG] = ACTIONS(2107),
    [anon_sym_if] = ACTIONS(2107),
    [anon_sym_switch] = ACTIONS(2107),
    [anon_sym_for] = ACTIONS(2107),
    [anon_sym_LPAREN] = ACTIONS(2107),
    [anon_sym_await] = ACTIONS(2107),
    [anon_sym_while] = ACTIONS(2107),
    [anon_sym_do] = ACTIONS(2107),
    [anon_sym_try] = ACTIONS(2107),
    [anon_sym_with] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2107),
    [anon_sym_continue] = ACTIONS(2107),
    [anon_sym_debugger] = ACTIONS(2107),
    [anon_sym_return] = ACTIONS(2107),
    [anon_sym_throw] = ACTIONS(2107),
    [anon_sym_SEMI] = ACTIONS(2107),
    [anon_sym_case] = ACTIONS(2107),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_LBRACK] = ACTIONS(2107),
    [anon_sym_LTtemplate_GT] = ACTIONS(2107),
    [anon_sym_class] = ACTIONS(2107),
    [anon_sym_async] = ACTIONS(2107),
    [anon_sym_function] = ACTIONS(2107),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_using] = ACTIONS(2107),
    [anon_sym_PLUS] = ACTIONS(2107),
    [anon_sym_DASH] = ACTIONS(2107),
    [anon_sym_SLASH] = ACTIONS(2107),
    [anon_sym_LT] = ACTIONS(2107),
    [anon_sym_TILDE] = ACTIONS(2107),
    [anon_sym_void] = ACTIONS(2107),
    [anon_sym_delete] = ACTIONS(2107),
    [anon_sym_PLUS_PLUS] = ACTIONS(2107),
    [anon_sym_DASH_DASH] = ACTIONS(2107),
    [anon_sym_DQUOTE] = ACTIONS(2107),
    [anon_sym_SQUOTE] = ACTIONS(2107),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2107),
    [sym_number] = ACTIONS(2107),
    [sym_private_property_identifier] = ACTIONS(2107),
    [sym_this] = ACTIONS(2107),
    [sym_super] = ACTIONS(2107),
    [sym_true] = ACTIONS(2107),
    [sym_false] = ACTIONS(2107),
    [sym_null] = ACTIONS(2107),
    [sym_undefined] = ACTIONS(2107),
    [anon_sym_AT] = ACTIONS(2107),
    [anon_sym_static] = ACTIONS(2107),
    [anon_sym_readonly] = ACTIONS(2107),
    [anon_sym_get] = ACTIONS(2107),
    [anon_sym_set] = ACTIONS(2107),
    [anon_sym_declare] = ACTIONS(2107),
    [anon_sym_public] = ACTIONS(2107),
    [anon_sym_private] = ACTIONS(2107),
    [anon_sym_protected] = ACTIONS(2107),
    [anon_sym_override] = ACTIONS(2107),
    [anon_sym_module] = ACTIONS(2107),
    [anon_sym_any] = ACTIONS(2107),
    [anon_sym_number] = ACTIONS(2107),
    [anon_sym_boolean] = ACTIONS(2107),
    [anon_sym_string] = ACTIONS(2107),
    [anon_sym_symbol] = ACTIONS(2107),
    [anon_sym_object] = ACTIONS(2107),
    [anon_sym_abstract] = ACTIONS(2107),
    [anon_sym_interface] = ACTIONS(2107),
    [anon_sym_enum] = ACTIONS(2107),
    [sym_html_comment] = ACTIONS(5),
  },
  [1239] = {
    [sym_comment] = STATE(1239),
    [sym_identifier] = ACTIONS(3170),
    [anon_sym_export] = ACTIONS(3170),
    [anon_sym_default] = ACTIONS(3170),
    [anon_sym_type] = ACTIONS(3170),
    [anon_sym_namespace] = ACTIONS(3170),
    [anon_sym_LBRACE] = ACTIONS(3170),
    [anon_sym_RBRACE] = ACTIONS(3170),
    [anon_sym_typeof] = ACTIONS(3170),
    [anon_sym_import] = ACTIONS(3170),
    [anon_sym_var] = ACTIONS(3170),
    [anon_sym_let] = ACTIONS(3170),
    [anon_sym_const] = ACTIONS(3170),
    [anon_sym_BANG] = ACTIONS(3170),
    [anon_sym_if] = ACTIONS(3170),
    [anon_sym_switch] = ACTIONS(3170),
    [anon_sym_for] = ACTIONS(3170),
    [anon_sym_LPAREN] = ACTIONS(3170),
    [anon_sym_await] = ACTIONS(3170),
    [anon_sym_while] = ACTIONS(3170),
    [anon_sym_do] = ACTIONS(3170),
    [anon_sym_try] = ACTIONS(3170),
    [anon_sym_with] = ACTIONS(3170),
    [anon_sym_break] = ACTIONS(3170),
    [anon_sym_continue] = ACTIONS(3170),
    [anon_sym_debugger] = ACTIONS(3170),
    [anon_sym_return] = ACTIONS(3170),
    [anon_sym_throw] = ACTIONS(3170),
    [anon_sym_SEMI] = ACTIONS(3170),
    [anon_sym_case] = ACTIONS(3170),
    [anon_sym_yield] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3170),
    [anon_sym_LTtemplate_GT] = ACTIONS(3170),
    [anon_sym_class] = ACTIONS(3170),
    [anon_sym_async] = ACTIONS(3170),
    [anon_sym_function] = ACTIONS(3170),
    [anon_sym_new] = ACTIONS(3170),
    [anon_sym_using] = ACTIONS(3170),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_SLASH] = ACTIONS(3170),
    [anon_sym_LT] = ACTIONS(3170),
    [anon_sym_TILDE] = ACTIONS(3170),
    [anon_sym_void] = ACTIONS(3170),
    [anon_sym_delete] = ACTIONS(3170),
    [anon_sym_PLUS_PLUS] = ACTIONS(3170),
    [anon_sym_DASH_DASH] = ACTIONS(3170),
    [anon_sym_DQUOTE] = ACTIONS(3170),
    [anon_sym_SQUOTE] = ACTIONS(3170),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3170),
    [sym_number] = ACTIONS(3170),
    [sym_private_property_identifier] = ACTIONS(3170),
    [sym_this] = ACTIONS(3170),
    [sym_super] = ACTIONS(3170),
    [sym_true] = ACTIONS(3170),
    [sym_false] = ACTIONS(3170),
    [sym_null] = ACTIONS(3170),
    [sym_undefined] = ACTIONS(3170),
    [anon_sym_AT] = ACTIONS(3170),
    [anon_sym_static] = ACTIONS(3170),
    [anon_sym_readonly] = ACTIONS(3170),
    [anon_sym_get] = ACTIONS(3170),
    [anon_sym_set] = ACTIONS(3170),
    [anon_sym_declare] = ACTIONS(3170),
    [anon_sym_public] = ACTIONS(3170),
    [anon_sym_private] = ACTIONS(3170),
    [anon_sym_protected] = ACTIONS(3170),
    [anon_sym_override] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(3170),
    [anon_sym_any] = ACTIONS(3170),
    [anon_sym_number] = ACTIONS(3170),
    [anon_sym_boolean] = ACTIONS(3170),
    [anon_sym_string] = ACTIONS(3170),
    [anon_sym_symbol] = ACTIONS(3170),
    [anon_sym_object] = ACTIONS(3170),
    [anon_sym_abstract] = ACTIONS(3170),
    [anon_sym_interface] = ACTIONS(3170),
    [anon_sym_enum] = ACTIONS(3170),
    [sym_html_comment] = ACTIONS(5),
  },
  [1240] = {
    [sym_comment] = STATE(1240),
    [ts_builtin_sym_end] = ACTIONS(3372),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1241] = {
    [sym_comment] = STATE(1241),
    [ts_builtin_sym_end] = ACTIONS(3374),
    [sym_identifier] = ACTIONS(3306),
    [anon_sym_export] = ACTIONS(3306),
    [anon_sym_type] = ACTIONS(3306),
    [anon_sym_namespace] = ACTIONS(3306),
    [anon_sym_LBRACE] = ACTIONS(3306),
    [anon_sym_RBRACE] = ACTIONS(3306),
    [anon_sym_typeof] = ACTIONS(3306),
    [anon_sym_import] = ACTIONS(3306),
    [anon_sym_var] = ACTIONS(3306),
    [anon_sym_let] = ACTIONS(3306),
    [anon_sym_const] = ACTIONS(3306),
    [anon_sym_BANG] = ACTIONS(3306),
    [anon_sym_else] = ACTIONS(3306),
    [anon_sym_if] = ACTIONS(3306),
    [anon_sym_switch] = ACTIONS(3306),
    [anon_sym_for] = ACTIONS(3306),
    [anon_sym_LPAREN] = ACTIONS(3306),
    [anon_sym_await] = ACTIONS(3306),
    [anon_sym_while] = ACTIONS(3306),
    [anon_sym_do] = ACTIONS(3306),
    [anon_sym_try] = ACTIONS(3306),
    [anon_sym_with] = ACTIONS(3306),
    [anon_sym_break] = ACTIONS(3306),
    [anon_sym_continue] = ACTIONS(3306),
    [anon_sym_debugger] = ACTIONS(3306),
    [anon_sym_return] = ACTIONS(3306),
    [anon_sym_throw] = ACTIONS(3306),
    [anon_sym_SEMI] = ACTIONS(3306),
    [anon_sym_yield] = ACTIONS(3306),
    [anon_sym_LBRACK] = ACTIONS(3306),
    [anon_sym_LTtemplate_GT] = ACTIONS(3306),
    [anon_sym_class] = ACTIONS(3306),
    [anon_sym_async] = ACTIONS(3306),
    [anon_sym_function] = ACTIONS(3306),
    [anon_sym_new] = ACTIONS(3306),
    [anon_sym_using] = ACTIONS(3306),
    [anon_sym_PLUS] = ACTIONS(3306),
    [anon_sym_DASH] = ACTIONS(3306),
    [anon_sym_SLASH] = ACTIONS(3306),
    [anon_sym_LT] = ACTIONS(3306),
    [anon_sym_TILDE] = ACTIONS(3306),
    [anon_sym_void] = ACTIONS(3306),
    [anon_sym_delete] = ACTIONS(3306),
    [anon_sym_PLUS_PLUS] = ACTIONS(3306),
    [anon_sym_DASH_DASH] = ACTIONS(3306),
    [anon_sym_DQUOTE] = ACTIONS(3306),
    [anon_sym_SQUOTE] = ACTIONS(3306),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3306),
    [sym_number] = ACTIONS(3306),
    [sym_private_property_identifier] = ACTIONS(3306),
    [sym_this] = ACTIONS(3306),
    [sym_super] = ACTIONS(3306),
    [sym_true] = ACTIONS(3306),
    [sym_false] = ACTIONS(3306),
    [sym_null] = ACTIONS(3306),
    [sym_undefined] = ACTIONS(3306),
    [anon_sym_AT] = ACTIONS(3306),
    [anon_sym_static] = ACTIONS(3306),
    [anon_sym_readonly] = ACTIONS(3306),
    [anon_sym_get] = ACTIONS(3306),
    [anon_sym_set] = ACTIONS(3306),
    [anon_sym_declare] = ACTIONS(3306),
    [anon_sym_public] = ACTIONS(3306),
    [anon_sym_private] = ACTIONS(3306),
    [anon_sym_protected] = ACTIONS(3306),
    [anon_sym_override] = ACTIONS(3306),
    [anon_sym_module] = ACTIONS(3306),
    [anon_sym_any] = ACTIONS(3306),
    [anon_sym_number] = ACTIONS(3306),
    [anon_sym_boolean] = ACTIONS(3306),
    [anon_sym_string] = ACTIONS(3306),
    [anon_sym_symbol] = ACTIONS(3306),
    [anon_sym_object] = ACTIONS(3306),
    [anon_sym_abstract] = ACTIONS(3306),
    [anon_sym_interface] = ACTIONS(3306),
    [anon_sym_enum] = ACTIONS(3306),
    [sym_html_comment] = ACTIONS(5),
  },
  [1242] = {
    [sym_comment] = STATE(1242),
    [ts_builtin_sym_end] = ACTIONS(3376),
    [sym_identifier] = ACTIONS(3208),
    [anon_sym_export] = ACTIONS(3208),
    [anon_sym_type] = ACTIONS(3208),
    [anon_sym_namespace] = ACTIONS(3208),
    [anon_sym_LBRACE] = ACTIONS(3208),
    [anon_sym_RBRACE] = ACTIONS(3208),
    [anon_sym_typeof] = ACTIONS(3208),
    [anon_sym_import] = ACTIONS(3208),
    [anon_sym_var] = ACTIONS(3208),
    [anon_sym_let] = ACTIONS(3208),
    [anon_sym_const] = ACTIONS(3208),
    [anon_sym_BANG] = ACTIONS(3208),
    [anon_sym_else] = ACTIONS(3208),
    [anon_sym_if] = ACTIONS(3208),
    [anon_sym_switch] = ACTIONS(3208),
    [anon_sym_for] = ACTIONS(3208),
    [anon_sym_LPAREN] = ACTIONS(3208),
    [anon_sym_await] = ACTIONS(3208),
    [anon_sym_while] = ACTIONS(3208),
    [anon_sym_do] = ACTIONS(3208),
    [anon_sym_try] = ACTIONS(3208),
    [anon_sym_with] = ACTIONS(3208),
    [anon_sym_break] = ACTIONS(3208),
    [anon_sym_continue] = ACTIONS(3208),
    [anon_sym_debugger] = ACTIONS(3208),
    [anon_sym_return] = ACTIONS(3208),
    [anon_sym_throw] = ACTIONS(3208),
    [anon_sym_SEMI] = ACTIONS(3208),
    [anon_sym_yield] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_LTtemplate_GT] = ACTIONS(3208),
    [anon_sym_class] = ACTIONS(3208),
    [anon_sym_async] = ACTIONS(3208),
    [anon_sym_function] = ACTIONS(3208),
    [anon_sym_new] = ACTIONS(3208),
    [anon_sym_using] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3208),
    [anon_sym_DASH] = ACTIONS(3208),
    [anon_sym_SLASH] = ACTIONS(3208),
    [anon_sym_LT] = ACTIONS(3208),
    [anon_sym_TILDE] = ACTIONS(3208),
    [anon_sym_void] = ACTIONS(3208),
    [anon_sym_delete] = ACTIONS(3208),
    [anon_sym_PLUS_PLUS] = ACTIONS(3208),
    [anon_sym_DASH_DASH] = ACTIONS(3208),
    [anon_sym_DQUOTE] = ACTIONS(3208),
    [anon_sym_SQUOTE] = ACTIONS(3208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3208),
    [sym_number] = ACTIONS(3208),
    [sym_private_property_identifier] = ACTIONS(3208),
    [sym_this] = ACTIONS(3208),
    [sym_super] = ACTIONS(3208),
    [sym_true] = ACTIONS(3208),
    [sym_false] = ACTIONS(3208),
    [sym_null] = ACTIONS(3208),
    [sym_undefined] = ACTIONS(3208),
    [anon_sym_AT] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(3208),
    [anon_sym_readonly] = ACTIONS(3208),
    [anon_sym_get] = ACTIONS(3208),
    [anon_sym_set] = ACTIONS(3208),
    [anon_sym_declare] = ACTIONS(3208),
    [anon_sym_public] = ACTIONS(3208),
    [anon_sym_private] = ACTIONS(3208),
    [anon_sym_protected] = ACTIONS(3208),
    [anon_sym_override] = ACTIONS(3208),
    [anon_sym_module] = ACTIONS(3208),
    [anon_sym_any] = ACTIONS(3208),
    [anon_sym_number] = ACTIONS(3208),
    [anon_sym_boolean] = ACTIONS(3208),
    [anon_sym_string] = ACTIONS(3208),
    [anon_sym_symbol] = ACTIONS(3208),
    [anon_sym_object] = ACTIONS(3208),
    [anon_sym_abstract] = ACTIONS(3208),
    [anon_sym_interface] = ACTIONS(3208),
    [anon_sym_enum] = ACTIONS(3208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1243] = {
    [sym_comment] = STATE(1243),
    [ts_builtin_sym_end] = ACTIONS(3378),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_export] = ACTIONS(3300),
    [anon_sym_type] = ACTIONS(3300),
    [anon_sym_namespace] = ACTIONS(3300),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_RBRACE] = ACTIONS(3300),
    [anon_sym_typeof] = ACTIONS(3300),
    [anon_sym_import] = ACTIONS(3300),
    [anon_sym_var] = ACTIONS(3300),
    [anon_sym_let] = ACTIONS(3300),
    [anon_sym_const] = ACTIONS(3300),
    [anon_sym_BANG] = ACTIONS(3300),
    [anon_sym_else] = ACTIONS(3300),
    [anon_sym_if] = ACTIONS(3300),
    [anon_sym_switch] = ACTIONS(3300),
    [anon_sym_for] = ACTIONS(3300),
    [anon_sym_LPAREN] = ACTIONS(3300),
    [anon_sym_await] = ACTIONS(3300),
    [anon_sym_while] = ACTIONS(3300),
    [anon_sym_do] = ACTIONS(3300),
    [anon_sym_try] = ACTIONS(3300),
    [anon_sym_with] = ACTIONS(3300),
    [anon_sym_break] = ACTIONS(3300),
    [anon_sym_continue] = ACTIONS(3300),
    [anon_sym_debugger] = ACTIONS(3300),
    [anon_sym_return] = ACTIONS(3300),
    [anon_sym_throw] = ACTIONS(3300),
    [anon_sym_SEMI] = ACTIONS(3300),
    [anon_sym_yield] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(3300),
    [anon_sym_LTtemplate_GT] = ACTIONS(3300),
    [anon_sym_class] = ACTIONS(3300),
    [anon_sym_async] = ACTIONS(3300),
    [anon_sym_function] = ACTIONS(3300),
    [anon_sym_new] = ACTIONS(3300),
    [anon_sym_using] = ACTIONS(3300),
    [anon_sym_PLUS] = ACTIONS(3300),
    [anon_sym_DASH] = ACTIONS(3300),
    [anon_sym_SLASH] = ACTIONS(3300),
    [anon_sym_LT] = ACTIONS(3300),
    [anon_sym_TILDE] = ACTIONS(3300),
    [anon_sym_void] = ACTIONS(3300),
    [anon_sym_delete] = ACTIONS(3300),
    [anon_sym_PLUS_PLUS] = ACTIONS(3300),
    [anon_sym_DASH_DASH] = ACTIONS(3300),
    [anon_sym_DQUOTE] = ACTIONS(3300),
    [anon_sym_SQUOTE] = ACTIONS(3300),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3300),
    [sym_number] = ACTIONS(3300),
    [sym_private_property_identifier] = ACTIONS(3300),
    [sym_this] = ACTIONS(3300),
    [sym_super] = ACTIONS(3300),
    [sym_true] = ACTIONS(3300),
    [sym_false] = ACTIONS(3300),
    [sym_null] = ACTIONS(3300),
    [sym_undefined] = ACTIONS(3300),
    [anon_sym_AT] = ACTIONS(3300),
    [anon_sym_static] = ACTIONS(3300),
    [anon_sym_readonly] = ACTIONS(3300),
    [anon_sym_get] = ACTIONS(3300),
    [anon_sym_set] = ACTIONS(3300),
    [anon_sym_declare] = ACTIONS(3300),
    [anon_sym_public] = ACTIONS(3300),
    [anon_sym_private] = ACTIONS(3300),
    [anon_sym_protected] = ACTIONS(3300),
    [anon_sym_override] = ACTIONS(3300),
    [anon_sym_module] = ACTIONS(3300),
    [anon_sym_any] = ACTIONS(3300),
    [anon_sym_number] = ACTIONS(3300),
    [anon_sym_boolean] = ACTIONS(3300),
    [anon_sym_string] = ACTIONS(3300),
    [anon_sym_symbol] = ACTIONS(3300),
    [anon_sym_object] = ACTIONS(3300),
    [anon_sym_abstract] = ACTIONS(3300),
    [anon_sym_interface] = ACTIONS(3300),
    [anon_sym_enum] = ACTIONS(3300),
    [sym_html_comment] = ACTIONS(5),
  },
  [1244] = {
    [sym_comment] = STATE(1244),
    [sym_identifier] = ACTIONS(2107),
    [anon_sym_export] = ACTIONS(2107),
    [anon_sym_default] = ACTIONS(2107),
    [anon_sym_type] = ACTIONS(2107),
    [anon_sym_namespace] = ACTIONS(2107),
    [anon_sym_LBRACE] = ACTIONS(2107),
    [anon_sym_RBRACE] = ACTIONS(2107),
    [anon_sym_typeof] = ACTIONS(2107),
    [anon_sym_import] = ACTIONS(2107),
    [anon_sym_var] = ACTIONS(2107),
    [anon_sym_let] = ACTIONS(2107),
    [anon_sym_const] = ACTIONS(2107),
    [anon_sym_BANG] = ACTIONS(2107),
    [anon_sym_if] = ACTIONS(2107),
    [anon_sym_switch] = ACTIONS(2107),
    [anon_sym_for] = ACTIONS(2107),
    [anon_sym_LPAREN] = ACTIONS(2107),
    [anon_sym_await] = ACTIONS(2107),
    [anon_sym_while] = ACTIONS(2107),
    [anon_sym_do] = ACTIONS(2107),
    [anon_sym_try] = ACTIONS(2107),
    [anon_sym_with] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2107),
    [anon_sym_continue] = ACTIONS(2107),
    [anon_sym_debugger] = ACTIONS(2107),
    [anon_sym_return] = ACTIONS(2107),
    [anon_sym_throw] = ACTIONS(2107),
    [anon_sym_SEMI] = ACTIONS(2107),
    [anon_sym_case] = ACTIONS(2107),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_LBRACK] = ACTIONS(2107),
    [anon_sym_LTtemplate_GT] = ACTIONS(2107),
    [anon_sym_class] = ACTIONS(2107),
    [anon_sym_async] = ACTIONS(2107),
    [anon_sym_function] = ACTIONS(2107),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_using] = ACTIONS(2107),
    [anon_sym_PLUS] = ACTIONS(2107),
    [anon_sym_DASH] = ACTIONS(2107),
    [anon_sym_SLASH] = ACTIONS(2107),
    [anon_sym_LT] = ACTIONS(2107),
    [anon_sym_TILDE] = ACTIONS(2107),
    [anon_sym_void] = ACTIONS(2107),
    [anon_sym_delete] = ACTIONS(2107),
    [anon_sym_PLUS_PLUS] = ACTIONS(2107),
    [anon_sym_DASH_DASH] = ACTIONS(2107),
    [anon_sym_DQUOTE] = ACTIONS(2107),
    [anon_sym_SQUOTE] = ACTIONS(2107),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2107),
    [sym_number] = ACTIONS(2107),
    [sym_private_property_identifier] = ACTIONS(2107),
    [sym_this] = ACTIONS(2107),
    [sym_super] = ACTIONS(2107),
    [sym_true] = ACTIONS(2107),
    [sym_false] = ACTIONS(2107),
    [sym_null] = ACTIONS(2107),
    [sym_undefined] = ACTIONS(2107),
    [anon_sym_AT] = ACTIONS(2107),
    [anon_sym_static] = ACTIONS(2107),
    [anon_sym_readonly] = ACTIONS(2107),
    [anon_sym_get] = ACTIONS(2107),
    [anon_sym_set] = ACTIONS(2107),
    [anon_sym_declare] = ACTIONS(2107),
    [anon_sym_public] = ACTIONS(2107),
    [anon_sym_private] = ACTIONS(2107),
    [anon_sym_protected] = ACTIONS(2107),
    [anon_sym_override] = ACTIONS(2107),
    [anon_sym_module] = ACTIONS(2107),
    [anon_sym_any] = ACTIONS(2107),
    [anon_sym_number] = ACTIONS(2107),
    [anon_sym_boolean] = ACTIONS(2107),
    [anon_sym_string] = ACTIONS(2107),
    [anon_sym_symbol] = ACTIONS(2107),
    [anon_sym_object] = ACTIONS(2107),
    [anon_sym_abstract] = ACTIONS(2107),
    [anon_sym_interface] = ACTIONS(2107),
    [anon_sym_enum] = ACTIONS(2107),
    [sym_html_comment] = ACTIONS(5),
  },
  [1245] = {
    [sym_comment] = STATE(1245),
    [sym_identifier] = ACTIONS(3146),
    [anon_sym_export] = ACTIONS(3146),
    [anon_sym_default] = ACTIONS(3146),
    [anon_sym_type] = ACTIONS(3146),
    [anon_sym_namespace] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3146),
    [anon_sym_RBRACE] = ACTIONS(3146),
    [anon_sym_typeof] = ACTIONS(3146),
    [anon_sym_import] = ACTIONS(3146),
    [anon_sym_var] = ACTIONS(3146),
    [anon_sym_let] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_BANG] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3146),
    [anon_sym_switch] = ACTIONS(3146),
    [anon_sym_for] = ACTIONS(3146),
    [anon_sym_LPAREN] = ACTIONS(3146),
    [anon_sym_await] = ACTIONS(3146),
    [anon_sym_while] = ACTIONS(3146),
    [anon_sym_do] = ACTIONS(3146),
    [anon_sym_try] = ACTIONS(3146),
    [anon_sym_with] = ACTIONS(3146),
    [anon_sym_break] = ACTIONS(3146),
    [anon_sym_continue] = ACTIONS(3146),
    [anon_sym_debugger] = ACTIONS(3146),
    [anon_sym_return] = ACTIONS(3146),
    [anon_sym_throw] = ACTIONS(3146),
    [anon_sym_SEMI] = ACTIONS(3146),
    [anon_sym_case] = ACTIONS(3146),
    [anon_sym_yield] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_LTtemplate_GT] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_async] = ACTIONS(3146),
    [anon_sym_function] = ACTIONS(3146),
    [anon_sym_new] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_SLASH] = ACTIONS(3146),
    [anon_sym_LT] = ACTIONS(3146),
    [anon_sym_TILDE] = ACTIONS(3146),
    [anon_sym_void] = ACTIONS(3146),
    [anon_sym_delete] = ACTIONS(3146),
    [anon_sym_PLUS_PLUS] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3146),
    [anon_sym_DQUOTE] = ACTIONS(3146),
    [anon_sym_SQUOTE] = ACTIONS(3146),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3146),
    [sym_number] = ACTIONS(3146),
    [sym_private_property_identifier] = ACTIONS(3146),
    [sym_this] = ACTIONS(3146),
    [sym_super] = ACTIONS(3146),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [sym_null] = ACTIONS(3146),
    [sym_undefined] = ACTIONS(3146),
    [anon_sym_AT] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_readonly] = ACTIONS(3146),
    [anon_sym_get] = ACTIONS(3146),
    [anon_sym_set] = ACTIONS(3146),
    [anon_sym_declare] = ACTIONS(3146),
    [anon_sym_public] = ACTIONS(3146),
    [anon_sym_private] = ACTIONS(3146),
    [anon_sym_protected] = ACTIONS(3146),
    [anon_sym_override] = ACTIONS(3146),
    [anon_sym_module] = ACTIONS(3146),
    [anon_sym_any] = ACTIONS(3146),
    [anon_sym_number] = ACTIONS(3146),
    [anon_sym_boolean] = ACTIONS(3146),
    [anon_sym_string] = ACTIONS(3146),
    [anon_sym_symbol] = ACTIONS(3146),
    [anon_sym_object] = ACTIONS(3146),
    [anon_sym_abstract] = ACTIONS(3146),
    [anon_sym_interface] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [sym_html_comment] = ACTIONS(5),
  },
  [1246] = {
    [sym_comment] = STATE(1246),
    [ts_builtin_sym_end] = ACTIONS(3380),
    [sym_identifier] = ACTIONS(3302),
    [anon_sym_export] = ACTIONS(3302),
    [anon_sym_type] = ACTIONS(3302),
    [anon_sym_namespace] = ACTIONS(3302),
    [anon_sym_LBRACE] = ACTIONS(3302),
    [anon_sym_RBRACE] = ACTIONS(3302),
    [anon_sym_typeof] = ACTIONS(3302),
    [anon_sym_import] = ACTIONS(3302),
    [anon_sym_var] = ACTIONS(3302),
    [anon_sym_let] = ACTIONS(3302),
    [anon_sym_const] = ACTIONS(3302),
    [anon_sym_BANG] = ACTIONS(3302),
    [anon_sym_else] = ACTIONS(3302),
    [anon_sym_if] = ACTIONS(3302),
    [anon_sym_switch] = ACTIONS(3302),
    [anon_sym_for] = ACTIONS(3302),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_await] = ACTIONS(3302),
    [anon_sym_while] = ACTIONS(3302),
    [anon_sym_do] = ACTIONS(3302),
    [anon_sym_try] = ACTIONS(3302),
    [anon_sym_with] = ACTIONS(3302),
    [anon_sym_break] = ACTIONS(3302),
    [anon_sym_continue] = ACTIONS(3302),
    [anon_sym_debugger] = ACTIONS(3302),
    [anon_sym_return] = ACTIONS(3302),
    [anon_sym_throw] = ACTIONS(3302),
    [anon_sym_SEMI] = ACTIONS(3302),
    [anon_sym_yield] = ACTIONS(3302),
    [anon_sym_LBRACK] = ACTIONS(3302),
    [anon_sym_LTtemplate_GT] = ACTIONS(3302),
    [anon_sym_class] = ACTIONS(3302),
    [anon_sym_async] = ACTIONS(3302),
    [anon_sym_function] = ACTIONS(3302),
    [anon_sym_new] = ACTIONS(3302),
    [anon_sym_using] = ACTIONS(3302),
    [anon_sym_PLUS] = ACTIONS(3302),
    [anon_sym_DASH] = ACTIONS(3302),
    [anon_sym_SLASH] = ACTIONS(3302),
    [anon_sym_LT] = ACTIONS(3302),
    [anon_sym_TILDE] = ACTIONS(3302),
    [anon_sym_void] = ACTIONS(3302),
    [anon_sym_delete] = ACTIONS(3302),
    [anon_sym_PLUS_PLUS] = ACTIONS(3302),
    [anon_sym_DASH_DASH] = ACTIONS(3302),
    [anon_sym_DQUOTE] = ACTIONS(3302),
    [anon_sym_SQUOTE] = ACTIONS(3302),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3302),
    [sym_number] = ACTIONS(3302),
    [sym_private_property_identifier] = ACTIONS(3302),
    [sym_this] = ACTIONS(3302),
    [sym_super] = ACTIONS(3302),
    [sym_true] = ACTIONS(3302),
    [sym_false] = ACTIONS(3302),
    [sym_null] = ACTIONS(3302),
    [sym_undefined] = ACTIONS(3302),
    [anon_sym_AT] = ACTIONS(3302),
    [anon_sym_static] = ACTIONS(3302),
    [anon_sym_readonly] = ACTIONS(3302),
    [anon_sym_get] = ACTIONS(3302),
    [anon_sym_set] = ACTIONS(3302),
    [anon_sym_declare] = ACTIONS(3302),
    [anon_sym_public] = ACTIONS(3302),
    [anon_sym_private] = ACTIONS(3302),
    [anon_sym_protected] = ACTIONS(3302),
    [anon_sym_override] = ACTIONS(3302),
    [anon_sym_module] = ACTIONS(3302),
    [anon_sym_any] = ACTIONS(3302),
    [anon_sym_number] = ACTIONS(3302),
    [anon_sym_boolean] = ACTIONS(3302),
    [anon_sym_string] = ACTIONS(3302),
    [anon_sym_symbol] = ACTIONS(3302),
    [anon_sym_object] = ACTIONS(3302),
    [anon_sym_abstract] = ACTIONS(3302),
    [anon_sym_interface] = ACTIONS(3302),
    [anon_sym_enum] = ACTIONS(3302),
    [sym_html_comment] = ACTIONS(5),
  },
  [1247] = {
    [sym_comment] = STATE(1247),
    [sym_identifier] = ACTIONS(3162),
    [anon_sym_export] = ACTIONS(3162),
    [anon_sym_default] = ACTIONS(3162),
    [anon_sym_type] = ACTIONS(3162),
    [anon_sym_namespace] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3162),
    [anon_sym_RBRACE] = ACTIONS(3162),
    [anon_sym_typeof] = ACTIONS(3162),
    [anon_sym_import] = ACTIONS(3162),
    [anon_sym_var] = ACTIONS(3162),
    [anon_sym_let] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_BANG] = ACTIONS(3162),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_switch] = ACTIONS(3162),
    [anon_sym_for] = ACTIONS(3162),
    [anon_sym_LPAREN] = ACTIONS(3162),
    [anon_sym_await] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3162),
    [anon_sym_do] = ACTIONS(3162),
    [anon_sym_try] = ACTIONS(3162),
    [anon_sym_with] = ACTIONS(3162),
    [anon_sym_break] = ACTIONS(3162),
    [anon_sym_continue] = ACTIONS(3162),
    [anon_sym_debugger] = ACTIONS(3162),
    [anon_sym_return] = ACTIONS(3162),
    [anon_sym_throw] = ACTIONS(3162),
    [anon_sym_SEMI] = ACTIONS(3162),
    [anon_sym_case] = ACTIONS(3162),
    [anon_sym_yield] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_LTtemplate_GT] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_async] = ACTIONS(3162),
    [anon_sym_function] = ACTIONS(3162),
    [anon_sym_new] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_SLASH] = ACTIONS(3162),
    [anon_sym_LT] = ACTIONS(3162),
    [anon_sym_TILDE] = ACTIONS(3162),
    [anon_sym_void] = ACTIONS(3162),
    [anon_sym_delete] = ACTIONS(3162),
    [anon_sym_PLUS_PLUS] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3162),
    [anon_sym_DQUOTE] = ACTIONS(3162),
    [anon_sym_SQUOTE] = ACTIONS(3162),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3162),
    [sym_number] = ACTIONS(3162),
    [sym_private_property_identifier] = ACTIONS(3162),
    [sym_this] = ACTIONS(3162),
    [sym_super] = ACTIONS(3162),
    [sym_true] = ACTIONS(3162),
    [sym_false] = ACTIONS(3162),
    [sym_null] = ACTIONS(3162),
    [sym_undefined] = ACTIONS(3162),
    [anon_sym_AT] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_readonly] = ACTIONS(3162),
    [anon_sym_get] = ACTIONS(3162),
    [anon_sym_set] = ACTIONS(3162),
    [anon_sym_declare] = ACTIONS(3162),
    [anon_sym_public] = ACTIONS(3162),
    [anon_sym_private] = ACTIONS(3162),
    [anon_sym_protected] = ACTIONS(3162),
    [anon_sym_override] = ACTIONS(3162),
    [anon_sym_module] = ACTIONS(3162),
    [anon_sym_any] = ACTIONS(3162),
    [anon_sym_number] = ACTIONS(3162),
    [anon_sym_boolean] = ACTIONS(3162),
    [anon_sym_string] = ACTIONS(3162),
    [anon_sym_symbol] = ACTIONS(3162),
    [anon_sym_object] = ACTIONS(3162),
    [anon_sym_abstract] = ACTIONS(3162),
    [anon_sym_interface] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [sym_html_comment] = ACTIONS(5),
  },
  [1248] = {
    [sym_comment] = STATE(1248),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1249] = {
    [sym_comment] = STATE(1249),
    [sym_identifier] = ACTIONS(3164),
    [anon_sym_export] = ACTIONS(3164),
    [anon_sym_default] = ACTIONS(3164),
    [anon_sym_type] = ACTIONS(3164),
    [anon_sym_namespace] = ACTIONS(3164),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_RBRACE] = ACTIONS(3164),
    [anon_sym_typeof] = ACTIONS(3164),
    [anon_sym_import] = ACTIONS(3164),
    [anon_sym_var] = ACTIONS(3164),
    [anon_sym_let] = ACTIONS(3164),
    [anon_sym_const] = ACTIONS(3164),
    [anon_sym_BANG] = ACTIONS(3164),
    [anon_sym_if] = ACTIONS(3164),
    [anon_sym_switch] = ACTIONS(3164),
    [anon_sym_for] = ACTIONS(3164),
    [anon_sym_LPAREN] = ACTIONS(3164),
    [anon_sym_await] = ACTIONS(3164),
    [anon_sym_while] = ACTIONS(3164),
    [anon_sym_do] = ACTIONS(3164),
    [anon_sym_try] = ACTIONS(3164),
    [anon_sym_with] = ACTIONS(3164),
    [anon_sym_break] = ACTIONS(3164),
    [anon_sym_continue] = ACTIONS(3164),
    [anon_sym_debugger] = ACTIONS(3164),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_throw] = ACTIONS(3164),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym_case] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [anon_sym_LTtemplate_GT] = ACTIONS(3164),
    [anon_sym_class] = ACTIONS(3164),
    [anon_sym_async] = ACTIONS(3164),
    [anon_sym_function] = ACTIONS(3164),
    [anon_sym_new] = ACTIONS(3164),
    [anon_sym_using] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_SLASH] = ACTIONS(3164),
    [anon_sym_LT] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_void] = ACTIONS(3164),
    [anon_sym_delete] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [anon_sym_DQUOTE] = ACTIONS(3164),
    [anon_sym_SQUOTE] = ACTIONS(3164),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3164),
    [sym_number] = ACTIONS(3164),
    [sym_private_property_identifier] = ACTIONS(3164),
    [sym_this] = ACTIONS(3164),
    [sym_super] = ACTIONS(3164),
    [sym_true] = ACTIONS(3164),
    [sym_false] = ACTIONS(3164),
    [sym_null] = ACTIONS(3164),
    [sym_undefined] = ACTIONS(3164),
    [anon_sym_AT] = ACTIONS(3164),
    [anon_sym_static] = ACTIONS(3164),
    [anon_sym_readonly] = ACTIONS(3164),
    [anon_sym_get] = ACTIONS(3164),
    [anon_sym_set] = ACTIONS(3164),
    [anon_sym_declare] = ACTIONS(3164),
    [anon_sym_public] = ACTIONS(3164),
    [anon_sym_private] = ACTIONS(3164),
    [anon_sym_protected] = ACTIONS(3164),
    [anon_sym_override] = ACTIONS(3164),
    [anon_sym_module] = ACTIONS(3164),
    [anon_sym_any] = ACTIONS(3164),
    [anon_sym_number] = ACTIONS(3164),
    [anon_sym_boolean] = ACTIONS(3164),
    [anon_sym_string] = ACTIONS(3164),
    [anon_sym_symbol] = ACTIONS(3164),
    [anon_sym_object] = ACTIONS(3164),
    [anon_sym_abstract] = ACTIONS(3164),
    [anon_sym_interface] = ACTIONS(3164),
    [anon_sym_enum] = ACTIONS(3164),
    [sym_html_comment] = ACTIONS(5),
  },
  [1250] = {
    [sym_comment] = STATE(1250),
    [sym_identifier] = ACTIONS(3168),
    [anon_sym_export] = ACTIONS(3168),
    [anon_sym_default] = ACTIONS(3168),
    [anon_sym_type] = ACTIONS(3168),
    [anon_sym_namespace] = ACTIONS(3168),
    [anon_sym_LBRACE] = ACTIONS(3168),
    [anon_sym_RBRACE] = ACTIONS(3168),
    [anon_sym_typeof] = ACTIONS(3168),
    [anon_sym_import] = ACTIONS(3168),
    [anon_sym_var] = ACTIONS(3168),
    [anon_sym_let] = ACTIONS(3168),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_BANG] = ACTIONS(3168),
    [anon_sym_if] = ACTIONS(3168),
    [anon_sym_switch] = ACTIONS(3168),
    [anon_sym_for] = ACTIONS(3168),
    [anon_sym_LPAREN] = ACTIONS(3168),
    [anon_sym_await] = ACTIONS(3168),
    [anon_sym_while] = ACTIONS(3168),
    [anon_sym_do] = ACTIONS(3168),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_with] = ACTIONS(3168),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_continue] = ACTIONS(3168),
    [anon_sym_debugger] = ACTIONS(3168),
    [anon_sym_return] = ACTIONS(3168),
    [anon_sym_throw] = ACTIONS(3168),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym_case] = ACTIONS(3168),
    [anon_sym_yield] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_LTtemplate_GT] = ACTIONS(3168),
    [anon_sym_class] = ACTIONS(3168),
    [anon_sym_async] = ACTIONS(3168),
    [anon_sym_function] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(3168),
    [anon_sym_using] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3168),
    [anon_sym_DASH] = ACTIONS(3168),
    [anon_sym_SLASH] = ACTIONS(3168),
    [anon_sym_LT] = ACTIONS(3168),
    [anon_sym_TILDE] = ACTIONS(3168),
    [anon_sym_void] = ACTIONS(3168),
    [anon_sym_delete] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3168),
    [anon_sym_DQUOTE] = ACTIONS(3168),
    [anon_sym_SQUOTE] = ACTIONS(3168),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3168),
    [sym_number] = ACTIONS(3168),
    [sym_private_property_identifier] = ACTIONS(3168),
    [sym_this] = ACTIONS(3168),
    [sym_super] = ACTIONS(3168),
    [sym_true] = ACTIONS(3168),
    [sym_false] = ACTIONS(3168),
    [sym_null] = ACTIONS(3168),
    [sym_undefined] = ACTIONS(3168),
    [anon_sym_AT] = ACTIONS(3168),
    [anon_sym_static] = ACTIONS(3168),
    [anon_sym_readonly] = ACTIONS(3168),
    [anon_sym_get] = ACTIONS(3168),
    [anon_sym_set] = ACTIONS(3168),
    [anon_sym_declare] = ACTIONS(3168),
    [anon_sym_public] = ACTIONS(3168),
    [anon_sym_private] = ACTIONS(3168),
    [anon_sym_protected] = ACTIONS(3168),
    [anon_sym_override] = ACTIONS(3168),
    [anon_sym_module] = ACTIONS(3168),
    [anon_sym_any] = ACTIONS(3168),
    [anon_sym_number] = ACTIONS(3168),
    [anon_sym_boolean] = ACTIONS(3168),
    [anon_sym_string] = ACTIONS(3168),
    [anon_sym_symbol] = ACTIONS(3168),
    [anon_sym_object] = ACTIONS(3168),
    [anon_sym_abstract] = ACTIONS(3168),
    [anon_sym_interface] = ACTIONS(3168),
    [anon_sym_enum] = ACTIONS(3168),
    [sym_html_comment] = ACTIONS(5),
  },
  [1251] = {
    [sym_comment] = STATE(1251),
    [sym_identifier] = ACTIONS(3174),
    [anon_sym_export] = ACTIONS(3174),
    [anon_sym_default] = ACTIONS(3174),
    [anon_sym_type] = ACTIONS(3174),
    [anon_sym_namespace] = ACTIONS(3174),
    [anon_sym_LBRACE] = ACTIONS(3174),
    [anon_sym_RBRACE] = ACTIONS(3174),
    [anon_sym_typeof] = ACTIONS(3174),
    [anon_sym_import] = ACTIONS(3174),
    [anon_sym_var] = ACTIONS(3174),
    [anon_sym_let] = ACTIONS(3174),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3174),
    [anon_sym_if] = ACTIONS(3174),
    [anon_sym_switch] = ACTIONS(3174),
    [anon_sym_for] = ACTIONS(3174),
    [anon_sym_LPAREN] = ACTIONS(3174),
    [anon_sym_await] = ACTIONS(3174),
    [anon_sym_while] = ACTIONS(3174),
    [anon_sym_do] = ACTIONS(3174),
    [anon_sym_try] = ACTIONS(3174),
    [anon_sym_with] = ACTIONS(3174),
    [anon_sym_break] = ACTIONS(3174),
    [anon_sym_continue] = ACTIONS(3174),
    [anon_sym_debugger] = ACTIONS(3174),
    [anon_sym_return] = ACTIONS(3174),
    [anon_sym_throw] = ACTIONS(3174),
    [anon_sym_SEMI] = ACTIONS(3174),
    [anon_sym_case] = ACTIONS(3174),
    [anon_sym_yield] = ACTIONS(3174),
    [anon_sym_LBRACK] = ACTIONS(3174),
    [anon_sym_LTtemplate_GT] = ACTIONS(3174),
    [anon_sym_class] = ACTIONS(3174),
    [anon_sym_async] = ACTIONS(3174),
    [anon_sym_function] = ACTIONS(3174),
    [anon_sym_new] = ACTIONS(3174),
    [anon_sym_using] = ACTIONS(3174),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3174),
    [anon_sym_SLASH] = ACTIONS(3174),
    [anon_sym_LT] = ACTIONS(3174),
    [anon_sym_TILDE] = ACTIONS(3174),
    [anon_sym_void] = ACTIONS(3174),
    [anon_sym_delete] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_DQUOTE] = ACTIONS(3174),
    [anon_sym_SQUOTE] = ACTIONS(3174),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3174),
    [sym_number] = ACTIONS(3174),
    [sym_private_property_identifier] = ACTIONS(3174),
    [sym_this] = ACTIONS(3174),
    [sym_super] = ACTIONS(3174),
    [sym_true] = ACTIONS(3174),
    [sym_false] = ACTIONS(3174),
    [sym_null] = ACTIONS(3174),
    [sym_undefined] = ACTIONS(3174),
    [anon_sym_AT] = ACTIONS(3174),
    [anon_sym_static] = ACTIONS(3174),
    [anon_sym_readonly] = ACTIONS(3174),
    [anon_sym_get] = ACTIONS(3174),
    [anon_sym_set] = ACTIONS(3174),
    [anon_sym_declare] = ACTIONS(3174),
    [anon_sym_public] = ACTIONS(3174),
    [anon_sym_private] = ACTIONS(3174),
    [anon_sym_protected] = ACTIONS(3174),
    [anon_sym_override] = ACTIONS(3174),
    [anon_sym_module] = ACTIONS(3174),
    [anon_sym_any] = ACTIONS(3174),
    [anon_sym_number] = ACTIONS(3174),
    [anon_sym_boolean] = ACTIONS(3174),
    [anon_sym_string] = ACTIONS(3174),
    [anon_sym_symbol] = ACTIONS(3174),
    [anon_sym_object] = ACTIONS(3174),
    [anon_sym_abstract] = ACTIONS(3174),
    [anon_sym_interface] = ACTIONS(3174),
    [anon_sym_enum] = ACTIONS(3174),
    [sym_html_comment] = ACTIONS(5),
  },
  [1252] = {
    [sym_comment] = STATE(1252),
    [sym_identifier] = ACTIONS(3182),
    [anon_sym_export] = ACTIONS(3182),
    [anon_sym_default] = ACTIONS(3182),
    [anon_sym_type] = ACTIONS(3182),
    [anon_sym_namespace] = ACTIONS(3182),
    [anon_sym_LBRACE] = ACTIONS(3182),
    [anon_sym_RBRACE] = ACTIONS(3182),
    [anon_sym_typeof] = ACTIONS(3182),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_var] = ACTIONS(3182),
    [anon_sym_let] = ACTIONS(3182),
    [anon_sym_const] = ACTIONS(3182),
    [anon_sym_BANG] = ACTIONS(3182),
    [anon_sym_if] = ACTIONS(3182),
    [anon_sym_switch] = ACTIONS(3182),
    [anon_sym_for] = ACTIONS(3182),
    [anon_sym_LPAREN] = ACTIONS(3182),
    [anon_sym_await] = ACTIONS(3182),
    [anon_sym_while] = ACTIONS(3182),
    [anon_sym_do] = ACTIONS(3182),
    [anon_sym_try] = ACTIONS(3182),
    [anon_sym_with] = ACTIONS(3182),
    [anon_sym_break] = ACTIONS(3182),
    [anon_sym_continue] = ACTIONS(3182),
    [anon_sym_debugger] = ACTIONS(3182),
    [anon_sym_return] = ACTIONS(3182),
    [anon_sym_throw] = ACTIONS(3182),
    [anon_sym_SEMI] = ACTIONS(3182),
    [anon_sym_case] = ACTIONS(3182),
    [anon_sym_yield] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3182),
    [anon_sym_LTtemplate_GT] = ACTIONS(3182),
    [anon_sym_class] = ACTIONS(3182),
    [anon_sym_async] = ACTIONS(3182),
    [anon_sym_function] = ACTIONS(3182),
    [anon_sym_new] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_PLUS] = ACTIONS(3182),
    [anon_sym_DASH] = ACTIONS(3182),
    [anon_sym_SLASH] = ACTIONS(3182),
    [anon_sym_LT] = ACTIONS(3182),
    [anon_sym_TILDE] = ACTIONS(3182),
    [anon_sym_void] = ACTIONS(3182),
    [anon_sym_delete] = ACTIONS(3182),
    [anon_sym_PLUS_PLUS] = ACTIONS(3182),
    [anon_sym_DASH_DASH] = ACTIONS(3182),
    [anon_sym_DQUOTE] = ACTIONS(3182),
    [anon_sym_SQUOTE] = ACTIONS(3182),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3182),
    [sym_number] = ACTIONS(3182),
    [sym_private_property_identifier] = ACTIONS(3182),
    [sym_this] = ACTIONS(3182),
    [sym_super] = ACTIONS(3182),
    [sym_true] = ACTIONS(3182),
    [sym_false] = ACTIONS(3182),
    [sym_null] = ACTIONS(3182),
    [sym_undefined] = ACTIONS(3182),
    [anon_sym_AT] = ACTIONS(3182),
    [anon_sym_static] = ACTIONS(3182),
    [anon_sym_readonly] = ACTIONS(3182),
    [anon_sym_get] = ACTIONS(3182),
    [anon_sym_set] = ACTIONS(3182),
    [anon_sym_declare] = ACTIONS(3182),
    [anon_sym_public] = ACTIONS(3182),
    [anon_sym_private] = ACTIONS(3182),
    [anon_sym_protected] = ACTIONS(3182),
    [anon_sym_override] = ACTIONS(3182),
    [anon_sym_module] = ACTIONS(3182),
    [anon_sym_any] = ACTIONS(3182),
    [anon_sym_number] = ACTIONS(3182),
    [anon_sym_boolean] = ACTIONS(3182),
    [anon_sym_string] = ACTIONS(3182),
    [anon_sym_symbol] = ACTIONS(3182),
    [anon_sym_object] = ACTIONS(3182),
    [anon_sym_abstract] = ACTIONS(3182),
    [anon_sym_interface] = ACTIONS(3182),
    [anon_sym_enum] = ACTIONS(3182),
    [sym_html_comment] = ACTIONS(5),
  },
  [1253] = {
    [sym_comment] = STATE(1253),
    [ts_builtin_sym_end] = ACTIONS(3382),
    [sym_identifier] = ACTIONS(3338),
    [anon_sym_export] = ACTIONS(3338),
    [anon_sym_type] = ACTIONS(3338),
    [anon_sym_namespace] = ACTIONS(3338),
    [anon_sym_LBRACE] = ACTIONS(3338),
    [anon_sym_RBRACE] = ACTIONS(3338),
    [anon_sym_typeof] = ACTIONS(3338),
    [anon_sym_import] = ACTIONS(3338),
    [anon_sym_var] = ACTIONS(3338),
    [anon_sym_let] = ACTIONS(3338),
    [anon_sym_const] = ACTIONS(3338),
    [anon_sym_BANG] = ACTIONS(3338),
    [anon_sym_else] = ACTIONS(3338),
    [anon_sym_if] = ACTIONS(3338),
    [anon_sym_switch] = ACTIONS(3338),
    [anon_sym_for] = ACTIONS(3338),
    [anon_sym_LPAREN] = ACTIONS(3338),
    [anon_sym_await] = ACTIONS(3338),
    [anon_sym_while] = ACTIONS(3338),
    [anon_sym_do] = ACTIONS(3338),
    [anon_sym_try] = ACTIONS(3338),
    [anon_sym_with] = ACTIONS(3338),
    [anon_sym_break] = ACTIONS(3338),
    [anon_sym_continue] = ACTIONS(3338),
    [anon_sym_debugger] = ACTIONS(3338),
    [anon_sym_return] = ACTIONS(3338),
    [anon_sym_throw] = ACTIONS(3338),
    [anon_sym_SEMI] = ACTIONS(3338),
    [anon_sym_yield] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(3338),
    [anon_sym_LTtemplate_GT] = ACTIONS(3338),
    [anon_sym_class] = ACTIONS(3338),
    [anon_sym_async] = ACTIONS(3338),
    [anon_sym_function] = ACTIONS(3338),
    [anon_sym_new] = ACTIONS(3338),
    [anon_sym_using] = ACTIONS(3338),
    [anon_sym_PLUS] = ACTIONS(3338),
    [anon_sym_DASH] = ACTIONS(3338),
    [anon_sym_SLASH] = ACTIONS(3338),
    [anon_sym_LT] = ACTIONS(3338),
    [anon_sym_TILDE] = ACTIONS(3338),
    [anon_sym_void] = ACTIONS(3338),
    [anon_sym_delete] = ACTIONS(3338),
    [anon_sym_PLUS_PLUS] = ACTIONS(3338),
    [anon_sym_DASH_DASH] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [anon_sym_SQUOTE] = ACTIONS(3338),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3338),
    [sym_number] = ACTIONS(3338),
    [sym_private_property_identifier] = ACTIONS(3338),
    [sym_this] = ACTIONS(3338),
    [sym_super] = ACTIONS(3338),
    [sym_true] = ACTIONS(3338),
    [sym_false] = ACTIONS(3338),
    [sym_null] = ACTIONS(3338),
    [sym_undefined] = ACTIONS(3338),
    [anon_sym_AT] = ACTIONS(3338),
    [anon_sym_static] = ACTIONS(3338),
    [anon_sym_readonly] = ACTIONS(3338),
    [anon_sym_get] = ACTIONS(3338),
    [anon_sym_set] = ACTIONS(3338),
    [anon_sym_declare] = ACTIONS(3338),
    [anon_sym_public] = ACTIONS(3338),
    [anon_sym_private] = ACTIONS(3338),
    [anon_sym_protected] = ACTIONS(3338),
    [anon_sym_override] = ACTIONS(3338),
    [anon_sym_module] = ACTIONS(3338),
    [anon_sym_any] = ACTIONS(3338),
    [anon_sym_number] = ACTIONS(3338),
    [anon_sym_boolean] = ACTIONS(3338),
    [anon_sym_string] = ACTIONS(3338),
    [anon_sym_symbol] = ACTIONS(3338),
    [anon_sym_object] = ACTIONS(3338),
    [anon_sym_abstract] = ACTIONS(3338),
    [anon_sym_interface] = ACTIONS(3338),
    [anon_sym_enum] = ACTIONS(3338),
    [sym_html_comment] = ACTIONS(5),
  },
  [1254] = {
    [sym_comment] = STATE(1254),
    [sym_identifier] = ACTIONS(3194),
    [anon_sym_export] = ACTIONS(3194),
    [anon_sym_default] = ACTIONS(3194),
    [anon_sym_type] = ACTIONS(3194),
    [anon_sym_namespace] = ACTIONS(3194),
    [anon_sym_LBRACE] = ACTIONS(3194),
    [anon_sym_RBRACE] = ACTIONS(3194),
    [anon_sym_typeof] = ACTIONS(3194),
    [anon_sym_import] = ACTIONS(3194),
    [anon_sym_var] = ACTIONS(3194),
    [anon_sym_let] = ACTIONS(3194),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_BANG] = ACTIONS(3194),
    [anon_sym_if] = ACTIONS(3194),
    [anon_sym_switch] = ACTIONS(3194),
    [anon_sym_for] = ACTIONS(3194),
    [anon_sym_LPAREN] = ACTIONS(3194),
    [anon_sym_await] = ACTIONS(3194),
    [anon_sym_while] = ACTIONS(3194),
    [anon_sym_do] = ACTIONS(3194),
    [anon_sym_try] = ACTIONS(3194),
    [anon_sym_with] = ACTIONS(3194),
    [anon_sym_break] = ACTIONS(3194),
    [anon_sym_continue] = ACTIONS(3194),
    [anon_sym_debugger] = ACTIONS(3194),
    [anon_sym_return] = ACTIONS(3194),
    [anon_sym_throw] = ACTIONS(3194),
    [anon_sym_SEMI] = ACTIONS(3194),
    [anon_sym_case] = ACTIONS(3194),
    [anon_sym_yield] = ACTIONS(3194),
    [anon_sym_LBRACK] = ACTIONS(3194),
    [anon_sym_LTtemplate_GT] = ACTIONS(3194),
    [anon_sym_class] = ACTIONS(3194),
    [anon_sym_async] = ACTIONS(3194),
    [anon_sym_function] = ACTIONS(3194),
    [anon_sym_new] = ACTIONS(3194),
    [anon_sym_using] = ACTIONS(3194),
    [anon_sym_PLUS] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3194),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_LT] = ACTIONS(3194),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_void] = ACTIONS(3194),
    [anon_sym_delete] = ACTIONS(3194),
    [anon_sym_PLUS_PLUS] = ACTIONS(3194),
    [anon_sym_DASH_DASH] = ACTIONS(3194),
    [anon_sym_DQUOTE] = ACTIONS(3194),
    [anon_sym_SQUOTE] = ACTIONS(3194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3194),
    [sym_number] = ACTIONS(3194),
    [sym_private_property_identifier] = ACTIONS(3194),
    [sym_this] = ACTIONS(3194),
    [sym_super] = ACTIONS(3194),
    [sym_true] = ACTIONS(3194),
    [sym_false] = ACTIONS(3194),
    [sym_null] = ACTIONS(3194),
    [sym_undefined] = ACTIONS(3194),
    [anon_sym_AT] = ACTIONS(3194),
    [anon_sym_static] = ACTIONS(3194),
    [anon_sym_readonly] = ACTIONS(3194),
    [anon_sym_get] = ACTIONS(3194),
    [anon_sym_set] = ACTIONS(3194),
    [anon_sym_declare] = ACTIONS(3194),
    [anon_sym_public] = ACTIONS(3194),
    [anon_sym_private] = ACTIONS(3194),
    [anon_sym_protected] = ACTIONS(3194),
    [anon_sym_override] = ACTIONS(3194),
    [anon_sym_module] = ACTIONS(3194),
    [anon_sym_any] = ACTIONS(3194),
    [anon_sym_number] = ACTIONS(3194),
    [anon_sym_boolean] = ACTIONS(3194),
    [anon_sym_string] = ACTIONS(3194),
    [anon_sym_symbol] = ACTIONS(3194),
    [anon_sym_object] = ACTIONS(3194),
    [anon_sym_abstract] = ACTIONS(3194),
    [anon_sym_interface] = ACTIONS(3194),
    [anon_sym_enum] = ACTIONS(3194),
    [sym_html_comment] = ACTIONS(5),
  },
  [1255] = {
    [sym_comment] = STATE(1255),
    [sym_identifier] = ACTIONS(3176),
    [anon_sym_export] = ACTIONS(3176),
    [anon_sym_default] = ACTIONS(3176),
    [anon_sym_type] = ACTIONS(3176),
    [anon_sym_namespace] = ACTIONS(3176),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_RBRACE] = ACTIONS(3176),
    [anon_sym_typeof] = ACTIONS(3176),
    [anon_sym_import] = ACTIONS(3176),
    [anon_sym_var] = ACTIONS(3176),
    [anon_sym_let] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3176),
    [anon_sym_BANG] = ACTIONS(3176),
    [anon_sym_if] = ACTIONS(3176),
    [anon_sym_switch] = ACTIONS(3176),
    [anon_sym_for] = ACTIONS(3176),
    [anon_sym_LPAREN] = ACTIONS(3176),
    [anon_sym_await] = ACTIONS(3176),
    [anon_sym_while] = ACTIONS(3176),
    [anon_sym_do] = ACTIONS(3176),
    [anon_sym_try] = ACTIONS(3176),
    [anon_sym_with] = ACTIONS(3176),
    [anon_sym_break] = ACTIONS(3176),
    [anon_sym_continue] = ACTIONS(3176),
    [anon_sym_debugger] = ACTIONS(3176),
    [anon_sym_return] = ACTIONS(3176),
    [anon_sym_throw] = ACTIONS(3176),
    [anon_sym_SEMI] = ACTIONS(3176),
    [anon_sym_case] = ACTIONS(3176),
    [anon_sym_yield] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_LTtemplate_GT] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_async] = ACTIONS(3176),
    [anon_sym_function] = ACTIONS(3176),
    [anon_sym_new] = ACTIONS(3176),
    [anon_sym_using] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3176),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_SLASH] = ACTIONS(3176),
    [anon_sym_LT] = ACTIONS(3176),
    [anon_sym_TILDE] = ACTIONS(3176),
    [anon_sym_void] = ACTIONS(3176),
    [anon_sym_delete] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [anon_sym_DQUOTE] = ACTIONS(3176),
    [anon_sym_SQUOTE] = ACTIONS(3176),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3176),
    [sym_number] = ACTIONS(3176),
    [sym_private_property_identifier] = ACTIONS(3176),
    [sym_this] = ACTIONS(3176),
    [sym_super] = ACTIONS(3176),
    [sym_true] = ACTIONS(3176),
    [sym_false] = ACTIONS(3176),
    [sym_null] = ACTIONS(3176),
    [sym_undefined] = ACTIONS(3176),
    [anon_sym_AT] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_readonly] = ACTIONS(3176),
    [anon_sym_get] = ACTIONS(3176),
    [anon_sym_set] = ACTIONS(3176),
    [anon_sym_declare] = ACTIONS(3176),
    [anon_sym_public] = ACTIONS(3176),
    [anon_sym_private] = ACTIONS(3176),
    [anon_sym_protected] = ACTIONS(3176),
    [anon_sym_override] = ACTIONS(3176),
    [anon_sym_module] = ACTIONS(3176),
    [anon_sym_any] = ACTIONS(3176),
    [anon_sym_number] = ACTIONS(3176),
    [anon_sym_boolean] = ACTIONS(3176),
    [anon_sym_string] = ACTIONS(3176),
    [anon_sym_symbol] = ACTIONS(3176),
    [anon_sym_object] = ACTIONS(3176),
    [anon_sym_abstract] = ACTIONS(3176),
    [anon_sym_interface] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [sym_html_comment] = ACTIONS(5),
  },
  [1256] = {
    [sym_comment] = STATE(1256),
    [sym_identifier] = ACTIONS(3176),
    [anon_sym_export] = ACTIONS(3176),
    [anon_sym_default] = ACTIONS(3176),
    [anon_sym_type] = ACTIONS(3176),
    [anon_sym_namespace] = ACTIONS(3176),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_RBRACE] = ACTIONS(3176),
    [anon_sym_typeof] = ACTIONS(3176),
    [anon_sym_import] = ACTIONS(3176),
    [anon_sym_var] = ACTIONS(3176),
    [anon_sym_let] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3176),
    [anon_sym_BANG] = ACTIONS(3176),
    [anon_sym_if] = ACTIONS(3176),
    [anon_sym_switch] = ACTIONS(3176),
    [anon_sym_for] = ACTIONS(3176),
    [anon_sym_LPAREN] = ACTIONS(3176),
    [anon_sym_await] = ACTIONS(3176),
    [anon_sym_while] = ACTIONS(3176),
    [anon_sym_do] = ACTIONS(3176),
    [anon_sym_try] = ACTIONS(3176),
    [anon_sym_with] = ACTIONS(3176),
    [anon_sym_break] = ACTIONS(3176),
    [anon_sym_continue] = ACTIONS(3176),
    [anon_sym_debugger] = ACTIONS(3176),
    [anon_sym_return] = ACTIONS(3176),
    [anon_sym_throw] = ACTIONS(3176),
    [anon_sym_SEMI] = ACTIONS(3176),
    [anon_sym_case] = ACTIONS(3176),
    [anon_sym_yield] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_LTtemplate_GT] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_async] = ACTIONS(3176),
    [anon_sym_function] = ACTIONS(3176),
    [anon_sym_new] = ACTIONS(3176),
    [anon_sym_using] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3176),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_SLASH] = ACTIONS(3176),
    [anon_sym_LT] = ACTIONS(3176),
    [anon_sym_TILDE] = ACTIONS(3176),
    [anon_sym_void] = ACTIONS(3176),
    [anon_sym_delete] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [anon_sym_DQUOTE] = ACTIONS(3176),
    [anon_sym_SQUOTE] = ACTIONS(3176),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3176),
    [sym_number] = ACTIONS(3176),
    [sym_private_property_identifier] = ACTIONS(3176),
    [sym_this] = ACTIONS(3176),
    [sym_super] = ACTIONS(3176),
    [sym_true] = ACTIONS(3176),
    [sym_false] = ACTIONS(3176),
    [sym_null] = ACTIONS(3176),
    [sym_undefined] = ACTIONS(3176),
    [anon_sym_AT] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_readonly] = ACTIONS(3176),
    [anon_sym_get] = ACTIONS(3176),
    [anon_sym_set] = ACTIONS(3176),
    [anon_sym_declare] = ACTIONS(3176),
    [anon_sym_public] = ACTIONS(3176),
    [anon_sym_private] = ACTIONS(3176),
    [anon_sym_protected] = ACTIONS(3176),
    [anon_sym_override] = ACTIONS(3176),
    [anon_sym_module] = ACTIONS(3176),
    [anon_sym_any] = ACTIONS(3176),
    [anon_sym_number] = ACTIONS(3176),
    [anon_sym_boolean] = ACTIONS(3176),
    [anon_sym_string] = ACTIONS(3176),
    [anon_sym_symbol] = ACTIONS(3176),
    [anon_sym_object] = ACTIONS(3176),
    [anon_sym_abstract] = ACTIONS(3176),
    [anon_sym_interface] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [sym_html_comment] = ACTIONS(5),
  },
  [1257] = {
    [sym_comment] = STATE(1257),
    [sym_identifier] = ACTIONS(3180),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_default] = ACTIONS(3180),
    [anon_sym_type] = ACTIONS(3180),
    [anon_sym_namespace] = ACTIONS(3180),
    [anon_sym_LBRACE] = ACTIONS(3180),
    [anon_sym_RBRACE] = ACTIONS(3180),
    [anon_sym_typeof] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3180),
    [anon_sym_var] = ACTIONS(3180),
    [anon_sym_let] = ACTIONS(3180),
    [anon_sym_const] = ACTIONS(3180),
    [anon_sym_BANG] = ACTIONS(3180),
    [anon_sym_if] = ACTIONS(3180),
    [anon_sym_switch] = ACTIONS(3180),
    [anon_sym_for] = ACTIONS(3180),
    [anon_sym_LPAREN] = ACTIONS(3180),
    [anon_sym_await] = ACTIONS(3180),
    [anon_sym_while] = ACTIONS(3180),
    [anon_sym_do] = ACTIONS(3180),
    [anon_sym_try] = ACTIONS(3180),
    [anon_sym_with] = ACTIONS(3180),
    [anon_sym_break] = ACTIONS(3180),
    [anon_sym_continue] = ACTIONS(3180),
    [anon_sym_debugger] = ACTIONS(3180),
    [anon_sym_return] = ACTIONS(3180),
    [anon_sym_throw] = ACTIONS(3180),
    [anon_sym_SEMI] = ACTIONS(3180),
    [anon_sym_case] = ACTIONS(3180),
    [anon_sym_yield] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_LTtemplate_GT] = ACTIONS(3180),
    [anon_sym_class] = ACTIONS(3180),
    [anon_sym_async] = ACTIONS(3180),
    [anon_sym_function] = ACTIONS(3180),
    [anon_sym_new] = ACTIONS(3180),
    [anon_sym_using] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_SLASH] = ACTIONS(3180),
    [anon_sym_LT] = ACTIONS(3180),
    [anon_sym_TILDE] = ACTIONS(3180),
    [anon_sym_void] = ACTIONS(3180),
    [anon_sym_delete] = ACTIONS(3180),
    [anon_sym_PLUS_PLUS] = ACTIONS(3180),
    [anon_sym_DASH_DASH] = ACTIONS(3180),
    [anon_sym_DQUOTE] = ACTIONS(3180),
    [anon_sym_SQUOTE] = ACTIONS(3180),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3180),
    [sym_number] = ACTIONS(3180),
    [sym_private_property_identifier] = ACTIONS(3180),
    [sym_this] = ACTIONS(3180),
    [sym_super] = ACTIONS(3180),
    [sym_true] = ACTIONS(3180),
    [sym_false] = ACTIONS(3180),
    [sym_null] = ACTIONS(3180),
    [sym_undefined] = ACTIONS(3180),
    [anon_sym_AT] = ACTIONS(3180),
    [anon_sym_static] = ACTIONS(3180),
    [anon_sym_readonly] = ACTIONS(3180),
    [anon_sym_get] = ACTIONS(3180),
    [anon_sym_set] = ACTIONS(3180),
    [anon_sym_declare] = ACTIONS(3180),
    [anon_sym_public] = ACTIONS(3180),
    [anon_sym_private] = ACTIONS(3180),
    [anon_sym_protected] = ACTIONS(3180),
    [anon_sym_override] = ACTIONS(3180),
    [anon_sym_module] = ACTIONS(3180),
    [anon_sym_any] = ACTIONS(3180),
    [anon_sym_number] = ACTIONS(3180),
    [anon_sym_boolean] = ACTIONS(3180),
    [anon_sym_string] = ACTIONS(3180),
    [anon_sym_symbol] = ACTIONS(3180),
    [anon_sym_object] = ACTIONS(3180),
    [anon_sym_abstract] = ACTIONS(3180),
    [anon_sym_interface] = ACTIONS(3180),
    [anon_sym_enum] = ACTIONS(3180),
    [sym_html_comment] = ACTIONS(5),
  },
  [1258] = {
    [sym_comment] = STATE(1258),
    [sym_identifier] = ACTIONS(3200),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_default] = ACTIONS(3200),
    [anon_sym_type] = ACTIONS(3200),
    [anon_sym_namespace] = ACTIONS(3200),
    [anon_sym_LBRACE] = ACTIONS(3200),
    [anon_sym_RBRACE] = ACTIONS(3200),
    [anon_sym_typeof] = ACTIONS(3200),
    [anon_sym_import] = ACTIONS(3200),
    [anon_sym_var] = ACTIONS(3200),
    [anon_sym_let] = ACTIONS(3200),
    [anon_sym_const] = ACTIONS(3200),
    [anon_sym_BANG] = ACTIONS(3200),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_switch] = ACTIONS(3200),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_LPAREN] = ACTIONS(3200),
    [anon_sym_await] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3200),
    [anon_sym_do] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3200),
    [anon_sym_with] = ACTIONS(3200),
    [anon_sym_break] = ACTIONS(3200),
    [anon_sym_continue] = ACTIONS(3200),
    [anon_sym_debugger] = ACTIONS(3200),
    [anon_sym_return] = ACTIONS(3200),
    [anon_sym_throw] = ACTIONS(3200),
    [anon_sym_SEMI] = ACTIONS(3200),
    [anon_sym_case] = ACTIONS(3200),
    [anon_sym_yield] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_LTtemplate_GT] = ACTIONS(3200),
    [anon_sym_class] = ACTIONS(3200),
    [anon_sym_async] = ACTIONS(3200),
    [anon_sym_function] = ACTIONS(3200),
    [anon_sym_new] = ACTIONS(3200),
    [anon_sym_using] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3200),
    [anon_sym_DASH] = ACTIONS(3200),
    [anon_sym_SLASH] = ACTIONS(3200),
    [anon_sym_LT] = ACTIONS(3200),
    [anon_sym_TILDE] = ACTIONS(3200),
    [anon_sym_void] = ACTIONS(3200),
    [anon_sym_delete] = ACTIONS(3200),
    [anon_sym_PLUS_PLUS] = ACTIONS(3200),
    [anon_sym_DASH_DASH] = ACTIONS(3200),
    [anon_sym_DQUOTE] = ACTIONS(3200),
    [anon_sym_SQUOTE] = ACTIONS(3200),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3200),
    [sym_number] = ACTIONS(3200),
    [sym_private_property_identifier] = ACTIONS(3200),
    [sym_this] = ACTIONS(3200),
    [sym_super] = ACTIONS(3200),
    [sym_true] = ACTIONS(3200),
    [sym_false] = ACTIONS(3200),
    [sym_null] = ACTIONS(3200),
    [sym_undefined] = ACTIONS(3200),
    [anon_sym_AT] = ACTIONS(3200),
    [anon_sym_static] = ACTIONS(3200),
    [anon_sym_readonly] = ACTIONS(3200),
    [anon_sym_get] = ACTIONS(3200),
    [anon_sym_set] = ACTIONS(3200),
    [anon_sym_declare] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3200),
    [anon_sym_private] = ACTIONS(3200),
    [anon_sym_protected] = ACTIONS(3200),
    [anon_sym_override] = ACTIONS(3200),
    [anon_sym_module] = ACTIONS(3200),
    [anon_sym_any] = ACTIONS(3200),
    [anon_sym_number] = ACTIONS(3200),
    [anon_sym_boolean] = ACTIONS(3200),
    [anon_sym_string] = ACTIONS(3200),
    [anon_sym_symbol] = ACTIONS(3200),
    [anon_sym_object] = ACTIONS(3200),
    [anon_sym_abstract] = ACTIONS(3200),
    [anon_sym_interface] = ACTIONS(3200),
    [anon_sym_enum] = ACTIONS(3200),
    [sym_html_comment] = ACTIONS(5),
  },
  [1259] = {
    [sym_comment] = STATE(1259),
    [sym_identifier] = ACTIONS(3184),
    [anon_sym_export] = ACTIONS(3184),
    [anon_sym_default] = ACTIONS(3184),
    [anon_sym_type] = ACTIONS(3184),
    [anon_sym_namespace] = ACTIONS(3184),
    [anon_sym_LBRACE] = ACTIONS(3184),
    [anon_sym_RBRACE] = ACTIONS(3184),
    [anon_sym_typeof] = ACTIONS(3184),
    [anon_sym_import] = ACTIONS(3184),
    [anon_sym_var] = ACTIONS(3184),
    [anon_sym_let] = ACTIONS(3184),
    [anon_sym_const] = ACTIONS(3184),
    [anon_sym_BANG] = ACTIONS(3184),
    [anon_sym_if] = ACTIONS(3184),
    [anon_sym_switch] = ACTIONS(3184),
    [anon_sym_for] = ACTIONS(3184),
    [anon_sym_LPAREN] = ACTIONS(3184),
    [anon_sym_await] = ACTIONS(3184),
    [anon_sym_while] = ACTIONS(3184),
    [anon_sym_do] = ACTIONS(3184),
    [anon_sym_try] = ACTIONS(3184),
    [anon_sym_with] = ACTIONS(3184),
    [anon_sym_break] = ACTIONS(3184),
    [anon_sym_continue] = ACTIONS(3184),
    [anon_sym_debugger] = ACTIONS(3184),
    [anon_sym_return] = ACTIONS(3184),
    [anon_sym_throw] = ACTIONS(3184),
    [anon_sym_SEMI] = ACTIONS(3184),
    [anon_sym_case] = ACTIONS(3184),
    [anon_sym_yield] = ACTIONS(3184),
    [anon_sym_LBRACK] = ACTIONS(3184),
    [anon_sym_LTtemplate_GT] = ACTIONS(3184),
    [anon_sym_class] = ACTIONS(3184),
    [anon_sym_async] = ACTIONS(3184),
    [anon_sym_function] = ACTIONS(3184),
    [anon_sym_new] = ACTIONS(3184),
    [anon_sym_using] = ACTIONS(3184),
    [anon_sym_PLUS] = ACTIONS(3184),
    [anon_sym_DASH] = ACTIONS(3184),
    [anon_sym_SLASH] = ACTIONS(3184),
    [anon_sym_LT] = ACTIONS(3184),
    [anon_sym_TILDE] = ACTIONS(3184),
    [anon_sym_void] = ACTIONS(3184),
    [anon_sym_delete] = ACTIONS(3184),
    [anon_sym_PLUS_PLUS] = ACTIONS(3184),
    [anon_sym_DASH_DASH] = ACTIONS(3184),
    [anon_sym_DQUOTE] = ACTIONS(3184),
    [anon_sym_SQUOTE] = ACTIONS(3184),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3184),
    [sym_number] = ACTIONS(3184),
    [sym_private_property_identifier] = ACTIONS(3184),
    [sym_this] = ACTIONS(3184),
    [sym_super] = ACTIONS(3184),
    [sym_true] = ACTIONS(3184),
    [sym_false] = ACTIONS(3184),
    [sym_null] = ACTIONS(3184),
    [sym_undefined] = ACTIONS(3184),
    [anon_sym_AT] = ACTIONS(3184),
    [anon_sym_static] = ACTIONS(3184),
    [anon_sym_readonly] = ACTIONS(3184),
    [anon_sym_get] = ACTIONS(3184),
    [anon_sym_set] = ACTIONS(3184),
    [anon_sym_declare] = ACTIONS(3184),
    [anon_sym_public] = ACTIONS(3184),
    [anon_sym_private] = ACTIONS(3184),
    [anon_sym_protected] = ACTIONS(3184),
    [anon_sym_override] = ACTIONS(3184),
    [anon_sym_module] = ACTIONS(3184),
    [anon_sym_any] = ACTIONS(3184),
    [anon_sym_number] = ACTIONS(3184),
    [anon_sym_boolean] = ACTIONS(3184),
    [anon_sym_string] = ACTIONS(3184),
    [anon_sym_symbol] = ACTIONS(3184),
    [anon_sym_object] = ACTIONS(3184),
    [anon_sym_abstract] = ACTIONS(3184),
    [anon_sym_interface] = ACTIONS(3184),
    [anon_sym_enum] = ACTIONS(3184),
    [sym_html_comment] = ACTIONS(5),
  },
  [1260] = {
    [sym_comment] = STATE(1260),
    [sym_identifier] = ACTIONS(3186),
    [anon_sym_export] = ACTIONS(3186),
    [anon_sym_default] = ACTIONS(3186),
    [anon_sym_type] = ACTIONS(3186),
    [anon_sym_namespace] = ACTIONS(3186),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_RBRACE] = ACTIONS(3186),
    [anon_sym_typeof] = ACTIONS(3186),
    [anon_sym_import] = ACTIONS(3186),
    [anon_sym_var] = ACTIONS(3186),
    [anon_sym_let] = ACTIONS(3186),
    [anon_sym_const] = ACTIONS(3186),
    [anon_sym_BANG] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_switch] = ACTIONS(3186),
    [anon_sym_for] = ACTIONS(3186),
    [anon_sym_LPAREN] = ACTIONS(3186),
    [anon_sym_await] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_try] = ACTIONS(3186),
    [anon_sym_with] = ACTIONS(3186),
    [anon_sym_break] = ACTIONS(3186),
    [anon_sym_continue] = ACTIONS(3186),
    [anon_sym_debugger] = ACTIONS(3186),
    [anon_sym_return] = ACTIONS(3186),
    [anon_sym_throw] = ACTIONS(3186),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_case] = ACTIONS(3186),
    [anon_sym_yield] = ACTIONS(3186),
    [anon_sym_LBRACK] = ACTIONS(3186),
    [anon_sym_LTtemplate_GT] = ACTIONS(3186),
    [anon_sym_class] = ACTIONS(3186),
    [anon_sym_async] = ACTIONS(3186),
    [anon_sym_function] = ACTIONS(3186),
    [anon_sym_new] = ACTIONS(3186),
    [anon_sym_using] = ACTIONS(3186),
    [anon_sym_PLUS] = ACTIONS(3186),
    [anon_sym_DASH] = ACTIONS(3186),
    [anon_sym_SLASH] = ACTIONS(3186),
    [anon_sym_LT] = ACTIONS(3186),
    [anon_sym_TILDE] = ACTIONS(3186),
    [anon_sym_void] = ACTIONS(3186),
    [anon_sym_delete] = ACTIONS(3186),
    [anon_sym_PLUS_PLUS] = ACTIONS(3186),
    [anon_sym_DASH_DASH] = ACTIONS(3186),
    [anon_sym_DQUOTE] = ACTIONS(3186),
    [anon_sym_SQUOTE] = ACTIONS(3186),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3186),
    [sym_number] = ACTIONS(3186),
    [sym_private_property_identifier] = ACTIONS(3186),
    [sym_this] = ACTIONS(3186),
    [sym_super] = ACTIONS(3186),
    [sym_true] = ACTIONS(3186),
    [sym_false] = ACTIONS(3186),
    [sym_null] = ACTIONS(3186),
    [sym_undefined] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(3186),
    [anon_sym_static] = ACTIONS(3186),
    [anon_sym_readonly] = ACTIONS(3186),
    [anon_sym_get] = ACTIONS(3186),
    [anon_sym_set] = ACTIONS(3186),
    [anon_sym_declare] = ACTIONS(3186),
    [anon_sym_public] = ACTIONS(3186),
    [anon_sym_private] = ACTIONS(3186),
    [anon_sym_protected] = ACTIONS(3186),
    [anon_sym_override] = ACTIONS(3186),
    [anon_sym_module] = ACTIONS(3186),
    [anon_sym_any] = ACTIONS(3186),
    [anon_sym_number] = ACTIONS(3186),
    [anon_sym_boolean] = ACTIONS(3186),
    [anon_sym_string] = ACTIONS(3186),
    [anon_sym_symbol] = ACTIONS(3186),
    [anon_sym_object] = ACTIONS(3186),
    [anon_sym_abstract] = ACTIONS(3186),
    [anon_sym_interface] = ACTIONS(3186),
    [anon_sym_enum] = ACTIONS(3186),
    [sym_html_comment] = ACTIONS(5),
  },
  [1261] = {
    [sym_comment] = STATE(1261),
    [sym_identifier] = ACTIONS(3188),
    [anon_sym_export] = ACTIONS(3188),
    [anon_sym_default] = ACTIONS(3188),
    [anon_sym_type] = ACTIONS(3188),
    [anon_sym_namespace] = ACTIONS(3188),
    [anon_sym_LBRACE] = ACTIONS(3188),
    [anon_sym_RBRACE] = ACTIONS(3188),
    [anon_sym_typeof] = ACTIONS(3188),
    [anon_sym_import] = ACTIONS(3188),
    [anon_sym_var] = ACTIONS(3188),
    [anon_sym_let] = ACTIONS(3188),
    [anon_sym_const] = ACTIONS(3188),
    [anon_sym_BANG] = ACTIONS(3188),
    [anon_sym_if] = ACTIONS(3188),
    [anon_sym_switch] = ACTIONS(3188),
    [anon_sym_for] = ACTIONS(3188),
    [anon_sym_LPAREN] = ACTIONS(3188),
    [anon_sym_await] = ACTIONS(3188),
    [anon_sym_while] = ACTIONS(3188),
    [anon_sym_do] = ACTIONS(3188),
    [anon_sym_try] = ACTIONS(3188),
    [anon_sym_with] = ACTIONS(3188),
    [anon_sym_break] = ACTIONS(3188),
    [anon_sym_continue] = ACTIONS(3188),
    [anon_sym_debugger] = ACTIONS(3188),
    [anon_sym_return] = ACTIONS(3188),
    [anon_sym_throw] = ACTIONS(3188),
    [anon_sym_SEMI] = ACTIONS(3188),
    [anon_sym_case] = ACTIONS(3188),
    [anon_sym_yield] = ACTIONS(3188),
    [anon_sym_LBRACK] = ACTIONS(3188),
    [anon_sym_LTtemplate_GT] = ACTIONS(3188),
    [anon_sym_class] = ACTIONS(3188),
    [anon_sym_async] = ACTIONS(3188),
    [anon_sym_function] = ACTIONS(3188),
    [anon_sym_new] = ACTIONS(3188),
    [anon_sym_using] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_SLASH] = ACTIONS(3188),
    [anon_sym_LT] = ACTIONS(3188),
    [anon_sym_TILDE] = ACTIONS(3188),
    [anon_sym_void] = ACTIONS(3188),
    [anon_sym_delete] = ACTIONS(3188),
    [anon_sym_PLUS_PLUS] = ACTIONS(3188),
    [anon_sym_DASH_DASH] = ACTIONS(3188),
    [anon_sym_DQUOTE] = ACTIONS(3188),
    [anon_sym_SQUOTE] = ACTIONS(3188),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3188),
    [sym_number] = ACTIONS(3188),
    [sym_private_property_identifier] = ACTIONS(3188),
    [sym_this] = ACTIONS(3188),
    [sym_super] = ACTIONS(3188),
    [sym_true] = ACTIONS(3188),
    [sym_false] = ACTIONS(3188),
    [sym_null] = ACTIONS(3188),
    [sym_undefined] = ACTIONS(3188),
    [anon_sym_AT] = ACTIONS(3188),
    [anon_sym_static] = ACTIONS(3188),
    [anon_sym_readonly] = ACTIONS(3188),
    [anon_sym_get] = ACTIONS(3188),
    [anon_sym_set] = ACTIONS(3188),
    [anon_sym_declare] = ACTIONS(3188),
    [anon_sym_public] = ACTIONS(3188),
    [anon_sym_private] = ACTIONS(3188),
    [anon_sym_protected] = ACTIONS(3188),
    [anon_sym_override] = ACTIONS(3188),
    [anon_sym_module] = ACTIONS(3188),
    [anon_sym_any] = ACTIONS(3188),
    [anon_sym_number] = ACTIONS(3188),
    [anon_sym_boolean] = ACTIONS(3188),
    [anon_sym_string] = ACTIONS(3188),
    [anon_sym_symbol] = ACTIONS(3188),
    [anon_sym_object] = ACTIONS(3188),
    [anon_sym_abstract] = ACTIONS(3188),
    [anon_sym_interface] = ACTIONS(3188),
    [anon_sym_enum] = ACTIONS(3188),
    [sym_html_comment] = ACTIONS(5),
  },
  [1262] = {
    [sym_comment] = STATE(1262),
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1263] = {
    [sym_comment] = STATE(1263),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_export] = ACTIONS(3190),
    [anon_sym_default] = ACTIONS(3190),
    [anon_sym_type] = ACTIONS(3190),
    [anon_sym_namespace] = ACTIONS(3190),
    [anon_sym_LBRACE] = ACTIONS(3190),
    [anon_sym_RBRACE] = ACTIONS(3190),
    [anon_sym_typeof] = ACTIONS(3190),
    [anon_sym_import] = ACTIONS(3190),
    [anon_sym_var] = ACTIONS(3190),
    [anon_sym_let] = ACTIONS(3190),
    [anon_sym_const] = ACTIONS(3190),
    [anon_sym_BANG] = ACTIONS(3190),
    [anon_sym_if] = ACTIONS(3190),
    [anon_sym_switch] = ACTIONS(3190),
    [anon_sym_for] = ACTIONS(3190),
    [anon_sym_LPAREN] = ACTIONS(3190),
    [anon_sym_await] = ACTIONS(3190),
    [anon_sym_while] = ACTIONS(3190),
    [anon_sym_do] = ACTIONS(3190),
    [anon_sym_try] = ACTIONS(3190),
    [anon_sym_with] = ACTIONS(3190),
    [anon_sym_break] = ACTIONS(3190),
    [anon_sym_continue] = ACTIONS(3190),
    [anon_sym_debugger] = ACTIONS(3190),
    [anon_sym_return] = ACTIONS(3190),
    [anon_sym_throw] = ACTIONS(3190),
    [anon_sym_SEMI] = ACTIONS(3190),
    [anon_sym_case] = ACTIONS(3190),
    [anon_sym_yield] = ACTIONS(3190),
    [anon_sym_LBRACK] = ACTIONS(3190),
    [anon_sym_LTtemplate_GT] = ACTIONS(3190),
    [anon_sym_class] = ACTIONS(3190),
    [anon_sym_async] = ACTIONS(3190),
    [anon_sym_function] = ACTIONS(3190),
    [anon_sym_new] = ACTIONS(3190),
    [anon_sym_using] = ACTIONS(3190),
    [anon_sym_PLUS] = ACTIONS(3190),
    [anon_sym_DASH] = ACTIONS(3190),
    [anon_sym_SLASH] = ACTIONS(3190),
    [anon_sym_LT] = ACTIONS(3190),
    [anon_sym_TILDE] = ACTIONS(3190),
    [anon_sym_void] = ACTIONS(3190),
    [anon_sym_delete] = ACTIONS(3190),
    [anon_sym_PLUS_PLUS] = ACTIONS(3190),
    [anon_sym_DASH_DASH] = ACTIONS(3190),
    [anon_sym_DQUOTE] = ACTIONS(3190),
    [anon_sym_SQUOTE] = ACTIONS(3190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3190),
    [sym_number] = ACTIONS(3190),
    [sym_private_property_identifier] = ACTIONS(3190),
    [sym_this] = ACTIONS(3190),
    [sym_super] = ACTIONS(3190),
    [sym_true] = ACTIONS(3190),
    [sym_false] = ACTIONS(3190),
    [sym_null] = ACTIONS(3190),
    [sym_undefined] = ACTIONS(3190),
    [anon_sym_AT] = ACTIONS(3190),
    [anon_sym_static] = ACTIONS(3190),
    [anon_sym_readonly] = ACTIONS(3190),
    [anon_sym_get] = ACTIONS(3190),
    [anon_sym_set] = ACTIONS(3190),
    [anon_sym_declare] = ACTIONS(3190),
    [anon_sym_public] = ACTIONS(3190),
    [anon_sym_private] = ACTIONS(3190),
    [anon_sym_protected] = ACTIONS(3190),
    [anon_sym_override] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(3190),
    [anon_sym_any] = ACTIONS(3190),
    [anon_sym_number] = ACTIONS(3190),
    [anon_sym_boolean] = ACTIONS(3190),
    [anon_sym_string] = ACTIONS(3190),
    [anon_sym_symbol] = ACTIONS(3190),
    [anon_sym_object] = ACTIONS(3190),
    [anon_sym_abstract] = ACTIONS(3190),
    [anon_sym_interface] = ACTIONS(3190),
    [anon_sym_enum] = ACTIONS(3190),
    [sym_html_comment] = ACTIONS(5),
  },
  [1264] = {
    [sym_comment] = STATE(1264),
    [sym_identifier] = ACTIONS(3192),
    [anon_sym_export] = ACTIONS(3192),
    [anon_sym_default] = ACTIONS(3192),
    [anon_sym_type] = ACTIONS(3192),
    [anon_sym_namespace] = ACTIONS(3192),
    [anon_sym_LBRACE] = ACTIONS(3192),
    [anon_sym_RBRACE] = ACTIONS(3192),
    [anon_sym_typeof] = ACTIONS(3192),
    [anon_sym_import] = ACTIONS(3192),
    [anon_sym_var] = ACTIONS(3192),
    [anon_sym_let] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3192),
    [anon_sym_BANG] = ACTIONS(3192),
    [anon_sym_if] = ACTIONS(3192),
    [anon_sym_switch] = ACTIONS(3192),
    [anon_sym_for] = ACTIONS(3192),
    [anon_sym_LPAREN] = ACTIONS(3192),
    [anon_sym_await] = ACTIONS(3192),
    [anon_sym_while] = ACTIONS(3192),
    [anon_sym_do] = ACTIONS(3192),
    [anon_sym_try] = ACTIONS(3192),
    [anon_sym_with] = ACTIONS(3192),
    [anon_sym_break] = ACTIONS(3192),
    [anon_sym_continue] = ACTIONS(3192),
    [anon_sym_debugger] = ACTIONS(3192),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_throw] = ACTIONS(3192),
    [anon_sym_SEMI] = ACTIONS(3192),
    [anon_sym_case] = ACTIONS(3192),
    [anon_sym_yield] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(3192),
    [anon_sym_LTtemplate_GT] = ACTIONS(3192),
    [anon_sym_class] = ACTIONS(3192),
    [anon_sym_async] = ACTIONS(3192),
    [anon_sym_function] = ACTIONS(3192),
    [anon_sym_new] = ACTIONS(3192),
    [anon_sym_using] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3192),
    [anon_sym_DASH] = ACTIONS(3192),
    [anon_sym_SLASH] = ACTIONS(3192),
    [anon_sym_LT] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3192),
    [anon_sym_void] = ACTIONS(3192),
    [anon_sym_delete] = ACTIONS(3192),
    [anon_sym_PLUS_PLUS] = ACTIONS(3192),
    [anon_sym_DASH_DASH] = ACTIONS(3192),
    [anon_sym_DQUOTE] = ACTIONS(3192),
    [anon_sym_SQUOTE] = ACTIONS(3192),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3192),
    [sym_number] = ACTIONS(3192),
    [sym_private_property_identifier] = ACTIONS(3192),
    [sym_this] = ACTIONS(3192),
    [sym_super] = ACTIONS(3192),
    [sym_true] = ACTIONS(3192),
    [sym_false] = ACTIONS(3192),
    [sym_null] = ACTIONS(3192),
    [sym_undefined] = ACTIONS(3192),
    [anon_sym_AT] = ACTIONS(3192),
    [anon_sym_static] = ACTIONS(3192),
    [anon_sym_readonly] = ACTIONS(3192),
    [anon_sym_get] = ACTIONS(3192),
    [anon_sym_set] = ACTIONS(3192),
    [anon_sym_declare] = ACTIONS(3192),
    [anon_sym_public] = ACTIONS(3192),
    [anon_sym_private] = ACTIONS(3192),
    [anon_sym_protected] = ACTIONS(3192),
    [anon_sym_override] = ACTIONS(3192),
    [anon_sym_module] = ACTIONS(3192),
    [anon_sym_any] = ACTIONS(3192),
    [anon_sym_number] = ACTIONS(3192),
    [anon_sym_boolean] = ACTIONS(3192),
    [anon_sym_string] = ACTIONS(3192),
    [anon_sym_symbol] = ACTIONS(3192),
    [anon_sym_object] = ACTIONS(3192),
    [anon_sym_abstract] = ACTIONS(3192),
    [anon_sym_interface] = ACTIONS(3192),
    [anon_sym_enum] = ACTIONS(3192),
    [sym_html_comment] = ACTIONS(5),
  },
  [1265] = {
    [sym_comment] = STATE(1265),
    [sym_identifier] = ACTIONS(3194),
    [anon_sym_export] = ACTIONS(3194),
    [anon_sym_default] = ACTIONS(3194),
    [anon_sym_type] = ACTIONS(3194),
    [anon_sym_namespace] = ACTIONS(3194),
    [anon_sym_LBRACE] = ACTIONS(3194),
    [anon_sym_RBRACE] = ACTIONS(3194),
    [anon_sym_typeof] = ACTIONS(3194),
    [anon_sym_import] = ACTIONS(3194),
    [anon_sym_var] = ACTIONS(3194),
    [anon_sym_let] = ACTIONS(3194),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_BANG] = ACTIONS(3194),
    [anon_sym_if] = ACTIONS(3194),
    [anon_sym_switch] = ACTIONS(3194),
    [anon_sym_for] = ACTIONS(3194),
    [anon_sym_LPAREN] = ACTIONS(3194),
    [anon_sym_await] = ACTIONS(3194),
    [anon_sym_while] = ACTIONS(3194),
    [anon_sym_do] = ACTIONS(3194),
    [anon_sym_try] = ACTIONS(3194),
    [anon_sym_with] = ACTIONS(3194),
    [anon_sym_break] = ACTIONS(3194),
    [anon_sym_continue] = ACTIONS(3194),
    [anon_sym_debugger] = ACTIONS(3194),
    [anon_sym_return] = ACTIONS(3194),
    [anon_sym_throw] = ACTIONS(3194),
    [anon_sym_SEMI] = ACTIONS(3194),
    [anon_sym_case] = ACTIONS(3194),
    [anon_sym_yield] = ACTIONS(3194),
    [anon_sym_LBRACK] = ACTIONS(3194),
    [anon_sym_LTtemplate_GT] = ACTIONS(3194),
    [anon_sym_class] = ACTIONS(3194),
    [anon_sym_async] = ACTIONS(3194),
    [anon_sym_function] = ACTIONS(3194),
    [anon_sym_new] = ACTIONS(3194),
    [anon_sym_using] = ACTIONS(3194),
    [anon_sym_PLUS] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3194),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_LT] = ACTIONS(3194),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_void] = ACTIONS(3194),
    [anon_sym_delete] = ACTIONS(3194),
    [anon_sym_PLUS_PLUS] = ACTIONS(3194),
    [anon_sym_DASH_DASH] = ACTIONS(3194),
    [anon_sym_DQUOTE] = ACTIONS(3194),
    [anon_sym_SQUOTE] = ACTIONS(3194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3194),
    [sym_number] = ACTIONS(3194),
    [sym_private_property_identifier] = ACTIONS(3194),
    [sym_this] = ACTIONS(3194),
    [sym_super] = ACTIONS(3194),
    [sym_true] = ACTIONS(3194),
    [sym_false] = ACTIONS(3194),
    [sym_null] = ACTIONS(3194),
    [sym_undefined] = ACTIONS(3194),
    [anon_sym_AT] = ACTIONS(3194),
    [anon_sym_static] = ACTIONS(3194),
    [anon_sym_readonly] = ACTIONS(3194),
    [anon_sym_get] = ACTIONS(3194),
    [anon_sym_set] = ACTIONS(3194),
    [anon_sym_declare] = ACTIONS(3194),
    [anon_sym_public] = ACTIONS(3194),
    [anon_sym_private] = ACTIONS(3194),
    [anon_sym_protected] = ACTIONS(3194),
    [anon_sym_override] = ACTIONS(3194),
    [anon_sym_module] = ACTIONS(3194),
    [anon_sym_any] = ACTIONS(3194),
    [anon_sym_number] = ACTIONS(3194),
    [anon_sym_boolean] = ACTIONS(3194),
    [anon_sym_string] = ACTIONS(3194),
    [anon_sym_symbol] = ACTIONS(3194),
    [anon_sym_object] = ACTIONS(3194),
    [anon_sym_abstract] = ACTIONS(3194),
    [anon_sym_interface] = ACTIONS(3194),
    [anon_sym_enum] = ACTIONS(3194),
    [sym_html_comment] = ACTIONS(5),
  },
  [1266] = {
    [sym_comment] = STATE(1266),
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1267] = {
    [sym_comment] = STATE(1267),
    [ts_builtin_sym_end] = ACTIONS(3386),
    [sym_identifier] = ACTIONS(3304),
    [anon_sym_export] = ACTIONS(3304),
    [anon_sym_type] = ACTIONS(3304),
    [anon_sym_namespace] = ACTIONS(3304),
    [anon_sym_LBRACE] = ACTIONS(3304),
    [anon_sym_RBRACE] = ACTIONS(3304),
    [anon_sym_typeof] = ACTIONS(3304),
    [anon_sym_import] = ACTIONS(3304),
    [anon_sym_var] = ACTIONS(3304),
    [anon_sym_let] = ACTIONS(3304),
    [anon_sym_const] = ACTIONS(3304),
    [anon_sym_BANG] = ACTIONS(3304),
    [anon_sym_else] = ACTIONS(3304),
    [anon_sym_if] = ACTIONS(3304),
    [anon_sym_switch] = ACTIONS(3304),
    [anon_sym_for] = ACTIONS(3304),
    [anon_sym_LPAREN] = ACTIONS(3304),
    [anon_sym_await] = ACTIONS(3304),
    [anon_sym_while] = ACTIONS(3304),
    [anon_sym_do] = ACTIONS(3304),
    [anon_sym_try] = ACTIONS(3304),
    [anon_sym_with] = ACTIONS(3304),
    [anon_sym_break] = ACTIONS(3304),
    [anon_sym_continue] = ACTIONS(3304),
    [anon_sym_debugger] = ACTIONS(3304),
    [anon_sym_return] = ACTIONS(3304),
    [anon_sym_throw] = ACTIONS(3304),
    [anon_sym_SEMI] = ACTIONS(3304),
    [anon_sym_yield] = ACTIONS(3304),
    [anon_sym_LBRACK] = ACTIONS(3304),
    [anon_sym_LTtemplate_GT] = ACTIONS(3304),
    [anon_sym_class] = ACTIONS(3304),
    [anon_sym_async] = ACTIONS(3304),
    [anon_sym_function] = ACTIONS(3304),
    [anon_sym_new] = ACTIONS(3304),
    [anon_sym_using] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3304),
    [anon_sym_DASH] = ACTIONS(3304),
    [anon_sym_SLASH] = ACTIONS(3304),
    [anon_sym_LT] = ACTIONS(3304),
    [anon_sym_TILDE] = ACTIONS(3304),
    [anon_sym_void] = ACTIONS(3304),
    [anon_sym_delete] = ACTIONS(3304),
    [anon_sym_PLUS_PLUS] = ACTIONS(3304),
    [anon_sym_DASH_DASH] = ACTIONS(3304),
    [anon_sym_DQUOTE] = ACTIONS(3304),
    [anon_sym_SQUOTE] = ACTIONS(3304),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3304),
    [sym_number] = ACTIONS(3304),
    [sym_private_property_identifier] = ACTIONS(3304),
    [sym_this] = ACTIONS(3304),
    [sym_super] = ACTIONS(3304),
    [sym_true] = ACTIONS(3304),
    [sym_false] = ACTIONS(3304),
    [sym_null] = ACTIONS(3304),
    [sym_undefined] = ACTIONS(3304),
    [anon_sym_AT] = ACTIONS(3304),
    [anon_sym_static] = ACTIONS(3304),
    [anon_sym_readonly] = ACTIONS(3304),
    [anon_sym_get] = ACTIONS(3304),
    [anon_sym_set] = ACTIONS(3304),
    [anon_sym_declare] = ACTIONS(3304),
    [anon_sym_public] = ACTIONS(3304),
    [anon_sym_private] = ACTIONS(3304),
    [anon_sym_protected] = ACTIONS(3304),
    [anon_sym_override] = ACTIONS(3304),
    [anon_sym_module] = ACTIONS(3304),
    [anon_sym_any] = ACTIONS(3304),
    [anon_sym_number] = ACTIONS(3304),
    [anon_sym_boolean] = ACTIONS(3304),
    [anon_sym_string] = ACTIONS(3304),
    [anon_sym_symbol] = ACTIONS(3304),
    [anon_sym_object] = ACTIONS(3304),
    [anon_sym_abstract] = ACTIONS(3304),
    [anon_sym_interface] = ACTIONS(3304),
    [anon_sym_enum] = ACTIONS(3304),
    [sym_html_comment] = ACTIONS(5),
  },
  [1268] = {
    [sym_comment] = STATE(1268),
    [sym_identifier] = ACTIONS(3196),
    [anon_sym_export] = ACTIONS(3196),
    [anon_sym_default] = ACTIONS(3196),
    [anon_sym_type] = ACTIONS(3196),
    [anon_sym_namespace] = ACTIONS(3196),
    [anon_sym_LBRACE] = ACTIONS(3196),
    [anon_sym_RBRACE] = ACTIONS(3196),
    [anon_sym_typeof] = ACTIONS(3196),
    [anon_sym_import] = ACTIONS(3196),
    [anon_sym_var] = ACTIONS(3196),
    [anon_sym_let] = ACTIONS(3196),
    [anon_sym_const] = ACTIONS(3196),
    [anon_sym_BANG] = ACTIONS(3196),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_switch] = ACTIONS(3196),
    [anon_sym_for] = ACTIONS(3196),
    [anon_sym_LPAREN] = ACTIONS(3196),
    [anon_sym_await] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3196),
    [anon_sym_do] = ACTIONS(3196),
    [anon_sym_try] = ACTIONS(3196),
    [anon_sym_with] = ACTIONS(3196),
    [anon_sym_break] = ACTIONS(3196),
    [anon_sym_continue] = ACTIONS(3196),
    [anon_sym_debugger] = ACTIONS(3196),
    [anon_sym_return] = ACTIONS(3196),
    [anon_sym_throw] = ACTIONS(3196),
    [anon_sym_SEMI] = ACTIONS(3196),
    [anon_sym_case] = ACTIONS(3196),
    [anon_sym_yield] = ACTIONS(3196),
    [anon_sym_LBRACK] = ACTIONS(3196),
    [anon_sym_LTtemplate_GT] = ACTIONS(3196),
    [anon_sym_class] = ACTIONS(3196),
    [anon_sym_async] = ACTIONS(3196),
    [anon_sym_function] = ACTIONS(3196),
    [anon_sym_new] = ACTIONS(3196),
    [anon_sym_using] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3196),
    [anon_sym_DASH] = ACTIONS(3196),
    [anon_sym_SLASH] = ACTIONS(3196),
    [anon_sym_LT] = ACTIONS(3196),
    [anon_sym_TILDE] = ACTIONS(3196),
    [anon_sym_void] = ACTIONS(3196),
    [anon_sym_delete] = ACTIONS(3196),
    [anon_sym_PLUS_PLUS] = ACTIONS(3196),
    [anon_sym_DASH_DASH] = ACTIONS(3196),
    [anon_sym_DQUOTE] = ACTIONS(3196),
    [anon_sym_SQUOTE] = ACTIONS(3196),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3196),
    [sym_number] = ACTIONS(3196),
    [sym_private_property_identifier] = ACTIONS(3196),
    [sym_this] = ACTIONS(3196),
    [sym_super] = ACTIONS(3196),
    [sym_true] = ACTIONS(3196),
    [sym_false] = ACTIONS(3196),
    [sym_null] = ACTIONS(3196),
    [sym_undefined] = ACTIONS(3196),
    [anon_sym_AT] = ACTIONS(3196),
    [anon_sym_static] = ACTIONS(3196),
    [anon_sym_readonly] = ACTIONS(3196),
    [anon_sym_get] = ACTIONS(3196),
    [anon_sym_set] = ACTIONS(3196),
    [anon_sym_declare] = ACTIONS(3196),
    [anon_sym_public] = ACTIONS(3196),
    [anon_sym_private] = ACTIONS(3196),
    [anon_sym_protected] = ACTIONS(3196),
    [anon_sym_override] = ACTIONS(3196),
    [anon_sym_module] = ACTIONS(3196),
    [anon_sym_any] = ACTIONS(3196),
    [anon_sym_number] = ACTIONS(3196),
    [anon_sym_boolean] = ACTIONS(3196),
    [anon_sym_string] = ACTIONS(3196),
    [anon_sym_symbol] = ACTIONS(3196),
    [anon_sym_object] = ACTIONS(3196),
    [anon_sym_abstract] = ACTIONS(3196),
    [anon_sym_interface] = ACTIONS(3196),
    [anon_sym_enum] = ACTIONS(3196),
    [sym_html_comment] = ACTIONS(5),
  },
  [1269] = {
    [sym_comment] = STATE(1269),
    [sym_identifier] = ACTIONS(3214),
    [anon_sym_export] = ACTIONS(3214),
    [anon_sym_default] = ACTIONS(3214),
    [anon_sym_type] = ACTIONS(3214),
    [anon_sym_namespace] = ACTIONS(3214),
    [anon_sym_LBRACE] = ACTIONS(3214),
    [anon_sym_RBRACE] = ACTIONS(3214),
    [anon_sym_typeof] = ACTIONS(3214),
    [anon_sym_import] = ACTIONS(3214),
    [anon_sym_var] = ACTIONS(3214),
    [anon_sym_let] = ACTIONS(3214),
    [anon_sym_const] = ACTIONS(3214),
    [anon_sym_BANG] = ACTIONS(3214),
    [anon_sym_if] = ACTIONS(3214),
    [anon_sym_switch] = ACTIONS(3214),
    [anon_sym_for] = ACTIONS(3214),
    [anon_sym_LPAREN] = ACTIONS(3214),
    [anon_sym_await] = ACTIONS(3214),
    [anon_sym_while] = ACTIONS(3214),
    [anon_sym_do] = ACTIONS(3214),
    [anon_sym_try] = ACTIONS(3214),
    [anon_sym_with] = ACTIONS(3214),
    [anon_sym_break] = ACTIONS(3214),
    [anon_sym_continue] = ACTIONS(3214),
    [anon_sym_debugger] = ACTIONS(3214),
    [anon_sym_return] = ACTIONS(3214),
    [anon_sym_throw] = ACTIONS(3214),
    [anon_sym_SEMI] = ACTIONS(3214),
    [anon_sym_case] = ACTIONS(3214),
    [anon_sym_yield] = ACTIONS(3214),
    [anon_sym_LBRACK] = ACTIONS(3214),
    [anon_sym_LTtemplate_GT] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3214),
    [anon_sym_async] = ACTIONS(3214),
    [anon_sym_function] = ACTIONS(3214),
    [anon_sym_new] = ACTIONS(3214),
    [anon_sym_using] = ACTIONS(3214),
    [anon_sym_PLUS] = ACTIONS(3214),
    [anon_sym_DASH] = ACTIONS(3214),
    [anon_sym_SLASH] = ACTIONS(3214),
    [anon_sym_LT] = ACTIONS(3214),
    [anon_sym_TILDE] = ACTIONS(3214),
    [anon_sym_void] = ACTIONS(3214),
    [anon_sym_delete] = ACTIONS(3214),
    [anon_sym_PLUS_PLUS] = ACTIONS(3214),
    [anon_sym_DASH_DASH] = ACTIONS(3214),
    [anon_sym_DQUOTE] = ACTIONS(3214),
    [anon_sym_SQUOTE] = ACTIONS(3214),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3214),
    [sym_number] = ACTIONS(3214),
    [sym_private_property_identifier] = ACTIONS(3214),
    [sym_this] = ACTIONS(3214),
    [sym_super] = ACTIONS(3214),
    [sym_true] = ACTIONS(3214),
    [sym_false] = ACTIONS(3214),
    [sym_null] = ACTIONS(3214),
    [sym_undefined] = ACTIONS(3214),
    [anon_sym_AT] = ACTIONS(3214),
    [anon_sym_static] = ACTIONS(3214),
    [anon_sym_readonly] = ACTIONS(3214),
    [anon_sym_get] = ACTIONS(3214),
    [anon_sym_set] = ACTIONS(3214),
    [anon_sym_declare] = ACTIONS(3214),
    [anon_sym_public] = ACTIONS(3214),
    [anon_sym_private] = ACTIONS(3214),
    [anon_sym_protected] = ACTIONS(3214),
    [anon_sym_override] = ACTIONS(3214),
    [anon_sym_module] = ACTIONS(3214),
    [anon_sym_any] = ACTIONS(3214),
    [anon_sym_number] = ACTIONS(3214),
    [anon_sym_boolean] = ACTIONS(3214),
    [anon_sym_string] = ACTIONS(3214),
    [anon_sym_symbol] = ACTIONS(3214),
    [anon_sym_object] = ACTIONS(3214),
    [anon_sym_abstract] = ACTIONS(3214),
    [anon_sym_interface] = ACTIONS(3214),
    [anon_sym_enum] = ACTIONS(3214),
    [sym_html_comment] = ACTIONS(5),
  },
  [1270] = {
    [sym_comment] = STATE(1270),
    [sym_identifier] = ACTIONS(3216),
    [anon_sym_export] = ACTIONS(3216),
    [anon_sym_default] = ACTIONS(3216),
    [anon_sym_type] = ACTIONS(3216),
    [anon_sym_namespace] = ACTIONS(3216),
    [anon_sym_LBRACE] = ACTIONS(3216),
    [anon_sym_RBRACE] = ACTIONS(3216),
    [anon_sym_typeof] = ACTIONS(3216),
    [anon_sym_import] = ACTIONS(3216),
    [anon_sym_var] = ACTIONS(3216),
    [anon_sym_let] = ACTIONS(3216),
    [anon_sym_const] = ACTIONS(3216),
    [anon_sym_BANG] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_switch] = ACTIONS(3216),
    [anon_sym_for] = ACTIONS(3216),
    [anon_sym_LPAREN] = ACTIONS(3216),
    [anon_sym_await] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(3216),
    [anon_sym_do] = ACTIONS(3216),
    [anon_sym_try] = ACTIONS(3216),
    [anon_sym_with] = ACTIONS(3216),
    [anon_sym_break] = ACTIONS(3216),
    [anon_sym_continue] = ACTIONS(3216),
    [anon_sym_debugger] = ACTIONS(3216),
    [anon_sym_return] = ACTIONS(3216),
    [anon_sym_throw] = ACTIONS(3216),
    [anon_sym_SEMI] = ACTIONS(3216),
    [anon_sym_case] = ACTIONS(3216),
    [anon_sym_yield] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_LTtemplate_GT] = ACTIONS(3216),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_async] = ACTIONS(3216),
    [anon_sym_function] = ACTIONS(3216),
    [anon_sym_new] = ACTIONS(3216),
    [anon_sym_using] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3216),
    [anon_sym_LT] = ACTIONS(3216),
    [anon_sym_TILDE] = ACTIONS(3216),
    [anon_sym_void] = ACTIONS(3216),
    [anon_sym_delete] = ACTIONS(3216),
    [anon_sym_PLUS_PLUS] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3216),
    [anon_sym_DQUOTE] = ACTIONS(3216),
    [anon_sym_SQUOTE] = ACTIONS(3216),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3216),
    [sym_number] = ACTIONS(3216),
    [sym_private_property_identifier] = ACTIONS(3216),
    [sym_this] = ACTIONS(3216),
    [sym_super] = ACTIONS(3216),
    [sym_true] = ACTIONS(3216),
    [sym_false] = ACTIONS(3216),
    [sym_null] = ACTIONS(3216),
    [sym_undefined] = ACTIONS(3216),
    [anon_sym_AT] = ACTIONS(3216),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_readonly] = ACTIONS(3216),
    [anon_sym_get] = ACTIONS(3216),
    [anon_sym_set] = ACTIONS(3216),
    [anon_sym_declare] = ACTIONS(3216),
    [anon_sym_public] = ACTIONS(3216),
    [anon_sym_private] = ACTIONS(3216),
    [anon_sym_protected] = ACTIONS(3216),
    [anon_sym_override] = ACTIONS(3216),
    [anon_sym_module] = ACTIONS(3216),
    [anon_sym_any] = ACTIONS(3216),
    [anon_sym_number] = ACTIONS(3216),
    [anon_sym_boolean] = ACTIONS(3216),
    [anon_sym_string] = ACTIONS(3216),
    [anon_sym_symbol] = ACTIONS(3216),
    [anon_sym_object] = ACTIONS(3216),
    [anon_sym_abstract] = ACTIONS(3216),
    [anon_sym_interface] = ACTIONS(3216),
    [anon_sym_enum] = ACTIONS(3216),
    [sym_html_comment] = ACTIONS(5),
  },
  [1271] = {
    [sym_comment] = STATE(1271),
    [sym_identifier] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_default] = ACTIONS(3222),
    [anon_sym_type] = ACTIONS(3222),
    [anon_sym_namespace] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_RBRACE] = ACTIONS(3222),
    [anon_sym_typeof] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_var] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_BANG] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_switch] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_await] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [anon_sym_do] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_with] = ACTIONS(3222),
    [anon_sym_break] = ACTIONS(3222),
    [anon_sym_continue] = ACTIONS(3222),
    [anon_sym_debugger] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_throw] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_case] = ACTIONS(3222),
    [anon_sym_yield] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_LTtemplate_GT] = ACTIONS(3222),
    [anon_sym_class] = ACTIONS(3222),
    [anon_sym_async] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_new] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_PLUS] = ACTIONS(3222),
    [anon_sym_DASH] = ACTIONS(3222),
    [anon_sym_SLASH] = ACTIONS(3222),
    [anon_sym_LT] = ACTIONS(3222),
    [anon_sym_TILDE] = ACTIONS(3222),
    [anon_sym_void] = ACTIONS(3222),
    [anon_sym_delete] = ACTIONS(3222),
    [anon_sym_PLUS_PLUS] = ACTIONS(3222),
    [anon_sym_DASH_DASH] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [sym_number] = ACTIONS(3222),
    [sym_private_property_identifier] = ACTIONS(3222),
    [sym_this] = ACTIONS(3222),
    [sym_super] = ACTIONS(3222),
    [sym_true] = ACTIONS(3222),
    [sym_false] = ACTIONS(3222),
    [sym_null] = ACTIONS(3222),
    [sym_undefined] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_static] = ACTIONS(3222),
    [anon_sym_readonly] = ACTIONS(3222),
    [anon_sym_get] = ACTIONS(3222),
    [anon_sym_set] = ACTIONS(3222),
    [anon_sym_declare] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_private] = ACTIONS(3222),
    [anon_sym_protected] = ACTIONS(3222),
    [anon_sym_override] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_any] = ACTIONS(3222),
    [anon_sym_number] = ACTIONS(3222),
    [anon_sym_boolean] = ACTIONS(3222),
    [anon_sym_string] = ACTIONS(3222),
    [anon_sym_symbol] = ACTIONS(3222),
    [anon_sym_object] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_interface] = ACTIONS(3222),
    [anon_sym_enum] = ACTIONS(3222),
    [sym_html_comment] = ACTIONS(5),
  },
  [1272] = {
    [sym_comment] = STATE(1272),
    [sym_identifier] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_default] = ACTIONS(3222),
    [anon_sym_type] = ACTIONS(3222),
    [anon_sym_namespace] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_RBRACE] = ACTIONS(3222),
    [anon_sym_typeof] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_var] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_BANG] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_switch] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_await] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [anon_sym_do] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_with] = ACTIONS(3222),
    [anon_sym_break] = ACTIONS(3222),
    [anon_sym_continue] = ACTIONS(3222),
    [anon_sym_debugger] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_throw] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_case] = ACTIONS(3222),
    [anon_sym_yield] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_LTtemplate_GT] = ACTIONS(3222),
    [anon_sym_class] = ACTIONS(3222),
    [anon_sym_async] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_new] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_PLUS] = ACTIONS(3222),
    [anon_sym_DASH] = ACTIONS(3222),
    [anon_sym_SLASH] = ACTIONS(3222),
    [anon_sym_LT] = ACTIONS(3222),
    [anon_sym_TILDE] = ACTIONS(3222),
    [anon_sym_void] = ACTIONS(3222),
    [anon_sym_delete] = ACTIONS(3222),
    [anon_sym_PLUS_PLUS] = ACTIONS(3222),
    [anon_sym_DASH_DASH] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [sym_number] = ACTIONS(3222),
    [sym_private_property_identifier] = ACTIONS(3222),
    [sym_this] = ACTIONS(3222),
    [sym_super] = ACTIONS(3222),
    [sym_true] = ACTIONS(3222),
    [sym_false] = ACTIONS(3222),
    [sym_null] = ACTIONS(3222),
    [sym_undefined] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_static] = ACTIONS(3222),
    [anon_sym_readonly] = ACTIONS(3222),
    [anon_sym_get] = ACTIONS(3222),
    [anon_sym_set] = ACTIONS(3222),
    [anon_sym_declare] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_private] = ACTIONS(3222),
    [anon_sym_protected] = ACTIONS(3222),
    [anon_sym_override] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_any] = ACTIONS(3222),
    [anon_sym_number] = ACTIONS(3222),
    [anon_sym_boolean] = ACTIONS(3222),
    [anon_sym_string] = ACTIONS(3222),
    [anon_sym_symbol] = ACTIONS(3222),
    [anon_sym_object] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_interface] = ACTIONS(3222),
    [anon_sym_enum] = ACTIONS(3222),
    [sym_html_comment] = ACTIONS(5),
  },
  [1273] = {
    [sym_comment] = STATE(1273),
    [sym_identifier] = ACTIONS(3198),
    [anon_sym_export] = ACTIONS(3198),
    [anon_sym_default] = ACTIONS(3198),
    [anon_sym_type] = ACTIONS(3198),
    [anon_sym_namespace] = ACTIONS(3198),
    [anon_sym_LBRACE] = ACTIONS(3198),
    [anon_sym_RBRACE] = ACTIONS(3198),
    [anon_sym_typeof] = ACTIONS(3198),
    [anon_sym_import] = ACTIONS(3198),
    [anon_sym_var] = ACTIONS(3198),
    [anon_sym_let] = ACTIONS(3198),
    [anon_sym_const] = ACTIONS(3198),
    [anon_sym_BANG] = ACTIONS(3198),
    [anon_sym_if] = ACTIONS(3198),
    [anon_sym_switch] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(3198),
    [anon_sym_await] = ACTIONS(3198),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_do] = ACTIONS(3198),
    [anon_sym_try] = ACTIONS(3198),
    [anon_sym_with] = ACTIONS(3198),
    [anon_sym_break] = ACTIONS(3198),
    [anon_sym_continue] = ACTIONS(3198),
    [anon_sym_debugger] = ACTIONS(3198),
    [anon_sym_return] = ACTIONS(3198),
    [anon_sym_throw] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3198),
    [anon_sym_case] = ACTIONS(3198),
    [anon_sym_yield] = ACTIONS(3198),
    [anon_sym_LBRACK] = ACTIONS(3198),
    [anon_sym_LTtemplate_GT] = ACTIONS(3198),
    [anon_sym_class] = ACTIONS(3198),
    [anon_sym_async] = ACTIONS(3198),
    [anon_sym_function] = ACTIONS(3198),
    [anon_sym_new] = ACTIONS(3198),
    [anon_sym_using] = ACTIONS(3198),
    [anon_sym_PLUS] = ACTIONS(3198),
    [anon_sym_DASH] = ACTIONS(3198),
    [anon_sym_SLASH] = ACTIONS(3198),
    [anon_sym_LT] = ACTIONS(3198),
    [anon_sym_TILDE] = ACTIONS(3198),
    [anon_sym_void] = ACTIONS(3198),
    [anon_sym_delete] = ACTIONS(3198),
    [anon_sym_PLUS_PLUS] = ACTIONS(3198),
    [anon_sym_DASH_DASH] = ACTIONS(3198),
    [anon_sym_DQUOTE] = ACTIONS(3198),
    [anon_sym_SQUOTE] = ACTIONS(3198),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3198),
    [sym_number] = ACTIONS(3198),
    [sym_private_property_identifier] = ACTIONS(3198),
    [sym_this] = ACTIONS(3198),
    [sym_super] = ACTIONS(3198),
    [sym_true] = ACTIONS(3198),
    [sym_false] = ACTIONS(3198),
    [sym_null] = ACTIONS(3198),
    [sym_undefined] = ACTIONS(3198),
    [anon_sym_AT] = ACTIONS(3198),
    [anon_sym_static] = ACTIONS(3198),
    [anon_sym_readonly] = ACTIONS(3198),
    [anon_sym_get] = ACTIONS(3198),
    [anon_sym_set] = ACTIONS(3198),
    [anon_sym_declare] = ACTIONS(3198),
    [anon_sym_public] = ACTIONS(3198),
    [anon_sym_private] = ACTIONS(3198),
    [anon_sym_protected] = ACTIONS(3198),
    [anon_sym_override] = ACTIONS(3198),
    [anon_sym_module] = ACTIONS(3198),
    [anon_sym_any] = ACTIONS(3198),
    [anon_sym_number] = ACTIONS(3198),
    [anon_sym_boolean] = ACTIONS(3198),
    [anon_sym_string] = ACTIONS(3198),
    [anon_sym_symbol] = ACTIONS(3198),
    [anon_sym_object] = ACTIONS(3198),
    [anon_sym_abstract] = ACTIONS(3198),
    [anon_sym_interface] = ACTIONS(3198),
    [anon_sym_enum] = ACTIONS(3198),
    [sym_html_comment] = ACTIONS(5),
  },
  [1274] = {
    [sym_comment] = STATE(1274),
    [sym_identifier] = ACTIONS(3206),
    [anon_sym_export] = ACTIONS(3206),
    [anon_sym_default] = ACTIONS(3206),
    [anon_sym_type] = ACTIONS(3206),
    [anon_sym_namespace] = ACTIONS(3206),
    [anon_sym_LBRACE] = ACTIONS(3206),
    [anon_sym_RBRACE] = ACTIONS(3206),
    [anon_sym_typeof] = ACTIONS(3206),
    [anon_sym_import] = ACTIONS(3206),
    [anon_sym_var] = ACTIONS(3206),
    [anon_sym_let] = ACTIONS(3206),
    [anon_sym_const] = ACTIONS(3206),
    [anon_sym_BANG] = ACTIONS(3206),
    [anon_sym_if] = ACTIONS(3206),
    [anon_sym_switch] = ACTIONS(3206),
    [anon_sym_for] = ACTIONS(3206),
    [anon_sym_LPAREN] = ACTIONS(3206),
    [anon_sym_await] = ACTIONS(3206),
    [anon_sym_while] = ACTIONS(3206),
    [anon_sym_do] = ACTIONS(3206),
    [anon_sym_try] = ACTIONS(3206),
    [anon_sym_with] = ACTIONS(3206),
    [anon_sym_break] = ACTIONS(3206),
    [anon_sym_continue] = ACTIONS(3206),
    [anon_sym_debugger] = ACTIONS(3206),
    [anon_sym_return] = ACTIONS(3206),
    [anon_sym_throw] = ACTIONS(3206),
    [anon_sym_SEMI] = ACTIONS(3206),
    [anon_sym_case] = ACTIONS(3206),
    [anon_sym_yield] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(3206),
    [anon_sym_LTtemplate_GT] = ACTIONS(3206),
    [anon_sym_class] = ACTIONS(3206),
    [anon_sym_async] = ACTIONS(3206),
    [anon_sym_function] = ACTIONS(3206),
    [anon_sym_new] = ACTIONS(3206),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_PLUS] = ACTIONS(3206),
    [anon_sym_DASH] = ACTIONS(3206),
    [anon_sym_SLASH] = ACTIONS(3206),
    [anon_sym_LT] = ACTIONS(3206),
    [anon_sym_TILDE] = ACTIONS(3206),
    [anon_sym_void] = ACTIONS(3206),
    [anon_sym_delete] = ACTIONS(3206),
    [anon_sym_PLUS_PLUS] = ACTIONS(3206),
    [anon_sym_DASH_DASH] = ACTIONS(3206),
    [anon_sym_DQUOTE] = ACTIONS(3206),
    [anon_sym_SQUOTE] = ACTIONS(3206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3206),
    [sym_number] = ACTIONS(3206),
    [sym_private_property_identifier] = ACTIONS(3206),
    [sym_this] = ACTIONS(3206),
    [sym_super] = ACTIONS(3206),
    [sym_true] = ACTIONS(3206),
    [sym_false] = ACTIONS(3206),
    [sym_null] = ACTIONS(3206),
    [sym_undefined] = ACTIONS(3206),
    [anon_sym_AT] = ACTIONS(3206),
    [anon_sym_static] = ACTIONS(3206),
    [anon_sym_readonly] = ACTIONS(3206),
    [anon_sym_get] = ACTIONS(3206),
    [anon_sym_set] = ACTIONS(3206),
    [anon_sym_declare] = ACTIONS(3206),
    [anon_sym_public] = ACTIONS(3206),
    [anon_sym_private] = ACTIONS(3206),
    [anon_sym_protected] = ACTIONS(3206),
    [anon_sym_override] = ACTIONS(3206),
    [anon_sym_module] = ACTIONS(3206),
    [anon_sym_any] = ACTIONS(3206),
    [anon_sym_number] = ACTIONS(3206),
    [anon_sym_boolean] = ACTIONS(3206),
    [anon_sym_string] = ACTIONS(3206),
    [anon_sym_symbol] = ACTIONS(3206),
    [anon_sym_object] = ACTIONS(3206),
    [anon_sym_abstract] = ACTIONS(3206),
    [anon_sym_interface] = ACTIONS(3206),
    [anon_sym_enum] = ACTIONS(3206),
    [sym_html_comment] = ACTIONS(5),
  },
  [1275] = {
    [sym_comment] = STATE(1275),
    [sym_identifier] = ACTIONS(3210),
    [anon_sym_export] = ACTIONS(3210),
    [anon_sym_default] = ACTIONS(3210),
    [anon_sym_type] = ACTIONS(3210),
    [anon_sym_namespace] = ACTIONS(3210),
    [anon_sym_LBRACE] = ACTIONS(3210),
    [anon_sym_RBRACE] = ACTIONS(3210),
    [anon_sym_typeof] = ACTIONS(3210),
    [anon_sym_import] = ACTIONS(3210),
    [anon_sym_var] = ACTIONS(3210),
    [anon_sym_let] = ACTIONS(3210),
    [anon_sym_const] = ACTIONS(3210),
    [anon_sym_BANG] = ACTIONS(3210),
    [anon_sym_if] = ACTIONS(3210),
    [anon_sym_switch] = ACTIONS(3210),
    [anon_sym_for] = ACTIONS(3210),
    [anon_sym_LPAREN] = ACTIONS(3210),
    [anon_sym_await] = ACTIONS(3210),
    [anon_sym_while] = ACTIONS(3210),
    [anon_sym_do] = ACTIONS(3210),
    [anon_sym_try] = ACTIONS(3210),
    [anon_sym_with] = ACTIONS(3210),
    [anon_sym_break] = ACTIONS(3210),
    [anon_sym_continue] = ACTIONS(3210),
    [anon_sym_debugger] = ACTIONS(3210),
    [anon_sym_return] = ACTIONS(3210),
    [anon_sym_throw] = ACTIONS(3210),
    [anon_sym_SEMI] = ACTIONS(3210),
    [anon_sym_case] = ACTIONS(3210),
    [anon_sym_yield] = ACTIONS(3210),
    [anon_sym_LBRACK] = ACTIONS(3210),
    [anon_sym_LTtemplate_GT] = ACTIONS(3210),
    [anon_sym_class] = ACTIONS(3210),
    [anon_sym_async] = ACTIONS(3210),
    [anon_sym_function] = ACTIONS(3210),
    [anon_sym_new] = ACTIONS(3210),
    [anon_sym_using] = ACTIONS(3210),
    [anon_sym_PLUS] = ACTIONS(3210),
    [anon_sym_DASH] = ACTIONS(3210),
    [anon_sym_SLASH] = ACTIONS(3210),
    [anon_sym_LT] = ACTIONS(3210),
    [anon_sym_TILDE] = ACTIONS(3210),
    [anon_sym_void] = ACTIONS(3210),
    [anon_sym_delete] = ACTIONS(3210),
    [anon_sym_PLUS_PLUS] = ACTIONS(3210),
    [anon_sym_DASH_DASH] = ACTIONS(3210),
    [anon_sym_DQUOTE] = ACTIONS(3210),
    [anon_sym_SQUOTE] = ACTIONS(3210),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3210),
    [sym_number] = ACTIONS(3210),
    [sym_private_property_identifier] = ACTIONS(3210),
    [sym_this] = ACTIONS(3210),
    [sym_super] = ACTIONS(3210),
    [sym_true] = ACTIONS(3210),
    [sym_false] = ACTIONS(3210),
    [sym_null] = ACTIONS(3210),
    [sym_undefined] = ACTIONS(3210),
    [anon_sym_AT] = ACTIONS(3210),
    [anon_sym_static] = ACTIONS(3210),
    [anon_sym_readonly] = ACTIONS(3210),
    [anon_sym_get] = ACTIONS(3210),
    [anon_sym_set] = ACTIONS(3210),
    [anon_sym_declare] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(3210),
    [anon_sym_private] = ACTIONS(3210),
    [anon_sym_protected] = ACTIONS(3210),
    [anon_sym_override] = ACTIONS(3210),
    [anon_sym_module] = ACTIONS(3210),
    [anon_sym_any] = ACTIONS(3210),
    [anon_sym_number] = ACTIONS(3210),
    [anon_sym_boolean] = ACTIONS(3210),
    [anon_sym_string] = ACTIONS(3210),
    [anon_sym_symbol] = ACTIONS(3210),
    [anon_sym_object] = ACTIONS(3210),
    [anon_sym_abstract] = ACTIONS(3210),
    [anon_sym_interface] = ACTIONS(3210),
    [anon_sym_enum] = ACTIONS(3210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1276] = {
    [sym_comment] = STATE(1276),
    [sym_identifier] = ACTIONS(3212),
    [anon_sym_export] = ACTIONS(3212),
    [anon_sym_default] = ACTIONS(3212),
    [anon_sym_type] = ACTIONS(3212),
    [anon_sym_namespace] = ACTIONS(3212),
    [anon_sym_LBRACE] = ACTIONS(3212),
    [anon_sym_RBRACE] = ACTIONS(3212),
    [anon_sym_typeof] = ACTIONS(3212),
    [anon_sym_import] = ACTIONS(3212),
    [anon_sym_var] = ACTIONS(3212),
    [anon_sym_let] = ACTIONS(3212),
    [anon_sym_const] = ACTIONS(3212),
    [anon_sym_BANG] = ACTIONS(3212),
    [anon_sym_if] = ACTIONS(3212),
    [anon_sym_switch] = ACTIONS(3212),
    [anon_sym_for] = ACTIONS(3212),
    [anon_sym_LPAREN] = ACTIONS(3212),
    [anon_sym_await] = ACTIONS(3212),
    [anon_sym_while] = ACTIONS(3212),
    [anon_sym_do] = ACTIONS(3212),
    [anon_sym_try] = ACTIONS(3212),
    [anon_sym_with] = ACTIONS(3212),
    [anon_sym_break] = ACTIONS(3212),
    [anon_sym_continue] = ACTIONS(3212),
    [anon_sym_debugger] = ACTIONS(3212),
    [anon_sym_return] = ACTIONS(3212),
    [anon_sym_throw] = ACTIONS(3212),
    [anon_sym_SEMI] = ACTIONS(3212),
    [anon_sym_case] = ACTIONS(3212),
    [anon_sym_yield] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3212),
    [anon_sym_LTtemplate_GT] = ACTIONS(3212),
    [anon_sym_class] = ACTIONS(3212),
    [anon_sym_async] = ACTIONS(3212),
    [anon_sym_function] = ACTIONS(3212),
    [anon_sym_new] = ACTIONS(3212),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_PLUS] = ACTIONS(3212),
    [anon_sym_DASH] = ACTIONS(3212),
    [anon_sym_SLASH] = ACTIONS(3212),
    [anon_sym_LT] = ACTIONS(3212),
    [anon_sym_TILDE] = ACTIONS(3212),
    [anon_sym_void] = ACTIONS(3212),
    [anon_sym_delete] = ACTIONS(3212),
    [anon_sym_PLUS_PLUS] = ACTIONS(3212),
    [anon_sym_DASH_DASH] = ACTIONS(3212),
    [anon_sym_DQUOTE] = ACTIONS(3212),
    [anon_sym_SQUOTE] = ACTIONS(3212),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3212),
    [sym_number] = ACTIONS(3212),
    [sym_private_property_identifier] = ACTIONS(3212),
    [sym_this] = ACTIONS(3212),
    [sym_super] = ACTIONS(3212),
    [sym_true] = ACTIONS(3212),
    [sym_false] = ACTIONS(3212),
    [sym_null] = ACTIONS(3212),
    [sym_undefined] = ACTIONS(3212),
    [anon_sym_AT] = ACTIONS(3212),
    [anon_sym_static] = ACTIONS(3212),
    [anon_sym_readonly] = ACTIONS(3212),
    [anon_sym_get] = ACTIONS(3212),
    [anon_sym_set] = ACTIONS(3212),
    [anon_sym_declare] = ACTIONS(3212),
    [anon_sym_public] = ACTIONS(3212),
    [anon_sym_private] = ACTIONS(3212),
    [anon_sym_protected] = ACTIONS(3212),
    [anon_sym_override] = ACTIONS(3212),
    [anon_sym_module] = ACTIONS(3212),
    [anon_sym_any] = ACTIONS(3212),
    [anon_sym_number] = ACTIONS(3212),
    [anon_sym_boolean] = ACTIONS(3212),
    [anon_sym_string] = ACTIONS(3212),
    [anon_sym_symbol] = ACTIONS(3212),
    [anon_sym_object] = ACTIONS(3212),
    [anon_sym_abstract] = ACTIONS(3212),
    [anon_sym_interface] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1277] = {
    [sym_comment] = STATE(1277),
    [sym_identifier] = ACTIONS(3224),
    [anon_sym_export] = ACTIONS(3224),
    [anon_sym_default] = ACTIONS(3224),
    [anon_sym_type] = ACTIONS(3224),
    [anon_sym_namespace] = ACTIONS(3224),
    [anon_sym_LBRACE] = ACTIONS(3224),
    [anon_sym_RBRACE] = ACTIONS(3224),
    [anon_sym_typeof] = ACTIONS(3224),
    [anon_sym_import] = ACTIONS(3224),
    [anon_sym_var] = ACTIONS(3224),
    [anon_sym_let] = ACTIONS(3224),
    [anon_sym_const] = ACTIONS(3224),
    [anon_sym_BANG] = ACTIONS(3224),
    [anon_sym_if] = ACTIONS(3224),
    [anon_sym_switch] = ACTIONS(3224),
    [anon_sym_for] = ACTIONS(3224),
    [anon_sym_LPAREN] = ACTIONS(3224),
    [anon_sym_await] = ACTIONS(3224),
    [anon_sym_while] = ACTIONS(3224),
    [anon_sym_do] = ACTIONS(3224),
    [anon_sym_try] = ACTIONS(3224),
    [anon_sym_with] = ACTIONS(3224),
    [anon_sym_break] = ACTIONS(3224),
    [anon_sym_continue] = ACTIONS(3224),
    [anon_sym_debugger] = ACTIONS(3224),
    [anon_sym_return] = ACTIONS(3224),
    [anon_sym_throw] = ACTIONS(3224),
    [anon_sym_SEMI] = ACTIONS(3224),
    [anon_sym_case] = ACTIONS(3224),
    [anon_sym_yield] = ACTIONS(3224),
    [anon_sym_LBRACK] = ACTIONS(3224),
    [anon_sym_LTtemplate_GT] = ACTIONS(3224),
    [anon_sym_class] = ACTIONS(3224),
    [anon_sym_async] = ACTIONS(3224),
    [anon_sym_function] = ACTIONS(3224),
    [anon_sym_new] = ACTIONS(3224),
    [anon_sym_using] = ACTIONS(3224),
    [anon_sym_PLUS] = ACTIONS(3224),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_SLASH] = ACTIONS(3224),
    [anon_sym_LT] = ACTIONS(3224),
    [anon_sym_TILDE] = ACTIONS(3224),
    [anon_sym_void] = ACTIONS(3224),
    [anon_sym_delete] = ACTIONS(3224),
    [anon_sym_PLUS_PLUS] = ACTIONS(3224),
    [anon_sym_DASH_DASH] = ACTIONS(3224),
    [anon_sym_DQUOTE] = ACTIONS(3224),
    [anon_sym_SQUOTE] = ACTIONS(3224),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3224),
    [sym_number] = ACTIONS(3224),
    [sym_private_property_identifier] = ACTIONS(3224),
    [sym_this] = ACTIONS(3224),
    [sym_super] = ACTIONS(3224),
    [sym_true] = ACTIONS(3224),
    [sym_false] = ACTIONS(3224),
    [sym_null] = ACTIONS(3224),
    [sym_undefined] = ACTIONS(3224),
    [anon_sym_AT] = ACTIONS(3224),
    [anon_sym_static] = ACTIONS(3224),
    [anon_sym_readonly] = ACTIONS(3224),
    [anon_sym_get] = ACTIONS(3224),
    [anon_sym_set] = ACTIONS(3224),
    [anon_sym_declare] = ACTIONS(3224),
    [anon_sym_public] = ACTIONS(3224),
    [anon_sym_private] = ACTIONS(3224),
    [anon_sym_protected] = ACTIONS(3224),
    [anon_sym_override] = ACTIONS(3224),
    [anon_sym_module] = ACTIONS(3224),
    [anon_sym_any] = ACTIONS(3224),
    [anon_sym_number] = ACTIONS(3224),
    [anon_sym_boolean] = ACTIONS(3224),
    [anon_sym_string] = ACTIONS(3224),
    [anon_sym_symbol] = ACTIONS(3224),
    [anon_sym_object] = ACTIONS(3224),
    [anon_sym_abstract] = ACTIONS(3224),
    [anon_sym_interface] = ACTIONS(3224),
    [anon_sym_enum] = ACTIONS(3224),
    [sym_html_comment] = ACTIONS(5),
  },
  [1278] = {
    [sym_comment] = STATE(1278),
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1279] = {
    [sym_comment] = STATE(1279),
    [sym_identifier] = ACTIONS(3226),
    [anon_sym_export] = ACTIONS(3226),
    [anon_sym_default] = ACTIONS(3226),
    [anon_sym_type] = ACTIONS(3226),
    [anon_sym_namespace] = ACTIONS(3226),
    [anon_sym_LBRACE] = ACTIONS(3226),
    [anon_sym_RBRACE] = ACTIONS(3226),
    [anon_sym_typeof] = ACTIONS(3226),
    [anon_sym_import] = ACTIONS(3226),
    [anon_sym_var] = ACTIONS(3226),
    [anon_sym_let] = ACTIONS(3226),
    [anon_sym_const] = ACTIONS(3226),
    [anon_sym_BANG] = ACTIONS(3226),
    [anon_sym_if] = ACTIONS(3226),
    [anon_sym_switch] = ACTIONS(3226),
    [anon_sym_for] = ACTIONS(3226),
    [anon_sym_LPAREN] = ACTIONS(3226),
    [anon_sym_await] = ACTIONS(3226),
    [anon_sym_while] = ACTIONS(3226),
    [anon_sym_do] = ACTIONS(3226),
    [anon_sym_try] = ACTIONS(3226),
    [anon_sym_with] = ACTIONS(3226),
    [anon_sym_break] = ACTIONS(3226),
    [anon_sym_continue] = ACTIONS(3226),
    [anon_sym_debugger] = ACTIONS(3226),
    [anon_sym_return] = ACTIONS(3226),
    [anon_sym_throw] = ACTIONS(3226),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym_case] = ACTIONS(3226),
    [anon_sym_yield] = ACTIONS(3226),
    [anon_sym_LBRACK] = ACTIONS(3226),
    [anon_sym_LTtemplate_GT] = ACTIONS(3226),
    [anon_sym_class] = ACTIONS(3226),
    [anon_sym_async] = ACTIONS(3226),
    [anon_sym_function] = ACTIONS(3226),
    [anon_sym_new] = ACTIONS(3226),
    [anon_sym_using] = ACTIONS(3226),
    [anon_sym_PLUS] = ACTIONS(3226),
    [anon_sym_DASH] = ACTIONS(3226),
    [anon_sym_SLASH] = ACTIONS(3226),
    [anon_sym_LT] = ACTIONS(3226),
    [anon_sym_TILDE] = ACTIONS(3226),
    [anon_sym_void] = ACTIONS(3226),
    [anon_sym_delete] = ACTIONS(3226),
    [anon_sym_PLUS_PLUS] = ACTIONS(3226),
    [anon_sym_DASH_DASH] = ACTIONS(3226),
    [anon_sym_DQUOTE] = ACTIONS(3226),
    [anon_sym_SQUOTE] = ACTIONS(3226),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3226),
    [sym_number] = ACTIONS(3226),
    [sym_private_property_identifier] = ACTIONS(3226),
    [sym_this] = ACTIONS(3226),
    [sym_super] = ACTIONS(3226),
    [sym_true] = ACTIONS(3226),
    [sym_false] = ACTIONS(3226),
    [sym_null] = ACTIONS(3226),
    [sym_undefined] = ACTIONS(3226),
    [anon_sym_AT] = ACTIONS(3226),
    [anon_sym_static] = ACTIONS(3226),
    [anon_sym_readonly] = ACTIONS(3226),
    [anon_sym_get] = ACTIONS(3226),
    [anon_sym_set] = ACTIONS(3226),
    [anon_sym_declare] = ACTIONS(3226),
    [anon_sym_public] = ACTIONS(3226),
    [anon_sym_private] = ACTIONS(3226),
    [anon_sym_protected] = ACTIONS(3226),
    [anon_sym_override] = ACTIONS(3226),
    [anon_sym_module] = ACTIONS(3226),
    [anon_sym_any] = ACTIONS(3226),
    [anon_sym_number] = ACTIONS(3226),
    [anon_sym_boolean] = ACTIONS(3226),
    [anon_sym_string] = ACTIONS(3226),
    [anon_sym_symbol] = ACTIONS(3226),
    [anon_sym_object] = ACTIONS(3226),
    [anon_sym_abstract] = ACTIONS(3226),
    [anon_sym_interface] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(3226),
    [sym_html_comment] = ACTIONS(5),
  },
  [1280] = {
    [sym_comment] = STATE(1280),
    [sym_identifier] = ACTIONS(3112),
    [anon_sym_export] = ACTIONS(3112),
    [anon_sym_default] = ACTIONS(3112),
    [anon_sym_type] = ACTIONS(3112),
    [anon_sym_namespace] = ACTIONS(3112),
    [anon_sym_LBRACE] = ACTIONS(3112),
    [anon_sym_RBRACE] = ACTIONS(3112),
    [anon_sym_typeof] = ACTIONS(3112),
    [anon_sym_import] = ACTIONS(3112),
    [anon_sym_var] = ACTIONS(3112),
    [anon_sym_let] = ACTIONS(3112),
    [anon_sym_const] = ACTIONS(3112),
    [anon_sym_BANG] = ACTIONS(3112),
    [anon_sym_if] = ACTIONS(3112),
    [anon_sym_switch] = ACTIONS(3112),
    [anon_sym_for] = ACTIONS(3112),
    [anon_sym_LPAREN] = ACTIONS(3112),
    [anon_sym_await] = ACTIONS(3112),
    [anon_sym_while] = ACTIONS(3112),
    [anon_sym_do] = ACTIONS(3112),
    [anon_sym_try] = ACTIONS(3112),
    [anon_sym_with] = ACTIONS(3112),
    [anon_sym_break] = ACTIONS(3112),
    [anon_sym_continue] = ACTIONS(3112),
    [anon_sym_debugger] = ACTIONS(3112),
    [anon_sym_return] = ACTIONS(3112),
    [anon_sym_throw] = ACTIONS(3112),
    [anon_sym_SEMI] = ACTIONS(3112),
    [anon_sym_case] = ACTIONS(3112),
    [anon_sym_yield] = ACTIONS(3112),
    [anon_sym_LBRACK] = ACTIONS(3112),
    [anon_sym_LTtemplate_GT] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3112),
    [anon_sym_async] = ACTIONS(3112),
    [anon_sym_function] = ACTIONS(3112),
    [anon_sym_new] = ACTIONS(3112),
    [anon_sym_using] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_SLASH] = ACTIONS(3112),
    [anon_sym_LT] = ACTIONS(3112),
    [anon_sym_TILDE] = ACTIONS(3112),
    [anon_sym_void] = ACTIONS(3112),
    [anon_sym_delete] = ACTIONS(3112),
    [anon_sym_PLUS_PLUS] = ACTIONS(3112),
    [anon_sym_DASH_DASH] = ACTIONS(3112),
    [anon_sym_DQUOTE] = ACTIONS(3112),
    [anon_sym_SQUOTE] = ACTIONS(3112),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3112),
    [sym_number] = ACTIONS(3112),
    [sym_private_property_identifier] = ACTIONS(3112),
    [sym_this] = ACTIONS(3112),
    [sym_super] = ACTIONS(3112),
    [sym_true] = ACTIONS(3112),
    [sym_false] = ACTIONS(3112),
    [sym_null] = ACTIONS(3112),
    [sym_undefined] = ACTIONS(3112),
    [anon_sym_AT] = ACTIONS(3112),
    [anon_sym_static] = ACTIONS(3112),
    [anon_sym_readonly] = ACTIONS(3112),
    [anon_sym_get] = ACTIONS(3112),
    [anon_sym_set] = ACTIONS(3112),
    [anon_sym_declare] = ACTIONS(3112),
    [anon_sym_public] = ACTIONS(3112),
    [anon_sym_private] = ACTIONS(3112),
    [anon_sym_protected] = ACTIONS(3112),
    [anon_sym_override] = ACTIONS(3112),
    [anon_sym_module] = ACTIONS(3112),
    [anon_sym_any] = ACTIONS(3112),
    [anon_sym_number] = ACTIONS(3112),
    [anon_sym_boolean] = ACTIONS(3112),
    [anon_sym_string] = ACTIONS(3112),
    [anon_sym_symbol] = ACTIONS(3112),
    [anon_sym_object] = ACTIONS(3112),
    [anon_sym_abstract] = ACTIONS(3112),
    [anon_sym_interface] = ACTIONS(3112),
    [anon_sym_enum] = ACTIONS(3112),
    [sym_html_comment] = ACTIONS(5),
  },
  [1281] = {
    [sym_comment] = STATE(1281),
    [ts_builtin_sym_end] = ACTIONS(2103),
    [sym_identifier] = ACTIONS(2101),
    [anon_sym_export] = ACTIONS(2101),
    [anon_sym_type] = ACTIONS(2101),
    [anon_sym_namespace] = ACTIONS(2101),
    [anon_sym_LBRACE] = ACTIONS(2101),
    [anon_sym_RBRACE] = ACTIONS(2101),
    [anon_sym_typeof] = ACTIONS(2101),
    [anon_sym_import] = ACTIONS(2101),
    [anon_sym_var] = ACTIONS(2101),
    [anon_sym_let] = ACTIONS(2101),
    [anon_sym_const] = ACTIONS(2101),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_if] = ACTIONS(2101),
    [anon_sym_switch] = ACTIONS(2101),
    [anon_sym_for] = ACTIONS(2101),
    [anon_sym_LPAREN] = ACTIONS(2101),
    [anon_sym_await] = ACTIONS(2101),
    [anon_sym_while] = ACTIONS(2101),
    [anon_sym_do] = ACTIONS(2101),
    [anon_sym_try] = ACTIONS(2101),
    [anon_sym_with] = ACTIONS(2101),
    [anon_sym_break] = ACTIONS(2101),
    [anon_sym_continue] = ACTIONS(2101),
    [anon_sym_debugger] = ACTIONS(2101),
    [anon_sym_return] = ACTIONS(2101),
    [anon_sym_throw] = ACTIONS(2101),
    [anon_sym_SEMI] = ACTIONS(2101),
    [anon_sym_yield] = ACTIONS(2101),
    [anon_sym_LBRACK] = ACTIONS(2101),
    [anon_sym_LTtemplate_GT] = ACTIONS(2101),
    [anon_sym_class] = ACTIONS(2101),
    [anon_sym_async] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2101),
    [anon_sym_new] = ACTIONS(2101),
    [anon_sym_using] = ACTIONS(2101),
    [anon_sym_PLUS] = ACTIONS(2101),
    [anon_sym_DASH] = ACTIONS(2101),
    [anon_sym_SLASH] = ACTIONS(2101),
    [anon_sym_LT] = ACTIONS(2101),
    [anon_sym_TILDE] = ACTIONS(2101),
    [anon_sym_void] = ACTIONS(2101),
    [anon_sym_delete] = ACTIONS(2101),
    [anon_sym_PLUS_PLUS] = ACTIONS(2101),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_DQUOTE] = ACTIONS(2101),
    [anon_sym_SQUOTE] = ACTIONS(2101),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2101),
    [sym_number] = ACTIONS(2101),
    [sym_private_property_identifier] = ACTIONS(2101),
    [sym_this] = ACTIONS(2101),
    [sym_super] = ACTIONS(2101),
    [sym_true] = ACTIONS(2101),
    [sym_false] = ACTIONS(2101),
    [sym_null] = ACTIONS(2101),
    [sym_undefined] = ACTIONS(2101),
    [anon_sym_AT] = ACTIONS(2101),
    [anon_sym_static] = ACTIONS(2101),
    [anon_sym_readonly] = ACTIONS(2101),
    [anon_sym_get] = ACTIONS(2101),
    [anon_sym_set] = ACTIONS(2101),
    [anon_sym_declare] = ACTIONS(2101),
    [anon_sym_public] = ACTIONS(2101),
    [anon_sym_private] = ACTIONS(2101),
    [anon_sym_protected] = ACTIONS(2101),
    [anon_sym_override] = ACTIONS(2101),
    [anon_sym_module] = ACTIONS(2101),
    [anon_sym_any] = ACTIONS(2101),
    [anon_sym_number] = ACTIONS(2101),
    [anon_sym_boolean] = ACTIONS(2101),
    [anon_sym_string] = ACTIONS(2101),
    [anon_sym_symbol] = ACTIONS(2101),
    [anon_sym_object] = ACTIONS(2101),
    [anon_sym_abstract] = ACTIONS(2101),
    [anon_sym_interface] = ACTIONS(2101),
    [anon_sym_enum] = ACTIONS(2101),
    [sym__automatic_semicolon] = ACTIONS(2103),
    [sym_html_comment] = ACTIONS(5),
  },
  [1282] = {
    [sym_comment] = STATE(1282),
    [sym_identifier] = ACTIONS(3254),
    [anon_sym_export] = ACTIONS(3254),
    [anon_sym_default] = ACTIONS(3254),
    [anon_sym_type] = ACTIONS(3254),
    [anon_sym_namespace] = ACTIONS(3254),
    [anon_sym_LBRACE] = ACTIONS(3254),
    [anon_sym_RBRACE] = ACTIONS(3254),
    [anon_sym_typeof] = ACTIONS(3254),
    [anon_sym_import] = ACTIONS(3254),
    [anon_sym_var] = ACTIONS(3254),
    [anon_sym_let] = ACTIONS(3254),
    [anon_sym_const] = ACTIONS(3254),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_if] = ACTIONS(3254),
    [anon_sym_switch] = ACTIONS(3254),
    [anon_sym_for] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(3254),
    [anon_sym_await] = ACTIONS(3254),
    [anon_sym_while] = ACTIONS(3254),
    [anon_sym_do] = ACTIONS(3254),
    [anon_sym_try] = ACTIONS(3254),
    [anon_sym_with] = ACTIONS(3254),
    [anon_sym_break] = ACTIONS(3254),
    [anon_sym_continue] = ACTIONS(3254),
    [anon_sym_debugger] = ACTIONS(3254),
    [anon_sym_return] = ACTIONS(3254),
    [anon_sym_throw] = ACTIONS(3254),
    [anon_sym_SEMI] = ACTIONS(3254),
    [anon_sym_case] = ACTIONS(3254),
    [anon_sym_yield] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(3254),
    [anon_sym_LTtemplate_GT] = ACTIONS(3254),
    [anon_sym_class] = ACTIONS(3254),
    [anon_sym_async] = ACTIONS(3254),
    [anon_sym_function] = ACTIONS(3254),
    [anon_sym_new] = ACTIONS(3254),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_PLUS] = ACTIONS(3254),
    [anon_sym_DASH] = ACTIONS(3254),
    [anon_sym_SLASH] = ACTIONS(3254),
    [anon_sym_LT] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [anon_sym_void] = ACTIONS(3254),
    [anon_sym_delete] = ACTIONS(3254),
    [anon_sym_PLUS_PLUS] = ACTIONS(3254),
    [anon_sym_DASH_DASH] = ACTIONS(3254),
    [anon_sym_DQUOTE] = ACTIONS(3254),
    [anon_sym_SQUOTE] = ACTIONS(3254),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3254),
    [sym_number] = ACTIONS(3254),
    [sym_private_property_identifier] = ACTIONS(3254),
    [sym_this] = ACTIONS(3254),
    [sym_super] = ACTIONS(3254),
    [sym_true] = ACTIONS(3254),
    [sym_false] = ACTIONS(3254),
    [sym_null] = ACTIONS(3254),
    [sym_undefined] = ACTIONS(3254),
    [anon_sym_AT] = ACTIONS(3254),
    [anon_sym_static] = ACTIONS(3254),
    [anon_sym_readonly] = ACTIONS(3254),
    [anon_sym_get] = ACTIONS(3254),
    [anon_sym_set] = ACTIONS(3254),
    [anon_sym_declare] = ACTIONS(3254),
    [anon_sym_public] = ACTIONS(3254),
    [anon_sym_private] = ACTIONS(3254),
    [anon_sym_protected] = ACTIONS(3254),
    [anon_sym_override] = ACTIONS(3254),
    [anon_sym_module] = ACTIONS(3254),
    [anon_sym_any] = ACTIONS(3254),
    [anon_sym_number] = ACTIONS(3254),
    [anon_sym_boolean] = ACTIONS(3254),
    [anon_sym_string] = ACTIONS(3254),
    [anon_sym_symbol] = ACTIONS(3254),
    [anon_sym_object] = ACTIONS(3254),
    [anon_sym_abstract] = ACTIONS(3254),
    [anon_sym_interface] = ACTIONS(3254),
    [anon_sym_enum] = ACTIONS(3254),
    [sym_html_comment] = ACTIONS(5),
  },
  [1283] = {
    [sym_comment] = STATE(1283),
    [sym_identifier] = ACTIONS(3256),
    [anon_sym_export] = ACTIONS(3256),
    [anon_sym_default] = ACTIONS(3256),
    [anon_sym_type] = ACTIONS(3256),
    [anon_sym_namespace] = ACTIONS(3256),
    [anon_sym_LBRACE] = ACTIONS(3256),
    [anon_sym_RBRACE] = ACTIONS(3256),
    [anon_sym_typeof] = ACTIONS(3256),
    [anon_sym_import] = ACTIONS(3256),
    [anon_sym_var] = ACTIONS(3256),
    [anon_sym_let] = ACTIONS(3256),
    [anon_sym_const] = ACTIONS(3256),
    [anon_sym_BANG] = ACTIONS(3256),
    [anon_sym_if] = ACTIONS(3256),
    [anon_sym_switch] = ACTIONS(3256),
    [anon_sym_for] = ACTIONS(3256),
    [anon_sym_LPAREN] = ACTIONS(3256),
    [anon_sym_await] = ACTIONS(3256),
    [anon_sym_while] = ACTIONS(3256),
    [anon_sym_do] = ACTIONS(3256),
    [anon_sym_try] = ACTIONS(3256),
    [anon_sym_with] = ACTIONS(3256),
    [anon_sym_break] = ACTIONS(3256),
    [anon_sym_continue] = ACTIONS(3256),
    [anon_sym_debugger] = ACTIONS(3256),
    [anon_sym_return] = ACTIONS(3256),
    [anon_sym_throw] = ACTIONS(3256),
    [anon_sym_SEMI] = ACTIONS(3256),
    [anon_sym_case] = ACTIONS(3256),
    [anon_sym_yield] = ACTIONS(3256),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_LTtemplate_GT] = ACTIONS(3256),
    [anon_sym_class] = ACTIONS(3256),
    [anon_sym_async] = ACTIONS(3256),
    [anon_sym_function] = ACTIONS(3256),
    [anon_sym_new] = ACTIONS(3256),
    [anon_sym_using] = ACTIONS(3256),
    [anon_sym_PLUS] = ACTIONS(3256),
    [anon_sym_DASH] = ACTIONS(3256),
    [anon_sym_SLASH] = ACTIONS(3256),
    [anon_sym_LT] = ACTIONS(3256),
    [anon_sym_TILDE] = ACTIONS(3256),
    [anon_sym_void] = ACTIONS(3256),
    [anon_sym_delete] = ACTIONS(3256),
    [anon_sym_PLUS_PLUS] = ACTIONS(3256),
    [anon_sym_DASH_DASH] = ACTIONS(3256),
    [anon_sym_DQUOTE] = ACTIONS(3256),
    [anon_sym_SQUOTE] = ACTIONS(3256),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3256),
    [sym_number] = ACTIONS(3256),
    [sym_private_property_identifier] = ACTIONS(3256),
    [sym_this] = ACTIONS(3256),
    [sym_super] = ACTIONS(3256),
    [sym_true] = ACTIONS(3256),
    [sym_false] = ACTIONS(3256),
    [sym_null] = ACTIONS(3256),
    [sym_undefined] = ACTIONS(3256),
    [anon_sym_AT] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(3256),
    [anon_sym_readonly] = ACTIONS(3256),
    [anon_sym_get] = ACTIONS(3256),
    [anon_sym_set] = ACTIONS(3256),
    [anon_sym_declare] = ACTIONS(3256),
    [anon_sym_public] = ACTIONS(3256),
    [anon_sym_private] = ACTIONS(3256),
    [anon_sym_protected] = ACTIONS(3256),
    [anon_sym_override] = ACTIONS(3256),
    [anon_sym_module] = ACTIONS(3256),
    [anon_sym_any] = ACTIONS(3256),
    [anon_sym_number] = ACTIONS(3256),
    [anon_sym_boolean] = ACTIONS(3256),
    [anon_sym_string] = ACTIONS(3256),
    [anon_sym_symbol] = ACTIONS(3256),
    [anon_sym_object] = ACTIONS(3256),
    [anon_sym_abstract] = ACTIONS(3256),
    [anon_sym_interface] = ACTIONS(3256),
    [anon_sym_enum] = ACTIONS(3256),
    [sym_html_comment] = ACTIONS(5),
  },
  [1284] = {
    [sym_comment] = STATE(1284),
    [sym_identifier] = ACTIONS(3230),
    [anon_sym_export] = ACTIONS(3230),
    [anon_sym_default] = ACTIONS(3230),
    [anon_sym_type] = ACTIONS(3230),
    [anon_sym_namespace] = ACTIONS(3230),
    [anon_sym_LBRACE] = ACTIONS(3230),
    [anon_sym_RBRACE] = ACTIONS(3230),
    [anon_sym_typeof] = ACTIONS(3230),
    [anon_sym_import] = ACTIONS(3230),
    [anon_sym_var] = ACTIONS(3230),
    [anon_sym_let] = ACTIONS(3230),
    [anon_sym_const] = ACTIONS(3230),
    [anon_sym_BANG] = ACTIONS(3230),
    [anon_sym_if] = ACTIONS(3230),
    [anon_sym_switch] = ACTIONS(3230),
    [anon_sym_for] = ACTIONS(3230),
    [anon_sym_LPAREN] = ACTIONS(3230),
    [anon_sym_await] = ACTIONS(3230),
    [anon_sym_while] = ACTIONS(3230),
    [anon_sym_do] = ACTIONS(3230),
    [anon_sym_try] = ACTIONS(3230),
    [anon_sym_with] = ACTIONS(3230),
    [anon_sym_break] = ACTIONS(3230),
    [anon_sym_continue] = ACTIONS(3230),
    [anon_sym_debugger] = ACTIONS(3230),
    [anon_sym_return] = ACTIONS(3230),
    [anon_sym_throw] = ACTIONS(3230),
    [anon_sym_SEMI] = ACTIONS(3230),
    [anon_sym_case] = ACTIONS(3230),
    [anon_sym_yield] = ACTIONS(3230),
    [anon_sym_LBRACK] = ACTIONS(3230),
    [anon_sym_LTtemplate_GT] = ACTIONS(3230),
    [anon_sym_class] = ACTIONS(3230),
    [anon_sym_async] = ACTIONS(3230),
    [anon_sym_function] = ACTIONS(3230),
    [anon_sym_new] = ACTIONS(3230),
    [anon_sym_using] = ACTIONS(3230),
    [anon_sym_PLUS] = ACTIONS(3230),
    [anon_sym_DASH] = ACTIONS(3230),
    [anon_sym_SLASH] = ACTIONS(3230),
    [anon_sym_LT] = ACTIONS(3230),
    [anon_sym_TILDE] = ACTIONS(3230),
    [anon_sym_void] = ACTIONS(3230),
    [anon_sym_delete] = ACTIONS(3230),
    [anon_sym_PLUS_PLUS] = ACTIONS(3230),
    [anon_sym_DASH_DASH] = ACTIONS(3230),
    [anon_sym_DQUOTE] = ACTIONS(3230),
    [anon_sym_SQUOTE] = ACTIONS(3230),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3230),
    [sym_number] = ACTIONS(3230),
    [sym_private_property_identifier] = ACTIONS(3230),
    [sym_this] = ACTIONS(3230),
    [sym_super] = ACTIONS(3230),
    [sym_true] = ACTIONS(3230),
    [sym_false] = ACTIONS(3230),
    [sym_null] = ACTIONS(3230),
    [sym_undefined] = ACTIONS(3230),
    [anon_sym_AT] = ACTIONS(3230),
    [anon_sym_static] = ACTIONS(3230),
    [anon_sym_readonly] = ACTIONS(3230),
    [anon_sym_get] = ACTIONS(3230),
    [anon_sym_set] = ACTIONS(3230),
    [anon_sym_declare] = ACTIONS(3230),
    [anon_sym_public] = ACTIONS(3230),
    [anon_sym_private] = ACTIONS(3230),
    [anon_sym_protected] = ACTIONS(3230),
    [anon_sym_override] = ACTIONS(3230),
    [anon_sym_module] = ACTIONS(3230),
    [anon_sym_any] = ACTIONS(3230),
    [anon_sym_number] = ACTIONS(3230),
    [anon_sym_boolean] = ACTIONS(3230),
    [anon_sym_string] = ACTIONS(3230),
    [anon_sym_symbol] = ACTIONS(3230),
    [anon_sym_object] = ACTIONS(3230),
    [anon_sym_abstract] = ACTIONS(3230),
    [anon_sym_interface] = ACTIONS(3230),
    [anon_sym_enum] = ACTIONS(3230),
    [sym_html_comment] = ACTIONS(5),
  },
  [1285] = {
    [sym_comment] = STATE(1285),
    [sym_identifier] = ACTIONS(3260),
    [anon_sym_export] = ACTIONS(3260),
    [anon_sym_default] = ACTIONS(3260),
    [anon_sym_type] = ACTIONS(3260),
    [anon_sym_namespace] = ACTIONS(3260),
    [anon_sym_LBRACE] = ACTIONS(3260),
    [anon_sym_RBRACE] = ACTIONS(3260),
    [anon_sym_typeof] = ACTIONS(3260),
    [anon_sym_import] = ACTIONS(3260),
    [anon_sym_var] = ACTIONS(3260),
    [anon_sym_let] = ACTIONS(3260),
    [anon_sym_const] = ACTIONS(3260),
    [anon_sym_BANG] = ACTIONS(3260),
    [anon_sym_if] = ACTIONS(3260),
    [anon_sym_switch] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3260),
    [anon_sym_LPAREN] = ACTIONS(3260),
    [anon_sym_await] = ACTIONS(3260),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_do] = ACTIONS(3260),
    [anon_sym_try] = ACTIONS(3260),
    [anon_sym_with] = ACTIONS(3260),
    [anon_sym_break] = ACTIONS(3260),
    [anon_sym_continue] = ACTIONS(3260),
    [anon_sym_debugger] = ACTIONS(3260),
    [anon_sym_return] = ACTIONS(3260),
    [anon_sym_throw] = ACTIONS(3260),
    [anon_sym_SEMI] = ACTIONS(3260),
    [anon_sym_case] = ACTIONS(3260),
    [anon_sym_yield] = ACTIONS(3260),
    [anon_sym_LBRACK] = ACTIONS(3260),
    [anon_sym_LTtemplate_GT] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_async] = ACTIONS(3260),
    [anon_sym_function] = ACTIONS(3260),
    [anon_sym_new] = ACTIONS(3260),
    [anon_sym_using] = ACTIONS(3260),
    [anon_sym_PLUS] = ACTIONS(3260),
    [anon_sym_DASH] = ACTIONS(3260),
    [anon_sym_SLASH] = ACTIONS(3260),
    [anon_sym_LT] = ACTIONS(3260),
    [anon_sym_TILDE] = ACTIONS(3260),
    [anon_sym_void] = ACTIONS(3260),
    [anon_sym_delete] = ACTIONS(3260),
    [anon_sym_PLUS_PLUS] = ACTIONS(3260),
    [anon_sym_DASH_DASH] = ACTIONS(3260),
    [anon_sym_DQUOTE] = ACTIONS(3260),
    [anon_sym_SQUOTE] = ACTIONS(3260),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3260),
    [sym_number] = ACTIONS(3260),
    [sym_private_property_identifier] = ACTIONS(3260),
    [sym_this] = ACTIONS(3260),
    [sym_super] = ACTIONS(3260),
    [sym_true] = ACTIONS(3260),
    [sym_false] = ACTIONS(3260),
    [sym_null] = ACTIONS(3260),
    [sym_undefined] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(3260),
    [anon_sym_static] = ACTIONS(3260),
    [anon_sym_readonly] = ACTIONS(3260),
    [anon_sym_get] = ACTIONS(3260),
    [anon_sym_set] = ACTIONS(3260),
    [anon_sym_declare] = ACTIONS(3260),
    [anon_sym_public] = ACTIONS(3260),
    [anon_sym_private] = ACTIONS(3260),
    [anon_sym_protected] = ACTIONS(3260),
    [anon_sym_override] = ACTIONS(3260),
    [anon_sym_module] = ACTIONS(3260),
    [anon_sym_any] = ACTIONS(3260),
    [anon_sym_number] = ACTIONS(3260),
    [anon_sym_boolean] = ACTIONS(3260),
    [anon_sym_string] = ACTIONS(3260),
    [anon_sym_symbol] = ACTIONS(3260),
    [anon_sym_object] = ACTIONS(3260),
    [anon_sym_abstract] = ACTIONS(3260),
    [anon_sym_interface] = ACTIONS(3260),
    [anon_sym_enum] = ACTIONS(3260),
    [sym_html_comment] = ACTIONS(5),
  },
  [1286] = {
    [sym_comment] = STATE(1286),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1287] = {
    [sym_comment] = STATE(1287),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1288] = {
    [sym_comment] = STATE(1288),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1289] = {
    [sym_comment] = STATE(1289),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1290] = {
    [sym_comment] = STATE(1290),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1291] = {
    [sym_comment] = STATE(1291),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1292] = {
    [sym_comment] = STATE(1292),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1293] = {
    [sym_comment] = STATE(1293),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1294] = {
    [sym_comment] = STATE(1294),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1295] = {
    [sym_comment] = STATE(1295),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1296] = {
    [sym_comment] = STATE(1296),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1297] = {
    [sym_comment] = STATE(1297),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1298] = {
    [sym_comment] = STATE(1298),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1299] = {
    [sym_comment] = STATE(1299),
    [sym_identifier] = ACTIONS(3234),
    [anon_sym_export] = ACTIONS(3234),
    [anon_sym_default] = ACTIONS(3234),
    [anon_sym_type] = ACTIONS(3234),
    [anon_sym_namespace] = ACTIONS(3234),
    [anon_sym_LBRACE] = ACTIONS(3234),
    [anon_sym_RBRACE] = ACTIONS(3234),
    [anon_sym_typeof] = ACTIONS(3234),
    [anon_sym_import] = ACTIONS(3234),
    [anon_sym_var] = ACTIONS(3234),
    [anon_sym_let] = ACTIONS(3234),
    [anon_sym_const] = ACTIONS(3234),
    [anon_sym_BANG] = ACTIONS(3234),
    [anon_sym_if] = ACTIONS(3234),
    [anon_sym_switch] = ACTIONS(3234),
    [anon_sym_for] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(3234),
    [anon_sym_await] = ACTIONS(3234),
    [anon_sym_while] = ACTIONS(3234),
    [anon_sym_do] = ACTIONS(3234),
    [anon_sym_try] = ACTIONS(3234),
    [anon_sym_with] = ACTIONS(3234),
    [anon_sym_break] = ACTIONS(3234),
    [anon_sym_continue] = ACTIONS(3234),
    [anon_sym_debugger] = ACTIONS(3234),
    [anon_sym_return] = ACTIONS(3234),
    [anon_sym_throw] = ACTIONS(3234),
    [anon_sym_SEMI] = ACTIONS(3234),
    [anon_sym_case] = ACTIONS(3234),
    [anon_sym_yield] = ACTIONS(3234),
    [anon_sym_LBRACK] = ACTIONS(3234),
    [anon_sym_LTtemplate_GT] = ACTIONS(3234),
    [anon_sym_class] = ACTIONS(3234),
    [anon_sym_async] = ACTIONS(3234),
    [anon_sym_function] = ACTIONS(3234),
    [anon_sym_new] = ACTIONS(3234),
    [anon_sym_using] = ACTIONS(3234),
    [anon_sym_PLUS] = ACTIONS(3234),
    [anon_sym_DASH] = ACTIONS(3234),
    [anon_sym_SLASH] = ACTIONS(3234),
    [anon_sym_LT] = ACTIONS(3234),
    [anon_sym_TILDE] = ACTIONS(3234),
    [anon_sym_void] = ACTIONS(3234),
    [anon_sym_delete] = ACTIONS(3234),
    [anon_sym_PLUS_PLUS] = ACTIONS(3234),
    [anon_sym_DASH_DASH] = ACTIONS(3234),
    [anon_sym_DQUOTE] = ACTIONS(3234),
    [anon_sym_SQUOTE] = ACTIONS(3234),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3234),
    [sym_number] = ACTIONS(3234),
    [sym_private_property_identifier] = ACTIONS(3234),
    [sym_this] = ACTIONS(3234),
    [sym_super] = ACTIONS(3234),
    [sym_true] = ACTIONS(3234),
    [sym_false] = ACTIONS(3234),
    [sym_null] = ACTIONS(3234),
    [sym_undefined] = ACTIONS(3234),
    [anon_sym_AT] = ACTIONS(3234),
    [anon_sym_static] = ACTIONS(3234),
    [anon_sym_readonly] = ACTIONS(3234),
    [anon_sym_get] = ACTIONS(3234),
    [anon_sym_set] = ACTIONS(3234),
    [anon_sym_declare] = ACTIONS(3234),
    [anon_sym_public] = ACTIONS(3234),
    [anon_sym_private] = ACTIONS(3234),
    [anon_sym_protected] = ACTIONS(3234),
    [anon_sym_override] = ACTIONS(3234),
    [anon_sym_module] = ACTIONS(3234),
    [anon_sym_any] = ACTIONS(3234),
    [anon_sym_number] = ACTIONS(3234),
    [anon_sym_boolean] = ACTIONS(3234),
    [anon_sym_string] = ACTIONS(3234),
    [anon_sym_symbol] = ACTIONS(3234),
    [anon_sym_object] = ACTIONS(3234),
    [anon_sym_abstract] = ACTIONS(3234),
    [anon_sym_interface] = ACTIONS(3234),
    [anon_sym_enum] = ACTIONS(3234),
    [sym_html_comment] = ACTIONS(5),
  },
  [1300] = {
    [sym_comment] = STATE(1300),
    [sym_identifier] = ACTIONS(3244),
    [anon_sym_export] = ACTIONS(3244),
    [anon_sym_default] = ACTIONS(3244),
    [anon_sym_type] = ACTIONS(3244),
    [anon_sym_namespace] = ACTIONS(3244),
    [anon_sym_LBRACE] = ACTIONS(3244),
    [anon_sym_RBRACE] = ACTIONS(3244),
    [anon_sym_typeof] = ACTIONS(3244),
    [anon_sym_import] = ACTIONS(3244),
    [anon_sym_var] = ACTIONS(3244),
    [anon_sym_let] = ACTIONS(3244),
    [anon_sym_const] = ACTIONS(3244),
    [anon_sym_BANG] = ACTIONS(3244),
    [anon_sym_if] = ACTIONS(3244),
    [anon_sym_switch] = ACTIONS(3244),
    [anon_sym_for] = ACTIONS(3244),
    [anon_sym_LPAREN] = ACTIONS(3244),
    [anon_sym_await] = ACTIONS(3244),
    [anon_sym_while] = ACTIONS(3244),
    [anon_sym_do] = ACTIONS(3244),
    [anon_sym_try] = ACTIONS(3244),
    [anon_sym_with] = ACTIONS(3244),
    [anon_sym_break] = ACTIONS(3244),
    [anon_sym_continue] = ACTIONS(3244),
    [anon_sym_debugger] = ACTIONS(3244),
    [anon_sym_return] = ACTIONS(3244),
    [anon_sym_throw] = ACTIONS(3244),
    [anon_sym_SEMI] = ACTIONS(3244),
    [anon_sym_case] = ACTIONS(3244),
    [anon_sym_yield] = ACTIONS(3244),
    [anon_sym_LBRACK] = ACTIONS(3244),
    [anon_sym_LTtemplate_GT] = ACTIONS(3244),
    [anon_sym_class] = ACTIONS(3244),
    [anon_sym_async] = ACTIONS(3244),
    [anon_sym_function] = ACTIONS(3244),
    [anon_sym_new] = ACTIONS(3244),
    [anon_sym_using] = ACTIONS(3244),
    [anon_sym_PLUS] = ACTIONS(3244),
    [anon_sym_DASH] = ACTIONS(3244),
    [anon_sym_SLASH] = ACTIONS(3244),
    [anon_sym_LT] = ACTIONS(3244),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_void] = ACTIONS(3244),
    [anon_sym_delete] = ACTIONS(3244),
    [anon_sym_PLUS_PLUS] = ACTIONS(3244),
    [anon_sym_DASH_DASH] = ACTIONS(3244),
    [anon_sym_DQUOTE] = ACTIONS(3244),
    [anon_sym_SQUOTE] = ACTIONS(3244),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3244),
    [sym_number] = ACTIONS(3244),
    [sym_private_property_identifier] = ACTIONS(3244),
    [sym_this] = ACTIONS(3244),
    [sym_super] = ACTIONS(3244),
    [sym_true] = ACTIONS(3244),
    [sym_false] = ACTIONS(3244),
    [sym_null] = ACTIONS(3244),
    [sym_undefined] = ACTIONS(3244),
    [anon_sym_AT] = ACTIONS(3244),
    [anon_sym_static] = ACTIONS(3244),
    [anon_sym_readonly] = ACTIONS(3244),
    [anon_sym_get] = ACTIONS(3244),
    [anon_sym_set] = ACTIONS(3244),
    [anon_sym_declare] = ACTIONS(3244),
    [anon_sym_public] = ACTIONS(3244),
    [anon_sym_private] = ACTIONS(3244),
    [anon_sym_protected] = ACTIONS(3244),
    [anon_sym_override] = ACTIONS(3244),
    [anon_sym_module] = ACTIONS(3244),
    [anon_sym_any] = ACTIONS(3244),
    [anon_sym_number] = ACTIONS(3244),
    [anon_sym_boolean] = ACTIONS(3244),
    [anon_sym_string] = ACTIONS(3244),
    [anon_sym_symbol] = ACTIONS(3244),
    [anon_sym_object] = ACTIONS(3244),
    [anon_sym_abstract] = ACTIONS(3244),
    [anon_sym_interface] = ACTIONS(3244),
    [anon_sym_enum] = ACTIONS(3244),
    [sym_html_comment] = ACTIONS(5),
  },
  [1301] = {
    [sym_comment] = STATE(1301),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1302] = {
    [sym_comment] = STATE(1302),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1303] = {
    [sym_comment] = STATE(1303),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1304] = {
    [sym_comment] = STATE(1304),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1305] = {
    [sym_comment] = STATE(1305),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1306] = {
    [sym_comment] = STATE(1306),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1307] = {
    [sym_comment] = STATE(1307),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1308] = {
    [sym_comment] = STATE(1308),
    [sym_identifier] = ACTIONS(3268),
    [anon_sym_export] = ACTIONS(3268),
    [anon_sym_default] = ACTIONS(3268),
    [anon_sym_type] = ACTIONS(3268),
    [anon_sym_namespace] = ACTIONS(3268),
    [anon_sym_LBRACE] = ACTIONS(3268),
    [anon_sym_RBRACE] = ACTIONS(3268),
    [anon_sym_typeof] = ACTIONS(3268),
    [anon_sym_import] = ACTIONS(3268),
    [anon_sym_var] = ACTIONS(3268),
    [anon_sym_let] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3268),
    [anon_sym_BANG] = ACTIONS(3268),
    [anon_sym_if] = ACTIONS(3268),
    [anon_sym_switch] = ACTIONS(3268),
    [anon_sym_for] = ACTIONS(3268),
    [anon_sym_LPAREN] = ACTIONS(3268),
    [anon_sym_await] = ACTIONS(3268),
    [anon_sym_while] = ACTIONS(3268),
    [anon_sym_do] = ACTIONS(3268),
    [anon_sym_try] = ACTIONS(3268),
    [anon_sym_with] = ACTIONS(3268),
    [anon_sym_break] = ACTIONS(3268),
    [anon_sym_continue] = ACTIONS(3268),
    [anon_sym_debugger] = ACTIONS(3268),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_throw] = ACTIONS(3268),
    [anon_sym_SEMI] = ACTIONS(3268),
    [anon_sym_case] = ACTIONS(3268),
    [anon_sym_yield] = ACTIONS(3268),
    [anon_sym_LBRACK] = ACTIONS(3268),
    [anon_sym_LTtemplate_GT] = ACTIONS(3268),
    [anon_sym_class] = ACTIONS(3268),
    [anon_sym_async] = ACTIONS(3268),
    [anon_sym_function] = ACTIONS(3268),
    [anon_sym_new] = ACTIONS(3268),
    [anon_sym_using] = ACTIONS(3268),
    [anon_sym_PLUS] = ACTIONS(3268),
    [anon_sym_DASH] = ACTIONS(3268),
    [anon_sym_SLASH] = ACTIONS(3268),
    [anon_sym_LT] = ACTIONS(3268),
    [anon_sym_TILDE] = ACTIONS(3268),
    [anon_sym_void] = ACTIONS(3268),
    [anon_sym_delete] = ACTIONS(3268),
    [anon_sym_PLUS_PLUS] = ACTIONS(3268),
    [anon_sym_DASH_DASH] = ACTIONS(3268),
    [anon_sym_DQUOTE] = ACTIONS(3268),
    [anon_sym_SQUOTE] = ACTIONS(3268),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3268),
    [sym_number] = ACTIONS(3268),
    [sym_private_property_identifier] = ACTIONS(3268),
    [sym_this] = ACTIONS(3268),
    [sym_super] = ACTIONS(3268),
    [sym_true] = ACTIONS(3268),
    [sym_false] = ACTIONS(3268),
    [sym_null] = ACTIONS(3268),
    [sym_undefined] = ACTIONS(3268),
    [anon_sym_AT] = ACTIONS(3268),
    [anon_sym_static] = ACTIONS(3268),
    [anon_sym_readonly] = ACTIONS(3268),
    [anon_sym_get] = ACTIONS(3268),
    [anon_sym_set] = ACTIONS(3268),
    [anon_sym_declare] = ACTIONS(3268),
    [anon_sym_public] = ACTIONS(3268),
    [anon_sym_private] = ACTIONS(3268),
    [anon_sym_protected] = ACTIONS(3268),
    [anon_sym_override] = ACTIONS(3268),
    [anon_sym_module] = ACTIONS(3268),
    [anon_sym_any] = ACTIONS(3268),
    [anon_sym_number] = ACTIONS(3268),
    [anon_sym_boolean] = ACTIONS(3268),
    [anon_sym_string] = ACTIONS(3268),
    [anon_sym_symbol] = ACTIONS(3268),
    [anon_sym_object] = ACTIONS(3268),
    [anon_sym_abstract] = ACTIONS(3268),
    [anon_sym_interface] = ACTIONS(3268),
    [anon_sym_enum] = ACTIONS(3268),
    [sym_html_comment] = ACTIONS(5),
  },
  [1309] = {
    [sym_comment] = STATE(1309),
    [sym_identifier] = ACTIONS(3272),
    [anon_sym_export] = ACTIONS(3272),
    [anon_sym_default] = ACTIONS(3272),
    [anon_sym_type] = ACTIONS(3272),
    [anon_sym_namespace] = ACTIONS(3272),
    [anon_sym_LBRACE] = ACTIONS(3272),
    [anon_sym_RBRACE] = ACTIONS(3272),
    [anon_sym_typeof] = ACTIONS(3272),
    [anon_sym_import] = ACTIONS(3272),
    [anon_sym_var] = ACTIONS(3272),
    [anon_sym_let] = ACTIONS(3272),
    [anon_sym_const] = ACTIONS(3272),
    [anon_sym_BANG] = ACTIONS(3272),
    [anon_sym_if] = ACTIONS(3272),
    [anon_sym_switch] = ACTIONS(3272),
    [anon_sym_for] = ACTIONS(3272),
    [anon_sym_LPAREN] = ACTIONS(3272),
    [anon_sym_await] = ACTIONS(3272),
    [anon_sym_while] = ACTIONS(3272),
    [anon_sym_do] = ACTIONS(3272),
    [anon_sym_try] = ACTIONS(3272),
    [anon_sym_with] = ACTIONS(3272),
    [anon_sym_break] = ACTIONS(3272),
    [anon_sym_continue] = ACTIONS(3272),
    [anon_sym_debugger] = ACTIONS(3272),
    [anon_sym_return] = ACTIONS(3272),
    [anon_sym_throw] = ACTIONS(3272),
    [anon_sym_SEMI] = ACTIONS(3272),
    [anon_sym_case] = ACTIONS(3272),
    [anon_sym_yield] = ACTIONS(3272),
    [anon_sym_LBRACK] = ACTIONS(3272),
    [anon_sym_LTtemplate_GT] = ACTIONS(3272),
    [anon_sym_class] = ACTIONS(3272),
    [anon_sym_async] = ACTIONS(3272),
    [anon_sym_function] = ACTIONS(3272),
    [anon_sym_new] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3272),
    [anon_sym_PLUS] = ACTIONS(3272),
    [anon_sym_DASH] = ACTIONS(3272),
    [anon_sym_SLASH] = ACTIONS(3272),
    [anon_sym_LT] = ACTIONS(3272),
    [anon_sym_TILDE] = ACTIONS(3272),
    [anon_sym_void] = ACTIONS(3272),
    [anon_sym_delete] = ACTIONS(3272),
    [anon_sym_PLUS_PLUS] = ACTIONS(3272),
    [anon_sym_DASH_DASH] = ACTIONS(3272),
    [anon_sym_DQUOTE] = ACTIONS(3272),
    [anon_sym_SQUOTE] = ACTIONS(3272),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3272),
    [sym_number] = ACTIONS(3272),
    [sym_private_property_identifier] = ACTIONS(3272),
    [sym_this] = ACTIONS(3272),
    [sym_super] = ACTIONS(3272),
    [sym_true] = ACTIONS(3272),
    [sym_false] = ACTIONS(3272),
    [sym_null] = ACTIONS(3272),
    [sym_undefined] = ACTIONS(3272),
    [anon_sym_AT] = ACTIONS(3272),
    [anon_sym_static] = ACTIONS(3272),
    [anon_sym_readonly] = ACTIONS(3272),
    [anon_sym_get] = ACTIONS(3272),
    [anon_sym_set] = ACTIONS(3272),
    [anon_sym_declare] = ACTIONS(3272),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_override] = ACTIONS(3272),
    [anon_sym_module] = ACTIONS(3272),
    [anon_sym_any] = ACTIONS(3272),
    [anon_sym_number] = ACTIONS(3272),
    [anon_sym_boolean] = ACTIONS(3272),
    [anon_sym_string] = ACTIONS(3272),
    [anon_sym_symbol] = ACTIONS(3272),
    [anon_sym_object] = ACTIONS(3272),
    [anon_sym_abstract] = ACTIONS(3272),
    [anon_sym_interface] = ACTIONS(3272),
    [anon_sym_enum] = ACTIONS(3272),
    [sym_html_comment] = ACTIONS(5),
  },
  [1310] = {
    [sym_comment] = STATE(1310),
    [sym_identifier] = ACTIONS(3246),
    [anon_sym_export] = ACTIONS(3246),
    [anon_sym_default] = ACTIONS(3246),
    [anon_sym_type] = ACTIONS(3246),
    [anon_sym_namespace] = ACTIONS(3246),
    [anon_sym_LBRACE] = ACTIONS(3246),
    [anon_sym_RBRACE] = ACTIONS(3246),
    [anon_sym_typeof] = ACTIONS(3246),
    [anon_sym_import] = ACTIONS(3246),
    [anon_sym_var] = ACTIONS(3246),
    [anon_sym_let] = ACTIONS(3246),
    [anon_sym_const] = ACTIONS(3246),
    [anon_sym_BANG] = ACTIONS(3246),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_switch] = ACTIONS(3246),
    [anon_sym_for] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(3246),
    [anon_sym_await] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3246),
    [anon_sym_do] = ACTIONS(3246),
    [anon_sym_try] = ACTIONS(3246),
    [anon_sym_with] = ACTIONS(3246),
    [anon_sym_break] = ACTIONS(3246),
    [anon_sym_continue] = ACTIONS(3246),
    [anon_sym_debugger] = ACTIONS(3246),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3246),
    [anon_sym_case] = ACTIONS(3246),
    [anon_sym_yield] = ACTIONS(3246),
    [anon_sym_LBRACK] = ACTIONS(3246),
    [anon_sym_LTtemplate_GT] = ACTIONS(3246),
    [anon_sym_class] = ACTIONS(3246),
    [anon_sym_async] = ACTIONS(3246),
    [anon_sym_function] = ACTIONS(3246),
    [anon_sym_new] = ACTIONS(3246),
    [anon_sym_using] = ACTIONS(3246),
    [anon_sym_PLUS] = ACTIONS(3246),
    [anon_sym_DASH] = ACTIONS(3246),
    [anon_sym_SLASH] = ACTIONS(3246),
    [anon_sym_LT] = ACTIONS(3246),
    [anon_sym_TILDE] = ACTIONS(3246),
    [anon_sym_void] = ACTIONS(3246),
    [anon_sym_delete] = ACTIONS(3246),
    [anon_sym_PLUS_PLUS] = ACTIONS(3246),
    [anon_sym_DASH_DASH] = ACTIONS(3246),
    [anon_sym_DQUOTE] = ACTIONS(3246),
    [anon_sym_SQUOTE] = ACTIONS(3246),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3246),
    [sym_number] = ACTIONS(3246),
    [sym_private_property_identifier] = ACTIONS(3246),
    [sym_this] = ACTIONS(3246),
    [sym_super] = ACTIONS(3246),
    [sym_true] = ACTIONS(3246),
    [sym_false] = ACTIONS(3246),
    [sym_null] = ACTIONS(3246),
    [sym_undefined] = ACTIONS(3246),
    [anon_sym_AT] = ACTIONS(3246),
    [anon_sym_static] = ACTIONS(3246),
    [anon_sym_readonly] = ACTIONS(3246),
    [anon_sym_get] = ACTIONS(3246),
    [anon_sym_set] = ACTIONS(3246),
    [anon_sym_declare] = ACTIONS(3246),
    [anon_sym_public] = ACTIONS(3246),
    [anon_sym_private] = ACTIONS(3246),
    [anon_sym_protected] = ACTIONS(3246),
    [anon_sym_override] = ACTIONS(3246),
    [anon_sym_module] = ACTIONS(3246),
    [anon_sym_any] = ACTIONS(3246),
    [anon_sym_number] = ACTIONS(3246),
    [anon_sym_boolean] = ACTIONS(3246),
    [anon_sym_string] = ACTIONS(3246),
    [anon_sym_symbol] = ACTIONS(3246),
    [anon_sym_object] = ACTIONS(3246),
    [anon_sym_abstract] = ACTIONS(3246),
    [anon_sym_interface] = ACTIONS(3246),
    [anon_sym_enum] = ACTIONS(3246),
    [sym_html_comment] = ACTIONS(5),
  },
  [1311] = {
    [sym_comment] = STATE(1311),
    [sym_identifier] = ACTIONS(3280),
    [anon_sym_export] = ACTIONS(3280),
    [anon_sym_default] = ACTIONS(3280),
    [anon_sym_type] = ACTIONS(3280),
    [anon_sym_namespace] = ACTIONS(3280),
    [anon_sym_LBRACE] = ACTIONS(3280),
    [anon_sym_RBRACE] = ACTIONS(3280),
    [anon_sym_typeof] = ACTIONS(3280),
    [anon_sym_import] = ACTIONS(3280),
    [anon_sym_var] = ACTIONS(3280),
    [anon_sym_let] = ACTIONS(3280),
    [anon_sym_const] = ACTIONS(3280),
    [anon_sym_BANG] = ACTIONS(3280),
    [anon_sym_if] = ACTIONS(3280),
    [anon_sym_switch] = ACTIONS(3280),
    [anon_sym_for] = ACTIONS(3280),
    [anon_sym_LPAREN] = ACTIONS(3280),
    [anon_sym_await] = ACTIONS(3280),
    [anon_sym_while] = ACTIONS(3280),
    [anon_sym_do] = ACTIONS(3280),
    [anon_sym_try] = ACTIONS(3280),
    [anon_sym_with] = ACTIONS(3280),
    [anon_sym_break] = ACTIONS(3280),
    [anon_sym_continue] = ACTIONS(3280),
    [anon_sym_debugger] = ACTIONS(3280),
    [anon_sym_return] = ACTIONS(3280),
    [anon_sym_throw] = ACTIONS(3280),
    [anon_sym_SEMI] = ACTIONS(3280),
    [anon_sym_case] = ACTIONS(3280),
    [anon_sym_yield] = ACTIONS(3280),
    [anon_sym_LBRACK] = ACTIONS(3280),
    [anon_sym_LTtemplate_GT] = ACTIONS(3280),
    [anon_sym_class] = ACTIONS(3280),
    [anon_sym_async] = ACTIONS(3280),
    [anon_sym_function] = ACTIONS(3280),
    [anon_sym_new] = ACTIONS(3280),
    [anon_sym_using] = ACTIONS(3280),
    [anon_sym_PLUS] = ACTIONS(3280),
    [anon_sym_DASH] = ACTIONS(3280),
    [anon_sym_SLASH] = ACTIONS(3280),
    [anon_sym_LT] = ACTIONS(3280),
    [anon_sym_TILDE] = ACTIONS(3280),
    [anon_sym_void] = ACTIONS(3280),
    [anon_sym_delete] = ACTIONS(3280),
    [anon_sym_PLUS_PLUS] = ACTIONS(3280),
    [anon_sym_DASH_DASH] = ACTIONS(3280),
    [anon_sym_DQUOTE] = ACTIONS(3280),
    [anon_sym_SQUOTE] = ACTIONS(3280),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3280),
    [sym_number] = ACTIONS(3280),
    [sym_private_property_identifier] = ACTIONS(3280),
    [sym_this] = ACTIONS(3280),
    [sym_super] = ACTIONS(3280),
    [sym_true] = ACTIONS(3280),
    [sym_false] = ACTIONS(3280),
    [sym_null] = ACTIONS(3280),
    [sym_undefined] = ACTIONS(3280),
    [anon_sym_AT] = ACTIONS(3280),
    [anon_sym_static] = ACTIONS(3280),
    [anon_sym_readonly] = ACTIONS(3280),
    [anon_sym_get] = ACTIONS(3280),
    [anon_sym_set] = ACTIONS(3280),
    [anon_sym_declare] = ACTIONS(3280),
    [anon_sym_public] = ACTIONS(3280),
    [anon_sym_private] = ACTIONS(3280),
    [anon_sym_protected] = ACTIONS(3280),
    [anon_sym_override] = ACTIONS(3280),
    [anon_sym_module] = ACTIONS(3280),
    [anon_sym_any] = ACTIONS(3280),
    [anon_sym_number] = ACTIONS(3280),
    [anon_sym_boolean] = ACTIONS(3280),
    [anon_sym_string] = ACTIONS(3280),
    [anon_sym_symbol] = ACTIONS(3280),
    [anon_sym_object] = ACTIONS(3280),
    [anon_sym_abstract] = ACTIONS(3280),
    [anon_sym_interface] = ACTIONS(3280),
    [anon_sym_enum] = ACTIONS(3280),
    [sym_html_comment] = ACTIONS(5),
  },
  [1312] = {
    [sym_comment] = STATE(1312),
    [sym_identifier] = ACTIONS(3280),
    [anon_sym_export] = ACTIONS(3280),
    [anon_sym_default] = ACTIONS(3280),
    [anon_sym_type] = ACTIONS(3280),
    [anon_sym_namespace] = ACTIONS(3280),
    [anon_sym_LBRACE] = ACTIONS(3280),
    [anon_sym_RBRACE] = ACTIONS(3280),
    [anon_sym_typeof] = ACTIONS(3280),
    [anon_sym_import] = ACTIONS(3280),
    [anon_sym_var] = ACTIONS(3280),
    [anon_sym_let] = ACTIONS(3280),
    [anon_sym_const] = ACTIONS(3280),
    [anon_sym_BANG] = ACTIONS(3280),
    [anon_sym_if] = ACTIONS(3280),
    [anon_sym_switch] = ACTIONS(3280),
    [anon_sym_for] = ACTIONS(3280),
    [anon_sym_LPAREN] = ACTIONS(3280),
    [anon_sym_await] = ACTIONS(3280),
    [anon_sym_while] = ACTIONS(3280),
    [anon_sym_do] = ACTIONS(3280),
    [anon_sym_try] = ACTIONS(3280),
    [anon_sym_with] = ACTIONS(3280),
    [anon_sym_break] = ACTIONS(3280),
    [anon_sym_continue] = ACTIONS(3280),
    [anon_sym_debugger] = ACTIONS(3280),
    [anon_sym_return] = ACTIONS(3280),
    [anon_sym_throw] = ACTIONS(3280),
    [anon_sym_SEMI] = ACTIONS(3280),
    [anon_sym_case] = ACTIONS(3280),
    [anon_sym_yield] = ACTIONS(3280),
    [anon_sym_LBRACK] = ACTIONS(3280),
    [anon_sym_LTtemplate_GT] = ACTIONS(3280),
    [anon_sym_class] = ACTIONS(3280),
    [anon_sym_async] = ACTIONS(3280),
    [anon_sym_function] = ACTIONS(3280),
    [anon_sym_new] = ACTIONS(3280),
    [anon_sym_using] = ACTIONS(3280),
    [anon_sym_PLUS] = ACTIONS(3280),
    [anon_sym_DASH] = ACTIONS(3280),
    [anon_sym_SLASH] = ACTIONS(3280),
    [anon_sym_LT] = ACTIONS(3280),
    [anon_sym_TILDE] = ACTIONS(3280),
    [anon_sym_void] = ACTIONS(3280),
    [anon_sym_delete] = ACTIONS(3280),
    [anon_sym_PLUS_PLUS] = ACTIONS(3280),
    [anon_sym_DASH_DASH] = ACTIONS(3280),
    [anon_sym_DQUOTE] = ACTIONS(3280),
    [anon_sym_SQUOTE] = ACTIONS(3280),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3280),
    [sym_number] = ACTIONS(3280),
    [sym_private_property_identifier] = ACTIONS(3280),
    [sym_this] = ACTIONS(3280),
    [sym_super] = ACTIONS(3280),
    [sym_true] = ACTIONS(3280),
    [sym_false] = ACTIONS(3280),
    [sym_null] = ACTIONS(3280),
    [sym_undefined] = ACTIONS(3280),
    [anon_sym_AT] = ACTIONS(3280),
    [anon_sym_static] = ACTIONS(3280),
    [anon_sym_readonly] = ACTIONS(3280),
    [anon_sym_get] = ACTIONS(3280),
    [anon_sym_set] = ACTIONS(3280),
    [anon_sym_declare] = ACTIONS(3280),
    [anon_sym_public] = ACTIONS(3280),
    [anon_sym_private] = ACTIONS(3280),
    [anon_sym_protected] = ACTIONS(3280),
    [anon_sym_override] = ACTIONS(3280),
    [anon_sym_module] = ACTIONS(3280),
    [anon_sym_any] = ACTIONS(3280),
    [anon_sym_number] = ACTIONS(3280),
    [anon_sym_boolean] = ACTIONS(3280),
    [anon_sym_string] = ACTIONS(3280),
    [anon_sym_symbol] = ACTIONS(3280),
    [anon_sym_object] = ACTIONS(3280),
    [anon_sym_abstract] = ACTIONS(3280),
    [anon_sym_interface] = ACTIONS(3280),
    [anon_sym_enum] = ACTIONS(3280),
    [sym_html_comment] = ACTIONS(5),
  },
  [1313] = {
    [sym_comment] = STATE(1313),
    [sym_identifier] = ACTIONS(3282),
    [anon_sym_export] = ACTIONS(3282),
    [anon_sym_default] = ACTIONS(3282),
    [anon_sym_type] = ACTIONS(3282),
    [anon_sym_namespace] = ACTIONS(3282),
    [anon_sym_LBRACE] = ACTIONS(3282),
    [anon_sym_RBRACE] = ACTIONS(3282),
    [anon_sym_typeof] = ACTIONS(3282),
    [anon_sym_import] = ACTIONS(3282),
    [anon_sym_var] = ACTIONS(3282),
    [anon_sym_let] = ACTIONS(3282),
    [anon_sym_const] = ACTIONS(3282),
    [anon_sym_BANG] = ACTIONS(3282),
    [anon_sym_if] = ACTIONS(3282),
    [anon_sym_switch] = ACTIONS(3282),
    [anon_sym_for] = ACTIONS(3282),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_await] = ACTIONS(3282),
    [anon_sym_while] = ACTIONS(3282),
    [anon_sym_do] = ACTIONS(3282),
    [anon_sym_try] = ACTIONS(3282),
    [anon_sym_with] = ACTIONS(3282),
    [anon_sym_break] = ACTIONS(3282),
    [anon_sym_continue] = ACTIONS(3282),
    [anon_sym_debugger] = ACTIONS(3282),
    [anon_sym_return] = ACTIONS(3282),
    [anon_sym_throw] = ACTIONS(3282),
    [anon_sym_SEMI] = ACTIONS(3282),
    [anon_sym_case] = ACTIONS(3282),
    [anon_sym_yield] = ACTIONS(3282),
    [anon_sym_LBRACK] = ACTIONS(3282),
    [anon_sym_LTtemplate_GT] = ACTIONS(3282),
    [anon_sym_class] = ACTIONS(3282),
    [anon_sym_async] = ACTIONS(3282),
    [anon_sym_function] = ACTIONS(3282),
    [anon_sym_new] = ACTIONS(3282),
    [anon_sym_using] = ACTIONS(3282),
    [anon_sym_PLUS] = ACTIONS(3282),
    [anon_sym_DASH] = ACTIONS(3282),
    [anon_sym_SLASH] = ACTIONS(3282),
    [anon_sym_LT] = ACTIONS(3282),
    [anon_sym_TILDE] = ACTIONS(3282),
    [anon_sym_void] = ACTIONS(3282),
    [anon_sym_delete] = ACTIONS(3282),
    [anon_sym_PLUS_PLUS] = ACTIONS(3282),
    [anon_sym_DASH_DASH] = ACTIONS(3282),
    [anon_sym_DQUOTE] = ACTIONS(3282),
    [anon_sym_SQUOTE] = ACTIONS(3282),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3282),
    [sym_number] = ACTIONS(3282),
    [sym_private_property_identifier] = ACTIONS(3282),
    [sym_this] = ACTIONS(3282),
    [sym_super] = ACTIONS(3282),
    [sym_true] = ACTIONS(3282),
    [sym_false] = ACTIONS(3282),
    [sym_null] = ACTIONS(3282),
    [sym_undefined] = ACTIONS(3282),
    [anon_sym_AT] = ACTIONS(3282),
    [anon_sym_static] = ACTIONS(3282),
    [anon_sym_readonly] = ACTIONS(3282),
    [anon_sym_get] = ACTIONS(3282),
    [anon_sym_set] = ACTIONS(3282),
    [anon_sym_declare] = ACTIONS(3282),
    [anon_sym_public] = ACTIONS(3282),
    [anon_sym_private] = ACTIONS(3282),
    [anon_sym_protected] = ACTIONS(3282),
    [anon_sym_override] = ACTIONS(3282),
    [anon_sym_module] = ACTIONS(3282),
    [anon_sym_any] = ACTIONS(3282),
    [anon_sym_number] = ACTIONS(3282),
    [anon_sym_boolean] = ACTIONS(3282),
    [anon_sym_string] = ACTIONS(3282),
    [anon_sym_symbol] = ACTIONS(3282),
    [anon_sym_object] = ACTIONS(3282),
    [anon_sym_abstract] = ACTIONS(3282),
    [anon_sym_interface] = ACTIONS(3282),
    [anon_sym_enum] = ACTIONS(3282),
    [sym_html_comment] = ACTIONS(5),
  },
  [1314] = {
    [sym_comment] = STATE(1314),
    [sym_identifier] = ACTIONS(3284),
    [anon_sym_export] = ACTIONS(3284),
    [anon_sym_default] = ACTIONS(3284),
    [anon_sym_type] = ACTIONS(3284),
    [anon_sym_namespace] = ACTIONS(3284),
    [anon_sym_LBRACE] = ACTIONS(3284),
    [anon_sym_RBRACE] = ACTIONS(3284),
    [anon_sym_typeof] = ACTIONS(3284),
    [anon_sym_import] = ACTIONS(3284),
    [anon_sym_var] = ACTIONS(3284),
    [anon_sym_let] = ACTIONS(3284),
    [anon_sym_const] = ACTIONS(3284),
    [anon_sym_BANG] = ACTIONS(3284),
    [anon_sym_if] = ACTIONS(3284),
    [anon_sym_switch] = ACTIONS(3284),
    [anon_sym_for] = ACTIONS(3284),
    [anon_sym_LPAREN] = ACTIONS(3284),
    [anon_sym_await] = ACTIONS(3284),
    [anon_sym_while] = ACTIONS(3284),
    [anon_sym_do] = ACTIONS(3284),
    [anon_sym_try] = ACTIONS(3284),
    [anon_sym_with] = ACTIONS(3284),
    [anon_sym_break] = ACTIONS(3284),
    [anon_sym_continue] = ACTIONS(3284),
    [anon_sym_debugger] = ACTIONS(3284),
    [anon_sym_return] = ACTIONS(3284),
    [anon_sym_throw] = ACTIONS(3284),
    [anon_sym_SEMI] = ACTIONS(3284),
    [anon_sym_case] = ACTIONS(3284),
    [anon_sym_yield] = ACTIONS(3284),
    [anon_sym_LBRACK] = ACTIONS(3284),
    [anon_sym_LTtemplate_GT] = ACTIONS(3284),
    [anon_sym_class] = ACTIONS(3284),
    [anon_sym_async] = ACTIONS(3284),
    [anon_sym_function] = ACTIONS(3284),
    [anon_sym_new] = ACTIONS(3284),
    [anon_sym_using] = ACTIONS(3284),
    [anon_sym_PLUS] = ACTIONS(3284),
    [anon_sym_DASH] = ACTIONS(3284),
    [anon_sym_SLASH] = ACTIONS(3284),
    [anon_sym_LT] = ACTIONS(3284),
    [anon_sym_TILDE] = ACTIONS(3284),
    [anon_sym_void] = ACTIONS(3284),
    [anon_sym_delete] = ACTIONS(3284),
    [anon_sym_PLUS_PLUS] = ACTIONS(3284),
    [anon_sym_DASH_DASH] = ACTIONS(3284),
    [anon_sym_DQUOTE] = ACTIONS(3284),
    [anon_sym_SQUOTE] = ACTIONS(3284),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3284),
    [sym_number] = ACTIONS(3284),
    [sym_private_property_identifier] = ACTIONS(3284),
    [sym_this] = ACTIONS(3284),
    [sym_super] = ACTIONS(3284),
    [sym_true] = ACTIONS(3284),
    [sym_false] = ACTIONS(3284),
    [sym_null] = ACTIONS(3284),
    [sym_undefined] = ACTIONS(3284),
    [anon_sym_AT] = ACTIONS(3284),
    [anon_sym_static] = ACTIONS(3284),
    [anon_sym_readonly] = ACTIONS(3284),
    [anon_sym_get] = ACTIONS(3284),
    [anon_sym_set] = ACTIONS(3284),
    [anon_sym_declare] = ACTIONS(3284),
    [anon_sym_public] = ACTIONS(3284),
    [anon_sym_private] = ACTIONS(3284),
    [anon_sym_protected] = ACTIONS(3284),
    [anon_sym_override] = ACTIONS(3284),
    [anon_sym_module] = ACTIONS(3284),
    [anon_sym_any] = ACTIONS(3284),
    [anon_sym_number] = ACTIONS(3284),
    [anon_sym_boolean] = ACTIONS(3284),
    [anon_sym_string] = ACTIONS(3284),
    [anon_sym_symbol] = ACTIONS(3284),
    [anon_sym_object] = ACTIONS(3284),
    [anon_sym_abstract] = ACTIONS(3284),
    [anon_sym_interface] = ACTIONS(3284),
    [anon_sym_enum] = ACTIONS(3284),
    [sym_html_comment] = ACTIONS(5),
  },
  [1315] = {
    [sym_comment] = STATE(1315),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1316] = {
    [sym_comment] = STATE(1316),
    [sym_identifier] = ACTIONS(3250),
    [anon_sym_export] = ACTIONS(3250),
    [anon_sym_default] = ACTIONS(3250),
    [anon_sym_type] = ACTIONS(3250),
    [anon_sym_namespace] = ACTIONS(3250),
    [anon_sym_LBRACE] = ACTIONS(3250),
    [anon_sym_RBRACE] = ACTIONS(3250),
    [anon_sym_typeof] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3250),
    [anon_sym_var] = ACTIONS(3250),
    [anon_sym_let] = ACTIONS(3250),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3250),
    [anon_sym_if] = ACTIONS(3250),
    [anon_sym_switch] = ACTIONS(3250),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_LPAREN] = ACTIONS(3250),
    [anon_sym_await] = ACTIONS(3250),
    [anon_sym_while] = ACTIONS(3250),
    [anon_sym_do] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3250),
    [anon_sym_with] = ACTIONS(3250),
    [anon_sym_break] = ACTIONS(3250),
    [anon_sym_continue] = ACTIONS(3250),
    [anon_sym_debugger] = ACTIONS(3250),
    [anon_sym_return] = ACTIONS(3250),
    [anon_sym_throw] = ACTIONS(3250),
    [anon_sym_SEMI] = ACTIONS(3250),
    [anon_sym_case] = ACTIONS(3250),
    [anon_sym_yield] = ACTIONS(3250),
    [anon_sym_LBRACK] = ACTIONS(3250),
    [anon_sym_LTtemplate_GT] = ACTIONS(3250),
    [anon_sym_class] = ACTIONS(3250),
    [anon_sym_async] = ACTIONS(3250),
    [anon_sym_function] = ACTIONS(3250),
    [anon_sym_new] = ACTIONS(3250),
    [anon_sym_using] = ACTIONS(3250),
    [anon_sym_PLUS] = ACTIONS(3250),
    [anon_sym_DASH] = ACTIONS(3250),
    [anon_sym_SLASH] = ACTIONS(3250),
    [anon_sym_LT] = ACTIONS(3250),
    [anon_sym_TILDE] = ACTIONS(3250),
    [anon_sym_void] = ACTIONS(3250),
    [anon_sym_delete] = ACTIONS(3250),
    [anon_sym_PLUS_PLUS] = ACTIONS(3250),
    [anon_sym_DASH_DASH] = ACTIONS(3250),
    [anon_sym_DQUOTE] = ACTIONS(3250),
    [anon_sym_SQUOTE] = ACTIONS(3250),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3250),
    [sym_number] = ACTIONS(3250),
    [sym_private_property_identifier] = ACTIONS(3250),
    [sym_this] = ACTIONS(3250),
    [sym_super] = ACTIONS(3250),
    [sym_true] = ACTIONS(3250),
    [sym_false] = ACTIONS(3250),
    [sym_null] = ACTIONS(3250),
    [sym_undefined] = ACTIONS(3250),
    [anon_sym_AT] = ACTIONS(3250),
    [anon_sym_static] = ACTIONS(3250),
    [anon_sym_readonly] = ACTIONS(3250),
    [anon_sym_get] = ACTIONS(3250),
    [anon_sym_set] = ACTIONS(3250),
    [anon_sym_declare] = ACTIONS(3250),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_private] = ACTIONS(3250),
    [anon_sym_protected] = ACTIONS(3250),
    [anon_sym_override] = ACTIONS(3250),
    [anon_sym_module] = ACTIONS(3250),
    [anon_sym_any] = ACTIONS(3250),
    [anon_sym_number] = ACTIONS(3250),
    [anon_sym_boolean] = ACTIONS(3250),
    [anon_sym_string] = ACTIONS(3250),
    [anon_sym_symbol] = ACTIONS(3250),
    [anon_sym_object] = ACTIONS(3250),
    [anon_sym_abstract] = ACTIONS(3250),
    [anon_sym_interface] = ACTIONS(3250),
    [anon_sym_enum] = ACTIONS(3250),
    [sym_html_comment] = ACTIONS(5),
  },
  [1317] = {
    [sym_comment] = STATE(1317),
    [sym_identifier] = ACTIONS(3258),
    [anon_sym_export] = ACTIONS(3258),
    [anon_sym_default] = ACTIONS(3258),
    [anon_sym_type] = ACTIONS(3258),
    [anon_sym_namespace] = ACTIONS(3258),
    [anon_sym_LBRACE] = ACTIONS(3258),
    [anon_sym_RBRACE] = ACTIONS(3258),
    [anon_sym_typeof] = ACTIONS(3258),
    [anon_sym_import] = ACTIONS(3258),
    [anon_sym_var] = ACTIONS(3258),
    [anon_sym_let] = ACTIONS(3258),
    [anon_sym_const] = ACTIONS(3258),
    [anon_sym_BANG] = ACTIONS(3258),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_switch] = ACTIONS(3258),
    [anon_sym_for] = ACTIONS(3258),
    [anon_sym_LPAREN] = ACTIONS(3258),
    [anon_sym_await] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3258),
    [anon_sym_do] = ACTIONS(3258),
    [anon_sym_try] = ACTIONS(3258),
    [anon_sym_with] = ACTIONS(3258),
    [anon_sym_break] = ACTIONS(3258),
    [anon_sym_continue] = ACTIONS(3258),
    [anon_sym_debugger] = ACTIONS(3258),
    [anon_sym_return] = ACTIONS(3258),
    [anon_sym_throw] = ACTIONS(3258),
    [anon_sym_SEMI] = ACTIONS(3258),
    [anon_sym_case] = ACTIONS(3258),
    [anon_sym_yield] = ACTIONS(3258),
    [anon_sym_LBRACK] = ACTIONS(3258),
    [anon_sym_LTtemplate_GT] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3258),
    [anon_sym_async] = ACTIONS(3258),
    [anon_sym_function] = ACTIONS(3258),
    [anon_sym_new] = ACTIONS(3258),
    [anon_sym_using] = ACTIONS(3258),
    [anon_sym_PLUS] = ACTIONS(3258),
    [anon_sym_DASH] = ACTIONS(3258),
    [anon_sym_SLASH] = ACTIONS(3258),
    [anon_sym_LT] = ACTIONS(3258),
    [anon_sym_TILDE] = ACTIONS(3258),
    [anon_sym_void] = ACTIONS(3258),
    [anon_sym_delete] = ACTIONS(3258),
    [anon_sym_PLUS_PLUS] = ACTIONS(3258),
    [anon_sym_DASH_DASH] = ACTIONS(3258),
    [anon_sym_DQUOTE] = ACTIONS(3258),
    [anon_sym_SQUOTE] = ACTIONS(3258),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3258),
    [sym_number] = ACTIONS(3258),
    [sym_private_property_identifier] = ACTIONS(3258),
    [sym_this] = ACTIONS(3258),
    [sym_super] = ACTIONS(3258),
    [sym_true] = ACTIONS(3258),
    [sym_false] = ACTIONS(3258),
    [sym_null] = ACTIONS(3258),
    [sym_undefined] = ACTIONS(3258),
    [anon_sym_AT] = ACTIONS(3258),
    [anon_sym_static] = ACTIONS(3258),
    [anon_sym_readonly] = ACTIONS(3258),
    [anon_sym_get] = ACTIONS(3258),
    [anon_sym_set] = ACTIONS(3258),
    [anon_sym_declare] = ACTIONS(3258),
    [anon_sym_public] = ACTIONS(3258),
    [anon_sym_private] = ACTIONS(3258),
    [anon_sym_protected] = ACTIONS(3258),
    [anon_sym_override] = ACTIONS(3258),
    [anon_sym_module] = ACTIONS(3258),
    [anon_sym_any] = ACTIONS(3258),
    [anon_sym_number] = ACTIONS(3258),
    [anon_sym_boolean] = ACTIONS(3258),
    [anon_sym_string] = ACTIONS(3258),
    [anon_sym_symbol] = ACTIONS(3258),
    [anon_sym_object] = ACTIONS(3258),
    [anon_sym_abstract] = ACTIONS(3258),
    [anon_sym_interface] = ACTIONS(3258),
    [anon_sym_enum] = ACTIONS(3258),
    [sym_html_comment] = ACTIONS(5),
  },
  [1318] = {
    [sym_comment] = STATE(1318),
    [sym_identifier] = ACTIONS(3266),
    [anon_sym_export] = ACTIONS(3266),
    [anon_sym_default] = ACTIONS(3266),
    [anon_sym_type] = ACTIONS(3266),
    [anon_sym_namespace] = ACTIONS(3266),
    [anon_sym_LBRACE] = ACTIONS(3266),
    [anon_sym_RBRACE] = ACTIONS(3266),
    [anon_sym_typeof] = ACTIONS(3266),
    [anon_sym_import] = ACTIONS(3266),
    [anon_sym_var] = ACTIONS(3266),
    [anon_sym_let] = ACTIONS(3266),
    [anon_sym_const] = ACTIONS(3266),
    [anon_sym_BANG] = ACTIONS(3266),
    [anon_sym_if] = ACTIONS(3266),
    [anon_sym_switch] = ACTIONS(3266),
    [anon_sym_for] = ACTIONS(3266),
    [anon_sym_LPAREN] = ACTIONS(3266),
    [anon_sym_await] = ACTIONS(3266),
    [anon_sym_while] = ACTIONS(3266),
    [anon_sym_do] = ACTIONS(3266),
    [anon_sym_try] = ACTIONS(3266),
    [anon_sym_with] = ACTIONS(3266),
    [anon_sym_break] = ACTIONS(3266),
    [anon_sym_continue] = ACTIONS(3266),
    [anon_sym_debugger] = ACTIONS(3266),
    [anon_sym_return] = ACTIONS(3266),
    [anon_sym_throw] = ACTIONS(3266),
    [anon_sym_SEMI] = ACTIONS(3266),
    [anon_sym_case] = ACTIONS(3266),
    [anon_sym_yield] = ACTIONS(3266),
    [anon_sym_LBRACK] = ACTIONS(3266),
    [anon_sym_LTtemplate_GT] = ACTIONS(3266),
    [anon_sym_class] = ACTIONS(3266),
    [anon_sym_async] = ACTIONS(3266),
    [anon_sym_function] = ACTIONS(3266),
    [anon_sym_new] = ACTIONS(3266),
    [anon_sym_using] = ACTIONS(3266),
    [anon_sym_PLUS] = ACTIONS(3266),
    [anon_sym_DASH] = ACTIONS(3266),
    [anon_sym_SLASH] = ACTIONS(3266),
    [anon_sym_LT] = ACTIONS(3266),
    [anon_sym_TILDE] = ACTIONS(3266),
    [anon_sym_void] = ACTIONS(3266),
    [anon_sym_delete] = ACTIONS(3266),
    [anon_sym_PLUS_PLUS] = ACTIONS(3266),
    [anon_sym_DASH_DASH] = ACTIONS(3266),
    [anon_sym_DQUOTE] = ACTIONS(3266),
    [anon_sym_SQUOTE] = ACTIONS(3266),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3266),
    [sym_number] = ACTIONS(3266),
    [sym_private_property_identifier] = ACTIONS(3266),
    [sym_this] = ACTIONS(3266),
    [sym_super] = ACTIONS(3266),
    [sym_true] = ACTIONS(3266),
    [sym_false] = ACTIONS(3266),
    [sym_null] = ACTIONS(3266),
    [sym_undefined] = ACTIONS(3266),
    [anon_sym_AT] = ACTIONS(3266),
    [anon_sym_static] = ACTIONS(3266),
    [anon_sym_readonly] = ACTIONS(3266),
    [anon_sym_get] = ACTIONS(3266),
    [anon_sym_set] = ACTIONS(3266),
    [anon_sym_declare] = ACTIONS(3266),
    [anon_sym_public] = ACTIONS(3266),
    [anon_sym_private] = ACTIONS(3266),
    [anon_sym_protected] = ACTIONS(3266),
    [anon_sym_override] = ACTIONS(3266),
    [anon_sym_module] = ACTIONS(3266),
    [anon_sym_any] = ACTIONS(3266),
    [anon_sym_number] = ACTIONS(3266),
    [anon_sym_boolean] = ACTIONS(3266),
    [anon_sym_string] = ACTIONS(3266),
    [anon_sym_symbol] = ACTIONS(3266),
    [anon_sym_object] = ACTIONS(3266),
    [anon_sym_abstract] = ACTIONS(3266),
    [anon_sym_interface] = ACTIONS(3266),
    [anon_sym_enum] = ACTIONS(3266),
    [sym_html_comment] = ACTIONS(5),
  },
  [1319] = {
    [sym_comment] = STATE(1319),
    [sym_identifier] = ACTIONS(3276),
    [anon_sym_export] = ACTIONS(3276),
    [anon_sym_default] = ACTIONS(3276),
    [anon_sym_type] = ACTIONS(3276),
    [anon_sym_namespace] = ACTIONS(3276),
    [anon_sym_LBRACE] = ACTIONS(3276),
    [anon_sym_RBRACE] = ACTIONS(3276),
    [anon_sym_typeof] = ACTIONS(3276),
    [anon_sym_import] = ACTIONS(3276),
    [anon_sym_var] = ACTIONS(3276),
    [anon_sym_let] = ACTIONS(3276),
    [anon_sym_const] = ACTIONS(3276),
    [anon_sym_BANG] = ACTIONS(3276),
    [anon_sym_if] = ACTIONS(3276),
    [anon_sym_switch] = ACTIONS(3276),
    [anon_sym_for] = ACTIONS(3276),
    [anon_sym_LPAREN] = ACTIONS(3276),
    [anon_sym_await] = ACTIONS(3276),
    [anon_sym_while] = ACTIONS(3276),
    [anon_sym_do] = ACTIONS(3276),
    [anon_sym_try] = ACTIONS(3276),
    [anon_sym_with] = ACTIONS(3276),
    [anon_sym_break] = ACTIONS(3276),
    [anon_sym_continue] = ACTIONS(3276),
    [anon_sym_debugger] = ACTIONS(3276),
    [anon_sym_return] = ACTIONS(3276),
    [anon_sym_throw] = ACTIONS(3276),
    [anon_sym_SEMI] = ACTIONS(3276),
    [anon_sym_case] = ACTIONS(3276),
    [anon_sym_yield] = ACTIONS(3276),
    [anon_sym_LBRACK] = ACTIONS(3276),
    [anon_sym_LTtemplate_GT] = ACTIONS(3276),
    [anon_sym_class] = ACTIONS(3276),
    [anon_sym_async] = ACTIONS(3276),
    [anon_sym_function] = ACTIONS(3276),
    [anon_sym_new] = ACTIONS(3276),
    [anon_sym_using] = ACTIONS(3276),
    [anon_sym_PLUS] = ACTIONS(3276),
    [anon_sym_DASH] = ACTIONS(3276),
    [anon_sym_SLASH] = ACTIONS(3276),
    [anon_sym_LT] = ACTIONS(3276),
    [anon_sym_TILDE] = ACTIONS(3276),
    [anon_sym_void] = ACTIONS(3276),
    [anon_sym_delete] = ACTIONS(3276),
    [anon_sym_PLUS_PLUS] = ACTIONS(3276),
    [anon_sym_DASH_DASH] = ACTIONS(3276),
    [anon_sym_DQUOTE] = ACTIONS(3276),
    [anon_sym_SQUOTE] = ACTIONS(3276),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3276),
    [sym_number] = ACTIONS(3276),
    [sym_private_property_identifier] = ACTIONS(3276),
    [sym_this] = ACTIONS(3276),
    [sym_super] = ACTIONS(3276),
    [sym_true] = ACTIONS(3276),
    [sym_false] = ACTIONS(3276),
    [sym_null] = ACTIONS(3276),
    [sym_undefined] = ACTIONS(3276),
    [anon_sym_AT] = ACTIONS(3276),
    [anon_sym_static] = ACTIONS(3276),
    [anon_sym_readonly] = ACTIONS(3276),
    [anon_sym_get] = ACTIONS(3276),
    [anon_sym_set] = ACTIONS(3276),
    [anon_sym_declare] = ACTIONS(3276),
    [anon_sym_public] = ACTIONS(3276),
    [anon_sym_private] = ACTIONS(3276),
    [anon_sym_protected] = ACTIONS(3276),
    [anon_sym_override] = ACTIONS(3276),
    [anon_sym_module] = ACTIONS(3276),
    [anon_sym_any] = ACTIONS(3276),
    [anon_sym_number] = ACTIONS(3276),
    [anon_sym_boolean] = ACTIONS(3276),
    [anon_sym_string] = ACTIONS(3276),
    [anon_sym_symbol] = ACTIONS(3276),
    [anon_sym_object] = ACTIONS(3276),
    [anon_sym_abstract] = ACTIONS(3276),
    [anon_sym_interface] = ACTIONS(3276),
    [anon_sym_enum] = ACTIONS(3276),
    [sym_html_comment] = ACTIONS(5),
  },
  [1320] = {
    [sym_comment] = STATE(1320),
    [sym_identifier] = ACTIONS(3278),
    [anon_sym_export] = ACTIONS(3278),
    [anon_sym_default] = ACTIONS(3278),
    [anon_sym_type] = ACTIONS(3278),
    [anon_sym_namespace] = ACTIONS(3278),
    [anon_sym_LBRACE] = ACTIONS(3278),
    [anon_sym_RBRACE] = ACTIONS(3278),
    [anon_sym_typeof] = ACTIONS(3278),
    [anon_sym_import] = ACTIONS(3278),
    [anon_sym_var] = ACTIONS(3278),
    [anon_sym_let] = ACTIONS(3278),
    [anon_sym_const] = ACTIONS(3278),
    [anon_sym_BANG] = ACTIONS(3278),
    [anon_sym_if] = ACTIONS(3278),
    [anon_sym_switch] = ACTIONS(3278),
    [anon_sym_for] = ACTIONS(3278),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_await] = ACTIONS(3278),
    [anon_sym_while] = ACTIONS(3278),
    [anon_sym_do] = ACTIONS(3278),
    [anon_sym_try] = ACTIONS(3278),
    [anon_sym_with] = ACTIONS(3278),
    [anon_sym_break] = ACTIONS(3278),
    [anon_sym_continue] = ACTIONS(3278),
    [anon_sym_debugger] = ACTIONS(3278),
    [anon_sym_return] = ACTIONS(3278),
    [anon_sym_throw] = ACTIONS(3278),
    [anon_sym_SEMI] = ACTIONS(3278),
    [anon_sym_case] = ACTIONS(3278),
    [anon_sym_yield] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(3278),
    [anon_sym_LTtemplate_GT] = ACTIONS(3278),
    [anon_sym_class] = ACTIONS(3278),
    [anon_sym_async] = ACTIONS(3278),
    [anon_sym_function] = ACTIONS(3278),
    [anon_sym_new] = ACTIONS(3278),
    [anon_sym_using] = ACTIONS(3278),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_SLASH] = ACTIONS(3278),
    [anon_sym_LT] = ACTIONS(3278),
    [anon_sym_TILDE] = ACTIONS(3278),
    [anon_sym_void] = ACTIONS(3278),
    [anon_sym_delete] = ACTIONS(3278),
    [anon_sym_PLUS_PLUS] = ACTIONS(3278),
    [anon_sym_DASH_DASH] = ACTIONS(3278),
    [anon_sym_DQUOTE] = ACTIONS(3278),
    [anon_sym_SQUOTE] = ACTIONS(3278),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3278),
    [sym_number] = ACTIONS(3278),
    [sym_private_property_identifier] = ACTIONS(3278),
    [sym_this] = ACTIONS(3278),
    [sym_super] = ACTIONS(3278),
    [sym_true] = ACTIONS(3278),
    [sym_false] = ACTIONS(3278),
    [sym_null] = ACTIONS(3278),
    [sym_undefined] = ACTIONS(3278),
    [anon_sym_AT] = ACTIONS(3278),
    [anon_sym_static] = ACTIONS(3278),
    [anon_sym_readonly] = ACTIONS(3278),
    [anon_sym_get] = ACTIONS(3278),
    [anon_sym_set] = ACTIONS(3278),
    [anon_sym_declare] = ACTIONS(3278),
    [anon_sym_public] = ACTIONS(3278),
    [anon_sym_private] = ACTIONS(3278),
    [anon_sym_protected] = ACTIONS(3278),
    [anon_sym_override] = ACTIONS(3278),
    [anon_sym_module] = ACTIONS(3278),
    [anon_sym_any] = ACTIONS(3278),
    [anon_sym_number] = ACTIONS(3278),
    [anon_sym_boolean] = ACTIONS(3278),
    [anon_sym_string] = ACTIONS(3278),
    [anon_sym_symbol] = ACTIONS(3278),
    [anon_sym_object] = ACTIONS(3278),
    [anon_sym_abstract] = ACTIONS(3278),
    [anon_sym_interface] = ACTIONS(3278),
    [anon_sym_enum] = ACTIONS(3278),
    [sym_html_comment] = ACTIONS(5),
  },
  [1321] = {
    [sym_comment] = STATE(1321),
    [sym_identifier] = ACTIONS(3286),
    [anon_sym_export] = ACTIONS(3286),
    [anon_sym_default] = ACTIONS(3286),
    [anon_sym_type] = ACTIONS(3286),
    [anon_sym_namespace] = ACTIONS(3286),
    [anon_sym_LBRACE] = ACTIONS(3286),
    [anon_sym_RBRACE] = ACTIONS(3286),
    [anon_sym_typeof] = ACTIONS(3286),
    [anon_sym_import] = ACTIONS(3286),
    [anon_sym_var] = ACTIONS(3286),
    [anon_sym_let] = ACTIONS(3286),
    [anon_sym_const] = ACTIONS(3286),
    [anon_sym_BANG] = ACTIONS(3286),
    [anon_sym_if] = ACTIONS(3286),
    [anon_sym_switch] = ACTIONS(3286),
    [anon_sym_for] = ACTIONS(3286),
    [anon_sym_LPAREN] = ACTIONS(3286),
    [anon_sym_await] = ACTIONS(3286),
    [anon_sym_while] = ACTIONS(3286),
    [anon_sym_do] = ACTIONS(3286),
    [anon_sym_try] = ACTIONS(3286),
    [anon_sym_with] = ACTIONS(3286),
    [anon_sym_break] = ACTIONS(3286),
    [anon_sym_continue] = ACTIONS(3286),
    [anon_sym_debugger] = ACTIONS(3286),
    [anon_sym_return] = ACTIONS(3286),
    [anon_sym_throw] = ACTIONS(3286),
    [anon_sym_SEMI] = ACTIONS(3286),
    [anon_sym_case] = ACTIONS(3286),
    [anon_sym_yield] = ACTIONS(3286),
    [anon_sym_LBRACK] = ACTIONS(3286),
    [anon_sym_LTtemplate_GT] = ACTIONS(3286),
    [anon_sym_class] = ACTIONS(3286),
    [anon_sym_async] = ACTIONS(3286),
    [anon_sym_function] = ACTIONS(3286),
    [anon_sym_new] = ACTIONS(3286),
    [anon_sym_using] = ACTIONS(3286),
    [anon_sym_PLUS] = ACTIONS(3286),
    [anon_sym_DASH] = ACTIONS(3286),
    [anon_sym_SLASH] = ACTIONS(3286),
    [anon_sym_LT] = ACTIONS(3286),
    [anon_sym_TILDE] = ACTIONS(3286),
    [anon_sym_void] = ACTIONS(3286),
    [anon_sym_delete] = ACTIONS(3286),
    [anon_sym_PLUS_PLUS] = ACTIONS(3286),
    [anon_sym_DASH_DASH] = ACTIONS(3286),
    [anon_sym_DQUOTE] = ACTIONS(3286),
    [anon_sym_SQUOTE] = ACTIONS(3286),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3286),
    [sym_number] = ACTIONS(3286),
    [sym_private_property_identifier] = ACTIONS(3286),
    [sym_this] = ACTIONS(3286),
    [sym_super] = ACTIONS(3286),
    [sym_true] = ACTIONS(3286),
    [sym_false] = ACTIONS(3286),
    [sym_null] = ACTIONS(3286),
    [sym_undefined] = ACTIONS(3286),
    [anon_sym_AT] = ACTIONS(3286),
    [anon_sym_static] = ACTIONS(3286),
    [anon_sym_readonly] = ACTIONS(3286),
    [anon_sym_get] = ACTIONS(3286),
    [anon_sym_set] = ACTIONS(3286),
    [anon_sym_declare] = ACTIONS(3286),
    [anon_sym_public] = ACTIONS(3286),
    [anon_sym_private] = ACTIONS(3286),
    [anon_sym_protected] = ACTIONS(3286),
    [anon_sym_override] = ACTIONS(3286),
    [anon_sym_module] = ACTIONS(3286),
    [anon_sym_any] = ACTIONS(3286),
    [anon_sym_number] = ACTIONS(3286),
    [anon_sym_boolean] = ACTIONS(3286),
    [anon_sym_string] = ACTIONS(3286),
    [anon_sym_symbol] = ACTIONS(3286),
    [anon_sym_object] = ACTIONS(3286),
    [anon_sym_abstract] = ACTIONS(3286),
    [anon_sym_interface] = ACTIONS(3286),
    [anon_sym_enum] = ACTIONS(3286),
    [sym_html_comment] = ACTIONS(5),
  },
  [1322] = {
    [sym_comment] = STATE(1322),
    [sym_identifier] = ACTIONS(3288),
    [anon_sym_export] = ACTIONS(3288),
    [anon_sym_default] = ACTIONS(3288),
    [anon_sym_type] = ACTIONS(3288),
    [anon_sym_namespace] = ACTIONS(3288),
    [anon_sym_LBRACE] = ACTIONS(3288),
    [anon_sym_RBRACE] = ACTIONS(3288),
    [anon_sym_typeof] = ACTIONS(3288),
    [anon_sym_import] = ACTIONS(3288),
    [anon_sym_var] = ACTIONS(3288),
    [anon_sym_let] = ACTIONS(3288),
    [anon_sym_const] = ACTIONS(3288),
    [anon_sym_BANG] = ACTIONS(3288),
    [anon_sym_if] = ACTIONS(3288),
    [anon_sym_switch] = ACTIONS(3288),
    [anon_sym_for] = ACTIONS(3288),
    [anon_sym_LPAREN] = ACTIONS(3288),
    [anon_sym_await] = ACTIONS(3288),
    [anon_sym_while] = ACTIONS(3288),
    [anon_sym_do] = ACTIONS(3288),
    [anon_sym_try] = ACTIONS(3288),
    [anon_sym_with] = ACTIONS(3288),
    [anon_sym_break] = ACTIONS(3288),
    [anon_sym_continue] = ACTIONS(3288),
    [anon_sym_debugger] = ACTIONS(3288),
    [anon_sym_return] = ACTIONS(3288),
    [anon_sym_throw] = ACTIONS(3288),
    [anon_sym_SEMI] = ACTIONS(3288),
    [anon_sym_case] = ACTIONS(3288),
    [anon_sym_yield] = ACTIONS(3288),
    [anon_sym_LBRACK] = ACTIONS(3288),
    [anon_sym_LTtemplate_GT] = ACTIONS(3288),
    [anon_sym_class] = ACTIONS(3288),
    [anon_sym_async] = ACTIONS(3288),
    [anon_sym_function] = ACTIONS(3288),
    [anon_sym_new] = ACTIONS(3288),
    [anon_sym_using] = ACTIONS(3288),
    [anon_sym_PLUS] = ACTIONS(3288),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_SLASH] = ACTIONS(3288),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_TILDE] = ACTIONS(3288),
    [anon_sym_void] = ACTIONS(3288),
    [anon_sym_delete] = ACTIONS(3288),
    [anon_sym_PLUS_PLUS] = ACTIONS(3288),
    [anon_sym_DASH_DASH] = ACTIONS(3288),
    [anon_sym_DQUOTE] = ACTIONS(3288),
    [anon_sym_SQUOTE] = ACTIONS(3288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3288),
    [sym_number] = ACTIONS(3288),
    [sym_private_property_identifier] = ACTIONS(3288),
    [sym_this] = ACTIONS(3288),
    [sym_super] = ACTIONS(3288),
    [sym_true] = ACTIONS(3288),
    [sym_false] = ACTIONS(3288),
    [sym_null] = ACTIONS(3288),
    [sym_undefined] = ACTIONS(3288),
    [anon_sym_AT] = ACTIONS(3288),
    [anon_sym_static] = ACTIONS(3288),
    [anon_sym_readonly] = ACTIONS(3288),
    [anon_sym_get] = ACTIONS(3288),
    [anon_sym_set] = ACTIONS(3288),
    [anon_sym_declare] = ACTIONS(3288),
    [anon_sym_public] = ACTIONS(3288),
    [anon_sym_private] = ACTIONS(3288),
    [anon_sym_protected] = ACTIONS(3288),
    [anon_sym_override] = ACTIONS(3288),
    [anon_sym_module] = ACTIONS(3288),
    [anon_sym_any] = ACTIONS(3288),
    [anon_sym_number] = ACTIONS(3288),
    [anon_sym_boolean] = ACTIONS(3288),
    [anon_sym_string] = ACTIONS(3288),
    [anon_sym_symbol] = ACTIONS(3288),
    [anon_sym_object] = ACTIONS(3288),
    [anon_sym_abstract] = ACTIONS(3288),
    [anon_sym_interface] = ACTIONS(3288),
    [anon_sym_enum] = ACTIONS(3288),
    [sym_html_comment] = ACTIONS(5),
  },
  [1323] = {
    [sym_comment] = STATE(1323),
    [sym_identifier] = ACTIONS(3290),
    [anon_sym_export] = ACTIONS(3290),
    [anon_sym_default] = ACTIONS(3290),
    [anon_sym_type] = ACTIONS(3290),
    [anon_sym_namespace] = ACTIONS(3290),
    [anon_sym_LBRACE] = ACTIONS(3290),
    [anon_sym_RBRACE] = ACTIONS(3290),
    [anon_sym_typeof] = ACTIONS(3290),
    [anon_sym_import] = ACTIONS(3290),
    [anon_sym_var] = ACTIONS(3290),
    [anon_sym_let] = ACTIONS(3290),
    [anon_sym_const] = ACTIONS(3290),
    [anon_sym_BANG] = ACTIONS(3290),
    [anon_sym_if] = ACTIONS(3290),
    [anon_sym_switch] = ACTIONS(3290),
    [anon_sym_for] = ACTIONS(3290),
    [anon_sym_LPAREN] = ACTIONS(3290),
    [anon_sym_await] = ACTIONS(3290),
    [anon_sym_while] = ACTIONS(3290),
    [anon_sym_do] = ACTIONS(3290),
    [anon_sym_try] = ACTIONS(3290),
    [anon_sym_with] = ACTIONS(3290),
    [anon_sym_break] = ACTIONS(3290),
    [anon_sym_continue] = ACTIONS(3290),
    [anon_sym_debugger] = ACTIONS(3290),
    [anon_sym_return] = ACTIONS(3290),
    [anon_sym_throw] = ACTIONS(3290),
    [anon_sym_SEMI] = ACTIONS(3290),
    [anon_sym_case] = ACTIONS(3290),
    [anon_sym_yield] = ACTIONS(3290),
    [anon_sym_LBRACK] = ACTIONS(3290),
    [anon_sym_LTtemplate_GT] = ACTIONS(3290),
    [anon_sym_class] = ACTIONS(3290),
    [anon_sym_async] = ACTIONS(3290),
    [anon_sym_function] = ACTIONS(3290),
    [anon_sym_new] = ACTIONS(3290),
    [anon_sym_using] = ACTIONS(3290),
    [anon_sym_PLUS] = ACTIONS(3290),
    [anon_sym_DASH] = ACTIONS(3290),
    [anon_sym_SLASH] = ACTIONS(3290),
    [anon_sym_LT] = ACTIONS(3290),
    [anon_sym_TILDE] = ACTIONS(3290),
    [anon_sym_void] = ACTIONS(3290),
    [anon_sym_delete] = ACTIONS(3290),
    [anon_sym_PLUS_PLUS] = ACTIONS(3290),
    [anon_sym_DASH_DASH] = ACTIONS(3290),
    [anon_sym_DQUOTE] = ACTIONS(3290),
    [anon_sym_SQUOTE] = ACTIONS(3290),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3290),
    [sym_number] = ACTIONS(3290),
    [sym_private_property_identifier] = ACTIONS(3290),
    [sym_this] = ACTIONS(3290),
    [sym_super] = ACTIONS(3290),
    [sym_true] = ACTIONS(3290),
    [sym_false] = ACTIONS(3290),
    [sym_null] = ACTIONS(3290),
    [sym_undefined] = ACTIONS(3290),
    [anon_sym_AT] = ACTIONS(3290),
    [anon_sym_static] = ACTIONS(3290),
    [anon_sym_readonly] = ACTIONS(3290),
    [anon_sym_get] = ACTIONS(3290),
    [anon_sym_set] = ACTIONS(3290),
    [anon_sym_declare] = ACTIONS(3290),
    [anon_sym_public] = ACTIONS(3290),
    [anon_sym_private] = ACTIONS(3290),
    [anon_sym_protected] = ACTIONS(3290),
    [anon_sym_override] = ACTIONS(3290),
    [anon_sym_module] = ACTIONS(3290),
    [anon_sym_any] = ACTIONS(3290),
    [anon_sym_number] = ACTIONS(3290),
    [anon_sym_boolean] = ACTIONS(3290),
    [anon_sym_string] = ACTIONS(3290),
    [anon_sym_symbol] = ACTIONS(3290),
    [anon_sym_object] = ACTIONS(3290),
    [anon_sym_abstract] = ACTIONS(3290),
    [anon_sym_interface] = ACTIONS(3290),
    [anon_sym_enum] = ACTIONS(3290),
    [sym_html_comment] = ACTIONS(5),
  },
  [1324] = {
    [sym_comment] = STATE(1324),
    [ts_builtin_sym_end] = ACTIONS(2143),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_RBRACE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_else] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LTtemplate_GT] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_using] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_LT] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [sym_private_property_identifier] = ACTIONS(2141),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_object] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
    [sym_html_comment] = ACTIONS(5),
  },
  [1325] = {
    [sym_comment] = STATE(1325),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_export] = ACTIONS(3300),
    [anon_sym_default] = ACTIONS(3300),
    [anon_sym_type] = ACTIONS(3300),
    [anon_sym_namespace] = ACTIONS(3300),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_RBRACE] = ACTIONS(3300),
    [anon_sym_typeof] = ACTIONS(3300),
    [anon_sym_import] = ACTIONS(3300),
    [anon_sym_var] = ACTIONS(3300),
    [anon_sym_let] = ACTIONS(3300),
    [anon_sym_const] = ACTIONS(3300),
    [anon_sym_BANG] = ACTIONS(3300),
    [anon_sym_if] = ACTIONS(3300),
    [anon_sym_switch] = ACTIONS(3300),
    [anon_sym_for] = ACTIONS(3300),
    [anon_sym_LPAREN] = ACTIONS(3300),
    [anon_sym_await] = ACTIONS(3300),
    [anon_sym_while] = ACTIONS(3300),
    [anon_sym_do] = ACTIONS(3300),
    [anon_sym_try] = ACTIONS(3300),
    [anon_sym_with] = ACTIONS(3300),
    [anon_sym_break] = ACTIONS(3300),
    [anon_sym_continue] = ACTIONS(3300),
    [anon_sym_debugger] = ACTIONS(3300),
    [anon_sym_return] = ACTIONS(3300),
    [anon_sym_throw] = ACTIONS(3300),
    [anon_sym_SEMI] = ACTIONS(3300),
    [anon_sym_case] = ACTIONS(3300),
    [anon_sym_yield] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(3300),
    [anon_sym_LTtemplate_GT] = ACTIONS(3300),
    [anon_sym_class] = ACTIONS(3300),
    [anon_sym_async] = ACTIONS(3300),
    [anon_sym_function] = ACTIONS(3300),
    [anon_sym_new] = ACTIONS(3300),
    [anon_sym_using] = ACTIONS(3300),
    [anon_sym_PLUS] = ACTIONS(3300),
    [anon_sym_DASH] = ACTIONS(3300),
    [anon_sym_SLASH] = ACTIONS(3300),
    [anon_sym_LT] = ACTIONS(3300),
    [anon_sym_TILDE] = ACTIONS(3300),
    [anon_sym_void] = ACTIONS(3300),
    [anon_sym_delete] = ACTIONS(3300),
    [anon_sym_PLUS_PLUS] = ACTIONS(3300),
    [anon_sym_DASH_DASH] = ACTIONS(3300),
    [anon_sym_DQUOTE] = ACTIONS(3300),
    [anon_sym_SQUOTE] = ACTIONS(3300),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3300),
    [sym_number] = ACTIONS(3300),
    [sym_private_property_identifier] = ACTIONS(3300),
    [sym_this] = ACTIONS(3300),
    [sym_super] = ACTIONS(3300),
    [sym_true] = ACTIONS(3300),
    [sym_false] = ACTIONS(3300),
    [sym_null] = ACTIONS(3300),
    [sym_undefined] = ACTIONS(3300),
    [anon_sym_AT] = ACTIONS(3300),
    [anon_sym_static] = ACTIONS(3300),
    [anon_sym_readonly] = ACTIONS(3300),
    [anon_sym_get] = ACTIONS(3300),
    [anon_sym_set] = ACTIONS(3300),
    [anon_sym_declare] = ACTIONS(3300),
    [anon_sym_public] = ACTIONS(3300),
    [anon_sym_private] = ACTIONS(3300),
    [anon_sym_protected] = ACTIONS(3300),
    [anon_sym_override] = ACTIONS(3300),
    [anon_sym_module] = ACTIONS(3300),
    [anon_sym_any] = ACTIONS(3300),
    [anon_sym_number] = ACTIONS(3300),
    [anon_sym_boolean] = ACTIONS(3300),
    [anon_sym_string] = ACTIONS(3300),
    [anon_sym_symbol] = ACTIONS(3300),
    [anon_sym_object] = ACTIONS(3300),
    [anon_sym_abstract] = ACTIONS(3300),
    [anon_sym_interface] = ACTIONS(3300),
    [anon_sym_enum] = ACTIONS(3300),
    [sym_html_comment] = ACTIONS(5),
  },
  [1326] = {
    [sym_comment] = STATE(1326),
    [ts_builtin_sym_end] = ACTIONS(2091),
    [sym_identifier] = ACTIONS(2089),
    [anon_sym_export] = ACTIONS(2089),
    [anon_sym_type] = ACTIONS(2089),
    [anon_sym_namespace] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2089),
    [anon_sym_RBRACE] = ACTIONS(2089),
    [anon_sym_typeof] = ACTIONS(2089),
    [anon_sym_import] = ACTIONS(2089),
    [anon_sym_var] = ACTIONS(2089),
    [anon_sym_let] = ACTIONS(2089),
    [anon_sym_const] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2089),
    [anon_sym_if] = ACTIONS(2089),
    [anon_sym_switch] = ACTIONS(2089),
    [anon_sym_for] = ACTIONS(2089),
    [anon_sym_LPAREN] = ACTIONS(2089),
    [anon_sym_await] = ACTIONS(2089),
    [anon_sym_while] = ACTIONS(2089),
    [anon_sym_do] = ACTIONS(2089),
    [anon_sym_try] = ACTIONS(2089),
    [anon_sym_with] = ACTIONS(2089),
    [anon_sym_break] = ACTIONS(2089),
    [anon_sym_continue] = ACTIONS(2089),
    [anon_sym_debugger] = ACTIONS(2089),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_throw] = ACTIONS(2089),
    [anon_sym_SEMI] = ACTIONS(2089),
    [anon_sym_yield] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2089),
    [anon_sym_LTtemplate_GT] = ACTIONS(2089),
    [anon_sym_class] = ACTIONS(2089),
    [anon_sym_async] = ACTIONS(2089),
    [anon_sym_function] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2089),
    [anon_sym_using] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(2089),
    [anon_sym_DASH] = ACTIONS(2089),
    [anon_sym_SLASH] = ACTIONS(2089),
    [anon_sym_LT] = ACTIONS(2089),
    [anon_sym_TILDE] = ACTIONS(2089),
    [anon_sym_void] = ACTIONS(2089),
    [anon_sym_delete] = ACTIONS(2089),
    [anon_sym_PLUS_PLUS] = ACTIONS(2089),
    [anon_sym_DASH_DASH] = ACTIONS(2089),
    [anon_sym_DQUOTE] = ACTIONS(2089),
    [anon_sym_SQUOTE] = ACTIONS(2089),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2089),
    [sym_number] = ACTIONS(2089),
    [sym_private_property_identifier] = ACTIONS(2089),
    [sym_this] = ACTIONS(2089),
    [sym_super] = ACTIONS(2089),
    [sym_true] = ACTIONS(2089),
    [sym_false] = ACTIONS(2089),
    [sym_null] = ACTIONS(2089),
    [sym_undefined] = ACTIONS(2089),
    [anon_sym_AT] = ACTIONS(2089),
    [anon_sym_static] = ACTIONS(2089),
    [anon_sym_readonly] = ACTIONS(2089),
    [anon_sym_get] = ACTIONS(2089),
    [anon_sym_set] = ACTIONS(2089),
    [anon_sym_declare] = ACTIONS(2089),
    [anon_sym_public] = ACTIONS(2089),
    [anon_sym_private] = ACTIONS(2089),
    [anon_sym_protected] = ACTIONS(2089),
    [anon_sym_override] = ACTIONS(2089),
    [anon_sym_module] = ACTIONS(2089),
    [anon_sym_any] = ACTIONS(2089),
    [anon_sym_number] = ACTIONS(2089),
    [anon_sym_boolean] = ACTIONS(2089),
    [anon_sym_string] = ACTIONS(2089),
    [anon_sym_symbol] = ACTIONS(2089),
    [anon_sym_object] = ACTIONS(2089),
    [anon_sym_abstract] = ACTIONS(2089),
    [anon_sym_interface] = ACTIONS(2089),
    [anon_sym_enum] = ACTIONS(2089),
    [sym__automatic_semicolon] = ACTIONS(2091),
    [sym_html_comment] = ACTIONS(5),
  },
  [1327] = {
    [sym_comment] = STATE(1327),
    [sym_identifier] = ACTIONS(3322),
    [anon_sym_export] = ACTIONS(3322),
    [anon_sym_default] = ACTIONS(3322),
    [anon_sym_type] = ACTIONS(3322),
    [anon_sym_namespace] = ACTIONS(3322),
    [anon_sym_LBRACE] = ACTIONS(3322),
    [anon_sym_RBRACE] = ACTIONS(3322),
    [anon_sym_typeof] = ACTIONS(3322),
    [anon_sym_import] = ACTIONS(3322),
    [anon_sym_var] = ACTIONS(3322),
    [anon_sym_let] = ACTIONS(3322),
    [anon_sym_const] = ACTIONS(3322),
    [anon_sym_BANG] = ACTIONS(3322),
    [anon_sym_if] = ACTIONS(3322),
    [anon_sym_switch] = ACTIONS(3322),
    [anon_sym_for] = ACTIONS(3322),
    [anon_sym_LPAREN] = ACTIONS(3322),
    [anon_sym_await] = ACTIONS(3322),
    [anon_sym_while] = ACTIONS(3322),
    [anon_sym_do] = ACTIONS(3322),
    [anon_sym_try] = ACTIONS(3322),
    [anon_sym_with] = ACTIONS(3322),
    [anon_sym_break] = ACTIONS(3322),
    [anon_sym_continue] = ACTIONS(3322),
    [anon_sym_debugger] = ACTIONS(3322),
    [anon_sym_return] = ACTIONS(3322),
    [anon_sym_throw] = ACTIONS(3322),
    [anon_sym_SEMI] = ACTIONS(3322),
    [anon_sym_case] = ACTIONS(3322),
    [anon_sym_yield] = ACTIONS(3322),
    [anon_sym_LBRACK] = ACTIONS(3322),
    [anon_sym_LTtemplate_GT] = ACTIONS(3322),
    [anon_sym_class] = ACTIONS(3322),
    [anon_sym_async] = ACTIONS(3322),
    [anon_sym_function] = ACTIONS(3322),
    [anon_sym_new] = ACTIONS(3322),
    [anon_sym_using] = ACTIONS(3322),
    [anon_sym_PLUS] = ACTIONS(3322),
    [anon_sym_DASH] = ACTIONS(3322),
    [anon_sym_SLASH] = ACTIONS(3322),
    [anon_sym_LT] = ACTIONS(3322),
    [anon_sym_TILDE] = ACTIONS(3322),
    [anon_sym_void] = ACTIONS(3322),
    [anon_sym_delete] = ACTIONS(3322),
    [anon_sym_PLUS_PLUS] = ACTIONS(3322),
    [anon_sym_DASH_DASH] = ACTIONS(3322),
    [anon_sym_DQUOTE] = ACTIONS(3322),
    [anon_sym_SQUOTE] = ACTIONS(3322),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3322),
    [sym_number] = ACTIONS(3322),
    [sym_private_property_identifier] = ACTIONS(3322),
    [sym_this] = ACTIONS(3322),
    [sym_super] = ACTIONS(3322),
    [sym_true] = ACTIONS(3322),
    [sym_false] = ACTIONS(3322),
    [sym_null] = ACTIONS(3322),
    [sym_undefined] = ACTIONS(3322),
    [anon_sym_AT] = ACTIONS(3322),
    [anon_sym_static] = ACTIONS(3322),
    [anon_sym_readonly] = ACTIONS(3322),
    [anon_sym_get] = ACTIONS(3322),
    [anon_sym_set] = ACTIONS(3322),
    [anon_sym_declare] = ACTIONS(3322),
    [anon_sym_public] = ACTIONS(3322),
    [anon_sym_private] = ACTIONS(3322),
    [anon_sym_protected] = ACTIONS(3322),
    [anon_sym_override] = ACTIONS(3322),
    [anon_sym_module] = ACTIONS(3322),
    [anon_sym_any] = ACTIONS(3322),
    [anon_sym_number] = ACTIONS(3322),
    [anon_sym_boolean] = ACTIONS(3322),
    [anon_sym_string] = ACTIONS(3322),
    [anon_sym_symbol] = ACTIONS(3322),
    [anon_sym_object] = ACTIONS(3322),
    [anon_sym_abstract] = ACTIONS(3322),
    [anon_sym_interface] = ACTIONS(3322),
    [anon_sym_enum] = ACTIONS(3322),
    [sym_html_comment] = ACTIONS(5),
  },
  [1328] = {
    [sym_comment] = STATE(1328),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_export] = ACTIONS(3324),
    [anon_sym_default] = ACTIONS(3324),
    [anon_sym_type] = ACTIONS(3324),
    [anon_sym_namespace] = ACTIONS(3324),
    [anon_sym_LBRACE] = ACTIONS(3324),
    [anon_sym_RBRACE] = ACTIONS(3324),
    [anon_sym_typeof] = ACTIONS(3324),
    [anon_sym_import] = ACTIONS(3324),
    [anon_sym_var] = ACTIONS(3324),
    [anon_sym_let] = ACTIONS(3324),
    [anon_sym_const] = ACTIONS(3324),
    [anon_sym_BANG] = ACTIONS(3324),
    [anon_sym_if] = ACTIONS(3324),
    [anon_sym_switch] = ACTIONS(3324),
    [anon_sym_for] = ACTIONS(3324),
    [anon_sym_LPAREN] = ACTIONS(3324),
    [anon_sym_await] = ACTIONS(3324),
    [anon_sym_while] = ACTIONS(3324),
    [anon_sym_do] = ACTIONS(3324),
    [anon_sym_try] = ACTIONS(3324),
    [anon_sym_with] = ACTIONS(3324),
    [anon_sym_break] = ACTIONS(3324),
    [anon_sym_continue] = ACTIONS(3324),
    [anon_sym_debugger] = ACTIONS(3324),
    [anon_sym_return] = ACTIONS(3324),
    [anon_sym_throw] = ACTIONS(3324),
    [anon_sym_SEMI] = ACTIONS(3324),
    [anon_sym_case] = ACTIONS(3324),
    [anon_sym_yield] = ACTIONS(3324),
    [anon_sym_LBRACK] = ACTIONS(3324),
    [anon_sym_LTtemplate_GT] = ACTIONS(3324),
    [anon_sym_class] = ACTIONS(3324),
    [anon_sym_async] = ACTIONS(3324),
    [anon_sym_function] = ACTIONS(3324),
    [anon_sym_new] = ACTIONS(3324),
    [anon_sym_using] = ACTIONS(3324),
    [anon_sym_PLUS] = ACTIONS(3324),
    [anon_sym_DASH] = ACTIONS(3324),
    [anon_sym_SLASH] = ACTIONS(3324),
    [anon_sym_LT] = ACTIONS(3324),
    [anon_sym_TILDE] = ACTIONS(3324),
    [anon_sym_void] = ACTIONS(3324),
    [anon_sym_delete] = ACTIONS(3324),
    [anon_sym_PLUS_PLUS] = ACTIONS(3324),
    [anon_sym_DASH_DASH] = ACTIONS(3324),
    [anon_sym_DQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3324),
    [sym_number] = ACTIONS(3324),
    [sym_private_property_identifier] = ACTIONS(3324),
    [sym_this] = ACTIONS(3324),
    [sym_super] = ACTIONS(3324),
    [sym_true] = ACTIONS(3324),
    [sym_false] = ACTIONS(3324),
    [sym_null] = ACTIONS(3324),
    [sym_undefined] = ACTIONS(3324),
    [anon_sym_AT] = ACTIONS(3324),
    [anon_sym_static] = ACTIONS(3324),
    [anon_sym_readonly] = ACTIONS(3324),
    [anon_sym_get] = ACTIONS(3324),
    [anon_sym_set] = ACTIONS(3324),
    [anon_sym_declare] = ACTIONS(3324),
    [anon_sym_public] = ACTIONS(3324),
    [anon_sym_private] = ACTIONS(3324),
    [anon_sym_protected] = ACTIONS(3324),
    [anon_sym_override] = ACTIONS(3324),
    [anon_sym_module] = ACTIONS(3324),
    [anon_sym_any] = ACTIONS(3324),
    [anon_sym_number] = ACTIONS(3324),
    [anon_sym_boolean] = ACTIONS(3324),
    [anon_sym_string] = ACTIONS(3324),
    [anon_sym_symbol] = ACTIONS(3324),
    [anon_sym_object] = ACTIONS(3324),
    [anon_sym_abstract] = ACTIONS(3324),
    [anon_sym_interface] = ACTIONS(3324),
    [anon_sym_enum] = ACTIONS(3324),
    [sym_html_comment] = ACTIONS(5),
  },
  [1329] = {
    [sym_comment] = STATE(1329),
    [sym_identifier] = ACTIONS(3326),
    [anon_sym_export] = ACTIONS(3326),
    [anon_sym_default] = ACTIONS(3326),
    [anon_sym_type] = ACTIONS(3326),
    [anon_sym_namespace] = ACTIONS(3326),
    [anon_sym_LBRACE] = ACTIONS(3326),
    [anon_sym_RBRACE] = ACTIONS(3326),
    [anon_sym_typeof] = ACTIONS(3326),
    [anon_sym_import] = ACTIONS(3326),
    [anon_sym_var] = ACTIONS(3326),
    [anon_sym_let] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3326),
    [anon_sym_BANG] = ACTIONS(3326),
    [anon_sym_if] = ACTIONS(3326),
    [anon_sym_switch] = ACTIONS(3326),
    [anon_sym_for] = ACTIONS(3326),
    [anon_sym_LPAREN] = ACTIONS(3326),
    [anon_sym_await] = ACTIONS(3326),
    [anon_sym_while] = ACTIONS(3326),
    [anon_sym_do] = ACTIONS(3326),
    [anon_sym_try] = ACTIONS(3326),
    [anon_sym_with] = ACTIONS(3326),
    [anon_sym_break] = ACTIONS(3326),
    [anon_sym_continue] = ACTIONS(3326),
    [anon_sym_debugger] = ACTIONS(3326),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_throw] = ACTIONS(3326),
    [anon_sym_SEMI] = ACTIONS(3326),
    [anon_sym_case] = ACTIONS(3326),
    [anon_sym_yield] = ACTIONS(3326),
    [anon_sym_LBRACK] = ACTIONS(3326),
    [anon_sym_LTtemplate_GT] = ACTIONS(3326),
    [anon_sym_class] = ACTIONS(3326),
    [anon_sym_async] = ACTIONS(3326),
    [anon_sym_function] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(3326),
    [anon_sym_using] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_SLASH] = ACTIONS(3326),
    [anon_sym_LT] = ACTIONS(3326),
    [anon_sym_TILDE] = ACTIONS(3326),
    [anon_sym_void] = ACTIONS(3326),
    [anon_sym_delete] = ACTIONS(3326),
    [anon_sym_PLUS_PLUS] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [anon_sym_SQUOTE] = ACTIONS(3326),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3326),
    [sym_number] = ACTIONS(3326),
    [sym_private_property_identifier] = ACTIONS(3326),
    [sym_this] = ACTIONS(3326),
    [sym_super] = ACTIONS(3326),
    [sym_true] = ACTIONS(3326),
    [sym_false] = ACTIONS(3326),
    [sym_null] = ACTIONS(3326),
    [sym_undefined] = ACTIONS(3326),
    [anon_sym_AT] = ACTIONS(3326),
    [anon_sym_static] = ACTIONS(3326),
    [anon_sym_readonly] = ACTIONS(3326),
    [anon_sym_get] = ACTIONS(3326),
    [anon_sym_set] = ACTIONS(3326),
    [anon_sym_declare] = ACTIONS(3326),
    [anon_sym_public] = ACTIONS(3326),
    [anon_sym_private] = ACTIONS(3326),
    [anon_sym_protected] = ACTIONS(3326),
    [anon_sym_override] = ACTIONS(3326),
    [anon_sym_module] = ACTIONS(3326),
    [anon_sym_any] = ACTIONS(3326),
    [anon_sym_number] = ACTIONS(3326),
    [anon_sym_boolean] = ACTIONS(3326),
    [anon_sym_string] = ACTIONS(3326),
    [anon_sym_symbol] = ACTIONS(3326),
    [anon_sym_object] = ACTIONS(3326),
    [anon_sym_abstract] = ACTIONS(3326),
    [anon_sym_interface] = ACTIONS(3326),
    [anon_sym_enum] = ACTIONS(3326),
    [sym_html_comment] = ACTIONS(5),
  },
  [1330] = {
    [sym_comment] = STATE(1330),
    [sym_identifier] = ACTIONS(3328),
    [anon_sym_export] = ACTIONS(3328),
    [anon_sym_default] = ACTIONS(3328),
    [anon_sym_type] = ACTIONS(3328),
    [anon_sym_namespace] = ACTIONS(3328),
    [anon_sym_LBRACE] = ACTIONS(3328),
    [anon_sym_RBRACE] = ACTIONS(3328),
    [anon_sym_typeof] = ACTIONS(3328),
    [anon_sym_import] = ACTIONS(3328),
    [anon_sym_var] = ACTIONS(3328),
    [anon_sym_let] = ACTIONS(3328),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_if] = ACTIONS(3328),
    [anon_sym_switch] = ACTIONS(3328),
    [anon_sym_for] = ACTIONS(3328),
    [anon_sym_LPAREN] = ACTIONS(3328),
    [anon_sym_await] = ACTIONS(3328),
    [anon_sym_while] = ACTIONS(3328),
    [anon_sym_do] = ACTIONS(3328),
    [anon_sym_try] = ACTIONS(3328),
    [anon_sym_with] = ACTIONS(3328),
    [anon_sym_break] = ACTIONS(3328),
    [anon_sym_continue] = ACTIONS(3328),
    [anon_sym_debugger] = ACTIONS(3328),
    [anon_sym_return] = ACTIONS(3328),
    [anon_sym_throw] = ACTIONS(3328),
    [anon_sym_SEMI] = ACTIONS(3328),
    [anon_sym_case] = ACTIONS(3328),
    [anon_sym_yield] = ACTIONS(3328),
    [anon_sym_LBRACK] = ACTIONS(3328),
    [anon_sym_LTtemplate_GT] = ACTIONS(3328),
    [anon_sym_class] = ACTIONS(3328),
    [anon_sym_async] = ACTIONS(3328),
    [anon_sym_function] = ACTIONS(3328),
    [anon_sym_new] = ACTIONS(3328),
    [anon_sym_using] = ACTIONS(3328),
    [anon_sym_PLUS] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3328),
    [anon_sym_SLASH] = ACTIONS(3328),
    [anon_sym_LT] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_void] = ACTIONS(3328),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_PLUS_PLUS] = ACTIONS(3328),
    [anon_sym_DASH_DASH] = ACTIONS(3328),
    [anon_sym_DQUOTE] = ACTIONS(3328),
    [anon_sym_SQUOTE] = ACTIONS(3328),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3328),
    [sym_number] = ACTIONS(3328),
    [sym_private_property_identifier] = ACTIONS(3328),
    [sym_this] = ACTIONS(3328),
    [sym_super] = ACTIONS(3328),
    [sym_true] = ACTIONS(3328),
    [sym_false] = ACTIONS(3328),
    [sym_null] = ACTIONS(3328),
    [sym_undefined] = ACTIONS(3328),
    [anon_sym_AT] = ACTIONS(3328),
    [anon_sym_static] = ACTIONS(3328),
    [anon_sym_readonly] = ACTIONS(3328),
    [anon_sym_get] = ACTIONS(3328),
    [anon_sym_set] = ACTIONS(3328),
    [anon_sym_declare] = ACTIONS(3328),
    [anon_sym_public] = ACTIONS(3328),
    [anon_sym_private] = ACTIONS(3328),
    [anon_sym_protected] = ACTIONS(3328),
    [anon_sym_override] = ACTIONS(3328),
    [anon_sym_module] = ACTIONS(3328),
    [anon_sym_any] = ACTIONS(3328),
    [anon_sym_number] = ACTIONS(3328),
    [anon_sym_boolean] = ACTIONS(3328),
    [anon_sym_string] = ACTIONS(3328),
    [anon_sym_symbol] = ACTIONS(3328),
    [anon_sym_object] = ACTIONS(3328),
    [anon_sym_abstract] = ACTIONS(3328),
    [anon_sym_interface] = ACTIONS(3328),
    [anon_sym_enum] = ACTIONS(3328),
    [sym_html_comment] = ACTIONS(5),
  },
  [1331] = {
    [sym_comment] = STATE(1331),
    [sym_identifier] = ACTIONS(3330),
    [anon_sym_export] = ACTIONS(3330),
    [anon_sym_default] = ACTIONS(3330),
    [anon_sym_type] = ACTIONS(3330),
    [anon_sym_namespace] = ACTIONS(3330),
    [anon_sym_LBRACE] = ACTIONS(3330),
    [anon_sym_RBRACE] = ACTIONS(3330),
    [anon_sym_typeof] = ACTIONS(3330),
    [anon_sym_import] = ACTIONS(3330),
    [anon_sym_var] = ACTIONS(3330),
    [anon_sym_let] = ACTIONS(3330),
    [anon_sym_const] = ACTIONS(3330),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_if] = ACTIONS(3330),
    [anon_sym_switch] = ACTIONS(3330),
    [anon_sym_for] = ACTIONS(3330),
    [anon_sym_LPAREN] = ACTIONS(3330),
    [anon_sym_await] = ACTIONS(3330),
    [anon_sym_while] = ACTIONS(3330),
    [anon_sym_do] = ACTIONS(3330),
    [anon_sym_try] = ACTIONS(3330),
    [anon_sym_with] = ACTIONS(3330),
    [anon_sym_break] = ACTIONS(3330),
    [anon_sym_continue] = ACTIONS(3330),
    [anon_sym_debugger] = ACTIONS(3330),
    [anon_sym_return] = ACTIONS(3330),
    [anon_sym_throw] = ACTIONS(3330),
    [anon_sym_SEMI] = ACTIONS(3330),
    [anon_sym_case] = ACTIONS(3330),
    [anon_sym_yield] = ACTIONS(3330),
    [anon_sym_LBRACK] = ACTIONS(3330),
    [anon_sym_LTtemplate_GT] = ACTIONS(3330),
    [anon_sym_class] = ACTIONS(3330),
    [anon_sym_async] = ACTIONS(3330),
    [anon_sym_function] = ACTIONS(3330),
    [anon_sym_new] = ACTIONS(3330),
    [anon_sym_using] = ACTIONS(3330),
    [anon_sym_PLUS] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3330),
    [anon_sym_SLASH] = ACTIONS(3330),
    [anon_sym_LT] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_void] = ACTIONS(3330),
    [anon_sym_delete] = ACTIONS(3330),
    [anon_sym_PLUS_PLUS] = ACTIONS(3330),
    [anon_sym_DASH_DASH] = ACTIONS(3330),
    [anon_sym_DQUOTE] = ACTIONS(3330),
    [anon_sym_SQUOTE] = ACTIONS(3330),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3330),
    [sym_number] = ACTIONS(3330),
    [sym_private_property_identifier] = ACTIONS(3330),
    [sym_this] = ACTIONS(3330),
    [sym_super] = ACTIONS(3330),
    [sym_true] = ACTIONS(3330),
    [sym_false] = ACTIONS(3330),
    [sym_null] = ACTIONS(3330),
    [sym_undefined] = ACTIONS(3330),
    [anon_sym_AT] = ACTIONS(3330),
    [anon_sym_static] = ACTIONS(3330),
    [anon_sym_readonly] = ACTIONS(3330),
    [anon_sym_get] = ACTIONS(3330),
    [anon_sym_set] = ACTIONS(3330),
    [anon_sym_declare] = ACTIONS(3330),
    [anon_sym_public] = ACTIONS(3330),
    [anon_sym_private] = ACTIONS(3330),
    [anon_sym_protected] = ACTIONS(3330),
    [anon_sym_override] = ACTIONS(3330),
    [anon_sym_module] = ACTIONS(3330),
    [anon_sym_any] = ACTIONS(3330),
    [anon_sym_number] = ACTIONS(3330),
    [anon_sym_boolean] = ACTIONS(3330),
    [anon_sym_string] = ACTIONS(3330),
    [anon_sym_symbol] = ACTIONS(3330),
    [anon_sym_object] = ACTIONS(3330),
    [anon_sym_abstract] = ACTIONS(3330),
    [anon_sym_interface] = ACTIONS(3330),
    [anon_sym_enum] = ACTIONS(3330),
    [sym_html_comment] = ACTIONS(5),
  },
  [1332] = {
    [sym_comment] = STATE(1332),
    [sym_identifier] = ACTIONS(3332),
    [anon_sym_export] = ACTIONS(3332),
    [anon_sym_default] = ACTIONS(3332),
    [anon_sym_type] = ACTIONS(3332),
    [anon_sym_namespace] = ACTIONS(3332),
    [anon_sym_LBRACE] = ACTIONS(3332),
    [anon_sym_RBRACE] = ACTIONS(3332),
    [anon_sym_typeof] = ACTIONS(3332),
    [anon_sym_import] = ACTIONS(3332),
    [anon_sym_var] = ACTIONS(3332),
    [anon_sym_let] = ACTIONS(3332),
    [anon_sym_const] = ACTIONS(3332),
    [anon_sym_BANG] = ACTIONS(3332),
    [anon_sym_if] = ACTIONS(3332),
    [anon_sym_switch] = ACTIONS(3332),
    [anon_sym_for] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(3332),
    [anon_sym_await] = ACTIONS(3332),
    [anon_sym_while] = ACTIONS(3332),
    [anon_sym_do] = ACTIONS(3332),
    [anon_sym_try] = ACTIONS(3332),
    [anon_sym_with] = ACTIONS(3332),
    [anon_sym_break] = ACTIONS(3332),
    [anon_sym_continue] = ACTIONS(3332),
    [anon_sym_debugger] = ACTIONS(3332),
    [anon_sym_return] = ACTIONS(3332),
    [anon_sym_throw] = ACTIONS(3332),
    [anon_sym_SEMI] = ACTIONS(3332),
    [anon_sym_case] = ACTIONS(3332),
    [anon_sym_yield] = ACTIONS(3332),
    [anon_sym_LBRACK] = ACTIONS(3332),
    [anon_sym_LTtemplate_GT] = ACTIONS(3332),
    [anon_sym_class] = ACTIONS(3332),
    [anon_sym_async] = ACTIONS(3332),
    [anon_sym_function] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3332),
    [anon_sym_using] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_SLASH] = ACTIONS(3332),
    [anon_sym_LT] = ACTIONS(3332),
    [anon_sym_TILDE] = ACTIONS(3332),
    [anon_sym_void] = ACTIONS(3332),
    [anon_sym_delete] = ACTIONS(3332),
    [anon_sym_PLUS_PLUS] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3332),
    [anon_sym_DQUOTE] = ACTIONS(3332),
    [anon_sym_SQUOTE] = ACTIONS(3332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3332),
    [sym_number] = ACTIONS(3332),
    [sym_private_property_identifier] = ACTIONS(3332),
    [sym_this] = ACTIONS(3332),
    [sym_super] = ACTIONS(3332),
    [sym_true] = ACTIONS(3332),
    [sym_false] = ACTIONS(3332),
    [sym_null] = ACTIONS(3332),
    [sym_undefined] = ACTIONS(3332),
    [anon_sym_AT] = ACTIONS(3332),
    [anon_sym_static] = ACTIONS(3332),
    [anon_sym_readonly] = ACTIONS(3332),
    [anon_sym_get] = ACTIONS(3332),
    [anon_sym_set] = ACTIONS(3332),
    [anon_sym_declare] = ACTIONS(3332),
    [anon_sym_public] = ACTIONS(3332),
    [anon_sym_private] = ACTIONS(3332),
    [anon_sym_protected] = ACTIONS(3332),
    [anon_sym_override] = ACTIONS(3332),
    [anon_sym_module] = ACTIONS(3332),
    [anon_sym_any] = ACTIONS(3332),
    [anon_sym_number] = ACTIONS(3332),
    [anon_sym_boolean] = ACTIONS(3332),
    [anon_sym_string] = ACTIONS(3332),
    [anon_sym_symbol] = ACTIONS(3332),
    [anon_sym_object] = ACTIONS(3332),
    [anon_sym_abstract] = ACTIONS(3332),
    [anon_sym_interface] = ACTIONS(3332),
    [anon_sym_enum] = ACTIONS(3332),
    [sym_html_comment] = ACTIONS(5),
  },
  [1333] = {
    [sym_comment] = STATE(1333),
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1334] = {
    [sym_comment] = STATE(1334),
    [sym_identifier] = ACTIONS(3334),
    [anon_sym_export] = ACTIONS(3334),
    [anon_sym_default] = ACTIONS(3334),
    [anon_sym_type] = ACTIONS(3334),
    [anon_sym_namespace] = ACTIONS(3334),
    [anon_sym_LBRACE] = ACTIONS(3334),
    [anon_sym_RBRACE] = ACTIONS(3334),
    [anon_sym_typeof] = ACTIONS(3334),
    [anon_sym_import] = ACTIONS(3334),
    [anon_sym_var] = ACTIONS(3334),
    [anon_sym_let] = ACTIONS(3334),
    [anon_sym_const] = ACTIONS(3334),
    [anon_sym_BANG] = ACTIONS(3334),
    [anon_sym_if] = ACTIONS(3334),
    [anon_sym_switch] = ACTIONS(3334),
    [anon_sym_for] = ACTIONS(3334),
    [anon_sym_LPAREN] = ACTIONS(3334),
    [anon_sym_await] = ACTIONS(3334),
    [anon_sym_while] = ACTIONS(3334),
    [anon_sym_do] = ACTIONS(3334),
    [anon_sym_try] = ACTIONS(3334),
    [anon_sym_with] = ACTIONS(3334),
    [anon_sym_break] = ACTIONS(3334),
    [anon_sym_continue] = ACTIONS(3334),
    [anon_sym_debugger] = ACTIONS(3334),
    [anon_sym_return] = ACTIONS(3334),
    [anon_sym_throw] = ACTIONS(3334),
    [anon_sym_SEMI] = ACTIONS(3334),
    [anon_sym_case] = ACTIONS(3334),
    [anon_sym_yield] = ACTIONS(3334),
    [anon_sym_LBRACK] = ACTIONS(3334),
    [anon_sym_LTtemplate_GT] = ACTIONS(3334),
    [anon_sym_class] = ACTIONS(3334),
    [anon_sym_async] = ACTIONS(3334),
    [anon_sym_function] = ACTIONS(3334),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_using] = ACTIONS(3334),
    [anon_sym_PLUS] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3334),
    [anon_sym_SLASH] = ACTIONS(3334),
    [anon_sym_LT] = ACTIONS(3334),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_void] = ACTIONS(3334),
    [anon_sym_delete] = ACTIONS(3334),
    [anon_sym_PLUS_PLUS] = ACTIONS(3334),
    [anon_sym_DASH_DASH] = ACTIONS(3334),
    [anon_sym_DQUOTE] = ACTIONS(3334),
    [anon_sym_SQUOTE] = ACTIONS(3334),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3334),
    [sym_number] = ACTIONS(3334),
    [sym_private_property_identifier] = ACTIONS(3334),
    [sym_this] = ACTIONS(3334),
    [sym_super] = ACTIONS(3334),
    [sym_true] = ACTIONS(3334),
    [sym_false] = ACTIONS(3334),
    [sym_null] = ACTIONS(3334),
    [sym_undefined] = ACTIONS(3334),
    [anon_sym_AT] = ACTIONS(3334),
    [anon_sym_static] = ACTIONS(3334),
    [anon_sym_readonly] = ACTIONS(3334),
    [anon_sym_get] = ACTIONS(3334),
    [anon_sym_set] = ACTIONS(3334),
    [anon_sym_declare] = ACTIONS(3334),
    [anon_sym_public] = ACTIONS(3334),
    [anon_sym_private] = ACTIONS(3334),
    [anon_sym_protected] = ACTIONS(3334),
    [anon_sym_override] = ACTIONS(3334),
    [anon_sym_module] = ACTIONS(3334),
    [anon_sym_any] = ACTIONS(3334),
    [anon_sym_number] = ACTIONS(3334),
    [anon_sym_boolean] = ACTIONS(3334),
    [anon_sym_string] = ACTIONS(3334),
    [anon_sym_symbol] = ACTIONS(3334),
    [anon_sym_object] = ACTIONS(3334),
    [anon_sym_abstract] = ACTIONS(3334),
    [anon_sym_interface] = ACTIONS(3334),
    [anon_sym_enum] = ACTIONS(3334),
    [sym_html_comment] = ACTIONS(5),
  },
  [1335] = {
    [sym_comment] = STATE(1335),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1336] = {
    [sym_comment] = STATE(1336),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1337] = {
    [sym_comment] = STATE(1337),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1338] = {
    [sym_comment] = STATE(1338),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1339] = {
    [sym_comment] = STATE(1339),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1340] = {
    [sym_comment] = STATE(1340),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1341] = {
    [sym_comment] = STATE(1341),
    [sym_identifier] = ACTIONS(3302),
    [anon_sym_export] = ACTIONS(3302),
    [anon_sym_default] = ACTIONS(3302),
    [anon_sym_type] = ACTIONS(3302),
    [anon_sym_namespace] = ACTIONS(3302),
    [anon_sym_LBRACE] = ACTIONS(3302),
    [anon_sym_RBRACE] = ACTIONS(3302),
    [anon_sym_typeof] = ACTIONS(3302),
    [anon_sym_import] = ACTIONS(3302),
    [anon_sym_var] = ACTIONS(3302),
    [anon_sym_let] = ACTIONS(3302),
    [anon_sym_const] = ACTIONS(3302),
    [anon_sym_BANG] = ACTIONS(3302),
    [anon_sym_if] = ACTIONS(3302),
    [anon_sym_switch] = ACTIONS(3302),
    [anon_sym_for] = ACTIONS(3302),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_await] = ACTIONS(3302),
    [anon_sym_while] = ACTIONS(3302),
    [anon_sym_do] = ACTIONS(3302),
    [anon_sym_try] = ACTIONS(3302),
    [anon_sym_with] = ACTIONS(3302),
    [anon_sym_break] = ACTIONS(3302),
    [anon_sym_continue] = ACTIONS(3302),
    [anon_sym_debugger] = ACTIONS(3302),
    [anon_sym_return] = ACTIONS(3302),
    [anon_sym_throw] = ACTIONS(3302),
    [anon_sym_SEMI] = ACTIONS(3302),
    [anon_sym_case] = ACTIONS(3302),
    [anon_sym_yield] = ACTIONS(3302),
    [anon_sym_LBRACK] = ACTIONS(3302),
    [anon_sym_LTtemplate_GT] = ACTIONS(3302),
    [anon_sym_class] = ACTIONS(3302),
    [anon_sym_async] = ACTIONS(3302),
    [anon_sym_function] = ACTIONS(3302),
    [anon_sym_new] = ACTIONS(3302),
    [anon_sym_using] = ACTIONS(3302),
    [anon_sym_PLUS] = ACTIONS(3302),
    [anon_sym_DASH] = ACTIONS(3302),
    [anon_sym_SLASH] = ACTIONS(3302),
    [anon_sym_LT] = ACTIONS(3302),
    [anon_sym_TILDE] = ACTIONS(3302),
    [anon_sym_void] = ACTIONS(3302),
    [anon_sym_delete] = ACTIONS(3302),
    [anon_sym_PLUS_PLUS] = ACTIONS(3302),
    [anon_sym_DASH_DASH] = ACTIONS(3302),
    [anon_sym_DQUOTE] = ACTIONS(3302),
    [anon_sym_SQUOTE] = ACTIONS(3302),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3302),
    [sym_number] = ACTIONS(3302),
    [sym_private_property_identifier] = ACTIONS(3302),
    [sym_this] = ACTIONS(3302),
    [sym_super] = ACTIONS(3302),
    [sym_true] = ACTIONS(3302),
    [sym_false] = ACTIONS(3302),
    [sym_null] = ACTIONS(3302),
    [sym_undefined] = ACTIONS(3302),
    [anon_sym_AT] = ACTIONS(3302),
    [anon_sym_static] = ACTIONS(3302),
    [anon_sym_readonly] = ACTIONS(3302),
    [anon_sym_get] = ACTIONS(3302),
    [anon_sym_set] = ACTIONS(3302),
    [anon_sym_declare] = ACTIONS(3302),
    [anon_sym_public] = ACTIONS(3302),
    [anon_sym_private] = ACTIONS(3302),
    [anon_sym_protected] = ACTIONS(3302),
    [anon_sym_override] = ACTIONS(3302),
    [anon_sym_module] = ACTIONS(3302),
    [anon_sym_any] = ACTIONS(3302),
    [anon_sym_number] = ACTIONS(3302),
    [anon_sym_boolean] = ACTIONS(3302),
    [anon_sym_string] = ACTIONS(3302),
    [anon_sym_symbol] = ACTIONS(3302),
    [anon_sym_object] = ACTIONS(3302),
    [anon_sym_abstract] = ACTIONS(3302),
    [anon_sym_interface] = ACTIONS(3302),
    [anon_sym_enum] = ACTIONS(3302),
    [sym_html_comment] = ACTIONS(5),
  },
  [1342] = {
    [sym_comment] = STATE(1342),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1343] = {
    [sym_comment] = STATE(1343),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1344] = {
    [sym_comment] = STATE(1344),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1345] = {
    [sym_comment] = STATE(1345),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1346] = {
    [sym_comment] = STATE(1346),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1347] = {
    [sym_comment] = STATE(1347),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1348] = {
    [sym_comment] = STATE(1348),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1349] = {
    [sym_comment] = STATE(1349),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1350] = {
    [sym_comment] = STATE(1350),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1351] = {
    [sym_comment] = STATE(1351),
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1352] = {
    [sym_comment] = STATE(1352),
    [sym_identifier] = ACTIONS(3308),
    [anon_sym_export] = ACTIONS(3308),
    [anon_sym_default] = ACTIONS(3308),
    [anon_sym_type] = ACTIONS(3308),
    [anon_sym_namespace] = ACTIONS(3308),
    [anon_sym_LBRACE] = ACTIONS(3308),
    [anon_sym_RBRACE] = ACTIONS(3308),
    [anon_sym_typeof] = ACTIONS(3308),
    [anon_sym_import] = ACTIONS(3308),
    [anon_sym_var] = ACTIONS(3308),
    [anon_sym_let] = ACTIONS(3308),
    [anon_sym_const] = ACTIONS(3308),
    [anon_sym_BANG] = ACTIONS(3308),
    [anon_sym_if] = ACTIONS(3308),
    [anon_sym_switch] = ACTIONS(3308),
    [anon_sym_for] = ACTIONS(3308),
    [anon_sym_LPAREN] = ACTIONS(3308),
    [anon_sym_await] = ACTIONS(3308),
    [anon_sym_while] = ACTIONS(3308),
    [anon_sym_do] = ACTIONS(3308),
    [anon_sym_try] = ACTIONS(3308),
    [anon_sym_with] = ACTIONS(3308),
    [anon_sym_break] = ACTIONS(3308),
    [anon_sym_continue] = ACTIONS(3308),
    [anon_sym_debugger] = ACTIONS(3308),
    [anon_sym_return] = ACTIONS(3308),
    [anon_sym_throw] = ACTIONS(3308),
    [anon_sym_SEMI] = ACTIONS(3308),
    [anon_sym_case] = ACTIONS(3308),
    [anon_sym_yield] = ACTIONS(3308),
    [anon_sym_LBRACK] = ACTIONS(3308),
    [anon_sym_LTtemplate_GT] = ACTIONS(3308),
    [anon_sym_class] = ACTIONS(3308),
    [anon_sym_async] = ACTIONS(3308),
    [anon_sym_function] = ACTIONS(3308),
    [anon_sym_new] = ACTIONS(3308),
    [anon_sym_using] = ACTIONS(3308),
    [anon_sym_PLUS] = ACTIONS(3308),
    [anon_sym_DASH] = ACTIONS(3308),
    [anon_sym_SLASH] = ACTIONS(3308),
    [anon_sym_LT] = ACTIONS(3308),
    [anon_sym_TILDE] = ACTIONS(3308),
    [anon_sym_void] = ACTIONS(3308),
    [anon_sym_delete] = ACTIONS(3308),
    [anon_sym_PLUS_PLUS] = ACTIONS(3308),
    [anon_sym_DASH_DASH] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [anon_sym_SQUOTE] = ACTIONS(3308),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3308),
    [sym_number] = ACTIONS(3308),
    [sym_private_property_identifier] = ACTIONS(3308),
    [sym_this] = ACTIONS(3308),
    [sym_super] = ACTIONS(3308),
    [sym_true] = ACTIONS(3308),
    [sym_false] = ACTIONS(3308),
    [sym_null] = ACTIONS(3308),
    [sym_undefined] = ACTIONS(3308),
    [anon_sym_AT] = ACTIONS(3308),
    [anon_sym_static] = ACTIONS(3308),
    [anon_sym_readonly] = ACTIONS(3308),
    [anon_sym_get] = ACTIONS(3308),
    [anon_sym_set] = ACTIONS(3308),
    [anon_sym_declare] = ACTIONS(3308),
    [anon_sym_public] = ACTIONS(3308),
    [anon_sym_private] = ACTIONS(3308),
    [anon_sym_protected] = ACTIONS(3308),
    [anon_sym_override] = ACTIONS(3308),
    [anon_sym_module] = ACTIONS(3308),
    [anon_sym_any] = ACTIONS(3308),
    [anon_sym_number] = ACTIONS(3308),
    [anon_sym_boolean] = ACTIONS(3308),
    [anon_sym_string] = ACTIONS(3308),
    [anon_sym_symbol] = ACTIONS(3308),
    [anon_sym_object] = ACTIONS(3308),
    [anon_sym_abstract] = ACTIONS(3308),
    [anon_sym_interface] = ACTIONS(3308),
    [anon_sym_enum] = ACTIONS(3308),
    [sym_html_comment] = ACTIONS(5),
  },
  [1353] = {
    [sym_comment] = STATE(1353),
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1354] = {
    [sym_comment] = STATE(1354),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1355] = {
    [sym_comment] = STATE(1355),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1356] = {
    [sym_comment] = STATE(1356),
    [ts_builtin_sym_end] = ACTIONS(2167),
    [sym_identifier] = ACTIONS(2165),
    [anon_sym_export] = ACTIONS(2165),
    [anon_sym_type] = ACTIONS(2165),
    [anon_sym_namespace] = ACTIONS(2165),
    [anon_sym_LBRACE] = ACTIONS(2165),
    [anon_sym_RBRACE] = ACTIONS(2165),
    [anon_sym_typeof] = ACTIONS(2165),
    [anon_sym_import] = ACTIONS(2165),
    [anon_sym_var] = ACTIONS(2165),
    [anon_sym_let] = ACTIONS(2165),
    [anon_sym_const] = ACTIONS(2165),
    [anon_sym_BANG] = ACTIONS(2165),
    [anon_sym_else] = ACTIONS(2165),
    [anon_sym_if] = ACTIONS(2165),
    [anon_sym_switch] = ACTIONS(2165),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_LPAREN] = ACTIONS(2165),
    [anon_sym_await] = ACTIONS(2165),
    [anon_sym_while] = ACTIONS(2165),
    [anon_sym_do] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_with] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2165),
    [anon_sym_continue] = ACTIONS(2165),
    [anon_sym_debugger] = ACTIONS(2165),
    [anon_sym_return] = ACTIONS(2165),
    [anon_sym_throw] = ACTIONS(2165),
    [anon_sym_SEMI] = ACTIONS(2165),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_LBRACK] = ACTIONS(2165),
    [anon_sym_LTtemplate_GT] = ACTIONS(2165),
    [anon_sym_class] = ACTIONS(2165),
    [anon_sym_async] = ACTIONS(2165),
    [anon_sym_function] = ACTIONS(2165),
    [anon_sym_new] = ACTIONS(2165),
    [anon_sym_using] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(2165),
    [anon_sym_DASH] = ACTIONS(2165),
    [anon_sym_SLASH] = ACTIONS(2165),
    [anon_sym_LT] = ACTIONS(2165),
    [anon_sym_TILDE] = ACTIONS(2165),
    [anon_sym_void] = ACTIONS(2165),
    [anon_sym_delete] = ACTIONS(2165),
    [anon_sym_PLUS_PLUS] = ACTIONS(2165),
    [anon_sym_DASH_DASH] = ACTIONS(2165),
    [anon_sym_DQUOTE] = ACTIONS(2165),
    [anon_sym_SQUOTE] = ACTIONS(2165),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2165),
    [sym_number] = ACTIONS(2165),
    [sym_private_property_identifier] = ACTIONS(2165),
    [sym_this] = ACTIONS(2165),
    [sym_super] = ACTIONS(2165),
    [sym_true] = ACTIONS(2165),
    [sym_false] = ACTIONS(2165),
    [sym_null] = ACTIONS(2165),
    [sym_undefined] = ACTIONS(2165),
    [anon_sym_AT] = ACTIONS(2165),
    [anon_sym_static] = ACTIONS(2165),
    [anon_sym_readonly] = ACTIONS(2165),
    [anon_sym_get] = ACTIONS(2165),
    [anon_sym_set] = ACTIONS(2165),
    [anon_sym_declare] = ACTIONS(2165),
    [anon_sym_public] = ACTIONS(2165),
    [anon_sym_private] = ACTIONS(2165),
    [anon_sym_protected] = ACTIONS(2165),
    [anon_sym_override] = ACTIONS(2165),
    [anon_sym_module] = ACTIONS(2165),
    [anon_sym_any] = ACTIONS(2165),
    [anon_sym_number] = ACTIONS(2165),
    [anon_sym_boolean] = ACTIONS(2165),
    [anon_sym_string] = ACTIONS(2165),
    [anon_sym_symbol] = ACTIONS(2165),
    [anon_sym_object] = ACTIONS(2165),
    [anon_sym_abstract] = ACTIONS(2165),
    [anon_sym_interface] = ACTIONS(2165),
    [anon_sym_enum] = ACTIONS(2165),
    [sym_html_comment] = ACTIONS(5),
  },
  [1357] = {
    [sym_comment] = STATE(1357),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1358] = {
    [sym_comment] = STATE(1358),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1359] = {
    [sym_comment] = STATE(1359),
    [sym_identifier] = ACTIONS(3312),
    [anon_sym_export] = ACTIONS(3312),
    [anon_sym_default] = ACTIONS(3312),
    [anon_sym_type] = ACTIONS(3312),
    [anon_sym_namespace] = ACTIONS(3312),
    [anon_sym_LBRACE] = ACTIONS(3312),
    [anon_sym_RBRACE] = ACTIONS(3312),
    [anon_sym_typeof] = ACTIONS(3312),
    [anon_sym_import] = ACTIONS(3312),
    [anon_sym_var] = ACTIONS(3312),
    [anon_sym_let] = ACTIONS(3312),
    [anon_sym_const] = ACTIONS(3312),
    [anon_sym_BANG] = ACTIONS(3312),
    [anon_sym_if] = ACTIONS(3312),
    [anon_sym_switch] = ACTIONS(3312),
    [anon_sym_for] = ACTIONS(3312),
    [anon_sym_LPAREN] = ACTIONS(3312),
    [anon_sym_await] = ACTIONS(3312),
    [anon_sym_while] = ACTIONS(3312),
    [anon_sym_do] = ACTIONS(3312),
    [anon_sym_try] = ACTIONS(3312),
    [anon_sym_with] = ACTIONS(3312),
    [anon_sym_break] = ACTIONS(3312),
    [anon_sym_continue] = ACTIONS(3312),
    [anon_sym_debugger] = ACTIONS(3312),
    [anon_sym_return] = ACTIONS(3312),
    [anon_sym_throw] = ACTIONS(3312),
    [anon_sym_SEMI] = ACTIONS(3312),
    [anon_sym_case] = ACTIONS(3312),
    [anon_sym_yield] = ACTIONS(3312),
    [anon_sym_LBRACK] = ACTIONS(3312),
    [anon_sym_LTtemplate_GT] = ACTIONS(3312),
    [anon_sym_class] = ACTIONS(3312),
    [anon_sym_async] = ACTIONS(3312),
    [anon_sym_function] = ACTIONS(3312),
    [anon_sym_new] = ACTIONS(3312),
    [anon_sym_using] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_SLASH] = ACTIONS(3312),
    [anon_sym_LT] = ACTIONS(3312),
    [anon_sym_TILDE] = ACTIONS(3312),
    [anon_sym_void] = ACTIONS(3312),
    [anon_sym_delete] = ACTIONS(3312),
    [anon_sym_PLUS_PLUS] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(3312),
    [anon_sym_DQUOTE] = ACTIONS(3312),
    [anon_sym_SQUOTE] = ACTIONS(3312),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3312),
    [sym_number] = ACTIONS(3312),
    [sym_private_property_identifier] = ACTIONS(3312),
    [sym_this] = ACTIONS(3312),
    [sym_super] = ACTIONS(3312),
    [sym_true] = ACTIONS(3312),
    [sym_false] = ACTIONS(3312),
    [sym_null] = ACTIONS(3312),
    [sym_undefined] = ACTIONS(3312),
    [anon_sym_AT] = ACTIONS(3312),
    [anon_sym_static] = ACTIONS(3312),
    [anon_sym_readonly] = ACTIONS(3312),
    [anon_sym_get] = ACTIONS(3312),
    [anon_sym_set] = ACTIONS(3312),
    [anon_sym_declare] = ACTIONS(3312),
    [anon_sym_public] = ACTIONS(3312),
    [anon_sym_private] = ACTIONS(3312),
    [anon_sym_protected] = ACTIONS(3312),
    [anon_sym_override] = ACTIONS(3312),
    [anon_sym_module] = ACTIONS(3312),
    [anon_sym_any] = ACTIONS(3312),
    [anon_sym_number] = ACTIONS(3312),
    [anon_sym_boolean] = ACTIONS(3312),
    [anon_sym_string] = ACTIONS(3312),
    [anon_sym_symbol] = ACTIONS(3312),
    [anon_sym_object] = ACTIONS(3312),
    [anon_sym_abstract] = ACTIONS(3312),
    [anon_sym_interface] = ACTIONS(3312),
    [anon_sym_enum] = ACTIONS(3312),
    [sym_html_comment] = ACTIONS(5),
  },
  [1360] = {
    [sym_comment] = STATE(1360),
    [sym_identifier] = ACTIONS(3338),
    [anon_sym_export] = ACTIONS(3338),
    [anon_sym_default] = ACTIONS(3338),
    [anon_sym_type] = ACTIONS(3338),
    [anon_sym_namespace] = ACTIONS(3338),
    [anon_sym_LBRACE] = ACTIONS(3338),
    [anon_sym_RBRACE] = ACTIONS(3338),
    [anon_sym_typeof] = ACTIONS(3338),
    [anon_sym_import] = ACTIONS(3338),
    [anon_sym_var] = ACTIONS(3338),
    [anon_sym_let] = ACTIONS(3338),
    [anon_sym_const] = ACTIONS(3338),
    [anon_sym_BANG] = ACTIONS(3338),
    [anon_sym_if] = ACTIONS(3338),
    [anon_sym_switch] = ACTIONS(3338),
    [anon_sym_for] = ACTIONS(3338),
    [anon_sym_LPAREN] = ACTIONS(3338),
    [anon_sym_await] = ACTIONS(3338),
    [anon_sym_while] = ACTIONS(3338),
    [anon_sym_do] = ACTIONS(3338),
    [anon_sym_try] = ACTIONS(3338),
    [anon_sym_with] = ACTIONS(3338),
    [anon_sym_break] = ACTIONS(3338),
    [anon_sym_continue] = ACTIONS(3338),
    [anon_sym_debugger] = ACTIONS(3338),
    [anon_sym_return] = ACTIONS(3338),
    [anon_sym_throw] = ACTIONS(3338),
    [anon_sym_SEMI] = ACTIONS(3338),
    [anon_sym_case] = ACTIONS(3338),
    [anon_sym_yield] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(3338),
    [anon_sym_LTtemplate_GT] = ACTIONS(3338),
    [anon_sym_class] = ACTIONS(3338),
    [anon_sym_async] = ACTIONS(3338),
    [anon_sym_function] = ACTIONS(3338),
    [anon_sym_new] = ACTIONS(3338),
    [anon_sym_using] = ACTIONS(3338),
    [anon_sym_PLUS] = ACTIONS(3338),
    [anon_sym_DASH] = ACTIONS(3338),
    [anon_sym_SLASH] = ACTIONS(3338),
    [anon_sym_LT] = ACTIONS(3338),
    [anon_sym_TILDE] = ACTIONS(3338),
    [anon_sym_void] = ACTIONS(3338),
    [anon_sym_delete] = ACTIONS(3338),
    [anon_sym_PLUS_PLUS] = ACTIONS(3338),
    [anon_sym_DASH_DASH] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [anon_sym_SQUOTE] = ACTIONS(3338),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3338),
    [sym_number] = ACTIONS(3338),
    [sym_private_property_identifier] = ACTIONS(3338),
    [sym_this] = ACTIONS(3338),
    [sym_super] = ACTIONS(3338),
    [sym_true] = ACTIONS(3338),
    [sym_false] = ACTIONS(3338),
    [sym_null] = ACTIONS(3338),
    [sym_undefined] = ACTIONS(3338),
    [anon_sym_AT] = ACTIONS(3338),
    [anon_sym_static] = ACTIONS(3338),
    [anon_sym_readonly] = ACTIONS(3338),
    [anon_sym_get] = ACTIONS(3338),
    [anon_sym_set] = ACTIONS(3338),
    [anon_sym_declare] = ACTIONS(3338),
    [anon_sym_public] = ACTIONS(3338),
    [anon_sym_private] = ACTIONS(3338),
    [anon_sym_protected] = ACTIONS(3338),
    [anon_sym_override] = ACTIONS(3338),
    [anon_sym_module] = ACTIONS(3338),
    [anon_sym_any] = ACTIONS(3338),
    [anon_sym_number] = ACTIONS(3338),
    [anon_sym_boolean] = ACTIONS(3338),
    [anon_sym_string] = ACTIONS(3338),
    [anon_sym_symbol] = ACTIONS(3338),
    [anon_sym_object] = ACTIONS(3338),
    [anon_sym_abstract] = ACTIONS(3338),
    [anon_sym_interface] = ACTIONS(3338),
    [anon_sym_enum] = ACTIONS(3338),
    [sym_html_comment] = ACTIONS(5),
  },
  [1361] = {
    [sym_comment] = STATE(1361),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_export] = ACTIONS(3314),
    [anon_sym_default] = ACTIONS(3314),
    [anon_sym_type] = ACTIONS(3314),
    [anon_sym_namespace] = ACTIONS(3314),
    [anon_sym_LBRACE] = ACTIONS(3314),
    [anon_sym_RBRACE] = ACTIONS(3314),
    [anon_sym_typeof] = ACTIONS(3314),
    [anon_sym_import] = ACTIONS(3314),
    [anon_sym_var] = ACTIONS(3314),
    [anon_sym_let] = ACTIONS(3314),
    [anon_sym_const] = ACTIONS(3314),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_if] = ACTIONS(3314),
    [anon_sym_switch] = ACTIONS(3314),
    [anon_sym_for] = ACTIONS(3314),
    [anon_sym_LPAREN] = ACTIONS(3314),
    [anon_sym_await] = ACTIONS(3314),
    [anon_sym_while] = ACTIONS(3314),
    [anon_sym_do] = ACTIONS(3314),
    [anon_sym_try] = ACTIONS(3314),
    [anon_sym_with] = ACTIONS(3314),
    [anon_sym_break] = ACTIONS(3314),
    [anon_sym_continue] = ACTIONS(3314),
    [anon_sym_debugger] = ACTIONS(3314),
    [anon_sym_return] = ACTIONS(3314),
    [anon_sym_throw] = ACTIONS(3314),
    [anon_sym_SEMI] = ACTIONS(3314),
    [anon_sym_case] = ACTIONS(3314),
    [anon_sym_yield] = ACTIONS(3314),
    [anon_sym_LBRACK] = ACTIONS(3314),
    [anon_sym_LTtemplate_GT] = ACTIONS(3314),
    [anon_sym_class] = ACTIONS(3314),
    [anon_sym_async] = ACTIONS(3314),
    [anon_sym_function] = ACTIONS(3314),
    [anon_sym_new] = ACTIONS(3314),
    [anon_sym_using] = ACTIONS(3314),
    [anon_sym_PLUS] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3314),
    [anon_sym_SLASH] = ACTIONS(3314),
    [anon_sym_LT] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_void] = ACTIONS(3314),
    [anon_sym_delete] = ACTIONS(3314),
    [anon_sym_PLUS_PLUS] = ACTIONS(3314),
    [anon_sym_DASH_DASH] = ACTIONS(3314),
    [anon_sym_DQUOTE] = ACTIONS(3314),
    [anon_sym_SQUOTE] = ACTIONS(3314),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3314),
    [sym_number] = ACTIONS(3314),
    [sym_private_property_identifier] = ACTIONS(3314),
    [sym_this] = ACTIONS(3314),
    [sym_super] = ACTIONS(3314),
    [sym_true] = ACTIONS(3314),
    [sym_false] = ACTIONS(3314),
    [sym_null] = ACTIONS(3314),
    [sym_undefined] = ACTIONS(3314),
    [anon_sym_AT] = ACTIONS(3314),
    [anon_sym_static] = ACTIONS(3314),
    [anon_sym_readonly] = ACTIONS(3314),
    [anon_sym_get] = ACTIONS(3314),
    [anon_sym_set] = ACTIONS(3314),
    [anon_sym_declare] = ACTIONS(3314),
    [anon_sym_public] = ACTIONS(3314),
    [anon_sym_private] = ACTIONS(3314),
    [anon_sym_protected] = ACTIONS(3314),
    [anon_sym_override] = ACTIONS(3314),
    [anon_sym_module] = ACTIONS(3314),
    [anon_sym_any] = ACTIONS(3314),
    [anon_sym_number] = ACTIONS(3314),
    [anon_sym_boolean] = ACTIONS(3314),
    [anon_sym_string] = ACTIONS(3314),
    [anon_sym_symbol] = ACTIONS(3314),
    [anon_sym_object] = ACTIONS(3314),
    [anon_sym_abstract] = ACTIONS(3314),
    [anon_sym_interface] = ACTIONS(3314),
    [anon_sym_enum] = ACTIONS(3314),
    [sym_html_comment] = ACTIONS(5),
  },
  [1362] = {
    [sym_comment] = STATE(1362),
    [sym_identifier] = ACTIONS(3208),
    [anon_sym_export] = ACTIONS(3208),
    [anon_sym_default] = ACTIONS(3208),
    [anon_sym_type] = ACTIONS(3208),
    [anon_sym_namespace] = ACTIONS(3208),
    [anon_sym_LBRACE] = ACTIONS(3208),
    [anon_sym_RBRACE] = ACTIONS(3208),
    [anon_sym_typeof] = ACTIONS(3208),
    [anon_sym_import] = ACTIONS(3208),
    [anon_sym_var] = ACTIONS(3208),
    [anon_sym_let] = ACTIONS(3208),
    [anon_sym_const] = ACTIONS(3208),
    [anon_sym_BANG] = ACTIONS(3208),
    [anon_sym_if] = ACTIONS(3208),
    [anon_sym_switch] = ACTIONS(3208),
    [anon_sym_for] = ACTIONS(3208),
    [anon_sym_LPAREN] = ACTIONS(3208),
    [anon_sym_await] = ACTIONS(3208),
    [anon_sym_while] = ACTIONS(3208),
    [anon_sym_do] = ACTIONS(3208),
    [anon_sym_try] = ACTIONS(3208),
    [anon_sym_with] = ACTIONS(3208),
    [anon_sym_break] = ACTIONS(3208),
    [anon_sym_continue] = ACTIONS(3208),
    [anon_sym_debugger] = ACTIONS(3208),
    [anon_sym_return] = ACTIONS(3208),
    [anon_sym_throw] = ACTIONS(3208),
    [anon_sym_SEMI] = ACTIONS(3208),
    [anon_sym_case] = ACTIONS(3208),
    [anon_sym_yield] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_LTtemplate_GT] = ACTIONS(3208),
    [anon_sym_class] = ACTIONS(3208),
    [anon_sym_async] = ACTIONS(3208),
    [anon_sym_function] = ACTIONS(3208),
    [anon_sym_new] = ACTIONS(3208),
    [anon_sym_using] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3208),
    [anon_sym_DASH] = ACTIONS(3208),
    [anon_sym_SLASH] = ACTIONS(3208),
    [anon_sym_LT] = ACTIONS(3208),
    [anon_sym_TILDE] = ACTIONS(3208),
    [anon_sym_void] = ACTIONS(3208),
    [anon_sym_delete] = ACTIONS(3208),
    [anon_sym_PLUS_PLUS] = ACTIONS(3208),
    [anon_sym_DASH_DASH] = ACTIONS(3208),
    [anon_sym_DQUOTE] = ACTIONS(3208),
    [anon_sym_SQUOTE] = ACTIONS(3208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3208),
    [sym_number] = ACTIONS(3208),
    [sym_private_property_identifier] = ACTIONS(3208),
    [sym_this] = ACTIONS(3208),
    [sym_super] = ACTIONS(3208),
    [sym_true] = ACTIONS(3208),
    [sym_false] = ACTIONS(3208),
    [sym_null] = ACTIONS(3208),
    [sym_undefined] = ACTIONS(3208),
    [anon_sym_AT] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(3208),
    [anon_sym_readonly] = ACTIONS(3208),
    [anon_sym_get] = ACTIONS(3208),
    [anon_sym_set] = ACTIONS(3208),
    [anon_sym_declare] = ACTIONS(3208),
    [anon_sym_public] = ACTIONS(3208),
    [anon_sym_private] = ACTIONS(3208),
    [anon_sym_protected] = ACTIONS(3208),
    [anon_sym_override] = ACTIONS(3208),
    [anon_sym_module] = ACTIONS(3208),
    [anon_sym_any] = ACTIONS(3208),
    [anon_sym_number] = ACTIONS(3208),
    [anon_sym_boolean] = ACTIONS(3208),
    [anon_sym_string] = ACTIONS(3208),
    [anon_sym_symbol] = ACTIONS(3208),
    [anon_sym_object] = ACTIONS(3208),
    [anon_sym_abstract] = ACTIONS(3208),
    [anon_sym_interface] = ACTIONS(3208),
    [anon_sym_enum] = ACTIONS(3208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1363] = {
    [sym_comment] = STATE(1363),
    [sym_identifier] = ACTIONS(3306),
    [anon_sym_export] = ACTIONS(3306),
    [anon_sym_default] = ACTIONS(3306),
    [anon_sym_type] = ACTIONS(3306),
    [anon_sym_namespace] = ACTIONS(3306),
    [anon_sym_LBRACE] = ACTIONS(3306),
    [anon_sym_RBRACE] = ACTIONS(3306),
    [anon_sym_typeof] = ACTIONS(3306),
    [anon_sym_import] = ACTIONS(3306),
    [anon_sym_var] = ACTIONS(3306),
    [anon_sym_let] = ACTIONS(3306),
    [anon_sym_const] = ACTIONS(3306),
    [anon_sym_BANG] = ACTIONS(3306),
    [anon_sym_if] = ACTIONS(3306),
    [anon_sym_switch] = ACTIONS(3306),
    [anon_sym_for] = ACTIONS(3306),
    [anon_sym_LPAREN] = ACTIONS(3306),
    [anon_sym_await] = ACTIONS(3306),
    [anon_sym_while] = ACTIONS(3306),
    [anon_sym_do] = ACTIONS(3306),
    [anon_sym_try] = ACTIONS(3306),
    [anon_sym_with] = ACTIONS(3306),
    [anon_sym_break] = ACTIONS(3306),
    [anon_sym_continue] = ACTIONS(3306),
    [anon_sym_debugger] = ACTIONS(3306),
    [anon_sym_return] = ACTIONS(3306),
    [anon_sym_throw] = ACTIONS(3306),
    [anon_sym_SEMI] = ACTIONS(3306),
    [anon_sym_case] = ACTIONS(3306),
    [anon_sym_yield] = ACTIONS(3306),
    [anon_sym_LBRACK] = ACTIONS(3306),
    [anon_sym_LTtemplate_GT] = ACTIONS(3306),
    [anon_sym_class] = ACTIONS(3306),
    [anon_sym_async] = ACTIONS(3306),
    [anon_sym_function] = ACTIONS(3306),
    [anon_sym_new] = ACTIONS(3306),
    [anon_sym_using] = ACTIONS(3306),
    [anon_sym_PLUS] = ACTIONS(3306),
    [anon_sym_DASH] = ACTIONS(3306),
    [anon_sym_SLASH] = ACTIONS(3306),
    [anon_sym_LT] = ACTIONS(3306),
    [anon_sym_TILDE] = ACTIONS(3306),
    [anon_sym_void] = ACTIONS(3306),
    [anon_sym_delete] = ACTIONS(3306),
    [anon_sym_PLUS_PLUS] = ACTIONS(3306),
    [anon_sym_DASH_DASH] = ACTIONS(3306),
    [anon_sym_DQUOTE] = ACTIONS(3306),
    [anon_sym_SQUOTE] = ACTIONS(3306),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3306),
    [sym_number] = ACTIONS(3306),
    [sym_private_property_identifier] = ACTIONS(3306),
    [sym_this] = ACTIONS(3306),
    [sym_super] = ACTIONS(3306),
    [sym_true] = ACTIONS(3306),
    [sym_false] = ACTIONS(3306),
    [sym_null] = ACTIONS(3306),
    [sym_undefined] = ACTIONS(3306),
    [anon_sym_AT] = ACTIONS(3306),
    [anon_sym_static] = ACTIONS(3306),
    [anon_sym_readonly] = ACTIONS(3306),
    [anon_sym_get] = ACTIONS(3306),
    [anon_sym_set] = ACTIONS(3306),
    [anon_sym_declare] = ACTIONS(3306),
    [anon_sym_public] = ACTIONS(3306),
    [anon_sym_private] = ACTIONS(3306),
    [anon_sym_protected] = ACTIONS(3306),
    [anon_sym_override] = ACTIONS(3306),
    [anon_sym_module] = ACTIONS(3306),
    [anon_sym_any] = ACTIONS(3306),
    [anon_sym_number] = ACTIONS(3306),
    [anon_sym_boolean] = ACTIONS(3306),
    [anon_sym_string] = ACTIONS(3306),
    [anon_sym_symbol] = ACTIONS(3306),
    [anon_sym_object] = ACTIONS(3306),
    [anon_sym_abstract] = ACTIONS(3306),
    [anon_sym_interface] = ACTIONS(3306),
    [anon_sym_enum] = ACTIONS(3306),
    [sym_html_comment] = ACTIONS(5),
  },
  [1364] = {
    [sym_comment] = STATE(1364),
    [sym_identifier] = ACTIONS(3298),
    [anon_sym_export] = ACTIONS(3298),
    [anon_sym_default] = ACTIONS(3298),
    [anon_sym_type] = ACTIONS(3298),
    [anon_sym_namespace] = ACTIONS(3298),
    [anon_sym_LBRACE] = ACTIONS(3298),
    [anon_sym_RBRACE] = ACTIONS(3298),
    [anon_sym_typeof] = ACTIONS(3298),
    [anon_sym_import] = ACTIONS(3298),
    [anon_sym_var] = ACTIONS(3298),
    [anon_sym_let] = ACTIONS(3298),
    [anon_sym_const] = ACTIONS(3298),
    [anon_sym_BANG] = ACTIONS(3298),
    [anon_sym_if] = ACTIONS(3298),
    [anon_sym_switch] = ACTIONS(3298),
    [anon_sym_for] = ACTIONS(3298),
    [anon_sym_LPAREN] = ACTIONS(3298),
    [anon_sym_await] = ACTIONS(3298),
    [anon_sym_while] = ACTIONS(3298),
    [anon_sym_do] = ACTIONS(3298),
    [anon_sym_try] = ACTIONS(3298),
    [anon_sym_with] = ACTIONS(3298),
    [anon_sym_break] = ACTIONS(3298),
    [anon_sym_continue] = ACTIONS(3298),
    [anon_sym_debugger] = ACTIONS(3298),
    [anon_sym_return] = ACTIONS(3298),
    [anon_sym_throw] = ACTIONS(3298),
    [anon_sym_SEMI] = ACTIONS(3298),
    [anon_sym_case] = ACTIONS(3298),
    [anon_sym_yield] = ACTIONS(3298),
    [anon_sym_LBRACK] = ACTIONS(3298),
    [anon_sym_LTtemplate_GT] = ACTIONS(3298),
    [anon_sym_class] = ACTIONS(3298),
    [anon_sym_async] = ACTIONS(3298),
    [anon_sym_function] = ACTIONS(3298),
    [anon_sym_new] = ACTIONS(3298),
    [anon_sym_using] = ACTIONS(3298),
    [anon_sym_PLUS] = ACTIONS(3298),
    [anon_sym_DASH] = ACTIONS(3298),
    [anon_sym_SLASH] = ACTIONS(3298),
    [anon_sym_LT] = ACTIONS(3298),
    [anon_sym_TILDE] = ACTIONS(3298),
    [anon_sym_void] = ACTIONS(3298),
    [anon_sym_delete] = ACTIONS(3298),
    [anon_sym_PLUS_PLUS] = ACTIONS(3298),
    [anon_sym_DASH_DASH] = ACTIONS(3298),
    [anon_sym_DQUOTE] = ACTIONS(3298),
    [anon_sym_SQUOTE] = ACTIONS(3298),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3298),
    [sym_number] = ACTIONS(3298),
    [sym_private_property_identifier] = ACTIONS(3298),
    [sym_this] = ACTIONS(3298),
    [sym_super] = ACTIONS(3298),
    [sym_true] = ACTIONS(3298),
    [sym_false] = ACTIONS(3298),
    [sym_null] = ACTIONS(3298),
    [sym_undefined] = ACTIONS(3298),
    [anon_sym_AT] = ACTIONS(3298),
    [anon_sym_static] = ACTIONS(3298),
    [anon_sym_readonly] = ACTIONS(3298),
    [anon_sym_get] = ACTIONS(3298),
    [anon_sym_set] = ACTIONS(3298),
    [anon_sym_declare] = ACTIONS(3298),
    [anon_sym_public] = ACTIONS(3298),
    [anon_sym_private] = ACTIONS(3298),
    [anon_sym_protected] = ACTIONS(3298),
    [anon_sym_override] = ACTIONS(3298),
    [anon_sym_module] = ACTIONS(3298),
    [anon_sym_any] = ACTIONS(3298),
    [anon_sym_number] = ACTIONS(3298),
    [anon_sym_boolean] = ACTIONS(3298),
    [anon_sym_string] = ACTIONS(3298),
    [anon_sym_symbol] = ACTIONS(3298),
    [anon_sym_object] = ACTIONS(3298),
    [anon_sym_abstract] = ACTIONS(3298),
    [anon_sym_interface] = ACTIONS(3298),
    [anon_sym_enum] = ACTIONS(3298),
    [sym_html_comment] = ACTIONS(5),
  },
  [1365] = {
    [sym_comment] = STATE(1365),
    [sym_identifier] = ACTIONS(3316),
    [anon_sym_export] = ACTIONS(3316),
    [anon_sym_default] = ACTIONS(3316),
    [anon_sym_type] = ACTIONS(3316),
    [anon_sym_namespace] = ACTIONS(3316),
    [anon_sym_LBRACE] = ACTIONS(3316),
    [anon_sym_RBRACE] = ACTIONS(3316),
    [anon_sym_typeof] = ACTIONS(3316),
    [anon_sym_import] = ACTIONS(3316),
    [anon_sym_var] = ACTIONS(3316),
    [anon_sym_let] = ACTIONS(3316),
    [anon_sym_const] = ACTIONS(3316),
    [anon_sym_BANG] = ACTIONS(3316),
    [anon_sym_if] = ACTIONS(3316),
    [anon_sym_switch] = ACTIONS(3316),
    [anon_sym_for] = ACTIONS(3316),
    [anon_sym_LPAREN] = ACTIONS(3316),
    [anon_sym_await] = ACTIONS(3316),
    [anon_sym_while] = ACTIONS(3316),
    [anon_sym_do] = ACTIONS(3316),
    [anon_sym_try] = ACTIONS(3316),
    [anon_sym_with] = ACTIONS(3316),
    [anon_sym_break] = ACTIONS(3316),
    [anon_sym_continue] = ACTIONS(3316),
    [anon_sym_debugger] = ACTIONS(3316),
    [anon_sym_return] = ACTIONS(3316),
    [anon_sym_throw] = ACTIONS(3316),
    [anon_sym_SEMI] = ACTIONS(3316),
    [anon_sym_case] = ACTIONS(3316),
    [anon_sym_yield] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(3316),
    [anon_sym_LTtemplate_GT] = ACTIONS(3316),
    [anon_sym_class] = ACTIONS(3316),
    [anon_sym_async] = ACTIONS(3316),
    [anon_sym_function] = ACTIONS(3316),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_using] = ACTIONS(3316),
    [anon_sym_PLUS] = ACTIONS(3316),
    [anon_sym_DASH] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3316),
    [anon_sym_LT] = ACTIONS(3316),
    [anon_sym_TILDE] = ACTIONS(3316),
    [anon_sym_void] = ACTIONS(3316),
    [anon_sym_delete] = ACTIONS(3316),
    [anon_sym_PLUS_PLUS] = ACTIONS(3316),
    [anon_sym_DASH_DASH] = ACTIONS(3316),
    [anon_sym_DQUOTE] = ACTIONS(3316),
    [anon_sym_SQUOTE] = ACTIONS(3316),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3316),
    [sym_number] = ACTIONS(3316),
    [sym_private_property_identifier] = ACTIONS(3316),
    [sym_this] = ACTIONS(3316),
    [sym_super] = ACTIONS(3316),
    [sym_true] = ACTIONS(3316),
    [sym_false] = ACTIONS(3316),
    [sym_null] = ACTIONS(3316),
    [sym_undefined] = ACTIONS(3316),
    [anon_sym_AT] = ACTIONS(3316),
    [anon_sym_static] = ACTIONS(3316),
    [anon_sym_readonly] = ACTIONS(3316),
    [anon_sym_get] = ACTIONS(3316),
    [anon_sym_set] = ACTIONS(3316),
    [anon_sym_declare] = ACTIONS(3316),
    [anon_sym_public] = ACTIONS(3316),
    [anon_sym_private] = ACTIONS(3316),
    [anon_sym_protected] = ACTIONS(3316),
    [anon_sym_override] = ACTIONS(3316),
    [anon_sym_module] = ACTIONS(3316),
    [anon_sym_any] = ACTIONS(3316),
    [anon_sym_number] = ACTIONS(3316),
    [anon_sym_boolean] = ACTIONS(3316),
    [anon_sym_string] = ACTIONS(3316),
    [anon_sym_symbol] = ACTIONS(3316),
    [anon_sym_object] = ACTIONS(3316),
    [anon_sym_abstract] = ACTIONS(3316),
    [anon_sym_interface] = ACTIONS(3316),
    [anon_sym_enum] = ACTIONS(3316),
    [sym_html_comment] = ACTIONS(5),
  },
  [1366] = {
    [sym_comment] = STATE(1366),
    [ts_builtin_sym_end] = ACTIONS(3388),
    [sym_identifier] = ACTIONS(3310),
    [anon_sym_export] = ACTIONS(3310),
    [anon_sym_type] = ACTIONS(3310),
    [anon_sym_namespace] = ACTIONS(3310),
    [anon_sym_LBRACE] = ACTIONS(3310),
    [anon_sym_RBRACE] = ACTIONS(3310),
    [anon_sym_typeof] = ACTIONS(3310),
    [anon_sym_import] = ACTIONS(3310),
    [anon_sym_var] = ACTIONS(3310),
    [anon_sym_let] = ACTIONS(3310),
    [anon_sym_const] = ACTIONS(3310),
    [anon_sym_BANG] = ACTIONS(3310),
    [anon_sym_else] = ACTIONS(3310),
    [anon_sym_if] = ACTIONS(3310),
    [anon_sym_switch] = ACTIONS(3310),
    [anon_sym_for] = ACTIONS(3310),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_await] = ACTIONS(3310),
    [anon_sym_while] = ACTIONS(3310),
    [anon_sym_do] = ACTIONS(3310),
    [anon_sym_try] = ACTIONS(3310),
    [anon_sym_with] = ACTIONS(3310),
    [anon_sym_break] = ACTIONS(3310),
    [anon_sym_continue] = ACTIONS(3310),
    [anon_sym_debugger] = ACTIONS(3310),
    [anon_sym_return] = ACTIONS(3310),
    [anon_sym_throw] = ACTIONS(3310),
    [anon_sym_SEMI] = ACTIONS(3310),
    [anon_sym_yield] = ACTIONS(3310),
    [anon_sym_LBRACK] = ACTIONS(3310),
    [anon_sym_LTtemplate_GT] = ACTIONS(3310),
    [anon_sym_class] = ACTIONS(3310),
    [anon_sym_async] = ACTIONS(3310),
    [anon_sym_function] = ACTIONS(3310),
    [anon_sym_new] = ACTIONS(3310),
    [anon_sym_using] = ACTIONS(3310),
    [anon_sym_PLUS] = ACTIONS(3310),
    [anon_sym_DASH] = ACTIONS(3310),
    [anon_sym_SLASH] = ACTIONS(3310),
    [anon_sym_LT] = ACTIONS(3310),
    [anon_sym_TILDE] = ACTIONS(3310),
    [anon_sym_void] = ACTIONS(3310),
    [anon_sym_delete] = ACTIONS(3310),
    [anon_sym_PLUS_PLUS] = ACTIONS(3310),
    [anon_sym_DASH_DASH] = ACTIONS(3310),
    [anon_sym_DQUOTE] = ACTIONS(3310),
    [anon_sym_SQUOTE] = ACTIONS(3310),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3310),
    [sym_number] = ACTIONS(3310),
    [sym_private_property_identifier] = ACTIONS(3310),
    [sym_this] = ACTIONS(3310),
    [sym_super] = ACTIONS(3310),
    [sym_true] = ACTIONS(3310),
    [sym_false] = ACTIONS(3310),
    [sym_null] = ACTIONS(3310),
    [sym_undefined] = ACTIONS(3310),
    [anon_sym_AT] = ACTIONS(3310),
    [anon_sym_static] = ACTIONS(3310),
    [anon_sym_readonly] = ACTIONS(3310),
    [anon_sym_get] = ACTIONS(3310),
    [anon_sym_set] = ACTIONS(3310),
    [anon_sym_declare] = ACTIONS(3310),
    [anon_sym_public] = ACTIONS(3310),
    [anon_sym_private] = ACTIONS(3310),
    [anon_sym_protected] = ACTIONS(3310),
    [anon_sym_override] = ACTIONS(3310),
    [anon_sym_module] = ACTIONS(3310),
    [anon_sym_any] = ACTIONS(3310),
    [anon_sym_number] = ACTIONS(3310),
    [anon_sym_boolean] = ACTIONS(3310),
    [anon_sym_string] = ACTIONS(3310),
    [anon_sym_symbol] = ACTIONS(3310),
    [anon_sym_object] = ACTIONS(3310),
    [anon_sym_abstract] = ACTIONS(3310),
    [anon_sym_interface] = ACTIONS(3310),
    [anon_sym_enum] = ACTIONS(3310),
    [sym_html_comment] = ACTIONS(5),
  },
  [1367] = {
    [sym_comment] = STATE(1367),
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1368] = {
    [sym_comment] = STATE(1368),
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1369] = {
    [sym_comment] = STATE(1369),
    [ts_builtin_sym_end] = ACTIONS(3202),
    [sym_identifier] = ACTIONS(3094),
    [anon_sym_export] = ACTIONS(3094),
    [anon_sym_type] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3094),
    [anon_sym_RBRACE] = ACTIONS(3094),
    [anon_sym_typeof] = ACTIONS(3094),
    [anon_sym_import] = ACTIONS(3094),
    [anon_sym_var] = ACTIONS(3094),
    [anon_sym_let] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_BANG] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_LPAREN] = ACTIONS(3094),
    [anon_sym_await] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_with] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_debugger] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3094),
    [anon_sym_finally] = ACTIONS(3094),
    [anon_sym_yield] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_LTtemplate_GT] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_async] = ACTIONS(3094),
    [anon_sym_function] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_SLASH] = ACTIONS(3094),
    [anon_sym_LT] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3094),
    [anon_sym_void] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_PLUS_PLUS] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3094),
    [anon_sym_DQUOTE] = ACTIONS(3094),
    [anon_sym_SQUOTE] = ACTIONS(3094),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3094),
    [sym_number] = ACTIONS(3094),
    [sym_private_property_identifier] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
    [sym_super] = ACTIONS(3094),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [sym_null] = ACTIONS(3094),
    [sym_undefined] = ACTIONS(3094),
    [anon_sym_AT] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_readonly] = ACTIONS(3094),
    [anon_sym_get] = ACTIONS(3094),
    [anon_sym_set] = ACTIONS(3094),
    [anon_sym_declare] = ACTIONS(3094),
    [anon_sym_public] = ACTIONS(3094),
    [anon_sym_private] = ACTIONS(3094),
    [anon_sym_protected] = ACTIONS(3094),
    [anon_sym_override] = ACTIONS(3094),
    [anon_sym_module] = ACTIONS(3094),
    [anon_sym_any] = ACTIONS(3094),
    [anon_sym_number] = ACTIONS(3094),
    [anon_sym_boolean] = ACTIONS(3094),
    [anon_sym_string] = ACTIONS(3094),
    [anon_sym_symbol] = ACTIONS(3094),
    [anon_sym_object] = ACTIONS(3094),
    [anon_sym_abstract] = ACTIONS(3094),
    [anon_sym_interface] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [sym_html_comment] = ACTIONS(5),
  },
  [1370] = {
    [sym_comment] = STATE(1370),
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1371] = {
    [sym_comment] = STATE(1371),
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1372] = {
    [sym_comment] = STATE(1372),
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1373] = {
    [sym_comment] = STATE(1373),
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1374] = {
    [sym_comment] = STATE(1374),
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1375] = {
    [sym_comment] = STATE(1375),
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1376] = {
    [sym_comment] = STATE(1376),
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1377] = {
    [sym_comment] = STATE(1377),
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1378] = {
    [sym_comment] = STATE(1378),
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1379] = {
    [sym_comment] = STATE(1379),
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1380] = {
    [sym_comment] = STATE(1380),
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1381] = {
    [sym_comment] = STATE(1381),
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_else] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1382] = {
    [sym_comment] = STATE(1382),
    [ts_builtin_sym_end] = ACTIONS(3390),
    [sym_identifier] = ACTIONS(3334),
    [anon_sym_export] = ACTIONS(3334),
    [anon_sym_type] = ACTIONS(3334),
    [anon_sym_namespace] = ACTIONS(3334),
    [anon_sym_LBRACE] = ACTIONS(3334),
    [anon_sym_RBRACE] = ACTIONS(3334),
    [anon_sym_typeof] = ACTIONS(3334),
    [anon_sym_import] = ACTIONS(3334),
    [anon_sym_var] = ACTIONS(3334),
    [anon_sym_let] = ACTIONS(3334),
    [anon_sym_const] = ACTIONS(3334),
    [anon_sym_BANG] = ACTIONS(3334),
    [anon_sym_else] = ACTIONS(3334),
    [anon_sym_if] = ACTIONS(3334),
    [anon_sym_switch] = ACTIONS(3334),
    [anon_sym_for] = ACTIONS(3334),
    [anon_sym_LPAREN] = ACTIONS(3334),
    [anon_sym_await] = ACTIONS(3334),
    [anon_sym_while] = ACTIONS(3334),
    [anon_sym_do] = ACTIONS(3334),
    [anon_sym_try] = ACTIONS(3334),
    [anon_sym_with] = ACTIONS(3334),
    [anon_sym_break] = ACTIONS(3334),
    [anon_sym_continue] = ACTIONS(3334),
    [anon_sym_debugger] = ACTIONS(3334),
    [anon_sym_return] = ACTIONS(3334),
    [anon_sym_throw] = ACTIONS(3334),
    [anon_sym_SEMI] = ACTIONS(3334),
    [anon_sym_yield] = ACTIONS(3334),
    [anon_sym_LBRACK] = ACTIONS(3334),
    [anon_sym_LTtemplate_GT] = ACTIONS(3334),
    [anon_sym_class] = ACTIONS(3334),
    [anon_sym_async] = ACTIONS(3334),
    [anon_sym_function] = ACTIONS(3334),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_using] = ACTIONS(3334),
    [anon_sym_PLUS] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3334),
    [anon_sym_SLASH] = ACTIONS(3334),
    [anon_sym_LT] = ACTIONS(3334),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_void] = ACTIONS(3334),
    [anon_sym_delete] = ACTIONS(3334),
    [anon_sym_PLUS_PLUS] = ACTIONS(3334),
    [anon_sym_DASH_DASH] = ACTIONS(3334),
    [anon_sym_DQUOTE] = ACTIONS(3334),
    [anon_sym_SQUOTE] = ACTIONS(3334),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3334),
    [sym_number] = ACTIONS(3334),
    [sym_private_property_identifier] = ACTIONS(3334),
    [sym_this] = ACTIONS(3334),
    [sym_super] = ACTIONS(3334),
    [sym_true] = ACTIONS(3334),
    [sym_false] = ACTIONS(3334),
    [sym_null] = ACTIONS(3334),
    [sym_undefined] = ACTIONS(3334),
    [anon_sym_AT] = ACTIONS(3334),
    [anon_sym_static] = ACTIONS(3334),
    [anon_sym_readonly] = ACTIONS(3334),
    [anon_sym_get] = ACTIONS(3334),
    [anon_sym_set] = ACTIONS(3334),
    [anon_sym_declare] = ACTIONS(3334),
    [anon_sym_public] = ACTIONS(3334),
    [anon_sym_private] = ACTIONS(3334),
    [anon_sym_protected] = ACTIONS(3334),
    [anon_sym_override] = ACTIONS(3334),
    [anon_sym_module] = ACTIONS(3334),
    [anon_sym_any] = ACTIONS(3334),
    [anon_sym_number] = ACTIONS(3334),
    [anon_sym_boolean] = ACTIONS(3334),
    [anon_sym_string] = ACTIONS(3334),
    [anon_sym_symbol] = ACTIONS(3334),
    [anon_sym_object] = ACTIONS(3334),
    [anon_sym_abstract] = ACTIONS(3334),
    [anon_sym_interface] = ACTIONS(3334),
    [anon_sym_enum] = ACTIONS(3334),
    [sym_html_comment] = ACTIONS(5),
  },
  [1383] = {
    [sym_comment] = STATE(1383),
    [sym_identifier] = ACTIONS(3242),
    [anon_sym_export] = ACTIONS(3242),
    [anon_sym_default] = ACTIONS(3242),
    [anon_sym_type] = ACTIONS(3242),
    [anon_sym_namespace] = ACTIONS(3242),
    [anon_sym_LBRACE] = ACTIONS(3242),
    [anon_sym_RBRACE] = ACTIONS(3242),
    [anon_sym_typeof] = ACTIONS(3242),
    [anon_sym_import] = ACTIONS(3242),
    [anon_sym_var] = ACTIONS(3242),
    [anon_sym_let] = ACTIONS(3242),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_BANG] = ACTIONS(3242),
    [anon_sym_if] = ACTIONS(3242),
    [anon_sym_switch] = ACTIONS(3242),
    [anon_sym_for] = ACTIONS(3242),
    [anon_sym_LPAREN] = ACTIONS(3242),
    [anon_sym_await] = ACTIONS(3242),
    [anon_sym_while] = ACTIONS(3242),
    [anon_sym_do] = ACTIONS(3242),
    [anon_sym_try] = ACTIONS(3242),
    [anon_sym_with] = ACTIONS(3242),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_continue] = ACTIONS(3242),
    [anon_sym_debugger] = ACTIONS(3242),
    [anon_sym_return] = ACTIONS(3242),
    [anon_sym_throw] = ACTIONS(3242),
    [anon_sym_SEMI] = ACTIONS(3242),
    [anon_sym_case] = ACTIONS(3242),
    [anon_sym_yield] = ACTIONS(3242),
    [anon_sym_LBRACK] = ACTIONS(3242),
    [anon_sym_LTtemplate_GT] = ACTIONS(3242),
    [anon_sym_class] = ACTIONS(3242),
    [anon_sym_async] = ACTIONS(3242),
    [anon_sym_function] = ACTIONS(3242),
    [anon_sym_new] = ACTIONS(3242),
    [anon_sym_using] = ACTIONS(3242),
    [anon_sym_PLUS] = ACTIONS(3242),
    [anon_sym_DASH] = ACTIONS(3242),
    [anon_sym_SLASH] = ACTIONS(3242),
    [anon_sym_LT] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_void] = ACTIONS(3242),
    [anon_sym_delete] = ACTIONS(3242),
    [anon_sym_PLUS_PLUS] = ACTIONS(3242),
    [anon_sym_DASH_DASH] = ACTIONS(3242),
    [anon_sym_DQUOTE] = ACTIONS(3242),
    [anon_sym_SQUOTE] = ACTIONS(3242),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3242),
    [sym_number] = ACTIONS(3242),
    [sym_private_property_identifier] = ACTIONS(3242),
    [sym_this] = ACTIONS(3242),
    [sym_super] = ACTIONS(3242),
    [sym_true] = ACTIONS(3242),
    [sym_false] = ACTIONS(3242),
    [sym_null] = ACTIONS(3242),
    [sym_undefined] = ACTIONS(3242),
    [anon_sym_AT] = ACTIONS(3242),
    [anon_sym_static] = ACTIONS(3242),
    [anon_sym_readonly] = ACTIONS(3242),
    [anon_sym_get] = ACTIONS(3242),
    [anon_sym_set] = ACTIONS(3242),
    [anon_sym_declare] = ACTIONS(3242),
    [anon_sym_public] = ACTIONS(3242),
    [anon_sym_private] = ACTIONS(3242),
    [anon_sym_protected] = ACTIONS(3242),
    [anon_sym_override] = ACTIONS(3242),
    [anon_sym_module] = ACTIONS(3242),
    [anon_sym_any] = ACTIONS(3242),
    [anon_sym_number] = ACTIONS(3242),
    [anon_sym_boolean] = ACTIONS(3242),
    [anon_sym_string] = ACTIONS(3242),
    [anon_sym_symbol] = ACTIONS(3242),
    [anon_sym_object] = ACTIONS(3242),
    [anon_sym_abstract] = ACTIONS(3242),
    [anon_sym_interface] = ACTIONS(3242),
    [anon_sym_enum] = ACTIONS(3242),
    [sym_html_comment] = ACTIONS(5),
  },
  [1384] = {
    [sym_comment] = STATE(1384),
    [sym_identifier] = ACTIONS(3240),
    [anon_sym_export] = ACTIONS(3240),
    [anon_sym_default] = ACTIONS(3240),
    [anon_sym_type] = ACTIONS(3240),
    [anon_sym_namespace] = ACTIONS(3240),
    [anon_sym_LBRACE] = ACTIONS(3240),
    [anon_sym_RBRACE] = ACTIONS(3240),
    [anon_sym_typeof] = ACTIONS(3240),
    [anon_sym_import] = ACTIONS(3240),
    [anon_sym_var] = ACTIONS(3240),
    [anon_sym_let] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3240),
    [anon_sym_BANG] = ACTIONS(3240),
    [anon_sym_if] = ACTIONS(3240),
    [anon_sym_switch] = ACTIONS(3240),
    [anon_sym_for] = ACTIONS(3240),
    [anon_sym_LPAREN] = ACTIONS(3240),
    [anon_sym_await] = ACTIONS(3240),
    [anon_sym_while] = ACTIONS(3240),
    [anon_sym_do] = ACTIONS(3240),
    [anon_sym_try] = ACTIONS(3240),
    [anon_sym_with] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3240),
    [anon_sym_continue] = ACTIONS(3240),
    [anon_sym_debugger] = ACTIONS(3240),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_throw] = ACTIONS(3240),
    [anon_sym_SEMI] = ACTIONS(3240),
    [anon_sym_case] = ACTIONS(3240),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_LBRACK] = ACTIONS(3240),
    [anon_sym_LTtemplate_GT] = ACTIONS(3240),
    [anon_sym_class] = ACTIONS(3240),
    [anon_sym_async] = ACTIONS(3240),
    [anon_sym_function] = ACTIONS(3240),
    [anon_sym_new] = ACTIONS(3240),
    [anon_sym_using] = ACTIONS(3240),
    [anon_sym_PLUS] = ACTIONS(3240),
    [anon_sym_DASH] = ACTIONS(3240),
    [anon_sym_SLASH] = ACTIONS(3240),
    [anon_sym_LT] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3240),
    [anon_sym_void] = ACTIONS(3240),
    [anon_sym_delete] = ACTIONS(3240),
    [anon_sym_PLUS_PLUS] = ACTIONS(3240),
    [anon_sym_DASH_DASH] = ACTIONS(3240),
    [anon_sym_DQUOTE] = ACTIONS(3240),
    [anon_sym_SQUOTE] = ACTIONS(3240),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3240),
    [sym_number] = ACTIONS(3240),
    [sym_private_property_identifier] = ACTIONS(3240),
    [sym_this] = ACTIONS(3240),
    [sym_super] = ACTIONS(3240),
    [sym_true] = ACTIONS(3240),
    [sym_false] = ACTIONS(3240),
    [sym_null] = ACTIONS(3240),
    [sym_undefined] = ACTIONS(3240),
    [anon_sym_AT] = ACTIONS(3240),
    [anon_sym_static] = ACTIONS(3240),
    [anon_sym_readonly] = ACTIONS(3240),
    [anon_sym_get] = ACTIONS(3240),
    [anon_sym_set] = ACTIONS(3240),
    [anon_sym_declare] = ACTIONS(3240),
    [anon_sym_public] = ACTIONS(3240),
    [anon_sym_private] = ACTIONS(3240),
    [anon_sym_protected] = ACTIONS(3240),
    [anon_sym_override] = ACTIONS(3240),
    [anon_sym_module] = ACTIONS(3240),
    [anon_sym_any] = ACTIONS(3240),
    [anon_sym_number] = ACTIONS(3240),
    [anon_sym_boolean] = ACTIONS(3240),
    [anon_sym_string] = ACTIONS(3240),
    [anon_sym_symbol] = ACTIONS(3240),
    [anon_sym_object] = ACTIONS(3240),
    [anon_sym_abstract] = ACTIONS(3240),
    [anon_sym_interface] = ACTIONS(3240),
    [anon_sym_enum] = ACTIONS(3240),
    [sym_html_comment] = ACTIONS(5),
  },
  [1385] = {
    [sym_comment] = STATE(1385),
    [sym_identifier] = ACTIONS(3238),
    [anon_sym_export] = ACTIONS(3238),
    [anon_sym_default] = ACTIONS(3238),
    [anon_sym_type] = ACTIONS(3238),
    [anon_sym_namespace] = ACTIONS(3238),
    [anon_sym_LBRACE] = ACTIONS(3238),
    [anon_sym_RBRACE] = ACTIONS(3238),
    [anon_sym_typeof] = ACTIONS(3238),
    [anon_sym_import] = ACTIONS(3238),
    [anon_sym_var] = ACTIONS(3238),
    [anon_sym_let] = ACTIONS(3238),
    [anon_sym_const] = ACTIONS(3238),
    [anon_sym_BANG] = ACTIONS(3238),
    [anon_sym_if] = ACTIONS(3238),
    [anon_sym_switch] = ACTIONS(3238),
    [anon_sym_for] = ACTIONS(3238),
    [anon_sym_LPAREN] = ACTIONS(3238),
    [anon_sym_await] = ACTIONS(3238),
    [anon_sym_while] = ACTIONS(3238),
    [anon_sym_do] = ACTIONS(3238),
    [anon_sym_try] = ACTIONS(3238),
    [anon_sym_with] = ACTIONS(3238),
    [anon_sym_break] = ACTIONS(3238),
    [anon_sym_continue] = ACTIONS(3238),
    [anon_sym_debugger] = ACTIONS(3238),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_throw] = ACTIONS(3238),
    [anon_sym_SEMI] = ACTIONS(3238),
    [anon_sym_case] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3238),
    [anon_sym_LBRACK] = ACTIONS(3238),
    [anon_sym_LTtemplate_GT] = ACTIONS(3238),
    [anon_sym_class] = ACTIONS(3238),
    [anon_sym_async] = ACTIONS(3238),
    [anon_sym_function] = ACTIONS(3238),
    [anon_sym_new] = ACTIONS(3238),
    [anon_sym_using] = ACTIONS(3238),
    [anon_sym_PLUS] = ACTIONS(3238),
    [anon_sym_DASH] = ACTIONS(3238),
    [anon_sym_SLASH] = ACTIONS(3238),
    [anon_sym_LT] = ACTIONS(3238),
    [anon_sym_TILDE] = ACTIONS(3238),
    [anon_sym_void] = ACTIONS(3238),
    [anon_sym_delete] = ACTIONS(3238),
    [anon_sym_PLUS_PLUS] = ACTIONS(3238),
    [anon_sym_DASH_DASH] = ACTIONS(3238),
    [anon_sym_DQUOTE] = ACTIONS(3238),
    [anon_sym_SQUOTE] = ACTIONS(3238),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3238),
    [sym_number] = ACTIONS(3238),
    [sym_private_property_identifier] = ACTIONS(3238),
    [sym_this] = ACTIONS(3238),
    [sym_super] = ACTIONS(3238),
    [sym_true] = ACTIONS(3238),
    [sym_false] = ACTIONS(3238),
    [sym_null] = ACTIONS(3238),
    [sym_undefined] = ACTIONS(3238),
    [anon_sym_AT] = ACTIONS(3238),
    [anon_sym_static] = ACTIONS(3238),
    [anon_sym_readonly] = ACTIONS(3238),
    [anon_sym_get] = ACTIONS(3238),
    [anon_sym_set] = ACTIONS(3238),
    [anon_sym_declare] = ACTIONS(3238),
    [anon_sym_public] = ACTIONS(3238),
    [anon_sym_private] = ACTIONS(3238),
    [anon_sym_protected] = ACTIONS(3238),
    [anon_sym_override] = ACTIONS(3238),
    [anon_sym_module] = ACTIONS(3238),
    [anon_sym_any] = ACTIONS(3238),
    [anon_sym_number] = ACTIONS(3238),
    [anon_sym_boolean] = ACTIONS(3238),
    [anon_sym_string] = ACTIONS(3238),
    [anon_sym_symbol] = ACTIONS(3238),
    [anon_sym_object] = ACTIONS(3238),
    [anon_sym_abstract] = ACTIONS(3238),
    [anon_sym_interface] = ACTIONS(3238),
    [anon_sym_enum] = ACTIONS(3238),
    [sym_html_comment] = ACTIONS(5),
  },
  [1386] = {
    [sym_comment] = STATE(1386),
    [sym_identifier] = ACTIONS(3236),
    [anon_sym_export] = ACTIONS(3236),
    [anon_sym_default] = ACTIONS(3236),
    [anon_sym_type] = ACTIONS(3236),
    [anon_sym_namespace] = ACTIONS(3236),
    [anon_sym_LBRACE] = ACTIONS(3236),
    [anon_sym_RBRACE] = ACTIONS(3236),
    [anon_sym_typeof] = ACTIONS(3236),
    [anon_sym_import] = ACTIONS(3236),
    [anon_sym_var] = ACTIONS(3236),
    [anon_sym_let] = ACTIONS(3236),
    [anon_sym_const] = ACTIONS(3236),
    [anon_sym_BANG] = ACTIONS(3236),
    [anon_sym_if] = ACTIONS(3236),
    [anon_sym_switch] = ACTIONS(3236),
    [anon_sym_for] = ACTIONS(3236),
    [anon_sym_LPAREN] = ACTIONS(3236),
    [anon_sym_await] = ACTIONS(3236),
    [anon_sym_while] = ACTIONS(3236),
    [anon_sym_do] = ACTIONS(3236),
    [anon_sym_try] = ACTIONS(3236),
    [anon_sym_with] = ACTIONS(3236),
    [anon_sym_break] = ACTIONS(3236),
    [anon_sym_continue] = ACTIONS(3236),
    [anon_sym_debugger] = ACTIONS(3236),
    [anon_sym_return] = ACTIONS(3236),
    [anon_sym_throw] = ACTIONS(3236),
    [anon_sym_SEMI] = ACTIONS(3236),
    [anon_sym_case] = ACTIONS(3236),
    [anon_sym_yield] = ACTIONS(3236),
    [anon_sym_LBRACK] = ACTIONS(3236),
    [anon_sym_LTtemplate_GT] = ACTIONS(3236),
    [anon_sym_class] = ACTIONS(3236),
    [anon_sym_async] = ACTIONS(3236),
    [anon_sym_function] = ACTIONS(3236),
    [anon_sym_new] = ACTIONS(3236),
    [anon_sym_using] = ACTIONS(3236),
    [anon_sym_PLUS] = ACTIONS(3236),
    [anon_sym_DASH] = ACTIONS(3236),
    [anon_sym_SLASH] = ACTIONS(3236),
    [anon_sym_LT] = ACTIONS(3236),
    [anon_sym_TILDE] = ACTIONS(3236),
    [anon_sym_void] = ACTIONS(3236),
    [anon_sym_delete] = ACTIONS(3236),
    [anon_sym_PLUS_PLUS] = ACTIONS(3236),
    [anon_sym_DASH_DASH] = ACTIONS(3236),
    [anon_sym_DQUOTE] = ACTIONS(3236),
    [anon_sym_SQUOTE] = ACTIONS(3236),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3236),
    [sym_number] = ACTIONS(3236),
    [sym_private_property_identifier] = ACTIONS(3236),
    [sym_this] = ACTIONS(3236),
    [sym_super] = ACTIONS(3236),
    [sym_true] = ACTIONS(3236),
    [sym_false] = ACTIONS(3236),
    [sym_null] = ACTIONS(3236),
    [sym_undefined] = ACTIONS(3236),
    [anon_sym_AT] = ACTIONS(3236),
    [anon_sym_static] = ACTIONS(3236),
    [anon_sym_readonly] = ACTIONS(3236),
    [anon_sym_get] = ACTIONS(3236),
    [anon_sym_set] = ACTIONS(3236),
    [anon_sym_declare] = ACTIONS(3236),
    [anon_sym_public] = ACTIONS(3236),
    [anon_sym_private] = ACTIONS(3236),
    [anon_sym_protected] = ACTIONS(3236),
    [anon_sym_override] = ACTIONS(3236),
    [anon_sym_module] = ACTIONS(3236),
    [anon_sym_any] = ACTIONS(3236),
    [anon_sym_number] = ACTIONS(3236),
    [anon_sym_boolean] = ACTIONS(3236),
    [anon_sym_string] = ACTIONS(3236),
    [anon_sym_symbol] = ACTIONS(3236),
    [anon_sym_object] = ACTIONS(3236),
    [anon_sym_abstract] = ACTIONS(3236),
    [anon_sym_interface] = ACTIONS(3236),
    [anon_sym_enum] = ACTIONS(3236),
    [sym_html_comment] = ACTIONS(5),
  },
  [1387] = {
    [sym_comment] = STATE(1387),
    [ts_builtin_sym_end] = ACTIONS(3392),
    [sym_identifier] = ACTIONS(3332),
    [anon_sym_export] = ACTIONS(3332),
    [anon_sym_type] = ACTIONS(3332),
    [anon_sym_namespace] = ACTIONS(3332),
    [anon_sym_LBRACE] = ACTIONS(3332),
    [anon_sym_RBRACE] = ACTIONS(3332),
    [anon_sym_typeof] = ACTIONS(3332),
    [anon_sym_import] = ACTIONS(3332),
    [anon_sym_var] = ACTIONS(3332),
    [anon_sym_let] = ACTIONS(3332),
    [anon_sym_const] = ACTIONS(3332),
    [anon_sym_BANG] = ACTIONS(3332),
    [anon_sym_else] = ACTIONS(3332),
    [anon_sym_if] = ACTIONS(3332),
    [anon_sym_switch] = ACTIONS(3332),
    [anon_sym_for] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(3332),
    [anon_sym_await] = ACTIONS(3332),
    [anon_sym_while] = ACTIONS(3332),
    [anon_sym_do] = ACTIONS(3332),
    [anon_sym_try] = ACTIONS(3332),
    [anon_sym_with] = ACTIONS(3332),
    [anon_sym_break] = ACTIONS(3332),
    [anon_sym_continue] = ACTIONS(3332),
    [anon_sym_debugger] = ACTIONS(3332),
    [anon_sym_return] = ACTIONS(3332),
    [anon_sym_throw] = ACTIONS(3332),
    [anon_sym_SEMI] = ACTIONS(3332),
    [anon_sym_yield] = ACTIONS(3332),
    [anon_sym_LBRACK] = ACTIONS(3332),
    [anon_sym_LTtemplate_GT] = ACTIONS(3332),
    [anon_sym_class] = ACTIONS(3332),
    [anon_sym_async] = ACTIONS(3332),
    [anon_sym_function] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3332),
    [anon_sym_using] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_SLASH] = ACTIONS(3332),
    [anon_sym_LT] = ACTIONS(3332),
    [anon_sym_TILDE] = ACTIONS(3332),
    [anon_sym_void] = ACTIONS(3332),
    [anon_sym_delete] = ACTIONS(3332),
    [anon_sym_PLUS_PLUS] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3332),
    [anon_sym_DQUOTE] = ACTIONS(3332),
    [anon_sym_SQUOTE] = ACTIONS(3332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3332),
    [sym_number] = ACTIONS(3332),
    [sym_private_property_identifier] = ACTIONS(3332),
    [sym_this] = ACTIONS(3332),
    [sym_super] = ACTIONS(3332),
    [sym_true] = ACTIONS(3332),
    [sym_false] = ACTIONS(3332),
    [sym_null] = ACTIONS(3332),
    [sym_undefined] = ACTIONS(3332),
    [anon_sym_AT] = ACTIONS(3332),
    [anon_sym_static] = ACTIONS(3332),
    [anon_sym_readonly] = ACTIONS(3332),
    [anon_sym_get] = ACTIONS(3332),
    [anon_sym_set] = ACTIONS(3332),
    [anon_sym_declare] = ACTIONS(3332),
    [anon_sym_public] = ACTIONS(3332),
    [anon_sym_private] = ACTIONS(3332),
    [anon_sym_protected] = ACTIONS(3332),
    [anon_sym_override] = ACTIONS(3332),
    [anon_sym_module] = ACTIONS(3332),
    [anon_sym_any] = ACTIONS(3332),
    [anon_sym_number] = ACTIONS(3332),
    [anon_sym_boolean] = ACTIONS(3332),
    [anon_sym_string] = ACTIONS(3332),
    [anon_sym_symbol] = ACTIONS(3332),
    [anon_sym_object] = ACTIONS(3332),
    [anon_sym_abstract] = ACTIONS(3332),
    [anon_sym_interface] = ACTIONS(3332),
    [anon_sym_enum] = ACTIONS(3332),
    [sym_html_comment] = ACTIONS(5),
  },
  [1388] = {
    [sym_comment] = STATE(1388),
    [ts_builtin_sym_end] = ACTIONS(3394),
    [sym_identifier] = ACTIONS(3330),
    [anon_sym_export] = ACTIONS(3330),
    [anon_sym_type] = ACTIONS(3330),
    [anon_sym_namespace] = ACTIONS(3330),
    [anon_sym_LBRACE] = ACTIONS(3330),
    [anon_sym_RBRACE] = ACTIONS(3330),
    [anon_sym_typeof] = ACTIONS(3330),
    [anon_sym_import] = ACTIONS(3330),
    [anon_sym_var] = ACTIONS(3330),
    [anon_sym_let] = ACTIONS(3330),
    [anon_sym_const] = ACTIONS(3330),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_else] = ACTIONS(3330),
    [anon_sym_if] = ACTIONS(3330),
    [anon_sym_switch] = ACTIONS(3330),
    [anon_sym_for] = ACTIONS(3330),
    [anon_sym_LPAREN] = ACTIONS(3330),
    [anon_sym_await] = ACTIONS(3330),
    [anon_sym_while] = ACTIONS(3330),
    [anon_sym_do] = ACTIONS(3330),
    [anon_sym_try] = ACTIONS(3330),
    [anon_sym_with] = ACTIONS(3330),
    [anon_sym_break] = ACTIONS(3330),
    [anon_sym_continue] = ACTIONS(3330),
    [anon_sym_debugger] = ACTIONS(3330),
    [anon_sym_return] = ACTIONS(3330),
    [anon_sym_throw] = ACTIONS(3330),
    [anon_sym_SEMI] = ACTIONS(3330),
    [anon_sym_yield] = ACTIONS(3330),
    [anon_sym_LBRACK] = ACTIONS(3330),
    [anon_sym_LTtemplate_GT] = ACTIONS(3330),
    [anon_sym_class] = ACTIONS(3330),
    [anon_sym_async] = ACTIONS(3330),
    [anon_sym_function] = ACTIONS(3330),
    [anon_sym_new] = ACTIONS(3330),
    [anon_sym_using] = ACTIONS(3330),
    [anon_sym_PLUS] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3330),
    [anon_sym_SLASH] = ACTIONS(3330),
    [anon_sym_LT] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_void] = ACTIONS(3330),
    [anon_sym_delete] = ACTIONS(3330),
    [anon_sym_PLUS_PLUS] = ACTIONS(3330),
    [anon_sym_DASH_DASH] = ACTIONS(3330),
    [anon_sym_DQUOTE] = ACTIONS(3330),
    [anon_sym_SQUOTE] = ACTIONS(3330),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3330),
    [sym_number] = ACTIONS(3330),
    [sym_private_property_identifier] = ACTIONS(3330),
    [sym_this] = ACTIONS(3330),
    [sym_super] = ACTIONS(3330),
    [sym_true] = ACTIONS(3330),
    [sym_false] = ACTIONS(3330),
    [sym_null] = ACTIONS(3330),
    [sym_undefined] = ACTIONS(3330),
    [anon_sym_AT] = ACTIONS(3330),
    [anon_sym_static] = ACTIONS(3330),
    [anon_sym_readonly] = ACTIONS(3330),
    [anon_sym_get] = ACTIONS(3330),
    [anon_sym_set] = ACTIONS(3330),
    [anon_sym_declare] = ACTIONS(3330),
    [anon_sym_public] = ACTIONS(3330),
    [anon_sym_private] = ACTIONS(3330),
    [anon_sym_protected] = ACTIONS(3330),
    [anon_sym_override] = ACTIONS(3330),
    [anon_sym_module] = ACTIONS(3330),
    [anon_sym_any] = ACTIONS(3330),
    [anon_sym_number] = ACTIONS(3330),
    [anon_sym_boolean] = ACTIONS(3330),
    [anon_sym_string] = ACTIONS(3330),
    [anon_sym_symbol] = ACTIONS(3330),
    [anon_sym_object] = ACTIONS(3330),
    [anon_sym_abstract] = ACTIONS(3330),
    [anon_sym_interface] = ACTIONS(3330),
    [anon_sym_enum] = ACTIONS(3330),
    [sym_html_comment] = ACTIONS(5),
  },
  [1389] = {
    [sym_comment] = STATE(1389),
    [ts_builtin_sym_end] = ACTIONS(3396),
    [sym_identifier] = ACTIONS(3328),
    [anon_sym_export] = ACTIONS(3328),
    [anon_sym_type] = ACTIONS(3328),
    [anon_sym_namespace] = ACTIONS(3328),
    [anon_sym_LBRACE] = ACTIONS(3328),
    [anon_sym_RBRACE] = ACTIONS(3328),
    [anon_sym_typeof] = ACTIONS(3328),
    [anon_sym_import] = ACTIONS(3328),
    [anon_sym_var] = ACTIONS(3328),
    [anon_sym_let] = ACTIONS(3328),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_else] = ACTIONS(3328),
    [anon_sym_if] = ACTIONS(3328),
    [anon_sym_switch] = ACTIONS(3328),
    [anon_sym_for] = ACTIONS(3328),
    [anon_sym_LPAREN] = ACTIONS(3328),
    [anon_sym_await] = ACTIONS(3328),
    [anon_sym_while] = ACTIONS(3328),
    [anon_sym_do] = ACTIONS(3328),
    [anon_sym_try] = ACTIONS(3328),
    [anon_sym_with] = ACTIONS(3328),
    [anon_sym_break] = ACTIONS(3328),
    [anon_sym_continue] = ACTIONS(3328),
    [anon_sym_debugger] = ACTIONS(3328),
    [anon_sym_return] = ACTIONS(3328),
    [anon_sym_throw] = ACTIONS(3328),
    [anon_sym_SEMI] = ACTIONS(3328),
    [anon_sym_yield] = ACTIONS(3328),
    [anon_sym_LBRACK] = ACTIONS(3328),
    [anon_sym_LTtemplate_GT] = ACTIONS(3328),
    [anon_sym_class] = ACTIONS(3328),
    [anon_sym_async] = ACTIONS(3328),
    [anon_sym_function] = ACTIONS(3328),
    [anon_sym_new] = ACTIONS(3328),
    [anon_sym_using] = ACTIONS(3328),
    [anon_sym_PLUS] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3328),
    [anon_sym_SLASH] = ACTIONS(3328),
    [anon_sym_LT] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_void] = ACTIONS(3328),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_PLUS_PLUS] = ACTIONS(3328),
    [anon_sym_DASH_DASH] = ACTIONS(3328),
    [anon_sym_DQUOTE] = ACTIONS(3328),
    [anon_sym_SQUOTE] = ACTIONS(3328),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3328),
    [sym_number] = ACTIONS(3328),
    [sym_private_property_identifier] = ACTIONS(3328),
    [sym_this] = ACTIONS(3328),
    [sym_super] = ACTIONS(3328),
    [sym_true] = ACTIONS(3328),
    [sym_false] = ACTIONS(3328),
    [sym_null] = ACTIONS(3328),
    [sym_undefined] = ACTIONS(3328),
    [anon_sym_AT] = ACTIONS(3328),
    [anon_sym_static] = ACTIONS(3328),
    [anon_sym_readonly] = ACTIONS(3328),
    [anon_sym_get] = ACTIONS(3328),
    [anon_sym_set] = ACTIONS(3328),
    [anon_sym_declare] = ACTIONS(3328),
    [anon_sym_public] = ACTIONS(3328),
    [anon_sym_private] = ACTIONS(3328),
    [anon_sym_protected] = ACTIONS(3328),
    [anon_sym_override] = ACTIONS(3328),
    [anon_sym_module] = ACTIONS(3328),
    [anon_sym_any] = ACTIONS(3328),
    [anon_sym_number] = ACTIONS(3328),
    [anon_sym_boolean] = ACTIONS(3328),
    [anon_sym_string] = ACTIONS(3328),
    [anon_sym_symbol] = ACTIONS(3328),
    [anon_sym_object] = ACTIONS(3328),
    [anon_sym_abstract] = ACTIONS(3328),
    [anon_sym_interface] = ACTIONS(3328),
    [anon_sym_enum] = ACTIONS(3328),
    [sym_html_comment] = ACTIONS(5),
  },
  [1390] = {
    [sym_comment] = STATE(1390),
    [ts_builtin_sym_end] = ACTIONS(3398),
    [sym_identifier] = ACTIONS(3326),
    [anon_sym_export] = ACTIONS(3326),
    [anon_sym_type] = ACTIONS(3326),
    [anon_sym_namespace] = ACTIONS(3326),
    [anon_sym_LBRACE] = ACTIONS(3326),
    [anon_sym_RBRACE] = ACTIONS(3326),
    [anon_sym_typeof] = ACTIONS(3326),
    [anon_sym_import] = ACTIONS(3326),
    [anon_sym_var] = ACTIONS(3326),
    [anon_sym_let] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3326),
    [anon_sym_BANG] = ACTIONS(3326),
    [anon_sym_else] = ACTIONS(3326),
    [anon_sym_if] = ACTIONS(3326),
    [anon_sym_switch] = ACTIONS(3326),
    [anon_sym_for] = ACTIONS(3326),
    [anon_sym_LPAREN] = ACTIONS(3326),
    [anon_sym_await] = ACTIONS(3326),
    [anon_sym_while] = ACTIONS(3326),
    [anon_sym_do] = ACTIONS(3326),
    [anon_sym_try] = ACTIONS(3326),
    [anon_sym_with] = ACTIONS(3326),
    [anon_sym_break] = ACTIONS(3326),
    [anon_sym_continue] = ACTIONS(3326),
    [anon_sym_debugger] = ACTIONS(3326),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_throw] = ACTIONS(3326),
    [anon_sym_SEMI] = ACTIONS(3326),
    [anon_sym_yield] = ACTIONS(3326),
    [anon_sym_LBRACK] = ACTIONS(3326),
    [anon_sym_LTtemplate_GT] = ACTIONS(3326),
    [anon_sym_class] = ACTIONS(3326),
    [anon_sym_async] = ACTIONS(3326),
    [anon_sym_function] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(3326),
    [anon_sym_using] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_SLASH] = ACTIONS(3326),
    [anon_sym_LT] = ACTIONS(3326),
    [anon_sym_TILDE] = ACTIONS(3326),
    [anon_sym_void] = ACTIONS(3326),
    [anon_sym_delete] = ACTIONS(3326),
    [anon_sym_PLUS_PLUS] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [anon_sym_SQUOTE] = ACTIONS(3326),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3326),
    [sym_number] = ACTIONS(3326),
    [sym_private_property_identifier] = ACTIONS(3326),
    [sym_this] = ACTIONS(3326),
    [sym_super] = ACTIONS(3326),
    [sym_true] = ACTIONS(3326),
    [sym_false] = ACTIONS(3326),
    [sym_null] = ACTIONS(3326),
    [sym_undefined] = ACTIONS(3326),
    [anon_sym_AT] = ACTIONS(3326),
    [anon_sym_static] = ACTIONS(3326),
    [anon_sym_readonly] = ACTIONS(3326),
    [anon_sym_get] = ACTIONS(3326),
    [anon_sym_set] = ACTIONS(3326),
    [anon_sym_declare] = ACTIONS(3326),
    [anon_sym_public] = ACTIONS(3326),
    [anon_sym_private] = ACTIONS(3326),
    [anon_sym_protected] = ACTIONS(3326),
    [anon_sym_override] = ACTIONS(3326),
    [anon_sym_module] = ACTIONS(3326),
    [anon_sym_any] = ACTIONS(3326),
    [anon_sym_number] = ACTIONS(3326),
    [anon_sym_boolean] = ACTIONS(3326),
    [anon_sym_string] = ACTIONS(3326),
    [anon_sym_symbol] = ACTIONS(3326),
    [anon_sym_object] = ACTIONS(3326),
    [anon_sym_abstract] = ACTIONS(3326),
    [anon_sym_interface] = ACTIONS(3326),
    [anon_sym_enum] = ACTIONS(3326),
    [sym_html_comment] = ACTIONS(5),
  },
  [1391] = {
    [sym_comment] = STATE(1391),
    [ts_builtin_sym_end] = ACTIONS(3400),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_export] = ACTIONS(3324),
    [anon_sym_type] = ACTIONS(3324),
    [anon_sym_namespace] = ACTIONS(3324),
    [anon_sym_LBRACE] = ACTIONS(3324),
    [anon_sym_RBRACE] = ACTIONS(3324),
    [anon_sym_typeof] = ACTIONS(3324),
    [anon_sym_import] = ACTIONS(3324),
    [anon_sym_var] = ACTIONS(3324),
    [anon_sym_let] = ACTIONS(3324),
    [anon_sym_const] = ACTIONS(3324),
    [anon_sym_BANG] = ACTIONS(3324),
    [anon_sym_else] = ACTIONS(3324),
    [anon_sym_if] = ACTIONS(3324),
    [anon_sym_switch] = ACTIONS(3324),
    [anon_sym_for] = ACTIONS(3324),
    [anon_sym_LPAREN] = ACTIONS(3324),
    [anon_sym_await] = ACTIONS(3324),
    [anon_sym_while] = ACTIONS(3324),
    [anon_sym_do] = ACTIONS(3324),
    [anon_sym_try] = ACTIONS(3324),
    [anon_sym_with] = ACTIONS(3324),
    [anon_sym_break] = ACTIONS(3324),
    [anon_sym_continue] = ACTIONS(3324),
    [anon_sym_debugger] = ACTIONS(3324),
    [anon_sym_return] = ACTIONS(3324),
    [anon_sym_throw] = ACTIONS(3324),
    [anon_sym_SEMI] = ACTIONS(3324),
    [anon_sym_yield] = ACTIONS(3324),
    [anon_sym_LBRACK] = ACTIONS(3324),
    [anon_sym_LTtemplate_GT] = ACTIONS(3324),
    [anon_sym_class] = ACTIONS(3324),
    [anon_sym_async] = ACTIONS(3324),
    [anon_sym_function] = ACTIONS(3324),
    [anon_sym_new] = ACTIONS(3324),
    [anon_sym_using] = ACTIONS(3324),
    [anon_sym_PLUS] = ACTIONS(3324),
    [anon_sym_DASH] = ACTIONS(3324),
    [anon_sym_SLASH] = ACTIONS(3324),
    [anon_sym_LT] = ACTIONS(3324),
    [anon_sym_TILDE] = ACTIONS(3324),
    [anon_sym_void] = ACTIONS(3324),
    [anon_sym_delete] = ACTIONS(3324),
    [anon_sym_PLUS_PLUS] = ACTIONS(3324),
    [anon_sym_DASH_DASH] = ACTIONS(3324),
    [anon_sym_DQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3324),
    [sym_number] = ACTIONS(3324),
    [sym_private_property_identifier] = ACTIONS(3324),
    [sym_this] = ACTIONS(3324),
    [sym_super] = ACTIONS(3324),
    [sym_true] = ACTIONS(3324),
    [sym_false] = ACTIONS(3324),
    [sym_null] = ACTIONS(3324),
    [sym_undefined] = ACTIONS(3324),
    [anon_sym_AT] = ACTIONS(3324),
    [anon_sym_static] = ACTIONS(3324),
    [anon_sym_readonly] = ACTIONS(3324),
    [anon_sym_get] = ACTIONS(3324),
    [anon_sym_set] = ACTIONS(3324),
    [anon_sym_declare] = ACTIONS(3324),
    [anon_sym_public] = ACTIONS(3324),
    [anon_sym_private] = ACTIONS(3324),
    [anon_sym_protected] = ACTIONS(3324),
    [anon_sym_override] = ACTIONS(3324),
    [anon_sym_module] = ACTIONS(3324),
    [anon_sym_any] = ACTIONS(3324),
    [anon_sym_number] = ACTIONS(3324),
    [anon_sym_boolean] = ACTIONS(3324),
    [anon_sym_string] = ACTIONS(3324),
    [anon_sym_symbol] = ACTIONS(3324),
    [anon_sym_object] = ACTIONS(3324),
    [anon_sym_abstract] = ACTIONS(3324),
    [anon_sym_interface] = ACTIONS(3324),
    [anon_sym_enum] = ACTIONS(3324),
    [sym_html_comment] = ACTIONS(5),
  },
  [1392] = {
    [sym_comment] = STATE(1392),
    [ts_builtin_sym_end] = ACTIONS(3402),
    [sym_identifier] = ACTIONS(3322),
    [anon_sym_export] = ACTIONS(3322),
    [anon_sym_type] = ACTIONS(3322),
    [anon_sym_namespace] = ACTIONS(3322),
    [anon_sym_LBRACE] = ACTIONS(3322),
    [anon_sym_RBRACE] = ACTIONS(3322),
    [anon_sym_typeof] = ACTIONS(3322),
    [anon_sym_import] = ACTIONS(3322),
    [anon_sym_var] = ACTIONS(3322),
    [anon_sym_let] = ACTIONS(3322),
    [anon_sym_const] = ACTIONS(3322),
    [anon_sym_BANG] = ACTIONS(3322),
    [anon_sym_else] = ACTIONS(3322),
    [anon_sym_if] = ACTIONS(3322),
    [anon_sym_switch] = ACTIONS(3322),
    [anon_sym_for] = ACTIONS(3322),
    [anon_sym_LPAREN] = ACTIONS(3322),
    [anon_sym_await] = ACTIONS(3322),
    [anon_sym_while] = ACTIONS(3322),
    [anon_sym_do] = ACTIONS(3322),
    [anon_sym_try] = ACTIONS(3322),
    [anon_sym_with] = ACTIONS(3322),
    [anon_sym_break] = ACTIONS(3322),
    [anon_sym_continue] = ACTIONS(3322),
    [anon_sym_debugger] = ACTIONS(3322),
    [anon_sym_return] = ACTIONS(3322),
    [anon_sym_throw] = ACTIONS(3322),
    [anon_sym_SEMI] = ACTIONS(3322),
    [anon_sym_yield] = ACTIONS(3322),
    [anon_sym_LBRACK] = ACTIONS(3322),
    [anon_sym_LTtemplate_GT] = ACTIONS(3322),
    [anon_sym_class] = ACTIONS(3322),
    [anon_sym_async] = ACTIONS(3322),
    [anon_sym_function] = ACTIONS(3322),
    [anon_sym_new] = ACTIONS(3322),
    [anon_sym_using] = ACTIONS(3322),
    [anon_sym_PLUS] = ACTIONS(3322),
    [anon_sym_DASH] = ACTIONS(3322),
    [anon_sym_SLASH] = ACTIONS(3322),
    [anon_sym_LT] = ACTIONS(3322),
    [anon_sym_TILDE] = ACTIONS(3322),
    [anon_sym_void] = ACTIONS(3322),
    [anon_sym_delete] = ACTIONS(3322),
    [anon_sym_PLUS_PLUS] = ACTIONS(3322),
    [anon_sym_DASH_DASH] = ACTIONS(3322),
    [anon_sym_DQUOTE] = ACTIONS(3322),
    [anon_sym_SQUOTE] = ACTIONS(3322),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3322),
    [sym_number] = ACTIONS(3322),
    [sym_private_property_identifier] = ACTIONS(3322),
    [sym_this] = ACTIONS(3322),
    [sym_super] = ACTIONS(3322),
    [sym_true] = ACTIONS(3322),
    [sym_false] = ACTIONS(3322),
    [sym_null] = ACTIONS(3322),
    [sym_undefined] = ACTIONS(3322),
    [anon_sym_AT] = ACTIONS(3322),
    [anon_sym_static] = ACTIONS(3322),
    [anon_sym_readonly] = ACTIONS(3322),
    [anon_sym_get] = ACTIONS(3322),
    [anon_sym_set] = ACTIONS(3322),
    [anon_sym_declare] = ACTIONS(3322),
    [anon_sym_public] = ACTIONS(3322),
    [anon_sym_private] = ACTIONS(3322),
    [anon_sym_protected] = ACTIONS(3322),
    [anon_sym_override] = ACTIONS(3322),
    [anon_sym_module] = ACTIONS(3322),
    [anon_sym_any] = ACTIONS(3322),
    [anon_sym_number] = ACTIONS(3322),
    [anon_sym_boolean] = ACTIONS(3322),
    [anon_sym_string] = ACTIONS(3322),
    [anon_sym_symbol] = ACTIONS(3322),
    [anon_sym_object] = ACTIONS(3322),
    [anon_sym_abstract] = ACTIONS(3322),
    [anon_sym_interface] = ACTIONS(3322),
    [anon_sym_enum] = ACTIONS(3322),
    [sym_html_comment] = ACTIONS(5),
  },
  [1393] = {
    [sym_comment] = STATE(1393),
    [ts_builtin_sym_end] = ACTIONS(3404),
    [sym_identifier] = ACTIONS(3138),
    [anon_sym_export] = ACTIONS(3138),
    [anon_sym_type] = ACTIONS(3138),
    [anon_sym_namespace] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3138),
    [anon_sym_RBRACE] = ACTIONS(3138),
    [anon_sym_typeof] = ACTIONS(3138),
    [anon_sym_import] = ACTIONS(3138),
    [anon_sym_var] = ACTIONS(3138),
    [anon_sym_let] = ACTIONS(3138),
    [anon_sym_const] = ACTIONS(3138),
    [anon_sym_BANG] = ACTIONS(3138),
    [anon_sym_else] = ACTIONS(3138),
    [anon_sym_if] = ACTIONS(3138),
    [anon_sym_switch] = ACTIONS(3138),
    [anon_sym_for] = ACTIONS(3138),
    [anon_sym_LPAREN] = ACTIONS(3138),
    [anon_sym_await] = ACTIONS(3138),
    [anon_sym_while] = ACTIONS(3138),
    [anon_sym_do] = ACTIONS(3138),
    [anon_sym_try] = ACTIONS(3138),
    [anon_sym_with] = ACTIONS(3138),
    [anon_sym_break] = ACTIONS(3138),
    [anon_sym_continue] = ACTIONS(3138),
    [anon_sym_debugger] = ACTIONS(3138),
    [anon_sym_return] = ACTIONS(3138),
    [anon_sym_throw] = ACTIONS(3138),
    [anon_sym_SEMI] = ACTIONS(3138),
    [anon_sym_yield] = ACTIONS(3138),
    [anon_sym_LBRACK] = ACTIONS(3138),
    [anon_sym_LTtemplate_GT] = ACTIONS(3138),
    [anon_sym_class] = ACTIONS(3138),
    [anon_sym_async] = ACTIONS(3138),
    [anon_sym_function] = ACTIONS(3138),
    [anon_sym_new] = ACTIONS(3138),
    [anon_sym_using] = ACTIONS(3138),
    [anon_sym_PLUS] = ACTIONS(3138),
    [anon_sym_DASH] = ACTIONS(3138),
    [anon_sym_SLASH] = ACTIONS(3138),
    [anon_sym_LT] = ACTIONS(3138),
    [anon_sym_TILDE] = ACTIONS(3138),
    [anon_sym_void] = ACTIONS(3138),
    [anon_sym_delete] = ACTIONS(3138),
    [anon_sym_PLUS_PLUS] = ACTIONS(3138),
    [anon_sym_DASH_DASH] = ACTIONS(3138),
    [anon_sym_DQUOTE] = ACTIONS(3138),
    [anon_sym_SQUOTE] = ACTIONS(3138),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3138),
    [sym_number] = ACTIONS(3138),
    [sym_private_property_identifier] = ACTIONS(3138),
    [sym_this] = ACTIONS(3138),
    [sym_super] = ACTIONS(3138),
    [sym_true] = ACTIONS(3138),
    [sym_false] = ACTIONS(3138),
    [sym_null] = ACTIONS(3138),
    [sym_undefined] = ACTIONS(3138),
    [anon_sym_AT] = ACTIONS(3138),
    [anon_sym_static] = ACTIONS(3138),
    [anon_sym_readonly] = ACTIONS(3138),
    [anon_sym_get] = ACTIONS(3138),
    [anon_sym_set] = ACTIONS(3138),
    [anon_sym_declare] = ACTIONS(3138),
    [anon_sym_public] = ACTIONS(3138),
    [anon_sym_private] = ACTIONS(3138),
    [anon_sym_protected] = ACTIONS(3138),
    [anon_sym_override] = ACTIONS(3138),
    [anon_sym_module] = ACTIONS(3138),
    [anon_sym_any] = ACTIONS(3138),
    [anon_sym_number] = ACTIONS(3138),
    [anon_sym_boolean] = ACTIONS(3138),
    [anon_sym_string] = ACTIONS(3138),
    [anon_sym_symbol] = ACTIONS(3138),
    [anon_sym_object] = ACTIONS(3138),
    [anon_sym_abstract] = ACTIONS(3138),
    [anon_sym_interface] = ACTIONS(3138),
    [anon_sym_enum] = ACTIONS(3138),
    [sym_html_comment] = ACTIONS(5),
  },
  [1394] = {
    [sym_comment] = STATE(1394),
    [ts_builtin_sym_end] = ACTIONS(3406),
    [sym_identifier] = ACTIONS(3136),
    [anon_sym_export] = ACTIONS(3136),
    [anon_sym_type] = ACTIONS(3136),
    [anon_sym_namespace] = ACTIONS(3136),
    [anon_sym_LBRACE] = ACTIONS(3136),
    [anon_sym_RBRACE] = ACTIONS(3136),
    [anon_sym_typeof] = ACTIONS(3136),
    [anon_sym_import] = ACTIONS(3136),
    [anon_sym_var] = ACTIONS(3136),
    [anon_sym_let] = ACTIONS(3136),
    [anon_sym_const] = ACTIONS(3136),
    [anon_sym_BANG] = ACTIONS(3136),
    [anon_sym_else] = ACTIONS(3136),
    [anon_sym_if] = ACTIONS(3136),
    [anon_sym_switch] = ACTIONS(3136),
    [anon_sym_for] = ACTIONS(3136),
    [anon_sym_LPAREN] = ACTIONS(3136),
    [anon_sym_await] = ACTIONS(3136),
    [anon_sym_while] = ACTIONS(3136),
    [anon_sym_do] = ACTIONS(3136),
    [anon_sym_try] = ACTIONS(3136),
    [anon_sym_with] = ACTIONS(3136),
    [anon_sym_break] = ACTIONS(3136),
    [anon_sym_continue] = ACTIONS(3136),
    [anon_sym_debugger] = ACTIONS(3136),
    [anon_sym_return] = ACTIONS(3136),
    [anon_sym_throw] = ACTIONS(3136),
    [anon_sym_SEMI] = ACTIONS(3136),
    [anon_sym_yield] = ACTIONS(3136),
    [anon_sym_LBRACK] = ACTIONS(3136),
    [anon_sym_LTtemplate_GT] = ACTIONS(3136),
    [anon_sym_class] = ACTIONS(3136),
    [anon_sym_async] = ACTIONS(3136),
    [anon_sym_function] = ACTIONS(3136),
    [anon_sym_new] = ACTIONS(3136),
    [anon_sym_using] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_SLASH] = ACTIONS(3136),
    [anon_sym_LT] = ACTIONS(3136),
    [anon_sym_TILDE] = ACTIONS(3136),
    [anon_sym_void] = ACTIONS(3136),
    [anon_sym_delete] = ACTIONS(3136),
    [anon_sym_PLUS_PLUS] = ACTIONS(3136),
    [anon_sym_DASH_DASH] = ACTIONS(3136),
    [anon_sym_DQUOTE] = ACTIONS(3136),
    [anon_sym_SQUOTE] = ACTIONS(3136),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3136),
    [sym_number] = ACTIONS(3136),
    [sym_private_property_identifier] = ACTIONS(3136),
    [sym_this] = ACTIONS(3136),
    [sym_super] = ACTIONS(3136),
    [sym_true] = ACTIONS(3136),
    [sym_false] = ACTIONS(3136),
    [sym_null] = ACTIONS(3136),
    [sym_undefined] = ACTIONS(3136),
    [anon_sym_AT] = ACTIONS(3136),
    [anon_sym_static] = ACTIONS(3136),
    [anon_sym_readonly] = ACTIONS(3136),
    [anon_sym_get] = ACTIONS(3136),
    [anon_sym_set] = ACTIONS(3136),
    [anon_sym_declare] = ACTIONS(3136),
    [anon_sym_public] = ACTIONS(3136),
    [anon_sym_private] = ACTIONS(3136),
    [anon_sym_protected] = ACTIONS(3136),
    [anon_sym_override] = ACTIONS(3136),
    [anon_sym_module] = ACTIONS(3136),
    [anon_sym_any] = ACTIONS(3136),
    [anon_sym_number] = ACTIONS(3136),
    [anon_sym_boolean] = ACTIONS(3136),
    [anon_sym_string] = ACTIONS(3136),
    [anon_sym_symbol] = ACTIONS(3136),
    [anon_sym_object] = ACTIONS(3136),
    [anon_sym_abstract] = ACTIONS(3136),
    [anon_sym_interface] = ACTIONS(3136),
    [anon_sym_enum] = ACTIONS(3136),
    [sym_html_comment] = ACTIONS(5),
  },
  [1395] = {
    [sym_comment] = STATE(1395),
    [ts_builtin_sym_end] = ACTIONS(2143),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_RBRACE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_finally] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LTtemplate_GT] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_using] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_LT] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [sym_private_property_identifier] = ACTIONS(2141),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_object] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
    [sym_html_comment] = ACTIONS(5),
  },
  [1396] = {
    [sym_comment] = STATE(1396),
    [ts_builtin_sym_end] = ACTIONS(3408),
    [sym_identifier] = ACTIONS(3296),
    [anon_sym_export] = ACTIONS(3296),
    [anon_sym_type] = ACTIONS(3296),
    [anon_sym_namespace] = ACTIONS(3296),
    [anon_sym_LBRACE] = ACTIONS(3296),
    [anon_sym_RBRACE] = ACTIONS(3296),
    [anon_sym_typeof] = ACTIONS(3296),
    [anon_sym_import] = ACTIONS(3296),
    [anon_sym_var] = ACTIONS(3296),
    [anon_sym_let] = ACTIONS(3296),
    [anon_sym_const] = ACTIONS(3296),
    [anon_sym_BANG] = ACTIONS(3296),
    [anon_sym_else] = ACTIONS(3296),
    [anon_sym_if] = ACTIONS(3296),
    [anon_sym_switch] = ACTIONS(3296),
    [anon_sym_for] = ACTIONS(3296),
    [anon_sym_LPAREN] = ACTIONS(3296),
    [anon_sym_await] = ACTIONS(3296),
    [anon_sym_while] = ACTIONS(3296),
    [anon_sym_do] = ACTIONS(3296),
    [anon_sym_try] = ACTIONS(3296),
    [anon_sym_with] = ACTIONS(3296),
    [anon_sym_break] = ACTIONS(3296),
    [anon_sym_continue] = ACTIONS(3296),
    [anon_sym_debugger] = ACTIONS(3296),
    [anon_sym_return] = ACTIONS(3296),
    [anon_sym_throw] = ACTIONS(3296),
    [anon_sym_SEMI] = ACTIONS(3296),
    [anon_sym_yield] = ACTIONS(3296),
    [anon_sym_LBRACK] = ACTIONS(3296),
    [anon_sym_LTtemplate_GT] = ACTIONS(3296),
    [anon_sym_class] = ACTIONS(3296),
    [anon_sym_async] = ACTIONS(3296),
    [anon_sym_function] = ACTIONS(3296),
    [anon_sym_new] = ACTIONS(3296),
    [anon_sym_using] = ACTIONS(3296),
    [anon_sym_PLUS] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3296),
    [anon_sym_SLASH] = ACTIONS(3296),
    [anon_sym_LT] = ACTIONS(3296),
    [anon_sym_TILDE] = ACTIONS(3296),
    [anon_sym_void] = ACTIONS(3296),
    [anon_sym_delete] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_DQUOTE] = ACTIONS(3296),
    [anon_sym_SQUOTE] = ACTIONS(3296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3296),
    [sym_number] = ACTIONS(3296),
    [sym_private_property_identifier] = ACTIONS(3296),
    [sym_this] = ACTIONS(3296),
    [sym_super] = ACTIONS(3296),
    [sym_true] = ACTIONS(3296),
    [sym_false] = ACTIONS(3296),
    [sym_null] = ACTIONS(3296),
    [sym_undefined] = ACTIONS(3296),
    [anon_sym_AT] = ACTIONS(3296),
    [anon_sym_static] = ACTIONS(3296),
    [anon_sym_readonly] = ACTIONS(3296),
    [anon_sym_get] = ACTIONS(3296),
    [anon_sym_set] = ACTIONS(3296),
    [anon_sym_declare] = ACTIONS(3296),
    [anon_sym_public] = ACTIONS(3296),
    [anon_sym_private] = ACTIONS(3296),
    [anon_sym_protected] = ACTIONS(3296),
    [anon_sym_override] = ACTIONS(3296),
    [anon_sym_module] = ACTIONS(3296),
    [anon_sym_any] = ACTIONS(3296),
    [anon_sym_number] = ACTIONS(3296),
    [anon_sym_boolean] = ACTIONS(3296),
    [anon_sym_string] = ACTIONS(3296),
    [anon_sym_symbol] = ACTIONS(3296),
    [anon_sym_object] = ACTIONS(3296),
    [anon_sym_abstract] = ACTIONS(3296),
    [anon_sym_interface] = ACTIONS(3296),
    [anon_sym_enum] = ACTIONS(3296),
    [sym_html_comment] = ACTIONS(5),
  },
  [1397] = {
    [sym_comment] = STATE(1397),
    [ts_builtin_sym_end] = ACTIONS(3410),
    [sym_identifier] = ACTIONS(3134),
    [anon_sym_export] = ACTIONS(3134),
    [anon_sym_type] = ACTIONS(3134),
    [anon_sym_namespace] = ACTIONS(3134),
    [anon_sym_LBRACE] = ACTIONS(3134),
    [anon_sym_RBRACE] = ACTIONS(3134),
    [anon_sym_typeof] = ACTIONS(3134),
    [anon_sym_import] = ACTIONS(3134),
    [anon_sym_var] = ACTIONS(3134),
    [anon_sym_let] = ACTIONS(3134),
    [anon_sym_const] = ACTIONS(3134),
    [anon_sym_BANG] = ACTIONS(3134),
    [anon_sym_else] = ACTIONS(3134),
    [anon_sym_if] = ACTIONS(3134),
    [anon_sym_switch] = ACTIONS(3134),
    [anon_sym_for] = ACTIONS(3134),
    [anon_sym_LPAREN] = ACTIONS(3134),
    [anon_sym_await] = ACTIONS(3134),
    [anon_sym_while] = ACTIONS(3134),
    [anon_sym_do] = ACTIONS(3134),
    [anon_sym_try] = ACTIONS(3134),
    [anon_sym_with] = ACTIONS(3134),
    [anon_sym_break] = ACTIONS(3134),
    [anon_sym_continue] = ACTIONS(3134),
    [anon_sym_debugger] = ACTIONS(3134),
    [anon_sym_return] = ACTIONS(3134),
    [anon_sym_throw] = ACTIONS(3134),
    [anon_sym_SEMI] = ACTIONS(3134),
    [anon_sym_yield] = ACTIONS(3134),
    [anon_sym_LBRACK] = ACTIONS(3134),
    [anon_sym_LTtemplate_GT] = ACTIONS(3134),
    [anon_sym_class] = ACTIONS(3134),
    [anon_sym_async] = ACTIONS(3134),
    [anon_sym_function] = ACTIONS(3134),
    [anon_sym_new] = ACTIONS(3134),
    [anon_sym_using] = ACTIONS(3134),
    [anon_sym_PLUS] = ACTIONS(3134),
    [anon_sym_DASH] = ACTIONS(3134),
    [anon_sym_SLASH] = ACTIONS(3134),
    [anon_sym_LT] = ACTIONS(3134),
    [anon_sym_TILDE] = ACTIONS(3134),
    [anon_sym_void] = ACTIONS(3134),
    [anon_sym_delete] = ACTIONS(3134),
    [anon_sym_PLUS_PLUS] = ACTIONS(3134),
    [anon_sym_DASH_DASH] = ACTIONS(3134),
    [anon_sym_DQUOTE] = ACTIONS(3134),
    [anon_sym_SQUOTE] = ACTIONS(3134),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3134),
    [sym_number] = ACTIONS(3134),
    [sym_private_property_identifier] = ACTIONS(3134),
    [sym_this] = ACTIONS(3134),
    [sym_super] = ACTIONS(3134),
    [sym_true] = ACTIONS(3134),
    [sym_false] = ACTIONS(3134),
    [sym_null] = ACTIONS(3134),
    [sym_undefined] = ACTIONS(3134),
    [anon_sym_AT] = ACTIONS(3134),
    [anon_sym_static] = ACTIONS(3134),
    [anon_sym_readonly] = ACTIONS(3134),
    [anon_sym_get] = ACTIONS(3134),
    [anon_sym_set] = ACTIONS(3134),
    [anon_sym_declare] = ACTIONS(3134),
    [anon_sym_public] = ACTIONS(3134),
    [anon_sym_private] = ACTIONS(3134),
    [anon_sym_protected] = ACTIONS(3134),
    [anon_sym_override] = ACTIONS(3134),
    [anon_sym_module] = ACTIONS(3134),
    [anon_sym_any] = ACTIONS(3134),
    [anon_sym_number] = ACTIONS(3134),
    [anon_sym_boolean] = ACTIONS(3134),
    [anon_sym_string] = ACTIONS(3134),
    [anon_sym_symbol] = ACTIONS(3134),
    [anon_sym_object] = ACTIONS(3134),
    [anon_sym_abstract] = ACTIONS(3134),
    [anon_sym_interface] = ACTIONS(3134),
    [anon_sym_enum] = ACTIONS(3134),
    [sym_html_comment] = ACTIONS(5),
  },
  [1398] = {
    [sym_comment] = STATE(1398),
    [ts_builtin_sym_end] = ACTIONS(3412),
    [sym_identifier] = ACTIONS(3132),
    [anon_sym_export] = ACTIONS(3132),
    [anon_sym_type] = ACTIONS(3132),
    [anon_sym_namespace] = ACTIONS(3132),
    [anon_sym_LBRACE] = ACTIONS(3132),
    [anon_sym_RBRACE] = ACTIONS(3132),
    [anon_sym_typeof] = ACTIONS(3132),
    [anon_sym_import] = ACTIONS(3132),
    [anon_sym_var] = ACTIONS(3132),
    [anon_sym_let] = ACTIONS(3132),
    [anon_sym_const] = ACTIONS(3132),
    [anon_sym_BANG] = ACTIONS(3132),
    [anon_sym_else] = ACTIONS(3132),
    [anon_sym_if] = ACTIONS(3132),
    [anon_sym_switch] = ACTIONS(3132),
    [anon_sym_for] = ACTIONS(3132),
    [anon_sym_LPAREN] = ACTIONS(3132),
    [anon_sym_await] = ACTIONS(3132),
    [anon_sym_while] = ACTIONS(3132),
    [anon_sym_do] = ACTIONS(3132),
    [anon_sym_try] = ACTIONS(3132),
    [anon_sym_with] = ACTIONS(3132),
    [anon_sym_break] = ACTIONS(3132),
    [anon_sym_continue] = ACTIONS(3132),
    [anon_sym_debugger] = ACTIONS(3132),
    [anon_sym_return] = ACTIONS(3132),
    [anon_sym_throw] = ACTIONS(3132),
    [anon_sym_SEMI] = ACTIONS(3132),
    [anon_sym_yield] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_LTtemplate_GT] = ACTIONS(3132),
    [anon_sym_class] = ACTIONS(3132),
    [anon_sym_async] = ACTIONS(3132),
    [anon_sym_function] = ACTIONS(3132),
    [anon_sym_new] = ACTIONS(3132),
    [anon_sym_using] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_SLASH] = ACTIONS(3132),
    [anon_sym_LT] = ACTIONS(3132),
    [anon_sym_TILDE] = ACTIONS(3132),
    [anon_sym_void] = ACTIONS(3132),
    [anon_sym_delete] = ACTIONS(3132),
    [anon_sym_PLUS_PLUS] = ACTIONS(3132),
    [anon_sym_DASH_DASH] = ACTIONS(3132),
    [anon_sym_DQUOTE] = ACTIONS(3132),
    [anon_sym_SQUOTE] = ACTIONS(3132),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3132),
    [sym_number] = ACTIONS(3132),
    [sym_private_property_identifier] = ACTIONS(3132),
    [sym_this] = ACTIONS(3132),
    [sym_super] = ACTIONS(3132),
    [sym_true] = ACTIONS(3132),
    [sym_false] = ACTIONS(3132),
    [sym_null] = ACTIONS(3132),
    [sym_undefined] = ACTIONS(3132),
    [anon_sym_AT] = ACTIONS(3132),
    [anon_sym_static] = ACTIONS(3132),
    [anon_sym_readonly] = ACTIONS(3132),
    [anon_sym_get] = ACTIONS(3132),
    [anon_sym_set] = ACTIONS(3132),
    [anon_sym_declare] = ACTIONS(3132),
    [anon_sym_public] = ACTIONS(3132),
    [anon_sym_private] = ACTIONS(3132),
    [anon_sym_protected] = ACTIONS(3132),
    [anon_sym_override] = ACTIONS(3132),
    [anon_sym_module] = ACTIONS(3132),
    [anon_sym_any] = ACTIONS(3132),
    [anon_sym_number] = ACTIONS(3132),
    [anon_sym_boolean] = ACTIONS(3132),
    [anon_sym_string] = ACTIONS(3132),
    [anon_sym_symbol] = ACTIONS(3132),
    [anon_sym_object] = ACTIONS(3132),
    [anon_sym_abstract] = ACTIONS(3132),
    [anon_sym_interface] = ACTIONS(3132),
    [anon_sym_enum] = ACTIONS(3132),
    [sym_html_comment] = ACTIONS(5),
  },
  [1399] = {
    [sym_comment] = STATE(1399),
    [ts_builtin_sym_end] = ACTIONS(3414),
    [sym_identifier] = ACTIONS(3124),
    [anon_sym_export] = ACTIONS(3124),
    [anon_sym_type] = ACTIONS(3124),
    [anon_sym_namespace] = ACTIONS(3124),
    [anon_sym_LBRACE] = ACTIONS(3124),
    [anon_sym_RBRACE] = ACTIONS(3124),
    [anon_sym_typeof] = ACTIONS(3124),
    [anon_sym_import] = ACTIONS(3124),
    [anon_sym_var] = ACTIONS(3124),
    [anon_sym_let] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_BANG] = ACTIONS(3124),
    [anon_sym_else] = ACTIONS(3124),
    [anon_sym_if] = ACTIONS(3124),
    [anon_sym_switch] = ACTIONS(3124),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3124),
    [anon_sym_await] = ACTIONS(3124),
    [anon_sym_while] = ACTIONS(3124),
    [anon_sym_do] = ACTIONS(3124),
    [anon_sym_try] = ACTIONS(3124),
    [anon_sym_with] = ACTIONS(3124),
    [anon_sym_break] = ACTIONS(3124),
    [anon_sym_continue] = ACTIONS(3124),
    [anon_sym_debugger] = ACTIONS(3124),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3124),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym_yield] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_LTtemplate_GT] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_async] = ACTIONS(3124),
    [anon_sym_function] = ACTIONS(3124),
    [anon_sym_new] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_void] = ACTIONS(3124),
    [anon_sym_delete] = ACTIONS(3124),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(3124),
    [anon_sym_SQUOTE] = ACTIONS(3124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3124),
    [sym_number] = ACTIONS(3124),
    [sym_private_property_identifier] = ACTIONS(3124),
    [sym_this] = ACTIONS(3124),
    [sym_super] = ACTIONS(3124),
    [sym_true] = ACTIONS(3124),
    [sym_false] = ACTIONS(3124),
    [sym_null] = ACTIONS(3124),
    [sym_undefined] = ACTIONS(3124),
    [anon_sym_AT] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_get] = ACTIONS(3124),
    [anon_sym_set] = ACTIONS(3124),
    [anon_sym_declare] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3124),
    [anon_sym_private] = ACTIONS(3124),
    [anon_sym_protected] = ACTIONS(3124),
    [anon_sym_override] = ACTIONS(3124),
    [anon_sym_module] = ACTIONS(3124),
    [anon_sym_any] = ACTIONS(3124),
    [anon_sym_number] = ACTIONS(3124),
    [anon_sym_boolean] = ACTIONS(3124),
    [anon_sym_string] = ACTIONS(3124),
    [anon_sym_symbol] = ACTIONS(3124),
    [anon_sym_object] = ACTIONS(3124),
    [anon_sym_abstract] = ACTIONS(3124),
    [anon_sym_interface] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1400] = {
    [sym_comment] = STATE(1400),
    [ts_builtin_sym_end] = ACTIONS(3414),
    [sym_identifier] = ACTIONS(3124),
    [anon_sym_export] = ACTIONS(3124),
    [anon_sym_type] = ACTIONS(3124),
    [anon_sym_namespace] = ACTIONS(3124),
    [anon_sym_LBRACE] = ACTIONS(3124),
    [anon_sym_RBRACE] = ACTIONS(3124),
    [anon_sym_typeof] = ACTIONS(3124),
    [anon_sym_import] = ACTIONS(3124),
    [anon_sym_var] = ACTIONS(3124),
    [anon_sym_let] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_BANG] = ACTIONS(3124),
    [anon_sym_else] = ACTIONS(3124),
    [anon_sym_if] = ACTIONS(3124),
    [anon_sym_switch] = ACTIONS(3124),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3124),
    [anon_sym_await] = ACTIONS(3124),
    [anon_sym_while] = ACTIONS(3124),
    [anon_sym_do] = ACTIONS(3124),
    [anon_sym_try] = ACTIONS(3124),
    [anon_sym_with] = ACTIONS(3124),
    [anon_sym_break] = ACTIONS(3124),
    [anon_sym_continue] = ACTIONS(3124),
    [anon_sym_debugger] = ACTIONS(3124),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3124),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym_yield] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_LTtemplate_GT] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_async] = ACTIONS(3124),
    [anon_sym_function] = ACTIONS(3124),
    [anon_sym_new] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_void] = ACTIONS(3124),
    [anon_sym_delete] = ACTIONS(3124),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(3124),
    [anon_sym_SQUOTE] = ACTIONS(3124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3124),
    [sym_number] = ACTIONS(3124),
    [sym_private_property_identifier] = ACTIONS(3124),
    [sym_this] = ACTIONS(3124),
    [sym_super] = ACTIONS(3124),
    [sym_true] = ACTIONS(3124),
    [sym_false] = ACTIONS(3124),
    [sym_null] = ACTIONS(3124),
    [sym_undefined] = ACTIONS(3124),
    [anon_sym_AT] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_get] = ACTIONS(3124),
    [anon_sym_set] = ACTIONS(3124),
    [anon_sym_declare] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3124),
    [anon_sym_private] = ACTIONS(3124),
    [anon_sym_protected] = ACTIONS(3124),
    [anon_sym_override] = ACTIONS(3124),
    [anon_sym_module] = ACTIONS(3124),
    [anon_sym_any] = ACTIONS(3124),
    [anon_sym_number] = ACTIONS(3124),
    [anon_sym_boolean] = ACTIONS(3124),
    [anon_sym_string] = ACTIONS(3124),
    [anon_sym_symbol] = ACTIONS(3124),
    [anon_sym_object] = ACTIONS(3124),
    [anon_sym_abstract] = ACTIONS(3124),
    [anon_sym_interface] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1401] = {
    [sym_comment] = STATE(1401),
    [ts_builtin_sym_end] = ACTIONS(3416),
    [sym_identifier] = ACTIONS(3130),
    [anon_sym_export] = ACTIONS(3130),
    [anon_sym_type] = ACTIONS(3130),
    [anon_sym_namespace] = ACTIONS(3130),
    [anon_sym_LBRACE] = ACTIONS(3130),
    [anon_sym_RBRACE] = ACTIONS(3130),
    [anon_sym_typeof] = ACTIONS(3130),
    [anon_sym_import] = ACTIONS(3130),
    [anon_sym_var] = ACTIONS(3130),
    [anon_sym_let] = ACTIONS(3130),
    [anon_sym_const] = ACTIONS(3130),
    [anon_sym_BANG] = ACTIONS(3130),
    [anon_sym_else] = ACTIONS(3130),
    [anon_sym_if] = ACTIONS(3130),
    [anon_sym_switch] = ACTIONS(3130),
    [anon_sym_for] = ACTIONS(3130),
    [anon_sym_LPAREN] = ACTIONS(3130),
    [anon_sym_await] = ACTIONS(3130),
    [anon_sym_while] = ACTIONS(3130),
    [anon_sym_do] = ACTIONS(3130),
    [anon_sym_try] = ACTIONS(3130),
    [anon_sym_with] = ACTIONS(3130),
    [anon_sym_break] = ACTIONS(3130),
    [anon_sym_continue] = ACTIONS(3130),
    [anon_sym_debugger] = ACTIONS(3130),
    [anon_sym_return] = ACTIONS(3130),
    [anon_sym_throw] = ACTIONS(3130),
    [anon_sym_SEMI] = ACTIONS(3130),
    [anon_sym_yield] = ACTIONS(3130),
    [anon_sym_LBRACK] = ACTIONS(3130),
    [anon_sym_LTtemplate_GT] = ACTIONS(3130),
    [anon_sym_class] = ACTIONS(3130),
    [anon_sym_async] = ACTIONS(3130),
    [anon_sym_function] = ACTIONS(3130),
    [anon_sym_new] = ACTIONS(3130),
    [anon_sym_using] = ACTIONS(3130),
    [anon_sym_PLUS] = ACTIONS(3130),
    [anon_sym_DASH] = ACTIONS(3130),
    [anon_sym_SLASH] = ACTIONS(3130),
    [anon_sym_LT] = ACTIONS(3130),
    [anon_sym_TILDE] = ACTIONS(3130),
    [anon_sym_void] = ACTIONS(3130),
    [anon_sym_delete] = ACTIONS(3130),
    [anon_sym_PLUS_PLUS] = ACTIONS(3130),
    [anon_sym_DASH_DASH] = ACTIONS(3130),
    [anon_sym_DQUOTE] = ACTIONS(3130),
    [anon_sym_SQUOTE] = ACTIONS(3130),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3130),
    [sym_number] = ACTIONS(3130),
    [sym_private_property_identifier] = ACTIONS(3130),
    [sym_this] = ACTIONS(3130),
    [sym_super] = ACTIONS(3130),
    [sym_true] = ACTIONS(3130),
    [sym_false] = ACTIONS(3130),
    [sym_null] = ACTIONS(3130),
    [sym_undefined] = ACTIONS(3130),
    [anon_sym_AT] = ACTIONS(3130),
    [anon_sym_static] = ACTIONS(3130),
    [anon_sym_readonly] = ACTIONS(3130),
    [anon_sym_get] = ACTIONS(3130),
    [anon_sym_set] = ACTIONS(3130),
    [anon_sym_declare] = ACTIONS(3130),
    [anon_sym_public] = ACTIONS(3130),
    [anon_sym_private] = ACTIONS(3130),
    [anon_sym_protected] = ACTIONS(3130),
    [anon_sym_override] = ACTIONS(3130),
    [anon_sym_module] = ACTIONS(3130),
    [anon_sym_any] = ACTIONS(3130),
    [anon_sym_number] = ACTIONS(3130),
    [anon_sym_boolean] = ACTIONS(3130),
    [anon_sym_string] = ACTIONS(3130),
    [anon_sym_symbol] = ACTIONS(3130),
    [anon_sym_object] = ACTIONS(3130),
    [anon_sym_abstract] = ACTIONS(3130),
    [anon_sym_interface] = ACTIONS(3130),
    [anon_sym_enum] = ACTIONS(3130),
    [sym_html_comment] = ACTIONS(5),
  },
  [1402] = {
    [sym_comment] = STATE(1402),
    [ts_builtin_sym_end] = ACTIONS(3418),
    [sym_identifier] = ACTIONS(3128),
    [anon_sym_export] = ACTIONS(3128),
    [anon_sym_type] = ACTIONS(3128),
    [anon_sym_namespace] = ACTIONS(3128),
    [anon_sym_LBRACE] = ACTIONS(3128),
    [anon_sym_RBRACE] = ACTIONS(3128),
    [anon_sym_typeof] = ACTIONS(3128),
    [anon_sym_import] = ACTIONS(3128),
    [anon_sym_var] = ACTIONS(3128),
    [anon_sym_let] = ACTIONS(3128),
    [anon_sym_const] = ACTIONS(3128),
    [anon_sym_BANG] = ACTIONS(3128),
    [anon_sym_else] = ACTIONS(3128),
    [anon_sym_if] = ACTIONS(3128),
    [anon_sym_switch] = ACTIONS(3128),
    [anon_sym_for] = ACTIONS(3128),
    [anon_sym_LPAREN] = ACTIONS(3128),
    [anon_sym_await] = ACTIONS(3128),
    [anon_sym_while] = ACTIONS(3128),
    [anon_sym_do] = ACTIONS(3128),
    [anon_sym_try] = ACTIONS(3128),
    [anon_sym_with] = ACTIONS(3128),
    [anon_sym_break] = ACTIONS(3128),
    [anon_sym_continue] = ACTIONS(3128),
    [anon_sym_debugger] = ACTIONS(3128),
    [anon_sym_return] = ACTIONS(3128),
    [anon_sym_throw] = ACTIONS(3128),
    [anon_sym_SEMI] = ACTIONS(3128),
    [anon_sym_yield] = ACTIONS(3128),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_LTtemplate_GT] = ACTIONS(3128),
    [anon_sym_class] = ACTIONS(3128),
    [anon_sym_async] = ACTIONS(3128),
    [anon_sym_function] = ACTIONS(3128),
    [anon_sym_new] = ACTIONS(3128),
    [anon_sym_using] = ACTIONS(3128),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_SLASH] = ACTIONS(3128),
    [anon_sym_LT] = ACTIONS(3128),
    [anon_sym_TILDE] = ACTIONS(3128),
    [anon_sym_void] = ACTIONS(3128),
    [anon_sym_delete] = ACTIONS(3128),
    [anon_sym_PLUS_PLUS] = ACTIONS(3128),
    [anon_sym_DASH_DASH] = ACTIONS(3128),
    [anon_sym_DQUOTE] = ACTIONS(3128),
    [anon_sym_SQUOTE] = ACTIONS(3128),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3128),
    [sym_number] = ACTIONS(3128),
    [sym_private_property_identifier] = ACTIONS(3128),
    [sym_this] = ACTIONS(3128),
    [sym_super] = ACTIONS(3128),
    [sym_true] = ACTIONS(3128),
    [sym_false] = ACTIONS(3128),
    [sym_null] = ACTIONS(3128),
    [sym_undefined] = ACTIONS(3128),
    [anon_sym_AT] = ACTIONS(3128),
    [anon_sym_static] = ACTIONS(3128),
    [anon_sym_readonly] = ACTIONS(3128),
    [anon_sym_get] = ACTIONS(3128),
    [anon_sym_set] = ACTIONS(3128),
    [anon_sym_declare] = ACTIONS(3128),
    [anon_sym_public] = ACTIONS(3128),
    [anon_sym_private] = ACTIONS(3128),
    [anon_sym_protected] = ACTIONS(3128),
    [anon_sym_override] = ACTIONS(3128),
    [anon_sym_module] = ACTIONS(3128),
    [anon_sym_any] = ACTIONS(3128),
    [anon_sym_number] = ACTIONS(3128),
    [anon_sym_boolean] = ACTIONS(3128),
    [anon_sym_string] = ACTIONS(3128),
    [anon_sym_symbol] = ACTIONS(3128),
    [anon_sym_object] = ACTIONS(3128),
    [anon_sym_abstract] = ACTIONS(3128),
    [anon_sym_interface] = ACTIONS(3128),
    [anon_sym_enum] = ACTIONS(3128),
    [sym_html_comment] = ACTIONS(5),
  },
  [1403] = {
    [sym_comment] = STATE(1403),
    [ts_builtin_sym_end] = ACTIONS(3414),
    [sym_identifier] = ACTIONS(3124),
    [anon_sym_export] = ACTIONS(3124),
    [anon_sym_type] = ACTIONS(3124),
    [anon_sym_namespace] = ACTIONS(3124),
    [anon_sym_LBRACE] = ACTIONS(3124),
    [anon_sym_RBRACE] = ACTIONS(3124),
    [anon_sym_typeof] = ACTIONS(3124),
    [anon_sym_import] = ACTIONS(3124),
    [anon_sym_var] = ACTIONS(3124),
    [anon_sym_let] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_BANG] = ACTIONS(3124),
    [anon_sym_else] = ACTIONS(3124),
    [anon_sym_if] = ACTIONS(3124),
    [anon_sym_switch] = ACTIONS(3124),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3124),
    [anon_sym_await] = ACTIONS(3124),
    [anon_sym_while] = ACTIONS(3124),
    [anon_sym_do] = ACTIONS(3124),
    [anon_sym_try] = ACTIONS(3124),
    [anon_sym_with] = ACTIONS(3124),
    [anon_sym_break] = ACTIONS(3124),
    [anon_sym_continue] = ACTIONS(3124),
    [anon_sym_debugger] = ACTIONS(3124),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3124),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym_yield] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_LTtemplate_GT] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_async] = ACTIONS(3124),
    [anon_sym_function] = ACTIONS(3124),
    [anon_sym_new] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_void] = ACTIONS(3124),
    [anon_sym_delete] = ACTIONS(3124),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(3124),
    [anon_sym_SQUOTE] = ACTIONS(3124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3124),
    [sym_number] = ACTIONS(3124),
    [sym_private_property_identifier] = ACTIONS(3124),
    [sym_this] = ACTIONS(3124),
    [sym_super] = ACTIONS(3124),
    [sym_true] = ACTIONS(3124),
    [sym_false] = ACTIONS(3124),
    [sym_null] = ACTIONS(3124),
    [sym_undefined] = ACTIONS(3124),
    [anon_sym_AT] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_get] = ACTIONS(3124),
    [anon_sym_set] = ACTIONS(3124),
    [anon_sym_declare] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3124),
    [anon_sym_private] = ACTIONS(3124),
    [anon_sym_protected] = ACTIONS(3124),
    [anon_sym_override] = ACTIONS(3124),
    [anon_sym_module] = ACTIONS(3124),
    [anon_sym_any] = ACTIONS(3124),
    [anon_sym_number] = ACTIONS(3124),
    [anon_sym_boolean] = ACTIONS(3124),
    [anon_sym_string] = ACTIONS(3124),
    [anon_sym_symbol] = ACTIONS(3124),
    [anon_sym_object] = ACTIONS(3124),
    [anon_sym_abstract] = ACTIONS(3124),
    [anon_sym_interface] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1404] = {
    [sym_comment] = STATE(1404),
    [ts_builtin_sym_end] = ACTIONS(3420),
    [sym_identifier] = ACTIONS(3290),
    [anon_sym_export] = ACTIONS(3290),
    [anon_sym_type] = ACTIONS(3290),
    [anon_sym_namespace] = ACTIONS(3290),
    [anon_sym_LBRACE] = ACTIONS(3290),
    [anon_sym_RBRACE] = ACTIONS(3290),
    [anon_sym_typeof] = ACTIONS(3290),
    [anon_sym_import] = ACTIONS(3290),
    [anon_sym_var] = ACTIONS(3290),
    [anon_sym_let] = ACTIONS(3290),
    [anon_sym_const] = ACTIONS(3290),
    [anon_sym_BANG] = ACTIONS(3290),
    [anon_sym_else] = ACTIONS(3290),
    [anon_sym_if] = ACTIONS(3290),
    [anon_sym_switch] = ACTIONS(3290),
    [anon_sym_for] = ACTIONS(3290),
    [anon_sym_LPAREN] = ACTIONS(3290),
    [anon_sym_await] = ACTIONS(3290),
    [anon_sym_while] = ACTIONS(3290),
    [anon_sym_do] = ACTIONS(3290),
    [anon_sym_try] = ACTIONS(3290),
    [anon_sym_with] = ACTIONS(3290),
    [anon_sym_break] = ACTIONS(3290),
    [anon_sym_continue] = ACTIONS(3290),
    [anon_sym_debugger] = ACTIONS(3290),
    [anon_sym_return] = ACTIONS(3290),
    [anon_sym_throw] = ACTIONS(3290),
    [anon_sym_SEMI] = ACTIONS(3290),
    [anon_sym_yield] = ACTIONS(3290),
    [anon_sym_LBRACK] = ACTIONS(3290),
    [anon_sym_LTtemplate_GT] = ACTIONS(3290),
    [anon_sym_class] = ACTIONS(3290),
    [anon_sym_async] = ACTIONS(3290),
    [anon_sym_function] = ACTIONS(3290),
    [anon_sym_new] = ACTIONS(3290),
    [anon_sym_using] = ACTIONS(3290),
    [anon_sym_PLUS] = ACTIONS(3290),
    [anon_sym_DASH] = ACTIONS(3290),
    [anon_sym_SLASH] = ACTIONS(3290),
    [anon_sym_LT] = ACTIONS(3290),
    [anon_sym_TILDE] = ACTIONS(3290),
    [anon_sym_void] = ACTIONS(3290),
    [anon_sym_delete] = ACTIONS(3290),
    [anon_sym_PLUS_PLUS] = ACTIONS(3290),
    [anon_sym_DASH_DASH] = ACTIONS(3290),
    [anon_sym_DQUOTE] = ACTIONS(3290),
    [anon_sym_SQUOTE] = ACTIONS(3290),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3290),
    [sym_number] = ACTIONS(3290),
    [sym_private_property_identifier] = ACTIONS(3290),
    [sym_this] = ACTIONS(3290),
    [sym_super] = ACTIONS(3290),
    [sym_true] = ACTIONS(3290),
    [sym_false] = ACTIONS(3290),
    [sym_null] = ACTIONS(3290),
    [sym_undefined] = ACTIONS(3290),
    [anon_sym_AT] = ACTIONS(3290),
    [anon_sym_static] = ACTIONS(3290),
    [anon_sym_readonly] = ACTIONS(3290),
    [anon_sym_get] = ACTIONS(3290),
    [anon_sym_set] = ACTIONS(3290),
    [anon_sym_declare] = ACTIONS(3290),
    [anon_sym_public] = ACTIONS(3290),
    [anon_sym_private] = ACTIONS(3290),
    [anon_sym_protected] = ACTIONS(3290),
    [anon_sym_override] = ACTIONS(3290),
    [anon_sym_module] = ACTIONS(3290),
    [anon_sym_any] = ACTIONS(3290),
    [anon_sym_number] = ACTIONS(3290),
    [anon_sym_boolean] = ACTIONS(3290),
    [anon_sym_string] = ACTIONS(3290),
    [anon_sym_symbol] = ACTIONS(3290),
    [anon_sym_object] = ACTIONS(3290),
    [anon_sym_abstract] = ACTIONS(3290),
    [anon_sym_interface] = ACTIONS(3290),
    [anon_sym_enum] = ACTIONS(3290),
    [sym_html_comment] = ACTIONS(5),
  },
  [1405] = {
    [sym_comment] = STATE(1405),
    [ts_builtin_sym_end] = ACTIONS(3422),
    [sym_identifier] = ACTIONS(3288),
    [anon_sym_export] = ACTIONS(3288),
    [anon_sym_type] = ACTIONS(3288),
    [anon_sym_namespace] = ACTIONS(3288),
    [anon_sym_LBRACE] = ACTIONS(3288),
    [anon_sym_RBRACE] = ACTIONS(3288),
    [anon_sym_typeof] = ACTIONS(3288),
    [anon_sym_import] = ACTIONS(3288),
    [anon_sym_var] = ACTIONS(3288),
    [anon_sym_let] = ACTIONS(3288),
    [anon_sym_const] = ACTIONS(3288),
    [anon_sym_BANG] = ACTIONS(3288),
    [anon_sym_else] = ACTIONS(3288),
    [anon_sym_if] = ACTIONS(3288),
    [anon_sym_switch] = ACTIONS(3288),
    [anon_sym_for] = ACTIONS(3288),
    [anon_sym_LPAREN] = ACTIONS(3288),
    [anon_sym_await] = ACTIONS(3288),
    [anon_sym_while] = ACTIONS(3288),
    [anon_sym_do] = ACTIONS(3288),
    [anon_sym_try] = ACTIONS(3288),
    [anon_sym_with] = ACTIONS(3288),
    [anon_sym_break] = ACTIONS(3288),
    [anon_sym_continue] = ACTIONS(3288),
    [anon_sym_debugger] = ACTIONS(3288),
    [anon_sym_return] = ACTIONS(3288),
    [anon_sym_throw] = ACTIONS(3288),
    [anon_sym_SEMI] = ACTIONS(3288),
    [anon_sym_yield] = ACTIONS(3288),
    [anon_sym_LBRACK] = ACTIONS(3288),
    [anon_sym_LTtemplate_GT] = ACTIONS(3288),
    [anon_sym_class] = ACTIONS(3288),
    [anon_sym_async] = ACTIONS(3288),
    [anon_sym_function] = ACTIONS(3288),
    [anon_sym_new] = ACTIONS(3288),
    [anon_sym_using] = ACTIONS(3288),
    [anon_sym_PLUS] = ACTIONS(3288),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_SLASH] = ACTIONS(3288),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_TILDE] = ACTIONS(3288),
    [anon_sym_void] = ACTIONS(3288),
    [anon_sym_delete] = ACTIONS(3288),
    [anon_sym_PLUS_PLUS] = ACTIONS(3288),
    [anon_sym_DASH_DASH] = ACTIONS(3288),
    [anon_sym_DQUOTE] = ACTIONS(3288),
    [anon_sym_SQUOTE] = ACTIONS(3288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3288),
    [sym_number] = ACTIONS(3288),
    [sym_private_property_identifier] = ACTIONS(3288),
    [sym_this] = ACTIONS(3288),
    [sym_super] = ACTIONS(3288),
    [sym_true] = ACTIONS(3288),
    [sym_false] = ACTIONS(3288),
    [sym_null] = ACTIONS(3288),
    [sym_undefined] = ACTIONS(3288),
    [anon_sym_AT] = ACTIONS(3288),
    [anon_sym_static] = ACTIONS(3288),
    [anon_sym_readonly] = ACTIONS(3288),
    [anon_sym_get] = ACTIONS(3288),
    [anon_sym_set] = ACTIONS(3288),
    [anon_sym_declare] = ACTIONS(3288),
    [anon_sym_public] = ACTIONS(3288),
    [anon_sym_private] = ACTIONS(3288),
    [anon_sym_protected] = ACTIONS(3288),
    [anon_sym_override] = ACTIONS(3288),
    [anon_sym_module] = ACTIONS(3288),
    [anon_sym_any] = ACTIONS(3288),
    [anon_sym_number] = ACTIONS(3288),
    [anon_sym_boolean] = ACTIONS(3288),
    [anon_sym_string] = ACTIONS(3288),
    [anon_sym_symbol] = ACTIONS(3288),
    [anon_sym_object] = ACTIONS(3288),
    [anon_sym_abstract] = ACTIONS(3288),
    [anon_sym_interface] = ACTIONS(3288),
    [anon_sym_enum] = ACTIONS(3288),
    [sym_html_comment] = ACTIONS(5),
  },
  [1406] = {
    [sym_comment] = STATE(1406),
    [ts_builtin_sym_end] = ACTIONS(3424),
    [sym_identifier] = ACTIONS(3286),
    [anon_sym_export] = ACTIONS(3286),
    [anon_sym_type] = ACTIONS(3286),
    [anon_sym_namespace] = ACTIONS(3286),
    [anon_sym_LBRACE] = ACTIONS(3286),
    [anon_sym_RBRACE] = ACTIONS(3286),
    [anon_sym_typeof] = ACTIONS(3286),
    [anon_sym_import] = ACTIONS(3286),
    [anon_sym_var] = ACTIONS(3286),
    [anon_sym_let] = ACTIONS(3286),
    [anon_sym_const] = ACTIONS(3286),
    [anon_sym_BANG] = ACTIONS(3286),
    [anon_sym_else] = ACTIONS(3286),
    [anon_sym_if] = ACTIONS(3286),
    [anon_sym_switch] = ACTIONS(3286),
    [anon_sym_for] = ACTIONS(3286),
    [anon_sym_LPAREN] = ACTIONS(3286),
    [anon_sym_await] = ACTIONS(3286),
    [anon_sym_while] = ACTIONS(3286),
    [anon_sym_do] = ACTIONS(3286),
    [anon_sym_try] = ACTIONS(3286),
    [anon_sym_with] = ACTIONS(3286),
    [anon_sym_break] = ACTIONS(3286),
    [anon_sym_continue] = ACTIONS(3286),
    [anon_sym_debugger] = ACTIONS(3286),
    [anon_sym_return] = ACTIONS(3286),
    [anon_sym_throw] = ACTIONS(3286),
    [anon_sym_SEMI] = ACTIONS(3286),
    [anon_sym_yield] = ACTIONS(3286),
    [anon_sym_LBRACK] = ACTIONS(3286),
    [anon_sym_LTtemplate_GT] = ACTIONS(3286),
    [anon_sym_class] = ACTIONS(3286),
    [anon_sym_async] = ACTIONS(3286),
    [anon_sym_function] = ACTIONS(3286),
    [anon_sym_new] = ACTIONS(3286),
    [anon_sym_using] = ACTIONS(3286),
    [anon_sym_PLUS] = ACTIONS(3286),
    [anon_sym_DASH] = ACTIONS(3286),
    [anon_sym_SLASH] = ACTIONS(3286),
    [anon_sym_LT] = ACTIONS(3286),
    [anon_sym_TILDE] = ACTIONS(3286),
    [anon_sym_void] = ACTIONS(3286),
    [anon_sym_delete] = ACTIONS(3286),
    [anon_sym_PLUS_PLUS] = ACTIONS(3286),
    [anon_sym_DASH_DASH] = ACTIONS(3286),
    [anon_sym_DQUOTE] = ACTIONS(3286),
    [anon_sym_SQUOTE] = ACTIONS(3286),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3286),
    [sym_number] = ACTIONS(3286),
    [sym_private_property_identifier] = ACTIONS(3286),
    [sym_this] = ACTIONS(3286),
    [sym_super] = ACTIONS(3286),
    [sym_true] = ACTIONS(3286),
    [sym_false] = ACTIONS(3286),
    [sym_null] = ACTIONS(3286),
    [sym_undefined] = ACTIONS(3286),
    [anon_sym_AT] = ACTIONS(3286),
    [anon_sym_static] = ACTIONS(3286),
    [anon_sym_readonly] = ACTIONS(3286),
    [anon_sym_get] = ACTIONS(3286),
    [anon_sym_set] = ACTIONS(3286),
    [anon_sym_declare] = ACTIONS(3286),
    [anon_sym_public] = ACTIONS(3286),
    [anon_sym_private] = ACTIONS(3286),
    [anon_sym_protected] = ACTIONS(3286),
    [anon_sym_override] = ACTIONS(3286),
    [anon_sym_module] = ACTIONS(3286),
    [anon_sym_any] = ACTIONS(3286),
    [anon_sym_number] = ACTIONS(3286),
    [anon_sym_boolean] = ACTIONS(3286),
    [anon_sym_string] = ACTIONS(3286),
    [anon_sym_symbol] = ACTIONS(3286),
    [anon_sym_object] = ACTIONS(3286),
    [anon_sym_abstract] = ACTIONS(3286),
    [anon_sym_interface] = ACTIONS(3286),
    [anon_sym_enum] = ACTIONS(3286),
    [sym_html_comment] = ACTIONS(5),
  },
  [1407] = {
    [sym_comment] = STATE(1407),
    [ts_builtin_sym_end] = ACTIONS(3426),
    [sym_identifier] = ACTIONS(3278),
    [anon_sym_export] = ACTIONS(3278),
    [anon_sym_type] = ACTIONS(3278),
    [anon_sym_namespace] = ACTIONS(3278),
    [anon_sym_LBRACE] = ACTIONS(3278),
    [anon_sym_RBRACE] = ACTIONS(3278),
    [anon_sym_typeof] = ACTIONS(3278),
    [anon_sym_import] = ACTIONS(3278),
    [anon_sym_var] = ACTIONS(3278),
    [anon_sym_let] = ACTIONS(3278),
    [anon_sym_const] = ACTIONS(3278),
    [anon_sym_BANG] = ACTIONS(3278),
    [anon_sym_else] = ACTIONS(3278),
    [anon_sym_if] = ACTIONS(3278),
    [anon_sym_switch] = ACTIONS(3278),
    [anon_sym_for] = ACTIONS(3278),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_await] = ACTIONS(3278),
    [anon_sym_while] = ACTIONS(3278),
    [anon_sym_do] = ACTIONS(3278),
    [anon_sym_try] = ACTIONS(3278),
    [anon_sym_with] = ACTIONS(3278),
    [anon_sym_break] = ACTIONS(3278),
    [anon_sym_continue] = ACTIONS(3278),
    [anon_sym_debugger] = ACTIONS(3278),
    [anon_sym_return] = ACTIONS(3278),
    [anon_sym_throw] = ACTIONS(3278),
    [anon_sym_SEMI] = ACTIONS(3278),
    [anon_sym_yield] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(3278),
    [anon_sym_LTtemplate_GT] = ACTIONS(3278),
    [anon_sym_class] = ACTIONS(3278),
    [anon_sym_async] = ACTIONS(3278),
    [anon_sym_function] = ACTIONS(3278),
    [anon_sym_new] = ACTIONS(3278),
    [anon_sym_using] = ACTIONS(3278),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_SLASH] = ACTIONS(3278),
    [anon_sym_LT] = ACTIONS(3278),
    [anon_sym_TILDE] = ACTIONS(3278),
    [anon_sym_void] = ACTIONS(3278),
    [anon_sym_delete] = ACTIONS(3278),
    [anon_sym_PLUS_PLUS] = ACTIONS(3278),
    [anon_sym_DASH_DASH] = ACTIONS(3278),
    [anon_sym_DQUOTE] = ACTIONS(3278),
    [anon_sym_SQUOTE] = ACTIONS(3278),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3278),
    [sym_number] = ACTIONS(3278),
    [sym_private_property_identifier] = ACTIONS(3278),
    [sym_this] = ACTIONS(3278),
    [sym_super] = ACTIONS(3278),
    [sym_true] = ACTIONS(3278),
    [sym_false] = ACTIONS(3278),
    [sym_null] = ACTIONS(3278),
    [sym_undefined] = ACTIONS(3278),
    [anon_sym_AT] = ACTIONS(3278),
    [anon_sym_static] = ACTIONS(3278),
    [anon_sym_readonly] = ACTIONS(3278),
    [anon_sym_get] = ACTIONS(3278),
    [anon_sym_set] = ACTIONS(3278),
    [anon_sym_declare] = ACTIONS(3278),
    [anon_sym_public] = ACTIONS(3278),
    [anon_sym_private] = ACTIONS(3278),
    [anon_sym_protected] = ACTIONS(3278),
    [anon_sym_override] = ACTIONS(3278),
    [anon_sym_module] = ACTIONS(3278),
    [anon_sym_any] = ACTIONS(3278),
    [anon_sym_number] = ACTIONS(3278),
    [anon_sym_boolean] = ACTIONS(3278),
    [anon_sym_string] = ACTIONS(3278),
    [anon_sym_symbol] = ACTIONS(3278),
    [anon_sym_object] = ACTIONS(3278),
    [anon_sym_abstract] = ACTIONS(3278),
    [anon_sym_interface] = ACTIONS(3278),
    [anon_sym_enum] = ACTIONS(3278),
    [sym_html_comment] = ACTIONS(5),
  },
  [1408] = {
    [sym_comment] = STATE(1408),
    [ts_builtin_sym_end] = ACTIONS(3428),
    [sym_identifier] = ACTIONS(3276),
    [anon_sym_export] = ACTIONS(3276),
    [anon_sym_type] = ACTIONS(3276),
    [anon_sym_namespace] = ACTIONS(3276),
    [anon_sym_LBRACE] = ACTIONS(3276),
    [anon_sym_RBRACE] = ACTIONS(3276),
    [anon_sym_typeof] = ACTIONS(3276),
    [anon_sym_import] = ACTIONS(3276),
    [anon_sym_var] = ACTIONS(3276),
    [anon_sym_let] = ACTIONS(3276),
    [anon_sym_const] = ACTIONS(3276),
    [anon_sym_BANG] = ACTIONS(3276),
    [anon_sym_else] = ACTIONS(3276),
    [anon_sym_if] = ACTIONS(3276),
    [anon_sym_switch] = ACTIONS(3276),
    [anon_sym_for] = ACTIONS(3276),
    [anon_sym_LPAREN] = ACTIONS(3276),
    [anon_sym_await] = ACTIONS(3276),
    [anon_sym_while] = ACTIONS(3276),
    [anon_sym_do] = ACTIONS(3276),
    [anon_sym_try] = ACTIONS(3276),
    [anon_sym_with] = ACTIONS(3276),
    [anon_sym_break] = ACTIONS(3276),
    [anon_sym_continue] = ACTIONS(3276),
    [anon_sym_debugger] = ACTIONS(3276),
    [anon_sym_return] = ACTIONS(3276),
    [anon_sym_throw] = ACTIONS(3276),
    [anon_sym_SEMI] = ACTIONS(3276),
    [anon_sym_yield] = ACTIONS(3276),
    [anon_sym_LBRACK] = ACTIONS(3276),
    [anon_sym_LTtemplate_GT] = ACTIONS(3276),
    [anon_sym_class] = ACTIONS(3276),
    [anon_sym_async] = ACTIONS(3276),
    [anon_sym_function] = ACTIONS(3276),
    [anon_sym_new] = ACTIONS(3276),
    [anon_sym_using] = ACTIONS(3276),
    [anon_sym_PLUS] = ACTIONS(3276),
    [anon_sym_DASH] = ACTIONS(3276),
    [anon_sym_SLASH] = ACTIONS(3276),
    [anon_sym_LT] = ACTIONS(3276),
    [anon_sym_TILDE] = ACTIONS(3276),
    [anon_sym_void] = ACTIONS(3276),
    [anon_sym_delete] = ACTIONS(3276),
    [anon_sym_PLUS_PLUS] = ACTIONS(3276),
    [anon_sym_DASH_DASH] = ACTIONS(3276),
    [anon_sym_DQUOTE] = ACTIONS(3276),
    [anon_sym_SQUOTE] = ACTIONS(3276),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3276),
    [sym_number] = ACTIONS(3276),
    [sym_private_property_identifier] = ACTIONS(3276),
    [sym_this] = ACTIONS(3276),
    [sym_super] = ACTIONS(3276),
    [sym_true] = ACTIONS(3276),
    [sym_false] = ACTIONS(3276),
    [sym_null] = ACTIONS(3276),
    [sym_undefined] = ACTIONS(3276),
    [anon_sym_AT] = ACTIONS(3276),
    [anon_sym_static] = ACTIONS(3276),
    [anon_sym_readonly] = ACTIONS(3276),
    [anon_sym_get] = ACTIONS(3276),
    [anon_sym_set] = ACTIONS(3276),
    [anon_sym_declare] = ACTIONS(3276),
    [anon_sym_public] = ACTIONS(3276),
    [anon_sym_private] = ACTIONS(3276),
    [anon_sym_protected] = ACTIONS(3276),
    [anon_sym_override] = ACTIONS(3276),
    [anon_sym_module] = ACTIONS(3276),
    [anon_sym_any] = ACTIONS(3276),
    [anon_sym_number] = ACTIONS(3276),
    [anon_sym_boolean] = ACTIONS(3276),
    [anon_sym_string] = ACTIONS(3276),
    [anon_sym_symbol] = ACTIONS(3276),
    [anon_sym_object] = ACTIONS(3276),
    [anon_sym_abstract] = ACTIONS(3276),
    [anon_sym_interface] = ACTIONS(3276),
    [anon_sym_enum] = ACTIONS(3276),
    [sym_html_comment] = ACTIONS(5),
  },
  [1409] = {
    [sym_comment] = STATE(1409),
    [ts_builtin_sym_end] = ACTIONS(3430),
    [sym_identifier] = ACTIONS(3266),
    [anon_sym_export] = ACTIONS(3266),
    [anon_sym_type] = ACTIONS(3266),
    [anon_sym_namespace] = ACTIONS(3266),
    [anon_sym_LBRACE] = ACTIONS(3266),
    [anon_sym_RBRACE] = ACTIONS(3266),
    [anon_sym_typeof] = ACTIONS(3266),
    [anon_sym_import] = ACTIONS(3266),
    [anon_sym_var] = ACTIONS(3266),
    [anon_sym_let] = ACTIONS(3266),
    [anon_sym_const] = ACTIONS(3266),
    [anon_sym_BANG] = ACTIONS(3266),
    [anon_sym_else] = ACTIONS(3266),
    [anon_sym_if] = ACTIONS(3266),
    [anon_sym_switch] = ACTIONS(3266),
    [anon_sym_for] = ACTIONS(3266),
    [anon_sym_LPAREN] = ACTIONS(3266),
    [anon_sym_await] = ACTIONS(3266),
    [anon_sym_while] = ACTIONS(3266),
    [anon_sym_do] = ACTIONS(3266),
    [anon_sym_try] = ACTIONS(3266),
    [anon_sym_with] = ACTIONS(3266),
    [anon_sym_break] = ACTIONS(3266),
    [anon_sym_continue] = ACTIONS(3266),
    [anon_sym_debugger] = ACTIONS(3266),
    [anon_sym_return] = ACTIONS(3266),
    [anon_sym_throw] = ACTIONS(3266),
    [anon_sym_SEMI] = ACTIONS(3266),
    [anon_sym_yield] = ACTIONS(3266),
    [anon_sym_LBRACK] = ACTIONS(3266),
    [anon_sym_LTtemplate_GT] = ACTIONS(3266),
    [anon_sym_class] = ACTIONS(3266),
    [anon_sym_async] = ACTIONS(3266),
    [anon_sym_function] = ACTIONS(3266),
    [anon_sym_new] = ACTIONS(3266),
    [anon_sym_using] = ACTIONS(3266),
    [anon_sym_PLUS] = ACTIONS(3266),
    [anon_sym_DASH] = ACTIONS(3266),
    [anon_sym_SLASH] = ACTIONS(3266),
    [anon_sym_LT] = ACTIONS(3266),
    [anon_sym_TILDE] = ACTIONS(3266),
    [anon_sym_void] = ACTIONS(3266),
    [anon_sym_delete] = ACTIONS(3266),
    [anon_sym_PLUS_PLUS] = ACTIONS(3266),
    [anon_sym_DASH_DASH] = ACTIONS(3266),
    [anon_sym_DQUOTE] = ACTIONS(3266),
    [anon_sym_SQUOTE] = ACTIONS(3266),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3266),
    [sym_number] = ACTIONS(3266),
    [sym_private_property_identifier] = ACTIONS(3266),
    [sym_this] = ACTIONS(3266),
    [sym_super] = ACTIONS(3266),
    [sym_true] = ACTIONS(3266),
    [sym_false] = ACTIONS(3266),
    [sym_null] = ACTIONS(3266),
    [sym_undefined] = ACTIONS(3266),
    [anon_sym_AT] = ACTIONS(3266),
    [anon_sym_static] = ACTIONS(3266),
    [anon_sym_readonly] = ACTIONS(3266),
    [anon_sym_get] = ACTIONS(3266),
    [anon_sym_set] = ACTIONS(3266),
    [anon_sym_declare] = ACTIONS(3266),
    [anon_sym_public] = ACTIONS(3266),
    [anon_sym_private] = ACTIONS(3266),
    [anon_sym_protected] = ACTIONS(3266),
    [anon_sym_override] = ACTIONS(3266),
    [anon_sym_module] = ACTIONS(3266),
    [anon_sym_any] = ACTIONS(3266),
    [anon_sym_number] = ACTIONS(3266),
    [anon_sym_boolean] = ACTIONS(3266),
    [anon_sym_string] = ACTIONS(3266),
    [anon_sym_symbol] = ACTIONS(3266),
    [anon_sym_object] = ACTIONS(3266),
    [anon_sym_abstract] = ACTIONS(3266),
    [anon_sym_interface] = ACTIONS(3266),
    [anon_sym_enum] = ACTIONS(3266),
    [sym_html_comment] = ACTIONS(5),
  },
  [1410] = {
    [sym_comment] = STATE(1410),
    [ts_builtin_sym_end] = ACTIONS(3414),
    [sym_identifier] = ACTIONS(3124),
    [anon_sym_export] = ACTIONS(3124),
    [anon_sym_type] = ACTIONS(3124),
    [anon_sym_namespace] = ACTIONS(3124),
    [anon_sym_LBRACE] = ACTIONS(3124),
    [anon_sym_RBRACE] = ACTIONS(3124),
    [anon_sym_typeof] = ACTIONS(3124),
    [anon_sym_import] = ACTIONS(3124),
    [anon_sym_var] = ACTIONS(3124),
    [anon_sym_let] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_BANG] = ACTIONS(3124),
    [anon_sym_else] = ACTIONS(3124),
    [anon_sym_if] = ACTIONS(3124),
    [anon_sym_switch] = ACTIONS(3124),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3124),
    [anon_sym_await] = ACTIONS(3124),
    [anon_sym_while] = ACTIONS(3124),
    [anon_sym_do] = ACTIONS(3124),
    [anon_sym_try] = ACTIONS(3124),
    [anon_sym_with] = ACTIONS(3124),
    [anon_sym_break] = ACTIONS(3124),
    [anon_sym_continue] = ACTIONS(3124),
    [anon_sym_debugger] = ACTIONS(3124),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3124),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym_yield] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_LTtemplate_GT] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_async] = ACTIONS(3124),
    [anon_sym_function] = ACTIONS(3124),
    [anon_sym_new] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_void] = ACTIONS(3124),
    [anon_sym_delete] = ACTIONS(3124),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(3124),
    [anon_sym_SQUOTE] = ACTIONS(3124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3124),
    [sym_number] = ACTIONS(3124),
    [sym_private_property_identifier] = ACTIONS(3124),
    [sym_this] = ACTIONS(3124),
    [sym_super] = ACTIONS(3124),
    [sym_true] = ACTIONS(3124),
    [sym_false] = ACTIONS(3124),
    [sym_null] = ACTIONS(3124),
    [sym_undefined] = ACTIONS(3124),
    [anon_sym_AT] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_get] = ACTIONS(3124),
    [anon_sym_set] = ACTIONS(3124),
    [anon_sym_declare] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3124),
    [anon_sym_private] = ACTIONS(3124),
    [anon_sym_protected] = ACTIONS(3124),
    [anon_sym_override] = ACTIONS(3124),
    [anon_sym_module] = ACTIONS(3124),
    [anon_sym_any] = ACTIONS(3124),
    [anon_sym_number] = ACTIONS(3124),
    [anon_sym_boolean] = ACTIONS(3124),
    [anon_sym_string] = ACTIONS(3124),
    [anon_sym_symbol] = ACTIONS(3124),
    [anon_sym_object] = ACTIONS(3124),
    [anon_sym_abstract] = ACTIONS(3124),
    [anon_sym_interface] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1411] = {
    [sym_comment] = STATE(1411),
    [ts_builtin_sym_end] = ACTIONS(3432),
    [sym_identifier] = ACTIONS(3182),
    [anon_sym_export] = ACTIONS(3182),
    [anon_sym_type] = ACTIONS(3182),
    [anon_sym_namespace] = ACTIONS(3182),
    [anon_sym_LBRACE] = ACTIONS(3182),
    [anon_sym_RBRACE] = ACTIONS(3182),
    [anon_sym_typeof] = ACTIONS(3182),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_var] = ACTIONS(3182),
    [anon_sym_let] = ACTIONS(3182),
    [anon_sym_const] = ACTIONS(3182),
    [anon_sym_BANG] = ACTIONS(3182),
    [anon_sym_else] = ACTIONS(3182),
    [anon_sym_if] = ACTIONS(3182),
    [anon_sym_switch] = ACTIONS(3182),
    [anon_sym_for] = ACTIONS(3182),
    [anon_sym_LPAREN] = ACTIONS(3182),
    [anon_sym_await] = ACTIONS(3182),
    [anon_sym_while] = ACTIONS(3182),
    [anon_sym_do] = ACTIONS(3182),
    [anon_sym_try] = ACTIONS(3182),
    [anon_sym_with] = ACTIONS(3182),
    [anon_sym_break] = ACTIONS(3182),
    [anon_sym_continue] = ACTIONS(3182),
    [anon_sym_debugger] = ACTIONS(3182),
    [anon_sym_return] = ACTIONS(3182),
    [anon_sym_throw] = ACTIONS(3182),
    [anon_sym_SEMI] = ACTIONS(3182),
    [anon_sym_yield] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3182),
    [anon_sym_LTtemplate_GT] = ACTIONS(3182),
    [anon_sym_class] = ACTIONS(3182),
    [anon_sym_async] = ACTIONS(3182),
    [anon_sym_function] = ACTIONS(3182),
    [anon_sym_new] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_PLUS] = ACTIONS(3182),
    [anon_sym_DASH] = ACTIONS(3182),
    [anon_sym_SLASH] = ACTIONS(3182),
    [anon_sym_LT] = ACTIONS(3182),
    [anon_sym_TILDE] = ACTIONS(3182),
    [anon_sym_void] = ACTIONS(3182),
    [anon_sym_delete] = ACTIONS(3182),
    [anon_sym_PLUS_PLUS] = ACTIONS(3182),
    [anon_sym_DASH_DASH] = ACTIONS(3182),
    [anon_sym_DQUOTE] = ACTIONS(3182),
    [anon_sym_SQUOTE] = ACTIONS(3182),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3182),
    [sym_number] = ACTIONS(3182),
    [sym_private_property_identifier] = ACTIONS(3182),
    [sym_this] = ACTIONS(3182),
    [sym_super] = ACTIONS(3182),
    [sym_true] = ACTIONS(3182),
    [sym_false] = ACTIONS(3182),
    [sym_null] = ACTIONS(3182),
    [sym_undefined] = ACTIONS(3182),
    [anon_sym_AT] = ACTIONS(3182),
    [anon_sym_static] = ACTIONS(3182),
    [anon_sym_readonly] = ACTIONS(3182),
    [anon_sym_get] = ACTIONS(3182),
    [anon_sym_set] = ACTIONS(3182),
    [anon_sym_declare] = ACTIONS(3182),
    [anon_sym_public] = ACTIONS(3182),
    [anon_sym_private] = ACTIONS(3182),
    [anon_sym_protected] = ACTIONS(3182),
    [anon_sym_override] = ACTIONS(3182),
    [anon_sym_module] = ACTIONS(3182),
    [anon_sym_any] = ACTIONS(3182),
    [anon_sym_number] = ACTIONS(3182),
    [anon_sym_boolean] = ACTIONS(3182),
    [anon_sym_string] = ACTIONS(3182),
    [anon_sym_symbol] = ACTIONS(3182),
    [anon_sym_object] = ACTIONS(3182),
    [anon_sym_abstract] = ACTIONS(3182),
    [anon_sym_interface] = ACTIONS(3182),
    [anon_sym_enum] = ACTIONS(3182),
    [sym_html_comment] = ACTIONS(5),
  },
  [1412] = {
    [sym_comment] = STATE(1412),
    [ts_builtin_sym_end] = ACTIONS(3434),
    [sym_identifier] = ACTIONS(3294),
    [anon_sym_export] = ACTIONS(3294),
    [anon_sym_type] = ACTIONS(3294),
    [anon_sym_namespace] = ACTIONS(3294),
    [anon_sym_LBRACE] = ACTIONS(3294),
    [anon_sym_RBRACE] = ACTIONS(3294),
    [anon_sym_typeof] = ACTIONS(3294),
    [anon_sym_import] = ACTIONS(3294),
    [anon_sym_var] = ACTIONS(3294),
    [anon_sym_let] = ACTIONS(3294),
    [anon_sym_const] = ACTIONS(3294),
    [anon_sym_BANG] = ACTIONS(3294),
    [anon_sym_else] = ACTIONS(3294),
    [anon_sym_if] = ACTIONS(3294),
    [anon_sym_switch] = ACTIONS(3294),
    [anon_sym_for] = ACTIONS(3294),
    [anon_sym_LPAREN] = ACTIONS(3294),
    [anon_sym_await] = ACTIONS(3294),
    [anon_sym_while] = ACTIONS(3294),
    [anon_sym_do] = ACTIONS(3294),
    [anon_sym_try] = ACTIONS(3294),
    [anon_sym_with] = ACTIONS(3294),
    [anon_sym_break] = ACTIONS(3294),
    [anon_sym_continue] = ACTIONS(3294),
    [anon_sym_debugger] = ACTIONS(3294),
    [anon_sym_return] = ACTIONS(3294),
    [anon_sym_throw] = ACTIONS(3294),
    [anon_sym_SEMI] = ACTIONS(3294),
    [anon_sym_yield] = ACTIONS(3294),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [anon_sym_LTtemplate_GT] = ACTIONS(3294),
    [anon_sym_class] = ACTIONS(3294),
    [anon_sym_async] = ACTIONS(3294),
    [anon_sym_function] = ACTIONS(3294),
    [anon_sym_new] = ACTIONS(3294),
    [anon_sym_using] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_SLASH] = ACTIONS(3294),
    [anon_sym_LT] = ACTIONS(3294),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_void] = ACTIONS(3294),
    [anon_sym_delete] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_DQUOTE] = ACTIONS(3294),
    [anon_sym_SQUOTE] = ACTIONS(3294),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3294),
    [sym_number] = ACTIONS(3294),
    [sym_private_property_identifier] = ACTIONS(3294),
    [sym_this] = ACTIONS(3294),
    [sym_super] = ACTIONS(3294),
    [sym_true] = ACTIONS(3294),
    [sym_false] = ACTIONS(3294),
    [sym_null] = ACTIONS(3294),
    [sym_undefined] = ACTIONS(3294),
    [anon_sym_AT] = ACTIONS(3294),
    [anon_sym_static] = ACTIONS(3294),
    [anon_sym_readonly] = ACTIONS(3294),
    [anon_sym_get] = ACTIONS(3294),
    [anon_sym_set] = ACTIONS(3294),
    [anon_sym_declare] = ACTIONS(3294),
    [anon_sym_public] = ACTIONS(3294),
    [anon_sym_private] = ACTIONS(3294),
    [anon_sym_protected] = ACTIONS(3294),
    [anon_sym_override] = ACTIONS(3294),
    [anon_sym_module] = ACTIONS(3294),
    [anon_sym_any] = ACTIONS(3294),
    [anon_sym_number] = ACTIONS(3294),
    [anon_sym_boolean] = ACTIONS(3294),
    [anon_sym_string] = ACTIONS(3294),
    [anon_sym_symbol] = ACTIONS(3294),
    [anon_sym_object] = ACTIONS(3294),
    [anon_sym_abstract] = ACTIONS(3294),
    [anon_sym_interface] = ACTIONS(3294),
    [anon_sym_enum] = ACTIONS(3294),
    [sym_html_comment] = ACTIONS(5),
  },
  [1413] = {
    [sym_comment] = STATE(1413),
    [ts_builtin_sym_end] = ACTIONS(3436),
    [sym_identifier] = ACTIONS(3292),
    [anon_sym_export] = ACTIONS(3292),
    [anon_sym_type] = ACTIONS(3292),
    [anon_sym_namespace] = ACTIONS(3292),
    [anon_sym_LBRACE] = ACTIONS(3292),
    [anon_sym_RBRACE] = ACTIONS(3292),
    [anon_sym_typeof] = ACTIONS(3292),
    [anon_sym_import] = ACTIONS(3292),
    [anon_sym_var] = ACTIONS(3292),
    [anon_sym_let] = ACTIONS(3292),
    [anon_sym_const] = ACTIONS(3292),
    [anon_sym_BANG] = ACTIONS(3292),
    [anon_sym_else] = ACTIONS(3292),
    [anon_sym_if] = ACTIONS(3292),
    [anon_sym_switch] = ACTIONS(3292),
    [anon_sym_for] = ACTIONS(3292),
    [anon_sym_LPAREN] = ACTIONS(3292),
    [anon_sym_await] = ACTIONS(3292),
    [anon_sym_while] = ACTIONS(3292),
    [anon_sym_do] = ACTIONS(3292),
    [anon_sym_try] = ACTIONS(3292),
    [anon_sym_with] = ACTIONS(3292),
    [anon_sym_break] = ACTIONS(3292),
    [anon_sym_continue] = ACTIONS(3292),
    [anon_sym_debugger] = ACTIONS(3292),
    [anon_sym_return] = ACTIONS(3292),
    [anon_sym_throw] = ACTIONS(3292),
    [anon_sym_SEMI] = ACTIONS(3292),
    [anon_sym_yield] = ACTIONS(3292),
    [anon_sym_LBRACK] = ACTIONS(3292),
    [anon_sym_LTtemplate_GT] = ACTIONS(3292),
    [anon_sym_class] = ACTIONS(3292),
    [anon_sym_async] = ACTIONS(3292),
    [anon_sym_function] = ACTIONS(3292),
    [anon_sym_new] = ACTIONS(3292),
    [anon_sym_using] = ACTIONS(3292),
    [anon_sym_PLUS] = ACTIONS(3292),
    [anon_sym_DASH] = ACTIONS(3292),
    [anon_sym_SLASH] = ACTIONS(3292),
    [anon_sym_LT] = ACTIONS(3292),
    [anon_sym_TILDE] = ACTIONS(3292),
    [anon_sym_void] = ACTIONS(3292),
    [anon_sym_delete] = ACTIONS(3292),
    [anon_sym_PLUS_PLUS] = ACTIONS(3292),
    [anon_sym_DASH_DASH] = ACTIONS(3292),
    [anon_sym_DQUOTE] = ACTIONS(3292),
    [anon_sym_SQUOTE] = ACTIONS(3292),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3292),
    [sym_number] = ACTIONS(3292),
    [sym_private_property_identifier] = ACTIONS(3292),
    [sym_this] = ACTIONS(3292),
    [sym_super] = ACTIONS(3292),
    [sym_true] = ACTIONS(3292),
    [sym_false] = ACTIONS(3292),
    [sym_null] = ACTIONS(3292),
    [sym_undefined] = ACTIONS(3292),
    [anon_sym_AT] = ACTIONS(3292),
    [anon_sym_static] = ACTIONS(3292),
    [anon_sym_readonly] = ACTIONS(3292),
    [anon_sym_get] = ACTIONS(3292),
    [anon_sym_set] = ACTIONS(3292),
    [anon_sym_declare] = ACTIONS(3292),
    [anon_sym_public] = ACTIONS(3292),
    [anon_sym_private] = ACTIONS(3292),
    [anon_sym_protected] = ACTIONS(3292),
    [anon_sym_override] = ACTIONS(3292),
    [anon_sym_module] = ACTIONS(3292),
    [anon_sym_any] = ACTIONS(3292),
    [anon_sym_number] = ACTIONS(3292),
    [anon_sym_boolean] = ACTIONS(3292),
    [anon_sym_string] = ACTIONS(3292),
    [anon_sym_symbol] = ACTIONS(3292),
    [anon_sym_object] = ACTIONS(3292),
    [anon_sym_abstract] = ACTIONS(3292),
    [anon_sym_interface] = ACTIONS(3292),
    [anon_sym_enum] = ACTIONS(3292),
    [sym_html_comment] = ACTIONS(5),
  },
  [1414] = {
    [sym_comment] = STATE(1414),
    [ts_builtin_sym_end] = ACTIONS(3438),
    [sym_identifier] = ACTIONS(3258),
    [anon_sym_export] = ACTIONS(3258),
    [anon_sym_type] = ACTIONS(3258),
    [anon_sym_namespace] = ACTIONS(3258),
    [anon_sym_LBRACE] = ACTIONS(3258),
    [anon_sym_RBRACE] = ACTIONS(3258),
    [anon_sym_typeof] = ACTIONS(3258),
    [anon_sym_import] = ACTIONS(3258),
    [anon_sym_var] = ACTIONS(3258),
    [anon_sym_let] = ACTIONS(3258),
    [anon_sym_const] = ACTIONS(3258),
    [anon_sym_BANG] = ACTIONS(3258),
    [anon_sym_else] = ACTIONS(3258),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_switch] = ACTIONS(3258),
    [anon_sym_for] = ACTIONS(3258),
    [anon_sym_LPAREN] = ACTIONS(3258),
    [anon_sym_await] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3258),
    [anon_sym_do] = ACTIONS(3258),
    [anon_sym_try] = ACTIONS(3258),
    [anon_sym_with] = ACTIONS(3258),
    [anon_sym_break] = ACTIONS(3258),
    [anon_sym_continue] = ACTIONS(3258),
    [anon_sym_debugger] = ACTIONS(3258),
    [anon_sym_return] = ACTIONS(3258),
    [anon_sym_throw] = ACTIONS(3258),
    [anon_sym_SEMI] = ACTIONS(3258),
    [anon_sym_yield] = ACTIONS(3258),
    [anon_sym_LBRACK] = ACTIONS(3258),
    [anon_sym_LTtemplate_GT] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3258),
    [anon_sym_async] = ACTIONS(3258),
    [anon_sym_function] = ACTIONS(3258),
    [anon_sym_new] = ACTIONS(3258),
    [anon_sym_using] = ACTIONS(3258),
    [anon_sym_PLUS] = ACTIONS(3258),
    [anon_sym_DASH] = ACTIONS(3258),
    [anon_sym_SLASH] = ACTIONS(3258),
    [anon_sym_LT] = ACTIONS(3258),
    [anon_sym_TILDE] = ACTIONS(3258),
    [anon_sym_void] = ACTIONS(3258),
    [anon_sym_delete] = ACTIONS(3258),
    [anon_sym_PLUS_PLUS] = ACTIONS(3258),
    [anon_sym_DASH_DASH] = ACTIONS(3258),
    [anon_sym_DQUOTE] = ACTIONS(3258),
    [anon_sym_SQUOTE] = ACTIONS(3258),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3258),
    [sym_number] = ACTIONS(3258),
    [sym_private_property_identifier] = ACTIONS(3258),
    [sym_this] = ACTIONS(3258),
    [sym_super] = ACTIONS(3258),
    [sym_true] = ACTIONS(3258),
    [sym_false] = ACTIONS(3258),
    [sym_null] = ACTIONS(3258),
    [sym_undefined] = ACTIONS(3258),
    [anon_sym_AT] = ACTIONS(3258),
    [anon_sym_static] = ACTIONS(3258),
    [anon_sym_readonly] = ACTIONS(3258),
    [anon_sym_get] = ACTIONS(3258),
    [anon_sym_set] = ACTIONS(3258),
    [anon_sym_declare] = ACTIONS(3258),
    [anon_sym_public] = ACTIONS(3258),
    [anon_sym_private] = ACTIONS(3258),
    [anon_sym_protected] = ACTIONS(3258),
    [anon_sym_override] = ACTIONS(3258),
    [anon_sym_module] = ACTIONS(3258),
    [anon_sym_any] = ACTIONS(3258),
    [anon_sym_number] = ACTIONS(3258),
    [anon_sym_boolean] = ACTIONS(3258),
    [anon_sym_string] = ACTIONS(3258),
    [anon_sym_symbol] = ACTIONS(3258),
    [anon_sym_object] = ACTIONS(3258),
    [anon_sym_abstract] = ACTIONS(3258),
    [anon_sym_interface] = ACTIONS(3258),
    [anon_sym_enum] = ACTIONS(3258),
    [sym_html_comment] = ACTIONS(5),
  },
  [1415] = {
    [sym_comment] = STATE(1415),
    [ts_builtin_sym_end] = ACTIONS(3440),
    [sym_identifier] = ACTIONS(3250),
    [anon_sym_export] = ACTIONS(3250),
    [anon_sym_type] = ACTIONS(3250),
    [anon_sym_namespace] = ACTIONS(3250),
    [anon_sym_LBRACE] = ACTIONS(3250),
    [anon_sym_RBRACE] = ACTIONS(3250),
    [anon_sym_typeof] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3250),
    [anon_sym_var] = ACTIONS(3250),
    [anon_sym_let] = ACTIONS(3250),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3250),
    [anon_sym_else] = ACTIONS(3250),
    [anon_sym_if] = ACTIONS(3250),
    [anon_sym_switch] = ACTIONS(3250),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_LPAREN] = ACTIONS(3250),
    [anon_sym_await] = ACTIONS(3250),
    [anon_sym_while] = ACTIONS(3250),
    [anon_sym_do] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3250),
    [anon_sym_with] = ACTIONS(3250),
    [anon_sym_break] = ACTIONS(3250),
    [anon_sym_continue] = ACTIONS(3250),
    [anon_sym_debugger] = ACTIONS(3250),
    [anon_sym_return] = ACTIONS(3250),
    [anon_sym_throw] = ACTIONS(3250),
    [anon_sym_SEMI] = ACTIONS(3250),
    [anon_sym_yield] = ACTIONS(3250),
    [anon_sym_LBRACK] = ACTIONS(3250),
    [anon_sym_LTtemplate_GT] = ACTIONS(3250),
    [anon_sym_class] = ACTIONS(3250),
    [anon_sym_async] = ACTIONS(3250),
    [anon_sym_function] = ACTIONS(3250),
    [anon_sym_new] = ACTIONS(3250),
    [anon_sym_using] = ACTIONS(3250),
    [anon_sym_PLUS] = ACTIONS(3250),
    [anon_sym_DASH] = ACTIONS(3250),
    [anon_sym_SLASH] = ACTIONS(3250),
    [anon_sym_LT] = ACTIONS(3250),
    [anon_sym_TILDE] = ACTIONS(3250),
    [anon_sym_void] = ACTIONS(3250),
    [anon_sym_delete] = ACTIONS(3250),
    [anon_sym_PLUS_PLUS] = ACTIONS(3250),
    [anon_sym_DASH_DASH] = ACTIONS(3250),
    [anon_sym_DQUOTE] = ACTIONS(3250),
    [anon_sym_SQUOTE] = ACTIONS(3250),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3250),
    [sym_number] = ACTIONS(3250),
    [sym_private_property_identifier] = ACTIONS(3250),
    [sym_this] = ACTIONS(3250),
    [sym_super] = ACTIONS(3250),
    [sym_true] = ACTIONS(3250),
    [sym_false] = ACTIONS(3250),
    [sym_null] = ACTIONS(3250),
    [sym_undefined] = ACTIONS(3250),
    [anon_sym_AT] = ACTIONS(3250),
    [anon_sym_static] = ACTIONS(3250),
    [anon_sym_readonly] = ACTIONS(3250),
    [anon_sym_get] = ACTIONS(3250),
    [anon_sym_set] = ACTIONS(3250),
    [anon_sym_declare] = ACTIONS(3250),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_private] = ACTIONS(3250),
    [anon_sym_protected] = ACTIONS(3250),
    [anon_sym_override] = ACTIONS(3250),
    [anon_sym_module] = ACTIONS(3250),
    [anon_sym_any] = ACTIONS(3250),
    [anon_sym_number] = ACTIONS(3250),
    [anon_sym_boolean] = ACTIONS(3250),
    [anon_sym_string] = ACTIONS(3250),
    [anon_sym_symbol] = ACTIONS(3250),
    [anon_sym_object] = ACTIONS(3250),
    [anon_sym_abstract] = ACTIONS(3250),
    [anon_sym_interface] = ACTIONS(3250),
    [anon_sym_enum] = ACTIONS(3250),
    [sym_html_comment] = ACTIONS(5),
  },
  [1416] = {
    [sym_comment] = STATE(1416),
    [ts_builtin_sym_end] = ACTIONS(3442),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_else] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1417] = {
    [sym_comment] = STATE(1417),
    [ts_builtin_sym_end] = ACTIONS(3414),
    [sym_identifier] = ACTIONS(3124),
    [anon_sym_export] = ACTIONS(3124),
    [anon_sym_type] = ACTIONS(3124),
    [anon_sym_namespace] = ACTIONS(3124),
    [anon_sym_LBRACE] = ACTIONS(3124),
    [anon_sym_RBRACE] = ACTIONS(3124),
    [anon_sym_typeof] = ACTIONS(3124),
    [anon_sym_import] = ACTIONS(3124),
    [anon_sym_var] = ACTIONS(3124),
    [anon_sym_let] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_BANG] = ACTIONS(3124),
    [anon_sym_else] = ACTIONS(3124),
    [anon_sym_if] = ACTIONS(3124),
    [anon_sym_switch] = ACTIONS(3124),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3124),
    [anon_sym_await] = ACTIONS(3124),
    [anon_sym_while] = ACTIONS(3124),
    [anon_sym_do] = ACTIONS(3124),
    [anon_sym_try] = ACTIONS(3124),
    [anon_sym_with] = ACTIONS(3124),
    [anon_sym_break] = ACTIONS(3124),
    [anon_sym_continue] = ACTIONS(3124),
    [anon_sym_debugger] = ACTIONS(3124),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3124),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym_yield] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_LTtemplate_GT] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_async] = ACTIONS(3124),
    [anon_sym_function] = ACTIONS(3124),
    [anon_sym_new] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_void] = ACTIONS(3124),
    [anon_sym_delete] = ACTIONS(3124),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(3124),
    [anon_sym_SQUOTE] = ACTIONS(3124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3124),
    [sym_number] = ACTIONS(3124),
    [sym_private_property_identifier] = ACTIONS(3124),
    [sym_this] = ACTIONS(3124),
    [sym_super] = ACTIONS(3124),
    [sym_true] = ACTIONS(3124),
    [sym_false] = ACTIONS(3124),
    [sym_null] = ACTIONS(3124),
    [sym_undefined] = ACTIONS(3124),
    [anon_sym_AT] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_get] = ACTIONS(3124),
    [anon_sym_set] = ACTIONS(3124),
    [anon_sym_declare] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3124),
    [anon_sym_private] = ACTIONS(3124),
    [anon_sym_protected] = ACTIONS(3124),
    [anon_sym_override] = ACTIONS(3124),
    [anon_sym_module] = ACTIONS(3124),
    [anon_sym_any] = ACTIONS(3124),
    [anon_sym_number] = ACTIONS(3124),
    [anon_sym_boolean] = ACTIONS(3124),
    [anon_sym_string] = ACTIONS(3124),
    [anon_sym_symbol] = ACTIONS(3124),
    [anon_sym_object] = ACTIONS(3124),
    [anon_sym_abstract] = ACTIONS(3124),
    [anon_sym_interface] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1418] = {
    [sym_comment] = STATE(1418),
    [ts_builtin_sym_end] = ACTIONS(3444),
    [sym_identifier] = ACTIONS(3246),
    [anon_sym_export] = ACTIONS(3246),
    [anon_sym_type] = ACTIONS(3246),
    [anon_sym_namespace] = ACTIONS(3246),
    [anon_sym_LBRACE] = ACTIONS(3246),
    [anon_sym_RBRACE] = ACTIONS(3246),
    [anon_sym_typeof] = ACTIONS(3246),
    [anon_sym_import] = ACTIONS(3246),
    [anon_sym_var] = ACTIONS(3246),
    [anon_sym_let] = ACTIONS(3246),
    [anon_sym_const] = ACTIONS(3246),
    [anon_sym_BANG] = ACTIONS(3246),
    [anon_sym_else] = ACTIONS(3246),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_switch] = ACTIONS(3246),
    [anon_sym_for] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(3246),
    [anon_sym_await] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3246),
    [anon_sym_do] = ACTIONS(3246),
    [anon_sym_try] = ACTIONS(3246),
    [anon_sym_with] = ACTIONS(3246),
    [anon_sym_break] = ACTIONS(3246),
    [anon_sym_continue] = ACTIONS(3246),
    [anon_sym_debugger] = ACTIONS(3246),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3246),
    [anon_sym_yield] = ACTIONS(3246),
    [anon_sym_LBRACK] = ACTIONS(3246),
    [anon_sym_LTtemplate_GT] = ACTIONS(3246),
    [anon_sym_class] = ACTIONS(3246),
    [anon_sym_async] = ACTIONS(3246),
    [anon_sym_function] = ACTIONS(3246),
    [anon_sym_new] = ACTIONS(3246),
    [anon_sym_using] = ACTIONS(3246),
    [anon_sym_PLUS] = ACTIONS(3246),
    [anon_sym_DASH] = ACTIONS(3246),
    [anon_sym_SLASH] = ACTIONS(3246),
    [anon_sym_LT] = ACTIONS(3246),
    [anon_sym_TILDE] = ACTIONS(3246),
    [anon_sym_void] = ACTIONS(3246),
    [anon_sym_delete] = ACTIONS(3246),
    [anon_sym_PLUS_PLUS] = ACTIONS(3246),
    [anon_sym_DASH_DASH] = ACTIONS(3246),
    [anon_sym_DQUOTE] = ACTIONS(3246),
    [anon_sym_SQUOTE] = ACTIONS(3246),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3246),
    [sym_number] = ACTIONS(3246),
    [sym_private_property_identifier] = ACTIONS(3246),
    [sym_this] = ACTIONS(3246),
    [sym_super] = ACTIONS(3246),
    [sym_true] = ACTIONS(3246),
    [sym_false] = ACTIONS(3246),
    [sym_null] = ACTIONS(3246),
    [sym_undefined] = ACTIONS(3246),
    [anon_sym_AT] = ACTIONS(3246),
    [anon_sym_static] = ACTIONS(3246),
    [anon_sym_readonly] = ACTIONS(3246),
    [anon_sym_get] = ACTIONS(3246),
    [anon_sym_set] = ACTIONS(3246),
    [anon_sym_declare] = ACTIONS(3246),
    [anon_sym_public] = ACTIONS(3246),
    [anon_sym_private] = ACTIONS(3246),
    [anon_sym_protected] = ACTIONS(3246),
    [anon_sym_override] = ACTIONS(3246),
    [anon_sym_module] = ACTIONS(3246),
    [anon_sym_any] = ACTIONS(3246),
    [anon_sym_number] = ACTIONS(3246),
    [anon_sym_boolean] = ACTIONS(3246),
    [anon_sym_string] = ACTIONS(3246),
    [anon_sym_symbol] = ACTIONS(3246),
    [anon_sym_object] = ACTIONS(3246),
    [anon_sym_abstract] = ACTIONS(3246),
    [anon_sym_interface] = ACTIONS(3246),
    [anon_sym_enum] = ACTIONS(3246),
    [sym_html_comment] = ACTIONS(5),
  },
  [1419] = {
    [sym_comment] = STATE(1419),
    [ts_builtin_sym_end] = ACTIONS(3446),
    [sym_identifier] = ACTIONS(3244),
    [anon_sym_export] = ACTIONS(3244),
    [anon_sym_type] = ACTIONS(3244),
    [anon_sym_namespace] = ACTIONS(3244),
    [anon_sym_LBRACE] = ACTIONS(3244),
    [anon_sym_RBRACE] = ACTIONS(3244),
    [anon_sym_typeof] = ACTIONS(3244),
    [anon_sym_import] = ACTIONS(3244),
    [anon_sym_var] = ACTIONS(3244),
    [anon_sym_let] = ACTIONS(3244),
    [anon_sym_const] = ACTIONS(3244),
    [anon_sym_BANG] = ACTIONS(3244),
    [anon_sym_else] = ACTIONS(3244),
    [anon_sym_if] = ACTIONS(3244),
    [anon_sym_switch] = ACTIONS(3244),
    [anon_sym_for] = ACTIONS(3244),
    [anon_sym_LPAREN] = ACTIONS(3244),
    [anon_sym_await] = ACTIONS(3244),
    [anon_sym_while] = ACTIONS(3244),
    [anon_sym_do] = ACTIONS(3244),
    [anon_sym_try] = ACTIONS(3244),
    [anon_sym_with] = ACTIONS(3244),
    [anon_sym_break] = ACTIONS(3244),
    [anon_sym_continue] = ACTIONS(3244),
    [anon_sym_debugger] = ACTIONS(3244),
    [anon_sym_return] = ACTIONS(3244),
    [anon_sym_throw] = ACTIONS(3244),
    [anon_sym_SEMI] = ACTIONS(3244),
    [anon_sym_yield] = ACTIONS(3244),
    [anon_sym_LBRACK] = ACTIONS(3244),
    [anon_sym_LTtemplate_GT] = ACTIONS(3244),
    [anon_sym_class] = ACTIONS(3244),
    [anon_sym_async] = ACTIONS(3244),
    [anon_sym_function] = ACTIONS(3244),
    [anon_sym_new] = ACTIONS(3244),
    [anon_sym_using] = ACTIONS(3244),
    [anon_sym_PLUS] = ACTIONS(3244),
    [anon_sym_DASH] = ACTIONS(3244),
    [anon_sym_SLASH] = ACTIONS(3244),
    [anon_sym_LT] = ACTIONS(3244),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_void] = ACTIONS(3244),
    [anon_sym_delete] = ACTIONS(3244),
    [anon_sym_PLUS_PLUS] = ACTIONS(3244),
    [anon_sym_DASH_DASH] = ACTIONS(3244),
    [anon_sym_DQUOTE] = ACTIONS(3244),
    [anon_sym_SQUOTE] = ACTIONS(3244),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3244),
    [sym_number] = ACTIONS(3244),
    [sym_private_property_identifier] = ACTIONS(3244),
    [sym_this] = ACTIONS(3244),
    [sym_super] = ACTIONS(3244),
    [sym_true] = ACTIONS(3244),
    [sym_false] = ACTIONS(3244),
    [sym_null] = ACTIONS(3244),
    [sym_undefined] = ACTIONS(3244),
    [anon_sym_AT] = ACTIONS(3244),
    [anon_sym_static] = ACTIONS(3244),
    [anon_sym_readonly] = ACTIONS(3244),
    [anon_sym_get] = ACTIONS(3244),
    [anon_sym_set] = ACTIONS(3244),
    [anon_sym_declare] = ACTIONS(3244),
    [anon_sym_public] = ACTIONS(3244),
    [anon_sym_private] = ACTIONS(3244),
    [anon_sym_protected] = ACTIONS(3244),
    [anon_sym_override] = ACTIONS(3244),
    [anon_sym_module] = ACTIONS(3244),
    [anon_sym_any] = ACTIONS(3244),
    [anon_sym_number] = ACTIONS(3244),
    [anon_sym_boolean] = ACTIONS(3244),
    [anon_sym_string] = ACTIONS(3244),
    [anon_sym_symbol] = ACTIONS(3244),
    [anon_sym_object] = ACTIONS(3244),
    [anon_sym_abstract] = ACTIONS(3244),
    [anon_sym_interface] = ACTIONS(3244),
    [anon_sym_enum] = ACTIONS(3244),
    [sym_html_comment] = ACTIONS(5),
  },
  [1420] = {
    [sym_comment] = STATE(1420),
    [ts_builtin_sym_end] = ACTIONS(3448),
    [sym_identifier] = ACTIONS(3234),
    [anon_sym_export] = ACTIONS(3234),
    [anon_sym_type] = ACTIONS(3234),
    [anon_sym_namespace] = ACTIONS(3234),
    [anon_sym_LBRACE] = ACTIONS(3234),
    [anon_sym_RBRACE] = ACTIONS(3234),
    [anon_sym_typeof] = ACTIONS(3234),
    [anon_sym_import] = ACTIONS(3234),
    [anon_sym_var] = ACTIONS(3234),
    [anon_sym_let] = ACTIONS(3234),
    [anon_sym_const] = ACTIONS(3234),
    [anon_sym_BANG] = ACTIONS(3234),
    [anon_sym_else] = ACTIONS(3234),
    [anon_sym_if] = ACTIONS(3234),
    [anon_sym_switch] = ACTIONS(3234),
    [anon_sym_for] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(3234),
    [anon_sym_await] = ACTIONS(3234),
    [anon_sym_while] = ACTIONS(3234),
    [anon_sym_do] = ACTIONS(3234),
    [anon_sym_try] = ACTIONS(3234),
    [anon_sym_with] = ACTIONS(3234),
    [anon_sym_break] = ACTIONS(3234),
    [anon_sym_continue] = ACTIONS(3234),
    [anon_sym_debugger] = ACTIONS(3234),
    [anon_sym_return] = ACTIONS(3234),
    [anon_sym_throw] = ACTIONS(3234),
    [anon_sym_SEMI] = ACTIONS(3234),
    [anon_sym_yield] = ACTIONS(3234),
    [anon_sym_LBRACK] = ACTIONS(3234),
    [anon_sym_LTtemplate_GT] = ACTIONS(3234),
    [anon_sym_class] = ACTIONS(3234),
    [anon_sym_async] = ACTIONS(3234),
    [anon_sym_function] = ACTIONS(3234),
    [anon_sym_new] = ACTIONS(3234),
    [anon_sym_using] = ACTIONS(3234),
    [anon_sym_PLUS] = ACTIONS(3234),
    [anon_sym_DASH] = ACTIONS(3234),
    [anon_sym_SLASH] = ACTIONS(3234),
    [anon_sym_LT] = ACTIONS(3234),
    [anon_sym_TILDE] = ACTIONS(3234),
    [anon_sym_void] = ACTIONS(3234),
    [anon_sym_delete] = ACTIONS(3234),
    [anon_sym_PLUS_PLUS] = ACTIONS(3234),
    [anon_sym_DASH_DASH] = ACTIONS(3234),
    [anon_sym_DQUOTE] = ACTIONS(3234),
    [anon_sym_SQUOTE] = ACTIONS(3234),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3234),
    [sym_number] = ACTIONS(3234),
    [sym_private_property_identifier] = ACTIONS(3234),
    [sym_this] = ACTIONS(3234),
    [sym_super] = ACTIONS(3234),
    [sym_true] = ACTIONS(3234),
    [sym_false] = ACTIONS(3234),
    [sym_null] = ACTIONS(3234),
    [sym_undefined] = ACTIONS(3234),
    [anon_sym_AT] = ACTIONS(3234),
    [anon_sym_static] = ACTIONS(3234),
    [anon_sym_readonly] = ACTIONS(3234),
    [anon_sym_get] = ACTIONS(3234),
    [anon_sym_set] = ACTIONS(3234),
    [anon_sym_declare] = ACTIONS(3234),
    [anon_sym_public] = ACTIONS(3234),
    [anon_sym_private] = ACTIONS(3234),
    [anon_sym_protected] = ACTIONS(3234),
    [anon_sym_override] = ACTIONS(3234),
    [anon_sym_module] = ACTIONS(3234),
    [anon_sym_any] = ACTIONS(3234),
    [anon_sym_number] = ACTIONS(3234),
    [anon_sym_boolean] = ACTIONS(3234),
    [anon_sym_string] = ACTIONS(3234),
    [anon_sym_symbol] = ACTIONS(3234),
    [anon_sym_object] = ACTIONS(3234),
    [anon_sym_abstract] = ACTIONS(3234),
    [anon_sym_interface] = ACTIONS(3234),
    [anon_sym_enum] = ACTIONS(3234),
    [sym_html_comment] = ACTIONS(5),
  },
  [1421] = {
    [sym_comment] = STATE(1421),
    [ts_builtin_sym_end] = ACTIONS(3450),
    [sym_identifier] = ACTIONS(3230),
    [anon_sym_export] = ACTIONS(3230),
    [anon_sym_type] = ACTIONS(3230),
    [anon_sym_namespace] = ACTIONS(3230),
    [anon_sym_LBRACE] = ACTIONS(3230),
    [anon_sym_RBRACE] = ACTIONS(3230),
    [anon_sym_typeof] = ACTIONS(3230),
    [anon_sym_import] = ACTIONS(3230),
    [anon_sym_var] = ACTIONS(3230),
    [anon_sym_let] = ACTIONS(3230),
    [anon_sym_const] = ACTIONS(3230),
    [anon_sym_BANG] = ACTIONS(3230),
    [anon_sym_else] = ACTIONS(3230),
    [anon_sym_if] = ACTIONS(3230),
    [anon_sym_switch] = ACTIONS(3230),
    [anon_sym_for] = ACTIONS(3230),
    [anon_sym_LPAREN] = ACTIONS(3230),
    [anon_sym_await] = ACTIONS(3230),
    [anon_sym_while] = ACTIONS(3230),
    [anon_sym_do] = ACTIONS(3230),
    [anon_sym_try] = ACTIONS(3230),
    [anon_sym_with] = ACTIONS(3230),
    [anon_sym_break] = ACTIONS(3230),
    [anon_sym_continue] = ACTIONS(3230),
    [anon_sym_debugger] = ACTIONS(3230),
    [anon_sym_return] = ACTIONS(3230),
    [anon_sym_throw] = ACTIONS(3230),
    [anon_sym_SEMI] = ACTIONS(3230),
    [anon_sym_yield] = ACTIONS(3230),
    [anon_sym_LBRACK] = ACTIONS(3230),
    [anon_sym_LTtemplate_GT] = ACTIONS(3230),
    [anon_sym_class] = ACTIONS(3230),
    [anon_sym_async] = ACTIONS(3230),
    [anon_sym_function] = ACTIONS(3230),
    [anon_sym_new] = ACTIONS(3230),
    [anon_sym_using] = ACTIONS(3230),
    [anon_sym_PLUS] = ACTIONS(3230),
    [anon_sym_DASH] = ACTIONS(3230),
    [anon_sym_SLASH] = ACTIONS(3230),
    [anon_sym_LT] = ACTIONS(3230),
    [anon_sym_TILDE] = ACTIONS(3230),
    [anon_sym_void] = ACTIONS(3230),
    [anon_sym_delete] = ACTIONS(3230),
    [anon_sym_PLUS_PLUS] = ACTIONS(3230),
    [anon_sym_DASH_DASH] = ACTIONS(3230),
    [anon_sym_DQUOTE] = ACTIONS(3230),
    [anon_sym_SQUOTE] = ACTIONS(3230),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3230),
    [sym_number] = ACTIONS(3230),
    [sym_private_property_identifier] = ACTIONS(3230),
    [sym_this] = ACTIONS(3230),
    [sym_super] = ACTIONS(3230),
    [sym_true] = ACTIONS(3230),
    [sym_false] = ACTIONS(3230),
    [sym_null] = ACTIONS(3230),
    [sym_undefined] = ACTIONS(3230),
    [anon_sym_AT] = ACTIONS(3230),
    [anon_sym_static] = ACTIONS(3230),
    [anon_sym_readonly] = ACTIONS(3230),
    [anon_sym_get] = ACTIONS(3230),
    [anon_sym_set] = ACTIONS(3230),
    [anon_sym_declare] = ACTIONS(3230),
    [anon_sym_public] = ACTIONS(3230),
    [anon_sym_private] = ACTIONS(3230),
    [anon_sym_protected] = ACTIONS(3230),
    [anon_sym_override] = ACTIONS(3230),
    [anon_sym_module] = ACTIONS(3230),
    [anon_sym_any] = ACTIONS(3230),
    [anon_sym_number] = ACTIONS(3230),
    [anon_sym_boolean] = ACTIONS(3230),
    [anon_sym_string] = ACTIONS(3230),
    [anon_sym_symbol] = ACTIONS(3230),
    [anon_sym_object] = ACTIONS(3230),
    [anon_sym_abstract] = ACTIONS(3230),
    [anon_sym_interface] = ACTIONS(3230),
    [anon_sym_enum] = ACTIONS(3230),
    [sym_html_comment] = ACTIONS(5),
  },
  [1422] = {
    [sym_comment] = STATE(1422),
    [ts_builtin_sym_end] = ACTIONS(3452),
    [sym_identifier] = ACTIONS(3112),
    [anon_sym_export] = ACTIONS(3112),
    [anon_sym_type] = ACTIONS(3112),
    [anon_sym_namespace] = ACTIONS(3112),
    [anon_sym_LBRACE] = ACTIONS(3112),
    [anon_sym_RBRACE] = ACTIONS(3112),
    [anon_sym_typeof] = ACTIONS(3112),
    [anon_sym_import] = ACTIONS(3112),
    [anon_sym_var] = ACTIONS(3112),
    [anon_sym_let] = ACTIONS(3112),
    [anon_sym_const] = ACTIONS(3112),
    [anon_sym_BANG] = ACTIONS(3112),
    [anon_sym_else] = ACTIONS(3112),
    [anon_sym_if] = ACTIONS(3112),
    [anon_sym_switch] = ACTIONS(3112),
    [anon_sym_for] = ACTIONS(3112),
    [anon_sym_LPAREN] = ACTIONS(3112),
    [anon_sym_await] = ACTIONS(3112),
    [anon_sym_while] = ACTIONS(3112),
    [anon_sym_do] = ACTIONS(3112),
    [anon_sym_try] = ACTIONS(3112),
    [anon_sym_with] = ACTIONS(3112),
    [anon_sym_break] = ACTIONS(3112),
    [anon_sym_continue] = ACTIONS(3112),
    [anon_sym_debugger] = ACTIONS(3112),
    [anon_sym_return] = ACTIONS(3112),
    [anon_sym_throw] = ACTIONS(3112),
    [anon_sym_SEMI] = ACTIONS(3112),
    [anon_sym_yield] = ACTIONS(3112),
    [anon_sym_LBRACK] = ACTIONS(3112),
    [anon_sym_LTtemplate_GT] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3112),
    [anon_sym_async] = ACTIONS(3112),
    [anon_sym_function] = ACTIONS(3112),
    [anon_sym_new] = ACTIONS(3112),
    [anon_sym_using] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_SLASH] = ACTIONS(3112),
    [anon_sym_LT] = ACTIONS(3112),
    [anon_sym_TILDE] = ACTIONS(3112),
    [anon_sym_void] = ACTIONS(3112),
    [anon_sym_delete] = ACTIONS(3112),
    [anon_sym_PLUS_PLUS] = ACTIONS(3112),
    [anon_sym_DASH_DASH] = ACTIONS(3112),
    [anon_sym_DQUOTE] = ACTIONS(3112),
    [anon_sym_SQUOTE] = ACTIONS(3112),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3112),
    [sym_number] = ACTIONS(3112),
    [sym_private_property_identifier] = ACTIONS(3112),
    [sym_this] = ACTIONS(3112),
    [sym_super] = ACTIONS(3112),
    [sym_true] = ACTIONS(3112),
    [sym_false] = ACTIONS(3112),
    [sym_null] = ACTIONS(3112),
    [sym_undefined] = ACTIONS(3112),
    [anon_sym_AT] = ACTIONS(3112),
    [anon_sym_static] = ACTIONS(3112),
    [anon_sym_readonly] = ACTIONS(3112),
    [anon_sym_get] = ACTIONS(3112),
    [anon_sym_set] = ACTIONS(3112),
    [anon_sym_declare] = ACTIONS(3112),
    [anon_sym_public] = ACTIONS(3112),
    [anon_sym_private] = ACTIONS(3112),
    [anon_sym_protected] = ACTIONS(3112),
    [anon_sym_override] = ACTIONS(3112),
    [anon_sym_module] = ACTIONS(3112),
    [anon_sym_any] = ACTIONS(3112),
    [anon_sym_number] = ACTIONS(3112),
    [anon_sym_boolean] = ACTIONS(3112),
    [anon_sym_string] = ACTIONS(3112),
    [anon_sym_symbol] = ACTIONS(3112),
    [anon_sym_object] = ACTIONS(3112),
    [anon_sym_abstract] = ACTIONS(3112),
    [anon_sym_interface] = ACTIONS(3112),
    [anon_sym_enum] = ACTIONS(3112),
    [sym_html_comment] = ACTIONS(5),
  },
  [1423] = {
    [sym_comment] = STATE(1423),
    [ts_builtin_sym_end] = ACTIONS(3414),
    [sym_identifier] = ACTIONS(3124),
    [anon_sym_export] = ACTIONS(3124),
    [anon_sym_type] = ACTIONS(3124),
    [anon_sym_namespace] = ACTIONS(3124),
    [anon_sym_LBRACE] = ACTIONS(3124),
    [anon_sym_RBRACE] = ACTIONS(3124),
    [anon_sym_typeof] = ACTIONS(3124),
    [anon_sym_import] = ACTIONS(3124),
    [anon_sym_var] = ACTIONS(3124),
    [anon_sym_let] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_BANG] = ACTIONS(3124),
    [anon_sym_else] = ACTIONS(3124),
    [anon_sym_if] = ACTIONS(3124),
    [anon_sym_switch] = ACTIONS(3124),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3124),
    [anon_sym_await] = ACTIONS(3124),
    [anon_sym_while] = ACTIONS(3124),
    [anon_sym_do] = ACTIONS(3124),
    [anon_sym_try] = ACTIONS(3124),
    [anon_sym_with] = ACTIONS(3124),
    [anon_sym_break] = ACTIONS(3124),
    [anon_sym_continue] = ACTIONS(3124),
    [anon_sym_debugger] = ACTIONS(3124),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3124),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym_yield] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_LTtemplate_GT] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_async] = ACTIONS(3124),
    [anon_sym_function] = ACTIONS(3124),
    [anon_sym_new] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_void] = ACTIONS(3124),
    [anon_sym_delete] = ACTIONS(3124),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(3124),
    [anon_sym_SQUOTE] = ACTIONS(3124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3124),
    [sym_number] = ACTIONS(3124),
    [sym_private_property_identifier] = ACTIONS(3124),
    [sym_this] = ACTIONS(3124),
    [sym_super] = ACTIONS(3124),
    [sym_true] = ACTIONS(3124),
    [sym_false] = ACTIONS(3124),
    [sym_null] = ACTIONS(3124),
    [sym_undefined] = ACTIONS(3124),
    [anon_sym_AT] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_get] = ACTIONS(3124),
    [anon_sym_set] = ACTIONS(3124),
    [anon_sym_declare] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3124),
    [anon_sym_private] = ACTIONS(3124),
    [anon_sym_protected] = ACTIONS(3124),
    [anon_sym_override] = ACTIONS(3124),
    [anon_sym_module] = ACTIONS(3124),
    [anon_sym_any] = ACTIONS(3124),
    [anon_sym_number] = ACTIONS(3124),
    [anon_sym_boolean] = ACTIONS(3124),
    [anon_sym_string] = ACTIONS(3124),
    [anon_sym_symbol] = ACTIONS(3124),
    [anon_sym_object] = ACTIONS(3124),
    [anon_sym_abstract] = ACTIONS(3124),
    [anon_sym_interface] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1424] = {
    [sym_comment] = STATE(1424),
    [ts_builtin_sym_end] = ACTIONS(3454),
    [sym_identifier] = ACTIONS(3226),
    [anon_sym_export] = ACTIONS(3226),
    [anon_sym_type] = ACTIONS(3226),
    [anon_sym_namespace] = ACTIONS(3226),
    [anon_sym_LBRACE] = ACTIONS(3226),
    [anon_sym_RBRACE] = ACTIONS(3226),
    [anon_sym_typeof] = ACTIONS(3226),
    [anon_sym_import] = ACTIONS(3226),
    [anon_sym_var] = ACTIONS(3226),
    [anon_sym_let] = ACTIONS(3226),
    [anon_sym_const] = ACTIONS(3226),
    [anon_sym_BANG] = ACTIONS(3226),
    [anon_sym_else] = ACTIONS(3226),
    [anon_sym_if] = ACTIONS(3226),
    [anon_sym_switch] = ACTIONS(3226),
    [anon_sym_for] = ACTIONS(3226),
    [anon_sym_LPAREN] = ACTIONS(3226),
    [anon_sym_await] = ACTIONS(3226),
    [anon_sym_while] = ACTIONS(3226),
    [anon_sym_do] = ACTIONS(3226),
    [anon_sym_try] = ACTIONS(3226),
    [anon_sym_with] = ACTIONS(3226),
    [anon_sym_break] = ACTIONS(3226),
    [anon_sym_continue] = ACTIONS(3226),
    [anon_sym_debugger] = ACTIONS(3226),
    [anon_sym_return] = ACTIONS(3226),
    [anon_sym_throw] = ACTIONS(3226),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym_yield] = ACTIONS(3226),
    [anon_sym_LBRACK] = ACTIONS(3226),
    [anon_sym_LTtemplate_GT] = ACTIONS(3226),
    [anon_sym_class] = ACTIONS(3226),
    [anon_sym_async] = ACTIONS(3226),
    [anon_sym_function] = ACTIONS(3226),
    [anon_sym_new] = ACTIONS(3226),
    [anon_sym_using] = ACTIONS(3226),
    [anon_sym_PLUS] = ACTIONS(3226),
    [anon_sym_DASH] = ACTIONS(3226),
    [anon_sym_SLASH] = ACTIONS(3226),
    [anon_sym_LT] = ACTIONS(3226),
    [anon_sym_TILDE] = ACTIONS(3226),
    [anon_sym_void] = ACTIONS(3226),
    [anon_sym_delete] = ACTIONS(3226),
    [anon_sym_PLUS_PLUS] = ACTIONS(3226),
    [anon_sym_DASH_DASH] = ACTIONS(3226),
    [anon_sym_DQUOTE] = ACTIONS(3226),
    [anon_sym_SQUOTE] = ACTIONS(3226),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3226),
    [sym_number] = ACTIONS(3226),
    [sym_private_property_identifier] = ACTIONS(3226),
    [sym_this] = ACTIONS(3226),
    [sym_super] = ACTIONS(3226),
    [sym_true] = ACTIONS(3226),
    [sym_false] = ACTIONS(3226),
    [sym_null] = ACTIONS(3226),
    [sym_undefined] = ACTIONS(3226),
    [anon_sym_AT] = ACTIONS(3226),
    [anon_sym_static] = ACTIONS(3226),
    [anon_sym_readonly] = ACTIONS(3226),
    [anon_sym_get] = ACTIONS(3226),
    [anon_sym_set] = ACTIONS(3226),
    [anon_sym_declare] = ACTIONS(3226),
    [anon_sym_public] = ACTIONS(3226),
    [anon_sym_private] = ACTIONS(3226),
    [anon_sym_protected] = ACTIONS(3226),
    [anon_sym_override] = ACTIONS(3226),
    [anon_sym_module] = ACTIONS(3226),
    [anon_sym_any] = ACTIONS(3226),
    [anon_sym_number] = ACTIONS(3226),
    [anon_sym_boolean] = ACTIONS(3226),
    [anon_sym_string] = ACTIONS(3226),
    [anon_sym_symbol] = ACTIONS(3226),
    [anon_sym_object] = ACTIONS(3226),
    [anon_sym_abstract] = ACTIONS(3226),
    [anon_sym_interface] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(3226),
    [sym_html_comment] = ACTIONS(5),
  },
  [1425] = {
    [sym_comment] = STATE(1425),
    [ts_builtin_sym_end] = ACTIONS(3456),
    [sym_identifier] = ACTIONS(3224),
    [anon_sym_export] = ACTIONS(3224),
    [anon_sym_type] = ACTIONS(3224),
    [anon_sym_namespace] = ACTIONS(3224),
    [anon_sym_LBRACE] = ACTIONS(3224),
    [anon_sym_RBRACE] = ACTIONS(3224),
    [anon_sym_typeof] = ACTIONS(3224),
    [anon_sym_import] = ACTIONS(3224),
    [anon_sym_var] = ACTIONS(3224),
    [anon_sym_let] = ACTIONS(3224),
    [anon_sym_const] = ACTIONS(3224),
    [anon_sym_BANG] = ACTIONS(3224),
    [anon_sym_else] = ACTIONS(3224),
    [anon_sym_if] = ACTIONS(3224),
    [anon_sym_switch] = ACTIONS(3224),
    [anon_sym_for] = ACTIONS(3224),
    [anon_sym_LPAREN] = ACTIONS(3224),
    [anon_sym_await] = ACTIONS(3224),
    [anon_sym_while] = ACTIONS(3224),
    [anon_sym_do] = ACTIONS(3224),
    [anon_sym_try] = ACTIONS(3224),
    [anon_sym_with] = ACTIONS(3224),
    [anon_sym_break] = ACTIONS(3224),
    [anon_sym_continue] = ACTIONS(3224),
    [anon_sym_debugger] = ACTIONS(3224),
    [anon_sym_return] = ACTIONS(3224),
    [anon_sym_throw] = ACTIONS(3224),
    [anon_sym_SEMI] = ACTIONS(3224),
    [anon_sym_yield] = ACTIONS(3224),
    [anon_sym_LBRACK] = ACTIONS(3224),
    [anon_sym_LTtemplate_GT] = ACTIONS(3224),
    [anon_sym_class] = ACTIONS(3224),
    [anon_sym_async] = ACTIONS(3224),
    [anon_sym_function] = ACTIONS(3224),
    [anon_sym_new] = ACTIONS(3224),
    [anon_sym_using] = ACTIONS(3224),
    [anon_sym_PLUS] = ACTIONS(3224),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_SLASH] = ACTIONS(3224),
    [anon_sym_LT] = ACTIONS(3224),
    [anon_sym_TILDE] = ACTIONS(3224),
    [anon_sym_void] = ACTIONS(3224),
    [anon_sym_delete] = ACTIONS(3224),
    [anon_sym_PLUS_PLUS] = ACTIONS(3224),
    [anon_sym_DASH_DASH] = ACTIONS(3224),
    [anon_sym_DQUOTE] = ACTIONS(3224),
    [anon_sym_SQUOTE] = ACTIONS(3224),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3224),
    [sym_number] = ACTIONS(3224),
    [sym_private_property_identifier] = ACTIONS(3224),
    [sym_this] = ACTIONS(3224),
    [sym_super] = ACTIONS(3224),
    [sym_true] = ACTIONS(3224),
    [sym_false] = ACTIONS(3224),
    [sym_null] = ACTIONS(3224),
    [sym_undefined] = ACTIONS(3224),
    [anon_sym_AT] = ACTIONS(3224),
    [anon_sym_static] = ACTIONS(3224),
    [anon_sym_readonly] = ACTIONS(3224),
    [anon_sym_get] = ACTIONS(3224),
    [anon_sym_set] = ACTIONS(3224),
    [anon_sym_declare] = ACTIONS(3224),
    [anon_sym_public] = ACTIONS(3224),
    [anon_sym_private] = ACTIONS(3224),
    [anon_sym_protected] = ACTIONS(3224),
    [anon_sym_override] = ACTIONS(3224),
    [anon_sym_module] = ACTIONS(3224),
    [anon_sym_any] = ACTIONS(3224),
    [anon_sym_number] = ACTIONS(3224),
    [anon_sym_boolean] = ACTIONS(3224),
    [anon_sym_string] = ACTIONS(3224),
    [anon_sym_symbol] = ACTIONS(3224),
    [anon_sym_object] = ACTIONS(3224),
    [anon_sym_abstract] = ACTIONS(3224),
    [anon_sym_interface] = ACTIONS(3224),
    [anon_sym_enum] = ACTIONS(3224),
    [sym_html_comment] = ACTIONS(5),
  },
  [1426] = {
    [sym_comment] = STATE(1426),
    [ts_builtin_sym_end] = ACTIONS(2121),
    [sym_identifier] = ACTIONS(2119),
    [anon_sym_export] = ACTIONS(2119),
    [anon_sym_type] = ACTIONS(2119),
    [anon_sym_namespace] = ACTIONS(2119),
    [anon_sym_LBRACE] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2119),
    [anon_sym_import] = ACTIONS(2119),
    [anon_sym_var] = ACTIONS(2119),
    [anon_sym_let] = ACTIONS(2119),
    [anon_sym_const] = ACTIONS(2119),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_switch] = ACTIONS(2119),
    [anon_sym_for] = ACTIONS(2119),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2119),
    [anon_sym_do] = ACTIONS(2119),
    [anon_sym_try] = ACTIONS(2119),
    [anon_sym_with] = ACTIONS(2119),
    [anon_sym_break] = ACTIONS(2119),
    [anon_sym_continue] = ACTIONS(2119),
    [anon_sym_debugger] = ACTIONS(2119),
    [anon_sym_return] = ACTIONS(2119),
    [anon_sym_throw] = ACTIONS(2119),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_yield] = ACTIONS(2119),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LTtemplate_GT] = ACTIONS(2119),
    [anon_sym_DOT] = ACTIONS(2119),
    [anon_sym_class] = ACTIONS(2119),
    [anon_sym_async] = ACTIONS(2119),
    [anon_sym_function] = ACTIONS(2119),
    [anon_sym_new] = ACTIONS(2119),
    [anon_sym_using] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2119),
    [anon_sym_DASH] = ACTIONS(2119),
    [anon_sym_SLASH] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2119),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2119),
    [anon_sym_delete] = ACTIONS(2119),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_private_property_identifier] = ACTIONS(2119),
    [sym_this] = ACTIONS(2119),
    [sym_super] = ACTIONS(2119),
    [sym_true] = ACTIONS(2119),
    [sym_false] = ACTIONS(2119),
    [sym_null] = ACTIONS(2119),
    [sym_undefined] = ACTIONS(2119),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2119),
    [anon_sym_readonly] = ACTIONS(2119),
    [anon_sym_get] = ACTIONS(2119),
    [anon_sym_set] = ACTIONS(2119),
    [anon_sym_declare] = ACTIONS(2119),
    [anon_sym_public] = ACTIONS(2119),
    [anon_sym_private] = ACTIONS(2119),
    [anon_sym_protected] = ACTIONS(2119),
    [anon_sym_override] = ACTIONS(2119),
    [anon_sym_module] = ACTIONS(2119),
    [anon_sym_any] = ACTIONS(2119),
    [anon_sym_number] = ACTIONS(2119),
    [anon_sym_boolean] = ACTIONS(2119),
    [anon_sym_string] = ACTIONS(2119),
    [anon_sym_symbol] = ACTIONS(2119),
    [anon_sym_object] = ACTIONS(2119),
    [anon_sym_abstract] = ACTIONS(2119),
    [anon_sym_interface] = ACTIONS(2119),
    [anon_sym_enum] = ACTIONS(2119),
    [sym_html_comment] = ACTIONS(5),
  },
  [1427] = {
    [sym_comment] = STATE(1427),
    [ts_builtin_sym_end] = ACTIONS(2133),
    [sym_identifier] = ACTIONS(2131),
    [anon_sym_export] = ACTIONS(2131),
    [anon_sym_type] = ACTIONS(2131),
    [anon_sym_namespace] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(2131),
    [anon_sym_RBRACE] = ACTIONS(2131),
    [anon_sym_typeof] = ACTIONS(2131),
    [anon_sym_import] = ACTIONS(2131),
    [anon_sym_var] = ACTIONS(2131),
    [anon_sym_let] = ACTIONS(2131),
    [anon_sym_const] = ACTIONS(2131),
    [anon_sym_BANG] = ACTIONS(2131),
    [anon_sym_if] = ACTIONS(2131),
    [anon_sym_switch] = ACTIONS(2131),
    [anon_sym_for] = ACTIONS(2131),
    [anon_sym_LPAREN] = ACTIONS(2131),
    [anon_sym_await] = ACTIONS(2131),
    [anon_sym_while] = ACTIONS(2131),
    [anon_sym_do] = ACTIONS(2131),
    [anon_sym_try] = ACTIONS(2131),
    [anon_sym_with] = ACTIONS(2131),
    [anon_sym_break] = ACTIONS(2131),
    [anon_sym_continue] = ACTIONS(2131),
    [anon_sym_debugger] = ACTIONS(2131),
    [anon_sym_return] = ACTIONS(2131),
    [anon_sym_throw] = ACTIONS(2131),
    [anon_sym_SEMI] = ACTIONS(2131),
    [anon_sym_yield] = ACTIONS(2131),
    [anon_sym_LBRACK] = ACTIONS(2131),
    [anon_sym_LTtemplate_GT] = ACTIONS(2131),
    [anon_sym_DOT] = ACTIONS(2131),
    [anon_sym_class] = ACTIONS(2131),
    [anon_sym_async] = ACTIONS(2131),
    [anon_sym_function] = ACTIONS(2131),
    [anon_sym_new] = ACTIONS(2131),
    [anon_sym_using] = ACTIONS(2131),
    [anon_sym_PLUS] = ACTIONS(2131),
    [anon_sym_DASH] = ACTIONS(2131),
    [anon_sym_SLASH] = ACTIONS(2131),
    [anon_sym_LT] = ACTIONS(2131),
    [anon_sym_TILDE] = ACTIONS(2131),
    [anon_sym_void] = ACTIONS(2131),
    [anon_sym_delete] = ACTIONS(2131),
    [anon_sym_PLUS_PLUS] = ACTIONS(2131),
    [anon_sym_DASH_DASH] = ACTIONS(2131),
    [anon_sym_DQUOTE] = ACTIONS(2131),
    [anon_sym_SQUOTE] = ACTIONS(2131),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2131),
    [sym_number] = ACTIONS(2131),
    [sym_private_property_identifier] = ACTIONS(2131),
    [sym_this] = ACTIONS(2131),
    [sym_super] = ACTIONS(2131),
    [sym_true] = ACTIONS(2131),
    [sym_false] = ACTIONS(2131),
    [sym_null] = ACTIONS(2131),
    [sym_undefined] = ACTIONS(2131),
    [anon_sym_AT] = ACTIONS(2131),
    [anon_sym_static] = ACTIONS(2131),
    [anon_sym_readonly] = ACTIONS(2131),
    [anon_sym_get] = ACTIONS(2131),
    [anon_sym_set] = ACTIONS(2131),
    [anon_sym_declare] = ACTIONS(2131),
    [anon_sym_public] = ACTIONS(2131),
    [anon_sym_private] = ACTIONS(2131),
    [anon_sym_protected] = ACTIONS(2131),
    [anon_sym_override] = ACTIONS(2131),
    [anon_sym_module] = ACTIONS(2131),
    [anon_sym_any] = ACTIONS(2131),
    [anon_sym_number] = ACTIONS(2131),
    [anon_sym_boolean] = ACTIONS(2131),
    [anon_sym_string] = ACTIONS(2131),
    [anon_sym_symbol] = ACTIONS(2131),
    [anon_sym_object] = ACTIONS(2131),
    [anon_sym_abstract] = ACTIONS(2131),
    [anon_sym_interface] = ACTIONS(2131),
    [anon_sym_enum] = ACTIONS(2131),
    [sym_html_comment] = ACTIONS(5),
  },
  [1428] = {
    [sym_comment] = STATE(1428),
    [ts_builtin_sym_end] = ACTIONS(2143),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_RBRACE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LTtemplate_GT] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_using] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_LT] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [sym_private_property_identifier] = ACTIONS(2141),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_object] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
    [sym__automatic_semicolon] = ACTIONS(3458),
    [sym_html_comment] = ACTIONS(5),
  },
  [1429] = {
    [sym_comment] = STATE(1429),
    [ts_builtin_sym_end] = ACTIONS(3460),
    [sym_identifier] = ACTIONS(3284),
    [anon_sym_export] = ACTIONS(3284),
    [anon_sym_type] = ACTIONS(3284),
    [anon_sym_namespace] = ACTIONS(3284),
    [anon_sym_LBRACE] = ACTIONS(3284),
    [anon_sym_RBRACE] = ACTIONS(3284),
    [anon_sym_typeof] = ACTIONS(3284),
    [anon_sym_import] = ACTIONS(3284),
    [anon_sym_var] = ACTIONS(3284),
    [anon_sym_let] = ACTIONS(3284),
    [anon_sym_const] = ACTIONS(3284),
    [anon_sym_BANG] = ACTIONS(3284),
    [anon_sym_else] = ACTIONS(3284),
    [anon_sym_if] = ACTIONS(3284),
    [anon_sym_switch] = ACTIONS(3284),
    [anon_sym_for] = ACTIONS(3284),
    [anon_sym_LPAREN] = ACTIONS(3284),
    [anon_sym_await] = ACTIONS(3284),
    [anon_sym_while] = ACTIONS(3284),
    [anon_sym_do] = ACTIONS(3284),
    [anon_sym_try] = ACTIONS(3284),
    [anon_sym_with] = ACTIONS(3284),
    [anon_sym_break] = ACTIONS(3284),
    [anon_sym_continue] = ACTIONS(3284),
    [anon_sym_debugger] = ACTIONS(3284),
    [anon_sym_return] = ACTIONS(3284),
    [anon_sym_throw] = ACTIONS(3284),
    [anon_sym_SEMI] = ACTIONS(3284),
    [anon_sym_yield] = ACTIONS(3284),
    [anon_sym_LBRACK] = ACTIONS(3284),
    [anon_sym_LTtemplate_GT] = ACTIONS(3284),
    [anon_sym_class] = ACTIONS(3284),
    [anon_sym_async] = ACTIONS(3284),
    [anon_sym_function] = ACTIONS(3284),
    [anon_sym_new] = ACTIONS(3284),
    [anon_sym_using] = ACTIONS(3284),
    [anon_sym_PLUS] = ACTIONS(3284),
    [anon_sym_DASH] = ACTIONS(3284),
    [anon_sym_SLASH] = ACTIONS(3284),
    [anon_sym_LT] = ACTIONS(3284),
    [anon_sym_TILDE] = ACTIONS(3284),
    [anon_sym_void] = ACTIONS(3284),
    [anon_sym_delete] = ACTIONS(3284),
    [anon_sym_PLUS_PLUS] = ACTIONS(3284),
    [anon_sym_DASH_DASH] = ACTIONS(3284),
    [anon_sym_DQUOTE] = ACTIONS(3284),
    [anon_sym_SQUOTE] = ACTIONS(3284),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3284),
    [sym_number] = ACTIONS(3284),
    [sym_private_property_identifier] = ACTIONS(3284),
    [sym_this] = ACTIONS(3284),
    [sym_super] = ACTIONS(3284),
    [sym_true] = ACTIONS(3284),
    [sym_false] = ACTIONS(3284),
    [sym_null] = ACTIONS(3284),
    [sym_undefined] = ACTIONS(3284),
    [anon_sym_AT] = ACTIONS(3284),
    [anon_sym_static] = ACTIONS(3284),
    [anon_sym_readonly] = ACTIONS(3284),
    [anon_sym_get] = ACTIONS(3284),
    [anon_sym_set] = ACTIONS(3284),
    [anon_sym_declare] = ACTIONS(3284),
    [anon_sym_public] = ACTIONS(3284),
    [anon_sym_private] = ACTIONS(3284),
    [anon_sym_protected] = ACTIONS(3284),
    [anon_sym_override] = ACTIONS(3284),
    [anon_sym_module] = ACTIONS(3284),
    [anon_sym_any] = ACTIONS(3284),
    [anon_sym_number] = ACTIONS(3284),
    [anon_sym_boolean] = ACTIONS(3284),
    [anon_sym_string] = ACTIONS(3284),
    [anon_sym_symbol] = ACTIONS(3284),
    [anon_sym_object] = ACTIONS(3284),
    [anon_sym_abstract] = ACTIONS(3284),
    [anon_sym_interface] = ACTIONS(3284),
    [anon_sym_enum] = ACTIONS(3284),
    [sym_html_comment] = ACTIONS(5),
  },
  [1430] = {
    [sym_comment] = STATE(1430),
    [ts_builtin_sym_end] = ACTIONS(2095),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_else] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym_html_comment] = ACTIONS(5),
  },
  [1431] = {
    [sym_comment] = STATE(1431),
    [ts_builtin_sym_end] = ACTIONS(3462),
    [sym_identifier] = ACTIONS(3282),
    [anon_sym_export] = ACTIONS(3282),
    [anon_sym_type] = ACTIONS(3282),
    [anon_sym_namespace] = ACTIONS(3282),
    [anon_sym_LBRACE] = ACTIONS(3282),
    [anon_sym_RBRACE] = ACTIONS(3282),
    [anon_sym_typeof] = ACTIONS(3282),
    [anon_sym_import] = ACTIONS(3282),
    [anon_sym_var] = ACTIONS(3282),
    [anon_sym_let] = ACTIONS(3282),
    [anon_sym_const] = ACTIONS(3282),
    [anon_sym_BANG] = ACTIONS(3282),
    [anon_sym_else] = ACTIONS(3282),
    [anon_sym_if] = ACTIONS(3282),
    [anon_sym_switch] = ACTIONS(3282),
    [anon_sym_for] = ACTIONS(3282),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_await] = ACTIONS(3282),
    [anon_sym_while] = ACTIONS(3282),
    [anon_sym_do] = ACTIONS(3282),
    [anon_sym_try] = ACTIONS(3282),
    [anon_sym_with] = ACTIONS(3282),
    [anon_sym_break] = ACTIONS(3282),
    [anon_sym_continue] = ACTIONS(3282),
    [anon_sym_debugger] = ACTIONS(3282),
    [anon_sym_return] = ACTIONS(3282),
    [anon_sym_throw] = ACTIONS(3282),
    [anon_sym_SEMI] = ACTIONS(3282),
    [anon_sym_yield] = ACTIONS(3282),
    [anon_sym_LBRACK] = ACTIONS(3282),
    [anon_sym_LTtemplate_GT] = ACTIONS(3282),
    [anon_sym_class] = ACTIONS(3282),
    [anon_sym_async] = ACTIONS(3282),
    [anon_sym_function] = ACTIONS(3282),
    [anon_sym_new] = ACTIONS(3282),
    [anon_sym_using] = ACTIONS(3282),
    [anon_sym_PLUS] = ACTIONS(3282),
    [anon_sym_DASH] = ACTIONS(3282),
    [anon_sym_SLASH] = ACTIONS(3282),
    [anon_sym_LT] = ACTIONS(3282),
    [anon_sym_TILDE] = ACTIONS(3282),
    [anon_sym_void] = ACTIONS(3282),
    [anon_sym_delete] = ACTIONS(3282),
    [anon_sym_PLUS_PLUS] = ACTIONS(3282),
    [anon_sym_DASH_DASH] = ACTIONS(3282),
    [anon_sym_DQUOTE] = ACTIONS(3282),
    [anon_sym_SQUOTE] = ACTIONS(3282),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3282),
    [sym_number] = ACTIONS(3282),
    [sym_private_property_identifier] = ACTIONS(3282),
    [sym_this] = ACTIONS(3282),
    [sym_super] = ACTIONS(3282),
    [sym_true] = ACTIONS(3282),
    [sym_false] = ACTIONS(3282),
    [sym_null] = ACTIONS(3282),
    [sym_undefined] = ACTIONS(3282),
    [anon_sym_AT] = ACTIONS(3282),
    [anon_sym_static] = ACTIONS(3282),
    [anon_sym_readonly] = ACTIONS(3282),
    [anon_sym_get] = ACTIONS(3282),
    [anon_sym_set] = ACTIONS(3282),
    [anon_sym_declare] = ACTIONS(3282),
    [anon_sym_public] = ACTIONS(3282),
    [anon_sym_private] = ACTIONS(3282),
    [anon_sym_protected] = ACTIONS(3282),
    [anon_sym_override] = ACTIONS(3282),
    [anon_sym_module] = ACTIONS(3282),
    [anon_sym_any] = ACTIONS(3282),
    [anon_sym_number] = ACTIONS(3282),
    [anon_sym_boolean] = ACTIONS(3282),
    [anon_sym_string] = ACTIONS(3282),
    [anon_sym_symbol] = ACTIONS(3282),
    [anon_sym_object] = ACTIONS(3282),
    [anon_sym_abstract] = ACTIONS(3282),
    [anon_sym_interface] = ACTIONS(3282),
    [anon_sym_enum] = ACTIONS(3282),
    [sym_html_comment] = ACTIONS(5),
  },
  [1432] = {
    [sym_comment] = STATE(1432),
    [ts_builtin_sym_end] = ACTIONS(3464),
    [sym_identifier] = ACTIONS(3212),
    [anon_sym_export] = ACTIONS(3212),
    [anon_sym_type] = ACTIONS(3212),
    [anon_sym_namespace] = ACTIONS(3212),
    [anon_sym_LBRACE] = ACTIONS(3212),
    [anon_sym_RBRACE] = ACTIONS(3212),
    [anon_sym_typeof] = ACTIONS(3212),
    [anon_sym_import] = ACTIONS(3212),
    [anon_sym_var] = ACTIONS(3212),
    [anon_sym_let] = ACTIONS(3212),
    [anon_sym_const] = ACTIONS(3212),
    [anon_sym_BANG] = ACTIONS(3212),
    [anon_sym_else] = ACTIONS(3212),
    [anon_sym_if] = ACTIONS(3212),
    [anon_sym_switch] = ACTIONS(3212),
    [anon_sym_for] = ACTIONS(3212),
    [anon_sym_LPAREN] = ACTIONS(3212),
    [anon_sym_await] = ACTIONS(3212),
    [anon_sym_while] = ACTIONS(3212),
    [anon_sym_do] = ACTIONS(3212),
    [anon_sym_try] = ACTIONS(3212),
    [anon_sym_with] = ACTIONS(3212),
    [anon_sym_break] = ACTIONS(3212),
    [anon_sym_continue] = ACTIONS(3212),
    [anon_sym_debugger] = ACTIONS(3212),
    [anon_sym_return] = ACTIONS(3212),
    [anon_sym_throw] = ACTIONS(3212),
    [anon_sym_SEMI] = ACTIONS(3212),
    [anon_sym_yield] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3212),
    [anon_sym_LTtemplate_GT] = ACTIONS(3212),
    [anon_sym_class] = ACTIONS(3212),
    [anon_sym_async] = ACTIONS(3212),
    [anon_sym_function] = ACTIONS(3212),
    [anon_sym_new] = ACTIONS(3212),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_PLUS] = ACTIONS(3212),
    [anon_sym_DASH] = ACTIONS(3212),
    [anon_sym_SLASH] = ACTIONS(3212),
    [anon_sym_LT] = ACTIONS(3212),
    [anon_sym_TILDE] = ACTIONS(3212),
    [anon_sym_void] = ACTIONS(3212),
    [anon_sym_delete] = ACTIONS(3212),
    [anon_sym_PLUS_PLUS] = ACTIONS(3212),
    [anon_sym_DASH_DASH] = ACTIONS(3212),
    [anon_sym_DQUOTE] = ACTIONS(3212),
    [anon_sym_SQUOTE] = ACTIONS(3212),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3212),
    [sym_number] = ACTIONS(3212),
    [sym_private_property_identifier] = ACTIONS(3212),
    [sym_this] = ACTIONS(3212),
    [sym_super] = ACTIONS(3212),
    [sym_true] = ACTIONS(3212),
    [sym_false] = ACTIONS(3212),
    [sym_null] = ACTIONS(3212),
    [sym_undefined] = ACTIONS(3212),
    [anon_sym_AT] = ACTIONS(3212),
    [anon_sym_static] = ACTIONS(3212),
    [anon_sym_readonly] = ACTIONS(3212),
    [anon_sym_get] = ACTIONS(3212),
    [anon_sym_set] = ACTIONS(3212),
    [anon_sym_declare] = ACTIONS(3212),
    [anon_sym_public] = ACTIONS(3212),
    [anon_sym_private] = ACTIONS(3212),
    [anon_sym_protected] = ACTIONS(3212),
    [anon_sym_override] = ACTIONS(3212),
    [anon_sym_module] = ACTIONS(3212),
    [anon_sym_any] = ACTIONS(3212),
    [anon_sym_number] = ACTIONS(3212),
    [anon_sym_boolean] = ACTIONS(3212),
    [anon_sym_string] = ACTIONS(3212),
    [anon_sym_symbol] = ACTIONS(3212),
    [anon_sym_object] = ACTIONS(3212),
    [anon_sym_abstract] = ACTIONS(3212),
    [anon_sym_interface] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1433] = {
    [sym_comment] = STATE(1433),
    [ts_builtin_sym_end] = ACTIONS(2129),
    [sym_identifier] = ACTIONS(2127),
    [anon_sym_export] = ACTIONS(2127),
    [anon_sym_type] = ACTIONS(2127),
    [anon_sym_namespace] = ACTIONS(2127),
    [anon_sym_LBRACE] = ACTIONS(2127),
    [anon_sym_RBRACE] = ACTIONS(2127),
    [anon_sym_typeof] = ACTIONS(2127),
    [anon_sym_import] = ACTIONS(2127),
    [anon_sym_var] = ACTIONS(2127),
    [anon_sym_let] = ACTIONS(2127),
    [anon_sym_const] = ACTIONS(2127),
    [anon_sym_BANG] = ACTIONS(2127),
    [anon_sym_else] = ACTIONS(2127),
    [anon_sym_if] = ACTIONS(2127),
    [anon_sym_switch] = ACTIONS(2127),
    [anon_sym_for] = ACTIONS(2127),
    [anon_sym_LPAREN] = ACTIONS(2127),
    [anon_sym_await] = ACTIONS(2127),
    [anon_sym_while] = ACTIONS(2127),
    [anon_sym_do] = ACTIONS(2127),
    [anon_sym_try] = ACTIONS(2127),
    [anon_sym_with] = ACTIONS(2127),
    [anon_sym_break] = ACTIONS(2127),
    [anon_sym_continue] = ACTIONS(2127),
    [anon_sym_debugger] = ACTIONS(2127),
    [anon_sym_return] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2127),
    [anon_sym_SEMI] = ACTIONS(2127),
    [anon_sym_yield] = ACTIONS(2127),
    [anon_sym_LBRACK] = ACTIONS(2127),
    [anon_sym_LTtemplate_GT] = ACTIONS(2127),
    [anon_sym_class] = ACTIONS(2127),
    [anon_sym_async] = ACTIONS(2127),
    [anon_sym_function] = ACTIONS(2127),
    [anon_sym_new] = ACTIONS(2127),
    [anon_sym_using] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_SLASH] = ACTIONS(2127),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_TILDE] = ACTIONS(2127),
    [anon_sym_void] = ACTIONS(2127),
    [anon_sym_delete] = ACTIONS(2127),
    [anon_sym_PLUS_PLUS] = ACTIONS(2127),
    [anon_sym_DASH_DASH] = ACTIONS(2127),
    [anon_sym_DQUOTE] = ACTIONS(2127),
    [anon_sym_SQUOTE] = ACTIONS(2127),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2127),
    [sym_number] = ACTIONS(2127),
    [sym_private_property_identifier] = ACTIONS(2127),
    [sym_this] = ACTIONS(2127),
    [sym_super] = ACTIONS(2127),
    [sym_true] = ACTIONS(2127),
    [sym_false] = ACTIONS(2127),
    [sym_null] = ACTIONS(2127),
    [sym_undefined] = ACTIONS(2127),
    [anon_sym_AT] = ACTIONS(2127),
    [anon_sym_static] = ACTIONS(2127),
    [anon_sym_readonly] = ACTIONS(2127),
    [anon_sym_get] = ACTIONS(2127),
    [anon_sym_set] = ACTIONS(2127),
    [anon_sym_declare] = ACTIONS(2127),
    [anon_sym_public] = ACTIONS(2127),
    [anon_sym_private] = ACTIONS(2127),
    [anon_sym_protected] = ACTIONS(2127),
    [anon_sym_override] = ACTIONS(2127),
    [anon_sym_module] = ACTIONS(2127),
    [anon_sym_any] = ACTIONS(2127),
    [anon_sym_number] = ACTIONS(2127),
    [anon_sym_boolean] = ACTIONS(2127),
    [anon_sym_string] = ACTIONS(2127),
    [anon_sym_symbol] = ACTIONS(2127),
    [anon_sym_object] = ACTIONS(2127),
    [anon_sym_abstract] = ACTIONS(2127),
    [anon_sym_interface] = ACTIONS(2127),
    [anon_sym_enum] = ACTIONS(2127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1434] = {
    [sym_comment] = STATE(1434),
    [ts_builtin_sym_end] = ACTIONS(3466),
    [sym_identifier] = ACTIONS(3210),
    [anon_sym_export] = ACTIONS(3210),
    [anon_sym_type] = ACTIONS(3210),
    [anon_sym_namespace] = ACTIONS(3210),
    [anon_sym_LBRACE] = ACTIONS(3210),
    [anon_sym_RBRACE] = ACTIONS(3210),
    [anon_sym_typeof] = ACTIONS(3210),
    [anon_sym_import] = ACTIONS(3210),
    [anon_sym_var] = ACTIONS(3210),
    [anon_sym_let] = ACTIONS(3210),
    [anon_sym_const] = ACTIONS(3210),
    [anon_sym_BANG] = ACTIONS(3210),
    [anon_sym_else] = ACTIONS(3210),
    [anon_sym_if] = ACTIONS(3210),
    [anon_sym_switch] = ACTIONS(3210),
    [anon_sym_for] = ACTIONS(3210),
    [anon_sym_LPAREN] = ACTIONS(3210),
    [anon_sym_await] = ACTIONS(3210),
    [anon_sym_while] = ACTIONS(3210),
    [anon_sym_do] = ACTIONS(3210),
    [anon_sym_try] = ACTIONS(3210),
    [anon_sym_with] = ACTIONS(3210),
    [anon_sym_break] = ACTIONS(3210),
    [anon_sym_continue] = ACTIONS(3210),
    [anon_sym_debugger] = ACTIONS(3210),
    [anon_sym_return] = ACTIONS(3210),
    [anon_sym_throw] = ACTIONS(3210),
    [anon_sym_SEMI] = ACTIONS(3210),
    [anon_sym_yield] = ACTIONS(3210),
    [anon_sym_LBRACK] = ACTIONS(3210),
    [anon_sym_LTtemplate_GT] = ACTIONS(3210),
    [anon_sym_class] = ACTIONS(3210),
    [anon_sym_async] = ACTIONS(3210),
    [anon_sym_function] = ACTIONS(3210),
    [anon_sym_new] = ACTIONS(3210),
    [anon_sym_using] = ACTIONS(3210),
    [anon_sym_PLUS] = ACTIONS(3210),
    [anon_sym_DASH] = ACTIONS(3210),
    [anon_sym_SLASH] = ACTIONS(3210),
    [anon_sym_LT] = ACTIONS(3210),
    [anon_sym_TILDE] = ACTIONS(3210),
    [anon_sym_void] = ACTIONS(3210),
    [anon_sym_delete] = ACTIONS(3210),
    [anon_sym_PLUS_PLUS] = ACTIONS(3210),
    [anon_sym_DASH_DASH] = ACTIONS(3210),
    [anon_sym_DQUOTE] = ACTIONS(3210),
    [anon_sym_SQUOTE] = ACTIONS(3210),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3210),
    [sym_number] = ACTIONS(3210),
    [sym_private_property_identifier] = ACTIONS(3210),
    [sym_this] = ACTIONS(3210),
    [sym_super] = ACTIONS(3210),
    [sym_true] = ACTIONS(3210),
    [sym_false] = ACTIONS(3210),
    [sym_null] = ACTIONS(3210),
    [sym_undefined] = ACTIONS(3210),
    [anon_sym_AT] = ACTIONS(3210),
    [anon_sym_static] = ACTIONS(3210),
    [anon_sym_readonly] = ACTIONS(3210),
    [anon_sym_get] = ACTIONS(3210),
    [anon_sym_set] = ACTIONS(3210),
    [anon_sym_declare] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(3210),
    [anon_sym_private] = ACTIONS(3210),
    [anon_sym_protected] = ACTIONS(3210),
    [anon_sym_override] = ACTIONS(3210),
    [anon_sym_module] = ACTIONS(3210),
    [anon_sym_any] = ACTIONS(3210),
    [anon_sym_number] = ACTIONS(3210),
    [anon_sym_boolean] = ACTIONS(3210),
    [anon_sym_string] = ACTIONS(3210),
    [anon_sym_symbol] = ACTIONS(3210),
    [anon_sym_object] = ACTIONS(3210),
    [anon_sym_abstract] = ACTIONS(3210),
    [anon_sym_interface] = ACTIONS(3210),
    [anon_sym_enum] = ACTIONS(3210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1435] = {
    [sym_comment] = STATE(1435),
    [ts_builtin_sym_end] = ACTIONS(3468),
    [sym_identifier] = ACTIONS(3280),
    [anon_sym_export] = ACTIONS(3280),
    [anon_sym_type] = ACTIONS(3280),
    [anon_sym_namespace] = ACTIONS(3280),
    [anon_sym_LBRACE] = ACTIONS(3280),
    [anon_sym_RBRACE] = ACTIONS(3280),
    [anon_sym_typeof] = ACTIONS(3280),
    [anon_sym_import] = ACTIONS(3280),
    [anon_sym_var] = ACTIONS(3280),
    [anon_sym_let] = ACTIONS(3280),
    [anon_sym_const] = ACTIONS(3280),
    [anon_sym_BANG] = ACTIONS(3280),
    [anon_sym_else] = ACTIONS(3280),
    [anon_sym_if] = ACTIONS(3280),
    [anon_sym_switch] = ACTIONS(3280),
    [anon_sym_for] = ACTIONS(3280),
    [anon_sym_LPAREN] = ACTIONS(3280),
    [anon_sym_await] = ACTIONS(3280),
    [anon_sym_while] = ACTIONS(3280),
    [anon_sym_do] = ACTIONS(3280),
    [anon_sym_try] = ACTIONS(3280),
    [anon_sym_with] = ACTIONS(3280),
    [anon_sym_break] = ACTIONS(3280),
    [anon_sym_continue] = ACTIONS(3280),
    [anon_sym_debugger] = ACTIONS(3280),
    [anon_sym_return] = ACTIONS(3280),
    [anon_sym_throw] = ACTIONS(3280),
    [anon_sym_SEMI] = ACTIONS(3280),
    [anon_sym_yield] = ACTIONS(3280),
    [anon_sym_LBRACK] = ACTIONS(3280),
    [anon_sym_LTtemplate_GT] = ACTIONS(3280),
    [anon_sym_class] = ACTIONS(3280),
    [anon_sym_async] = ACTIONS(3280),
    [anon_sym_function] = ACTIONS(3280),
    [anon_sym_new] = ACTIONS(3280),
    [anon_sym_using] = ACTIONS(3280),
    [anon_sym_PLUS] = ACTIONS(3280),
    [anon_sym_DASH] = ACTIONS(3280),
    [anon_sym_SLASH] = ACTIONS(3280),
    [anon_sym_LT] = ACTIONS(3280),
    [anon_sym_TILDE] = ACTIONS(3280),
    [anon_sym_void] = ACTIONS(3280),
    [anon_sym_delete] = ACTIONS(3280),
    [anon_sym_PLUS_PLUS] = ACTIONS(3280),
    [anon_sym_DASH_DASH] = ACTIONS(3280),
    [anon_sym_DQUOTE] = ACTIONS(3280),
    [anon_sym_SQUOTE] = ACTIONS(3280),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3280),
    [sym_number] = ACTIONS(3280),
    [sym_private_property_identifier] = ACTIONS(3280),
    [sym_this] = ACTIONS(3280),
    [sym_super] = ACTIONS(3280),
    [sym_true] = ACTIONS(3280),
    [sym_false] = ACTIONS(3280),
    [sym_null] = ACTIONS(3280),
    [sym_undefined] = ACTIONS(3280),
    [anon_sym_AT] = ACTIONS(3280),
    [anon_sym_static] = ACTIONS(3280),
    [anon_sym_readonly] = ACTIONS(3280),
    [anon_sym_get] = ACTIONS(3280),
    [anon_sym_set] = ACTIONS(3280),
    [anon_sym_declare] = ACTIONS(3280),
    [anon_sym_public] = ACTIONS(3280),
    [anon_sym_private] = ACTIONS(3280),
    [anon_sym_protected] = ACTIONS(3280),
    [anon_sym_override] = ACTIONS(3280),
    [anon_sym_module] = ACTIONS(3280),
    [anon_sym_any] = ACTIONS(3280),
    [anon_sym_number] = ACTIONS(3280),
    [anon_sym_boolean] = ACTIONS(3280),
    [anon_sym_string] = ACTIONS(3280),
    [anon_sym_symbol] = ACTIONS(3280),
    [anon_sym_object] = ACTIONS(3280),
    [anon_sym_abstract] = ACTIONS(3280),
    [anon_sym_interface] = ACTIONS(3280),
    [anon_sym_enum] = ACTIONS(3280),
    [sym_html_comment] = ACTIONS(5),
  },
  [1436] = {
    [sym_comment] = STATE(1436),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3200),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_type] = ACTIONS(3200),
    [anon_sym_namespace] = ACTIONS(3200),
    [anon_sym_LBRACE] = ACTIONS(3200),
    [anon_sym_RBRACE] = ACTIONS(3200),
    [anon_sym_typeof] = ACTIONS(3200),
    [anon_sym_import] = ACTIONS(3200),
    [anon_sym_var] = ACTIONS(3200),
    [anon_sym_let] = ACTIONS(3200),
    [anon_sym_const] = ACTIONS(3200),
    [anon_sym_BANG] = ACTIONS(3200),
    [anon_sym_else] = ACTIONS(3200),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_switch] = ACTIONS(3200),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_LPAREN] = ACTIONS(3200),
    [anon_sym_await] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3200),
    [anon_sym_do] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3200),
    [anon_sym_with] = ACTIONS(3200),
    [anon_sym_break] = ACTIONS(3200),
    [anon_sym_continue] = ACTIONS(3200),
    [anon_sym_debugger] = ACTIONS(3200),
    [anon_sym_return] = ACTIONS(3200),
    [anon_sym_throw] = ACTIONS(3200),
    [anon_sym_SEMI] = ACTIONS(3200),
    [anon_sym_yield] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_LTtemplate_GT] = ACTIONS(3200),
    [anon_sym_class] = ACTIONS(3200),
    [anon_sym_async] = ACTIONS(3200),
    [anon_sym_function] = ACTIONS(3200),
    [anon_sym_new] = ACTIONS(3200),
    [anon_sym_using] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3200),
    [anon_sym_DASH] = ACTIONS(3200),
    [anon_sym_SLASH] = ACTIONS(3200),
    [anon_sym_LT] = ACTIONS(3200),
    [anon_sym_TILDE] = ACTIONS(3200),
    [anon_sym_void] = ACTIONS(3200),
    [anon_sym_delete] = ACTIONS(3200),
    [anon_sym_PLUS_PLUS] = ACTIONS(3200),
    [anon_sym_DASH_DASH] = ACTIONS(3200),
    [anon_sym_DQUOTE] = ACTIONS(3200),
    [anon_sym_SQUOTE] = ACTIONS(3200),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3200),
    [sym_number] = ACTIONS(3200),
    [sym_private_property_identifier] = ACTIONS(3200),
    [sym_this] = ACTIONS(3200),
    [sym_super] = ACTIONS(3200),
    [sym_true] = ACTIONS(3200),
    [sym_false] = ACTIONS(3200),
    [sym_null] = ACTIONS(3200),
    [sym_undefined] = ACTIONS(3200),
    [anon_sym_AT] = ACTIONS(3200),
    [anon_sym_static] = ACTIONS(3200),
    [anon_sym_readonly] = ACTIONS(3200),
    [anon_sym_get] = ACTIONS(3200),
    [anon_sym_set] = ACTIONS(3200),
    [anon_sym_declare] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3200),
    [anon_sym_private] = ACTIONS(3200),
    [anon_sym_protected] = ACTIONS(3200),
    [anon_sym_override] = ACTIONS(3200),
    [anon_sym_module] = ACTIONS(3200),
    [anon_sym_any] = ACTIONS(3200),
    [anon_sym_number] = ACTIONS(3200),
    [anon_sym_boolean] = ACTIONS(3200),
    [anon_sym_string] = ACTIONS(3200),
    [anon_sym_symbol] = ACTIONS(3200),
    [anon_sym_object] = ACTIONS(3200),
    [anon_sym_abstract] = ACTIONS(3200),
    [anon_sym_interface] = ACTIONS(3200),
    [anon_sym_enum] = ACTIONS(3200),
    [sym_html_comment] = ACTIONS(5),
  },
  [1437] = {
    [sym_comment] = STATE(1437),
    [ts_builtin_sym_end] = ACTIONS(3472),
    [sym_identifier] = ACTIONS(3206),
    [anon_sym_export] = ACTIONS(3206),
    [anon_sym_type] = ACTIONS(3206),
    [anon_sym_namespace] = ACTIONS(3206),
    [anon_sym_LBRACE] = ACTIONS(3206),
    [anon_sym_RBRACE] = ACTIONS(3206),
    [anon_sym_typeof] = ACTIONS(3206),
    [anon_sym_import] = ACTIONS(3206),
    [anon_sym_var] = ACTIONS(3206),
    [anon_sym_let] = ACTIONS(3206),
    [anon_sym_const] = ACTIONS(3206),
    [anon_sym_BANG] = ACTIONS(3206),
    [anon_sym_else] = ACTIONS(3206),
    [anon_sym_if] = ACTIONS(3206),
    [anon_sym_switch] = ACTIONS(3206),
    [anon_sym_for] = ACTIONS(3206),
    [anon_sym_LPAREN] = ACTIONS(3206),
    [anon_sym_await] = ACTIONS(3206),
    [anon_sym_while] = ACTIONS(3206),
    [anon_sym_do] = ACTIONS(3206),
    [anon_sym_try] = ACTIONS(3206),
    [anon_sym_with] = ACTIONS(3206),
    [anon_sym_break] = ACTIONS(3206),
    [anon_sym_continue] = ACTIONS(3206),
    [anon_sym_debugger] = ACTIONS(3206),
    [anon_sym_return] = ACTIONS(3206),
    [anon_sym_throw] = ACTIONS(3206),
    [anon_sym_SEMI] = ACTIONS(3206),
    [anon_sym_yield] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(3206),
    [anon_sym_LTtemplate_GT] = ACTIONS(3206),
    [anon_sym_class] = ACTIONS(3206),
    [anon_sym_async] = ACTIONS(3206),
    [anon_sym_function] = ACTIONS(3206),
    [anon_sym_new] = ACTIONS(3206),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_PLUS] = ACTIONS(3206),
    [anon_sym_DASH] = ACTIONS(3206),
    [anon_sym_SLASH] = ACTIONS(3206),
    [anon_sym_LT] = ACTIONS(3206),
    [anon_sym_TILDE] = ACTIONS(3206),
    [anon_sym_void] = ACTIONS(3206),
    [anon_sym_delete] = ACTIONS(3206),
    [anon_sym_PLUS_PLUS] = ACTIONS(3206),
    [anon_sym_DASH_DASH] = ACTIONS(3206),
    [anon_sym_DQUOTE] = ACTIONS(3206),
    [anon_sym_SQUOTE] = ACTIONS(3206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3206),
    [sym_number] = ACTIONS(3206),
    [sym_private_property_identifier] = ACTIONS(3206),
    [sym_this] = ACTIONS(3206),
    [sym_super] = ACTIONS(3206),
    [sym_true] = ACTIONS(3206),
    [sym_false] = ACTIONS(3206),
    [sym_null] = ACTIONS(3206),
    [sym_undefined] = ACTIONS(3206),
    [anon_sym_AT] = ACTIONS(3206),
    [anon_sym_static] = ACTIONS(3206),
    [anon_sym_readonly] = ACTIONS(3206),
    [anon_sym_get] = ACTIONS(3206),
    [anon_sym_set] = ACTIONS(3206),
    [anon_sym_declare] = ACTIONS(3206),
    [anon_sym_public] = ACTIONS(3206),
    [anon_sym_private] = ACTIONS(3206),
    [anon_sym_protected] = ACTIONS(3206),
    [anon_sym_override] = ACTIONS(3206),
    [anon_sym_module] = ACTIONS(3206),
    [anon_sym_any] = ACTIONS(3206),
    [anon_sym_number] = ACTIONS(3206),
    [anon_sym_boolean] = ACTIONS(3206),
    [anon_sym_string] = ACTIONS(3206),
    [anon_sym_symbol] = ACTIONS(3206),
    [anon_sym_object] = ACTIONS(3206),
    [anon_sym_abstract] = ACTIONS(3206),
    [anon_sym_interface] = ACTIONS(3206),
    [anon_sym_enum] = ACTIONS(3206),
    [sym_html_comment] = ACTIONS(5),
  },
  [1438] = {
    [sym_comment] = STATE(1438),
    [ts_builtin_sym_end] = ACTIONS(2137),
    [sym_identifier] = ACTIONS(2135),
    [anon_sym_export] = ACTIONS(2135),
    [anon_sym_type] = ACTIONS(2135),
    [anon_sym_namespace] = ACTIONS(2135),
    [anon_sym_LBRACE] = ACTIONS(2135),
    [anon_sym_RBRACE] = ACTIONS(2135),
    [anon_sym_typeof] = ACTIONS(2135),
    [anon_sym_import] = ACTIONS(2135),
    [anon_sym_var] = ACTIONS(2135),
    [anon_sym_let] = ACTIONS(2135),
    [anon_sym_const] = ACTIONS(2135),
    [anon_sym_BANG] = ACTIONS(2135),
    [anon_sym_else] = ACTIONS(2135),
    [anon_sym_if] = ACTIONS(2135),
    [anon_sym_switch] = ACTIONS(2135),
    [anon_sym_for] = ACTIONS(2135),
    [anon_sym_LPAREN] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2135),
    [anon_sym_while] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(2135),
    [anon_sym_try] = ACTIONS(2135),
    [anon_sym_with] = ACTIONS(2135),
    [anon_sym_break] = ACTIONS(2135),
    [anon_sym_continue] = ACTIONS(2135),
    [anon_sym_debugger] = ACTIONS(2135),
    [anon_sym_return] = ACTIONS(2135),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_SEMI] = ACTIONS(2135),
    [anon_sym_yield] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(2135),
    [anon_sym_LTtemplate_GT] = ACTIONS(2135),
    [anon_sym_class] = ACTIONS(2135),
    [anon_sym_async] = ACTIONS(2135),
    [anon_sym_function] = ACTIONS(2135),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_using] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_SLASH] = ACTIONS(2135),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_TILDE] = ACTIONS(2135),
    [anon_sym_void] = ACTIONS(2135),
    [anon_sym_delete] = ACTIONS(2135),
    [anon_sym_PLUS_PLUS] = ACTIONS(2135),
    [anon_sym_DASH_DASH] = ACTIONS(2135),
    [anon_sym_DQUOTE] = ACTIONS(2135),
    [anon_sym_SQUOTE] = ACTIONS(2135),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2135),
    [sym_number] = ACTIONS(2135),
    [sym_private_property_identifier] = ACTIONS(2135),
    [sym_this] = ACTIONS(2135),
    [sym_super] = ACTIONS(2135),
    [sym_true] = ACTIONS(2135),
    [sym_false] = ACTIONS(2135),
    [sym_null] = ACTIONS(2135),
    [sym_undefined] = ACTIONS(2135),
    [anon_sym_AT] = ACTIONS(2135),
    [anon_sym_static] = ACTIONS(2135),
    [anon_sym_readonly] = ACTIONS(2135),
    [anon_sym_get] = ACTIONS(2135),
    [anon_sym_set] = ACTIONS(2135),
    [anon_sym_declare] = ACTIONS(2135),
    [anon_sym_public] = ACTIONS(2135),
    [anon_sym_private] = ACTIONS(2135),
    [anon_sym_protected] = ACTIONS(2135),
    [anon_sym_override] = ACTIONS(2135),
    [anon_sym_module] = ACTIONS(2135),
    [anon_sym_any] = ACTIONS(2135),
    [anon_sym_number] = ACTIONS(2135),
    [anon_sym_boolean] = ACTIONS(2135),
    [anon_sym_string] = ACTIONS(2135),
    [anon_sym_symbol] = ACTIONS(2135),
    [anon_sym_object] = ACTIONS(2135),
    [anon_sym_abstract] = ACTIONS(2135),
    [anon_sym_interface] = ACTIONS(2135),
    [anon_sym_enum] = ACTIONS(2135),
    [sym_html_comment] = ACTIONS(5),
  },
  [1439] = {
    [sym_comment] = STATE(1439),
    [ts_builtin_sym_end] = ACTIONS(2087),
    [sym_identifier] = ACTIONS(2085),
    [anon_sym_export] = ACTIONS(2085),
    [anon_sym_type] = ACTIONS(2085),
    [anon_sym_namespace] = ACTIONS(2085),
    [anon_sym_LBRACE] = ACTIONS(2085),
    [anon_sym_RBRACE] = ACTIONS(2085),
    [anon_sym_typeof] = ACTIONS(2085),
    [anon_sym_import] = ACTIONS(2085),
    [anon_sym_var] = ACTIONS(2085),
    [anon_sym_let] = ACTIONS(2085),
    [anon_sym_const] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_else] = ACTIONS(2085),
    [anon_sym_if] = ACTIONS(2085),
    [anon_sym_switch] = ACTIONS(2085),
    [anon_sym_for] = ACTIONS(2085),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_await] = ACTIONS(2085),
    [anon_sym_while] = ACTIONS(2085),
    [anon_sym_do] = ACTIONS(2085),
    [anon_sym_try] = ACTIONS(2085),
    [anon_sym_with] = ACTIONS(2085),
    [anon_sym_break] = ACTIONS(2085),
    [anon_sym_continue] = ACTIONS(2085),
    [anon_sym_debugger] = ACTIONS(2085),
    [anon_sym_return] = ACTIONS(2085),
    [anon_sym_throw] = ACTIONS(2085),
    [anon_sym_SEMI] = ACTIONS(2085),
    [anon_sym_yield] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2085),
    [anon_sym_LTtemplate_GT] = ACTIONS(2085),
    [anon_sym_class] = ACTIONS(2085),
    [anon_sym_async] = ACTIONS(2085),
    [anon_sym_function] = ACTIONS(2085),
    [anon_sym_new] = ACTIONS(2085),
    [anon_sym_using] = ACTIONS(2085),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_SLASH] = ACTIONS(2085),
    [anon_sym_LT] = ACTIONS(2085),
    [anon_sym_TILDE] = ACTIONS(2085),
    [anon_sym_void] = ACTIONS(2085),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_PLUS_PLUS] = ACTIONS(2085),
    [anon_sym_DASH_DASH] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2085),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2085),
    [sym_number] = ACTIONS(2085),
    [sym_private_property_identifier] = ACTIONS(2085),
    [sym_this] = ACTIONS(2085),
    [sym_super] = ACTIONS(2085),
    [sym_true] = ACTIONS(2085),
    [sym_false] = ACTIONS(2085),
    [sym_null] = ACTIONS(2085),
    [sym_undefined] = ACTIONS(2085),
    [anon_sym_AT] = ACTIONS(2085),
    [anon_sym_static] = ACTIONS(2085),
    [anon_sym_readonly] = ACTIONS(2085),
    [anon_sym_get] = ACTIONS(2085),
    [anon_sym_set] = ACTIONS(2085),
    [anon_sym_declare] = ACTIONS(2085),
    [anon_sym_public] = ACTIONS(2085),
    [anon_sym_private] = ACTIONS(2085),
    [anon_sym_protected] = ACTIONS(2085),
    [anon_sym_override] = ACTIONS(2085),
    [anon_sym_module] = ACTIONS(2085),
    [anon_sym_any] = ACTIONS(2085),
    [anon_sym_number] = ACTIONS(2085),
    [anon_sym_boolean] = ACTIONS(2085),
    [anon_sym_string] = ACTIONS(2085),
    [anon_sym_symbol] = ACTIONS(2085),
    [anon_sym_object] = ACTIONS(2085),
    [anon_sym_abstract] = ACTIONS(2085),
    [anon_sym_interface] = ACTIONS(2085),
    [anon_sym_enum] = ACTIONS(2085),
    [sym_html_comment] = ACTIONS(5),
  },
  [1440] = {
    [sym_comment] = STATE(1440),
    [sym_identifier] = ACTIONS(3310),
    [anon_sym_export] = ACTIONS(3310),
    [anon_sym_default] = ACTIONS(3310),
    [anon_sym_type] = ACTIONS(3310),
    [anon_sym_namespace] = ACTIONS(3310),
    [anon_sym_LBRACE] = ACTIONS(3310),
    [anon_sym_RBRACE] = ACTIONS(3310),
    [anon_sym_typeof] = ACTIONS(3310),
    [anon_sym_import] = ACTIONS(3310),
    [anon_sym_var] = ACTIONS(3310),
    [anon_sym_let] = ACTIONS(3310),
    [anon_sym_const] = ACTIONS(3310),
    [anon_sym_BANG] = ACTIONS(3310),
    [anon_sym_if] = ACTIONS(3310),
    [anon_sym_switch] = ACTIONS(3310),
    [anon_sym_for] = ACTIONS(3310),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_await] = ACTIONS(3310),
    [anon_sym_while] = ACTIONS(3310),
    [anon_sym_do] = ACTIONS(3310),
    [anon_sym_try] = ACTIONS(3310),
    [anon_sym_with] = ACTIONS(3310),
    [anon_sym_break] = ACTIONS(3310),
    [anon_sym_continue] = ACTIONS(3310),
    [anon_sym_debugger] = ACTIONS(3310),
    [anon_sym_return] = ACTIONS(3310),
    [anon_sym_throw] = ACTIONS(3310),
    [anon_sym_SEMI] = ACTIONS(3310),
    [anon_sym_case] = ACTIONS(3310),
    [anon_sym_yield] = ACTIONS(3310),
    [anon_sym_LBRACK] = ACTIONS(3310),
    [anon_sym_LTtemplate_GT] = ACTIONS(3310),
    [anon_sym_class] = ACTIONS(3310),
    [anon_sym_async] = ACTIONS(3310),
    [anon_sym_function] = ACTIONS(3310),
    [anon_sym_new] = ACTIONS(3310),
    [anon_sym_using] = ACTIONS(3310),
    [anon_sym_PLUS] = ACTIONS(3310),
    [anon_sym_DASH] = ACTIONS(3310),
    [anon_sym_SLASH] = ACTIONS(3310),
    [anon_sym_LT] = ACTIONS(3310),
    [anon_sym_TILDE] = ACTIONS(3310),
    [anon_sym_void] = ACTIONS(3310),
    [anon_sym_delete] = ACTIONS(3310),
    [anon_sym_PLUS_PLUS] = ACTIONS(3310),
    [anon_sym_DASH_DASH] = ACTIONS(3310),
    [anon_sym_DQUOTE] = ACTIONS(3310),
    [anon_sym_SQUOTE] = ACTIONS(3310),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3310),
    [sym_number] = ACTIONS(3310),
    [sym_private_property_identifier] = ACTIONS(3310),
    [sym_this] = ACTIONS(3310),
    [sym_super] = ACTIONS(3310),
    [sym_true] = ACTIONS(3310),
    [sym_false] = ACTIONS(3310),
    [sym_null] = ACTIONS(3310),
    [sym_undefined] = ACTIONS(3310),
    [anon_sym_AT] = ACTIONS(3310),
    [anon_sym_static] = ACTIONS(3310),
    [anon_sym_readonly] = ACTIONS(3310),
    [anon_sym_get] = ACTIONS(3310),
    [anon_sym_set] = ACTIONS(3310),
    [anon_sym_declare] = ACTIONS(3310),
    [anon_sym_public] = ACTIONS(3310),
    [anon_sym_private] = ACTIONS(3310),
    [anon_sym_protected] = ACTIONS(3310),
    [anon_sym_override] = ACTIONS(3310),
    [anon_sym_module] = ACTIONS(3310),
    [anon_sym_any] = ACTIONS(3310),
    [anon_sym_number] = ACTIONS(3310),
    [anon_sym_boolean] = ACTIONS(3310),
    [anon_sym_string] = ACTIONS(3310),
    [anon_sym_symbol] = ACTIONS(3310),
    [anon_sym_object] = ACTIONS(3310),
    [anon_sym_abstract] = ACTIONS(3310),
    [anon_sym_interface] = ACTIONS(3310),
    [anon_sym_enum] = ACTIONS(3310),
    [sym_html_comment] = ACTIONS(5),
  },
  [1441] = {
    [sym_comment] = STATE(1441),
    [sym_identifier] = ACTIONS(3304),
    [anon_sym_export] = ACTIONS(3304),
    [anon_sym_default] = ACTIONS(3304),
    [anon_sym_type] = ACTIONS(3304),
    [anon_sym_namespace] = ACTIONS(3304),
    [anon_sym_LBRACE] = ACTIONS(3304),
    [anon_sym_RBRACE] = ACTIONS(3304),
    [anon_sym_typeof] = ACTIONS(3304),
    [anon_sym_import] = ACTIONS(3304),
    [anon_sym_var] = ACTIONS(3304),
    [anon_sym_let] = ACTIONS(3304),
    [anon_sym_const] = ACTIONS(3304),
    [anon_sym_BANG] = ACTIONS(3304),
    [anon_sym_if] = ACTIONS(3304),
    [anon_sym_switch] = ACTIONS(3304),
    [anon_sym_for] = ACTIONS(3304),
    [anon_sym_LPAREN] = ACTIONS(3304),
    [anon_sym_await] = ACTIONS(3304),
    [anon_sym_while] = ACTIONS(3304),
    [anon_sym_do] = ACTIONS(3304),
    [anon_sym_try] = ACTIONS(3304),
    [anon_sym_with] = ACTIONS(3304),
    [anon_sym_break] = ACTIONS(3304),
    [anon_sym_continue] = ACTIONS(3304),
    [anon_sym_debugger] = ACTIONS(3304),
    [anon_sym_return] = ACTIONS(3304),
    [anon_sym_throw] = ACTIONS(3304),
    [anon_sym_SEMI] = ACTIONS(3304),
    [anon_sym_case] = ACTIONS(3304),
    [anon_sym_yield] = ACTIONS(3304),
    [anon_sym_LBRACK] = ACTIONS(3304),
    [anon_sym_LTtemplate_GT] = ACTIONS(3304),
    [anon_sym_class] = ACTIONS(3304),
    [anon_sym_async] = ACTIONS(3304),
    [anon_sym_function] = ACTIONS(3304),
    [anon_sym_new] = ACTIONS(3304),
    [anon_sym_using] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3304),
    [anon_sym_DASH] = ACTIONS(3304),
    [anon_sym_SLASH] = ACTIONS(3304),
    [anon_sym_LT] = ACTIONS(3304),
    [anon_sym_TILDE] = ACTIONS(3304),
    [anon_sym_void] = ACTIONS(3304),
    [anon_sym_delete] = ACTIONS(3304),
    [anon_sym_PLUS_PLUS] = ACTIONS(3304),
    [anon_sym_DASH_DASH] = ACTIONS(3304),
    [anon_sym_DQUOTE] = ACTIONS(3304),
    [anon_sym_SQUOTE] = ACTIONS(3304),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3304),
    [sym_number] = ACTIONS(3304),
    [sym_private_property_identifier] = ACTIONS(3304),
    [sym_this] = ACTIONS(3304),
    [sym_super] = ACTIONS(3304),
    [sym_true] = ACTIONS(3304),
    [sym_false] = ACTIONS(3304),
    [sym_null] = ACTIONS(3304),
    [sym_undefined] = ACTIONS(3304),
    [anon_sym_AT] = ACTIONS(3304),
    [anon_sym_static] = ACTIONS(3304),
    [anon_sym_readonly] = ACTIONS(3304),
    [anon_sym_get] = ACTIONS(3304),
    [anon_sym_set] = ACTIONS(3304),
    [anon_sym_declare] = ACTIONS(3304),
    [anon_sym_public] = ACTIONS(3304),
    [anon_sym_private] = ACTIONS(3304),
    [anon_sym_protected] = ACTIONS(3304),
    [anon_sym_override] = ACTIONS(3304),
    [anon_sym_module] = ACTIONS(3304),
    [anon_sym_any] = ACTIONS(3304),
    [anon_sym_number] = ACTIONS(3304),
    [anon_sym_boolean] = ACTIONS(3304),
    [anon_sym_string] = ACTIONS(3304),
    [anon_sym_symbol] = ACTIONS(3304),
    [anon_sym_object] = ACTIONS(3304),
    [anon_sym_abstract] = ACTIONS(3304),
    [anon_sym_interface] = ACTIONS(3304),
    [anon_sym_enum] = ACTIONS(3304),
    [sym_html_comment] = ACTIONS(5),
  },
  [1442] = {
    [sym_comment] = STATE(1442),
    [ts_builtin_sym_end] = ACTIONS(3468),
    [sym_identifier] = ACTIONS(3280),
    [anon_sym_export] = ACTIONS(3280),
    [anon_sym_type] = ACTIONS(3280),
    [anon_sym_namespace] = ACTIONS(3280),
    [anon_sym_LBRACE] = ACTIONS(3280),
    [anon_sym_RBRACE] = ACTIONS(3280),
    [anon_sym_typeof] = ACTIONS(3280),
    [anon_sym_import] = ACTIONS(3280),
    [anon_sym_var] = ACTIONS(3280),
    [anon_sym_let] = ACTIONS(3280),
    [anon_sym_const] = ACTIONS(3280),
    [anon_sym_BANG] = ACTIONS(3280),
    [anon_sym_else] = ACTIONS(3280),
    [anon_sym_if] = ACTIONS(3280),
    [anon_sym_switch] = ACTIONS(3280),
    [anon_sym_for] = ACTIONS(3280),
    [anon_sym_LPAREN] = ACTIONS(3280),
    [anon_sym_await] = ACTIONS(3280),
    [anon_sym_while] = ACTIONS(3280),
    [anon_sym_do] = ACTIONS(3280),
    [anon_sym_try] = ACTIONS(3280),
    [anon_sym_with] = ACTIONS(3280),
    [anon_sym_break] = ACTIONS(3280),
    [anon_sym_continue] = ACTIONS(3280),
    [anon_sym_debugger] = ACTIONS(3280),
    [anon_sym_return] = ACTIONS(3280),
    [anon_sym_throw] = ACTIONS(3280),
    [anon_sym_SEMI] = ACTIONS(3280),
    [anon_sym_yield] = ACTIONS(3280),
    [anon_sym_LBRACK] = ACTIONS(3280),
    [anon_sym_LTtemplate_GT] = ACTIONS(3280),
    [anon_sym_class] = ACTIONS(3280),
    [anon_sym_async] = ACTIONS(3280),
    [anon_sym_function] = ACTIONS(3280),
    [anon_sym_new] = ACTIONS(3280),
    [anon_sym_using] = ACTIONS(3280),
    [anon_sym_PLUS] = ACTIONS(3280),
    [anon_sym_DASH] = ACTIONS(3280),
    [anon_sym_SLASH] = ACTIONS(3280),
    [anon_sym_LT] = ACTIONS(3280),
    [anon_sym_TILDE] = ACTIONS(3280),
    [anon_sym_void] = ACTIONS(3280),
    [anon_sym_delete] = ACTIONS(3280),
    [anon_sym_PLUS_PLUS] = ACTIONS(3280),
    [anon_sym_DASH_DASH] = ACTIONS(3280),
    [anon_sym_DQUOTE] = ACTIONS(3280),
    [anon_sym_SQUOTE] = ACTIONS(3280),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3280),
    [sym_number] = ACTIONS(3280),
    [sym_private_property_identifier] = ACTIONS(3280),
    [sym_this] = ACTIONS(3280),
    [sym_super] = ACTIONS(3280),
    [sym_true] = ACTIONS(3280),
    [sym_false] = ACTIONS(3280),
    [sym_null] = ACTIONS(3280),
    [sym_undefined] = ACTIONS(3280),
    [anon_sym_AT] = ACTIONS(3280),
    [anon_sym_static] = ACTIONS(3280),
    [anon_sym_readonly] = ACTIONS(3280),
    [anon_sym_get] = ACTIONS(3280),
    [anon_sym_set] = ACTIONS(3280),
    [anon_sym_declare] = ACTIONS(3280),
    [anon_sym_public] = ACTIONS(3280),
    [anon_sym_private] = ACTIONS(3280),
    [anon_sym_protected] = ACTIONS(3280),
    [anon_sym_override] = ACTIONS(3280),
    [anon_sym_module] = ACTIONS(3280),
    [anon_sym_any] = ACTIONS(3280),
    [anon_sym_number] = ACTIONS(3280),
    [anon_sym_boolean] = ACTIONS(3280),
    [anon_sym_string] = ACTIONS(3280),
    [anon_sym_symbol] = ACTIONS(3280),
    [anon_sym_object] = ACTIONS(3280),
    [anon_sym_abstract] = ACTIONS(3280),
    [anon_sym_interface] = ACTIONS(3280),
    [anon_sym_enum] = ACTIONS(3280),
    [sym_html_comment] = ACTIONS(5),
  },
  [1443] = {
    [sym_comment] = STATE(1443),
    [sym_identifier] = ACTIONS(3296),
    [anon_sym_export] = ACTIONS(3296),
    [anon_sym_default] = ACTIONS(3296),
    [anon_sym_type] = ACTIONS(3296),
    [anon_sym_namespace] = ACTIONS(3296),
    [anon_sym_LBRACE] = ACTIONS(3296),
    [anon_sym_RBRACE] = ACTIONS(3296),
    [anon_sym_typeof] = ACTIONS(3296),
    [anon_sym_import] = ACTIONS(3296),
    [anon_sym_var] = ACTIONS(3296),
    [anon_sym_let] = ACTIONS(3296),
    [anon_sym_const] = ACTIONS(3296),
    [anon_sym_BANG] = ACTIONS(3296),
    [anon_sym_if] = ACTIONS(3296),
    [anon_sym_switch] = ACTIONS(3296),
    [anon_sym_for] = ACTIONS(3296),
    [anon_sym_LPAREN] = ACTIONS(3296),
    [anon_sym_await] = ACTIONS(3296),
    [anon_sym_while] = ACTIONS(3296),
    [anon_sym_do] = ACTIONS(3296),
    [anon_sym_try] = ACTIONS(3296),
    [anon_sym_with] = ACTIONS(3296),
    [anon_sym_break] = ACTIONS(3296),
    [anon_sym_continue] = ACTIONS(3296),
    [anon_sym_debugger] = ACTIONS(3296),
    [anon_sym_return] = ACTIONS(3296),
    [anon_sym_throw] = ACTIONS(3296),
    [anon_sym_SEMI] = ACTIONS(3296),
    [anon_sym_case] = ACTIONS(3296),
    [anon_sym_yield] = ACTIONS(3296),
    [anon_sym_LBRACK] = ACTIONS(3296),
    [anon_sym_LTtemplate_GT] = ACTIONS(3296),
    [anon_sym_class] = ACTIONS(3296),
    [anon_sym_async] = ACTIONS(3296),
    [anon_sym_function] = ACTIONS(3296),
    [anon_sym_new] = ACTIONS(3296),
    [anon_sym_using] = ACTIONS(3296),
    [anon_sym_PLUS] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3296),
    [anon_sym_SLASH] = ACTIONS(3296),
    [anon_sym_LT] = ACTIONS(3296),
    [anon_sym_TILDE] = ACTIONS(3296),
    [anon_sym_void] = ACTIONS(3296),
    [anon_sym_delete] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_DQUOTE] = ACTIONS(3296),
    [anon_sym_SQUOTE] = ACTIONS(3296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3296),
    [sym_number] = ACTIONS(3296),
    [sym_private_property_identifier] = ACTIONS(3296),
    [sym_this] = ACTIONS(3296),
    [sym_super] = ACTIONS(3296),
    [sym_true] = ACTIONS(3296),
    [sym_false] = ACTIONS(3296),
    [sym_null] = ACTIONS(3296),
    [sym_undefined] = ACTIONS(3296),
    [anon_sym_AT] = ACTIONS(3296),
    [anon_sym_static] = ACTIONS(3296),
    [anon_sym_readonly] = ACTIONS(3296),
    [anon_sym_get] = ACTIONS(3296),
    [anon_sym_set] = ACTIONS(3296),
    [anon_sym_declare] = ACTIONS(3296),
    [anon_sym_public] = ACTIONS(3296),
    [anon_sym_private] = ACTIONS(3296),
    [anon_sym_protected] = ACTIONS(3296),
    [anon_sym_override] = ACTIONS(3296),
    [anon_sym_module] = ACTIONS(3296),
    [anon_sym_any] = ACTIONS(3296),
    [anon_sym_number] = ACTIONS(3296),
    [anon_sym_boolean] = ACTIONS(3296),
    [anon_sym_string] = ACTIONS(3296),
    [anon_sym_symbol] = ACTIONS(3296),
    [anon_sym_object] = ACTIONS(3296),
    [anon_sym_abstract] = ACTIONS(3296),
    [anon_sym_interface] = ACTIONS(3296),
    [anon_sym_enum] = ACTIONS(3296),
    [sym_html_comment] = ACTIONS(5),
  },
  [1444] = {
    [sym_comment] = STATE(1444),
    [ts_builtin_sym_end] = ACTIONS(3474),
    [sym_identifier] = ACTIONS(3312),
    [anon_sym_export] = ACTIONS(3312),
    [anon_sym_type] = ACTIONS(3312),
    [anon_sym_namespace] = ACTIONS(3312),
    [anon_sym_LBRACE] = ACTIONS(3312),
    [anon_sym_RBRACE] = ACTIONS(3312),
    [anon_sym_typeof] = ACTIONS(3312),
    [anon_sym_import] = ACTIONS(3312),
    [anon_sym_var] = ACTIONS(3312),
    [anon_sym_let] = ACTIONS(3312),
    [anon_sym_const] = ACTIONS(3312),
    [anon_sym_BANG] = ACTIONS(3312),
    [anon_sym_else] = ACTIONS(3312),
    [anon_sym_if] = ACTIONS(3312),
    [anon_sym_switch] = ACTIONS(3312),
    [anon_sym_for] = ACTIONS(3312),
    [anon_sym_LPAREN] = ACTIONS(3312),
    [anon_sym_await] = ACTIONS(3312),
    [anon_sym_while] = ACTIONS(3312),
    [anon_sym_do] = ACTIONS(3312),
    [anon_sym_try] = ACTIONS(3312),
    [anon_sym_with] = ACTIONS(3312),
    [anon_sym_break] = ACTIONS(3312),
    [anon_sym_continue] = ACTIONS(3312),
    [anon_sym_debugger] = ACTIONS(3312),
    [anon_sym_return] = ACTIONS(3312),
    [anon_sym_throw] = ACTIONS(3312),
    [anon_sym_SEMI] = ACTIONS(3312),
    [anon_sym_yield] = ACTIONS(3312),
    [anon_sym_LBRACK] = ACTIONS(3312),
    [anon_sym_LTtemplate_GT] = ACTIONS(3312),
    [anon_sym_class] = ACTIONS(3312),
    [anon_sym_async] = ACTIONS(3312),
    [anon_sym_function] = ACTIONS(3312),
    [anon_sym_new] = ACTIONS(3312),
    [anon_sym_using] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_SLASH] = ACTIONS(3312),
    [anon_sym_LT] = ACTIONS(3312),
    [anon_sym_TILDE] = ACTIONS(3312),
    [anon_sym_void] = ACTIONS(3312),
    [anon_sym_delete] = ACTIONS(3312),
    [anon_sym_PLUS_PLUS] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(3312),
    [anon_sym_DQUOTE] = ACTIONS(3312),
    [anon_sym_SQUOTE] = ACTIONS(3312),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3312),
    [sym_number] = ACTIONS(3312),
    [sym_private_property_identifier] = ACTIONS(3312),
    [sym_this] = ACTIONS(3312),
    [sym_super] = ACTIONS(3312),
    [sym_true] = ACTIONS(3312),
    [sym_false] = ACTIONS(3312),
    [sym_null] = ACTIONS(3312),
    [sym_undefined] = ACTIONS(3312),
    [anon_sym_AT] = ACTIONS(3312),
    [anon_sym_static] = ACTIONS(3312),
    [anon_sym_readonly] = ACTIONS(3312),
    [anon_sym_get] = ACTIONS(3312),
    [anon_sym_set] = ACTIONS(3312),
    [anon_sym_declare] = ACTIONS(3312),
    [anon_sym_public] = ACTIONS(3312),
    [anon_sym_private] = ACTIONS(3312),
    [anon_sym_protected] = ACTIONS(3312),
    [anon_sym_override] = ACTIONS(3312),
    [anon_sym_module] = ACTIONS(3312),
    [anon_sym_any] = ACTIONS(3312),
    [anon_sym_number] = ACTIONS(3312),
    [anon_sym_boolean] = ACTIONS(3312),
    [anon_sym_string] = ACTIONS(3312),
    [anon_sym_symbol] = ACTIONS(3312),
    [anon_sym_object] = ACTIONS(3312),
    [anon_sym_abstract] = ACTIONS(3312),
    [anon_sym_interface] = ACTIONS(3312),
    [anon_sym_enum] = ACTIONS(3312),
    [sym_html_comment] = ACTIONS(5),
  },
  [1445] = {
    [sym_comment] = STATE(1445),
    [ts_builtin_sym_end] = ACTIONS(3476),
    [sym_identifier] = ACTIONS(3198),
    [anon_sym_export] = ACTIONS(3198),
    [anon_sym_type] = ACTIONS(3198),
    [anon_sym_namespace] = ACTIONS(3198),
    [anon_sym_LBRACE] = ACTIONS(3198),
    [anon_sym_RBRACE] = ACTIONS(3198),
    [anon_sym_typeof] = ACTIONS(3198),
    [anon_sym_import] = ACTIONS(3198),
    [anon_sym_var] = ACTIONS(3198),
    [anon_sym_let] = ACTIONS(3198),
    [anon_sym_const] = ACTIONS(3198),
    [anon_sym_BANG] = ACTIONS(3198),
    [anon_sym_else] = ACTIONS(3198),
    [anon_sym_if] = ACTIONS(3198),
    [anon_sym_switch] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(3198),
    [anon_sym_await] = ACTIONS(3198),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_do] = ACTIONS(3198),
    [anon_sym_try] = ACTIONS(3198),
    [anon_sym_with] = ACTIONS(3198),
    [anon_sym_break] = ACTIONS(3198),
    [anon_sym_continue] = ACTIONS(3198),
    [anon_sym_debugger] = ACTIONS(3198),
    [anon_sym_return] = ACTIONS(3198),
    [anon_sym_throw] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3198),
    [anon_sym_yield] = ACTIONS(3198),
    [anon_sym_LBRACK] = ACTIONS(3198),
    [anon_sym_LTtemplate_GT] = ACTIONS(3198),
    [anon_sym_class] = ACTIONS(3198),
    [anon_sym_async] = ACTIONS(3198),
    [anon_sym_function] = ACTIONS(3198),
    [anon_sym_new] = ACTIONS(3198),
    [anon_sym_using] = ACTIONS(3198),
    [anon_sym_PLUS] = ACTIONS(3198),
    [anon_sym_DASH] = ACTIONS(3198),
    [anon_sym_SLASH] = ACTIONS(3198),
    [anon_sym_LT] = ACTIONS(3198),
    [anon_sym_TILDE] = ACTIONS(3198),
    [anon_sym_void] = ACTIONS(3198),
    [anon_sym_delete] = ACTIONS(3198),
    [anon_sym_PLUS_PLUS] = ACTIONS(3198),
    [anon_sym_DASH_DASH] = ACTIONS(3198),
    [anon_sym_DQUOTE] = ACTIONS(3198),
    [anon_sym_SQUOTE] = ACTIONS(3198),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3198),
    [sym_number] = ACTIONS(3198),
    [sym_private_property_identifier] = ACTIONS(3198),
    [sym_this] = ACTIONS(3198),
    [sym_super] = ACTIONS(3198),
    [sym_true] = ACTIONS(3198),
    [sym_false] = ACTIONS(3198),
    [sym_null] = ACTIONS(3198),
    [sym_undefined] = ACTIONS(3198),
    [anon_sym_AT] = ACTIONS(3198),
    [anon_sym_static] = ACTIONS(3198),
    [anon_sym_readonly] = ACTIONS(3198),
    [anon_sym_get] = ACTIONS(3198),
    [anon_sym_set] = ACTIONS(3198),
    [anon_sym_declare] = ACTIONS(3198),
    [anon_sym_public] = ACTIONS(3198),
    [anon_sym_private] = ACTIONS(3198),
    [anon_sym_protected] = ACTIONS(3198),
    [anon_sym_override] = ACTIONS(3198),
    [anon_sym_module] = ACTIONS(3198),
    [anon_sym_any] = ACTIONS(3198),
    [anon_sym_number] = ACTIONS(3198),
    [anon_sym_boolean] = ACTIONS(3198),
    [anon_sym_string] = ACTIONS(3198),
    [anon_sym_symbol] = ACTIONS(3198),
    [anon_sym_object] = ACTIONS(3198),
    [anon_sym_abstract] = ACTIONS(3198),
    [anon_sym_interface] = ACTIONS(3198),
    [anon_sym_enum] = ACTIONS(3198),
    [sym_html_comment] = ACTIONS(5),
  },
  [1446] = {
    [sym_comment] = STATE(1446),
    [sym_identifier] = ACTIONS(3294),
    [anon_sym_export] = ACTIONS(3294),
    [anon_sym_default] = ACTIONS(3294),
    [anon_sym_type] = ACTIONS(3294),
    [anon_sym_namespace] = ACTIONS(3294),
    [anon_sym_LBRACE] = ACTIONS(3294),
    [anon_sym_RBRACE] = ACTIONS(3294),
    [anon_sym_typeof] = ACTIONS(3294),
    [anon_sym_import] = ACTIONS(3294),
    [anon_sym_var] = ACTIONS(3294),
    [anon_sym_let] = ACTIONS(3294),
    [anon_sym_const] = ACTIONS(3294),
    [anon_sym_BANG] = ACTIONS(3294),
    [anon_sym_if] = ACTIONS(3294),
    [anon_sym_switch] = ACTIONS(3294),
    [anon_sym_for] = ACTIONS(3294),
    [anon_sym_LPAREN] = ACTIONS(3294),
    [anon_sym_await] = ACTIONS(3294),
    [anon_sym_while] = ACTIONS(3294),
    [anon_sym_do] = ACTIONS(3294),
    [anon_sym_try] = ACTIONS(3294),
    [anon_sym_with] = ACTIONS(3294),
    [anon_sym_break] = ACTIONS(3294),
    [anon_sym_continue] = ACTIONS(3294),
    [anon_sym_debugger] = ACTIONS(3294),
    [anon_sym_return] = ACTIONS(3294),
    [anon_sym_throw] = ACTIONS(3294),
    [anon_sym_SEMI] = ACTIONS(3294),
    [anon_sym_case] = ACTIONS(3294),
    [anon_sym_yield] = ACTIONS(3294),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [anon_sym_LTtemplate_GT] = ACTIONS(3294),
    [anon_sym_class] = ACTIONS(3294),
    [anon_sym_async] = ACTIONS(3294),
    [anon_sym_function] = ACTIONS(3294),
    [anon_sym_new] = ACTIONS(3294),
    [anon_sym_using] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_SLASH] = ACTIONS(3294),
    [anon_sym_LT] = ACTIONS(3294),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_void] = ACTIONS(3294),
    [anon_sym_delete] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_DQUOTE] = ACTIONS(3294),
    [anon_sym_SQUOTE] = ACTIONS(3294),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3294),
    [sym_number] = ACTIONS(3294),
    [sym_private_property_identifier] = ACTIONS(3294),
    [sym_this] = ACTIONS(3294),
    [sym_super] = ACTIONS(3294),
    [sym_true] = ACTIONS(3294),
    [sym_false] = ACTIONS(3294),
    [sym_null] = ACTIONS(3294),
    [sym_undefined] = ACTIONS(3294),
    [anon_sym_AT] = ACTIONS(3294),
    [anon_sym_static] = ACTIONS(3294),
    [anon_sym_readonly] = ACTIONS(3294),
    [anon_sym_get] = ACTIONS(3294),
    [anon_sym_set] = ACTIONS(3294),
    [anon_sym_declare] = ACTIONS(3294),
    [anon_sym_public] = ACTIONS(3294),
    [anon_sym_private] = ACTIONS(3294),
    [anon_sym_protected] = ACTIONS(3294),
    [anon_sym_override] = ACTIONS(3294),
    [anon_sym_module] = ACTIONS(3294),
    [anon_sym_any] = ACTIONS(3294),
    [anon_sym_number] = ACTIONS(3294),
    [anon_sym_boolean] = ACTIONS(3294),
    [anon_sym_string] = ACTIONS(3294),
    [anon_sym_symbol] = ACTIONS(3294),
    [anon_sym_object] = ACTIONS(3294),
    [anon_sym_abstract] = ACTIONS(3294),
    [anon_sym_interface] = ACTIONS(3294),
    [anon_sym_enum] = ACTIONS(3294),
    [sym_html_comment] = ACTIONS(5),
  },
  [1447] = {
    [sym_comment] = STATE(1447),
    [ts_builtin_sym_end] = ACTIONS(3478),
    [sym_identifier] = ACTIONS(3196),
    [anon_sym_export] = ACTIONS(3196),
    [anon_sym_type] = ACTIONS(3196),
    [anon_sym_namespace] = ACTIONS(3196),
    [anon_sym_LBRACE] = ACTIONS(3196),
    [anon_sym_RBRACE] = ACTIONS(3196),
    [anon_sym_typeof] = ACTIONS(3196),
    [anon_sym_import] = ACTIONS(3196),
    [anon_sym_var] = ACTIONS(3196),
    [anon_sym_let] = ACTIONS(3196),
    [anon_sym_const] = ACTIONS(3196),
    [anon_sym_BANG] = ACTIONS(3196),
    [anon_sym_else] = ACTIONS(3196),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_switch] = ACTIONS(3196),
    [anon_sym_for] = ACTIONS(3196),
    [anon_sym_LPAREN] = ACTIONS(3196),
    [anon_sym_await] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3196),
    [anon_sym_do] = ACTIONS(3196),
    [anon_sym_try] = ACTIONS(3196),
    [anon_sym_with] = ACTIONS(3196),
    [anon_sym_break] = ACTIONS(3196),
    [anon_sym_continue] = ACTIONS(3196),
    [anon_sym_debugger] = ACTIONS(3196),
    [anon_sym_return] = ACTIONS(3196),
    [anon_sym_throw] = ACTIONS(3196),
    [anon_sym_SEMI] = ACTIONS(3196),
    [anon_sym_yield] = ACTIONS(3196),
    [anon_sym_LBRACK] = ACTIONS(3196),
    [anon_sym_LTtemplate_GT] = ACTIONS(3196),
    [anon_sym_class] = ACTIONS(3196),
    [anon_sym_async] = ACTIONS(3196),
    [anon_sym_function] = ACTIONS(3196),
    [anon_sym_new] = ACTIONS(3196),
    [anon_sym_using] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3196),
    [anon_sym_DASH] = ACTIONS(3196),
    [anon_sym_SLASH] = ACTIONS(3196),
    [anon_sym_LT] = ACTIONS(3196),
    [anon_sym_TILDE] = ACTIONS(3196),
    [anon_sym_void] = ACTIONS(3196),
    [anon_sym_delete] = ACTIONS(3196),
    [anon_sym_PLUS_PLUS] = ACTIONS(3196),
    [anon_sym_DASH_DASH] = ACTIONS(3196),
    [anon_sym_DQUOTE] = ACTIONS(3196),
    [anon_sym_SQUOTE] = ACTIONS(3196),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3196),
    [sym_number] = ACTIONS(3196),
    [sym_private_property_identifier] = ACTIONS(3196),
    [sym_this] = ACTIONS(3196),
    [sym_super] = ACTIONS(3196),
    [sym_true] = ACTIONS(3196),
    [sym_false] = ACTIONS(3196),
    [sym_null] = ACTIONS(3196),
    [sym_undefined] = ACTIONS(3196),
    [anon_sym_AT] = ACTIONS(3196),
    [anon_sym_static] = ACTIONS(3196),
    [anon_sym_readonly] = ACTIONS(3196),
    [anon_sym_get] = ACTIONS(3196),
    [anon_sym_set] = ACTIONS(3196),
    [anon_sym_declare] = ACTIONS(3196),
    [anon_sym_public] = ACTIONS(3196),
    [anon_sym_private] = ACTIONS(3196),
    [anon_sym_protected] = ACTIONS(3196),
    [anon_sym_override] = ACTIONS(3196),
    [anon_sym_module] = ACTIONS(3196),
    [anon_sym_any] = ACTIONS(3196),
    [anon_sym_number] = ACTIONS(3196),
    [anon_sym_boolean] = ACTIONS(3196),
    [anon_sym_string] = ACTIONS(3196),
    [anon_sym_symbol] = ACTIONS(3196),
    [anon_sym_object] = ACTIONS(3196),
    [anon_sym_abstract] = ACTIONS(3196),
    [anon_sym_interface] = ACTIONS(3196),
    [anon_sym_enum] = ACTIONS(3196),
    [sym_html_comment] = ACTIONS(5),
  },
  [1448] = {
    [sym_comment] = STATE(1448),
    [sym_identifier] = ACTIONS(3292),
    [anon_sym_export] = ACTIONS(3292),
    [anon_sym_default] = ACTIONS(3292),
    [anon_sym_type] = ACTIONS(3292),
    [anon_sym_namespace] = ACTIONS(3292),
    [anon_sym_LBRACE] = ACTIONS(3292),
    [anon_sym_RBRACE] = ACTIONS(3292),
    [anon_sym_typeof] = ACTIONS(3292),
    [anon_sym_import] = ACTIONS(3292),
    [anon_sym_var] = ACTIONS(3292),
    [anon_sym_let] = ACTIONS(3292),
    [anon_sym_const] = ACTIONS(3292),
    [anon_sym_BANG] = ACTIONS(3292),
    [anon_sym_if] = ACTIONS(3292),
    [anon_sym_switch] = ACTIONS(3292),
    [anon_sym_for] = ACTIONS(3292),
    [anon_sym_LPAREN] = ACTIONS(3292),
    [anon_sym_await] = ACTIONS(3292),
    [anon_sym_while] = ACTIONS(3292),
    [anon_sym_do] = ACTIONS(3292),
    [anon_sym_try] = ACTIONS(3292),
    [anon_sym_with] = ACTIONS(3292),
    [anon_sym_break] = ACTIONS(3292),
    [anon_sym_continue] = ACTIONS(3292),
    [anon_sym_debugger] = ACTIONS(3292),
    [anon_sym_return] = ACTIONS(3292),
    [anon_sym_throw] = ACTIONS(3292),
    [anon_sym_SEMI] = ACTIONS(3292),
    [anon_sym_case] = ACTIONS(3292),
    [anon_sym_yield] = ACTIONS(3292),
    [anon_sym_LBRACK] = ACTIONS(3292),
    [anon_sym_LTtemplate_GT] = ACTIONS(3292),
    [anon_sym_class] = ACTIONS(3292),
    [anon_sym_async] = ACTIONS(3292),
    [anon_sym_function] = ACTIONS(3292),
    [anon_sym_new] = ACTIONS(3292),
    [anon_sym_using] = ACTIONS(3292),
    [anon_sym_PLUS] = ACTIONS(3292),
    [anon_sym_DASH] = ACTIONS(3292),
    [anon_sym_SLASH] = ACTIONS(3292),
    [anon_sym_LT] = ACTIONS(3292),
    [anon_sym_TILDE] = ACTIONS(3292),
    [anon_sym_void] = ACTIONS(3292),
    [anon_sym_delete] = ACTIONS(3292),
    [anon_sym_PLUS_PLUS] = ACTIONS(3292),
    [anon_sym_DASH_DASH] = ACTIONS(3292),
    [anon_sym_DQUOTE] = ACTIONS(3292),
    [anon_sym_SQUOTE] = ACTIONS(3292),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3292),
    [sym_number] = ACTIONS(3292),
    [sym_private_property_identifier] = ACTIONS(3292),
    [sym_this] = ACTIONS(3292),
    [sym_super] = ACTIONS(3292),
    [sym_true] = ACTIONS(3292),
    [sym_false] = ACTIONS(3292),
    [sym_null] = ACTIONS(3292),
    [sym_undefined] = ACTIONS(3292),
    [anon_sym_AT] = ACTIONS(3292),
    [anon_sym_static] = ACTIONS(3292),
    [anon_sym_readonly] = ACTIONS(3292),
    [anon_sym_get] = ACTIONS(3292),
    [anon_sym_set] = ACTIONS(3292),
    [anon_sym_declare] = ACTIONS(3292),
    [anon_sym_public] = ACTIONS(3292),
    [anon_sym_private] = ACTIONS(3292),
    [anon_sym_protected] = ACTIONS(3292),
    [anon_sym_override] = ACTIONS(3292),
    [anon_sym_module] = ACTIONS(3292),
    [anon_sym_any] = ACTIONS(3292),
    [anon_sym_number] = ACTIONS(3292),
    [anon_sym_boolean] = ACTIONS(3292),
    [anon_sym_string] = ACTIONS(3292),
    [anon_sym_symbol] = ACTIONS(3292),
    [anon_sym_object] = ACTIONS(3292),
    [anon_sym_abstract] = ACTIONS(3292),
    [anon_sym_interface] = ACTIONS(3292),
    [anon_sym_enum] = ACTIONS(3292),
    [sym_html_comment] = ACTIONS(5),
  },
  [1449] = {
    [sym_comment] = STATE(1449),
    [ts_builtin_sym_end] = ACTIONS(3480),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_export] = ACTIONS(3314),
    [anon_sym_type] = ACTIONS(3314),
    [anon_sym_namespace] = ACTIONS(3314),
    [anon_sym_LBRACE] = ACTIONS(3314),
    [anon_sym_RBRACE] = ACTIONS(3314),
    [anon_sym_typeof] = ACTIONS(3314),
    [anon_sym_import] = ACTIONS(3314),
    [anon_sym_var] = ACTIONS(3314),
    [anon_sym_let] = ACTIONS(3314),
    [anon_sym_const] = ACTIONS(3314),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_else] = ACTIONS(3314),
    [anon_sym_if] = ACTIONS(3314),
    [anon_sym_switch] = ACTIONS(3314),
    [anon_sym_for] = ACTIONS(3314),
    [anon_sym_LPAREN] = ACTIONS(3314),
    [anon_sym_await] = ACTIONS(3314),
    [anon_sym_while] = ACTIONS(3314),
    [anon_sym_do] = ACTIONS(3314),
    [anon_sym_try] = ACTIONS(3314),
    [anon_sym_with] = ACTIONS(3314),
    [anon_sym_break] = ACTIONS(3314),
    [anon_sym_continue] = ACTIONS(3314),
    [anon_sym_debugger] = ACTIONS(3314),
    [anon_sym_return] = ACTIONS(3314),
    [anon_sym_throw] = ACTIONS(3314),
    [anon_sym_SEMI] = ACTIONS(3314),
    [anon_sym_yield] = ACTIONS(3314),
    [anon_sym_LBRACK] = ACTIONS(3314),
    [anon_sym_LTtemplate_GT] = ACTIONS(3314),
    [anon_sym_class] = ACTIONS(3314),
    [anon_sym_async] = ACTIONS(3314),
    [anon_sym_function] = ACTIONS(3314),
    [anon_sym_new] = ACTIONS(3314),
    [anon_sym_using] = ACTIONS(3314),
    [anon_sym_PLUS] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3314),
    [anon_sym_SLASH] = ACTIONS(3314),
    [anon_sym_LT] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_void] = ACTIONS(3314),
    [anon_sym_delete] = ACTIONS(3314),
    [anon_sym_PLUS_PLUS] = ACTIONS(3314),
    [anon_sym_DASH_DASH] = ACTIONS(3314),
    [anon_sym_DQUOTE] = ACTIONS(3314),
    [anon_sym_SQUOTE] = ACTIONS(3314),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3314),
    [sym_number] = ACTIONS(3314),
    [sym_private_property_identifier] = ACTIONS(3314),
    [sym_this] = ACTIONS(3314),
    [sym_super] = ACTIONS(3314),
    [sym_true] = ACTIONS(3314),
    [sym_false] = ACTIONS(3314),
    [sym_null] = ACTIONS(3314),
    [sym_undefined] = ACTIONS(3314),
    [anon_sym_AT] = ACTIONS(3314),
    [anon_sym_static] = ACTIONS(3314),
    [anon_sym_readonly] = ACTIONS(3314),
    [anon_sym_get] = ACTIONS(3314),
    [anon_sym_set] = ACTIONS(3314),
    [anon_sym_declare] = ACTIONS(3314),
    [anon_sym_public] = ACTIONS(3314),
    [anon_sym_private] = ACTIONS(3314),
    [anon_sym_protected] = ACTIONS(3314),
    [anon_sym_override] = ACTIONS(3314),
    [anon_sym_module] = ACTIONS(3314),
    [anon_sym_any] = ACTIONS(3314),
    [anon_sym_number] = ACTIONS(3314),
    [anon_sym_boolean] = ACTIONS(3314),
    [anon_sym_string] = ACTIONS(3314),
    [anon_sym_symbol] = ACTIONS(3314),
    [anon_sym_object] = ACTIONS(3314),
    [anon_sym_abstract] = ACTIONS(3314),
    [anon_sym_interface] = ACTIONS(3314),
    [anon_sym_enum] = ACTIONS(3314),
    [sym_html_comment] = ACTIONS(5),
  },
  [1450] = {
    [sym_comment] = STATE(1450),
    [ts_builtin_sym_end] = ACTIONS(3482),
    [sym_identifier] = ACTIONS(3194),
    [anon_sym_export] = ACTIONS(3194),
    [anon_sym_type] = ACTIONS(3194),
    [anon_sym_namespace] = ACTIONS(3194),
    [anon_sym_LBRACE] = ACTIONS(3194),
    [anon_sym_RBRACE] = ACTIONS(3194),
    [anon_sym_typeof] = ACTIONS(3194),
    [anon_sym_import] = ACTIONS(3194),
    [anon_sym_var] = ACTIONS(3194),
    [anon_sym_let] = ACTIONS(3194),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_BANG] = ACTIONS(3194),
    [anon_sym_else] = ACTIONS(3194),
    [anon_sym_if] = ACTIONS(3194),
    [anon_sym_switch] = ACTIONS(3194),
    [anon_sym_for] = ACTIONS(3194),
    [anon_sym_LPAREN] = ACTIONS(3194),
    [anon_sym_await] = ACTIONS(3194),
    [anon_sym_while] = ACTIONS(3194),
    [anon_sym_do] = ACTIONS(3194),
    [anon_sym_try] = ACTIONS(3194),
    [anon_sym_with] = ACTIONS(3194),
    [anon_sym_break] = ACTIONS(3194),
    [anon_sym_continue] = ACTIONS(3194),
    [anon_sym_debugger] = ACTIONS(3194),
    [anon_sym_return] = ACTIONS(3194),
    [anon_sym_throw] = ACTIONS(3194),
    [anon_sym_SEMI] = ACTIONS(3194),
    [anon_sym_yield] = ACTIONS(3194),
    [anon_sym_LBRACK] = ACTIONS(3194),
    [anon_sym_LTtemplate_GT] = ACTIONS(3194),
    [anon_sym_class] = ACTIONS(3194),
    [anon_sym_async] = ACTIONS(3194),
    [anon_sym_function] = ACTIONS(3194),
    [anon_sym_new] = ACTIONS(3194),
    [anon_sym_using] = ACTIONS(3194),
    [anon_sym_PLUS] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3194),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_LT] = ACTIONS(3194),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_void] = ACTIONS(3194),
    [anon_sym_delete] = ACTIONS(3194),
    [anon_sym_PLUS_PLUS] = ACTIONS(3194),
    [anon_sym_DASH_DASH] = ACTIONS(3194),
    [anon_sym_DQUOTE] = ACTIONS(3194),
    [anon_sym_SQUOTE] = ACTIONS(3194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3194),
    [sym_number] = ACTIONS(3194),
    [sym_private_property_identifier] = ACTIONS(3194),
    [sym_this] = ACTIONS(3194),
    [sym_super] = ACTIONS(3194),
    [sym_true] = ACTIONS(3194),
    [sym_false] = ACTIONS(3194),
    [sym_null] = ACTIONS(3194),
    [sym_undefined] = ACTIONS(3194),
    [anon_sym_AT] = ACTIONS(3194),
    [anon_sym_static] = ACTIONS(3194),
    [anon_sym_readonly] = ACTIONS(3194),
    [anon_sym_get] = ACTIONS(3194),
    [anon_sym_set] = ACTIONS(3194),
    [anon_sym_declare] = ACTIONS(3194),
    [anon_sym_public] = ACTIONS(3194),
    [anon_sym_private] = ACTIONS(3194),
    [anon_sym_protected] = ACTIONS(3194),
    [anon_sym_override] = ACTIONS(3194),
    [anon_sym_module] = ACTIONS(3194),
    [anon_sym_any] = ACTIONS(3194),
    [anon_sym_number] = ACTIONS(3194),
    [anon_sym_boolean] = ACTIONS(3194),
    [anon_sym_string] = ACTIONS(3194),
    [anon_sym_symbol] = ACTIONS(3194),
    [anon_sym_object] = ACTIONS(3194),
    [anon_sym_abstract] = ACTIONS(3194),
    [anon_sym_interface] = ACTIONS(3194),
    [anon_sym_enum] = ACTIONS(3194),
    [sym_html_comment] = ACTIONS(5),
  },
  [1451] = {
    [sym_comment] = STATE(1451),
    [sym_identifier] = ACTIONS(2165),
    [anon_sym_export] = ACTIONS(2165),
    [anon_sym_default] = ACTIONS(2165),
    [anon_sym_type] = ACTIONS(2165),
    [anon_sym_namespace] = ACTIONS(2165),
    [anon_sym_LBRACE] = ACTIONS(2165),
    [anon_sym_RBRACE] = ACTIONS(2165),
    [anon_sym_typeof] = ACTIONS(2165),
    [anon_sym_import] = ACTIONS(2165),
    [anon_sym_var] = ACTIONS(2165),
    [anon_sym_let] = ACTIONS(2165),
    [anon_sym_const] = ACTIONS(2165),
    [anon_sym_BANG] = ACTIONS(2165),
    [anon_sym_if] = ACTIONS(2165),
    [anon_sym_switch] = ACTIONS(2165),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_LPAREN] = ACTIONS(2165),
    [anon_sym_await] = ACTIONS(2165),
    [anon_sym_while] = ACTIONS(2165),
    [anon_sym_do] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_with] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2165),
    [anon_sym_continue] = ACTIONS(2165),
    [anon_sym_debugger] = ACTIONS(2165),
    [anon_sym_return] = ACTIONS(2165),
    [anon_sym_throw] = ACTIONS(2165),
    [anon_sym_SEMI] = ACTIONS(2165),
    [anon_sym_case] = ACTIONS(2165),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_LBRACK] = ACTIONS(2165),
    [anon_sym_LTtemplate_GT] = ACTIONS(2165),
    [anon_sym_class] = ACTIONS(2165),
    [anon_sym_async] = ACTIONS(2165),
    [anon_sym_function] = ACTIONS(2165),
    [anon_sym_new] = ACTIONS(2165),
    [anon_sym_using] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(2165),
    [anon_sym_DASH] = ACTIONS(2165),
    [anon_sym_SLASH] = ACTIONS(2165),
    [anon_sym_LT] = ACTIONS(2165),
    [anon_sym_TILDE] = ACTIONS(2165),
    [anon_sym_void] = ACTIONS(2165),
    [anon_sym_delete] = ACTIONS(2165),
    [anon_sym_PLUS_PLUS] = ACTIONS(2165),
    [anon_sym_DASH_DASH] = ACTIONS(2165),
    [anon_sym_DQUOTE] = ACTIONS(2165),
    [anon_sym_SQUOTE] = ACTIONS(2165),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2165),
    [sym_number] = ACTIONS(2165),
    [sym_private_property_identifier] = ACTIONS(2165),
    [sym_this] = ACTIONS(2165),
    [sym_super] = ACTIONS(2165),
    [sym_true] = ACTIONS(2165),
    [sym_false] = ACTIONS(2165),
    [sym_null] = ACTIONS(2165),
    [sym_undefined] = ACTIONS(2165),
    [anon_sym_AT] = ACTIONS(2165),
    [anon_sym_static] = ACTIONS(2165),
    [anon_sym_readonly] = ACTIONS(2165),
    [anon_sym_get] = ACTIONS(2165),
    [anon_sym_set] = ACTIONS(2165),
    [anon_sym_declare] = ACTIONS(2165),
    [anon_sym_public] = ACTIONS(2165),
    [anon_sym_private] = ACTIONS(2165),
    [anon_sym_protected] = ACTIONS(2165),
    [anon_sym_override] = ACTIONS(2165),
    [anon_sym_module] = ACTIONS(2165),
    [anon_sym_any] = ACTIONS(2165),
    [anon_sym_number] = ACTIONS(2165),
    [anon_sym_boolean] = ACTIONS(2165),
    [anon_sym_string] = ACTIONS(2165),
    [anon_sym_symbol] = ACTIONS(2165),
    [anon_sym_object] = ACTIONS(2165),
    [anon_sym_abstract] = ACTIONS(2165),
    [anon_sym_interface] = ACTIONS(2165),
    [anon_sym_enum] = ACTIONS(2165),
    [sym_html_comment] = ACTIONS(5),
  },
  [1452] = {
    [sym_comment] = STATE(1452),
    [ts_builtin_sym_end] = ACTIONS(3482),
    [sym_identifier] = ACTIONS(3194),
    [anon_sym_export] = ACTIONS(3194),
    [anon_sym_type] = ACTIONS(3194),
    [anon_sym_namespace] = ACTIONS(3194),
    [anon_sym_LBRACE] = ACTIONS(3194),
    [anon_sym_RBRACE] = ACTIONS(3194),
    [anon_sym_typeof] = ACTIONS(3194),
    [anon_sym_import] = ACTIONS(3194),
    [anon_sym_var] = ACTIONS(3194),
    [anon_sym_let] = ACTIONS(3194),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_BANG] = ACTIONS(3194),
    [anon_sym_else] = ACTIONS(3194),
    [anon_sym_if] = ACTIONS(3194),
    [anon_sym_switch] = ACTIONS(3194),
    [anon_sym_for] = ACTIONS(3194),
    [anon_sym_LPAREN] = ACTIONS(3194),
    [anon_sym_await] = ACTIONS(3194),
    [anon_sym_while] = ACTIONS(3194),
    [anon_sym_do] = ACTIONS(3194),
    [anon_sym_try] = ACTIONS(3194),
    [anon_sym_with] = ACTIONS(3194),
    [anon_sym_break] = ACTIONS(3194),
    [anon_sym_continue] = ACTIONS(3194),
    [anon_sym_debugger] = ACTIONS(3194),
    [anon_sym_return] = ACTIONS(3194),
    [anon_sym_throw] = ACTIONS(3194),
    [anon_sym_SEMI] = ACTIONS(3194),
    [anon_sym_yield] = ACTIONS(3194),
    [anon_sym_LBRACK] = ACTIONS(3194),
    [anon_sym_LTtemplate_GT] = ACTIONS(3194),
    [anon_sym_class] = ACTIONS(3194),
    [anon_sym_async] = ACTIONS(3194),
    [anon_sym_function] = ACTIONS(3194),
    [anon_sym_new] = ACTIONS(3194),
    [anon_sym_using] = ACTIONS(3194),
    [anon_sym_PLUS] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3194),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_LT] = ACTIONS(3194),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_void] = ACTIONS(3194),
    [anon_sym_delete] = ACTIONS(3194),
    [anon_sym_PLUS_PLUS] = ACTIONS(3194),
    [anon_sym_DASH_DASH] = ACTIONS(3194),
    [anon_sym_DQUOTE] = ACTIONS(3194),
    [anon_sym_SQUOTE] = ACTIONS(3194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3194),
    [sym_number] = ACTIONS(3194),
    [sym_private_property_identifier] = ACTIONS(3194),
    [sym_this] = ACTIONS(3194),
    [sym_super] = ACTIONS(3194),
    [sym_true] = ACTIONS(3194),
    [sym_false] = ACTIONS(3194),
    [sym_null] = ACTIONS(3194),
    [sym_undefined] = ACTIONS(3194),
    [anon_sym_AT] = ACTIONS(3194),
    [anon_sym_static] = ACTIONS(3194),
    [anon_sym_readonly] = ACTIONS(3194),
    [anon_sym_get] = ACTIONS(3194),
    [anon_sym_set] = ACTIONS(3194),
    [anon_sym_declare] = ACTIONS(3194),
    [anon_sym_public] = ACTIONS(3194),
    [anon_sym_private] = ACTIONS(3194),
    [anon_sym_protected] = ACTIONS(3194),
    [anon_sym_override] = ACTIONS(3194),
    [anon_sym_module] = ACTIONS(3194),
    [anon_sym_any] = ACTIONS(3194),
    [anon_sym_number] = ACTIONS(3194),
    [anon_sym_boolean] = ACTIONS(3194),
    [anon_sym_string] = ACTIONS(3194),
    [anon_sym_symbol] = ACTIONS(3194),
    [anon_sym_object] = ACTIONS(3194),
    [anon_sym_abstract] = ACTIONS(3194),
    [anon_sym_interface] = ACTIONS(3194),
    [anon_sym_enum] = ACTIONS(3194),
    [sym_html_comment] = ACTIONS(5),
  },
  [1453] = {
    [sym_comment] = STATE(1453),
    [ts_builtin_sym_end] = ACTIONS(3484),
    [sym_identifier] = ACTIONS(3192),
    [anon_sym_export] = ACTIONS(3192),
    [anon_sym_type] = ACTIONS(3192),
    [anon_sym_namespace] = ACTIONS(3192),
    [anon_sym_LBRACE] = ACTIONS(3192),
    [anon_sym_RBRACE] = ACTIONS(3192),
    [anon_sym_typeof] = ACTIONS(3192),
    [anon_sym_import] = ACTIONS(3192),
    [anon_sym_var] = ACTIONS(3192),
    [anon_sym_let] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3192),
    [anon_sym_BANG] = ACTIONS(3192),
    [anon_sym_else] = ACTIONS(3192),
    [anon_sym_if] = ACTIONS(3192),
    [anon_sym_switch] = ACTIONS(3192),
    [anon_sym_for] = ACTIONS(3192),
    [anon_sym_LPAREN] = ACTIONS(3192),
    [anon_sym_await] = ACTIONS(3192),
    [anon_sym_while] = ACTIONS(3192),
    [anon_sym_do] = ACTIONS(3192),
    [anon_sym_try] = ACTIONS(3192),
    [anon_sym_with] = ACTIONS(3192),
    [anon_sym_break] = ACTIONS(3192),
    [anon_sym_continue] = ACTIONS(3192),
    [anon_sym_debugger] = ACTIONS(3192),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_throw] = ACTIONS(3192),
    [anon_sym_SEMI] = ACTIONS(3192),
    [anon_sym_yield] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(3192),
    [anon_sym_LTtemplate_GT] = ACTIONS(3192),
    [anon_sym_class] = ACTIONS(3192),
    [anon_sym_async] = ACTIONS(3192),
    [anon_sym_function] = ACTIONS(3192),
    [anon_sym_new] = ACTIONS(3192),
    [anon_sym_using] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3192),
    [anon_sym_DASH] = ACTIONS(3192),
    [anon_sym_SLASH] = ACTIONS(3192),
    [anon_sym_LT] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3192),
    [anon_sym_void] = ACTIONS(3192),
    [anon_sym_delete] = ACTIONS(3192),
    [anon_sym_PLUS_PLUS] = ACTIONS(3192),
    [anon_sym_DASH_DASH] = ACTIONS(3192),
    [anon_sym_DQUOTE] = ACTIONS(3192),
    [anon_sym_SQUOTE] = ACTIONS(3192),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3192),
    [sym_number] = ACTIONS(3192),
    [sym_private_property_identifier] = ACTIONS(3192),
    [sym_this] = ACTIONS(3192),
    [sym_super] = ACTIONS(3192),
    [sym_true] = ACTIONS(3192),
    [sym_false] = ACTIONS(3192),
    [sym_null] = ACTIONS(3192),
    [sym_undefined] = ACTIONS(3192),
    [anon_sym_AT] = ACTIONS(3192),
    [anon_sym_static] = ACTIONS(3192),
    [anon_sym_readonly] = ACTIONS(3192),
    [anon_sym_get] = ACTIONS(3192),
    [anon_sym_set] = ACTIONS(3192),
    [anon_sym_declare] = ACTIONS(3192),
    [anon_sym_public] = ACTIONS(3192),
    [anon_sym_private] = ACTIONS(3192),
    [anon_sym_protected] = ACTIONS(3192),
    [anon_sym_override] = ACTIONS(3192),
    [anon_sym_module] = ACTIONS(3192),
    [anon_sym_any] = ACTIONS(3192),
    [anon_sym_number] = ACTIONS(3192),
    [anon_sym_boolean] = ACTIONS(3192),
    [anon_sym_string] = ACTIONS(3192),
    [anon_sym_symbol] = ACTIONS(3192),
    [anon_sym_object] = ACTIONS(3192),
    [anon_sym_abstract] = ACTIONS(3192),
    [anon_sym_interface] = ACTIONS(3192),
    [anon_sym_enum] = ACTIONS(3192),
    [sym_html_comment] = ACTIONS(5),
  },
  [1454] = {
    [sym_comment] = STATE(1454),
    [ts_builtin_sym_end] = ACTIONS(3486),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_export] = ACTIONS(3190),
    [anon_sym_type] = ACTIONS(3190),
    [anon_sym_namespace] = ACTIONS(3190),
    [anon_sym_LBRACE] = ACTIONS(3190),
    [anon_sym_RBRACE] = ACTIONS(3190),
    [anon_sym_typeof] = ACTIONS(3190),
    [anon_sym_import] = ACTIONS(3190),
    [anon_sym_var] = ACTIONS(3190),
    [anon_sym_let] = ACTIONS(3190),
    [anon_sym_const] = ACTIONS(3190),
    [anon_sym_BANG] = ACTIONS(3190),
    [anon_sym_else] = ACTIONS(3190),
    [anon_sym_if] = ACTIONS(3190),
    [anon_sym_switch] = ACTIONS(3190),
    [anon_sym_for] = ACTIONS(3190),
    [anon_sym_LPAREN] = ACTIONS(3190),
    [anon_sym_await] = ACTIONS(3190),
    [anon_sym_while] = ACTIONS(3190),
    [anon_sym_do] = ACTIONS(3190),
    [anon_sym_try] = ACTIONS(3190),
    [anon_sym_with] = ACTIONS(3190),
    [anon_sym_break] = ACTIONS(3190),
    [anon_sym_continue] = ACTIONS(3190),
    [anon_sym_debugger] = ACTIONS(3190),
    [anon_sym_return] = ACTIONS(3190),
    [anon_sym_throw] = ACTIONS(3190),
    [anon_sym_SEMI] = ACTIONS(3190),
    [anon_sym_yield] = ACTIONS(3190),
    [anon_sym_LBRACK] = ACTIONS(3190),
    [anon_sym_LTtemplate_GT] = ACTIONS(3190),
    [anon_sym_class] = ACTIONS(3190),
    [anon_sym_async] = ACTIONS(3190),
    [anon_sym_function] = ACTIONS(3190),
    [anon_sym_new] = ACTIONS(3190),
    [anon_sym_using] = ACTIONS(3190),
    [anon_sym_PLUS] = ACTIONS(3190),
    [anon_sym_DASH] = ACTIONS(3190),
    [anon_sym_SLASH] = ACTIONS(3190),
    [anon_sym_LT] = ACTIONS(3190),
    [anon_sym_TILDE] = ACTIONS(3190),
    [anon_sym_void] = ACTIONS(3190),
    [anon_sym_delete] = ACTIONS(3190),
    [anon_sym_PLUS_PLUS] = ACTIONS(3190),
    [anon_sym_DASH_DASH] = ACTIONS(3190),
    [anon_sym_DQUOTE] = ACTIONS(3190),
    [anon_sym_SQUOTE] = ACTIONS(3190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3190),
    [sym_number] = ACTIONS(3190),
    [sym_private_property_identifier] = ACTIONS(3190),
    [sym_this] = ACTIONS(3190),
    [sym_super] = ACTIONS(3190),
    [sym_true] = ACTIONS(3190),
    [sym_false] = ACTIONS(3190),
    [sym_null] = ACTIONS(3190),
    [sym_undefined] = ACTIONS(3190),
    [anon_sym_AT] = ACTIONS(3190),
    [anon_sym_static] = ACTIONS(3190),
    [anon_sym_readonly] = ACTIONS(3190),
    [anon_sym_get] = ACTIONS(3190),
    [anon_sym_set] = ACTIONS(3190),
    [anon_sym_declare] = ACTIONS(3190),
    [anon_sym_public] = ACTIONS(3190),
    [anon_sym_private] = ACTIONS(3190),
    [anon_sym_protected] = ACTIONS(3190),
    [anon_sym_override] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(3190),
    [anon_sym_any] = ACTIONS(3190),
    [anon_sym_number] = ACTIONS(3190),
    [anon_sym_boolean] = ACTIONS(3190),
    [anon_sym_string] = ACTIONS(3190),
    [anon_sym_symbol] = ACTIONS(3190),
    [anon_sym_object] = ACTIONS(3190),
    [anon_sym_abstract] = ACTIONS(3190),
    [anon_sym_interface] = ACTIONS(3190),
    [anon_sym_enum] = ACTIONS(3190),
    [sym_html_comment] = ACTIONS(5),
  },
  [1455] = {
    [sym_comment] = STATE(1455),
    [ts_builtin_sym_end] = ACTIONS(3488),
    [sym_identifier] = ACTIONS(3114),
    [anon_sym_export] = ACTIONS(3114),
    [anon_sym_type] = ACTIONS(3114),
    [anon_sym_namespace] = ACTIONS(3114),
    [anon_sym_LBRACE] = ACTIONS(3114),
    [anon_sym_RBRACE] = ACTIONS(3114),
    [anon_sym_typeof] = ACTIONS(3114),
    [anon_sym_import] = ACTIONS(3114),
    [anon_sym_var] = ACTIONS(3114),
    [anon_sym_let] = ACTIONS(3114),
    [anon_sym_const] = ACTIONS(3114),
    [anon_sym_BANG] = ACTIONS(3114),
    [anon_sym_else] = ACTIONS(3114),
    [anon_sym_if] = ACTIONS(3114),
    [anon_sym_switch] = ACTIONS(3114),
    [anon_sym_for] = ACTIONS(3114),
    [anon_sym_LPAREN] = ACTIONS(3114),
    [anon_sym_await] = ACTIONS(3114),
    [anon_sym_while] = ACTIONS(3114),
    [anon_sym_do] = ACTIONS(3114),
    [anon_sym_try] = ACTIONS(3114),
    [anon_sym_with] = ACTIONS(3114),
    [anon_sym_break] = ACTIONS(3114),
    [anon_sym_continue] = ACTIONS(3114),
    [anon_sym_debugger] = ACTIONS(3114),
    [anon_sym_return] = ACTIONS(3114),
    [anon_sym_throw] = ACTIONS(3114),
    [anon_sym_SEMI] = ACTIONS(3114),
    [anon_sym_yield] = ACTIONS(3114),
    [anon_sym_LBRACK] = ACTIONS(3114),
    [anon_sym_LTtemplate_GT] = ACTIONS(3114),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_async] = ACTIONS(3114),
    [anon_sym_function] = ACTIONS(3114),
    [anon_sym_new] = ACTIONS(3114),
    [anon_sym_using] = ACTIONS(3114),
    [anon_sym_PLUS] = ACTIONS(3114),
    [anon_sym_DASH] = ACTIONS(3114),
    [anon_sym_SLASH] = ACTIONS(3114),
    [anon_sym_LT] = ACTIONS(3114),
    [anon_sym_TILDE] = ACTIONS(3114),
    [anon_sym_void] = ACTIONS(3114),
    [anon_sym_delete] = ACTIONS(3114),
    [anon_sym_PLUS_PLUS] = ACTIONS(3114),
    [anon_sym_DASH_DASH] = ACTIONS(3114),
    [anon_sym_DQUOTE] = ACTIONS(3114),
    [anon_sym_SQUOTE] = ACTIONS(3114),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3114),
    [sym_number] = ACTIONS(3114),
    [sym_private_property_identifier] = ACTIONS(3114),
    [sym_this] = ACTIONS(3114),
    [sym_super] = ACTIONS(3114),
    [sym_true] = ACTIONS(3114),
    [sym_false] = ACTIONS(3114),
    [sym_null] = ACTIONS(3114),
    [sym_undefined] = ACTIONS(3114),
    [anon_sym_AT] = ACTIONS(3114),
    [anon_sym_static] = ACTIONS(3114),
    [anon_sym_readonly] = ACTIONS(3114),
    [anon_sym_get] = ACTIONS(3114),
    [anon_sym_set] = ACTIONS(3114),
    [anon_sym_declare] = ACTIONS(3114),
    [anon_sym_public] = ACTIONS(3114),
    [anon_sym_private] = ACTIONS(3114),
    [anon_sym_protected] = ACTIONS(3114),
    [anon_sym_override] = ACTIONS(3114),
    [anon_sym_module] = ACTIONS(3114),
    [anon_sym_any] = ACTIONS(3114),
    [anon_sym_number] = ACTIONS(3114),
    [anon_sym_boolean] = ACTIONS(3114),
    [anon_sym_string] = ACTIONS(3114),
    [anon_sym_symbol] = ACTIONS(3114),
    [anon_sym_object] = ACTIONS(3114),
    [anon_sym_abstract] = ACTIONS(3114),
    [anon_sym_interface] = ACTIONS(3114),
    [anon_sym_enum] = ACTIONS(3114),
    [sym_html_comment] = ACTIONS(5),
  },
  [1456] = {
    [sym_comment] = STATE(1456),
    [ts_builtin_sym_end] = ACTIONS(3490),
    [sym_identifier] = ACTIONS(3188),
    [anon_sym_export] = ACTIONS(3188),
    [anon_sym_type] = ACTIONS(3188),
    [anon_sym_namespace] = ACTIONS(3188),
    [anon_sym_LBRACE] = ACTIONS(3188),
    [anon_sym_RBRACE] = ACTIONS(3188),
    [anon_sym_typeof] = ACTIONS(3188),
    [anon_sym_import] = ACTIONS(3188),
    [anon_sym_var] = ACTIONS(3188),
    [anon_sym_let] = ACTIONS(3188),
    [anon_sym_const] = ACTIONS(3188),
    [anon_sym_BANG] = ACTIONS(3188),
    [anon_sym_else] = ACTIONS(3188),
    [anon_sym_if] = ACTIONS(3188),
    [anon_sym_switch] = ACTIONS(3188),
    [anon_sym_for] = ACTIONS(3188),
    [anon_sym_LPAREN] = ACTIONS(3188),
    [anon_sym_await] = ACTIONS(3188),
    [anon_sym_while] = ACTIONS(3188),
    [anon_sym_do] = ACTIONS(3188),
    [anon_sym_try] = ACTIONS(3188),
    [anon_sym_with] = ACTIONS(3188),
    [anon_sym_break] = ACTIONS(3188),
    [anon_sym_continue] = ACTIONS(3188),
    [anon_sym_debugger] = ACTIONS(3188),
    [anon_sym_return] = ACTIONS(3188),
    [anon_sym_throw] = ACTIONS(3188),
    [anon_sym_SEMI] = ACTIONS(3188),
    [anon_sym_yield] = ACTIONS(3188),
    [anon_sym_LBRACK] = ACTIONS(3188),
    [anon_sym_LTtemplate_GT] = ACTIONS(3188),
    [anon_sym_class] = ACTIONS(3188),
    [anon_sym_async] = ACTIONS(3188),
    [anon_sym_function] = ACTIONS(3188),
    [anon_sym_new] = ACTIONS(3188),
    [anon_sym_using] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_SLASH] = ACTIONS(3188),
    [anon_sym_LT] = ACTIONS(3188),
    [anon_sym_TILDE] = ACTIONS(3188),
    [anon_sym_void] = ACTIONS(3188),
    [anon_sym_delete] = ACTIONS(3188),
    [anon_sym_PLUS_PLUS] = ACTIONS(3188),
    [anon_sym_DASH_DASH] = ACTIONS(3188),
    [anon_sym_DQUOTE] = ACTIONS(3188),
    [anon_sym_SQUOTE] = ACTIONS(3188),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3188),
    [sym_number] = ACTIONS(3188),
    [sym_private_property_identifier] = ACTIONS(3188),
    [sym_this] = ACTIONS(3188),
    [sym_super] = ACTIONS(3188),
    [sym_true] = ACTIONS(3188),
    [sym_false] = ACTIONS(3188),
    [sym_null] = ACTIONS(3188),
    [sym_undefined] = ACTIONS(3188),
    [anon_sym_AT] = ACTIONS(3188),
    [anon_sym_static] = ACTIONS(3188),
    [anon_sym_readonly] = ACTIONS(3188),
    [anon_sym_get] = ACTIONS(3188),
    [anon_sym_set] = ACTIONS(3188),
    [anon_sym_declare] = ACTIONS(3188),
    [anon_sym_public] = ACTIONS(3188),
    [anon_sym_private] = ACTIONS(3188),
    [anon_sym_protected] = ACTIONS(3188),
    [anon_sym_override] = ACTIONS(3188),
    [anon_sym_module] = ACTIONS(3188),
    [anon_sym_any] = ACTIONS(3188),
    [anon_sym_number] = ACTIONS(3188),
    [anon_sym_boolean] = ACTIONS(3188),
    [anon_sym_string] = ACTIONS(3188),
    [anon_sym_symbol] = ACTIONS(3188),
    [anon_sym_object] = ACTIONS(3188),
    [anon_sym_abstract] = ACTIONS(3188),
    [anon_sym_interface] = ACTIONS(3188),
    [anon_sym_enum] = ACTIONS(3188),
    [sym_html_comment] = ACTIONS(5),
  },
  [1457] = {
    [sym_comment] = STATE(1457),
    [ts_builtin_sym_end] = ACTIONS(3492),
    [sym_identifier] = ACTIONS(3186),
    [anon_sym_export] = ACTIONS(3186),
    [anon_sym_type] = ACTIONS(3186),
    [anon_sym_namespace] = ACTIONS(3186),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_RBRACE] = ACTIONS(3186),
    [anon_sym_typeof] = ACTIONS(3186),
    [anon_sym_import] = ACTIONS(3186),
    [anon_sym_var] = ACTIONS(3186),
    [anon_sym_let] = ACTIONS(3186),
    [anon_sym_const] = ACTIONS(3186),
    [anon_sym_BANG] = ACTIONS(3186),
    [anon_sym_else] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_switch] = ACTIONS(3186),
    [anon_sym_for] = ACTIONS(3186),
    [anon_sym_LPAREN] = ACTIONS(3186),
    [anon_sym_await] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_try] = ACTIONS(3186),
    [anon_sym_with] = ACTIONS(3186),
    [anon_sym_break] = ACTIONS(3186),
    [anon_sym_continue] = ACTIONS(3186),
    [anon_sym_debugger] = ACTIONS(3186),
    [anon_sym_return] = ACTIONS(3186),
    [anon_sym_throw] = ACTIONS(3186),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_yield] = ACTIONS(3186),
    [anon_sym_LBRACK] = ACTIONS(3186),
    [anon_sym_LTtemplate_GT] = ACTIONS(3186),
    [anon_sym_class] = ACTIONS(3186),
    [anon_sym_async] = ACTIONS(3186),
    [anon_sym_function] = ACTIONS(3186),
    [anon_sym_new] = ACTIONS(3186),
    [anon_sym_using] = ACTIONS(3186),
    [anon_sym_PLUS] = ACTIONS(3186),
    [anon_sym_DASH] = ACTIONS(3186),
    [anon_sym_SLASH] = ACTIONS(3186),
    [anon_sym_LT] = ACTIONS(3186),
    [anon_sym_TILDE] = ACTIONS(3186),
    [anon_sym_void] = ACTIONS(3186),
    [anon_sym_delete] = ACTIONS(3186),
    [anon_sym_PLUS_PLUS] = ACTIONS(3186),
    [anon_sym_DASH_DASH] = ACTIONS(3186),
    [anon_sym_DQUOTE] = ACTIONS(3186),
    [anon_sym_SQUOTE] = ACTIONS(3186),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3186),
    [sym_number] = ACTIONS(3186),
    [sym_private_property_identifier] = ACTIONS(3186),
    [sym_this] = ACTIONS(3186),
    [sym_super] = ACTIONS(3186),
    [sym_true] = ACTIONS(3186),
    [sym_false] = ACTIONS(3186),
    [sym_null] = ACTIONS(3186),
    [sym_undefined] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(3186),
    [anon_sym_static] = ACTIONS(3186),
    [anon_sym_readonly] = ACTIONS(3186),
    [anon_sym_get] = ACTIONS(3186),
    [anon_sym_set] = ACTIONS(3186),
    [anon_sym_declare] = ACTIONS(3186),
    [anon_sym_public] = ACTIONS(3186),
    [anon_sym_private] = ACTIONS(3186),
    [anon_sym_protected] = ACTIONS(3186),
    [anon_sym_override] = ACTIONS(3186),
    [anon_sym_module] = ACTIONS(3186),
    [anon_sym_any] = ACTIONS(3186),
    [anon_sym_number] = ACTIONS(3186),
    [anon_sym_boolean] = ACTIONS(3186),
    [anon_sym_string] = ACTIONS(3186),
    [anon_sym_symbol] = ACTIONS(3186),
    [anon_sym_object] = ACTIONS(3186),
    [anon_sym_abstract] = ACTIONS(3186),
    [anon_sym_interface] = ACTIONS(3186),
    [anon_sym_enum] = ACTIONS(3186),
    [sym_html_comment] = ACTIONS(5),
  },
  [1458] = {
    [sym_comment] = STATE(1458),
    [ts_builtin_sym_end] = ACTIONS(3494),
    [sym_identifier] = ACTIONS(3184),
    [anon_sym_export] = ACTIONS(3184),
    [anon_sym_type] = ACTIONS(3184),
    [anon_sym_namespace] = ACTIONS(3184),
    [anon_sym_LBRACE] = ACTIONS(3184),
    [anon_sym_RBRACE] = ACTIONS(3184),
    [anon_sym_typeof] = ACTIONS(3184),
    [anon_sym_import] = ACTIONS(3184),
    [anon_sym_var] = ACTIONS(3184),
    [anon_sym_let] = ACTIONS(3184),
    [anon_sym_const] = ACTIONS(3184),
    [anon_sym_BANG] = ACTIONS(3184),
    [anon_sym_else] = ACTIONS(3184),
    [anon_sym_if] = ACTIONS(3184),
    [anon_sym_switch] = ACTIONS(3184),
    [anon_sym_for] = ACTIONS(3184),
    [anon_sym_LPAREN] = ACTIONS(3184),
    [anon_sym_await] = ACTIONS(3184),
    [anon_sym_while] = ACTIONS(3184),
    [anon_sym_do] = ACTIONS(3184),
    [anon_sym_try] = ACTIONS(3184),
    [anon_sym_with] = ACTIONS(3184),
    [anon_sym_break] = ACTIONS(3184),
    [anon_sym_continue] = ACTIONS(3184),
    [anon_sym_debugger] = ACTIONS(3184),
    [anon_sym_return] = ACTIONS(3184),
    [anon_sym_throw] = ACTIONS(3184),
    [anon_sym_SEMI] = ACTIONS(3184),
    [anon_sym_yield] = ACTIONS(3184),
    [anon_sym_LBRACK] = ACTIONS(3184),
    [anon_sym_LTtemplate_GT] = ACTIONS(3184),
    [anon_sym_class] = ACTIONS(3184),
    [anon_sym_async] = ACTIONS(3184),
    [anon_sym_function] = ACTIONS(3184),
    [anon_sym_new] = ACTIONS(3184),
    [anon_sym_using] = ACTIONS(3184),
    [anon_sym_PLUS] = ACTIONS(3184),
    [anon_sym_DASH] = ACTIONS(3184),
    [anon_sym_SLASH] = ACTIONS(3184),
    [anon_sym_LT] = ACTIONS(3184),
    [anon_sym_TILDE] = ACTIONS(3184),
    [anon_sym_void] = ACTIONS(3184),
    [anon_sym_delete] = ACTIONS(3184),
    [anon_sym_PLUS_PLUS] = ACTIONS(3184),
    [anon_sym_DASH_DASH] = ACTIONS(3184),
    [anon_sym_DQUOTE] = ACTIONS(3184),
    [anon_sym_SQUOTE] = ACTIONS(3184),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3184),
    [sym_number] = ACTIONS(3184),
    [sym_private_property_identifier] = ACTIONS(3184),
    [sym_this] = ACTIONS(3184),
    [sym_super] = ACTIONS(3184),
    [sym_true] = ACTIONS(3184),
    [sym_false] = ACTIONS(3184),
    [sym_null] = ACTIONS(3184),
    [sym_undefined] = ACTIONS(3184),
    [anon_sym_AT] = ACTIONS(3184),
    [anon_sym_static] = ACTIONS(3184),
    [anon_sym_readonly] = ACTIONS(3184),
    [anon_sym_get] = ACTIONS(3184),
    [anon_sym_set] = ACTIONS(3184),
    [anon_sym_declare] = ACTIONS(3184),
    [anon_sym_public] = ACTIONS(3184),
    [anon_sym_private] = ACTIONS(3184),
    [anon_sym_protected] = ACTIONS(3184),
    [anon_sym_override] = ACTIONS(3184),
    [anon_sym_module] = ACTIONS(3184),
    [anon_sym_any] = ACTIONS(3184),
    [anon_sym_number] = ACTIONS(3184),
    [anon_sym_boolean] = ACTIONS(3184),
    [anon_sym_string] = ACTIONS(3184),
    [anon_sym_symbol] = ACTIONS(3184),
    [anon_sym_object] = ACTIONS(3184),
    [anon_sym_abstract] = ACTIONS(3184),
    [anon_sym_interface] = ACTIONS(3184),
    [anon_sym_enum] = ACTIONS(3184),
    [sym_html_comment] = ACTIONS(5),
  },
  [1459] = {
    [sym_comment] = STATE(1459),
    [ts_builtin_sym_end] = ACTIONS(3496),
    [sym_identifier] = ACTIONS(3180),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_type] = ACTIONS(3180),
    [anon_sym_namespace] = ACTIONS(3180),
    [anon_sym_LBRACE] = ACTIONS(3180),
    [anon_sym_RBRACE] = ACTIONS(3180),
    [anon_sym_typeof] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3180),
    [anon_sym_var] = ACTIONS(3180),
    [anon_sym_let] = ACTIONS(3180),
    [anon_sym_const] = ACTIONS(3180),
    [anon_sym_BANG] = ACTIONS(3180),
    [anon_sym_else] = ACTIONS(3180),
    [anon_sym_if] = ACTIONS(3180),
    [anon_sym_switch] = ACTIONS(3180),
    [anon_sym_for] = ACTIONS(3180),
    [anon_sym_LPAREN] = ACTIONS(3180),
    [anon_sym_await] = ACTIONS(3180),
    [anon_sym_while] = ACTIONS(3180),
    [anon_sym_do] = ACTIONS(3180),
    [anon_sym_try] = ACTIONS(3180),
    [anon_sym_with] = ACTIONS(3180),
    [anon_sym_break] = ACTIONS(3180),
    [anon_sym_continue] = ACTIONS(3180),
    [anon_sym_debugger] = ACTIONS(3180),
    [anon_sym_return] = ACTIONS(3180),
    [anon_sym_throw] = ACTIONS(3180),
    [anon_sym_SEMI] = ACTIONS(3180),
    [anon_sym_yield] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_LTtemplate_GT] = ACTIONS(3180),
    [anon_sym_class] = ACTIONS(3180),
    [anon_sym_async] = ACTIONS(3180),
    [anon_sym_function] = ACTIONS(3180),
    [anon_sym_new] = ACTIONS(3180),
    [anon_sym_using] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_SLASH] = ACTIONS(3180),
    [anon_sym_LT] = ACTIONS(3180),
    [anon_sym_TILDE] = ACTIONS(3180),
    [anon_sym_void] = ACTIONS(3180),
    [anon_sym_delete] = ACTIONS(3180),
    [anon_sym_PLUS_PLUS] = ACTIONS(3180),
    [anon_sym_DASH_DASH] = ACTIONS(3180),
    [anon_sym_DQUOTE] = ACTIONS(3180),
    [anon_sym_SQUOTE] = ACTIONS(3180),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3180),
    [sym_number] = ACTIONS(3180),
    [sym_private_property_identifier] = ACTIONS(3180),
    [sym_this] = ACTIONS(3180),
    [sym_super] = ACTIONS(3180),
    [sym_true] = ACTIONS(3180),
    [sym_false] = ACTIONS(3180),
    [sym_null] = ACTIONS(3180),
    [sym_undefined] = ACTIONS(3180),
    [anon_sym_AT] = ACTIONS(3180),
    [anon_sym_static] = ACTIONS(3180),
    [anon_sym_readonly] = ACTIONS(3180),
    [anon_sym_get] = ACTIONS(3180),
    [anon_sym_set] = ACTIONS(3180),
    [anon_sym_declare] = ACTIONS(3180),
    [anon_sym_public] = ACTIONS(3180),
    [anon_sym_private] = ACTIONS(3180),
    [anon_sym_protected] = ACTIONS(3180),
    [anon_sym_override] = ACTIONS(3180),
    [anon_sym_module] = ACTIONS(3180),
    [anon_sym_any] = ACTIONS(3180),
    [anon_sym_number] = ACTIONS(3180),
    [anon_sym_boolean] = ACTIONS(3180),
    [anon_sym_string] = ACTIONS(3180),
    [anon_sym_symbol] = ACTIONS(3180),
    [anon_sym_object] = ACTIONS(3180),
    [anon_sym_abstract] = ACTIONS(3180),
    [anon_sym_interface] = ACTIONS(3180),
    [anon_sym_enum] = ACTIONS(3180),
    [sym_html_comment] = ACTIONS(5),
  },
  [1460] = {
    [sym_comment] = STATE(1460),
    [sym_identifier] = ACTIONS(2101),
    [anon_sym_export] = ACTIONS(2101),
    [anon_sym_default] = ACTIONS(2101),
    [anon_sym_type] = ACTIONS(2101),
    [anon_sym_namespace] = ACTIONS(2101),
    [anon_sym_LBRACE] = ACTIONS(2101),
    [anon_sym_RBRACE] = ACTIONS(2101),
    [anon_sym_typeof] = ACTIONS(2101),
    [anon_sym_import] = ACTIONS(2101),
    [anon_sym_var] = ACTIONS(2101),
    [anon_sym_let] = ACTIONS(2101),
    [anon_sym_const] = ACTIONS(2101),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_if] = ACTIONS(2101),
    [anon_sym_switch] = ACTIONS(2101),
    [anon_sym_for] = ACTIONS(2101),
    [anon_sym_LPAREN] = ACTIONS(2101),
    [anon_sym_await] = ACTIONS(2101),
    [anon_sym_while] = ACTIONS(2101),
    [anon_sym_do] = ACTIONS(2101),
    [anon_sym_try] = ACTIONS(2101),
    [anon_sym_with] = ACTIONS(2101),
    [anon_sym_break] = ACTIONS(2101),
    [anon_sym_continue] = ACTIONS(2101),
    [anon_sym_debugger] = ACTIONS(2101),
    [anon_sym_return] = ACTIONS(2101),
    [anon_sym_throw] = ACTIONS(2101),
    [anon_sym_SEMI] = ACTIONS(2101),
    [anon_sym_case] = ACTIONS(2101),
    [anon_sym_yield] = ACTIONS(2101),
    [anon_sym_LBRACK] = ACTIONS(2101),
    [anon_sym_LTtemplate_GT] = ACTIONS(2101),
    [anon_sym_class] = ACTIONS(2101),
    [anon_sym_async] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2101),
    [anon_sym_new] = ACTIONS(2101),
    [anon_sym_using] = ACTIONS(2101),
    [anon_sym_PLUS] = ACTIONS(2101),
    [anon_sym_DASH] = ACTIONS(2101),
    [anon_sym_SLASH] = ACTIONS(2101),
    [anon_sym_LT] = ACTIONS(2101),
    [anon_sym_TILDE] = ACTIONS(2101),
    [anon_sym_void] = ACTIONS(2101),
    [anon_sym_delete] = ACTIONS(2101),
    [anon_sym_PLUS_PLUS] = ACTIONS(2101),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_DQUOTE] = ACTIONS(2101),
    [anon_sym_SQUOTE] = ACTIONS(2101),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2101),
    [sym_number] = ACTIONS(2101),
    [sym_private_property_identifier] = ACTIONS(2101),
    [sym_this] = ACTIONS(2101),
    [sym_super] = ACTIONS(2101),
    [sym_true] = ACTIONS(2101),
    [sym_false] = ACTIONS(2101),
    [sym_null] = ACTIONS(2101),
    [sym_undefined] = ACTIONS(2101),
    [anon_sym_AT] = ACTIONS(2101),
    [anon_sym_static] = ACTIONS(2101),
    [anon_sym_readonly] = ACTIONS(2101),
    [anon_sym_get] = ACTIONS(2101),
    [anon_sym_set] = ACTIONS(2101),
    [anon_sym_declare] = ACTIONS(2101),
    [anon_sym_public] = ACTIONS(2101),
    [anon_sym_private] = ACTIONS(2101),
    [anon_sym_protected] = ACTIONS(2101),
    [anon_sym_override] = ACTIONS(2101),
    [anon_sym_module] = ACTIONS(2101),
    [anon_sym_any] = ACTIONS(2101),
    [anon_sym_number] = ACTIONS(2101),
    [anon_sym_boolean] = ACTIONS(2101),
    [anon_sym_string] = ACTIONS(2101),
    [anon_sym_symbol] = ACTIONS(2101),
    [anon_sym_object] = ACTIONS(2101),
    [anon_sym_abstract] = ACTIONS(2101),
    [anon_sym_interface] = ACTIONS(2101),
    [anon_sym_enum] = ACTIONS(2101),
    [sym_html_comment] = ACTIONS(5),
  },
  [1461] = {
    [sym_comment] = STATE(1461),
    [ts_builtin_sym_end] = ACTIONS(2167),
    [sym_identifier] = ACTIONS(2165),
    [anon_sym_export] = ACTIONS(2165),
    [anon_sym_type] = ACTIONS(2165),
    [anon_sym_namespace] = ACTIONS(2165),
    [anon_sym_LBRACE] = ACTIONS(2165),
    [anon_sym_RBRACE] = ACTIONS(2165),
    [anon_sym_typeof] = ACTIONS(2165),
    [anon_sym_import] = ACTIONS(2165),
    [anon_sym_var] = ACTIONS(2165),
    [anon_sym_let] = ACTIONS(2165),
    [anon_sym_const] = ACTIONS(2165),
    [anon_sym_BANG] = ACTIONS(2165),
    [anon_sym_if] = ACTIONS(2165),
    [anon_sym_switch] = ACTIONS(2165),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_LPAREN] = ACTIONS(2165),
    [anon_sym_await] = ACTIONS(2165),
    [anon_sym_while] = ACTIONS(2165),
    [anon_sym_do] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_with] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2165),
    [anon_sym_continue] = ACTIONS(2165),
    [anon_sym_debugger] = ACTIONS(2165),
    [anon_sym_return] = ACTIONS(2165),
    [anon_sym_throw] = ACTIONS(2165),
    [anon_sym_SEMI] = ACTIONS(2165),
    [anon_sym_finally] = ACTIONS(2165),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_LBRACK] = ACTIONS(2165),
    [anon_sym_LTtemplate_GT] = ACTIONS(2165),
    [anon_sym_class] = ACTIONS(2165),
    [anon_sym_async] = ACTIONS(2165),
    [anon_sym_function] = ACTIONS(2165),
    [anon_sym_new] = ACTIONS(2165),
    [anon_sym_using] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(2165),
    [anon_sym_DASH] = ACTIONS(2165),
    [anon_sym_SLASH] = ACTIONS(2165),
    [anon_sym_LT] = ACTIONS(2165),
    [anon_sym_TILDE] = ACTIONS(2165),
    [anon_sym_void] = ACTIONS(2165),
    [anon_sym_delete] = ACTIONS(2165),
    [anon_sym_PLUS_PLUS] = ACTIONS(2165),
    [anon_sym_DASH_DASH] = ACTIONS(2165),
    [anon_sym_DQUOTE] = ACTIONS(2165),
    [anon_sym_SQUOTE] = ACTIONS(2165),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2165),
    [sym_number] = ACTIONS(2165),
    [sym_private_property_identifier] = ACTIONS(2165),
    [sym_this] = ACTIONS(2165),
    [sym_super] = ACTIONS(2165),
    [sym_true] = ACTIONS(2165),
    [sym_false] = ACTIONS(2165),
    [sym_null] = ACTIONS(2165),
    [sym_undefined] = ACTIONS(2165),
    [anon_sym_AT] = ACTIONS(2165),
    [anon_sym_static] = ACTIONS(2165),
    [anon_sym_readonly] = ACTIONS(2165),
    [anon_sym_get] = ACTIONS(2165),
    [anon_sym_set] = ACTIONS(2165),
    [anon_sym_declare] = ACTIONS(2165),
    [anon_sym_public] = ACTIONS(2165),
    [anon_sym_private] = ACTIONS(2165),
    [anon_sym_protected] = ACTIONS(2165),
    [anon_sym_override] = ACTIONS(2165),
    [anon_sym_module] = ACTIONS(2165),
    [anon_sym_any] = ACTIONS(2165),
    [anon_sym_number] = ACTIONS(2165),
    [anon_sym_boolean] = ACTIONS(2165),
    [anon_sym_string] = ACTIONS(2165),
    [anon_sym_symbol] = ACTIONS(2165),
    [anon_sym_object] = ACTIONS(2165),
    [anon_sym_abstract] = ACTIONS(2165),
    [anon_sym_interface] = ACTIONS(2165),
    [anon_sym_enum] = ACTIONS(2165),
    [sym_html_comment] = ACTIONS(5),
  },
  [1462] = {
    [sym_comment] = STATE(1462),
    [ts_builtin_sym_end] = ACTIONS(3498),
    [sym_identifier] = ACTIONS(3176),
    [anon_sym_export] = ACTIONS(3176),
    [anon_sym_type] = ACTIONS(3176),
    [anon_sym_namespace] = ACTIONS(3176),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_RBRACE] = ACTIONS(3176),
    [anon_sym_typeof] = ACTIONS(3176),
    [anon_sym_import] = ACTIONS(3176),
    [anon_sym_var] = ACTIONS(3176),
    [anon_sym_let] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3176),
    [anon_sym_BANG] = ACTIONS(3176),
    [anon_sym_else] = ACTIONS(3176),
    [anon_sym_if] = ACTIONS(3176),
    [anon_sym_switch] = ACTIONS(3176),
    [anon_sym_for] = ACTIONS(3176),
    [anon_sym_LPAREN] = ACTIONS(3176),
    [anon_sym_await] = ACTIONS(3176),
    [anon_sym_while] = ACTIONS(3176),
    [anon_sym_do] = ACTIONS(3176),
    [anon_sym_try] = ACTIONS(3176),
    [anon_sym_with] = ACTIONS(3176),
    [anon_sym_break] = ACTIONS(3176),
    [anon_sym_continue] = ACTIONS(3176),
    [anon_sym_debugger] = ACTIONS(3176),
    [anon_sym_return] = ACTIONS(3176),
    [anon_sym_throw] = ACTIONS(3176),
    [anon_sym_SEMI] = ACTIONS(3176),
    [anon_sym_yield] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_LTtemplate_GT] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_async] = ACTIONS(3176),
    [anon_sym_function] = ACTIONS(3176),
    [anon_sym_new] = ACTIONS(3176),
    [anon_sym_using] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3176),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_SLASH] = ACTIONS(3176),
    [anon_sym_LT] = ACTIONS(3176),
    [anon_sym_TILDE] = ACTIONS(3176),
    [anon_sym_void] = ACTIONS(3176),
    [anon_sym_delete] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [anon_sym_DQUOTE] = ACTIONS(3176),
    [anon_sym_SQUOTE] = ACTIONS(3176),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3176),
    [sym_number] = ACTIONS(3176),
    [sym_private_property_identifier] = ACTIONS(3176),
    [sym_this] = ACTIONS(3176),
    [sym_super] = ACTIONS(3176),
    [sym_true] = ACTIONS(3176),
    [sym_false] = ACTIONS(3176),
    [sym_null] = ACTIONS(3176),
    [sym_undefined] = ACTIONS(3176),
    [anon_sym_AT] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_readonly] = ACTIONS(3176),
    [anon_sym_get] = ACTIONS(3176),
    [anon_sym_set] = ACTIONS(3176),
    [anon_sym_declare] = ACTIONS(3176),
    [anon_sym_public] = ACTIONS(3176),
    [anon_sym_private] = ACTIONS(3176),
    [anon_sym_protected] = ACTIONS(3176),
    [anon_sym_override] = ACTIONS(3176),
    [anon_sym_module] = ACTIONS(3176),
    [anon_sym_any] = ACTIONS(3176),
    [anon_sym_number] = ACTIONS(3176),
    [anon_sym_boolean] = ACTIONS(3176),
    [anon_sym_string] = ACTIONS(3176),
    [anon_sym_symbol] = ACTIONS(3176),
    [anon_sym_object] = ACTIONS(3176),
    [anon_sym_abstract] = ACTIONS(3176),
    [anon_sym_interface] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [sym_html_comment] = ACTIONS(5),
  },
  [1463] = {
    [sym_comment] = STATE(1463),
    [ts_builtin_sym_end] = ACTIONS(3498),
    [sym_identifier] = ACTIONS(3176),
    [anon_sym_export] = ACTIONS(3176),
    [anon_sym_type] = ACTIONS(3176),
    [anon_sym_namespace] = ACTIONS(3176),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_RBRACE] = ACTIONS(3176),
    [anon_sym_typeof] = ACTIONS(3176),
    [anon_sym_import] = ACTIONS(3176),
    [anon_sym_var] = ACTIONS(3176),
    [anon_sym_let] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3176),
    [anon_sym_BANG] = ACTIONS(3176),
    [anon_sym_else] = ACTIONS(3176),
    [anon_sym_if] = ACTIONS(3176),
    [anon_sym_switch] = ACTIONS(3176),
    [anon_sym_for] = ACTIONS(3176),
    [anon_sym_LPAREN] = ACTIONS(3176),
    [anon_sym_await] = ACTIONS(3176),
    [anon_sym_while] = ACTIONS(3176),
    [anon_sym_do] = ACTIONS(3176),
    [anon_sym_try] = ACTIONS(3176),
    [anon_sym_with] = ACTIONS(3176),
    [anon_sym_break] = ACTIONS(3176),
    [anon_sym_continue] = ACTIONS(3176),
    [anon_sym_debugger] = ACTIONS(3176),
    [anon_sym_return] = ACTIONS(3176),
    [anon_sym_throw] = ACTIONS(3176),
    [anon_sym_SEMI] = ACTIONS(3176),
    [anon_sym_yield] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_LTtemplate_GT] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_async] = ACTIONS(3176),
    [anon_sym_function] = ACTIONS(3176),
    [anon_sym_new] = ACTIONS(3176),
    [anon_sym_using] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3176),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_SLASH] = ACTIONS(3176),
    [anon_sym_LT] = ACTIONS(3176),
    [anon_sym_TILDE] = ACTIONS(3176),
    [anon_sym_void] = ACTIONS(3176),
    [anon_sym_delete] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [anon_sym_DQUOTE] = ACTIONS(3176),
    [anon_sym_SQUOTE] = ACTIONS(3176),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3176),
    [sym_number] = ACTIONS(3176),
    [sym_private_property_identifier] = ACTIONS(3176),
    [sym_this] = ACTIONS(3176),
    [sym_super] = ACTIONS(3176),
    [sym_true] = ACTIONS(3176),
    [sym_false] = ACTIONS(3176),
    [sym_null] = ACTIONS(3176),
    [sym_undefined] = ACTIONS(3176),
    [anon_sym_AT] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_readonly] = ACTIONS(3176),
    [anon_sym_get] = ACTIONS(3176),
    [anon_sym_set] = ACTIONS(3176),
    [anon_sym_declare] = ACTIONS(3176),
    [anon_sym_public] = ACTIONS(3176),
    [anon_sym_private] = ACTIONS(3176),
    [anon_sym_protected] = ACTIONS(3176),
    [anon_sym_override] = ACTIONS(3176),
    [anon_sym_module] = ACTIONS(3176),
    [anon_sym_any] = ACTIONS(3176),
    [anon_sym_number] = ACTIONS(3176),
    [anon_sym_boolean] = ACTIONS(3176),
    [anon_sym_string] = ACTIONS(3176),
    [anon_sym_symbol] = ACTIONS(3176),
    [anon_sym_object] = ACTIONS(3176),
    [anon_sym_abstract] = ACTIONS(3176),
    [anon_sym_interface] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [sym_html_comment] = ACTIONS(5),
  },
  [1464] = {
    [sym_comment] = STATE(1464),
    [ts_builtin_sym_end] = ACTIONS(3498),
    [sym_identifier] = ACTIONS(3176),
    [anon_sym_export] = ACTIONS(3176),
    [anon_sym_type] = ACTIONS(3176),
    [anon_sym_namespace] = ACTIONS(3176),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_RBRACE] = ACTIONS(3176),
    [anon_sym_typeof] = ACTIONS(3176),
    [anon_sym_import] = ACTIONS(3176),
    [anon_sym_var] = ACTIONS(3176),
    [anon_sym_let] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3176),
    [anon_sym_BANG] = ACTIONS(3176),
    [anon_sym_else] = ACTIONS(3176),
    [anon_sym_if] = ACTIONS(3176),
    [anon_sym_switch] = ACTIONS(3176),
    [anon_sym_for] = ACTIONS(3176),
    [anon_sym_LPAREN] = ACTIONS(3176),
    [anon_sym_await] = ACTIONS(3176),
    [anon_sym_while] = ACTIONS(3176),
    [anon_sym_do] = ACTIONS(3176),
    [anon_sym_try] = ACTIONS(3176),
    [anon_sym_with] = ACTIONS(3176),
    [anon_sym_break] = ACTIONS(3176),
    [anon_sym_continue] = ACTIONS(3176),
    [anon_sym_debugger] = ACTIONS(3176),
    [anon_sym_return] = ACTIONS(3176),
    [anon_sym_throw] = ACTIONS(3176),
    [anon_sym_SEMI] = ACTIONS(3176),
    [anon_sym_yield] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_LTtemplate_GT] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_async] = ACTIONS(3176),
    [anon_sym_function] = ACTIONS(3176),
    [anon_sym_new] = ACTIONS(3176),
    [anon_sym_using] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3176),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_SLASH] = ACTIONS(3176),
    [anon_sym_LT] = ACTIONS(3176),
    [anon_sym_TILDE] = ACTIONS(3176),
    [anon_sym_void] = ACTIONS(3176),
    [anon_sym_delete] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [anon_sym_DQUOTE] = ACTIONS(3176),
    [anon_sym_SQUOTE] = ACTIONS(3176),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3176),
    [sym_number] = ACTIONS(3176),
    [sym_private_property_identifier] = ACTIONS(3176),
    [sym_this] = ACTIONS(3176),
    [sym_super] = ACTIONS(3176),
    [sym_true] = ACTIONS(3176),
    [sym_false] = ACTIONS(3176),
    [sym_null] = ACTIONS(3176),
    [sym_undefined] = ACTIONS(3176),
    [anon_sym_AT] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_readonly] = ACTIONS(3176),
    [anon_sym_get] = ACTIONS(3176),
    [anon_sym_set] = ACTIONS(3176),
    [anon_sym_declare] = ACTIONS(3176),
    [anon_sym_public] = ACTIONS(3176),
    [anon_sym_private] = ACTIONS(3176),
    [anon_sym_protected] = ACTIONS(3176),
    [anon_sym_override] = ACTIONS(3176),
    [anon_sym_module] = ACTIONS(3176),
    [anon_sym_any] = ACTIONS(3176),
    [anon_sym_number] = ACTIONS(3176),
    [anon_sym_boolean] = ACTIONS(3176),
    [anon_sym_string] = ACTIONS(3176),
    [anon_sym_symbol] = ACTIONS(3176),
    [anon_sym_object] = ACTIONS(3176),
    [anon_sym_abstract] = ACTIONS(3176),
    [anon_sym_interface] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [sym_html_comment] = ACTIONS(5),
  },
  [1465] = {
    [sym_comment] = STATE(1465),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_default] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_RBRACE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_case] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LTtemplate_GT] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_using] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_LT] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [sym_private_property_identifier] = ACTIONS(2141),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_object] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
    [sym_html_comment] = ACTIONS(5),
  },
  [1466] = {
    [sym_comment] = STATE(1466),
    [ts_builtin_sym_end] = ACTIONS(3500),
    [sym_identifier] = ACTIONS(3272),
    [anon_sym_export] = ACTIONS(3272),
    [anon_sym_type] = ACTIONS(3272),
    [anon_sym_namespace] = ACTIONS(3272),
    [anon_sym_LBRACE] = ACTIONS(3272),
    [anon_sym_RBRACE] = ACTIONS(3272),
    [anon_sym_typeof] = ACTIONS(3272),
    [anon_sym_import] = ACTIONS(3272),
    [anon_sym_var] = ACTIONS(3272),
    [anon_sym_let] = ACTIONS(3272),
    [anon_sym_const] = ACTIONS(3272),
    [anon_sym_BANG] = ACTIONS(3272),
    [anon_sym_else] = ACTIONS(3272),
    [anon_sym_if] = ACTIONS(3272),
    [anon_sym_switch] = ACTIONS(3272),
    [anon_sym_for] = ACTIONS(3272),
    [anon_sym_LPAREN] = ACTIONS(3272),
    [anon_sym_await] = ACTIONS(3272),
    [anon_sym_while] = ACTIONS(3272),
    [anon_sym_do] = ACTIONS(3272),
    [anon_sym_try] = ACTIONS(3272),
    [anon_sym_with] = ACTIONS(3272),
    [anon_sym_break] = ACTIONS(3272),
    [anon_sym_continue] = ACTIONS(3272),
    [anon_sym_debugger] = ACTIONS(3272),
    [anon_sym_return] = ACTIONS(3272),
    [anon_sym_throw] = ACTIONS(3272),
    [anon_sym_SEMI] = ACTIONS(3272),
    [anon_sym_yield] = ACTIONS(3272),
    [anon_sym_LBRACK] = ACTIONS(3272),
    [anon_sym_LTtemplate_GT] = ACTIONS(3272),
    [anon_sym_class] = ACTIONS(3272),
    [anon_sym_async] = ACTIONS(3272),
    [anon_sym_function] = ACTIONS(3272),
    [anon_sym_new] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3272),
    [anon_sym_PLUS] = ACTIONS(3272),
    [anon_sym_DASH] = ACTIONS(3272),
    [anon_sym_SLASH] = ACTIONS(3272),
    [anon_sym_LT] = ACTIONS(3272),
    [anon_sym_TILDE] = ACTIONS(3272),
    [anon_sym_void] = ACTIONS(3272),
    [anon_sym_delete] = ACTIONS(3272),
    [anon_sym_PLUS_PLUS] = ACTIONS(3272),
    [anon_sym_DASH_DASH] = ACTIONS(3272),
    [anon_sym_DQUOTE] = ACTIONS(3272),
    [anon_sym_SQUOTE] = ACTIONS(3272),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3272),
    [sym_number] = ACTIONS(3272),
    [sym_private_property_identifier] = ACTIONS(3272),
    [sym_this] = ACTIONS(3272),
    [sym_super] = ACTIONS(3272),
    [sym_true] = ACTIONS(3272),
    [sym_false] = ACTIONS(3272),
    [sym_null] = ACTIONS(3272),
    [sym_undefined] = ACTIONS(3272),
    [anon_sym_AT] = ACTIONS(3272),
    [anon_sym_static] = ACTIONS(3272),
    [anon_sym_readonly] = ACTIONS(3272),
    [anon_sym_get] = ACTIONS(3272),
    [anon_sym_set] = ACTIONS(3272),
    [anon_sym_declare] = ACTIONS(3272),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_override] = ACTIONS(3272),
    [anon_sym_module] = ACTIONS(3272),
    [anon_sym_any] = ACTIONS(3272),
    [anon_sym_number] = ACTIONS(3272),
    [anon_sym_boolean] = ACTIONS(3272),
    [anon_sym_string] = ACTIONS(3272),
    [anon_sym_symbol] = ACTIONS(3272),
    [anon_sym_object] = ACTIONS(3272),
    [anon_sym_abstract] = ACTIONS(3272),
    [anon_sym_interface] = ACTIONS(3272),
    [anon_sym_enum] = ACTIONS(3272),
    [sym_html_comment] = ACTIONS(5),
  },
  [1467] = {
    [sym_comment] = STATE(1467),
    [ts_builtin_sym_end] = ACTIONS(3502),
    [sym_identifier] = ACTIONS(3174),
    [anon_sym_export] = ACTIONS(3174),
    [anon_sym_type] = ACTIONS(3174),
    [anon_sym_namespace] = ACTIONS(3174),
    [anon_sym_LBRACE] = ACTIONS(3174),
    [anon_sym_RBRACE] = ACTIONS(3174),
    [anon_sym_typeof] = ACTIONS(3174),
    [anon_sym_import] = ACTIONS(3174),
    [anon_sym_var] = ACTIONS(3174),
    [anon_sym_let] = ACTIONS(3174),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3174),
    [anon_sym_else] = ACTIONS(3174),
    [anon_sym_if] = ACTIONS(3174),
    [anon_sym_switch] = ACTIONS(3174),
    [anon_sym_for] = ACTIONS(3174),
    [anon_sym_LPAREN] = ACTIONS(3174),
    [anon_sym_await] = ACTIONS(3174),
    [anon_sym_while] = ACTIONS(3174),
    [anon_sym_do] = ACTIONS(3174),
    [anon_sym_try] = ACTIONS(3174),
    [anon_sym_with] = ACTIONS(3174),
    [anon_sym_break] = ACTIONS(3174),
    [anon_sym_continue] = ACTIONS(3174),
    [anon_sym_debugger] = ACTIONS(3174),
    [anon_sym_return] = ACTIONS(3174),
    [anon_sym_throw] = ACTIONS(3174),
    [anon_sym_SEMI] = ACTIONS(3174),
    [anon_sym_yield] = ACTIONS(3174),
    [anon_sym_LBRACK] = ACTIONS(3174),
    [anon_sym_LTtemplate_GT] = ACTIONS(3174),
    [anon_sym_class] = ACTIONS(3174),
    [anon_sym_async] = ACTIONS(3174),
    [anon_sym_function] = ACTIONS(3174),
    [anon_sym_new] = ACTIONS(3174),
    [anon_sym_using] = ACTIONS(3174),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3174),
    [anon_sym_SLASH] = ACTIONS(3174),
    [anon_sym_LT] = ACTIONS(3174),
    [anon_sym_TILDE] = ACTIONS(3174),
    [anon_sym_void] = ACTIONS(3174),
    [anon_sym_delete] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_DQUOTE] = ACTIONS(3174),
    [anon_sym_SQUOTE] = ACTIONS(3174),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3174),
    [sym_number] = ACTIONS(3174),
    [sym_private_property_identifier] = ACTIONS(3174),
    [sym_this] = ACTIONS(3174),
    [sym_super] = ACTIONS(3174),
    [sym_true] = ACTIONS(3174),
    [sym_false] = ACTIONS(3174),
    [sym_null] = ACTIONS(3174),
    [sym_undefined] = ACTIONS(3174),
    [anon_sym_AT] = ACTIONS(3174),
    [anon_sym_static] = ACTIONS(3174),
    [anon_sym_readonly] = ACTIONS(3174),
    [anon_sym_get] = ACTIONS(3174),
    [anon_sym_set] = ACTIONS(3174),
    [anon_sym_declare] = ACTIONS(3174),
    [anon_sym_public] = ACTIONS(3174),
    [anon_sym_private] = ACTIONS(3174),
    [anon_sym_protected] = ACTIONS(3174),
    [anon_sym_override] = ACTIONS(3174),
    [anon_sym_module] = ACTIONS(3174),
    [anon_sym_any] = ACTIONS(3174),
    [anon_sym_number] = ACTIONS(3174),
    [anon_sym_boolean] = ACTIONS(3174),
    [anon_sym_string] = ACTIONS(3174),
    [anon_sym_symbol] = ACTIONS(3174),
    [anon_sym_object] = ACTIONS(3174),
    [anon_sym_abstract] = ACTIONS(3174),
    [anon_sym_interface] = ACTIONS(3174),
    [anon_sym_enum] = ACTIONS(3174),
    [sym_html_comment] = ACTIONS(5),
  },
  [1468] = {
    [sym_comment] = STATE(1468),
    [ts_builtin_sym_end] = ACTIONS(3504),
    [sym_identifier] = ACTIONS(3268),
    [anon_sym_export] = ACTIONS(3268),
    [anon_sym_type] = ACTIONS(3268),
    [anon_sym_namespace] = ACTIONS(3268),
    [anon_sym_LBRACE] = ACTIONS(3268),
    [anon_sym_RBRACE] = ACTIONS(3268),
    [anon_sym_typeof] = ACTIONS(3268),
    [anon_sym_import] = ACTIONS(3268),
    [anon_sym_var] = ACTIONS(3268),
    [anon_sym_let] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3268),
    [anon_sym_BANG] = ACTIONS(3268),
    [anon_sym_else] = ACTIONS(3268),
    [anon_sym_if] = ACTIONS(3268),
    [anon_sym_switch] = ACTIONS(3268),
    [anon_sym_for] = ACTIONS(3268),
    [anon_sym_LPAREN] = ACTIONS(3268),
    [anon_sym_await] = ACTIONS(3268),
    [anon_sym_while] = ACTIONS(3268),
    [anon_sym_do] = ACTIONS(3268),
    [anon_sym_try] = ACTIONS(3268),
    [anon_sym_with] = ACTIONS(3268),
    [anon_sym_break] = ACTIONS(3268),
    [anon_sym_continue] = ACTIONS(3268),
    [anon_sym_debugger] = ACTIONS(3268),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_throw] = ACTIONS(3268),
    [anon_sym_SEMI] = ACTIONS(3268),
    [anon_sym_yield] = ACTIONS(3268),
    [anon_sym_LBRACK] = ACTIONS(3268),
    [anon_sym_LTtemplate_GT] = ACTIONS(3268),
    [anon_sym_class] = ACTIONS(3268),
    [anon_sym_async] = ACTIONS(3268),
    [anon_sym_function] = ACTIONS(3268),
    [anon_sym_new] = ACTIONS(3268),
    [anon_sym_using] = ACTIONS(3268),
    [anon_sym_PLUS] = ACTIONS(3268),
    [anon_sym_DASH] = ACTIONS(3268),
    [anon_sym_SLASH] = ACTIONS(3268),
    [anon_sym_LT] = ACTIONS(3268),
    [anon_sym_TILDE] = ACTIONS(3268),
    [anon_sym_void] = ACTIONS(3268),
    [anon_sym_delete] = ACTIONS(3268),
    [anon_sym_PLUS_PLUS] = ACTIONS(3268),
    [anon_sym_DASH_DASH] = ACTIONS(3268),
    [anon_sym_DQUOTE] = ACTIONS(3268),
    [anon_sym_SQUOTE] = ACTIONS(3268),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3268),
    [sym_number] = ACTIONS(3268),
    [sym_private_property_identifier] = ACTIONS(3268),
    [sym_this] = ACTIONS(3268),
    [sym_super] = ACTIONS(3268),
    [sym_true] = ACTIONS(3268),
    [sym_false] = ACTIONS(3268),
    [sym_null] = ACTIONS(3268),
    [sym_undefined] = ACTIONS(3268),
    [anon_sym_AT] = ACTIONS(3268),
    [anon_sym_static] = ACTIONS(3268),
    [anon_sym_readonly] = ACTIONS(3268),
    [anon_sym_get] = ACTIONS(3268),
    [anon_sym_set] = ACTIONS(3268),
    [anon_sym_declare] = ACTIONS(3268),
    [anon_sym_public] = ACTIONS(3268),
    [anon_sym_private] = ACTIONS(3268),
    [anon_sym_protected] = ACTIONS(3268),
    [anon_sym_override] = ACTIONS(3268),
    [anon_sym_module] = ACTIONS(3268),
    [anon_sym_any] = ACTIONS(3268),
    [anon_sym_number] = ACTIONS(3268),
    [anon_sym_boolean] = ACTIONS(3268),
    [anon_sym_string] = ACTIONS(3268),
    [anon_sym_symbol] = ACTIONS(3268),
    [anon_sym_object] = ACTIONS(3268),
    [anon_sym_abstract] = ACTIONS(3268),
    [anon_sym_interface] = ACTIONS(3268),
    [anon_sym_enum] = ACTIONS(3268),
    [sym_html_comment] = ACTIONS(5),
  },
  [1469] = {
    [sym_comment] = STATE(1469),
    [ts_builtin_sym_end] = ACTIONS(3506),
    [sym_identifier] = ACTIONS(3168),
    [anon_sym_export] = ACTIONS(3168),
    [anon_sym_type] = ACTIONS(3168),
    [anon_sym_namespace] = ACTIONS(3168),
    [anon_sym_LBRACE] = ACTIONS(3168),
    [anon_sym_RBRACE] = ACTIONS(3168),
    [anon_sym_typeof] = ACTIONS(3168),
    [anon_sym_import] = ACTIONS(3168),
    [anon_sym_var] = ACTIONS(3168),
    [anon_sym_let] = ACTIONS(3168),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_BANG] = ACTIONS(3168),
    [anon_sym_else] = ACTIONS(3168),
    [anon_sym_if] = ACTIONS(3168),
    [anon_sym_switch] = ACTIONS(3168),
    [anon_sym_for] = ACTIONS(3168),
    [anon_sym_LPAREN] = ACTIONS(3168),
    [anon_sym_await] = ACTIONS(3168),
    [anon_sym_while] = ACTIONS(3168),
    [anon_sym_do] = ACTIONS(3168),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_with] = ACTIONS(3168),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_continue] = ACTIONS(3168),
    [anon_sym_debugger] = ACTIONS(3168),
    [anon_sym_return] = ACTIONS(3168),
    [anon_sym_throw] = ACTIONS(3168),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym_yield] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_LTtemplate_GT] = ACTIONS(3168),
    [anon_sym_class] = ACTIONS(3168),
    [anon_sym_async] = ACTIONS(3168),
    [anon_sym_function] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(3168),
    [anon_sym_using] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3168),
    [anon_sym_DASH] = ACTIONS(3168),
    [anon_sym_SLASH] = ACTIONS(3168),
    [anon_sym_LT] = ACTIONS(3168),
    [anon_sym_TILDE] = ACTIONS(3168),
    [anon_sym_void] = ACTIONS(3168),
    [anon_sym_delete] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3168),
    [anon_sym_DQUOTE] = ACTIONS(3168),
    [anon_sym_SQUOTE] = ACTIONS(3168),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3168),
    [sym_number] = ACTIONS(3168),
    [sym_private_property_identifier] = ACTIONS(3168),
    [sym_this] = ACTIONS(3168),
    [sym_super] = ACTIONS(3168),
    [sym_true] = ACTIONS(3168),
    [sym_false] = ACTIONS(3168),
    [sym_null] = ACTIONS(3168),
    [sym_undefined] = ACTIONS(3168),
    [anon_sym_AT] = ACTIONS(3168),
    [anon_sym_static] = ACTIONS(3168),
    [anon_sym_readonly] = ACTIONS(3168),
    [anon_sym_get] = ACTIONS(3168),
    [anon_sym_set] = ACTIONS(3168),
    [anon_sym_declare] = ACTIONS(3168),
    [anon_sym_public] = ACTIONS(3168),
    [anon_sym_private] = ACTIONS(3168),
    [anon_sym_protected] = ACTIONS(3168),
    [anon_sym_override] = ACTIONS(3168),
    [anon_sym_module] = ACTIONS(3168),
    [anon_sym_any] = ACTIONS(3168),
    [anon_sym_number] = ACTIONS(3168),
    [anon_sym_boolean] = ACTIONS(3168),
    [anon_sym_string] = ACTIONS(3168),
    [anon_sym_symbol] = ACTIONS(3168),
    [anon_sym_object] = ACTIONS(3168),
    [anon_sym_abstract] = ACTIONS(3168),
    [anon_sym_interface] = ACTIONS(3168),
    [anon_sym_enum] = ACTIONS(3168),
    [sym_html_comment] = ACTIONS(5),
  },
  [1470] = {
    [sym_comment] = STATE(1470),
    [ts_builtin_sym_end] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1471] = {
    [sym_comment] = STATE(1471),
    [ts_builtin_sym_end] = ACTIONS(3510),
    [sym_identifier] = ACTIONS(3214),
    [anon_sym_export] = ACTIONS(3214),
    [anon_sym_type] = ACTIONS(3214),
    [anon_sym_namespace] = ACTIONS(3214),
    [anon_sym_LBRACE] = ACTIONS(3214),
    [anon_sym_RBRACE] = ACTIONS(3214),
    [anon_sym_typeof] = ACTIONS(3214),
    [anon_sym_import] = ACTIONS(3214),
    [anon_sym_var] = ACTIONS(3214),
    [anon_sym_let] = ACTIONS(3214),
    [anon_sym_const] = ACTIONS(3214),
    [anon_sym_BANG] = ACTIONS(3214),
    [anon_sym_else] = ACTIONS(3214),
    [anon_sym_if] = ACTIONS(3214),
    [anon_sym_switch] = ACTIONS(3214),
    [anon_sym_for] = ACTIONS(3214),
    [anon_sym_LPAREN] = ACTIONS(3214),
    [anon_sym_await] = ACTIONS(3214),
    [anon_sym_while] = ACTIONS(3214),
    [anon_sym_do] = ACTIONS(3214),
    [anon_sym_try] = ACTIONS(3214),
    [anon_sym_with] = ACTIONS(3214),
    [anon_sym_break] = ACTIONS(3214),
    [anon_sym_continue] = ACTIONS(3214),
    [anon_sym_debugger] = ACTIONS(3214),
    [anon_sym_return] = ACTIONS(3214),
    [anon_sym_throw] = ACTIONS(3214),
    [anon_sym_SEMI] = ACTIONS(3214),
    [anon_sym_yield] = ACTIONS(3214),
    [anon_sym_LBRACK] = ACTIONS(3214),
    [anon_sym_LTtemplate_GT] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3214),
    [anon_sym_async] = ACTIONS(3214),
    [anon_sym_function] = ACTIONS(3214),
    [anon_sym_new] = ACTIONS(3214),
    [anon_sym_using] = ACTIONS(3214),
    [anon_sym_PLUS] = ACTIONS(3214),
    [anon_sym_DASH] = ACTIONS(3214),
    [anon_sym_SLASH] = ACTIONS(3214),
    [anon_sym_LT] = ACTIONS(3214),
    [anon_sym_TILDE] = ACTIONS(3214),
    [anon_sym_void] = ACTIONS(3214),
    [anon_sym_delete] = ACTIONS(3214),
    [anon_sym_PLUS_PLUS] = ACTIONS(3214),
    [anon_sym_DASH_DASH] = ACTIONS(3214),
    [anon_sym_DQUOTE] = ACTIONS(3214),
    [anon_sym_SQUOTE] = ACTIONS(3214),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3214),
    [sym_number] = ACTIONS(3214),
    [sym_private_property_identifier] = ACTIONS(3214),
    [sym_this] = ACTIONS(3214),
    [sym_super] = ACTIONS(3214),
    [sym_true] = ACTIONS(3214),
    [sym_false] = ACTIONS(3214),
    [sym_null] = ACTIONS(3214),
    [sym_undefined] = ACTIONS(3214),
    [anon_sym_AT] = ACTIONS(3214),
    [anon_sym_static] = ACTIONS(3214),
    [anon_sym_readonly] = ACTIONS(3214),
    [anon_sym_get] = ACTIONS(3214),
    [anon_sym_set] = ACTIONS(3214),
    [anon_sym_declare] = ACTIONS(3214),
    [anon_sym_public] = ACTIONS(3214),
    [anon_sym_private] = ACTIONS(3214),
    [anon_sym_protected] = ACTIONS(3214),
    [anon_sym_override] = ACTIONS(3214),
    [anon_sym_module] = ACTIONS(3214),
    [anon_sym_any] = ACTIONS(3214),
    [anon_sym_number] = ACTIONS(3214),
    [anon_sym_boolean] = ACTIONS(3214),
    [anon_sym_string] = ACTIONS(3214),
    [anon_sym_symbol] = ACTIONS(3214),
    [anon_sym_object] = ACTIONS(3214),
    [anon_sym_abstract] = ACTIONS(3214),
    [anon_sym_interface] = ACTIONS(3214),
    [anon_sym_enum] = ACTIONS(3214),
    [sym_html_comment] = ACTIONS(5),
  },
  [1472] = {
    [sym_comment] = STATE(1472),
    [ts_builtin_sym_end] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1473] = {
    [sym_comment] = STATE(1473),
    [ts_builtin_sym_end] = ACTIONS(3512),
    [sym_identifier] = ACTIONS(3216),
    [anon_sym_export] = ACTIONS(3216),
    [anon_sym_type] = ACTIONS(3216),
    [anon_sym_namespace] = ACTIONS(3216),
    [anon_sym_LBRACE] = ACTIONS(3216),
    [anon_sym_RBRACE] = ACTIONS(3216),
    [anon_sym_typeof] = ACTIONS(3216),
    [anon_sym_import] = ACTIONS(3216),
    [anon_sym_var] = ACTIONS(3216),
    [anon_sym_let] = ACTIONS(3216),
    [anon_sym_const] = ACTIONS(3216),
    [anon_sym_BANG] = ACTIONS(3216),
    [anon_sym_else] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_switch] = ACTIONS(3216),
    [anon_sym_for] = ACTIONS(3216),
    [anon_sym_LPAREN] = ACTIONS(3216),
    [anon_sym_await] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(3216),
    [anon_sym_do] = ACTIONS(3216),
    [anon_sym_try] = ACTIONS(3216),
    [anon_sym_with] = ACTIONS(3216),
    [anon_sym_break] = ACTIONS(3216),
    [anon_sym_continue] = ACTIONS(3216),
    [anon_sym_debugger] = ACTIONS(3216),
    [anon_sym_return] = ACTIONS(3216),
    [anon_sym_throw] = ACTIONS(3216),
    [anon_sym_SEMI] = ACTIONS(3216),
    [anon_sym_yield] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_LTtemplate_GT] = ACTIONS(3216),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_async] = ACTIONS(3216),
    [anon_sym_function] = ACTIONS(3216),
    [anon_sym_new] = ACTIONS(3216),
    [anon_sym_using] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3216),
    [anon_sym_LT] = ACTIONS(3216),
    [anon_sym_TILDE] = ACTIONS(3216),
    [anon_sym_void] = ACTIONS(3216),
    [anon_sym_delete] = ACTIONS(3216),
    [anon_sym_PLUS_PLUS] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3216),
    [anon_sym_DQUOTE] = ACTIONS(3216),
    [anon_sym_SQUOTE] = ACTIONS(3216),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3216),
    [sym_number] = ACTIONS(3216),
    [sym_private_property_identifier] = ACTIONS(3216),
    [sym_this] = ACTIONS(3216),
    [sym_super] = ACTIONS(3216),
    [sym_true] = ACTIONS(3216),
    [sym_false] = ACTIONS(3216),
    [sym_null] = ACTIONS(3216),
    [sym_undefined] = ACTIONS(3216),
    [anon_sym_AT] = ACTIONS(3216),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_readonly] = ACTIONS(3216),
    [anon_sym_get] = ACTIONS(3216),
    [anon_sym_set] = ACTIONS(3216),
    [anon_sym_declare] = ACTIONS(3216),
    [anon_sym_public] = ACTIONS(3216),
    [anon_sym_private] = ACTIONS(3216),
    [anon_sym_protected] = ACTIONS(3216),
    [anon_sym_override] = ACTIONS(3216),
    [anon_sym_module] = ACTIONS(3216),
    [anon_sym_any] = ACTIONS(3216),
    [anon_sym_number] = ACTIONS(3216),
    [anon_sym_boolean] = ACTIONS(3216),
    [anon_sym_string] = ACTIONS(3216),
    [anon_sym_symbol] = ACTIONS(3216),
    [anon_sym_object] = ACTIONS(3216),
    [anon_sym_abstract] = ACTIONS(3216),
    [anon_sym_interface] = ACTIONS(3216),
    [anon_sym_enum] = ACTIONS(3216),
    [sym_html_comment] = ACTIONS(5),
  },
  [1474] = {
    [sym_comment] = STATE(1474),
    [ts_builtin_sym_end] = ACTIONS(3514),
    [sym_identifier] = ACTIONS(3164),
    [anon_sym_export] = ACTIONS(3164),
    [anon_sym_type] = ACTIONS(3164),
    [anon_sym_namespace] = ACTIONS(3164),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_RBRACE] = ACTIONS(3164),
    [anon_sym_typeof] = ACTIONS(3164),
    [anon_sym_import] = ACTIONS(3164),
    [anon_sym_var] = ACTIONS(3164),
    [anon_sym_let] = ACTIONS(3164),
    [anon_sym_const] = ACTIONS(3164),
    [anon_sym_BANG] = ACTIONS(3164),
    [anon_sym_else] = ACTIONS(3164),
    [anon_sym_if] = ACTIONS(3164),
    [anon_sym_switch] = ACTIONS(3164),
    [anon_sym_for] = ACTIONS(3164),
    [anon_sym_LPAREN] = ACTIONS(3164),
    [anon_sym_await] = ACTIONS(3164),
    [anon_sym_while] = ACTIONS(3164),
    [anon_sym_do] = ACTIONS(3164),
    [anon_sym_try] = ACTIONS(3164),
    [anon_sym_with] = ACTIONS(3164),
    [anon_sym_break] = ACTIONS(3164),
    [anon_sym_continue] = ACTIONS(3164),
    [anon_sym_debugger] = ACTIONS(3164),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_throw] = ACTIONS(3164),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [anon_sym_LTtemplate_GT] = ACTIONS(3164),
    [anon_sym_class] = ACTIONS(3164),
    [anon_sym_async] = ACTIONS(3164),
    [anon_sym_function] = ACTIONS(3164),
    [anon_sym_new] = ACTIONS(3164),
    [anon_sym_using] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_SLASH] = ACTIONS(3164),
    [anon_sym_LT] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_void] = ACTIONS(3164),
    [anon_sym_delete] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [anon_sym_DQUOTE] = ACTIONS(3164),
    [anon_sym_SQUOTE] = ACTIONS(3164),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3164),
    [sym_number] = ACTIONS(3164),
    [sym_private_property_identifier] = ACTIONS(3164),
    [sym_this] = ACTIONS(3164),
    [sym_super] = ACTIONS(3164),
    [sym_true] = ACTIONS(3164),
    [sym_false] = ACTIONS(3164),
    [sym_null] = ACTIONS(3164),
    [sym_undefined] = ACTIONS(3164),
    [anon_sym_AT] = ACTIONS(3164),
    [anon_sym_static] = ACTIONS(3164),
    [anon_sym_readonly] = ACTIONS(3164),
    [anon_sym_get] = ACTIONS(3164),
    [anon_sym_set] = ACTIONS(3164),
    [anon_sym_declare] = ACTIONS(3164),
    [anon_sym_public] = ACTIONS(3164),
    [anon_sym_private] = ACTIONS(3164),
    [anon_sym_protected] = ACTIONS(3164),
    [anon_sym_override] = ACTIONS(3164),
    [anon_sym_module] = ACTIONS(3164),
    [anon_sym_any] = ACTIONS(3164),
    [anon_sym_number] = ACTIONS(3164),
    [anon_sym_boolean] = ACTIONS(3164),
    [anon_sym_string] = ACTIONS(3164),
    [anon_sym_symbol] = ACTIONS(3164),
    [anon_sym_object] = ACTIONS(3164),
    [anon_sym_abstract] = ACTIONS(3164),
    [anon_sym_interface] = ACTIONS(3164),
    [anon_sym_enum] = ACTIONS(3164),
    [sym_html_comment] = ACTIONS(5),
  },
  [1475] = {
    [sym_comment] = STATE(1475),
    [ts_builtin_sym_end] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1476] = {
    [sym_comment] = STATE(1476),
    [ts_builtin_sym_end] = ACTIONS(3516),
    [sym_identifier] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_type] = ACTIONS(3222),
    [anon_sym_namespace] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_RBRACE] = ACTIONS(3222),
    [anon_sym_typeof] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_var] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_BANG] = ACTIONS(3222),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_switch] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_await] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [anon_sym_do] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_with] = ACTIONS(3222),
    [anon_sym_break] = ACTIONS(3222),
    [anon_sym_continue] = ACTIONS(3222),
    [anon_sym_debugger] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_throw] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_yield] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_LTtemplate_GT] = ACTIONS(3222),
    [anon_sym_class] = ACTIONS(3222),
    [anon_sym_async] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_new] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_PLUS] = ACTIONS(3222),
    [anon_sym_DASH] = ACTIONS(3222),
    [anon_sym_SLASH] = ACTIONS(3222),
    [anon_sym_LT] = ACTIONS(3222),
    [anon_sym_TILDE] = ACTIONS(3222),
    [anon_sym_void] = ACTIONS(3222),
    [anon_sym_delete] = ACTIONS(3222),
    [anon_sym_PLUS_PLUS] = ACTIONS(3222),
    [anon_sym_DASH_DASH] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [sym_number] = ACTIONS(3222),
    [sym_private_property_identifier] = ACTIONS(3222),
    [sym_this] = ACTIONS(3222),
    [sym_super] = ACTIONS(3222),
    [sym_true] = ACTIONS(3222),
    [sym_false] = ACTIONS(3222),
    [sym_null] = ACTIONS(3222),
    [sym_undefined] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_static] = ACTIONS(3222),
    [anon_sym_readonly] = ACTIONS(3222),
    [anon_sym_get] = ACTIONS(3222),
    [anon_sym_set] = ACTIONS(3222),
    [anon_sym_declare] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_private] = ACTIONS(3222),
    [anon_sym_protected] = ACTIONS(3222),
    [anon_sym_override] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_any] = ACTIONS(3222),
    [anon_sym_number] = ACTIONS(3222),
    [anon_sym_boolean] = ACTIONS(3222),
    [anon_sym_string] = ACTIONS(3222),
    [anon_sym_symbol] = ACTIONS(3222),
    [anon_sym_object] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_interface] = ACTIONS(3222),
    [anon_sym_enum] = ACTIONS(3222),
    [sym_html_comment] = ACTIONS(5),
  },
  [1477] = {
    [sym_comment] = STATE(1477),
    [ts_builtin_sym_end] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1478] = {
    [sym_comment] = STATE(1478),
    [ts_builtin_sym_end] = ACTIONS(3516),
    [sym_identifier] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_type] = ACTIONS(3222),
    [anon_sym_namespace] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_RBRACE] = ACTIONS(3222),
    [anon_sym_typeof] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_var] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_BANG] = ACTIONS(3222),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_switch] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_await] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [anon_sym_do] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_with] = ACTIONS(3222),
    [anon_sym_break] = ACTIONS(3222),
    [anon_sym_continue] = ACTIONS(3222),
    [anon_sym_debugger] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_throw] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_yield] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_LTtemplate_GT] = ACTIONS(3222),
    [anon_sym_class] = ACTIONS(3222),
    [anon_sym_async] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_new] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_PLUS] = ACTIONS(3222),
    [anon_sym_DASH] = ACTIONS(3222),
    [anon_sym_SLASH] = ACTIONS(3222),
    [anon_sym_LT] = ACTIONS(3222),
    [anon_sym_TILDE] = ACTIONS(3222),
    [anon_sym_void] = ACTIONS(3222),
    [anon_sym_delete] = ACTIONS(3222),
    [anon_sym_PLUS_PLUS] = ACTIONS(3222),
    [anon_sym_DASH_DASH] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [sym_number] = ACTIONS(3222),
    [sym_private_property_identifier] = ACTIONS(3222),
    [sym_this] = ACTIONS(3222),
    [sym_super] = ACTIONS(3222),
    [sym_true] = ACTIONS(3222),
    [sym_false] = ACTIONS(3222),
    [sym_null] = ACTIONS(3222),
    [sym_undefined] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_static] = ACTIONS(3222),
    [anon_sym_readonly] = ACTIONS(3222),
    [anon_sym_get] = ACTIONS(3222),
    [anon_sym_set] = ACTIONS(3222),
    [anon_sym_declare] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_private] = ACTIONS(3222),
    [anon_sym_protected] = ACTIONS(3222),
    [anon_sym_override] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_any] = ACTIONS(3222),
    [anon_sym_number] = ACTIONS(3222),
    [anon_sym_boolean] = ACTIONS(3222),
    [anon_sym_string] = ACTIONS(3222),
    [anon_sym_symbol] = ACTIONS(3222),
    [anon_sym_object] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_interface] = ACTIONS(3222),
    [anon_sym_enum] = ACTIONS(3222),
    [sym_html_comment] = ACTIONS(5),
  },
  [1479] = {
    [sym_comment] = STATE(1479),
    [ts_builtin_sym_end] = ACTIONS(3518),
    [sym_identifier] = ACTIONS(3162),
    [anon_sym_export] = ACTIONS(3162),
    [anon_sym_type] = ACTIONS(3162),
    [anon_sym_namespace] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3162),
    [anon_sym_RBRACE] = ACTIONS(3162),
    [anon_sym_typeof] = ACTIONS(3162),
    [anon_sym_import] = ACTIONS(3162),
    [anon_sym_var] = ACTIONS(3162),
    [anon_sym_let] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_BANG] = ACTIONS(3162),
    [anon_sym_else] = ACTIONS(3162),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_switch] = ACTIONS(3162),
    [anon_sym_for] = ACTIONS(3162),
    [anon_sym_LPAREN] = ACTIONS(3162),
    [anon_sym_await] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3162),
    [anon_sym_do] = ACTIONS(3162),
    [anon_sym_try] = ACTIONS(3162),
    [anon_sym_with] = ACTIONS(3162),
    [anon_sym_break] = ACTIONS(3162),
    [anon_sym_continue] = ACTIONS(3162),
    [anon_sym_debugger] = ACTIONS(3162),
    [anon_sym_return] = ACTIONS(3162),
    [anon_sym_throw] = ACTIONS(3162),
    [anon_sym_SEMI] = ACTIONS(3162),
    [anon_sym_yield] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_LTtemplate_GT] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_async] = ACTIONS(3162),
    [anon_sym_function] = ACTIONS(3162),
    [anon_sym_new] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_SLASH] = ACTIONS(3162),
    [anon_sym_LT] = ACTIONS(3162),
    [anon_sym_TILDE] = ACTIONS(3162),
    [anon_sym_void] = ACTIONS(3162),
    [anon_sym_delete] = ACTIONS(3162),
    [anon_sym_PLUS_PLUS] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3162),
    [anon_sym_DQUOTE] = ACTIONS(3162),
    [anon_sym_SQUOTE] = ACTIONS(3162),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3162),
    [sym_number] = ACTIONS(3162),
    [sym_private_property_identifier] = ACTIONS(3162),
    [sym_this] = ACTIONS(3162),
    [sym_super] = ACTIONS(3162),
    [sym_true] = ACTIONS(3162),
    [sym_false] = ACTIONS(3162),
    [sym_null] = ACTIONS(3162),
    [sym_undefined] = ACTIONS(3162),
    [anon_sym_AT] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_readonly] = ACTIONS(3162),
    [anon_sym_get] = ACTIONS(3162),
    [anon_sym_set] = ACTIONS(3162),
    [anon_sym_declare] = ACTIONS(3162),
    [anon_sym_public] = ACTIONS(3162),
    [anon_sym_private] = ACTIONS(3162),
    [anon_sym_protected] = ACTIONS(3162),
    [anon_sym_override] = ACTIONS(3162),
    [anon_sym_module] = ACTIONS(3162),
    [anon_sym_any] = ACTIONS(3162),
    [anon_sym_number] = ACTIONS(3162),
    [anon_sym_boolean] = ACTIONS(3162),
    [anon_sym_string] = ACTIONS(3162),
    [anon_sym_symbol] = ACTIONS(3162),
    [anon_sym_object] = ACTIONS(3162),
    [anon_sym_abstract] = ACTIONS(3162),
    [anon_sym_interface] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [sym_html_comment] = ACTIONS(5),
  },
  [1480] = {
    [sym_comment] = STATE(1480),
    [ts_builtin_sym_end] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1481] = {
    [sym_comment] = STATE(1481),
    [ts_builtin_sym_end] = ACTIONS(2271),
    [sym_identifier] = ACTIONS(2147),
    [anon_sym_export] = ACTIONS(2147),
    [anon_sym_type] = ACTIONS(2147),
    [anon_sym_namespace] = ACTIONS(2147),
    [anon_sym_LBRACE] = ACTIONS(2147),
    [anon_sym_RBRACE] = ACTIONS(2147),
    [anon_sym_typeof] = ACTIONS(2147),
    [anon_sym_import] = ACTIONS(2147),
    [anon_sym_var] = ACTIONS(2147),
    [anon_sym_let] = ACTIONS(2147),
    [anon_sym_const] = ACTIONS(2147),
    [anon_sym_BANG] = ACTIONS(2147),
    [anon_sym_if] = ACTIONS(2147),
    [anon_sym_switch] = ACTIONS(2147),
    [anon_sym_for] = ACTIONS(2147),
    [anon_sym_LPAREN] = ACTIONS(2147),
    [anon_sym_await] = ACTIONS(2147),
    [anon_sym_while] = ACTIONS(2147),
    [anon_sym_do] = ACTIONS(2147),
    [anon_sym_try] = ACTIONS(2147),
    [anon_sym_with] = ACTIONS(2147),
    [anon_sym_break] = ACTIONS(2147),
    [anon_sym_continue] = ACTIONS(2147),
    [anon_sym_debugger] = ACTIONS(2147),
    [anon_sym_return] = ACTIONS(2147),
    [anon_sym_throw] = ACTIONS(2147),
    [anon_sym_SEMI] = ACTIONS(2147),
    [anon_sym_yield] = ACTIONS(2147),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_LTtemplate_GT] = ACTIONS(2147),
    [anon_sym_class] = ACTIONS(2147),
    [anon_sym_async] = ACTIONS(2147),
    [anon_sym_function] = ACTIONS(2147),
    [anon_sym_new] = ACTIONS(2147),
    [anon_sym_using] = ACTIONS(2147),
    [anon_sym_PLUS] = ACTIONS(2147),
    [anon_sym_DASH] = ACTIONS(2147),
    [anon_sym_SLASH] = ACTIONS(2147),
    [anon_sym_LT] = ACTIONS(2147),
    [anon_sym_TILDE] = ACTIONS(2147),
    [anon_sym_void] = ACTIONS(2147),
    [anon_sym_delete] = ACTIONS(2147),
    [anon_sym_PLUS_PLUS] = ACTIONS(2147),
    [anon_sym_DASH_DASH] = ACTIONS(2147),
    [anon_sym_DQUOTE] = ACTIONS(2147),
    [anon_sym_SQUOTE] = ACTIONS(2147),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2147),
    [sym_number] = ACTIONS(2147),
    [sym_private_property_identifier] = ACTIONS(2147),
    [sym_this] = ACTIONS(2147),
    [sym_super] = ACTIONS(2147),
    [sym_true] = ACTIONS(2147),
    [sym_false] = ACTIONS(2147),
    [sym_null] = ACTIONS(2147),
    [sym_undefined] = ACTIONS(2147),
    [anon_sym_AT] = ACTIONS(2147),
    [anon_sym_static] = ACTIONS(2147),
    [anon_sym_readonly] = ACTIONS(2147),
    [anon_sym_get] = ACTIONS(2147),
    [anon_sym_set] = ACTIONS(2147),
    [anon_sym_declare] = ACTIONS(2147),
    [anon_sym_public] = ACTIONS(2147),
    [anon_sym_private] = ACTIONS(2147),
    [anon_sym_protected] = ACTIONS(2147),
    [anon_sym_override] = ACTIONS(2147),
    [anon_sym_module] = ACTIONS(2147),
    [anon_sym_any] = ACTIONS(2147),
    [anon_sym_number] = ACTIONS(2147),
    [anon_sym_boolean] = ACTIONS(2147),
    [anon_sym_string] = ACTIONS(2147),
    [anon_sym_symbol] = ACTIONS(2147),
    [anon_sym_object] = ACTIONS(2147),
    [anon_sym_abstract] = ACTIONS(2147),
    [anon_sym_interface] = ACTIONS(2147),
    [anon_sym_enum] = ACTIONS(2147),
    [sym__automatic_semicolon] = ACTIONS(2423),
    [sym_html_comment] = ACTIONS(5),
  },
  [1482] = {
    [sym_comment] = STATE(1482),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_default] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_case] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym_html_comment] = ACTIONS(5),
  },
  [1483] = {
    [sym_comment] = STATE(1483),
    [sym_identifier] = ACTIONS(2127),
    [anon_sym_export] = ACTIONS(2127),
    [anon_sym_default] = ACTIONS(2127),
    [anon_sym_type] = ACTIONS(2127),
    [anon_sym_namespace] = ACTIONS(2127),
    [anon_sym_LBRACE] = ACTIONS(2127),
    [anon_sym_RBRACE] = ACTIONS(2127),
    [anon_sym_typeof] = ACTIONS(2127),
    [anon_sym_import] = ACTIONS(2127),
    [anon_sym_var] = ACTIONS(2127),
    [anon_sym_let] = ACTIONS(2127),
    [anon_sym_const] = ACTIONS(2127),
    [anon_sym_BANG] = ACTIONS(2127),
    [anon_sym_if] = ACTIONS(2127),
    [anon_sym_switch] = ACTIONS(2127),
    [anon_sym_for] = ACTIONS(2127),
    [anon_sym_LPAREN] = ACTIONS(2127),
    [anon_sym_await] = ACTIONS(2127),
    [anon_sym_while] = ACTIONS(2127),
    [anon_sym_do] = ACTIONS(2127),
    [anon_sym_try] = ACTIONS(2127),
    [anon_sym_with] = ACTIONS(2127),
    [anon_sym_break] = ACTIONS(2127),
    [anon_sym_continue] = ACTIONS(2127),
    [anon_sym_debugger] = ACTIONS(2127),
    [anon_sym_return] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2127),
    [anon_sym_SEMI] = ACTIONS(2127),
    [anon_sym_case] = ACTIONS(2127),
    [anon_sym_yield] = ACTIONS(2127),
    [anon_sym_LBRACK] = ACTIONS(2127),
    [anon_sym_LTtemplate_GT] = ACTIONS(2127),
    [anon_sym_class] = ACTIONS(2127),
    [anon_sym_async] = ACTIONS(2127),
    [anon_sym_function] = ACTIONS(2127),
    [anon_sym_new] = ACTIONS(2127),
    [anon_sym_using] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_SLASH] = ACTIONS(2127),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_TILDE] = ACTIONS(2127),
    [anon_sym_void] = ACTIONS(2127),
    [anon_sym_delete] = ACTIONS(2127),
    [anon_sym_PLUS_PLUS] = ACTIONS(2127),
    [anon_sym_DASH_DASH] = ACTIONS(2127),
    [anon_sym_DQUOTE] = ACTIONS(2127),
    [anon_sym_SQUOTE] = ACTIONS(2127),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2127),
    [sym_number] = ACTIONS(2127),
    [sym_private_property_identifier] = ACTIONS(2127),
    [sym_this] = ACTIONS(2127),
    [sym_super] = ACTIONS(2127),
    [sym_true] = ACTIONS(2127),
    [sym_false] = ACTIONS(2127),
    [sym_null] = ACTIONS(2127),
    [sym_undefined] = ACTIONS(2127),
    [anon_sym_AT] = ACTIONS(2127),
    [anon_sym_static] = ACTIONS(2127),
    [anon_sym_readonly] = ACTIONS(2127),
    [anon_sym_get] = ACTIONS(2127),
    [anon_sym_set] = ACTIONS(2127),
    [anon_sym_declare] = ACTIONS(2127),
    [anon_sym_public] = ACTIONS(2127),
    [anon_sym_private] = ACTIONS(2127),
    [anon_sym_protected] = ACTIONS(2127),
    [anon_sym_override] = ACTIONS(2127),
    [anon_sym_module] = ACTIONS(2127),
    [anon_sym_any] = ACTIONS(2127),
    [anon_sym_number] = ACTIONS(2127),
    [anon_sym_boolean] = ACTIONS(2127),
    [anon_sym_string] = ACTIONS(2127),
    [anon_sym_symbol] = ACTIONS(2127),
    [anon_sym_object] = ACTIONS(2127),
    [anon_sym_abstract] = ACTIONS(2127),
    [anon_sym_interface] = ACTIONS(2127),
    [anon_sym_enum] = ACTIONS(2127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1484] = {
    [sym_comment] = STATE(1484),
    [ts_builtin_sym_end] = ACTIONS(3520),
    [sym_identifier] = ACTIONS(3146),
    [anon_sym_export] = ACTIONS(3146),
    [anon_sym_type] = ACTIONS(3146),
    [anon_sym_namespace] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3146),
    [anon_sym_RBRACE] = ACTIONS(3146),
    [anon_sym_typeof] = ACTIONS(3146),
    [anon_sym_import] = ACTIONS(3146),
    [anon_sym_var] = ACTIONS(3146),
    [anon_sym_let] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_BANG] = ACTIONS(3146),
    [anon_sym_else] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3146),
    [anon_sym_switch] = ACTIONS(3146),
    [anon_sym_for] = ACTIONS(3146),
    [anon_sym_LPAREN] = ACTIONS(3146),
    [anon_sym_await] = ACTIONS(3146),
    [anon_sym_while] = ACTIONS(3146),
    [anon_sym_do] = ACTIONS(3146),
    [anon_sym_try] = ACTIONS(3146),
    [anon_sym_with] = ACTIONS(3146),
    [anon_sym_break] = ACTIONS(3146),
    [anon_sym_continue] = ACTIONS(3146),
    [anon_sym_debugger] = ACTIONS(3146),
    [anon_sym_return] = ACTIONS(3146),
    [anon_sym_throw] = ACTIONS(3146),
    [anon_sym_SEMI] = ACTIONS(3146),
    [anon_sym_yield] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_LTtemplate_GT] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_async] = ACTIONS(3146),
    [anon_sym_function] = ACTIONS(3146),
    [anon_sym_new] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_SLASH] = ACTIONS(3146),
    [anon_sym_LT] = ACTIONS(3146),
    [anon_sym_TILDE] = ACTIONS(3146),
    [anon_sym_void] = ACTIONS(3146),
    [anon_sym_delete] = ACTIONS(3146),
    [anon_sym_PLUS_PLUS] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3146),
    [anon_sym_DQUOTE] = ACTIONS(3146),
    [anon_sym_SQUOTE] = ACTIONS(3146),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3146),
    [sym_number] = ACTIONS(3146),
    [sym_private_property_identifier] = ACTIONS(3146),
    [sym_this] = ACTIONS(3146),
    [sym_super] = ACTIONS(3146),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [sym_null] = ACTIONS(3146),
    [sym_undefined] = ACTIONS(3146),
    [anon_sym_AT] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_readonly] = ACTIONS(3146),
    [anon_sym_get] = ACTIONS(3146),
    [anon_sym_set] = ACTIONS(3146),
    [anon_sym_declare] = ACTIONS(3146),
    [anon_sym_public] = ACTIONS(3146),
    [anon_sym_private] = ACTIONS(3146),
    [anon_sym_protected] = ACTIONS(3146),
    [anon_sym_override] = ACTIONS(3146),
    [anon_sym_module] = ACTIONS(3146),
    [anon_sym_any] = ACTIONS(3146),
    [anon_sym_number] = ACTIONS(3146),
    [anon_sym_boolean] = ACTIONS(3146),
    [anon_sym_string] = ACTIONS(3146),
    [anon_sym_symbol] = ACTIONS(3146),
    [anon_sym_object] = ACTIONS(3146),
    [anon_sym_abstract] = ACTIONS(3146),
    [anon_sym_interface] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [sym_html_comment] = ACTIONS(5),
  },
  [1485] = {
    [sym_comment] = STATE(1485),
    [sym_identifier] = ACTIONS(3134),
    [anon_sym_export] = ACTIONS(3134),
    [anon_sym_default] = ACTIONS(3134),
    [anon_sym_type] = ACTIONS(3134),
    [anon_sym_namespace] = ACTIONS(3134),
    [anon_sym_LBRACE] = ACTIONS(3134),
    [anon_sym_RBRACE] = ACTIONS(3134),
    [anon_sym_typeof] = ACTIONS(3134),
    [anon_sym_import] = ACTIONS(3134),
    [anon_sym_var] = ACTIONS(3134),
    [anon_sym_let] = ACTIONS(3134),
    [anon_sym_const] = ACTIONS(3134),
    [anon_sym_BANG] = ACTIONS(3134),
    [anon_sym_if] = ACTIONS(3134),
    [anon_sym_switch] = ACTIONS(3134),
    [anon_sym_for] = ACTIONS(3134),
    [anon_sym_LPAREN] = ACTIONS(3134),
    [anon_sym_await] = ACTIONS(3134),
    [anon_sym_while] = ACTIONS(3134),
    [anon_sym_do] = ACTIONS(3134),
    [anon_sym_try] = ACTIONS(3134),
    [anon_sym_with] = ACTIONS(3134),
    [anon_sym_break] = ACTIONS(3134),
    [anon_sym_continue] = ACTIONS(3134),
    [anon_sym_debugger] = ACTIONS(3134),
    [anon_sym_return] = ACTIONS(3134),
    [anon_sym_throw] = ACTIONS(3134),
    [anon_sym_SEMI] = ACTIONS(3134),
    [anon_sym_case] = ACTIONS(3134),
    [anon_sym_yield] = ACTIONS(3134),
    [anon_sym_LBRACK] = ACTIONS(3134),
    [anon_sym_LTtemplate_GT] = ACTIONS(3134),
    [anon_sym_class] = ACTIONS(3134),
    [anon_sym_async] = ACTIONS(3134),
    [anon_sym_function] = ACTIONS(3134),
    [anon_sym_new] = ACTIONS(3134),
    [anon_sym_using] = ACTIONS(3134),
    [anon_sym_PLUS] = ACTIONS(3134),
    [anon_sym_DASH] = ACTIONS(3134),
    [anon_sym_SLASH] = ACTIONS(3134),
    [anon_sym_LT] = ACTIONS(3134),
    [anon_sym_TILDE] = ACTIONS(3134),
    [anon_sym_void] = ACTIONS(3134),
    [anon_sym_delete] = ACTIONS(3134),
    [anon_sym_PLUS_PLUS] = ACTIONS(3134),
    [anon_sym_DASH_DASH] = ACTIONS(3134),
    [anon_sym_DQUOTE] = ACTIONS(3134),
    [anon_sym_SQUOTE] = ACTIONS(3134),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3134),
    [sym_number] = ACTIONS(3134),
    [sym_private_property_identifier] = ACTIONS(3134),
    [sym_this] = ACTIONS(3134),
    [sym_super] = ACTIONS(3134),
    [sym_true] = ACTIONS(3134),
    [sym_false] = ACTIONS(3134),
    [sym_null] = ACTIONS(3134),
    [sym_undefined] = ACTIONS(3134),
    [anon_sym_AT] = ACTIONS(3134),
    [anon_sym_static] = ACTIONS(3134),
    [anon_sym_readonly] = ACTIONS(3134),
    [anon_sym_get] = ACTIONS(3134),
    [anon_sym_set] = ACTIONS(3134),
    [anon_sym_declare] = ACTIONS(3134),
    [anon_sym_public] = ACTIONS(3134),
    [anon_sym_private] = ACTIONS(3134),
    [anon_sym_protected] = ACTIONS(3134),
    [anon_sym_override] = ACTIONS(3134),
    [anon_sym_module] = ACTIONS(3134),
    [anon_sym_any] = ACTIONS(3134),
    [anon_sym_number] = ACTIONS(3134),
    [anon_sym_boolean] = ACTIONS(3134),
    [anon_sym_string] = ACTIONS(3134),
    [anon_sym_symbol] = ACTIONS(3134),
    [anon_sym_object] = ACTIONS(3134),
    [anon_sym_abstract] = ACTIONS(3134),
    [anon_sym_interface] = ACTIONS(3134),
    [anon_sym_enum] = ACTIONS(3134),
    [sym_html_comment] = ACTIONS(5),
  },
  [1486] = {
    [sym_comment] = STATE(1486),
    [ts_builtin_sym_end] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2065),
    [anon_sym_export] = ACTIONS(2065),
    [anon_sym_type] = ACTIONS(2065),
    [anon_sym_namespace] = ACTIONS(2065),
    [anon_sym_LBRACE] = ACTIONS(2065),
    [anon_sym_RBRACE] = ACTIONS(2065),
    [anon_sym_typeof] = ACTIONS(2065),
    [anon_sym_import] = ACTIONS(2065),
    [anon_sym_var] = ACTIONS(2065),
    [anon_sym_let] = ACTIONS(2065),
    [anon_sym_const] = ACTIONS(2065),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_if] = ACTIONS(2065),
    [anon_sym_switch] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2065),
    [anon_sym_LPAREN] = ACTIONS(2065),
    [anon_sym_await] = ACTIONS(2065),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_do] = ACTIONS(2065),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_with] = ACTIONS(2065),
    [anon_sym_break] = ACTIONS(2065),
    [anon_sym_continue] = ACTIONS(2065),
    [anon_sym_debugger] = ACTIONS(2065),
    [anon_sym_return] = ACTIONS(2065),
    [anon_sym_throw] = ACTIONS(2065),
    [anon_sym_SEMI] = ACTIONS(2065),
    [anon_sym_yield] = ACTIONS(2065),
    [anon_sym_LBRACK] = ACTIONS(2065),
    [anon_sym_LTtemplate_GT] = ACTIONS(2065),
    [anon_sym_class] = ACTIONS(2065),
    [anon_sym_async] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2065),
    [anon_sym_new] = ACTIONS(2065),
    [anon_sym_using] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2065),
    [anon_sym_DASH] = ACTIONS(2065),
    [anon_sym_SLASH] = ACTIONS(2065),
    [anon_sym_LT] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_void] = ACTIONS(2065),
    [anon_sym_delete] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_DQUOTE] = ACTIONS(2065),
    [anon_sym_SQUOTE] = ACTIONS(2065),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2065),
    [sym_number] = ACTIONS(2065),
    [sym_private_property_identifier] = ACTIONS(2065),
    [sym_this] = ACTIONS(2065),
    [sym_super] = ACTIONS(2065),
    [sym_true] = ACTIONS(2065),
    [sym_false] = ACTIONS(2065),
    [sym_null] = ACTIONS(2065),
    [sym_undefined] = ACTIONS(2065),
    [anon_sym_AT] = ACTIONS(2065),
    [anon_sym_static] = ACTIONS(2065),
    [anon_sym_readonly] = ACTIONS(2065),
    [anon_sym_get] = ACTIONS(2065),
    [anon_sym_set] = ACTIONS(2065),
    [anon_sym_declare] = ACTIONS(2065),
    [anon_sym_public] = ACTIONS(2065),
    [anon_sym_private] = ACTIONS(2065),
    [anon_sym_protected] = ACTIONS(2065),
    [anon_sym_override] = ACTIONS(2065),
    [anon_sym_module] = ACTIONS(2065),
    [anon_sym_any] = ACTIONS(2065),
    [anon_sym_number] = ACTIONS(2065),
    [anon_sym_boolean] = ACTIONS(2065),
    [anon_sym_string] = ACTIONS(2065),
    [anon_sym_symbol] = ACTIONS(2065),
    [anon_sym_object] = ACTIONS(2065),
    [anon_sym_abstract] = ACTIONS(2065),
    [anon_sym_interface] = ACTIONS(2065),
    [anon_sym_enum] = ACTIONS(2065),
    [sym__automatic_semicolon] = ACTIONS(3522),
    [sym_html_comment] = ACTIONS(5),
  },
  [1487] = {
    [sym_comment] = STATE(1487),
    [ts_builtin_sym_end] = ACTIONS(2091),
    [sym_identifier] = ACTIONS(2089),
    [anon_sym_export] = ACTIONS(2089),
    [anon_sym_type] = ACTIONS(2089),
    [anon_sym_namespace] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2089),
    [anon_sym_RBRACE] = ACTIONS(2089),
    [anon_sym_typeof] = ACTIONS(2089),
    [anon_sym_import] = ACTIONS(2089),
    [anon_sym_var] = ACTIONS(2089),
    [anon_sym_let] = ACTIONS(2089),
    [anon_sym_const] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2089),
    [anon_sym_else] = ACTIONS(2089),
    [anon_sym_if] = ACTIONS(2089),
    [anon_sym_switch] = ACTIONS(2089),
    [anon_sym_for] = ACTIONS(2089),
    [anon_sym_LPAREN] = ACTIONS(2089),
    [anon_sym_await] = ACTIONS(2089),
    [anon_sym_while] = ACTIONS(2089),
    [anon_sym_do] = ACTIONS(2089),
    [anon_sym_try] = ACTIONS(2089),
    [anon_sym_with] = ACTIONS(2089),
    [anon_sym_break] = ACTIONS(2089),
    [anon_sym_continue] = ACTIONS(2089),
    [anon_sym_debugger] = ACTIONS(2089),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_throw] = ACTIONS(2089),
    [anon_sym_SEMI] = ACTIONS(2089),
    [anon_sym_yield] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2089),
    [anon_sym_LTtemplate_GT] = ACTIONS(2089),
    [anon_sym_class] = ACTIONS(2089),
    [anon_sym_async] = ACTIONS(2089),
    [anon_sym_function] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2089),
    [anon_sym_using] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(2089),
    [anon_sym_DASH] = ACTIONS(2089),
    [anon_sym_SLASH] = ACTIONS(2089),
    [anon_sym_LT] = ACTIONS(2089),
    [anon_sym_TILDE] = ACTIONS(2089),
    [anon_sym_void] = ACTIONS(2089),
    [anon_sym_delete] = ACTIONS(2089),
    [anon_sym_PLUS_PLUS] = ACTIONS(2089),
    [anon_sym_DASH_DASH] = ACTIONS(2089),
    [anon_sym_DQUOTE] = ACTIONS(2089),
    [anon_sym_SQUOTE] = ACTIONS(2089),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2089),
    [sym_number] = ACTIONS(2089),
    [sym_private_property_identifier] = ACTIONS(2089),
    [sym_this] = ACTIONS(2089),
    [sym_super] = ACTIONS(2089),
    [sym_true] = ACTIONS(2089),
    [sym_false] = ACTIONS(2089),
    [sym_null] = ACTIONS(2089),
    [sym_undefined] = ACTIONS(2089),
    [anon_sym_AT] = ACTIONS(2089),
    [anon_sym_static] = ACTIONS(2089),
    [anon_sym_readonly] = ACTIONS(2089),
    [anon_sym_get] = ACTIONS(2089),
    [anon_sym_set] = ACTIONS(2089),
    [anon_sym_declare] = ACTIONS(2089),
    [anon_sym_public] = ACTIONS(2089),
    [anon_sym_private] = ACTIONS(2089),
    [anon_sym_protected] = ACTIONS(2089),
    [anon_sym_override] = ACTIONS(2089),
    [anon_sym_module] = ACTIONS(2089),
    [anon_sym_any] = ACTIONS(2089),
    [anon_sym_number] = ACTIONS(2089),
    [anon_sym_boolean] = ACTIONS(2089),
    [anon_sym_string] = ACTIONS(2089),
    [anon_sym_symbol] = ACTIONS(2089),
    [anon_sym_object] = ACTIONS(2089),
    [anon_sym_abstract] = ACTIONS(2089),
    [anon_sym_interface] = ACTIONS(2089),
    [anon_sym_enum] = ACTIONS(2089),
    [sym_html_comment] = ACTIONS(5),
  },
  [1488] = {
    [sym_comment] = STATE(1488),
    [ts_builtin_sym_end] = ACTIONS(3340),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_export] = ACTIONS(3140),
    [anon_sym_type] = ACTIONS(3140),
    [anon_sym_namespace] = ACTIONS(3140),
    [anon_sym_LBRACE] = ACTIONS(3140),
    [anon_sym_RBRACE] = ACTIONS(3140),
    [anon_sym_typeof] = ACTIONS(3140),
    [anon_sym_import] = ACTIONS(3140),
    [anon_sym_var] = ACTIONS(3140),
    [anon_sym_let] = ACTIONS(3140),
    [anon_sym_const] = ACTIONS(3140),
    [anon_sym_BANG] = ACTIONS(3140),
    [anon_sym_else] = ACTIONS(3140),
    [anon_sym_if] = ACTIONS(3140),
    [anon_sym_switch] = ACTIONS(3140),
    [anon_sym_for] = ACTIONS(3140),
    [anon_sym_LPAREN] = ACTIONS(3140),
    [anon_sym_await] = ACTIONS(3140),
    [anon_sym_while] = ACTIONS(3140),
    [anon_sym_do] = ACTIONS(3140),
    [anon_sym_try] = ACTIONS(3140),
    [anon_sym_with] = ACTIONS(3140),
    [anon_sym_break] = ACTIONS(3140),
    [anon_sym_continue] = ACTIONS(3140),
    [anon_sym_debugger] = ACTIONS(3140),
    [anon_sym_return] = ACTIONS(3140),
    [anon_sym_throw] = ACTIONS(3140),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym_yield] = ACTIONS(3140),
    [anon_sym_LBRACK] = ACTIONS(3140),
    [anon_sym_LTtemplate_GT] = ACTIONS(3140),
    [anon_sym_class] = ACTIONS(3140),
    [anon_sym_async] = ACTIONS(3140),
    [anon_sym_function] = ACTIONS(3140),
    [anon_sym_new] = ACTIONS(3140),
    [anon_sym_using] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_SLASH] = ACTIONS(3140),
    [anon_sym_LT] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_void] = ACTIONS(3140),
    [anon_sym_delete] = ACTIONS(3140),
    [anon_sym_PLUS_PLUS] = ACTIONS(3140),
    [anon_sym_DASH_DASH] = ACTIONS(3140),
    [anon_sym_DQUOTE] = ACTIONS(3140),
    [anon_sym_SQUOTE] = ACTIONS(3140),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3140),
    [sym_number] = ACTIONS(3140),
    [sym_private_property_identifier] = ACTIONS(3140),
    [sym_this] = ACTIONS(3140),
    [sym_super] = ACTIONS(3140),
    [sym_true] = ACTIONS(3140),
    [sym_false] = ACTIONS(3140),
    [sym_null] = ACTIONS(3140),
    [sym_undefined] = ACTIONS(3140),
    [anon_sym_AT] = ACTIONS(3140),
    [anon_sym_static] = ACTIONS(3140),
    [anon_sym_readonly] = ACTIONS(3140),
    [anon_sym_get] = ACTIONS(3140),
    [anon_sym_set] = ACTIONS(3140),
    [anon_sym_declare] = ACTIONS(3140),
    [anon_sym_public] = ACTIONS(3140),
    [anon_sym_private] = ACTIONS(3140),
    [anon_sym_protected] = ACTIONS(3140),
    [anon_sym_override] = ACTIONS(3140),
    [anon_sym_module] = ACTIONS(3140),
    [anon_sym_any] = ACTIONS(3140),
    [anon_sym_number] = ACTIONS(3140),
    [anon_sym_boolean] = ACTIONS(3140),
    [anon_sym_string] = ACTIONS(3140),
    [anon_sym_symbol] = ACTIONS(3140),
    [anon_sym_object] = ACTIONS(3140),
    [anon_sym_abstract] = ACTIONS(3140),
    [anon_sym_interface] = ACTIONS(3140),
    [anon_sym_enum] = ACTIONS(3140),
    [sym_html_comment] = ACTIONS(5),
  },
  [1489] = {
    [sym_comment] = STATE(1489),
    [ts_builtin_sym_end] = ACTIONS(2103),
    [sym_identifier] = ACTIONS(2101),
    [anon_sym_export] = ACTIONS(2101),
    [anon_sym_type] = ACTIONS(2101),
    [anon_sym_namespace] = ACTIONS(2101),
    [anon_sym_LBRACE] = ACTIONS(2101),
    [anon_sym_RBRACE] = ACTIONS(2101),
    [anon_sym_typeof] = ACTIONS(2101),
    [anon_sym_import] = ACTIONS(2101),
    [anon_sym_var] = ACTIONS(2101),
    [anon_sym_let] = ACTIONS(2101),
    [anon_sym_const] = ACTIONS(2101),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_else] = ACTIONS(2101),
    [anon_sym_if] = ACTIONS(2101),
    [anon_sym_switch] = ACTIONS(2101),
    [anon_sym_for] = ACTIONS(2101),
    [anon_sym_LPAREN] = ACTIONS(2101),
    [anon_sym_await] = ACTIONS(2101),
    [anon_sym_while] = ACTIONS(2101),
    [anon_sym_do] = ACTIONS(2101),
    [anon_sym_try] = ACTIONS(2101),
    [anon_sym_with] = ACTIONS(2101),
    [anon_sym_break] = ACTIONS(2101),
    [anon_sym_continue] = ACTIONS(2101),
    [anon_sym_debugger] = ACTIONS(2101),
    [anon_sym_return] = ACTIONS(2101),
    [anon_sym_throw] = ACTIONS(2101),
    [anon_sym_SEMI] = ACTIONS(2101),
    [anon_sym_yield] = ACTIONS(2101),
    [anon_sym_LBRACK] = ACTIONS(2101),
    [anon_sym_LTtemplate_GT] = ACTIONS(2101),
    [anon_sym_class] = ACTIONS(2101),
    [anon_sym_async] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2101),
    [anon_sym_new] = ACTIONS(2101),
    [anon_sym_using] = ACTIONS(2101),
    [anon_sym_PLUS] = ACTIONS(2101),
    [anon_sym_DASH] = ACTIONS(2101),
    [anon_sym_SLASH] = ACTIONS(2101),
    [anon_sym_LT] = ACTIONS(2101),
    [anon_sym_TILDE] = ACTIONS(2101),
    [anon_sym_void] = ACTIONS(2101),
    [anon_sym_delete] = ACTIONS(2101),
    [anon_sym_PLUS_PLUS] = ACTIONS(2101),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_DQUOTE] = ACTIONS(2101),
    [anon_sym_SQUOTE] = ACTIONS(2101),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2101),
    [sym_number] = ACTIONS(2101),
    [sym_private_property_identifier] = ACTIONS(2101),
    [sym_this] = ACTIONS(2101),
    [sym_super] = ACTIONS(2101),
    [sym_true] = ACTIONS(2101),
    [sym_false] = ACTIONS(2101),
    [sym_null] = ACTIONS(2101),
    [sym_undefined] = ACTIONS(2101),
    [anon_sym_AT] = ACTIONS(2101),
    [anon_sym_static] = ACTIONS(2101),
    [anon_sym_readonly] = ACTIONS(2101),
    [anon_sym_get] = ACTIONS(2101),
    [anon_sym_set] = ACTIONS(2101),
    [anon_sym_declare] = ACTIONS(2101),
    [anon_sym_public] = ACTIONS(2101),
    [anon_sym_private] = ACTIONS(2101),
    [anon_sym_protected] = ACTIONS(2101),
    [anon_sym_override] = ACTIONS(2101),
    [anon_sym_module] = ACTIONS(2101),
    [anon_sym_any] = ACTIONS(2101),
    [anon_sym_number] = ACTIONS(2101),
    [anon_sym_boolean] = ACTIONS(2101),
    [anon_sym_string] = ACTIONS(2101),
    [anon_sym_symbol] = ACTIONS(2101),
    [anon_sym_object] = ACTIONS(2101),
    [anon_sym_abstract] = ACTIONS(2101),
    [anon_sym_interface] = ACTIONS(2101),
    [anon_sym_enum] = ACTIONS(2101),
    [sym_html_comment] = ACTIONS(5),
  },
  [1490] = {
    [sym_comment] = STATE(1490),
    [ts_builtin_sym_end] = ACTIONS(3524),
    [sym_identifier] = ACTIONS(3152),
    [anon_sym_export] = ACTIONS(3152),
    [anon_sym_type] = ACTIONS(3152),
    [anon_sym_namespace] = ACTIONS(3152),
    [anon_sym_LBRACE] = ACTIONS(3152),
    [anon_sym_RBRACE] = ACTIONS(3152),
    [anon_sym_typeof] = ACTIONS(3152),
    [anon_sym_import] = ACTIONS(3152),
    [anon_sym_var] = ACTIONS(3152),
    [anon_sym_let] = ACTIONS(3152),
    [anon_sym_const] = ACTIONS(3152),
    [anon_sym_BANG] = ACTIONS(3152),
    [anon_sym_else] = ACTIONS(3152),
    [anon_sym_if] = ACTIONS(3152),
    [anon_sym_switch] = ACTIONS(3152),
    [anon_sym_for] = ACTIONS(3152),
    [anon_sym_LPAREN] = ACTIONS(3152),
    [anon_sym_await] = ACTIONS(3152),
    [anon_sym_while] = ACTIONS(3152),
    [anon_sym_do] = ACTIONS(3152),
    [anon_sym_try] = ACTIONS(3152),
    [anon_sym_with] = ACTIONS(3152),
    [anon_sym_break] = ACTIONS(3152),
    [anon_sym_continue] = ACTIONS(3152),
    [anon_sym_debugger] = ACTIONS(3152),
    [anon_sym_return] = ACTIONS(3152),
    [anon_sym_throw] = ACTIONS(3152),
    [anon_sym_SEMI] = ACTIONS(3152),
    [anon_sym_yield] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_LTtemplate_GT] = ACTIONS(3152),
    [anon_sym_class] = ACTIONS(3152),
    [anon_sym_async] = ACTIONS(3152),
    [anon_sym_function] = ACTIONS(3152),
    [anon_sym_new] = ACTIONS(3152),
    [anon_sym_using] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_SLASH] = ACTIONS(3152),
    [anon_sym_LT] = ACTIONS(3152),
    [anon_sym_TILDE] = ACTIONS(3152),
    [anon_sym_void] = ACTIONS(3152),
    [anon_sym_delete] = ACTIONS(3152),
    [anon_sym_PLUS_PLUS] = ACTIONS(3152),
    [anon_sym_DASH_DASH] = ACTIONS(3152),
    [anon_sym_DQUOTE] = ACTIONS(3152),
    [anon_sym_SQUOTE] = ACTIONS(3152),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3152),
    [sym_number] = ACTIONS(3152),
    [sym_private_property_identifier] = ACTIONS(3152),
    [sym_this] = ACTIONS(3152),
    [sym_super] = ACTIONS(3152),
    [sym_true] = ACTIONS(3152),
    [sym_false] = ACTIONS(3152),
    [sym_null] = ACTIONS(3152),
    [sym_undefined] = ACTIONS(3152),
    [anon_sym_AT] = ACTIONS(3152),
    [anon_sym_static] = ACTIONS(3152),
    [anon_sym_readonly] = ACTIONS(3152),
    [anon_sym_get] = ACTIONS(3152),
    [anon_sym_set] = ACTIONS(3152),
    [anon_sym_declare] = ACTIONS(3152),
    [anon_sym_public] = ACTIONS(3152),
    [anon_sym_private] = ACTIONS(3152),
    [anon_sym_protected] = ACTIONS(3152),
    [anon_sym_override] = ACTIONS(3152),
    [anon_sym_module] = ACTIONS(3152),
    [anon_sym_any] = ACTIONS(3152),
    [anon_sym_number] = ACTIONS(3152),
    [anon_sym_boolean] = ACTIONS(3152),
    [anon_sym_string] = ACTIONS(3152),
    [anon_sym_symbol] = ACTIONS(3152),
    [anon_sym_object] = ACTIONS(3152),
    [anon_sym_abstract] = ACTIONS(3152),
    [anon_sym_interface] = ACTIONS(3152),
    [anon_sym_enum] = ACTIONS(3152),
    [sym_html_comment] = ACTIONS(5),
  },
  [1491] = {
    [sym_comment] = STATE(1491),
    [ts_builtin_sym_end] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1492] = {
    [sym_comment] = STATE(1492),
    [ts_builtin_sym_end] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1493] = {
    [sym_comment] = STATE(1493),
    [ts_builtin_sym_end] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1494] = {
    [sym_comment] = STATE(1494),
    [ts_builtin_sym_end] = ACTIONS(3526),
    [sym_identifier] = ACTIONS(3228),
    [anon_sym_export] = ACTIONS(3228),
    [anon_sym_type] = ACTIONS(3228),
    [anon_sym_namespace] = ACTIONS(3228),
    [anon_sym_LBRACE] = ACTIONS(3228),
    [anon_sym_RBRACE] = ACTIONS(3228),
    [anon_sym_typeof] = ACTIONS(3228),
    [anon_sym_import] = ACTIONS(3228),
    [anon_sym_var] = ACTIONS(3228),
    [anon_sym_let] = ACTIONS(3228),
    [anon_sym_const] = ACTIONS(3228),
    [anon_sym_BANG] = ACTIONS(3228),
    [anon_sym_else] = ACTIONS(3228),
    [anon_sym_if] = ACTIONS(3228),
    [anon_sym_switch] = ACTIONS(3228),
    [anon_sym_for] = ACTIONS(3228),
    [anon_sym_LPAREN] = ACTIONS(3228),
    [anon_sym_await] = ACTIONS(3228),
    [anon_sym_while] = ACTIONS(3228),
    [anon_sym_do] = ACTIONS(3228),
    [anon_sym_try] = ACTIONS(3228),
    [anon_sym_with] = ACTIONS(3228),
    [anon_sym_break] = ACTIONS(3228),
    [anon_sym_continue] = ACTIONS(3228),
    [anon_sym_debugger] = ACTIONS(3228),
    [anon_sym_return] = ACTIONS(3228),
    [anon_sym_throw] = ACTIONS(3228),
    [anon_sym_SEMI] = ACTIONS(3228),
    [anon_sym_yield] = ACTIONS(3228),
    [anon_sym_LBRACK] = ACTIONS(3228),
    [anon_sym_LTtemplate_GT] = ACTIONS(3228),
    [anon_sym_class] = ACTIONS(3228),
    [anon_sym_async] = ACTIONS(3228),
    [anon_sym_function] = ACTIONS(3228),
    [anon_sym_new] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3228),
    [anon_sym_PLUS] = ACTIONS(3228),
    [anon_sym_DASH] = ACTIONS(3228),
    [anon_sym_SLASH] = ACTIONS(3228),
    [anon_sym_LT] = ACTIONS(3228),
    [anon_sym_TILDE] = ACTIONS(3228),
    [anon_sym_void] = ACTIONS(3228),
    [anon_sym_delete] = ACTIONS(3228),
    [anon_sym_PLUS_PLUS] = ACTIONS(3228),
    [anon_sym_DASH_DASH] = ACTIONS(3228),
    [anon_sym_DQUOTE] = ACTIONS(3228),
    [anon_sym_SQUOTE] = ACTIONS(3228),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3228),
    [sym_number] = ACTIONS(3228),
    [sym_private_property_identifier] = ACTIONS(3228),
    [sym_this] = ACTIONS(3228),
    [sym_super] = ACTIONS(3228),
    [sym_true] = ACTIONS(3228),
    [sym_false] = ACTIONS(3228),
    [sym_null] = ACTIONS(3228),
    [sym_undefined] = ACTIONS(3228),
    [anon_sym_AT] = ACTIONS(3228),
    [anon_sym_static] = ACTIONS(3228),
    [anon_sym_readonly] = ACTIONS(3228),
    [anon_sym_get] = ACTIONS(3228),
    [anon_sym_set] = ACTIONS(3228),
    [anon_sym_declare] = ACTIONS(3228),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_override] = ACTIONS(3228),
    [anon_sym_module] = ACTIONS(3228),
    [anon_sym_any] = ACTIONS(3228),
    [anon_sym_number] = ACTIONS(3228),
    [anon_sym_boolean] = ACTIONS(3228),
    [anon_sym_string] = ACTIONS(3228),
    [anon_sym_symbol] = ACTIONS(3228),
    [anon_sym_object] = ACTIONS(3228),
    [anon_sym_abstract] = ACTIONS(3228),
    [anon_sym_interface] = ACTIONS(3228),
    [anon_sym_enum] = ACTIONS(3228),
    [sym_html_comment] = ACTIONS(5),
  },
  [1495] = {
    [sym_comment] = STATE(1495),
    [ts_builtin_sym_end] = ACTIONS(3528),
    [sym_identifier] = ACTIONS(3120),
    [anon_sym_export] = ACTIONS(3120),
    [anon_sym_type] = ACTIONS(3120),
    [anon_sym_namespace] = ACTIONS(3120),
    [anon_sym_LBRACE] = ACTIONS(3120),
    [anon_sym_RBRACE] = ACTIONS(3120),
    [anon_sym_typeof] = ACTIONS(3120),
    [anon_sym_import] = ACTIONS(3120),
    [anon_sym_var] = ACTIONS(3120),
    [anon_sym_let] = ACTIONS(3120),
    [anon_sym_const] = ACTIONS(3120),
    [anon_sym_BANG] = ACTIONS(3120),
    [anon_sym_else] = ACTIONS(3120),
    [anon_sym_if] = ACTIONS(3120),
    [anon_sym_switch] = ACTIONS(3120),
    [anon_sym_for] = ACTIONS(3120),
    [anon_sym_LPAREN] = ACTIONS(3120),
    [anon_sym_await] = ACTIONS(3120),
    [anon_sym_while] = ACTIONS(3120),
    [anon_sym_do] = ACTIONS(3120),
    [anon_sym_try] = ACTIONS(3120),
    [anon_sym_with] = ACTIONS(3120),
    [anon_sym_break] = ACTIONS(3120),
    [anon_sym_continue] = ACTIONS(3120),
    [anon_sym_debugger] = ACTIONS(3120),
    [anon_sym_return] = ACTIONS(3120),
    [anon_sym_throw] = ACTIONS(3120),
    [anon_sym_SEMI] = ACTIONS(3120),
    [anon_sym_yield] = ACTIONS(3120),
    [anon_sym_LBRACK] = ACTIONS(3120),
    [anon_sym_LTtemplate_GT] = ACTIONS(3120),
    [anon_sym_class] = ACTIONS(3120),
    [anon_sym_async] = ACTIONS(3120),
    [anon_sym_function] = ACTIONS(3120),
    [anon_sym_new] = ACTIONS(3120),
    [anon_sym_using] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3120),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_SLASH] = ACTIONS(3120),
    [anon_sym_LT] = ACTIONS(3120),
    [anon_sym_TILDE] = ACTIONS(3120),
    [anon_sym_void] = ACTIONS(3120),
    [anon_sym_delete] = ACTIONS(3120),
    [anon_sym_PLUS_PLUS] = ACTIONS(3120),
    [anon_sym_DASH_DASH] = ACTIONS(3120),
    [anon_sym_DQUOTE] = ACTIONS(3120),
    [anon_sym_SQUOTE] = ACTIONS(3120),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3120),
    [sym_number] = ACTIONS(3120),
    [sym_private_property_identifier] = ACTIONS(3120),
    [sym_this] = ACTIONS(3120),
    [sym_super] = ACTIONS(3120),
    [sym_true] = ACTIONS(3120),
    [sym_false] = ACTIONS(3120),
    [sym_null] = ACTIONS(3120),
    [sym_undefined] = ACTIONS(3120),
    [anon_sym_AT] = ACTIONS(3120),
    [anon_sym_static] = ACTIONS(3120),
    [anon_sym_readonly] = ACTIONS(3120),
    [anon_sym_get] = ACTIONS(3120),
    [anon_sym_set] = ACTIONS(3120),
    [anon_sym_declare] = ACTIONS(3120),
    [anon_sym_public] = ACTIONS(3120),
    [anon_sym_private] = ACTIONS(3120),
    [anon_sym_protected] = ACTIONS(3120),
    [anon_sym_override] = ACTIONS(3120),
    [anon_sym_module] = ACTIONS(3120),
    [anon_sym_any] = ACTIONS(3120),
    [anon_sym_number] = ACTIONS(3120),
    [anon_sym_boolean] = ACTIONS(3120),
    [anon_sym_string] = ACTIONS(3120),
    [anon_sym_symbol] = ACTIONS(3120),
    [anon_sym_object] = ACTIONS(3120),
    [anon_sym_abstract] = ACTIONS(3120),
    [anon_sym_interface] = ACTIONS(3120),
    [anon_sym_enum] = ACTIONS(3120),
    [sym_html_comment] = ACTIONS(5),
  },
  [1496] = {
    [sym_comment] = STATE(1496),
    [ts_builtin_sym_end] = ACTIONS(3530),
    [sym_identifier] = ACTIONS(3122),
    [anon_sym_export] = ACTIONS(3122),
    [anon_sym_type] = ACTIONS(3122),
    [anon_sym_namespace] = ACTIONS(3122),
    [anon_sym_LBRACE] = ACTIONS(3122),
    [anon_sym_RBRACE] = ACTIONS(3122),
    [anon_sym_typeof] = ACTIONS(3122),
    [anon_sym_import] = ACTIONS(3122),
    [anon_sym_var] = ACTIONS(3122),
    [anon_sym_let] = ACTIONS(3122),
    [anon_sym_const] = ACTIONS(3122),
    [anon_sym_BANG] = ACTIONS(3122),
    [anon_sym_else] = ACTIONS(3122),
    [anon_sym_if] = ACTIONS(3122),
    [anon_sym_switch] = ACTIONS(3122),
    [anon_sym_for] = ACTIONS(3122),
    [anon_sym_LPAREN] = ACTIONS(3122),
    [anon_sym_await] = ACTIONS(3122),
    [anon_sym_while] = ACTIONS(3122),
    [anon_sym_do] = ACTIONS(3122),
    [anon_sym_try] = ACTIONS(3122),
    [anon_sym_with] = ACTIONS(3122),
    [anon_sym_break] = ACTIONS(3122),
    [anon_sym_continue] = ACTIONS(3122),
    [anon_sym_debugger] = ACTIONS(3122),
    [anon_sym_return] = ACTIONS(3122),
    [anon_sym_throw] = ACTIONS(3122),
    [anon_sym_SEMI] = ACTIONS(3122),
    [anon_sym_yield] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3122),
    [anon_sym_LTtemplate_GT] = ACTIONS(3122),
    [anon_sym_class] = ACTIONS(3122),
    [anon_sym_async] = ACTIONS(3122),
    [anon_sym_function] = ACTIONS(3122),
    [anon_sym_new] = ACTIONS(3122),
    [anon_sym_using] = ACTIONS(3122),
    [anon_sym_PLUS] = ACTIONS(3122),
    [anon_sym_DASH] = ACTIONS(3122),
    [anon_sym_SLASH] = ACTIONS(3122),
    [anon_sym_LT] = ACTIONS(3122),
    [anon_sym_TILDE] = ACTIONS(3122),
    [anon_sym_void] = ACTIONS(3122),
    [anon_sym_delete] = ACTIONS(3122),
    [anon_sym_PLUS_PLUS] = ACTIONS(3122),
    [anon_sym_DASH_DASH] = ACTIONS(3122),
    [anon_sym_DQUOTE] = ACTIONS(3122),
    [anon_sym_SQUOTE] = ACTIONS(3122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3122),
    [sym_number] = ACTIONS(3122),
    [sym_private_property_identifier] = ACTIONS(3122),
    [sym_this] = ACTIONS(3122),
    [sym_super] = ACTIONS(3122),
    [sym_true] = ACTIONS(3122),
    [sym_false] = ACTIONS(3122),
    [sym_null] = ACTIONS(3122),
    [sym_undefined] = ACTIONS(3122),
    [anon_sym_AT] = ACTIONS(3122),
    [anon_sym_static] = ACTIONS(3122),
    [anon_sym_readonly] = ACTIONS(3122),
    [anon_sym_get] = ACTIONS(3122),
    [anon_sym_set] = ACTIONS(3122),
    [anon_sym_declare] = ACTIONS(3122),
    [anon_sym_public] = ACTIONS(3122),
    [anon_sym_private] = ACTIONS(3122),
    [anon_sym_protected] = ACTIONS(3122),
    [anon_sym_override] = ACTIONS(3122),
    [anon_sym_module] = ACTIONS(3122),
    [anon_sym_any] = ACTIONS(3122),
    [anon_sym_number] = ACTIONS(3122),
    [anon_sym_boolean] = ACTIONS(3122),
    [anon_sym_string] = ACTIONS(3122),
    [anon_sym_symbol] = ACTIONS(3122),
    [anon_sym_object] = ACTIONS(3122),
    [anon_sym_abstract] = ACTIONS(3122),
    [anon_sym_interface] = ACTIONS(3122),
    [anon_sym_enum] = ACTIONS(3122),
    [sym_html_comment] = ACTIONS(5),
  },
  [1497] = {
    [sym_comment] = STATE(1497),
    [ts_builtin_sym_end] = ACTIONS(3532),
    [sym_identifier] = ACTIONS(3126),
    [anon_sym_export] = ACTIONS(3126),
    [anon_sym_type] = ACTIONS(3126),
    [anon_sym_namespace] = ACTIONS(3126),
    [anon_sym_LBRACE] = ACTIONS(3126),
    [anon_sym_RBRACE] = ACTIONS(3126),
    [anon_sym_typeof] = ACTIONS(3126),
    [anon_sym_import] = ACTIONS(3126),
    [anon_sym_var] = ACTIONS(3126),
    [anon_sym_let] = ACTIONS(3126),
    [anon_sym_const] = ACTIONS(3126),
    [anon_sym_BANG] = ACTIONS(3126),
    [anon_sym_else] = ACTIONS(3126),
    [anon_sym_if] = ACTIONS(3126),
    [anon_sym_switch] = ACTIONS(3126),
    [anon_sym_for] = ACTIONS(3126),
    [anon_sym_LPAREN] = ACTIONS(3126),
    [anon_sym_await] = ACTIONS(3126),
    [anon_sym_while] = ACTIONS(3126),
    [anon_sym_do] = ACTIONS(3126),
    [anon_sym_try] = ACTIONS(3126),
    [anon_sym_with] = ACTIONS(3126),
    [anon_sym_break] = ACTIONS(3126),
    [anon_sym_continue] = ACTIONS(3126),
    [anon_sym_debugger] = ACTIONS(3126),
    [anon_sym_return] = ACTIONS(3126),
    [anon_sym_throw] = ACTIONS(3126),
    [anon_sym_SEMI] = ACTIONS(3126),
    [anon_sym_yield] = ACTIONS(3126),
    [anon_sym_LBRACK] = ACTIONS(3126),
    [anon_sym_LTtemplate_GT] = ACTIONS(3126),
    [anon_sym_class] = ACTIONS(3126),
    [anon_sym_async] = ACTIONS(3126),
    [anon_sym_function] = ACTIONS(3126),
    [anon_sym_new] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3126),
    [anon_sym_PLUS] = ACTIONS(3126),
    [anon_sym_DASH] = ACTIONS(3126),
    [anon_sym_SLASH] = ACTIONS(3126),
    [anon_sym_LT] = ACTIONS(3126),
    [anon_sym_TILDE] = ACTIONS(3126),
    [anon_sym_void] = ACTIONS(3126),
    [anon_sym_delete] = ACTIONS(3126),
    [anon_sym_PLUS_PLUS] = ACTIONS(3126),
    [anon_sym_DASH_DASH] = ACTIONS(3126),
    [anon_sym_DQUOTE] = ACTIONS(3126),
    [anon_sym_SQUOTE] = ACTIONS(3126),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3126),
    [sym_number] = ACTIONS(3126),
    [sym_private_property_identifier] = ACTIONS(3126),
    [sym_this] = ACTIONS(3126),
    [sym_super] = ACTIONS(3126),
    [sym_true] = ACTIONS(3126),
    [sym_false] = ACTIONS(3126),
    [sym_null] = ACTIONS(3126),
    [sym_undefined] = ACTIONS(3126),
    [anon_sym_AT] = ACTIONS(3126),
    [anon_sym_static] = ACTIONS(3126),
    [anon_sym_readonly] = ACTIONS(3126),
    [anon_sym_get] = ACTIONS(3126),
    [anon_sym_set] = ACTIONS(3126),
    [anon_sym_declare] = ACTIONS(3126),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_override] = ACTIONS(3126),
    [anon_sym_module] = ACTIONS(3126),
    [anon_sym_any] = ACTIONS(3126),
    [anon_sym_number] = ACTIONS(3126),
    [anon_sym_boolean] = ACTIONS(3126),
    [anon_sym_string] = ACTIONS(3126),
    [anon_sym_symbol] = ACTIONS(3126),
    [anon_sym_object] = ACTIONS(3126),
    [anon_sym_abstract] = ACTIONS(3126),
    [anon_sym_interface] = ACTIONS(3126),
    [anon_sym_enum] = ACTIONS(3126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1498] = {
    [sym_comment] = STATE(1498),
    [ts_builtin_sym_end] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1499] = {
    [sym_comment] = STATE(1499),
    [ts_builtin_sym_end] = ACTIONS(3534),
    [sym_identifier] = ACTIONS(3144),
    [anon_sym_export] = ACTIONS(3144),
    [anon_sym_type] = ACTIONS(3144),
    [anon_sym_namespace] = ACTIONS(3144),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_RBRACE] = ACTIONS(3144),
    [anon_sym_typeof] = ACTIONS(3144),
    [anon_sym_import] = ACTIONS(3144),
    [anon_sym_var] = ACTIONS(3144),
    [anon_sym_let] = ACTIONS(3144),
    [anon_sym_const] = ACTIONS(3144),
    [anon_sym_BANG] = ACTIONS(3144),
    [anon_sym_else] = ACTIONS(3144),
    [anon_sym_if] = ACTIONS(3144),
    [anon_sym_switch] = ACTIONS(3144),
    [anon_sym_for] = ACTIONS(3144),
    [anon_sym_LPAREN] = ACTIONS(3144),
    [anon_sym_await] = ACTIONS(3144),
    [anon_sym_while] = ACTIONS(3144),
    [anon_sym_do] = ACTIONS(3144),
    [anon_sym_try] = ACTIONS(3144),
    [anon_sym_with] = ACTIONS(3144),
    [anon_sym_break] = ACTIONS(3144),
    [anon_sym_continue] = ACTIONS(3144),
    [anon_sym_debugger] = ACTIONS(3144),
    [anon_sym_return] = ACTIONS(3144),
    [anon_sym_throw] = ACTIONS(3144),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym_yield] = ACTIONS(3144),
    [anon_sym_LBRACK] = ACTIONS(3144),
    [anon_sym_LTtemplate_GT] = ACTIONS(3144),
    [anon_sym_class] = ACTIONS(3144),
    [anon_sym_async] = ACTIONS(3144),
    [anon_sym_function] = ACTIONS(3144),
    [anon_sym_new] = ACTIONS(3144),
    [anon_sym_using] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_SLASH] = ACTIONS(3144),
    [anon_sym_LT] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_void] = ACTIONS(3144),
    [anon_sym_delete] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_DQUOTE] = ACTIONS(3144),
    [anon_sym_SQUOTE] = ACTIONS(3144),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3144),
    [sym_number] = ACTIONS(3144),
    [sym_private_property_identifier] = ACTIONS(3144),
    [sym_this] = ACTIONS(3144),
    [sym_super] = ACTIONS(3144),
    [sym_true] = ACTIONS(3144),
    [sym_false] = ACTIONS(3144),
    [sym_null] = ACTIONS(3144),
    [sym_undefined] = ACTIONS(3144),
    [anon_sym_AT] = ACTIONS(3144),
    [anon_sym_static] = ACTIONS(3144),
    [anon_sym_readonly] = ACTIONS(3144),
    [anon_sym_get] = ACTIONS(3144),
    [anon_sym_set] = ACTIONS(3144),
    [anon_sym_declare] = ACTIONS(3144),
    [anon_sym_public] = ACTIONS(3144),
    [anon_sym_private] = ACTIONS(3144),
    [anon_sym_protected] = ACTIONS(3144),
    [anon_sym_override] = ACTIONS(3144),
    [anon_sym_module] = ACTIONS(3144),
    [anon_sym_any] = ACTIONS(3144),
    [anon_sym_number] = ACTIONS(3144),
    [anon_sym_boolean] = ACTIONS(3144),
    [anon_sym_string] = ACTIONS(3144),
    [anon_sym_symbol] = ACTIONS(3144),
    [anon_sym_object] = ACTIONS(3144),
    [anon_sym_abstract] = ACTIONS(3144),
    [anon_sym_interface] = ACTIONS(3144),
    [anon_sym_enum] = ACTIONS(3144),
    [sym_html_comment] = ACTIONS(5),
  },
  [1500] = {
    [sym_comment] = STATE(1500),
    [ts_builtin_sym_end] = ACTIONS(3534),
    [sym_identifier] = ACTIONS(3144),
    [anon_sym_export] = ACTIONS(3144),
    [anon_sym_type] = ACTIONS(3144),
    [anon_sym_namespace] = ACTIONS(3144),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_RBRACE] = ACTIONS(3144),
    [anon_sym_typeof] = ACTIONS(3144),
    [anon_sym_import] = ACTIONS(3144),
    [anon_sym_var] = ACTIONS(3144),
    [anon_sym_let] = ACTIONS(3144),
    [anon_sym_const] = ACTIONS(3144),
    [anon_sym_BANG] = ACTIONS(3144),
    [anon_sym_else] = ACTIONS(3144),
    [anon_sym_if] = ACTIONS(3144),
    [anon_sym_switch] = ACTIONS(3144),
    [anon_sym_for] = ACTIONS(3144),
    [anon_sym_LPAREN] = ACTIONS(3144),
    [anon_sym_await] = ACTIONS(3144),
    [anon_sym_while] = ACTIONS(3144),
    [anon_sym_do] = ACTIONS(3144),
    [anon_sym_try] = ACTIONS(3144),
    [anon_sym_with] = ACTIONS(3144),
    [anon_sym_break] = ACTIONS(3144),
    [anon_sym_continue] = ACTIONS(3144),
    [anon_sym_debugger] = ACTIONS(3144),
    [anon_sym_return] = ACTIONS(3144),
    [anon_sym_throw] = ACTIONS(3144),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym_yield] = ACTIONS(3144),
    [anon_sym_LBRACK] = ACTIONS(3144),
    [anon_sym_LTtemplate_GT] = ACTIONS(3144),
    [anon_sym_class] = ACTIONS(3144),
    [anon_sym_async] = ACTIONS(3144),
    [anon_sym_function] = ACTIONS(3144),
    [anon_sym_new] = ACTIONS(3144),
    [anon_sym_using] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_SLASH] = ACTIONS(3144),
    [anon_sym_LT] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_void] = ACTIONS(3144),
    [anon_sym_delete] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_DQUOTE] = ACTIONS(3144),
    [anon_sym_SQUOTE] = ACTIONS(3144),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3144),
    [sym_number] = ACTIONS(3144),
    [sym_private_property_identifier] = ACTIONS(3144),
    [sym_this] = ACTIONS(3144),
    [sym_super] = ACTIONS(3144),
    [sym_true] = ACTIONS(3144),
    [sym_false] = ACTIONS(3144),
    [sym_null] = ACTIONS(3144),
    [sym_undefined] = ACTIONS(3144),
    [anon_sym_AT] = ACTIONS(3144),
    [anon_sym_static] = ACTIONS(3144),
    [anon_sym_readonly] = ACTIONS(3144),
    [anon_sym_get] = ACTIONS(3144),
    [anon_sym_set] = ACTIONS(3144),
    [anon_sym_declare] = ACTIONS(3144),
    [anon_sym_public] = ACTIONS(3144),
    [anon_sym_private] = ACTIONS(3144),
    [anon_sym_protected] = ACTIONS(3144),
    [anon_sym_override] = ACTIONS(3144),
    [anon_sym_module] = ACTIONS(3144),
    [anon_sym_any] = ACTIONS(3144),
    [anon_sym_number] = ACTIONS(3144),
    [anon_sym_boolean] = ACTIONS(3144),
    [anon_sym_string] = ACTIONS(3144),
    [anon_sym_symbol] = ACTIONS(3144),
    [anon_sym_object] = ACTIONS(3144),
    [anon_sym_abstract] = ACTIONS(3144),
    [anon_sym_interface] = ACTIONS(3144),
    [anon_sym_enum] = ACTIONS(3144),
    [sym_html_comment] = ACTIONS(5),
  },
  [1501] = {
    [sym_comment] = STATE(1501),
    [ts_builtin_sym_end] = ACTIONS(3534),
    [sym_identifier] = ACTIONS(3144),
    [anon_sym_export] = ACTIONS(3144),
    [anon_sym_type] = ACTIONS(3144),
    [anon_sym_namespace] = ACTIONS(3144),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_RBRACE] = ACTIONS(3144),
    [anon_sym_typeof] = ACTIONS(3144),
    [anon_sym_import] = ACTIONS(3144),
    [anon_sym_var] = ACTIONS(3144),
    [anon_sym_let] = ACTIONS(3144),
    [anon_sym_const] = ACTIONS(3144),
    [anon_sym_BANG] = ACTIONS(3144),
    [anon_sym_else] = ACTIONS(3144),
    [anon_sym_if] = ACTIONS(3144),
    [anon_sym_switch] = ACTIONS(3144),
    [anon_sym_for] = ACTIONS(3144),
    [anon_sym_LPAREN] = ACTIONS(3144),
    [anon_sym_await] = ACTIONS(3144),
    [anon_sym_while] = ACTIONS(3144),
    [anon_sym_do] = ACTIONS(3144),
    [anon_sym_try] = ACTIONS(3144),
    [anon_sym_with] = ACTIONS(3144),
    [anon_sym_break] = ACTIONS(3144),
    [anon_sym_continue] = ACTIONS(3144),
    [anon_sym_debugger] = ACTIONS(3144),
    [anon_sym_return] = ACTIONS(3144),
    [anon_sym_throw] = ACTIONS(3144),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym_yield] = ACTIONS(3144),
    [anon_sym_LBRACK] = ACTIONS(3144),
    [anon_sym_LTtemplate_GT] = ACTIONS(3144),
    [anon_sym_class] = ACTIONS(3144),
    [anon_sym_async] = ACTIONS(3144),
    [anon_sym_function] = ACTIONS(3144),
    [anon_sym_new] = ACTIONS(3144),
    [anon_sym_using] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_SLASH] = ACTIONS(3144),
    [anon_sym_LT] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_void] = ACTIONS(3144),
    [anon_sym_delete] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_DQUOTE] = ACTIONS(3144),
    [anon_sym_SQUOTE] = ACTIONS(3144),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3144),
    [sym_number] = ACTIONS(3144),
    [sym_private_property_identifier] = ACTIONS(3144),
    [sym_this] = ACTIONS(3144),
    [sym_super] = ACTIONS(3144),
    [sym_true] = ACTIONS(3144),
    [sym_false] = ACTIONS(3144),
    [sym_null] = ACTIONS(3144),
    [sym_undefined] = ACTIONS(3144),
    [anon_sym_AT] = ACTIONS(3144),
    [anon_sym_static] = ACTIONS(3144),
    [anon_sym_readonly] = ACTIONS(3144),
    [anon_sym_get] = ACTIONS(3144),
    [anon_sym_set] = ACTIONS(3144),
    [anon_sym_declare] = ACTIONS(3144),
    [anon_sym_public] = ACTIONS(3144),
    [anon_sym_private] = ACTIONS(3144),
    [anon_sym_protected] = ACTIONS(3144),
    [anon_sym_override] = ACTIONS(3144),
    [anon_sym_module] = ACTIONS(3144),
    [anon_sym_any] = ACTIONS(3144),
    [anon_sym_number] = ACTIONS(3144),
    [anon_sym_boolean] = ACTIONS(3144),
    [anon_sym_string] = ACTIONS(3144),
    [anon_sym_symbol] = ACTIONS(3144),
    [anon_sym_object] = ACTIONS(3144),
    [anon_sym_abstract] = ACTIONS(3144),
    [anon_sym_interface] = ACTIONS(3144),
    [anon_sym_enum] = ACTIONS(3144),
    [sym_html_comment] = ACTIONS(5),
  },
  [1502] = {
    [sym_comment] = STATE(1502),
    [ts_builtin_sym_end] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1503] = {
    [sym_comment] = STATE(1503),
    [ts_builtin_sym_end] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1504] = {
    [sym_comment] = STATE(1504),
    [ts_builtin_sym_end] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1505] = {
    [sym_comment] = STATE(1505),
    [ts_builtin_sym_end] = ACTIONS(2143),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_RBRACE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LTtemplate_GT] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_using] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_LT] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [sym_private_property_identifier] = ACTIONS(2141),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_object] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
    [sym__automatic_semicolon] = ACTIONS(2143),
    [sym_html_comment] = ACTIONS(5),
  },
  [1506] = {
    [sym_comment] = STATE(1506),
    [ts_builtin_sym_end] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1507] = {
    [sym_comment] = STATE(1507),
    [ts_builtin_sym_end] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1508] = {
    [sym_comment] = STATE(1508),
    [ts_builtin_sym_end] = ACTIONS(2167),
    [sym_identifier] = ACTIONS(2165),
    [anon_sym_export] = ACTIONS(2165),
    [anon_sym_type] = ACTIONS(2165),
    [anon_sym_namespace] = ACTIONS(2165),
    [anon_sym_LBRACE] = ACTIONS(2165),
    [anon_sym_RBRACE] = ACTIONS(2165),
    [anon_sym_typeof] = ACTIONS(2165),
    [anon_sym_import] = ACTIONS(2165),
    [anon_sym_var] = ACTIONS(2165),
    [anon_sym_let] = ACTIONS(2165),
    [anon_sym_const] = ACTIONS(2165),
    [anon_sym_BANG] = ACTIONS(2165),
    [anon_sym_if] = ACTIONS(2165),
    [anon_sym_switch] = ACTIONS(2165),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_LPAREN] = ACTIONS(2165),
    [anon_sym_await] = ACTIONS(2165),
    [anon_sym_while] = ACTIONS(2165),
    [anon_sym_do] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_with] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2165),
    [anon_sym_continue] = ACTIONS(2165),
    [anon_sym_debugger] = ACTIONS(2165),
    [anon_sym_return] = ACTIONS(2165),
    [anon_sym_throw] = ACTIONS(2165),
    [anon_sym_SEMI] = ACTIONS(2165),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_LBRACK] = ACTIONS(2165),
    [anon_sym_LTtemplate_GT] = ACTIONS(2165),
    [anon_sym_class] = ACTIONS(2165),
    [anon_sym_async] = ACTIONS(2165),
    [anon_sym_function] = ACTIONS(2165),
    [anon_sym_new] = ACTIONS(2165),
    [anon_sym_using] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(2165),
    [anon_sym_DASH] = ACTIONS(2165),
    [anon_sym_SLASH] = ACTIONS(2165),
    [anon_sym_LT] = ACTIONS(2165),
    [anon_sym_TILDE] = ACTIONS(2165),
    [anon_sym_void] = ACTIONS(2165),
    [anon_sym_delete] = ACTIONS(2165),
    [anon_sym_PLUS_PLUS] = ACTIONS(2165),
    [anon_sym_DASH_DASH] = ACTIONS(2165),
    [anon_sym_DQUOTE] = ACTIONS(2165),
    [anon_sym_SQUOTE] = ACTIONS(2165),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2165),
    [sym_number] = ACTIONS(2165),
    [sym_private_property_identifier] = ACTIONS(2165),
    [sym_this] = ACTIONS(2165),
    [sym_super] = ACTIONS(2165),
    [sym_true] = ACTIONS(2165),
    [sym_false] = ACTIONS(2165),
    [sym_null] = ACTIONS(2165),
    [sym_undefined] = ACTIONS(2165),
    [anon_sym_AT] = ACTIONS(2165),
    [anon_sym_static] = ACTIONS(2165),
    [anon_sym_readonly] = ACTIONS(2165),
    [anon_sym_get] = ACTIONS(2165),
    [anon_sym_set] = ACTIONS(2165),
    [anon_sym_declare] = ACTIONS(2165),
    [anon_sym_public] = ACTIONS(2165),
    [anon_sym_private] = ACTIONS(2165),
    [anon_sym_protected] = ACTIONS(2165),
    [anon_sym_override] = ACTIONS(2165),
    [anon_sym_module] = ACTIONS(2165),
    [anon_sym_any] = ACTIONS(2165),
    [anon_sym_number] = ACTIONS(2165),
    [anon_sym_boolean] = ACTIONS(2165),
    [anon_sym_string] = ACTIONS(2165),
    [anon_sym_symbol] = ACTIONS(2165),
    [anon_sym_object] = ACTIONS(2165),
    [anon_sym_abstract] = ACTIONS(2165),
    [anon_sym_interface] = ACTIONS(2165),
    [anon_sym_enum] = ACTIONS(2165),
    [sym__automatic_semicolon] = ACTIONS(2167),
    [sym_html_comment] = ACTIONS(5),
  },
  [1509] = {
    [sym_comment] = STATE(1509),
    [ts_builtin_sym_end] = ACTIONS(3536),
    [sym_identifier] = ACTIONS(3150),
    [anon_sym_export] = ACTIONS(3150),
    [anon_sym_type] = ACTIONS(3150),
    [anon_sym_namespace] = ACTIONS(3150),
    [anon_sym_LBRACE] = ACTIONS(3150),
    [anon_sym_RBRACE] = ACTIONS(3150),
    [anon_sym_typeof] = ACTIONS(3150),
    [anon_sym_import] = ACTIONS(3150),
    [anon_sym_var] = ACTIONS(3150),
    [anon_sym_let] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_BANG] = ACTIONS(3150),
    [anon_sym_else] = ACTIONS(3150),
    [anon_sym_if] = ACTIONS(3150),
    [anon_sym_switch] = ACTIONS(3150),
    [anon_sym_for] = ACTIONS(3150),
    [anon_sym_LPAREN] = ACTIONS(3150),
    [anon_sym_await] = ACTIONS(3150),
    [anon_sym_while] = ACTIONS(3150),
    [anon_sym_do] = ACTIONS(3150),
    [anon_sym_try] = ACTIONS(3150),
    [anon_sym_with] = ACTIONS(3150),
    [anon_sym_break] = ACTIONS(3150),
    [anon_sym_continue] = ACTIONS(3150),
    [anon_sym_debugger] = ACTIONS(3150),
    [anon_sym_return] = ACTIONS(3150),
    [anon_sym_throw] = ACTIONS(3150),
    [anon_sym_SEMI] = ACTIONS(3150),
    [anon_sym_yield] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3150),
    [anon_sym_LTtemplate_GT] = ACTIONS(3150),
    [anon_sym_class] = ACTIONS(3150),
    [anon_sym_async] = ACTIONS(3150),
    [anon_sym_function] = ACTIONS(3150),
    [anon_sym_new] = ACTIONS(3150),
    [anon_sym_using] = ACTIONS(3150),
    [anon_sym_PLUS] = ACTIONS(3150),
    [anon_sym_DASH] = ACTIONS(3150),
    [anon_sym_SLASH] = ACTIONS(3150),
    [anon_sym_LT] = ACTIONS(3150),
    [anon_sym_TILDE] = ACTIONS(3150),
    [anon_sym_void] = ACTIONS(3150),
    [anon_sym_delete] = ACTIONS(3150),
    [anon_sym_PLUS_PLUS] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3150),
    [anon_sym_DQUOTE] = ACTIONS(3150),
    [anon_sym_SQUOTE] = ACTIONS(3150),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3150),
    [sym_number] = ACTIONS(3150),
    [sym_private_property_identifier] = ACTIONS(3150),
    [sym_this] = ACTIONS(3150),
    [sym_super] = ACTIONS(3150),
    [sym_true] = ACTIONS(3150),
    [sym_false] = ACTIONS(3150),
    [sym_null] = ACTIONS(3150),
    [sym_undefined] = ACTIONS(3150),
    [anon_sym_AT] = ACTIONS(3150),
    [anon_sym_static] = ACTIONS(3150),
    [anon_sym_readonly] = ACTIONS(3150),
    [anon_sym_get] = ACTIONS(3150),
    [anon_sym_set] = ACTIONS(3150),
    [anon_sym_declare] = ACTIONS(3150),
    [anon_sym_public] = ACTIONS(3150),
    [anon_sym_private] = ACTIONS(3150),
    [anon_sym_protected] = ACTIONS(3150),
    [anon_sym_override] = ACTIONS(3150),
    [anon_sym_module] = ACTIONS(3150),
    [anon_sym_any] = ACTIONS(3150),
    [anon_sym_number] = ACTIONS(3150),
    [anon_sym_boolean] = ACTIONS(3150),
    [anon_sym_string] = ACTIONS(3150),
    [anon_sym_symbol] = ACTIONS(3150),
    [anon_sym_object] = ACTIONS(3150),
    [anon_sym_abstract] = ACTIONS(3150),
    [anon_sym_interface] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [sym_html_comment] = ACTIONS(5),
  },
  [1510] = {
    [sym_comment] = STATE(1510),
    [sym_identifier] = ACTIONS(2135),
    [anon_sym_export] = ACTIONS(2135),
    [anon_sym_default] = ACTIONS(2135),
    [anon_sym_type] = ACTIONS(2135),
    [anon_sym_namespace] = ACTIONS(2135),
    [anon_sym_LBRACE] = ACTIONS(2135),
    [anon_sym_RBRACE] = ACTIONS(2135),
    [anon_sym_typeof] = ACTIONS(2135),
    [anon_sym_import] = ACTIONS(2135),
    [anon_sym_var] = ACTIONS(2135),
    [anon_sym_let] = ACTIONS(2135),
    [anon_sym_const] = ACTIONS(2135),
    [anon_sym_BANG] = ACTIONS(2135),
    [anon_sym_if] = ACTIONS(2135),
    [anon_sym_switch] = ACTIONS(2135),
    [anon_sym_for] = ACTIONS(2135),
    [anon_sym_LPAREN] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2135),
    [anon_sym_while] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(2135),
    [anon_sym_try] = ACTIONS(2135),
    [anon_sym_with] = ACTIONS(2135),
    [anon_sym_break] = ACTIONS(2135),
    [anon_sym_continue] = ACTIONS(2135),
    [anon_sym_debugger] = ACTIONS(2135),
    [anon_sym_return] = ACTIONS(2135),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_SEMI] = ACTIONS(2135),
    [anon_sym_case] = ACTIONS(2135),
    [anon_sym_yield] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(2135),
    [anon_sym_LTtemplate_GT] = ACTIONS(2135),
    [anon_sym_class] = ACTIONS(2135),
    [anon_sym_async] = ACTIONS(2135),
    [anon_sym_function] = ACTIONS(2135),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_using] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_SLASH] = ACTIONS(2135),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_TILDE] = ACTIONS(2135),
    [anon_sym_void] = ACTIONS(2135),
    [anon_sym_delete] = ACTIONS(2135),
    [anon_sym_PLUS_PLUS] = ACTIONS(2135),
    [anon_sym_DASH_DASH] = ACTIONS(2135),
    [anon_sym_DQUOTE] = ACTIONS(2135),
    [anon_sym_SQUOTE] = ACTIONS(2135),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2135),
    [sym_number] = ACTIONS(2135),
    [sym_private_property_identifier] = ACTIONS(2135),
    [sym_this] = ACTIONS(2135),
    [sym_super] = ACTIONS(2135),
    [sym_true] = ACTIONS(2135),
    [sym_false] = ACTIONS(2135),
    [sym_null] = ACTIONS(2135),
    [sym_undefined] = ACTIONS(2135),
    [anon_sym_AT] = ACTIONS(2135),
    [anon_sym_static] = ACTIONS(2135),
    [anon_sym_readonly] = ACTIONS(2135),
    [anon_sym_get] = ACTIONS(2135),
    [anon_sym_set] = ACTIONS(2135),
    [anon_sym_declare] = ACTIONS(2135),
    [anon_sym_public] = ACTIONS(2135),
    [anon_sym_private] = ACTIONS(2135),
    [anon_sym_protected] = ACTIONS(2135),
    [anon_sym_override] = ACTIONS(2135),
    [anon_sym_module] = ACTIONS(2135),
    [anon_sym_any] = ACTIONS(2135),
    [anon_sym_number] = ACTIONS(2135),
    [anon_sym_boolean] = ACTIONS(2135),
    [anon_sym_string] = ACTIONS(2135),
    [anon_sym_symbol] = ACTIONS(2135),
    [anon_sym_object] = ACTIONS(2135),
    [anon_sym_abstract] = ACTIONS(2135),
    [anon_sym_interface] = ACTIONS(2135),
    [anon_sym_enum] = ACTIONS(2135),
    [sym_html_comment] = ACTIONS(5),
  },
  [1511] = {
    [sym_comment] = STATE(1511),
    [ts_builtin_sym_end] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1512] = {
    [sym_comment] = STATE(1512),
    [sym_identifier] = ACTIONS(2085),
    [anon_sym_export] = ACTIONS(2085),
    [anon_sym_default] = ACTIONS(2085),
    [anon_sym_type] = ACTIONS(2085),
    [anon_sym_namespace] = ACTIONS(2085),
    [anon_sym_LBRACE] = ACTIONS(2085),
    [anon_sym_RBRACE] = ACTIONS(2085),
    [anon_sym_typeof] = ACTIONS(2085),
    [anon_sym_import] = ACTIONS(2085),
    [anon_sym_var] = ACTIONS(2085),
    [anon_sym_let] = ACTIONS(2085),
    [anon_sym_const] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_if] = ACTIONS(2085),
    [anon_sym_switch] = ACTIONS(2085),
    [anon_sym_for] = ACTIONS(2085),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_await] = ACTIONS(2085),
    [anon_sym_while] = ACTIONS(2085),
    [anon_sym_do] = ACTIONS(2085),
    [anon_sym_try] = ACTIONS(2085),
    [anon_sym_with] = ACTIONS(2085),
    [anon_sym_break] = ACTIONS(2085),
    [anon_sym_continue] = ACTIONS(2085),
    [anon_sym_debugger] = ACTIONS(2085),
    [anon_sym_return] = ACTIONS(2085),
    [anon_sym_throw] = ACTIONS(2085),
    [anon_sym_SEMI] = ACTIONS(2085),
    [anon_sym_case] = ACTIONS(2085),
    [anon_sym_yield] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2085),
    [anon_sym_LTtemplate_GT] = ACTIONS(2085),
    [anon_sym_class] = ACTIONS(2085),
    [anon_sym_async] = ACTIONS(2085),
    [anon_sym_function] = ACTIONS(2085),
    [anon_sym_new] = ACTIONS(2085),
    [anon_sym_using] = ACTIONS(2085),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_SLASH] = ACTIONS(2085),
    [anon_sym_LT] = ACTIONS(2085),
    [anon_sym_TILDE] = ACTIONS(2085),
    [anon_sym_void] = ACTIONS(2085),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_PLUS_PLUS] = ACTIONS(2085),
    [anon_sym_DASH_DASH] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2085),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2085),
    [sym_number] = ACTIONS(2085),
    [sym_private_property_identifier] = ACTIONS(2085),
    [sym_this] = ACTIONS(2085),
    [sym_super] = ACTIONS(2085),
    [sym_true] = ACTIONS(2085),
    [sym_false] = ACTIONS(2085),
    [sym_null] = ACTIONS(2085),
    [sym_undefined] = ACTIONS(2085),
    [anon_sym_AT] = ACTIONS(2085),
    [anon_sym_static] = ACTIONS(2085),
    [anon_sym_readonly] = ACTIONS(2085),
    [anon_sym_get] = ACTIONS(2085),
    [anon_sym_set] = ACTIONS(2085),
    [anon_sym_declare] = ACTIONS(2085),
    [anon_sym_public] = ACTIONS(2085),
    [anon_sym_private] = ACTIONS(2085),
    [anon_sym_protected] = ACTIONS(2085),
    [anon_sym_override] = ACTIONS(2085),
    [anon_sym_module] = ACTIONS(2085),
    [anon_sym_any] = ACTIONS(2085),
    [anon_sym_number] = ACTIONS(2085),
    [anon_sym_boolean] = ACTIONS(2085),
    [anon_sym_string] = ACTIONS(2085),
    [anon_sym_symbol] = ACTIONS(2085),
    [anon_sym_object] = ACTIONS(2085),
    [anon_sym_abstract] = ACTIONS(2085),
    [anon_sym_interface] = ACTIONS(2085),
    [anon_sym_enum] = ACTIONS(2085),
    [sym_html_comment] = ACTIONS(5),
  },
  [1513] = {
    [sym_comment] = STATE(1513),
    [ts_builtin_sym_end] = ACTIONS(3538),
    [sym_identifier] = ACTIONS(3254),
    [anon_sym_export] = ACTIONS(3254),
    [anon_sym_type] = ACTIONS(3254),
    [anon_sym_namespace] = ACTIONS(3254),
    [anon_sym_LBRACE] = ACTIONS(3254),
    [anon_sym_RBRACE] = ACTIONS(3254),
    [anon_sym_typeof] = ACTIONS(3254),
    [anon_sym_import] = ACTIONS(3254),
    [anon_sym_var] = ACTIONS(3254),
    [anon_sym_let] = ACTIONS(3254),
    [anon_sym_const] = ACTIONS(3254),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_else] = ACTIONS(3254),
    [anon_sym_if] = ACTIONS(3254),
    [anon_sym_switch] = ACTIONS(3254),
    [anon_sym_for] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(3254),
    [anon_sym_await] = ACTIONS(3254),
    [anon_sym_while] = ACTIONS(3254),
    [anon_sym_do] = ACTIONS(3254),
    [anon_sym_try] = ACTIONS(3254),
    [anon_sym_with] = ACTIONS(3254),
    [anon_sym_break] = ACTIONS(3254),
    [anon_sym_continue] = ACTIONS(3254),
    [anon_sym_debugger] = ACTIONS(3254),
    [anon_sym_return] = ACTIONS(3254),
    [anon_sym_throw] = ACTIONS(3254),
    [anon_sym_SEMI] = ACTIONS(3254),
    [anon_sym_yield] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(3254),
    [anon_sym_LTtemplate_GT] = ACTIONS(3254),
    [anon_sym_class] = ACTIONS(3254),
    [anon_sym_async] = ACTIONS(3254),
    [anon_sym_function] = ACTIONS(3254),
    [anon_sym_new] = ACTIONS(3254),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_PLUS] = ACTIONS(3254),
    [anon_sym_DASH] = ACTIONS(3254),
    [anon_sym_SLASH] = ACTIONS(3254),
    [anon_sym_LT] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [anon_sym_void] = ACTIONS(3254),
    [anon_sym_delete] = ACTIONS(3254),
    [anon_sym_PLUS_PLUS] = ACTIONS(3254),
    [anon_sym_DASH_DASH] = ACTIONS(3254),
    [anon_sym_DQUOTE] = ACTIONS(3254),
    [anon_sym_SQUOTE] = ACTIONS(3254),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3254),
    [sym_number] = ACTIONS(3254),
    [sym_private_property_identifier] = ACTIONS(3254),
    [sym_this] = ACTIONS(3254),
    [sym_super] = ACTIONS(3254),
    [sym_true] = ACTIONS(3254),
    [sym_false] = ACTIONS(3254),
    [sym_null] = ACTIONS(3254),
    [sym_undefined] = ACTIONS(3254),
    [anon_sym_AT] = ACTIONS(3254),
    [anon_sym_static] = ACTIONS(3254),
    [anon_sym_readonly] = ACTIONS(3254),
    [anon_sym_get] = ACTIONS(3254),
    [anon_sym_set] = ACTIONS(3254),
    [anon_sym_declare] = ACTIONS(3254),
    [anon_sym_public] = ACTIONS(3254),
    [anon_sym_private] = ACTIONS(3254),
    [anon_sym_protected] = ACTIONS(3254),
    [anon_sym_override] = ACTIONS(3254),
    [anon_sym_module] = ACTIONS(3254),
    [anon_sym_any] = ACTIONS(3254),
    [anon_sym_number] = ACTIONS(3254),
    [anon_sym_boolean] = ACTIONS(3254),
    [anon_sym_string] = ACTIONS(3254),
    [anon_sym_symbol] = ACTIONS(3254),
    [anon_sym_object] = ACTIONS(3254),
    [anon_sym_abstract] = ACTIONS(3254),
    [anon_sym_interface] = ACTIONS(3254),
    [anon_sym_enum] = ACTIONS(3254),
    [sym_html_comment] = ACTIONS(5),
  },
  [1514] = {
    [sym_comment] = STATE(1514),
    [ts_builtin_sym_end] = ACTIONS(3540),
    [sym_identifier] = ACTIONS(3256),
    [anon_sym_export] = ACTIONS(3256),
    [anon_sym_type] = ACTIONS(3256),
    [anon_sym_namespace] = ACTIONS(3256),
    [anon_sym_LBRACE] = ACTIONS(3256),
    [anon_sym_RBRACE] = ACTIONS(3256),
    [anon_sym_typeof] = ACTIONS(3256),
    [anon_sym_import] = ACTIONS(3256),
    [anon_sym_var] = ACTIONS(3256),
    [anon_sym_let] = ACTIONS(3256),
    [anon_sym_const] = ACTIONS(3256),
    [anon_sym_BANG] = ACTIONS(3256),
    [anon_sym_else] = ACTIONS(3256),
    [anon_sym_if] = ACTIONS(3256),
    [anon_sym_switch] = ACTIONS(3256),
    [anon_sym_for] = ACTIONS(3256),
    [anon_sym_LPAREN] = ACTIONS(3256),
    [anon_sym_await] = ACTIONS(3256),
    [anon_sym_while] = ACTIONS(3256),
    [anon_sym_do] = ACTIONS(3256),
    [anon_sym_try] = ACTIONS(3256),
    [anon_sym_with] = ACTIONS(3256),
    [anon_sym_break] = ACTIONS(3256),
    [anon_sym_continue] = ACTIONS(3256),
    [anon_sym_debugger] = ACTIONS(3256),
    [anon_sym_return] = ACTIONS(3256),
    [anon_sym_throw] = ACTIONS(3256),
    [anon_sym_SEMI] = ACTIONS(3256),
    [anon_sym_yield] = ACTIONS(3256),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_LTtemplate_GT] = ACTIONS(3256),
    [anon_sym_class] = ACTIONS(3256),
    [anon_sym_async] = ACTIONS(3256),
    [anon_sym_function] = ACTIONS(3256),
    [anon_sym_new] = ACTIONS(3256),
    [anon_sym_using] = ACTIONS(3256),
    [anon_sym_PLUS] = ACTIONS(3256),
    [anon_sym_DASH] = ACTIONS(3256),
    [anon_sym_SLASH] = ACTIONS(3256),
    [anon_sym_LT] = ACTIONS(3256),
    [anon_sym_TILDE] = ACTIONS(3256),
    [anon_sym_void] = ACTIONS(3256),
    [anon_sym_delete] = ACTIONS(3256),
    [anon_sym_PLUS_PLUS] = ACTIONS(3256),
    [anon_sym_DASH_DASH] = ACTIONS(3256),
    [anon_sym_DQUOTE] = ACTIONS(3256),
    [anon_sym_SQUOTE] = ACTIONS(3256),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3256),
    [sym_number] = ACTIONS(3256),
    [sym_private_property_identifier] = ACTIONS(3256),
    [sym_this] = ACTIONS(3256),
    [sym_super] = ACTIONS(3256),
    [sym_true] = ACTIONS(3256),
    [sym_false] = ACTIONS(3256),
    [sym_null] = ACTIONS(3256),
    [sym_undefined] = ACTIONS(3256),
    [anon_sym_AT] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(3256),
    [anon_sym_readonly] = ACTIONS(3256),
    [anon_sym_get] = ACTIONS(3256),
    [anon_sym_set] = ACTIONS(3256),
    [anon_sym_declare] = ACTIONS(3256),
    [anon_sym_public] = ACTIONS(3256),
    [anon_sym_private] = ACTIONS(3256),
    [anon_sym_protected] = ACTIONS(3256),
    [anon_sym_override] = ACTIONS(3256),
    [anon_sym_module] = ACTIONS(3256),
    [anon_sym_any] = ACTIONS(3256),
    [anon_sym_number] = ACTIONS(3256),
    [anon_sym_boolean] = ACTIONS(3256),
    [anon_sym_string] = ACTIONS(3256),
    [anon_sym_symbol] = ACTIONS(3256),
    [anon_sym_object] = ACTIONS(3256),
    [anon_sym_abstract] = ACTIONS(3256),
    [anon_sym_interface] = ACTIONS(3256),
    [anon_sym_enum] = ACTIONS(3256),
    [sym_html_comment] = ACTIONS(5),
  },
  [1515] = {
    [sym_comment] = STATE(1515),
    [sym_identifier] = ACTIONS(2089),
    [anon_sym_export] = ACTIONS(2089),
    [anon_sym_default] = ACTIONS(2089),
    [anon_sym_type] = ACTIONS(2089),
    [anon_sym_namespace] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2089),
    [anon_sym_RBRACE] = ACTIONS(2089),
    [anon_sym_typeof] = ACTIONS(2089),
    [anon_sym_import] = ACTIONS(2089),
    [anon_sym_var] = ACTIONS(2089),
    [anon_sym_let] = ACTIONS(2089),
    [anon_sym_const] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2089),
    [anon_sym_if] = ACTIONS(2089),
    [anon_sym_switch] = ACTIONS(2089),
    [anon_sym_for] = ACTIONS(2089),
    [anon_sym_LPAREN] = ACTIONS(2089),
    [anon_sym_await] = ACTIONS(2089),
    [anon_sym_while] = ACTIONS(2089),
    [anon_sym_do] = ACTIONS(2089),
    [anon_sym_try] = ACTIONS(2089),
    [anon_sym_with] = ACTIONS(2089),
    [anon_sym_break] = ACTIONS(2089),
    [anon_sym_continue] = ACTIONS(2089),
    [anon_sym_debugger] = ACTIONS(2089),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_throw] = ACTIONS(2089),
    [anon_sym_SEMI] = ACTIONS(2089),
    [anon_sym_case] = ACTIONS(2089),
    [anon_sym_yield] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2089),
    [anon_sym_LTtemplate_GT] = ACTIONS(2089),
    [anon_sym_class] = ACTIONS(2089),
    [anon_sym_async] = ACTIONS(2089),
    [anon_sym_function] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2089),
    [anon_sym_using] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(2089),
    [anon_sym_DASH] = ACTIONS(2089),
    [anon_sym_SLASH] = ACTIONS(2089),
    [anon_sym_LT] = ACTIONS(2089),
    [anon_sym_TILDE] = ACTIONS(2089),
    [anon_sym_void] = ACTIONS(2089),
    [anon_sym_delete] = ACTIONS(2089),
    [anon_sym_PLUS_PLUS] = ACTIONS(2089),
    [anon_sym_DASH_DASH] = ACTIONS(2089),
    [anon_sym_DQUOTE] = ACTIONS(2089),
    [anon_sym_SQUOTE] = ACTIONS(2089),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2089),
    [sym_number] = ACTIONS(2089),
    [sym_private_property_identifier] = ACTIONS(2089),
    [sym_this] = ACTIONS(2089),
    [sym_super] = ACTIONS(2089),
    [sym_true] = ACTIONS(2089),
    [sym_false] = ACTIONS(2089),
    [sym_null] = ACTIONS(2089),
    [sym_undefined] = ACTIONS(2089),
    [anon_sym_AT] = ACTIONS(2089),
    [anon_sym_static] = ACTIONS(2089),
    [anon_sym_readonly] = ACTIONS(2089),
    [anon_sym_get] = ACTIONS(2089),
    [anon_sym_set] = ACTIONS(2089),
    [anon_sym_declare] = ACTIONS(2089),
    [anon_sym_public] = ACTIONS(2089),
    [anon_sym_private] = ACTIONS(2089),
    [anon_sym_protected] = ACTIONS(2089),
    [anon_sym_override] = ACTIONS(2089),
    [anon_sym_module] = ACTIONS(2089),
    [anon_sym_any] = ACTIONS(2089),
    [anon_sym_number] = ACTIONS(2089),
    [anon_sym_boolean] = ACTIONS(2089),
    [anon_sym_string] = ACTIONS(2089),
    [anon_sym_symbol] = ACTIONS(2089),
    [anon_sym_object] = ACTIONS(2089),
    [anon_sym_abstract] = ACTIONS(2089),
    [anon_sym_interface] = ACTIONS(2089),
    [anon_sym_enum] = ACTIONS(2089),
    [sym_html_comment] = ACTIONS(5),
  },
  [1516] = {
    [sym_comment] = STATE(1516),
    [ts_builtin_sym_end] = ACTIONS(2351),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_export] = ACTIONS(2193),
    [anon_sym_type] = ACTIONS(2193),
    [anon_sym_namespace] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(2193),
    [anon_sym_RBRACE] = ACTIONS(2193),
    [anon_sym_typeof] = ACTIONS(2193),
    [anon_sym_import] = ACTIONS(2193),
    [anon_sym_var] = ACTIONS(2193),
    [anon_sym_let] = ACTIONS(2193),
    [anon_sym_const] = ACTIONS(2193),
    [anon_sym_BANG] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2193),
    [anon_sym_switch] = ACTIONS(2193),
    [anon_sym_for] = ACTIONS(2193),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_await] = ACTIONS(2193),
    [anon_sym_while] = ACTIONS(2193),
    [anon_sym_do] = ACTIONS(2193),
    [anon_sym_try] = ACTIONS(2193),
    [anon_sym_with] = ACTIONS(2193),
    [anon_sym_break] = ACTIONS(2193),
    [anon_sym_continue] = ACTIONS(2193),
    [anon_sym_debugger] = ACTIONS(2193),
    [anon_sym_return] = ACTIONS(2193),
    [anon_sym_throw] = ACTIONS(2193),
    [anon_sym_SEMI] = ACTIONS(2193),
    [anon_sym_yield] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2193),
    [anon_sym_LTtemplate_GT] = ACTIONS(2193),
    [anon_sym_class] = ACTIONS(2193),
    [anon_sym_async] = ACTIONS(2193),
    [anon_sym_function] = ACTIONS(2193),
    [anon_sym_new] = ACTIONS(2193),
    [anon_sym_using] = ACTIONS(2193),
    [anon_sym_PLUS] = ACTIONS(2193),
    [anon_sym_DASH] = ACTIONS(2193),
    [anon_sym_SLASH] = ACTIONS(2193),
    [anon_sym_LT] = ACTIONS(2193),
    [anon_sym_TILDE] = ACTIONS(2193),
    [anon_sym_void] = ACTIONS(2193),
    [anon_sym_delete] = ACTIONS(2193),
    [anon_sym_PLUS_PLUS] = ACTIONS(2193),
    [anon_sym_DASH_DASH] = ACTIONS(2193),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [anon_sym_SQUOTE] = ACTIONS(2193),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2193),
    [sym_number] = ACTIONS(2193),
    [sym_private_property_identifier] = ACTIONS(2193),
    [sym_this] = ACTIONS(2193),
    [sym_super] = ACTIONS(2193),
    [sym_true] = ACTIONS(2193),
    [sym_false] = ACTIONS(2193),
    [sym_null] = ACTIONS(2193),
    [sym_undefined] = ACTIONS(2193),
    [anon_sym_AT] = ACTIONS(2193),
    [anon_sym_static] = ACTIONS(2193),
    [anon_sym_readonly] = ACTIONS(2193),
    [anon_sym_get] = ACTIONS(2193),
    [anon_sym_set] = ACTIONS(2193),
    [anon_sym_declare] = ACTIONS(2193),
    [anon_sym_public] = ACTIONS(2193),
    [anon_sym_private] = ACTIONS(2193),
    [anon_sym_protected] = ACTIONS(2193),
    [anon_sym_override] = ACTIONS(2193),
    [anon_sym_module] = ACTIONS(2193),
    [anon_sym_any] = ACTIONS(2193),
    [anon_sym_number] = ACTIONS(2193),
    [anon_sym_boolean] = ACTIONS(2193),
    [anon_sym_string] = ACTIONS(2193),
    [anon_sym_symbol] = ACTIONS(2193),
    [anon_sym_object] = ACTIONS(2193),
    [anon_sym_abstract] = ACTIONS(2193),
    [anon_sym_interface] = ACTIONS(2193),
    [anon_sym_enum] = ACTIONS(2193),
    [sym__automatic_semicolon] = ACTIONS(2399),
    [sym_html_comment] = ACTIONS(5),
  },
  [1517] = {
    [sym_comment] = STATE(1517),
    [ts_builtin_sym_end] = ACTIONS(3542),
    [sym_identifier] = ACTIONS(3260),
    [anon_sym_export] = ACTIONS(3260),
    [anon_sym_type] = ACTIONS(3260),
    [anon_sym_namespace] = ACTIONS(3260),
    [anon_sym_LBRACE] = ACTIONS(3260),
    [anon_sym_RBRACE] = ACTIONS(3260),
    [anon_sym_typeof] = ACTIONS(3260),
    [anon_sym_import] = ACTIONS(3260),
    [anon_sym_var] = ACTIONS(3260),
    [anon_sym_let] = ACTIONS(3260),
    [anon_sym_const] = ACTIONS(3260),
    [anon_sym_BANG] = ACTIONS(3260),
    [anon_sym_else] = ACTIONS(3260),
    [anon_sym_if] = ACTIONS(3260),
    [anon_sym_switch] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3260),
    [anon_sym_LPAREN] = ACTIONS(3260),
    [anon_sym_await] = ACTIONS(3260),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_do] = ACTIONS(3260),
    [anon_sym_try] = ACTIONS(3260),
    [anon_sym_with] = ACTIONS(3260),
    [anon_sym_break] = ACTIONS(3260),
    [anon_sym_continue] = ACTIONS(3260),
    [anon_sym_debugger] = ACTIONS(3260),
    [anon_sym_return] = ACTIONS(3260),
    [anon_sym_throw] = ACTIONS(3260),
    [anon_sym_SEMI] = ACTIONS(3260),
    [anon_sym_yield] = ACTIONS(3260),
    [anon_sym_LBRACK] = ACTIONS(3260),
    [anon_sym_LTtemplate_GT] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_async] = ACTIONS(3260),
    [anon_sym_function] = ACTIONS(3260),
    [anon_sym_new] = ACTIONS(3260),
    [anon_sym_using] = ACTIONS(3260),
    [anon_sym_PLUS] = ACTIONS(3260),
    [anon_sym_DASH] = ACTIONS(3260),
    [anon_sym_SLASH] = ACTIONS(3260),
    [anon_sym_LT] = ACTIONS(3260),
    [anon_sym_TILDE] = ACTIONS(3260),
    [anon_sym_void] = ACTIONS(3260),
    [anon_sym_delete] = ACTIONS(3260),
    [anon_sym_PLUS_PLUS] = ACTIONS(3260),
    [anon_sym_DASH_DASH] = ACTIONS(3260),
    [anon_sym_DQUOTE] = ACTIONS(3260),
    [anon_sym_SQUOTE] = ACTIONS(3260),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3260),
    [sym_number] = ACTIONS(3260),
    [sym_private_property_identifier] = ACTIONS(3260),
    [sym_this] = ACTIONS(3260),
    [sym_super] = ACTIONS(3260),
    [sym_true] = ACTIONS(3260),
    [sym_false] = ACTIONS(3260),
    [sym_null] = ACTIONS(3260),
    [sym_undefined] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(3260),
    [anon_sym_static] = ACTIONS(3260),
    [anon_sym_readonly] = ACTIONS(3260),
    [anon_sym_get] = ACTIONS(3260),
    [anon_sym_set] = ACTIONS(3260),
    [anon_sym_declare] = ACTIONS(3260),
    [anon_sym_public] = ACTIONS(3260),
    [anon_sym_private] = ACTIONS(3260),
    [anon_sym_protected] = ACTIONS(3260),
    [anon_sym_override] = ACTIONS(3260),
    [anon_sym_module] = ACTIONS(3260),
    [anon_sym_any] = ACTIONS(3260),
    [anon_sym_number] = ACTIONS(3260),
    [anon_sym_boolean] = ACTIONS(3260),
    [anon_sym_string] = ACTIONS(3260),
    [anon_sym_symbol] = ACTIONS(3260),
    [anon_sym_object] = ACTIONS(3260),
    [anon_sym_abstract] = ACTIONS(3260),
    [anon_sym_interface] = ACTIONS(3260),
    [anon_sym_enum] = ACTIONS(3260),
    [sym_html_comment] = ACTIONS(5),
  },
  [1518] = {
    [sym_comment] = STATE(1518),
    [ts_builtin_sym_end] = ACTIONS(2355),
    [sym_identifier] = ACTIONS(2077),
    [anon_sym_export] = ACTIONS(2077),
    [anon_sym_type] = ACTIONS(2077),
    [anon_sym_namespace] = ACTIONS(2077),
    [anon_sym_LBRACE] = ACTIONS(2077),
    [anon_sym_RBRACE] = ACTIONS(2077),
    [anon_sym_typeof] = ACTIONS(2077),
    [anon_sym_import] = ACTIONS(2077),
    [anon_sym_var] = ACTIONS(2077),
    [anon_sym_let] = ACTIONS(2077),
    [anon_sym_const] = ACTIONS(2077),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_if] = ACTIONS(2077),
    [anon_sym_switch] = ACTIONS(2077),
    [anon_sym_for] = ACTIONS(2077),
    [anon_sym_LPAREN] = ACTIONS(2077),
    [anon_sym_await] = ACTIONS(2077),
    [anon_sym_while] = ACTIONS(2077),
    [anon_sym_do] = ACTIONS(2077),
    [anon_sym_try] = ACTIONS(2077),
    [anon_sym_with] = ACTIONS(2077),
    [anon_sym_break] = ACTIONS(2077),
    [anon_sym_continue] = ACTIONS(2077),
    [anon_sym_debugger] = ACTIONS(2077),
    [anon_sym_return] = ACTIONS(2077),
    [anon_sym_throw] = ACTIONS(2077),
    [anon_sym_SEMI] = ACTIONS(2077),
    [anon_sym_yield] = ACTIONS(2077),
    [anon_sym_LBRACK] = ACTIONS(2077),
    [anon_sym_LTtemplate_GT] = ACTIONS(2077),
    [anon_sym_class] = ACTIONS(2077),
    [anon_sym_async] = ACTIONS(2077),
    [anon_sym_function] = ACTIONS(2077),
    [anon_sym_new] = ACTIONS(2077),
    [anon_sym_using] = ACTIONS(2077),
    [anon_sym_PLUS] = ACTIONS(2077),
    [anon_sym_DASH] = ACTIONS(2077),
    [anon_sym_SLASH] = ACTIONS(2077),
    [anon_sym_LT] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_void] = ACTIONS(2077),
    [anon_sym_delete] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_DQUOTE] = ACTIONS(2077),
    [anon_sym_SQUOTE] = ACTIONS(2077),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2077),
    [sym_number] = ACTIONS(2077),
    [sym_private_property_identifier] = ACTIONS(2077),
    [sym_this] = ACTIONS(2077),
    [sym_super] = ACTIONS(2077),
    [sym_true] = ACTIONS(2077),
    [sym_false] = ACTIONS(2077),
    [sym_null] = ACTIONS(2077),
    [sym_undefined] = ACTIONS(2077),
    [anon_sym_AT] = ACTIONS(2077),
    [anon_sym_static] = ACTIONS(2077),
    [anon_sym_readonly] = ACTIONS(2077),
    [anon_sym_get] = ACTIONS(2077),
    [anon_sym_set] = ACTIONS(2077),
    [anon_sym_declare] = ACTIONS(2077),
    [anon_sym_public] = ACTIONS(2077),
    [anon_sym_private] = ACTIONS(2077),
    [anon_sym_protected] = ACTIONS(2077),
    [anon_sym_override] = ACTIONS(2077),
    [anon_sym_module] = ACTIONS(2077),
    [anon_sym_any] = ACTIONS(2077),
    [anon_sym_number] = ACTIONS(2077),
    [anon_sym_boolean] = ACTIONS(2077),
    [anon_sym_string] = ACTIONS(2077),
    [anon_sym_symbol] = ACTIONS(2077),
    [anon_sym_object] = ACTIONS(2077),
    [anon_sym_abstract] = ACTIONS(2077),
    [anon_sym_interface] = ACTIONS(2077),
    [anon_sym_enum] = ACTIONS(2077),
    [sym__automatic_semicolon] = ACTIONS(2429),
    [sym_html_comment] = ACTIONS(5),
  },
  [1519] = {
    [sym_comment] = STATE(1519),
    [ts_builtin_sym_end] = ACTIONS(2363),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_export] = ACTIONS(2205),
    [anon_sym_type] = ACTIONS(2205),
    [anon_sym_namespace] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2205),
    [anon_sym_RBRACE] = ACTIONS(2205),
    [anon_sym_typeof] = ACTIONS(2205),
    [anon_sym_import] = ACTIONS(2205),
    [anon_sym_var] = ACTIONS(2205),
    [anon_sym_let] = ACTIONS(2205),
    [anon_sym_const] = ACTIONS(2205),
    [anon_sym_BANG] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2205),
    [anon_sym_switch] = ACTIONS(2205),
    [anon_sym_for] = ACTIONS(2205),
    [anon_sym_LPAREN] = ACTIONS(2205),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_try] = ACTIONS(2205),
    [anon_sym_with] = ACTIONS(2205),
    [anon_sym_break] = ACTIONS(2205),
    [anon_sym_continue] = ACTIONS(2205),
    [anon_sym_debugger] = ACTIONS(2205),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2205),
    [anon_sym_SEMI] = ACTIONS(2205),
    [anon_sym_yield] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_LTtemplate_GT] = ACTIONS(2205),
    [anon_sym_class] = ACTIONS(2205),
    [anon_sym_async] = ACTIONS(2205),
    [anon_sym_function] = ACTIONS(2205),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_using] = ACTIONS(2205),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_SLASH] = ACTIONS(2205),
    [anon_sym_LT] = ACTIONS(2205),
    [anon_sym_TILDE] = ACTIONS(2205),
    [anon_sym_void] = ACTIONS(2205),
    [anon_sym_delete] = ACTIONS(2205),
    [anon_sym_PLUS_PLUS] = ACTIONS(2205),
    [anon_sym_DASH_DASH] = ACTIONS(2205),
    [anon_sym_DQUOTE] = ACTIONS(2205),
    [anon_sym_SQUOTE] = ACTIONS(2205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2205),
    [sym_number] = ACTIONS(2205),
    [sym_private_property_identifier] = ACTIONS(2205),
    [sym_this] = ACTIONS(2205),
    [sym_super] = ACTIONS(2205),
    [sym_true] = ACTIONS(2205),
    [sym_false] = ACTIONS(2205),
    [sym_null] = ACTIONS(2205),
    [sym_undefined] = ACTIONS(2205),
    [anon_sym_AT] = ACTIONS(2205),
    [anon_sym_static] = ACTIONS(2205),
    [anon_sym_readonly] = ACTIONS(2205),
    [anon_sym_get] = ACTIONS(2205),
    [anon_sym_set] = ACTIONS(2205),
    [anon_sym_declare] = ACTIONS(2205),
    [anon_sym_public] = ACTIONS(2205),
    [anon_sym_private] = ACTIONS(2205),
    [anon_sym_protected] = ACTIONS(2205),
    [anon_sym_override] = ACTIONS(2205),
    [anon_sym_module] = ACTIONS(2205),
    [anon_sym_any] = ACTIONS(2205),
    [anon_sym_number] = ACTIONS(2205),
    [anon_sym_boolean] = ACTIONS(2205),
    [anon_sym_string] = ACTIONS(2205),
    [anon_sym_symbol] = ACTIONS(2205),
    [anon_sym_object] = ACTIONS(2205),
    [anon_sym_abstract] = ACTIONS(2205),
    [anon_sym_interface] = ACTIONS(2205),
    [anon_sym_enum] = ACTIONS(2205),
    [sym__automatic_semicolon] = ACTIONS(2401),
    [sym_html_comment] = ACTIONS(5),
  },
  [1520] = {
    [sym_comment] = STATE(1520),
    [ts_builtin_sym_end] = ACTIONS(2367),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_export] = ACTIONS(2213),
    [anon_sym_type] = ACTIONS(2213),
    [anon_sym_namespace] = ACTIONS(2213),
    [anon_sym_LBRACE] = ACTIONS(2213),
    [anon_sym_RBRACE] = ACTIONS(2213),
    [anon_sym_typeof] = ACTIONS(2213),
    [anon_sym_import] = ACTIONS(2213),
    [anon_sym_var] = ACTIONS(2213),
    [anon_sym_let] = ACTIONS(2213),
    [anon_sym_const] = ACTIONS(2213),
    [anon_sym_BANG] = ACTIONS(2213),
    [anon_sym_if] = ACTIONS(2213),
    [anon_sym_switch] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2213),
    [anon_sym_LPAREN] = ACTIONS(2213),
    [anon_sym_await] = ACTIONS(2213),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_do] = ACTIONS(2213),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_with] = ACTIONS(2213),
    [anon_sym_break] = ACTIONS(2213),
    [anon_sym_continue] = ACTIONS(2213),
    [anon_sym_debugger] = ACTIONS(2213),
    [anon_sym_return] = ACTIONS(2213),
    [anon_sym_throw] = ACTIONS(2213),
    [anon_sym_SEMI] = ACTIONS(2213),
    [anon_sym_yield] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(2213),
    [anon_sym_LTtemplate_GT] = ACTIONS(2213),
    [anon_sym_class] = ACTIONS(2213),
    [anon_sym_async] = ACTIONS(2213),
    [anon_sym_function] = ACTIONS(2213),
    [anon_sym_new] = ACTIONS(2213),
    [anon_sym_using] = ACTIONS(2213),
    [anon_sym_PLUS] = ACTIONS(2213),
    [anon_sym_DASH] = ACTIONS(2213),
    [anon_sym_SLASH] = ACTIONS(2213),
    [anon_sym_LT] = ACTIONS(2213),
    [anon_sym_TILDE] = ACTIONS(2213),
    [anon_sym_void] = ACTIONS(2213),
    [anon_sym_delete] = ACTIONS(2213),
    [anon_sym_PLUS_PLUS] = ACTIONS(2213),
    [anon_sym_DASH_DASH] = ACTIONS(2213),
    [anon_sym_DQUOTE] = ACTIONS(2213),
    [anon_sym_SQUOTE] = ACTIONS(2213),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2213),
    [sym_number] = ACTIONS(2213),
    [sym_private_property_identifier] = ACTIONS(2213),
    [sym_this] = ACTIONS(2213),
    [sym_super] = ACTIONS(2213),
    [sym_true] = ACTIONS(2213),
    [sym_false] = ACTIONS(2213),
    [sym_null] = ACTIONS(2213),
    [sym_undefined] = ACTIONS(2213),
    [anon_sym_AT] = ACTIONS(2213),
    [anon_sym_static] = ACTIONS(2213),
    [anon_sym_readonly] = ACTIONS(2213),
    [anon_sym_get] = ACTIONS(2213),
    [anon_sym_set] = ACTIONS(2213),
    [anon_sym_declare] = ACTIONS(2213),
    [anon_sym_public] = ACTIONS(2213),
    [anon_sym_private] = ACTIONS(2213),
    [anon_sym_protected] = ACTIONS(2213),
    [anon_sym_override] = ACTIONS(2213),
    [anon_sym_module] = ACTIONS(2213),
    [anon_sym_any] = ACTIONS(2213),
    [anon_sym_number] = ACTIONS(2213),
    [anon_sym_boolean] = ACTIONS(2213),
    [anon_sym_string] = ACTIONS(2213),
    [anon_sym_symbol] = ACTIONS(2213),
    [anon_sym_object] = ACTIONS(2213),
    [anon_sym_abstract] = ACTIONS(2213),
    [anon_sym_interface] = ACTIONS(2213),
    [anon_sym_enum] = ACTIONS(2213),
    [sym__automatic_semicolon] = ACTIONS(2441),
    [sym_html_comment] = ACTIONS(5),
  },
  [1521] = {
    [sym_comment] = STATE(1521),
    [ts_builtin_sym_end] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1522] = {
    [sym_comment] = STATE(1522),
    [ts_builtin_sym_end] = ACTIONS(2371),
    [sym_identifier] = ACTIONS(2223),
    [anon_sym_export] = ACTIONS(2223),
    [anon_sym_type] = ACTIONS(2223),
    [anon_sym_namespace] = ACTIONS(2223),
    [anon_sym_LBRACE] = ACTIONS(2223),
    [anon_sym_RBRACE] = ACTIONS(2223),
    [anon_sym_typeof] = ACTIONS(2223),
    [anon_sym_import] = ACTIONS(2223),
    [anon_sym_var] = ACTIONS(2223),
    [anon_sym_let] = ACTIONS(2223),
    [anon_sym_const] = ACTIONS(2223),
    [anon_sym_BANG] = ACTIONS(2223),
    [anon_sym_if] = ACTIONS(2223),
    [anon_sym_switch] = ACTIONS(2223),
    [anon_sym_for] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(2223),
    [anon_sym_await] = ACTIONS(2223),
    [anon_sym_while] = ACTIONS(2223),
    [anon_sym_do] = ACTIONS(2223),
    [anon_sym_try] = ACTIONS(2223),
    [anon_sym_with] = ACTIONS(2223),
    [anon_sym_break] = ACTIONS(2223),
    [anon_sym_continue] = ACTIONS(2223),
    [anon_sym_debugger] = ACTIONS(2223),
    [anon_sym_return] = ACTIONS(2223),
    [anon_sym_throw] = ACTIONS(2223),
    [anon_sym_SEMI] = ACTIONS(2223),
    [anon_sym_yield] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(2223),
    [anon_sym_LTtemplate_GT] = ACTIONS(2223),
    [anon_sym_class] = ACTIONS(2223),
    [anon_sym_async] = ACTIONS(2223),
    [anon_sym_function] = ACTIONS(2223),
    [anon_sym_new] = ACTIONS(2223),
    [anon_sym_using] = ACTIONS(2223),
    [anon_sym_PLUS] = ACTIONS(2223),
    [anon_sym_DASH] = ACTIONS(2223),
    [anon_sym_SLASH] = ACTIONS(2223),
    [anon_sym_LT] = ACTIONS(2223),
    [anon_sym_TILDE] = ACTIONS(2223),
    [anon_sym_void] = ACTIONS(2223),
    [anon_sym_delete] = ACTIONS(2223),
    [anon_sym_PLUS_PLUS] = ACTIONS(2223),
    [anon_sym_DASH_DASH] = ACTIONS(2223),
    [anon_sym_DQUOTE] = ACTIONS(2223),
    [anon_sym_SQUOTE] = ACTIONS(2223),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2223),
    [sym_number] = ACTIONS(2223),
    [sym_private_property_identifier] = ACTIONS(2223),
    [sym_this] = ACTIONS(2223),
    [sym_super] = ACTIONS(2223),
    [sym_true] = ACTIONS(2223),
    [sym_false] = ACTIONS(2223),
    [sym_null] = ACTIONS(2223),
    [sym_undefined] = ACTIONS(2223),
    [anon_sym_AT] = ACTIONS(2223),
    [anon_sym_static] = ACTIONS(2223),
    [anon_sym_readonly] = ACTIONS(2223),
    [anon_sym_get] = ACTIONS(2223),
    [anon_sym_set] = ACTIONS(2223),
    [anon_sym_declare] = ACTIONS(2223),
    [anon_sym_public] = ACTIONS(2223),
    [anon_sym_private] = ACTIONS(2223),
    [anon_sym_protected] = ACTIONS(2223),
    [anon_sym_override] = ACTIONS(2223),
    [anon_sym_module] = ACTIONS(2223),
    [anon_sym_any] = ACTIONS(2223),
    [anon_sym_number] = ACTIONS(2223),
    [anon_sym_boolean] = ACTIONS(2223),
    [anon_sym_string] = ACTIONS(2223),
    [anon_sym_symbol] = ACTIONS(2223),
    [anon_sym_object] = ACTIONS(2223),
    [anon_sym_abstract] = ACTIONS(2223),
    [anon_sym_interface] = ACTIONS(2223),
    [anon_sym_enum] = ACTIONS(2223),
    [sym__automatic_semicolon] = ACTIONS(2397),
    [sym_html_comment] = ACTIONS(5),
  },
  [1523] = {
    [sym_comment] = STATE(1523),
    [ts_builtin_sym_end] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1524] = {
    [sym_comment] = STATE(1524),
    [ts_builtin_sym_end] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1525] = {
    [sym_comment] = STATE(1525),
    [ts_builtin_sym_end] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1526] = {
    [sym_comment] = STATE(1526),
    [ts_builtin_sym_end] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_else] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1527] = {
    [sym_comment] = STATE(1527),
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1528] = {
    [sym_comment] = STATE(1528),
    [ts_builtin_sym_end] = ACTIONS(3534),
    [sym_identifier] = ACTIONS(3144),
    [anon_sym_export] = ACTIONS(3144),
    [anon_sym_type] = ACTIONS(3144),
    [anon_sym_namespace] = ACTIONS(3144),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_RBRACE] = ACTIONS(3144),
    [anon_sym_typeof] = ACTIONS(3144),
    [anon_sym_import] = ACTIONS(3144),
    [anon_sym_var] = ACTIONS(3144),
    [anon_sym_let] = ACTIONS(3144),
    [anon_sym_const] = ACTIONS(3144),
    [anon_sym_BANG] = ACTIONS(3144),
    [anon_sym_if] = ACTIONS(3144),
    [anon_sym_switch] = ACTIONS(3144),
    [anon_sym_for] = ACTIONS(3144),
    [anon_sym_LPAREN] = ACTIONS(3144),
    [anon_sym_await] = ACTIONS(3144),
    [anon_sym_while] = ACTIONS(3144),
    [anon_sym_do] = ACTIONS(3144),
    [anon_sym_try] = ACTIONS(3144),
    [anon_sym_with] = ACTIONS(3144),
    [anon_sym_break] = ACTIONS(3144),
    [anon_sym_continue] = ACTIONS(3144),
    [anon_sym_debugger] = ACTIONS(3144),
    [anon_sym_return] = ACTIONS(3144),
    [anon_sym_throw] = ACTIONS(3144),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym_yield] = ACTIONS(3144),
    [anon_sym_LBRACK] = ACTIONS(3144),
    [anon_sym_LTtemplate_GT] = ACTIONS(3144),
    [anon_sym_class] = ACTIONS(3144),
    [anon_sym_async] = ACTIONS(3144),
    [anon_sym_function] = ACTIONS(3144),
    [anon_sym_new] = ACTIONS(3144),
    [anon_sym_using] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_SLASH] = ACTIONS(3144),
    [anon_sym_LT] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_void] = ACTIONS(3144),
    [anon_sym_delete] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_DQUOTE] = ACTIONS(3144),
    [anon_sym_SQUOTE] = ACTIONS(3144),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3144),
    [sym_number] = ACTIONS(3144),
    [sym_private_property_identifier] = ACTIONS(3144),
    [sym_this] = ACTIONS(3144),
    [sym_super] = ACTIONS(3144),
    [sym_true] = ACTIONS(3144),
    [sym_false] = ACTIONS(3144),
    [sym_null] = ACTIONS(3144),
    [sym_undefined] = ACTIONS(3144),
    [anon_sym_AT] = ACTIONS(3144),
    [anon_sym_static] = ACTIONS(3144),
    [anon_sym_readonly] = ACTIONS(3144),
    [anon_sym_get] = ACTIONS(3144),
    [anon_sym_set] = ACTIONS(3144),
    [anon_sym_declare] = ACTIONS(3144),
    [anon_sym_public] = ACTIONS(3144),
    [anon_sym_private] = ACTIONS(3144),
    [anon_sym_protected] = ACTIONS(3144),
    [anon_sym_override] = ACTIONS(3144),
    [anon_sym_module] = ACTIONS(3144),
    [anon_sym_any] = ACTIONS(3144),
    [anon_sym_number] = ACTIONS(3144),
    [anon_sym_boolean] = ACTIONS(3144),
    [anon_sym_string] = ACTIONS(3144),
    [anon_sym_symbol] = ACTIONS(3144),
    [anon_sym_object] = ACTIONS(3144),
    [anon_sym_abstract] = ACTIONS(3144),
    [anon_sym_interface] = ACTIONS(3144),
    [anon_sym_enum] = ACTIONS(3144),
    [sym_html_comment] = ACTIONS(5),
  },
  [1529] = {
    [sym_comment] = STATE(1529),
    [ts_builtin_sym_end] = ACTIONS(3412),
    [sym_identifier] = ACTIONS(3132),
    [anon_sym_export] = ACTIONS(3132),
    [anon_sym_type] = ACTIONS(3132),
    [anon_sym_namespace] = ACTIONS(3132),
    [anon_sym_LBRACE] = ACTIONS(3132),
    [anon_sym_RBRACE] = ACTIONS(3132),
    [anon_sym_typeof] = ACTIONS(3132),
    [anon_sym_import] = ACTIONS(3132),
    [anon_sym_var] = ACTIONS(3132),
    [anon_sym_let] = ACTIONS(3132),
    [anon_sym_const] = ACTIONS(3132),
    [anon_sym_BANG] = ACTIONS(3132),
    [anon_sym_if] = ACTIONS(3132),
    [anon_sym_switch] = ACTIONS(3132),
    [anon_sym_for] = ACTIONS(3132),
    [anon_sym_LPAREN] = ACTIONS(3132),
    [anon_sym_await] = ACTIONS(3132),
    [anon_sym_while] = ACTIONS(3132),
    [anon_sym_do] = ACTIONS(3132),
    [anon_sym_try] = ACTIONS(3132),
    [anon_sym_with] = ACTIONS(3132),
    [anon_sym_break] = ACTIONS(3132),
    [anon_sym_continue] = ACTIONS(3132),
    [anon_sym_debugger] = ACTIONS(3132),
    [anon_sym_return] = ACTIONS(3132),
    [anon_sym_throw] = ACTIONS(3132),
    [anon_sym_SEMI] = ACTIONS(3132),
    [anon_sym_yield] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_LTtemplate_GT] = ACTIONS(3132),
    [anon_sym_class] = ACTIONS(3132),
    [anon_sym_async] = ACTIONS(3132),
    [anon_sym_function] = ACTIONS(3132),
    [anon_sym_new] = ACTIONS(3132),
    [anon_sym_using] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_SLASH] = ACTIONS(3132),
    [anon_sym_LT] = ACTIONS(3132),
    [anon_sym_TILDE] = ACTIONS(3132),
    [anon_sym_void] = ACTIONS(3132),
    [anon_sym_delete] = ACTIONS(3132),
    [anon_sym_PLUS_PLUS] = ACTIONS(3132),
    [anon_sym_DASH_DASH] = ACTIONS(3132),
    [anon_sym_DQUOTE] = ACTIONS(3132),
    [anon_sym_SQUOTE] = ACTIONS(3132),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3132),
    [sym_number] = ACTIONS(3132),
    [sym_private_property_identifier] = ACTIONS(3132),
    [sym_this] = ACTIONS(3132),
    [sym_super] = ACTIONS(3132),
    [sym_true] = ACTIONS(3132),
    [sym_false] = ACTIONS(3132),
    [sym_null] = ACTIONS(3132),
    [sym_undefined] = ACTIONS(3132),
    [anon_sym_AT] = ACTIONS(3132),
    [anon_sym_static] = ACTIONS(3132),
    [anon_sym_readonly] = ACTIONS(3132),
    [anon_sym_get] = ACTIONS(3132),
    [anon_sym_set] = ACTIONS(3132),
    [anon_sym_declare] = ACTIONS(3132),
    [anon_sym_public] = ACTIONS(3132),
    [anon_sym_private] = ACTIONS(3132),
    [anon_sym_protected] = ACTIONS(3132),
    [anon_sym_override] = ACTIONS(3132),
    [anon_sym_module] = ACTIONS(3132),
    [anon_sym_any] = ACTIONS(3132),
    [anon_sym_number] = ACTIONS(3132),
    [anon_sym_boolean] = ACTIONS(3132),
    [anon_sym_string] = ACTIONS(3132),
    [anon_sym_symbol] = ACTIONS(3132),
    [anon_sym_object] = ACTIONS(3132),
    [anon_sym_abstract] = ACTIONS(3132),
    [anon_sym_interface] = ACTIONS(3132),
    [anon_sym_enum] = ACTIONS(3132),
    [sym_html_comment] = ACTIONS(5),
  },
  [1530] = {
    [sym_comment] = STATE(1530),
    [ts_builtin_sym_end] = ACTIONS(3478),
    [sym_identifier] = ACTIONS(3196),
    [anon_sym_export] = ACTIONS(3196),
    [anon_sym_type] = ACTIONS(3196),
    [anon_sym_namespace] = ACTIONS(3196),
    [anon_sym_LBRACE] = ACTIONS(3196),
    [anon_sym_RBRACE] = ACTIONS(3196),
    [anon_sym_typeof] = ACTIONS(3196),
    [anon_sym_import] = ACTIONS(3196),
    [anon_sym_var] = ACTIONS(3196),
    [anon_sym_let] = ACTIONS(3196),
    [anon_sym_const] = ACTIONS(3196),
    [anon_sym_BANG] = ACTIONS(3196),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_switch] = ACTIONS(3196),
    [anon_sym_for] = ACTIONS(3196),
    [anon_sym_LPAREN] = ACTIONS(3196),
    [anon_sym_await] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3196),
    [anon_sym_do] = ACTIONS(3196),
    [anon_sym_try] = ACTIONS(3196),
    [anon_sym_with] = ACTIONS(3196),
    [anon_sym_break] = ACTIONS(3196),
    [anon_sym_continue] = ACTIONS(3196),
    [anon_sym_debugger] = ACTIONS(3196),
    [anon_sym_return] = ACTIONS(3196),
    [anon_sym_throw] = ACTIONS(3196),
    [anon_sym_SEMI] = ACTIONS(3196),
    [anon_sym_yield] = ACTIONS(3196),
    [anon_sym_LBRACK] = ACTIONS(3196),
    [anon_sym_LTtemplate_GT] = ACTIONS(3196),
    [anon_sym_class] = ACTIONS(3196),
    [anon_sym_async] = ACTIONS(3196),
    [anon_sym_function] = ACTIONS(3196),
    [anon_sym_new] = ACTIONS(3196),
    [anon_sym_using] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3196),
    [anon_sym_DASH] = ACTIONS(3196),
    [anon_sym_SLASH] = ACTIONS(3196),
    [anon_sym_LT] = ACTIONS(3196),
    [anon_sym_TILDE] = ACTIONS(3196),
    [anon_sym_void] = ACTIONS(3196),
    [anon_sym_delete] = ACTIONS(3196),
    [anon_sym_PLUS_PLUS] = ACTIONS(3196),
    [anon_sym_DASH_DASH] = ACTIONS(3196),
    [anon_sym_DQUOTE] = ACTIONS(3196),
    [anon_sym_SQUOTE] = ACTIONS(3196),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3196),
    [sym_number] = ACTIONS(3196),
    [sym_private_property_identifier] = ACTIONS(3196),
    [sym_this] = ACTIONS(3196),
    [sym_super] = ACTIONS(3196),
    [sym_true] = ACTIONS(3196),
    [sym_false] = ACTIONS(3196),
    [sym_null] = ACTIONS(3196),
    [sym_undefined] = ACTIONS(3196),
    [anon_sym_AT] = ACTIONS(3196),
    [anon_sym_static] = ACTIONS(3196),
    [anon_sym_readonly] = ACTIONS(3196),
    [anon_sym_get] = ACTIONS(3196),
    [anon_sym_set] = ACTIONS(3196),
    [anon_sym_declare] = ACTIONS(3196),
    [anon_sym_public] = ACTIONS(3196),
    [anon_sym_private] = ACTIONS(3196),
    [anon_sym_protected] = ACTIONS(3196),
    [anon_sym_override] = ACTIONS(3196),
    [anon_sym_module] = ACTIONS(3196),
    [anon_sym_any] = ACTIONS(3196),
    [anon_sym_number] = ACTIONS(3196),
    [anon_sym_boolean] = ACTIONS(3196),
    [anon_sym_string] = ACTIONS(3196),
    [anon_sym_symbol] = ACTIONS(3196),
    [anon_sym_object] = ACTIONS(3196),
    [anon_sym_abstract] = ACTIONS(3196),
    [anon_sym_interface] = ACTIONS(3196),
    [anon_sym_enum] = ACTIONS(3196),
    [sym_html_comment] = ACTIONS(5),
  },
  [1531] = {
    [sym_comment] = STATE(1531),
    [ts_builtin_sym_end] = ACTIONS(3482),
    [sym_identifier] = ACTIONS(3194),
    [anon_sym_export] = ACTIONS(3194),
    [anon_sym_type] = ACTIONS(3194),
    [anon_sym_namespace] = ACTIONS(3194),
    [anon_sym_LBRACE] = ACTIONS(3194),
    [anon_sym_RBRACE] = ACTIONS(3194),
    [anon_sym_typeof] = ACTIONS(3194),
    [anon_sym_import] = ACTIONS(3194),
    [anon_sym_var] = ACTIONS(3194),
    [anon_sym_let] = ACTIONS(3194),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_BANG] = ACTIONS(3194),
    [anon_sym_if] = ACTIONS(3194),
    [anon_sym_switch] = ACTIONS(3194),
    [anon_sym_for] = ACTIONS(3194),
    [anon_sym_LPAREN] = ACTIONS(3194),
    [anon_sym_await] = ACTIONS(3194),
    [anon_sym_while] = ACTIONS(3194),
    [anon_sym_do] = ACTIONS(3194),
    [anon_sym_try] = ACTIONS(3194),
    [anon_sym_with] = ACTIONS(3194),
    [anon_sym_break] = ACTIONS(3194),
    [anon_sym_continue] = ACTIONS(3194),
    [anon_sym_debugger] = ACTIONS(3194),
    [anon_sym_return] = ACTIONS(3194),
    [anon_sym_throw] = ACTIONS(3194),
    [anon_sym_SEMI] = ACTIONS(3194),
    [anon_sym_yield] = ACTIONS(3194),
    [anon_sym_LBRACK] = ACTIONS(3194),
    [anon_sym_LTtemplate_GT] = ACTIONS(3194),
    [anon_sym_class] = ACTIONS(3194),
    [anon_sym_async] = ACTIONS(3194),
    [anon_sym_function] = ACTIONS(3194),
    [anon_sym_new] = ACTIONS(3194),
    [anon_sym_using] = ACTIONS(3194),
    [anon_sym_PLUS] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3194),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_LT] = ACTIONS(3194),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_void] = ACTIONS(3194),
    [anon_sym_delete] = ACTIONS(3194),
    [anon_sym_PLUS_PLUS] = ACTIONS(3194),
    [anon_sym_DASH_DASH] = ACTIONS(3194),
    [anon_sym_DQUOTE] = ACTIONS(3194),
    [anon_sym_SQUOTE] = ACTIONS(3194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3194),
    [sym_number] = ACTIONS(3194),
    [sym_private_property_identifier] = ACTIONS(3194),
    [sym_this] = ACTIONS(3194),
    [sym_super] = ACTIONS(3194),
    [sym_true] = ACTIONS(3194),
    [sym_false] = ACTIONS(3194),
    [sym_null] = ACTIONS(3194),
    [sym_undefined] = ACTIONS(3194),
    [anon_sym_AT] = ACTIONS(3194),
    [anon_sym_static] = ACTIONS(3194),
    [anon_sym_readonly] = ACTIONS(3194),
    [anon_sym_get] = ACTIONS(3194),
    [anon_sym_set] = ACTIONS(3194),
    [anon_sym_declare] = ACTIONS(3194),
    [anon_sym_public] = ACTIONS(3194),
    [anon_sym_private] = ACTIONS(3194),
    [anon_sym_protected] = ACTIONS(3194),
    [anon_sym_override] = ACTIONS(3194),
    [anon_sym_module] = ACTIONS(3194),
    [anon_sym_any] = ACTIONS(3194),
    [anon_sym_number] = ACTIONS(3194),
    [anon_sym_boolean] = ACTIONS(3194),
    [anon_sym_string] = ACTIONS(3194),
    [anon_sym_symbol] = ACTIONS(3194),
    [anon_sym_object] = ACTIONS(3194),
    [anon_sym_abstract] = ACTIONS(3194),
    [anon_sym_interface] = ACTIONS(3194),
    [anon_sym_enum] = ACTIONS(3194),
    [sym_html_comment] = ACTIONS(5),
  },
  [1532] = {
    [sym_comment] = STATE(1532),
    [ts_builtin_sym_end] = ACTIONS(3482),
    [sym_identifier] = ACTIONS(3194),
    [anon_sym_export] = ACTIONS(3194),
    [anon_sym_type] = ACTIONS(3194),
    [anon_sym_namespace] = ACTIONS(3194),
    [anon_sym_LBRACE] = ACTIONS(3194),
    [anon_sym_RBRACE] = ACTIONS(3194),
    [anon_sym_typeof] = ACTIONS(3194),
    [anon_sym_import] = ACTIONS(3194),
    [anon_sym_var] = ACTIONS(3194),
    [anon_sym_let] = ACTIONS(3194),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_BANG] = ACTIONS(3194),
    [anon_sym_if] = ACTIONS(3194),
    [anon_sym_switch] = ACTIONS(3194),
    [anon_sym_for] = ACTIONS(3194),
    [anon_sym_LPAREN] = ACTIONS(3194),
    [anon_sym_await] = ACTIONS(3194),
    [anon_sym_while] = ACTIONS(3194),
    [anon_sym_do] = ACTIONS(3194),
    [anon_sym_try] = ACTIONS(3194),
    [anon_sym_with] = ACTIONS(3194),
    [anon_sym_break] = ACTIONS(3194),
    [anon_sym_continue] = ACTIONS(3194),
    [anon_sym_debugger] = ACTIONS(3194),
    [anon_sym_return] = ACTIONS(3194),
    [anon_sym_throw] = ACTIONS(3194),
    [anon_sym_SEMI] = ACTIONS(3194),
    [anon_sym_yield] = ACTIONS(3194),
    [anon_sym_LBRACK] = ACTIONS(3194),
    [anon_sym_LTtemplate_GT] = ACTIONS(3194),
    [anon_sym_class] = ACTIONS(3194),
    [anon_sym_async] = ACTIONS(3194),
    [anon_sym_function] = ACTIONS(3194),
    [anon_sym_new] = ACTIONS(3194),
    [anon_sym_using] = ACTIONS(3194),
    [anon_sym_PLUS] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3194),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_LT] = ACTIONS(3194),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_void] = ACTIONS(3194),
    [anon_sym_delete] = ACTIONS(3194),
    [anon_sym_PLUS_PLUS] = ACTIONS(3194),
    [anon_sym_DASH_DASH] = ACTIONS(3194),
    [anon_sym_DQUOTE] = ACTIONS(3194),
    [anon_sym_SQUOTE] = ACTIONS(3194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3194),
    [sym_number] = ACTIONS(3194),
    [sym_private_property_identifier] = ACTIONS(3194),
    [sym_this] = ACTIONS(3194),
    [sym_super] = ACTIONS(3194),
    [sym_true] = ACTIONS(3194),
    [sym_false] = ACTIONS(3194),
    [sym_null] = ACTIONS(3194),
    [sym_undefined] = ACTIONS(3194),
    [anon_sym_AT] = ACTIONS(3194),
    [anon_sym_static] = ACTIONS(3194),
    [anon_sym_readonly] = ACTIONS(3194),
    [anon_sym_get] = ACTIONS(3194),
    [anon_sym_set] = ACTIONS(3194),
    [anon_sym_declare] = ACTIONS(3194),
    [anon_sym_public] = ACTIONS(3194),
    [anon_sym_private] = ACTIONS(3194),
    [anon_sym_protected] = ACTIONS(3194),
    [anon_sym_override] = ACTIONS(3194),
    [anon_sym_module] = ACTIONS(3194),
    [anon_sym_any] = ACTIONS(3194),
    [anon_sym_number] = ACTIONS(3194),
    [anon_sym_boolean] = ACTIONS(3194),
    [anon_sym_string] = ACTIONS(3194),
    [anon_sym_symbol] = ACTIONS(3194),
    [anon_sym_object] = ACTIONS(3194),
    [anon_sym_abstract] = ACTIONS(3194),
    [anon_sym_interface] = ACTIONS(3194),
    [anon_sym_enum] = ACTIONS(3194),
    [sym_html_comment] = ACTIONS(5),
  },
  [1533] = {
    [sym_comment] = STATE(1533),
    [ts_builtin_sym_end] = ACTIONS(3452),
    [sym_identifier] = ACTIONS(3112),
    [anon_sym_export] = ACTIONS(3112),
    [anon_sym_type] = ACTIONS(3112),
    [anon_sym_namespace] = ACTIONS(3112),
    [anon_sym_LBRACE] = ACTIONS(3112),
    [anon_sym_RBRACE] = ACTIONS(3112),
    [anon_sym_typeof] = ACTIONS(3112),
    [anon_sym_import] = ACTIONS(3112),
    [anon_sym_var] = ACTIONS(3112),
    [anon_sym_let] = ACTIONS(3112),
    [anon_sym_const] = ACTIONS(3112),
    [anon_sym_BANG] = ACTIONS(3112),
    [anon_sym_if] = ACTIONS(3112),
    [anon_sym_switch] = ACTIONS(3112),
    [anon_sym_for] = ACTIONS(3112),
    [anon_sym_LPAREN] = ACTIONS(3112),
    [anon_sym_await] = ACTIONS(3112),
    [anon_sym_while] = ACTIONS(3112),
    [anon_sym_do] = ACTIONS(3112),
    [anon_sym_try] = ACTIONS(3112),
    [anon_sym_with] = ACTIONS(3112),
    [anon_sym_break] = ACTIONS(3112),
    [anon_sym_continue] = ACTIONS(3112),
    [anon_sym_debugger] = ACTIONS(3112),
    [anon_sym_return] = ACTIONS(3112),
    [anon_sym_throw] = ACTIONS(3112),
    [anon_sym_SEMI] = ACTIONS(3112),
    [anon_sym_yield] = ACTIONS(3112),
    [anon_sym_LBRACK] = ACTIONS(3112),
    [anon_sym_LTtemplate_GT] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3112),
    [anon_sym_async] = ACTIONS(3112),
    [anon_sym_function] = ACTIONS(3112),
    [anon_sym_new] = ACTIONS(3112),
    [anon_sym_using] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_SLASH] = ACTIONS(3112),
    [anon_sym_LT] = ACTIONS(3112),
    [anon_sym_TILDE] = ACTIONS(3112),
    [anon_sym_void] = ACTIONS(3112),
    [anon_sym_delete] = ACTIONS(3112),
    [anon_sym_PLUS_PLUS] = ACTIONS(3112),
    [anon_sym_DASH_DASH] = ACTIONS(3112),
    [anon_sym_DQUOTE] = ACTIONS(3112),
    [anon_sym_SQUOTE] = ACTIONS(3112),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3112),
    [sym_number] = ACTIONS(3112),
    [sym_private_property_identifier] = ACTIONS(3112),
    [sym_this] = ACTIONS(3112),
    [sym_super] = ACTIONS(3112),
    [sym_true] = ACTIONS(3112),
    [sym_false] = ACTIONS(3112),
    [sym_null] = ACTIONS(3112),
    [sym_undefined] = ACTIONS(3112),
    [anon_sym_AT] = ACTIONS(3112),
    [anon_sym_static] = ACTIONS(3112),
    [anon_sym_readonly] = ACTIONS(3112),
    [anon_sym_get] = ACTIONS(3112),
    [anon_sym_set] = ACTIONS(3112),
    [anon_sym_declare] = ACTIONS(3112),
    [anon_sym_public] = ACTIONS(3112),
    [anon_sym_private] = ACTIONS(3112),
    [anon_sym_protected] = ACTIONS(3112),
    [anon_sym_override] = ACTIONS(3112),
    [anon_sym_module] = ACTIONS(3112),
    [anon_sym_any] = ACTIONS(3112),
    [anon_sym_number] = ACTIONS(3112),
    [anon_sym_boolean] = ACTIONS(3112),
    [anon_sym_string] = ACTIONS(3112),
    [anon_sym_symbol] = ACTIONS(3112),
    [anon_sym_object] = ACTIONS(3112),
    [anon_sym_abstract] = ACTIONS(3112),
    [anon_sym_interface] = ACTIONS(3112),
    [anon_sym_enum] = ACTIONS(3112),
    [sym_html_comment] = ACTIONS(5),
  },
  [1534] = {
    [sym_comment] = STATE(1534),
    [ts_builtin_sym_end] = ACTIONS(3472),
    [sym_identifier] = ACTIONS(3206),
    [anon_sym_export] = ACTIONS(3206),
    [anon_sym_type] = ACTIONS(3206),
    [anon_sym_namespace] = ACTIONS(3206),
    [anon_sym_LBRACE] = ACTIONS(3206),
    [anon_sym_RBRACE] = ACTIONS(3206),
    [anon_sym_typeof] = ACTIONS(3206),
    [anon_sym_import] = ACTIONS(3206),
    [anon_sym_var] = ACTIONS(3206),
    [anon_sym_let] = ACTIONS(3206),
    [anon_sym_const] = ACTIONS(3206),
    [anon_sym_BANG] = ACTIONS(3206),
    [anon_sym_if] = ACTIONS(3206),
    [anon_sym_switch] = ACTIONS(3206),
    [anon_sym_for] = ACTIONS(3206),
    [anon_sym_LPAREN] = ACTIONS(3206),
    [anon_sym_await] = ACTIONS(3206),
    [anon_sym_while] = ACTIONS(3206),
    [anon_sym_do] = ACTIONS(3206),
    [anon_sym_try] = ACTIONS(3206),
    [anon_sym_with] = ACTIONS(3206),
    [anon_sym_break] = ACTIONS(3206),
    [anon_sym_continue] = ACTIONS(3206),
    [anon_sym_debugger] = ACTIONS(3206),
    [anon_sym_return] = ACTIONS(3206),
    [anon_sym_throw] = ACTIONS(3206),
    [anon_sym_SEMI] = ACTIONS(3206),
    [anon_sym_yield] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(3206),
    [anon_sym_LTtemplate_GT] = ACTIONS(3206),
    [anon_sym_class] = ACTIONS(3206),
    [anon_sym_async] = ACTIONS(3206),
    [anon_sym_function] = ACTIONS(3206),
    [anon_sym_new] = ACTIONS(3206),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_PLUS] = ACTIONS(3206),
    [anon_sym_DASH] = ACTIONS(3206),
    [anon_sym_SLASH] = ACTIONS(3206),
    [anon_sym_LT] = ACTIONS(3206),
    [anon_sym_TILDE] = ACTIONS(3206),
    [anon_sym_void] = ACTIONS(3206),
    [anon_sym_delete] = ACTIONS(3206),
    [anon_sym_PLUS_PLUS] = ACTIONS(3206),
    [anon_sym_DASH_DASH] = ACTIONS(3206),
    [anon_sym_DQUOTE] = ACTIONS(3206),
    [anon_sym_SQUOTE] = ACTIONS(3206),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3206),
    [sym_number] = ACTIONS(3206),
    [sym_private_property_identifier] = ACTIONS(3206),
    [sym_this] = ACTIONS(3206),
    [sym_super] = ACTIONS(3206),
    [sym_true] = ACTIONS(3206),
    [sym_false] = ACTIONS(3206),
    [sym_null] = ACTIONS(3206),
    [sym_undefined] = ACTIONS(3206),
    [anon_sym_AT] = ACTIONS(3206),
    [anon_sym_static] = ACTIONS(3206),
    [anon_sym_readonly] = ACTIONS(3206),
    [anon_sym_get] = ACTIONS(3206),
    [anon_sym_set] = ACTIONS(3206),
    [anon_sym_declare] = ACTIONS(3206),
    [anon_sym_public] = ACTIONS(3206),
    [anon_sym_private] = ACTIONS(3206),
    [anon_sym_protected] = ACTIONS(3206),
    [anon_sym_override] = ACTIONS(3206),
    [anon_sym_module] = ACTIONS(3206),
    [anon_sym_any] = ACTIONS(3206),
    [anon_sym_number] = ACTIONS(3206),
    [anon_sym_boolean] = ACTIONS(3206),
    [anon_sym_string] = ACTIONS(3206),
    [anon_sym_symbol] = ACTIONS(3206),
    [anon_sym_object] = ACTIONS(3206),
    [anon_sym_abstract] = ACTIONS(3206),
    [anon_sym_interface] = ACTIONS(3206),
    [anon_sym_enum] = ACTIONS(3206),
    [sym_html_comment] = ACTIONS(5),
  },
  [1535] = {
    [sym_comment] = STATE(1535),
    [ts_builtin_sym_end] = ACTIONS(3414),
    [sym_identifier] = ACTIONS(3124),
    [anon_sym_export] = ACTIONS(3124),
    [anon_sym_type] = ACTIONS(3124),
    [anon_sym_namespace] = ACTIONS(3124),
    [anon_sym_LBRACE] = ACTIONS(3124),
    [anon_sym_RBRACE] = ACTIONS(3124),
    [anon_sym_typeof] = ACTIONS(3124),
    [anon_sym_import] = ACTIONS(3124),
    [anon_sym_var] = ACTIONS(3124),
    [anon_sym_let] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_BANG] = ACTIONS(3124),
    [anon_sym_if] = ACTIONS(3124),
    [anon_sym_switch] = ACTIONS(3124),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3124),
    [anon_sym_await] = ACTIONS(3124),
    [anon_sym_while] = ACTIONS(3124),
    [anon_sym_do] = ACTIONS(3124),
    [anon_sym_try] = ACTIONS(3124),
    [anon_sym_with] = ACTIONS(3124),
    [anon_sym_break] = ACTIONS(3124),
    [anon_sym_continue] = ACTIONS(3124),
    [anon_sym_debugger] = ACTIONS(3124),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3124),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym_yield] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_LTtemplate_GT] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_async] = ACTIONS(3124),
    [anon_sym_function] = ACTIONS(3124),
    [anon_sym_new] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_void] = ACTIONS(3124),
    [anon_sym_delete] = ACTIONS(3124),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(3124),
    [anon_sym_SQUOTE] = ACTIONS(3124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3124),
    [sym_number] = ACTIONS(3124),
    [sym_private_property_identifier] = ACTIONS(3124),
    [sym_this] = ACTIONS(3124),
    [sym_super] = ACTIONS(3124),
    [sym_true] = ACTIONS(3124),
    [sym_false] = ACTIONS(3124),
    [sym_null] = ACTIONS(3124),
    [sym_undefined] = ACTIONS(3124),
    [anon_sym_AT] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_get] = ACTIONS(3124),
    [anon_sym_set] = ACTIONS(3124),
    [anon_sym_declare] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3124),
    [anon_sym_private] = ACTIONS(3124),
    [anon_sym_protected] = ACTIONS(3124),
    [anon_sym_override] = ACTIONS(3124),
    [anon_sym_module] = ACTIONS(3124),
    [anon_sym_any] = ACTIONS(3124),
    [anon_sym_number] = ACTIONS(3124),
    [anon_sym_boolean] = ACTIONS(3124),
    [anon_sym_string] = ACTIONS(3124),
    [anon_sym_symbol] = ACTIONS(3124),
    [anon_sym_object] = ACTIONS(3124),
    [anon_sym_abstract] = ACTIONS(3124),
    [anon_sym_interface] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1536] = {
    [sym_comment] = STATE(1536),
    [ts_builtin_sym_end] = ACTIONS(3416),
    [sym_identifier] = ACTIONS(3130),
    [anon_sym_export] = ACTIONS(3130),
    [anon_sym_type] = ACTIONS(3130),
    [anon_sym_namespace] = ACTIONS(3130),
    [anon_sym_LBRACE] = ACTIONS(3130),
    [anon_sym_RBRACE] = ACTIONS(3130),
    [anon_sym_typeof] = ACTIONS(3130),
    [anon_sym_import] = ACTIONS(3130),
    [anon_sym_var] = ACTIONS(3130),
    [anon_sym_let] = ACTIONS(3130),
    [anon_sym_const] = ACTIONS(3130),
    [anon_sym_BANG] = ACTIONS(3130),
    [anon_sym_if] = ACTIONS(3130),
    [anon_sym_switch] = ACTIONS(3130),
    [anon_sym_for] = ACTIONS(3130),
    [anon_sym_LPAREN] = ACTIONS(3130),
    [anon_sym_await] = ACTIONS(3130),
    [anon_sym_while] = ACTIONS(3130),
    [anon_sym_do] = ACTIONS(3130),
    [anon_sym_try] = ACTIONS(3130),
    [anon_sym_with] = ACTIONS(3130),
    [anon_sym_break] = ACTIONS(3130),
    [anon_sym_continue] = ACTIONS(3130),
    [anon_sym_debugger] = ACTIONS(3130),
    [anon_sym_return] = ACTIONS(3130),
    [anon_sym_throw] = ACTIONS(3130),
    [anon_sym_SEMI] = ACTIONS(3130),
    [anon_sym_yield] = ACTIONS(3130),
    [anon_sym_LBRACK] = ACTIONS(3130),
    [anon_sym_LTtemplate_GT] = ACTIONS(3130),
    [anon_sym_class] = ACTIONS(3130),
    [anon_sym_async] = ACTIONS(3130),
    [anon_sym_function] = ACTIONS(3130),
    [anon_sym_new] = ACTIONS(3130),
    [anon_sym_using] = ACTIONS(3130),
    [anon_sym_PLUS] = ACTIONS(3130),
    [anon_sym_DASH] = ACTIONS(3130),
    [anon_sym_SLASH] = ACTIONS(3130),
    [anon_sym_LT] = ACTIONS(3130),
    [anon_sym_TILDE] = ACTIONS(3130),
    [anon_sym_void] = ACTIONS(3130),
    [anon_sym_delete] = ACTIONS(3130),
    [anon_sym_PLUS_PLUS] = ACTIONS(3130),
    [anon_sym_DASH_DASH] = ACTIONS(3130),
    [anon_sym_DQUOTE] = ACTIONS(3130),
    [anon_sym_SQUOTE] = ACTIONS(3130),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3130),
    [sym_number] = ACTIONS(3130),
    [sym_private_property_identifier] = ACTIONS(3130),
    [sym_this] = ACTIONS(3130),
    [sym_super] = ACTIONS(3130),
    [sym_true] = ACTIONS(3130),
    [sym_false] = ACTIONS(3130),
    [sym_null] = ACTIONS(3130),
    [sym_undefined] = ACTIONS(3130),
    [anon_sym_AT] = ACTIONS(3130),
    [anon_sym_static] = ACTIONS(3130),
    [anon_sym_readonly] = ACTIONS(3130),
    [anon_sym_get] = ACTIONS(3130),
    [anon_sym_set] = ACTIONS(3130),
    [anon_sym_declare] = ACTIONS(3130),
    [anon_sym_public] = ACTIONS(3130),
    [anon_sym_private] = ACTIONS(3130),
    [anon_sym_protected] = ACTIONS(3130),
    [anon_sym_override] = ACTIONS(3130),
    [anon_sym_module] = ACTIONS(3130),
    [anon_sym_any] = ACTIONS(3130),
    [anon_sym_number] = ACTIONS(3130),
    [anon_sym_boolean] = ACTIONS(3130),
    [anon_sym_string] = ACTIONS(3130),
    [anon_sym_symbol] = ACTIONS(3130),
    [anon_sym_object] = ACTIONS(3130),
    [anon_sym_abstract] = ACTIONS(3130),
    [anon_sym_interface] = ACTIONS(3130),
    [anon_sym_enum] = ACTIONS(3130),
    [sym_html_comment] = ACTIONS(5),
  },
  [1537] = {
    [sym_comment] = STATE(1537),
    [ts_builtin_sym_end] = ACTIONS(3418),
    [sym_identifier] = ACTIONS(3128),
    [anon_sym_export] = ACTIONS(3128),
    [anon_sym_type] = ACTIONS(3128),
    [anon_sym_namespace] = ACTIONS(3128),
    [anon_sym_LBRACE] = ACTIONS(3128),
    [anon_sym_RBRACE] = ACTIONS(3128),
    [anon_sym_typeof] = ACTIONS(3128),
    [anon_sym_import] = ACTIONS(3128),
    [anon_sym_var] = ACTIONS(3128),
    [anon_sym_let] = ACTIONS(3128),
    [anon_sym_const] = ACTIONS(3128),
    [anon_sym_BANG] = ACTIONS(3128),
    [anon_sym_if] = ACTIONS(3128),
    [anon_sym_switch] = ACTIONS(3128),
    [anon_sym_for] = ACTIONS(3128),
    [anon_sym_LPAREN] = ACTIONS(3128),
    [anon_sym_await] = ACTIONS(3128),
    [anon_sym_while] = ACTIONS(3128),
    [anon_sym_do] = ACTIONS(3128),
    [anon_sym_try] = ACTIONS(3128),
    [anon_sym_with] = ACTIONS(3128),
    [anon_sym_break] = ACTIONS(3128),
    [anon_sym_continue] = ACTIONS(3128),
    [anon_sym_debugger] = ACTIONS(3128),
    [anon_sym_return] = ACTIONS(3128),
    [anon_sym_throw] = ACTIONS(3128),
    [anon_sym_SEMI] = ACTIONS(3128),
    [anon_sym_yield] = ACTIONS(3128),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_LTtemplate_GT] = ACTIONS(3128),
    [anon_sym_class] = ACTIONS(3128),
    [anon_sym_async] = ACTIONS(3128),
    [anon_sym_function] = ACTIONS(3128),
    [anon_sym_new] = ACTIONS(3128),
    [anon_sym_using] = ACTIONS(3128),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_SLASH] = ACTIONS(3128),
    [anon_sym_LT] = ACTIONS(3128),
    [anon_sym_TILDE] = ACTIONS(3128),
    [anon_sym_void] = ACTIONS(3128),
    [anon_sym_delete] = ACTIONS(3128),
    [anon_sym_PLUS_PLUS] = ACTIONS(3128),
    [anon_sym_DASH_DASH] = ACTIONS(3128),
    [anon_sym_DQUOTE] = ACTIONS(3128),
    [anon_sym_SQUOTE] = ACTIONS(3128),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3128),
    [sym_number] = ACTIONS(3128),
    [sym_private_property_identifier] = ACTIONS(3128),
    [sym_this] = ACTIONS(3128),
    [sym_super] = ACTIONS(3128),
    [sym_true] = ACTIONS(3128),
    [sym_false] = ACTIONS(3128),
    [sym_null] = ACTIONS(3128),
    [sym_undefined] = ACTIONS(3128),
    [anon_sym_AT] = ACTIONS(3128),
    [anon_sym_static] = ACTIONS(3128),
    [anon_sym_readonly] = ACTIONS(3128),
    [anon_sym_get] = ACTIONS(3128),
    [anon_sym_set] = ACTIONS(3128),
    [anon_sym_declare] = ACTIONS(3128),
    [anon_sym_public] = ACTIONS(3128),
    [anon_sym_private] = ACTIONS(3128),
    [anon_sym_protected] = ACTIONS(3128),
    [anon_sym_override] = ACTIONS(3128),
    [anon_sym_module] = ACTIONS(3128),
    [anon_sym_any] = ACTIONS(3128),
    [anon_sym_number] = ACTIONS(3128),
    [anon_sym_boolean] = ACTIONS(3128),
    [anon_sym_string] = ACTIONS(3128),
    [anon_sym_symbol] = ACTIONS(3128),
    [anon_sym_object] = ACTIONS(3128),
    [anon_sym_abstract] = ACTIONS(3128),
    [anon_sym_interface] = ACTIONS(3128),
    [anon_sym_enum] = ACTIONS(3128),
    [sym_html_comment] = ACTIONS(5),
  },
  [1538] = {
    [sym_comment] = STATE(1538),
    [ts_builtin_sym_end] = ACTIONS(3414),
    [sym_identifier] = ACTIONS(3124),
    [anon_sym_export] = ACTIONS(3124),
    [anon_sym_type] = ACTIONS(3124),
    [anon_sym_namespace] = ACTIONS(3124),
    [anon_sym_LBRACE] = ACTIONS(3124),
    [anon_sym_RBRACE] = ACTIONS(3124),
    [anon_sym_typeof] = ACTIONS(3124),
    [anon_sym_import] = ACTIONS(3124),
    [anon_sym_var] = ACTIONS(3124),
    [anon_sym_let] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_BANG] = ACTIONS(3124),
    [anon_sym_if] = ACTIONS(3124),
    [anon_sym_switch] = ACTIONS(3124),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3124),
    [anon_sym_await] = ACTIONS(3124),
    [anon_sym_while] = ACTIONS(3124),
    [anon_sym_do] = ACTIONS(3124),
    [anon_sym_try] = ACTIONS(3124),
    [anon_sym_with] = ACTIONS(3124),
    [anon_sym_break] = ACTIONS(3124),
    [anon_sym_continue] = ACTIONS(3124),
    [anon_sym_debugger] = ACTIONS(3124),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3124),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym_yield] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_LTtemplate_GT] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_async] = ACTIONS(3124),
    [anon_sym_function] = ACTIONS(3124),
    [anon_sym_new] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_void] = ACTIONS(3124),
    [anon_sym_delete] = ACTIONS(3124),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(3124),
    [anon_sym_SQUOTE] = ACTIONS(3124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3124),
    [sym_number] = ACTIONS(3124),
    [sym_private_property_identifier] = ACTIONS(3124),
    [sym_this] = ACTIONS(3124),
    [sym_super] = ACTIONS(3124),
    [sym_true] = ACTIONS(3124),
    [sym_false] = ACTIONS(3124),
    [sym_null] = ACTIONS(3124),
    [sym_undefined] = ACTIONS(3124),
    [anon_sym_AT] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_get] = ACTIONS(3124),
    [anon_sym_set] = ACTIONS(3124),
    [anon_sym_declare] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3124),
    [anon_sym_private] = ACTIONS(3124),
    [anon_sym_protected] = ACTIONS(3124),
    [anon_sym_override] = ACTIONS(3124),
    [anon_sym_module] = ACTIONS(3124),
    [anon_sym_any] = ACTIONS(3124),
    [anon_sym_number] = ACTIONS(3124),
    [anon_sym_boolean] = ACTIONS(3124),
    [anon_sym_string] = ACTIONS(3124),
    [anon_sym_symbol] = ACTIONS(3124),
    [anon_sym_object] = ACTIONS(3124),
    [anon_sym_abstract] = ACTIONS(3124),
    [anon_sym_interface] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1539] = {
    [sym_comment] = STATE(1539),
    [ts_builtin_sym_end] = ACTIONS(3414),
    [sym_identifier] = ACTIONS(3124),
    [anon_sym_export] = ACTIONS(3124),
    [anon_sym_type] = ACTIONS(3124),
    [anon_sym_namespace] = ACTIONS(3124),
    [anon_sym_LBRACE] = ACTIONS(3124),
    [anon_sym_RBRACE] = ACTIONS(3124),
    [anon_sym_typeof] = ACTIONS(3124),
    [anon_sym_import] = ACTIONS(3124),
    [anon_sym_var] = ACTIONS(3124),
    [anon_sym_let] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_BANG] = ACTIONS(3124),
    [anon_sym_if] = ACTIONS(3124),
    [anon_sym_switch] = ACTIONS(3124),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3124),
    [anon_sym_await] = ACTIONS(3124),
    [anon_sym_while] = ACTIONS(3124),
    [anon_sym_do] = ACTIONS(3124),
    [anon_sym_try] = ACTIONS(3124),
    [anon_sym_with] = ACTIONS(3124),
    [anon_sym_break] = ACTIONS(3124),
    [anon_sym_continue] = ACTIONS(3124),
    [anon_sym_debugger] = ACTIONS(3124),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3124),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym_yield] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_LTtemplate_GT] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_async] = ACTIONS(3124),
    [anon_sym_function] = ACTIONS(3124),
    [anon_sym_new] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_void] = ACTIONS(3124),
    [anon_sym_delete] = ACTIONS(3124),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(3124),
    [anon_sym_SQUOTE] = ACTIONS(3124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3124),
    [sym_number] = ACTIONS(3124),
    [sym_private_property_identifier] = ACTIONS(3124),
    [sym_this] = ACTIONS(3124),
    [sym_super] = ACTIONS(3124),
    [sym_true] = ACTIONS(3124),
    [sym_false] = ACTIONS(3124),
    [sym_null] = ACTIONS(3124),
    [sym_undefined] = ACTIONS(3124),
    [anon_sym_AT] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_get] = ACTIONS(3124),
    [anon_sym_set] = ACTIONS(3124),
    [anon_sym_declare] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3124),
    [anon_sym_private] = ACTIONS(3124),
    [anon_sym_protected] = ACTIONS(3124),
    [anon_sym_override] = ACTIONS(3124),
    [anon_sym_module] = ACTIONS(3124),
    [anon_sym_any] = ACTIONS(3124),
    [anon_sym_number] = ACTIONS(3124),
    [anon_sym_boolean] = ACTIONS(3124),
    [anon_sym_string] = ACTIONS(3124),
    [anon_sym_symbol] = ACTIONS(3124),
    [anon_sym_object] = ACTIONS(3124),
    [anon_sym_abstract] = ACTIONS(3124),
    [anon_sym_interface] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1540] = {
    [sym_comment] = STATE(1540),
    [ts_builtin_sym_end] = ACTIONS(3432),
    [sym_identifier] = ACTIONS(3182),
    [anon_sym_export] = ACTIONS(3182),
    [anon_sym_type] = ACTIONS(3182),
    [anon_sym_namespace] = ACTIONS(3182),
    [anon_sym_LBRACE] = ACTIONS(3182),
    [anon_sym_RBRACE] = ACTIONS(3182),
    [anon_sym_typeof] = ACTIONS(3182),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_var] = ACTIONS(3182),
    [anon_sym_let] = ACTIONS(3182),
    [anon_sym_const] = ACTIONS(3182),
    [anon_sym_BANG] = ACTIONS(3182),
    [anon_sym_if] = ACTIONS(3182),
    [anon_sym_switch] = ACTIONS(3182),
    [anon_sym_for] = ACTIONS(3182),
    [anon_sym_LPAREN] = ACTIONS(3182),
    [anon_sym_await] = ACTIONS(3182),
    [anon_sym_while] = ACTIONS(3182),
    [anon_sym_do] = ACTIONS(3182),
    [anon_sym_try] = ACTIONS(3182),
    [anon_sym_with] = ACTIONS(3182),
    [anon_sym_break] = ACTIONS(3182),
    [anon_sym_continue] = ACTIONS(3182),
    [anon_sym_debugger] = ACTIONS(3182),
    [anon_sym_return] = ACTIONS(3182),
    [anon_sym_throw] = ACTIONS(3182),
    [anon_sym_SEMI] = ACTIONS(3182),
    [anon_sym_yield] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3182),
    [anon_sym_LTtemplate_GT] = ACTIONS(3182),
    [anon_sym_class] = ACTIONS(3182),
    [anon_sym_async] = ACTIONS(3182),
    [anon_sym_function] = ACTIONS(3182),
    [anon_sym_new] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_PLUS] = ACTIONS(3182),
    [anon_sym_DASH] = ACTIONS(3182),
    [anon_sym_SLASH] = ACTIONS(3182),
    [anon_sym_LT] = ACTIONS(3182),
    [anon_sym_TILDE] = ACTIONS(3182),
    [anon_sym_void] = ACTIONS(3182),
    [anon_sym_delete] = ACTIONS(3182),
    [anon_sym_PLUS_PLUS] = ACTIONS(3182),
    [anon_sym_DASH_DASH] = ACTIONS(3182),
    [anon_sym_DQUOTE] = ACTIONS(3182),
    [anon_sym_SQUOTE] = ACTIONS(3182),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3182),
    [sym_number] = ACTIONS(3182),
    [sym_private_property_identifier] = ACTIONS(3182),
    [sym_this] = ACTIONS(3182),
    [sym_super] = ACTIONS(3182),
    [sym_true] = ACTIONS(3182),
    [sym_false] = ACTIONS(3182),
    [sym_null] = ACTIONS(3182),
    [sym_undefined] = ACTIONS(3182),
    [anon_sym_AT] = ACTIONS(3182),
    [anon_sym_static] = ACTIONS(3182),
    [anon_sym_readonly] = ACTIONS(3182),
    [anon_sym_get] = ACTIONS(3182),
    [anon_sym_set] = ACTIONS(3182),
    [anon_sym_declare] = ACTIONS(3182),
    [anon_sym_public] = ACTIONS(3182),
    [anon_sym_private] = ACTIONS(3182),
    [anon_sym_protected] = ACTIONS(3182),
    [anon_sym_override] = ACTIONS(3182),
    [anon_sym_module] = ACTIONS(3182),
    [anon_sym_any] = ACTIONS(3182),
    [anon_sym_number] = ACTIONS(3182),
    [anon_sym_boolean] = ACTIONS(3182),
    [anon_sym_string] = ACTIONS(3182),
    [anon_sym_symbol] = ACTIONS(3182),
    [anon_sym_object] = ACTIONS(3182),
    [anon_sym_abstract] = ACTIONS(3182),
    [anon_sym_interface] = ACTIONS(3182),
    [anon_sym_enum] = ACTIONS(3182),
    [sym_html_comment] = ACTIONS(5),
  },
  [1541] = {
    [sym_comment] = STATE(1541),
    [ts_builtin_sym_end] = ACTIONS(3524),
    [sym_identifier] = ACTIONS(3152),
    [anon_sym_export] = ACTIONS(3152),
    [anon_sym_type] = ACTIONS(3152),
    [anon_sym_namespace] = ACTIONS(3152),
    [anon_sym_LBRACE] = ACTIONS(3152),
    [anon_sym_RBRACE] = ACTIONS(3152),
    [anon_sym_typeof] = ACTIONS(3152),
    [anon_sym_import] = ACTIONS(3152),
    [anon_sym_var] = ACTIONS(3152),
    [anon_sym_let] = ACTIONS(3152),
    [anon_sym_const] = ACTIONS(3152),
    [anon_sym_BANG] = ACTIONS(3152),
    [anon_sym_if] = ACTIONS(3152),
    [anon_sym_switch] = ACTIONS(3152),
    [anon_sym_for] = ACTIONS(3152),
    [anon_sym_LPAREN] = ACTIONS(3152),
    [anon_sym_await] = ACTIONS(3152),
    [anon_sym_while] = ACTIONS(3152),
    [anon_sym_do] = ACTIONS(3152),
    [anon_sym_try] = ACTIONS(3152),
    [anon_sym_with] = ACTIONS(3152),
    [anon_sym_break] = ACTIONS(3152),
    [anon_sym_continue] = ACTIONS(3152),
    [anon_sym_debugger] = ACTIONS(3152),
    [anon_sym_return] = ACTIONS(3152),
    [anon_sym_throw] = ACTIONS(3152),
    [anon_sym_SEMI] = ACTIONS(3152),
    [anon_sym_yield] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_LTtemplate_GT] = ACTIONS(3152),
    [anon_sym_class] = ACTIONS(3152),
    [anon_sym_async] = ACTIONS(3152),
    [anon_sym_function] = ACTIONS(3152),
    [anon_sym_new] = ACTIONS(3152),
    [anon_sym_using] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_SLASH] = ACTIONS(3152),
    [anon_sym_LT] = ACTIONS(3152),
    [anon_sym_TILDE] = ACTIONS(3152),
    [anon_sym_void] = ACTIONS(3152),
    [anon_sym_delete] = ACTIONS(3152),
    [anon_sym_PLUS_PLUS] = ACTIONS(3152),
    [anon_sym_DASH_DASH] = ACTIONS(3152),
    [anon_sym_DQUOTE] = ACTIONS(3152),
    [anon_sym_SQUOTE] = ACTIONS(3152),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3152),
    [sym_number] = ACTIONS(3152),
    [sym_private_property_identifier] = ACTIONS(3152),
    [sym_this] = ACTIONS(3152),
    [sym_super] = ACTIONS(3152),
    [sym_true] = ACTIONS(3152),
    [sym_false] = ACTIONS(3152),
    [sym_null] = ACTIONS(3152),
    [sym_undefined] = ACTIONS(3152),
    [anon_sym_AT] = ACTIONS(3152),
    [anon_sym_static] = ACTIONS(3152),
    [anon_sym_readonly] = ACTIONS(3152),
    [anon_sym_get] = ACTIONS(3152),
    [anon_sym_set] = ACTIONS(3152),
    [anon_sym_declare] = ACTIONS(3152),
    [anon_sym_public] = ACTIONS(3152),
    [anon_sym_private] = ACTIONS(3152),
    [anon_sym_protected] = ACTIONS(3152),
    [anon_sym_override] = ACTIONS(3152),
    [anon_sym_module] = ACTIONS(3152),
    [anon_sym_any] = ACTIONS(3152),
    [anon_sym_number] = ACTIONS(3152),
    [anon_sym_boolean] = ACTIONS(3152),
    [anon_sym_string] = ACTIONS(3152),
    [anon_sym_symbol] = ACTIONS(3152),
    [anon_sym_object] = ACTIONS(3152),
    [anon_sym_abstract] = ACTIONS(3152),
    [anon_sym_interface] = ACTIONS(3152),
    [anon_sym_enum] = ACTIONS(3152),
    [sym_html_comment] = ACTIONS(5),
  },
  [1542] = {
    [sym_comment] = STATE(1542),
    [ts_builtin_sym_end] = ACTIONS(3414),
    [sym_identifier] = ACTIONS(3124),
    [anon_sym_export] = ACTIONS(3124),
    [anon_sym_type] = ACTIONS(3124),
    [anon_sym_namespace] = ACTIONS(3124),
    [anon_sym_LBRACE] = ACTIONS(3124),
    [anon_sym_RBRACE] = ACTIONS(3124),
    [anon_sym_typeof] = ACTIONS(3124),
    [anon_sym_import] = ACTIONS(3124),
    [anon_sym_var] = ACTIONS(3124),
    [anon_sym_let] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_BANG] = ACTIONS(3124),
    [anon_sym_if] = ACTIONS(3124),
    [anon_sym_switch] = ACTIONS(3124),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3124),
    [anon_sym_await] = ACTIONS(3124),
    [anon_sym_while] = ACTIONS(3124),
    [anon_sym_do] = ACTIONS(3124),
    [anon_sym_try] = ACTIONS(3124),
    [anon_sym_with] = ACTIONS(3124),
    [anon_sym_break] = ACTIONS(3124),
    [anon_sym_continue] = ACTIONS(3124),
    [anon_sym_debugger] = ACTIONS(3124),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3124),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym_yield] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_LTtemplate_GT] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_async] = ACTIONS(3124),
    [anon_sym_function] = ACTIONS(3124),
    [anon_sym_new] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_void] = ACTIONS(3124),
    [anon_sym_delete] = ACTIONS(3124),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(3124),
    [anon_sym_SQUOTE] = ACTIONS(3124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3124),
    [sym_number] = ACTIONS(3124),
    [sym_private_property_identifier] = ACTIONS(3124),
    [sym_this] = ACTIONS(3124),
    [sym_super] = ACTIONS(3124),
    [sym_true] = ACTIONS(3124),
    [sym_false] = ACTIONS(3124),
    [sym_null] = ACTIONS(3124),
    [sym_undefined] = ACTIONS(3124),
    [anon_sym_AT] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_get] = ACTIONS(3124),
    [anon_sym_set] = ACTIONS(3124),
    [anon_sym_declare] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3124),
    [anon_sym_private] = ACTIONS(3124),
    [anon_sym_protected] = ACTIONS(3124),
    [anon_sym_override] = ACTIONS(3124),
    [anon_sym_module] = ACTIONS(3124),
    [anon_sym_any] = ACTIONS(3124),
    [anon_sym_number] = ACTIONS(3124),
    [anon_sym_boolean] = ACTIONS(3124),
    [anon_sym_string] = ACTIONS(3124),
    [anon_sym_symbol] = ACTIONS(3124),
    [anon_sym_object] = ACTIONS(3124),
    [anon_sym_abstract] = ACTIONS(3124),
    [anon_sym_interface] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1543] = {
    [sym_comment] = STATE(1543),
    [ts_builtin_sym_end] = ACTIONS(3414),
    [sym_identifier] = ACTIONS(3124),
    [anon_sym_export] = ACTIONS(3124),
    [anon_sym_type] = ACTIONS(3124),
    [anon_sym_namespace] = ACTIONS(3124),
    [anon_sym_LBRACE] = ACTIONS(3124),
    [anon_sym_RBRACE] = ACTIONS(3124),
    [anon_sym_typeof] = ACTIONS(3124),
    [anon_sym_import] = ACTIONS(3124),
    [anon_sym_var] = ACTIONS(3124),
    [anon_sym_let] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_BANG] = ACTIONS(3124),
    [anon_sym_if] = ACTIONS(3124),
    [anon_sym_switch] = ACTIONS(3124),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3124),
    [anon_sym_await] = ACTIONS(3124),
    [anon_sym_while] = ACTIONS(3124),
    [anon_sym_do] = ACTIONS(3124),
    [anon_sym_try] = ACTIONS(3124),
    [anon_sym_with] = ACTIONS(3124),
    [anon_sym_break] = ACTIONS(3124),
    [anon_sym_continue] = ACTIONS(3124),
    [anon_sym_debugger] = ACTIONS(3124),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3124),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym_yield] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_LTtemplate_GT] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_async] = ACTIONS(3124),
    [anon_sym_function] = ACTIONS(3124),
    [anon_sym_new] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_void] = ACTIONS(3124),
    [anon_sym_delete] = ACTIONS(3124),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(3124),
    [anon_sym_SQUOTE] = ACTIONS(3124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3124),
    [sym_number] = ACTIONS(3124),
    [sym_private_property_identifier] = ACTIONS(3124),
    [sym_this] = ACTIONS(3124),
    [sym_super] = ACTIONS(3124),
    [sym_true] = ACTIONS(3124),
    [sym_false] = ACTIONS(3124),
    [sym_null] = ACTIONS(3124),
    [sym_undefined] = ACTIONS(3124),
    [anon_sym_AT] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_get] = ACTIONS(3124),
    [anon_sym_set] = ACTIONS(3124),
    [anon_sym_declare] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3124),
    [anon_sym_private] = ACTIONS(3124),
    [anon_sym_protected] = ACTIONS(3124),
    [anon_sym_override] = ACTIONS(3124),
    [anon_sym_module] = ACTIONS(3124),
    [anon_sym_any] = ACTIONS(3124),
    [anon_sym_number] = ACTIONS(3124),
    [anon_sym_boolean] = ACTIONS(3124),
    [anon_sym_string] = ACTIONS(3124),
    [anon_sym_symbol] = ACTIONS(3124),
    [anon_sym_object] = ACTIONS(3124),
    [anon_sym_abstract] = ACTIONS(3124),
    [anon_sym_interface] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1544] = {
    [sym_comment] = STATE(1544),
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_identifier] = ACTIONS(3170),
    [anon_sym_export] = ACTIONS(3170),
    [anon_sym_type] = ACTIONS(3170),
    [anon_sym_namespace] = ACTIONS(3170),
    [anon_sym_LBRACE] = ACTIONS(3170),
    [anon_sym_RBRACE] = ACTIONS(3170),
    [anon_sym_typeof] = ACTIONS(3170),
    [anon_sym_import] = ACTIONS(3170),
    [anon_sym_var] = ACTIONS(3170),
    [anon_sym_let] = ACTIONS(3170),
    [anon_sym_const] = ACTIONS(3170),
    [anon_sym_BANG] = ACTIONS(3170),
    [anon_sym_if] = ACTIONS(3170),
    [anon_sym_switch] = ACTIONS(3170),
    [anon_sym_for] = ACTIONS(3170),
    [anon_sym_LPAREN] = ACTIONS(3170),
    [anon_sym_await] = ACTIONS(3170),
    [anon_sym_while] = ACTIONS(3170),
    [anon_sym_do] = ACTIONS(3170),
    [anon_sym_try] = ACTIONS(3170),
    [anon_sym_with] = ACTIONS(3170),
    [anon_sym_break] = ACTIONS(3170),
    [anon_sym_continue] = ACTIONS(3170),
    [anon_sym_debugger] = ACTIONS(3170),
    [anon_sym_return] = ACTIONS(3170),
    [anon_sym_throw] = ACTIONS(3170),
    [anon_sym_SEMI] = ACTIONS(3170),
    [anon_sym_yield] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3170),
    [anon_sym_LTtemplate_GT] = ACTIONS(3170),
    [anon_sym_class] = ACTIONS(3170),
    [anon_sym_async] = ACTIONS(3170),
    [anon_sym_function] = ACTIONS(3170),
    [anon_sym_new] = ACTIONS(3170),
    [anon_sym_using] = ACTIONS(3170),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_SLASH] = ACTIONS(3170),
    [anon_sym_LT] = ACTIONS(3170),
    [anon_sym_TILDE] = ACTIONS(3170),
    [anon_sym_void] = ACTIONS(3170),
    [anon_sym_delete] = ACTIONS(3170),
    [anon_sym_PLUS_PLUS] = ACTIONS(3170),
    [anon_sym_DASH_DASH] = ACTIONS(3170),
    [anon_sym_DQUOTE] = ACTIONS(3170),
    [anon_sym_SQUOTE] = ACTIONS(3170),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3170),
    [sym_number] = ACTIONS(3170),
    [sym_private_property_identifier] = ACTIONS(3170),
    [sym_this] = ACTIONS(3170),
    [sym_super] = ACTIONS(3170),
    [sym_true] = ACTIONS(3170),
    [sym_false] = ACTIONS(3170),
    [sym_null] = ACTIONS(3170),
    [sym_undefined] = ACTIONS(3170),
    [anon_sym_AT] = ACTIONS(3170),
    [anon_sym_static] = ACTIONS(3170),
    [anon_sym_readonly] = ACTIONS(3170),
    [anon_sym_get] = ACTIONS(3170),
    [anon_sym_set] = ACTIONS(3170),
    [anon_sym_declare] = ACTIONS(3170),
    [anon_sym_public] = ACTIONS(3170),
    [anon_sym_private] = ACTIONS(3170),
    [anon_sym_protected] = ACTIONS(3170),
    [anon_sym_override] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(3170),
    [anon_sym_any] = ACTIONS(3170),
    [anon_sym_number] = ACTIONS(3170),
    [anon_sym_boolean] = ACTIONS(3170),
    [anon_sym_string] = ACTIONS(3170),
    [anon_sym_symbol] = ACTIONS(3170),
    [anon_sym_object] = ACTIONS(3170),
    [anon_sym_abstract] = ACTIONS(3170),
    [anon_sym_interface] = ACTIONS(3170),
    [anon_sym_enum] = ACTIONS(3170),
    [sym_html_comment] = ACTIONS(5),
  },
  [1545] = {
    [sym_comment] = STATE(1545),
    [ts_builtin_sym_end] = ACTIONS(3404),
    [sym_identifier] = ACTIONS(3138),
    [anon_sym_export] = ACTIONS(3138),
    [anon_sym_type] = ACTIONS(3138),
    [anon_sym_namespace] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3138),
    [anon_sym_RBRACE] = ACTIONS(3138),
    [anon_sym_typeof] = ACTIONS(3138),
    [anon_sym_import] = ACTIONS(3138),
    [anon_sym_var] = ACTIONS(3138),
    [anon_sym_let] = ACTIONS(3138),
    [anon_sym_const] = ACTIONS(3138),
    [anon_sym_BANG] = ACTIONS(3138),
    [anon_sym_if] = ACTIONS(3138),
    [anon_sym_switch] = ACTIONS(3138),
    [anon_sym_for] = ACTIONS(3138),
    [anon_sym_LPAREN] = ACTIONS(3138),
    [anon_sym_await] = ACTIONS(3138),
    [anon_sym_while] = ACTIONS(3138),
    [anon_sym_do] = ACTIONS(3138),
    [anon_sym_try] = ACTIONS(3138),
    [anon_sym_with] = ACTIONS(3138),
    [anon_sym_break] = ACTIONS(3138),
    [anon_sym_continue] = ACTIONS(3138),
    [anon_sym_debugger] = ACTIONS(3138),
    [anon_sym_return] = ACTIONS(3138),
    [anon_sym_throw] = ACTIONS(3138),
    [anon_sym_SEMI] = ACTIONS(3138),
    [anon_sym_yield] = ACTIONS(3138),
    [anon_sym_LBRACK] = ACTIONS(3138),
    [anon_sym_LTtemplate_GT] = ACTIONS(3138),
    [anon_sym_class] = ACTIONS(3138),
    [anon_sym_async] = ACTIONS(3138),
    [anon_sym_function] = ACTIONS(3138),
    [anon_sym_new] = ACTIONS(3138),
    [anon_sym_using] = ACTIONS(3138),
    [anon_sym_PLUS] = ACTIONS(3138),
    [anon_sym_DASH] = ACTIONS(3138),
    [anon_sym_SLASH] = ACTIONS(3138),
    [anon_sym_LT] = ACTIONS(3138),
    [anon_sym_TILDE] = ACTIONS(3138),
    [anon_sym_void] = ACTIONS(3138),
    [anon_sym_delete] = ACTIONS(3138),
    [anon_sym_PLUS_PLUS] = ACTIONS(3138),
    [anon_sym_DASH_DASH] = ACTIONS(3138),
    [anon_sym_DQUOTE] = ACTIONS(3138),
    [anon_sym_SQUOTE] = ACTIONS(3138),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3138),
    [sym_number] = ACTIONS(3138),
    [sym_private_property_identifier] = ACTIONS(3138),
    [sym_this] = ACTIONS(3138),
    [sym_super] = ACTIONS(3138),
    [sym_true] = ACTIONS(3138),
    [sym_false] = ACTIONS(3138),
    [sym_null] = ACTIONS(3138),
    [sym_undefined] = ACTIONS(3138),
    [anon_sym_AT] = ACTIONS(3138),
    [anon_sym_static] = ACTIONS(3138),
    [anon_sym_readonly] = ACTIONS(3138),
    [anon_sym_get] = ACTIONS(3138),
    [anon_sym_set] = ACTIONS(3138),
    [anon_sym_declare] = ACTIONS(3138),
    [anon_sym_public] = ACTIONS(3138),
    [anon_sym_private] = ACTIONS(3138),
    [anon_sym_protected] = ACTIONS(3138),
    [anon_sym_override] = ACTIONS(3138),
    [anon_sym_module] = ACTIONS(3138),
    [anon_sym_any] = ACTIONS(3138),
    [anon_sym_number] = ACTIONS(3138),
    [anon_sym_boolean] = ACTIONS(3138),
    [anon_sym_string] = ACTIONS(3138),
    [anon_sym_symbol] = ACTIONS(3138),
    [anon_sym_object] = ACTIONS(3138),
    [anon_sym_abstract] = ACTIONS(3138),
    [anon_sym_interface] = ACTIONS(3138),
    [anon_sym_enum] = ACTIONS(3138),
    [sym_html_comment] = ACTIONS(5),
  },
  [1546] = {
    [sym_comment] = STATE(1546),
    [ts_builtin_sym_end] = ACTIONS(3430),
    [sym_identifier] = ACTIONS(3266),
    [anon_sym_export] = ACTIONS(3266),
    [anon_sym_type] = ACTIONS(3266),
    [anon_sym_namespace] = ACTIONS(3266),
    [anon_sym_LBRACE] = ACTIONS(3266),
    [anon_sym_RBRACE] = ACTIONS(3266),
    [anon_sym_typeof] = ACTIONS(3266),
    [anon_sym_import] = ACTIONS(3266),
    [anon_sym_var] = ACTIONS(3266),
    [anon_sym_let] = ACTIONS(3266),
    [anon_sym_const] = ACTIONS(3266),
    [anon_sym_BANG] = ACTIONS(3266),
    [anon_sym_if] = ACTIONS(3266),
    [anon_sym_switch] = ACTIONS(3266),
    [anon_sym_for] = ACTIONS(3266),
    [anon_sym_LPAREN] = ACTIONS(3266),
    [anon_sym_await] = ACTIONS(3266),
    [anon_sym_while] = ACTIONS(3266),
    [anon_sym_do] = ACTIONS(3266),
    [anon_sym_try] = ACTIONS(3266),
    [anon_sym_with] = ACTIONS(3266),
    [anon_sym_break] = ACTIONS(3266),
    [anon_sym_continue] = ACTIONS(3266),
    [anon_sym_debugger] = ACTIONS(3266),
    [anon_sym_return] = ACTIONS(3266),
    [anon_sym_throw] = ACTIONS(3266),
    [anon_sym_SEMI] = ACTIONS(3266),
    [anon_sym_yield] = ACTIONS(3266),
    [anon_sym_LBRACK] = ACTIONS(3266),
    [anon_sym_LTtemplate_GT] = ACTIONS(3266),
    [anon_sym_class] = ACTIONS(3266),
    [anon_sym_async] = ACTIONS(3266),
    [anon_sym_function] = ACTIONS(3266),
    [anon_sym_new] = ACTIONS(3266),
    [anon_sym_using] = ACTIONS(3266),
    [anon_sym_PLUS] = ACTIONS(3266),
    [anon_sym_DASH] = ACTIONS(3266),
    [anon_sym_SLASH] = ACTIONS(3266),
    [anon_sym_LT] = ACTIONS(3266),
    [anon_sym_TILDE] = ACTIONS(3266),
    [anon_sym_void] = ACTIONS(3266),
    [anon_sym_delete] = ACTIONS(3266),
    [anon_sym_PLUS_PLUS] = ACTIONS(3266),
    [anon_sym_DASH_DASH] = ACTIONS(3266),
    [anon_sym_DQUOTE] = ACTIONS(3266),
    [anon_sym_SQUOTE] = ACTIONS(3266),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3266),
    [sym_number] = ACTIONS(3266),
    [sym_private_property_identifier] = ACTIONS(3266),
    [sym_this] = ACTIONS(3266),
    [sym_super] = ACTIONS(3266),
    [sym_true] = ACTIONS(3266),
    [sym_false] = ACTIONS(3266),
    [sym_null] = ACTIONS(3266),
    [sym_undefined] = ACTIONS(3266),
    [anon_sym_AT] = ACTIONS(3266),
    [anon_sym_static] = ACTIONS(3266),
    [anon_sym_readonly] = ACTIONS(3266),
    [anon_sym_get] = ACTIONS(3266),
    [anon_sym_set] = ACTIONS(3266),
    [anon_sym_declare] = ACTIONS(3266),
    [anon_sym_public] = ACTIONS(3266),
    [anon_sym_private] = ACTIONS(3266),
    [anon_sym_protected] = ACTIONS(3266),
    [anon_sym_override] = ACTIONS(3266),
    [anon_sym_module] = ACTIONS(3266),
    [anon_sym_any] = ACTIONS(3266),
    [anon_sym_number] = ACTIONS(3266),
    [anon_sym_boolean] = ACTIONS(3266),
    [anon_sym_string] = ACTIONS(3266),
    [anon_sym_symbol] = ACTIONS(3266),
    [anon_sym_object] = ACTIONS(3266),
    [anon_sym_abstract] = ACTIONS(3266),
    [anon_sym_interface] = ACTIONS(3266),
    [anon_sym_enum] = ACTIONS(3266),
    [sym_html_comment] = ACTIONS(5),
  },
  [1547] = {
    [sym_comment] = STATE(1547),
    [ts_builtin_sym_end] = ACTIONS(2091),
    [sym_identifier] = ACTIONS(2089),
    [anon_sym_export] = ACTIONS(2089),
    [anon_sym_type] = ACTIONS(2089),
    [anon_sym_namespace] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2089),
    [anon_sym_RBRACE] = ACTIONS(2089),
    [anon_sym_typeof] = ACTIONS(2089),
    [anon_sym_import] = ACTIONS(2089),
    [anon_sym_var] = ACTIONS(2089),
    [anon_sym_let] = ACTIONS(2089),
    [anon_sym_const] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2089),
    [anon_sym_if] = ACTIONS(2089),
    [anon_sym_switch] = ACTIONS(2089),
    [anon_sym_for] = ACTIONS(2089),
    [anon_sym_LPAREN] = ACTIONS(2089),
    [anon_sym_await] = ACTIONS(2089),
    [anon_sym_while] = ACTIONS(2089),
    [anon_sym_do] = ACTIONS(2089),
    [anon_sym_try] = ACTIONS(2089),
    [anon_sym_with] = ACTIONS(2089),
    [anon_sym_break] = ACTIONS(2089),
    [anon_sym_continue] = ACTIONS(2089),
    [anon_sym_debugger] = ACTIONS(2089),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_throw] = ACTIONS(2089),
    [anon_sym_SEMI] = ACTIONS(2089),
    [anon_sym_yield] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2089),
    [anon_sym_LTtemplate_GT] = ACTIONS(2089),
    [anon_sym_class] = ACTIONS(2089),
    [anon_sym_async] = ACTIONS(2089),
    [anon_sym_function] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2089),
    [anon_sym_using] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(2089),
    [anon_sym_DASH] = ACTIONS(2089),
    [anon_sym_SLASH] = ACTIONS(2089),
    [anon_sym_LT] = ACTIONS(2089),
    [anon_sym_TILDE] = ACTIONS(2089),
    [anon_sym_void] = ACTIONS(2089),
    [anon_sym_delete] = ACTIONS(2089),
    [anon_sym_PLUS_PLUS] = ACTIONS(2089),
    [anon_sym_DASH_DASH] = ACTIONS(2089),
    [anon_sym_DQUOTE] = ACTIONS(2089),
    [anon_sym_SQUOTE] = ACTIONS(2089),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2089),
    [sym_number] = ACTIONS(2089),
    [sym_private_property_identifier] = ACTIONS(2089),
    [sym_this] = ACTIONS(2089),
    [sym_super] = ACTIONS(2089),
    [sym_true] = ACTIONS(2089),
    [sym_false] = ACTIONS(2089),
    [sym_null] = ACTIONS(2089),
    [sym_undefined] = ACTIONS(2089),
    [anon_sym_AT] = ACTIONS(2089),
    [anon_sym_static] = ACTIONS(2089),
    [anon_sym_readonly] = ACTIONS(2089),
    [anon_sym_get] = ACTIONS(2089),
    [anon_sym_set] = ACTIONS(2089),
    [anon_sym_declare] = ACTIONS(2089),
    [anon_sym_public] = ACTIONS(2089),
    [anon_sym_private] = ACTIONS(2089),
    [anon_sym_protected] = ACTIONS(2089),
    [anon_sym_override] = ACTIONS(2089),
    [anon_sym_module] = ACTIONS(2089),
    [anon_sym_any] = ACTIONS(2089),
    [anon_sym_number] = ACTIONS(2089),
    [anon_sym_boolean] = ACTIONS(2089),
    [anon_sym_string] = ACTIONS(2089),
    [anon_sym_symbol] = ACTIONS(2089),
    [anon_sym_object] = ACTIONS(2089),
    [anon_sym_abstract] = ACTIONS(2089),
    [anon_sym_interface] = ACTIONS(2089),
    [anon_sym_enum] = ACTIONS(2089),
    [sym_html_comment] = ACTIONS(5),
  },
  [1548] = {
    [sym_comment] = STATE(1548),
    [ts_builtin_sym_end] = ACTIONS(3428),
    [sym_identifier] = ACTIONS(3276),
    [anon_sym_export] = ACTIONS(3276),
    [anon_sym_type] = ACTIONS(3276),
    [anon_sym_namespace] = ACTIONS(3276),
    [anon_sym_LBRACE] = ACTIONS(3276),
    [anon_sym_RBRACE] = ACTIONS(3276),
    [anon_sym_typeof] = ACTIONS(3276),
    [anon_sym_import] = ACTIONS(3276),
    [anon_sym_var] = ACTIONS(3276),
    [anon_sym_let] = ACTIONS(3276),
    [anon_sym_const] = ACTIONS(3276),
    [anon_sym_BANG] = ACTIONS(3276),
    [anon_sym_if] = ACTIONS(3276),
    [anon_sym_switch] = ACTIONS(3276),
    [anon_sym_for] = ACTIONS(3276),
    [anon_sym_LPAREN] = ACTIONS(3276),
    [anon_sym_await] = ACTIONS(3276),
    [anon_sym_while] = ACTIONS(3276),
    [anon_sym_do] = ACTIONS(3276),
    [anon_sym_try] = ACTIONS(3276),
    [anon_sym_with] = ACTIONS(3276),
    [anon_sym_break] = ACTIONS(3276),
    [anon_sym_continue] = ACTIONS(3276),
    [anon_sym_debugger] = ACTIONS(3276),
    [anon_sym_return] = ACTIONS(3276),
    [anon_sym_throw] = ACTIONS(3276),
    [anon_sym_SEMI] = ACTIONS(3276),
    [anon_sym_yield] = ACTIONS(3276),
    [anon_sym_LBRACK] = ACTIONS(3276),
    [anon_sym_LTtemplate_GT] = ACTIONS(3276),
    [anon_sym_class] = ACTIONS(3276),
    [anon_sym_async] = ACTIONS(3276),
    [anon_sym_function] = ACTIONS(3276),
    [anon_sym_new] = ACTIONS(3276),
    [anon_sym_using] = ACTIONS(3276),
    [anon_sym_PLUS] = ACTIONS(3276),
    [anon_sym_DASH] = ACTIONS(3276),
    [anon_sym_SLASH] = ACTIONS(3276),
    [anon_sym_LT] = ACTIONS(3276),
    [anon_sym_TILDE] = ACTIONS(3276),
    [anon_sym_void] = ACTIONS(3276),
    [anon_sym_delete] = ACTIONS(3276),
    [anon_sym_PLUS_PLUS] = ACTIONS(3276),
    [anon_sym_DASH_DASH] = ACTIONS(3276),
    [anon_sym_DQUOTE] = ACTIONS(3276),
    [anon_sym_SQUOTE] = ACTIONS(3276),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3276),
    [sym_number] = ACTIONS(3276),
    [sym_private_property_identifier] = ACTIONS(3276),
    [sym_this] = ACTIONS(3276),
    [sym_super] = ACTIONS(3276),
    [sym_true] = ACTIONS(3276),
    [sym_false] = ACTIONS(3276),
    [sym_null] = ACTIONS(3276),
    [sym_undefined] = ACTIONS(3276),
    [anon_sym_AT] = ACTIONS(3276),
    [anon_sym_static] = ACTIONS(3276),
    [anon_sym_readonly] = ACTIONS(3276),
    [anon_sym_get] = ACTIONS(3276),
    [anon_sym_set] = ACTIONS(3276),
    [anon_sym_declare] = ACTIONS(3276),
    [anon_sym_public] = ACTIONS(3276),
    [anon_sym_private] = ACTIONS(3276),
    [anon_sym_protected] = ACTIONS(3276),
    [anon_sym_override] = ACTIONS(3276),
    [anon_sym_module] = ACTIONS(3276),
    [anon_sym_any] = ACTIONS(3276),
    [anon_sym_number] = ACTIONS(3276),
    [anon_sym_boolean] = ACTIONS(3276),
    [anon_sym_string] = ACTIONS(3276),
    [anon_sym_symbol] = ACTIONS(3276),
    [anon_sym_object] = ACTIONS(3276),
    [anon_sym_abstract] = ACTIONS(3276),
    [anon_sym_interface] = ACTIONS(3276),
    [anon_sym_enum] = ACTIONS(3276),
    [sym_html_comment] = ACTIONS(5),
  },
  [1549] = {
    [sym_comment] = STATE(1549),
    [ts_builtin_sym_end] = ACTIONS(3484),
    [sym_identifier] = ACTIONS(3192),
    [anon_sym_export] = ACTIONS(3192),
    [anon_sym_type] = ACTIONS(3192),
    [anon_sym_namespace] = ACTIONS(3192),
    [anon_sym_LBRACE] = ACTIONS(3192),
    [anon_sym_RBRACE] = ACTIONS(3192),
    [anon_sym_typeof] = ACTIONS(3192),
    [anon_sym_import] = ACTIONS(3192),
    [anon_sym_var] = ACTIONS(3192),
    [anon_sym_let] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3192),
    [anon_sym_BANG] = ACTIONS(3192),
    [anon_sym_if] = ACTIONS(3192),
    [anon_sym_switch] = ACTIONS(3192),
    [anon_sym_for] = ACTIONS(3192),
    [anon_sym_LPAREN] = ACTIONS(3192),
    [anon_sym_await] = ACTIONS(3192),
    [anon_sym_while] = ACTIONS(3192),
    [anon_sym_do] = ACTIONS(3192),
    [anon_sym_try] = ACTIONS(3192),
    [anon_sym_with] = ACTIONS(3192),
    [anon_sym_break] = ACTIONS(3192),
    [anon_sym_continue] = ACTIONS(3192),
    [anon_sym_debugger] = ACTIONS(3192),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_throw] = ACTIONS(3192),
    [anon_sym_SEMI] = ACTIONS(3192),
    [anon_sym_yield] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(3192),
    [anon_sym_LTtemplate_GT] = ACTIONS(3192),
    [anon_sym_class] = ACTIONS(3192),
    [anon_sym_async] = ACTIONS(3192),
    [anon_sym_function] = ACTIONS(3192),
    [anon_sym_new] = ACTIONS(3192),
    [anon_sym_using] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3192),
    [anon_sym_DASH] = ACTIONS(3192),
    [anon_sym_SLASH] = ACTIONS(3192),
    [anon_sym_LT] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3192),
    [anon_sym_void] = ACTIONS(3192),
    [anon_sym_delete] = ACTIONS(3192),
    [anon_sym_PLUS_PLUS] = ACTIONS(3192),
    [anon_sym_DASH_DASH] = ACTIONS(3192),
    [anon_sym_DQUOTE] = ACTIONS(3192),
    [anon_sym_SQUOTE] = ACTIONS(3192),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3192),
    [sym_number] = ACTIONS(3192),
    [sym_private_property_identifier] = ACTIONS(3192),
    [sym_this] = ACTIONS(3192),
    [sym_super] = ACTIONS(3192),
    [sym_true] = ACTIONS(3192),
    [sym_false] = ACTIONS(3192),
    [sym_null] = ACTIONS(3192),
    [sym_undefined] = ACTIONS(3192),
    [anon_sym_AT] = ACTIONS(3192),
    [anon_sym_static] = ACTIONS(3192),
    [anon_sym_readonly] = ACTIONS(3192),
    [anon_sym_get] = ACTIONS(3192),
    [anon_sym_set] = ACTIONS(3192),
    [anon_sym_declare] = ACTIONS(3192),
    [anon_sym_public] = ACTIONS(3192),
    [anon_sym_private] = ACTIONS(3192),
    [anon_sym_protected] = ACTIONS(3192),
    [anon_sym_override] = ACTIONS(3192),
    [anon_sym_module] = ACTIONS(3192),
    [anon_sym_any] = ACTIONS(3192),
    [anon_sym_number] = ACTIONS(3192),
    [anon_sym_boolean] = ACTIONS(3192),
    [anon_sym_string] = ACTIONS(3192),
    [anon_sym_symbol] = ACTIONS(3192),
    [anon_sym_object] = ACTIONS(3192),
    [anon_sym_abstract] = ACTIONS(3192),
    [anon_sym_interface] = ACTIONS(3192),
    [anon_sym_enum] = ACTIONS(3192),
    [sym_html_comment] = ACTIONS(5),
  },
  [1550] = {
    [sym_comment] = STATE(1550),
    [ts_builtin_sym_end] = ACTIONS(3486),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_export] = ACTIONS(3190),
    [anon_sym_type] = ACTIONS(3190),
    [anon_sym_namespace] = ACTIONS(3190),
    [anon_sym_LBRACE] = ACTIONS(3190),
    [anon_sym_RBRACE] = ACTIONS(3190),
    [anon_sym_typeof] = ACTIONS(3190),
    [anon_sym_import] = ACTIONS(3190),
    [anon_sym_var] = ACTIONS(3190),
    [anon_sym_let] = ACTIONS(3190),
    [anon_sym_const] = ACTIONS(3190),
    [anon_sym_BANG] = ACTIONS(3190),
    [anon_sym_if] = ACTIONS(3190),
    [anon_sym_switch] = ACTIONS(3190),
    [anon_sym_for] = ACTIONS(3190),
    [anon_sym_LPAREN] = ACTIONS(3190),
    [anon_sym_await] = ACTIONS(3190),
    [anon_sym_while] = ACTIONS(3190),
    [anon_sym_do] = ACTIONS(3190),
    [anon_sym_try] = ACTIONS(3190),
    [anon_sym_with] = ACTIONS(3190),
    [anon_sym_break] = ACTIONS(3190),
    [anon_sym_continue] = ACTIONS(3190),
    [anon_sym_debugger] = ACTIONS(3190),
    [anon_sym_return] = ACTIONS(3190),
    [anon_sym_throw] = ACTIONS(3190),
    [anon_sym_SEMI] = ACTIONS(3190),
    [anon_sym_yield] = ACTIONS(3190),
    [anon_sym_LBRACK] = ACTIONS(3190),
    [anon_sym_LTtemplate_GT] = ACTIONS(3190),
    [anon_sym_class] = ACTIONS(3190),
    [anon_sym_async] = ACTIONS(3190),
    [anon_sym_function] = ACTIONS(3190),
    [anon_sym_new] = ACTIONS(3190),
    [anon_sym_using] = ACTIONS(3190),
    [anon_sym_PLUS] = ACTIONS(3190),
    [anon_sym_DASH] = ACTIONS(3190),
    [anon_sym_SLASH] = ACTIONS(3190),
    [anon_sym_LT] = ACTIONS(3190),
    [anon_sym_TILDE] = ACTIONS(3190),
    [anon_sym_void] = ACTIONS(3190),
    [anon_sym_delete] = ACTIONS(3190),
    [anon_sym_PLUS_PLUS] = ACTIONS(3190),
    [anon_sym_DASH_DASH] = ACTIONS(3190),
    [anon_sym_DQUOTE] = ACTIONS(3190),
    [anon_sym_SQUOTE] = ACTIONS(3190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3190),
    [sym_number] = ACTIONS(3190),
    [sym_private_property_identifier] = ACTIONS(3190),
    [sym_this] = ACTIONS(3190),
    [sym_super] = ACTIONS(3190),
    [sym_true] = ACTIONS(3190),
    [sym_false] = ACTIONS(3190),
    [sym_null] = ACTIONS(3190),
    [sym_undefined] = ACTIONS(3190),
    [anon_sym_AT] = ACTIONS(3190),
    [anon_sym_static] = ACTIONS(3190),
    [anon_sym_readonly] = ACTIONS(3190),
    [anon_sym_get] = ACTIONS(3190),
    [anon_sym_set] = ACTIONS(3190),
    [anon_sym_declare] = ACTIONS(3190),
    [anon_sym_public] = ACTIONS(3190),
    [anon_sym_private] = ACTIONS(3190),
    [anon_sym_protected] = ACTIONS(3190),
    [anon_sym_override] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(3190),
    [anon_sym_any] = ACTIONS(3190),
    [anon_sym_number] = ACTIONS(3190),
    [anon_sym_boolean] = ACTIONS(3190),
    [anon_sym_string] = ACTIONS(3190),
    [anon_sym_symbol] = ACTIONS(3190),
    [anon_sym_object] = ACTIONS(3190),
    [anon_sym_abstract] = ACTIONS(3190),
    [anon_sym_interface] = ACTIONS(3190),
    [anon_sym_enum] = ACTIONS(3190),
    [sym_html_comment] = ACTIONS(5),
  },
  [1551] = {
    [sym_comment] = STATE(1551),
    [ts_builtin_sym_end] = ACTIONS(3410),
    [sym_identifier] = ACTIONS(3134),
    [anon_sym_export] = ACTIONS(3134),
    [anon_sym_type] = ACTIONS(3134),
    [anon_sym_namespace] = ACTIONS(3134),
    [anon_sym_LBRACE] = ACTIONS(3134),
    [anon_sym_RBRACE] = ACTIONS(3134),
    [anon_sym_typeof] = ACTIONS(3134),
    [anon_sym_import] = ACTIONS(3134),
    [anon_sym_var] = ACTIONS(3134),
    [anon_sym_let] = ACTIONS(3134),
    [anon_sym_const] = ACTIONS(3134),
    [anon_sym_BANG] = ACTIONS(3134),
    [anon_sym_if] = ACTIONS(3134),
    [anon_sym_switch] = ACTIONS(3134),
    [anon_sym_for] = ACTIONS(3134),
    [anon_sym_LPAREN] = ACTIONS(3134),
    [anon_sym_await] = ACTIONS(3134),
    [anon_sym_while] = ACTIONS(3134),
    [anon_sym_do] = ACTIONS(3134),
    [anon_sym_try] = ACTIONS(3134),
    [anon_sym_with] = ACTIONS(3134),
    [anon_sym_break] = ACTIONS(3134),
    [anon_sym_continue] = ACTIONS(3134),
    [anon_sym_debugger] = ACTIONS(3134),
    [anon_sym_return] = ACTIONS(3134),
    [anon_sym_throw] = ACTIONS(3134),
    [anon_sym_SEMI] = ACTIONS(3134),
    [anon_sym_yield] = ACTIONS(3134),
    [anon_sym_LBRACK] = ACTIONS(3134),
    [anon_sym_LTtemplate_GT] = ACTIONS(3134),
    [anon_sym_class] = ACTIONS(3134),
    [anon_sym_async] = ACTIONS(3134),
    [anon_sym_function] = ACTIONS(3134),
    [anon_sym_new] = ACTIONS(3134),
    [anon_sym_using] = ACTIONS(3134),
    [anon_sym_PLUS] = ACTIONS(3134),
    [anon_sym_DASH] = ACTIONS(3134),
    [anon_sym_SLASH] = ACTIONS(3134),
    [anon_sym_LT] = ACTIONS(3134),
    [anon_sym_TILDE] = ACTIONS(3134),
    [anon_sym_void] = ACTIONS(3134),
    [anon_sym_delete] = ACTIONS(3134),
    [anon_sym_PLUS_PLUS] = ACTIONS(3134),
    [anon_sym_DASH_DASH] = ACTIONS(3134),
    [anon_sym_DQUOTE] = ACTIONS(3134),
    [anon_sym_SQUOTE] = ACTIONS(3134),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3134),
    [sym_number] = ACTIONS(3134),
    [sym_private_property_identifier] = ACTIONS(3134),
    [sym_this] = ACTIONS(3134),
    [sym_super] = ACTIONS(3134),
    [sym_true] = ACTIONS(3134),
    [sym_false] = ACTIONS(3134),
    [sym_null] = ACTIONS(3134),
    [sym_undefined] = ACTIONS(3134),
    [anon_sym_AT] = ACTIONS(3134),
    [anon_sym_static] = ACTIONS(3134),
    [anon_sym_readonly] = ACTIONS(3134),
    [anon_sym_get] = ACTIONS(3134),
    [anon_sym_set] = ACTIONS(3134),
    [anon_sym_declare] = ACTIONS(3134),
    [anon_sym_public] = ACTIONS(3134),
    [anon_sym_private] = ACTIONS(3134),
    [anon_sym_protected] = ACTIONS(3134),
    [anon_sym_override] = ACTIONS(3134),
    [anon_sym_module] = ACTIONS(3134),
    [anon_sym_any] = ACTIONS(3134),
    [anon_sym_number] = ACTIONS(3134),
    [anon_sym_boolean] = ACTIONS(3134),
    [anon_sym_string] = ACTIONS(3134),
    [anon_sym_symbol] = ACTIONS(3134),
    [anon_sym_object] = ACTIONS(3134),
    [anon_sym_abstract] = ACTIONS(3134),
    [anon_sym_interface] = ACTIONS(3134),
    [anon_sym_enum] = ACTIONS(3134),
    [sym_html_comment] = ACTIONS(5),
  },
  [1552] = {
    [sym_comment] = STATE(1552),
    [ts_builtin_sym_end] = ACTIONS(3406),
    [sym_identifier] = ACTIONS(3136),
    [anon_sym_export] = ACTIONS(3136),
    [anon_sym_type] = ACTIONS(3136),
    [anon_sym_namespace] = ACTIONS(3136),
    [anon_sym_LBRACE] = ACTIONS(3136),
    [anon_sym_RBRACE] = ACTIONS(3136),
    [anon_sym_typeof] = ACTIONS(3136),
    [anon_sym_import] = ACTIONS(3136),
    [anon_sym_var] = ACTIONS(3136),
    [anon_sym_let] = ACTIONS(3136),
    [anon_sym_const] = ACTIONS(3136),
    [anon_sym_BANG] = ACTIONS(3136),
    [anon_sym_if] = ACTIONS(3136),
    [anon_sym_switch] = ACTIONS(3136),
    [anon_sym_for] = ACTIONS(3136),
    [anon_sym_LPAREN] = ACTIONS(3136),
    [anon_sym_await] = ACTIONS(3136),
    [anon_sym_while] = ACTIONS(3136),
    [anon_sym_do] = ACTIONS(3136),
    [anon_sym_try] = ACTIONS(3136),
    [anon_sym_with] = ACTIONS(3136),
    [anon_sym_break] = ACTIONS(3136),
    [anon_sym_continue] = ACTIONS(3136),
    [anon_sym_debugger] = ACTIONS(3136),
    [anon_sym_return] = ACTIONS(3136),
    [anon_sym_throw] = ACTIONS(3136),
    [anon_sym_SEMI] = ACTIONS(3136),
    [anon_sym_yield] = ACTIONS(3136),
    [anon_sym_LBRACK] = ACTIONS(3136),
    [anon_sym_LTtemplate_GT] = ACTIONS(3136),
    [anon_sym_class] = ACTIONS(3136),
    [anon_sym_async] = ACTIONS(3136),
    [anon_sym_function] = ACTIONS(3136),
    [anon_sym_new] = ACTIONS(3136),
    [anon_sym_using] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_SLASH] = ACTIONS(3136),
    [anon_sym_LT] = ACTIONS(3136),
    [anon_sym_TILDE] = ACTIONS(3136),
    [anon_sym_void] = ACTIONS(3136),
    [anon_sym_delete] = ACTIONS(3136),
    [anon_sym_PLUS_PLUS] = ACTIONS(3136),
    [anon_sym_DASH_DASH] = ACTIONS(3136),
    [anon_sym_DQUOTE] = ACTIONS(3136),
    [anon_sym_SQUOTE] = ACTIONS(3136),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3136),
    [sym_number] = ACTIONS(3136),
    [sym_private_property_identifier] = ACTIONS(3136),
    [sym_this] = ACTIONS(3136),
    [sym_super] = ACTIONS(3136),
    [sym_true] = ACTIONS(3136),
    [sym_false] = ACTIONS(3136),
    [sym_null] = ACTIONS(3136),
    [sym_undefined] = ACTIONS(3136),
    [anon_sym_AT] = ACTIONS(3136),
    [anon_sym_static] = ACTIONS(3136),
    [anon_sym_readonly] = ACTIONS(3136),
    [anon_sym_get] = ACTIONS(3136),
    [anon_sym_set] = ACTIONS(3136),
    [anon_sym_declare] = ACTIONS(3136),
    [anon_sym_public] = ACTIONS(3136),
    [anon_sym_private] = ACTIONS(3136),
    [anon_sym_protected] = ACTIONS(3136),
    [anon_sym_override] = ACTIONS(3136),
    [anon_sym_module] = ACTIONS(3136),
    [anon_sym_any] = ACTIONS(3136),
    [anon_sym_number] = ACTIONS(3136),
    [anon_sym_boolean] = ACTIONS(3136),
    [anon_sym_string] = ACTIONS(3136),
    [anon_sym_symbol] = ACTIONS(3136),
    [anon_sym_object] = ACTIONS(3136),
    [anon_sym_abstract] = ACTIONS(3136),
    [anon_sym_interface] = ACTIONS(3136),
    [anon_sym_enum] = ACTIONS(3136),
    [sym_html_comment] = ACTIONS(5),
  },
  [1553] = {
    [sym_comment] = STATE(1553),
    [ts_builtin_sym_end] = ACTIONS(3398),
    [sym_identifier] = ACTIONS(3326),
    [anon_sym_export] = ACTIONS(3326),
    [anon_sym_type] = ACTIONS(3326),
    [anon_sym_namespace] = ACTIONS(3326),
    [anon_sym_LBRACE] = ACTIONS(3326),
    [anon_sym_RBRACE] = ACTIONS(3326),
    [anon_sym_typeof] = ACTIONS(3326),
    [anon_sym_import] = ACTIONS(3326),
    [anon_sym_var] = ACTIONS(3326),
    [anon_sym_let] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3326),
    [anon_sym_BANG] = ACTIONS(3326),
    [anon_sym_if] = ACTIONS(3326),
    [anon_sym_switch] = ACTIONS(3326),
    [anon_sym_for] = ACTIONS(3326),
    [anon_sym_LPAREN] = ACTIONS(3326),
    [anon_sym_await] = ACTIONS(3326),
    [anon_sym_while] = ACTIONS(3326),
    [anon_sym_do] = ACTIONS(3326),
    [anon_sym_try] = ACTIONS(3326),
    [anon_sym_with] = ACTIONS(3326),
    [anon_sym_break] = ACTIONS(3326),
    [anon_sym_continue] = ACTIONS(3326),
    [anon_sym_debugger] = ACTIONS(3326),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_throw] = ACTIONS(3326),
    [anon_sym_SEMI] = ACTIONS(3326),
    [anon_sym_yield] = ACTIONS(3326),
    [anon_sym_LBRACK] = ACTIONS(3326),
    [anon_sym_LTtemplate_GT] = ACTIONS(3326),
    [anon_sym_class] = ACTIONS(3326),
    [anon_sym_async] = ACTIONS(3326),
    [anon_sym_function] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(3326),
    [anon_sym_using] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_SLASH] = ACTIONS(3326),
    [anon_sym_LT] = ACTIONS(3326),
    [anon_sym_TILDE] = ACTIONS(3326),
    [anon_sym_void] = ACTIONS(3326),
    [anon_sym_delete] = ACTIONS(3326),
    [anon_sym_PLUS_PLUS] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [anon_sym_SQUOTE] = ACTIONS(3326),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3326),
    [sym_number] = ACTIONS(3326),
    [sym_private_property_identifier] = ACTIONS(3326),
    [sym_this] = ACTIONS(3326),
    [sym_super] = ACTIONS(3326),
    [sym_true] = ACTIONS(3326),
    [sym_false] = ACTIONS(3326),
    [sym_null] = ACTIONS(3326),
    [sym_undefined] = ACTIONS(3326),
    [anon_sym_AT] = ACTIONS(3326),
    [anon_sym_static] = ACTIONS(3326),
    [anon_sym_readonly] = ACTIONS(3326),
    [anon_sym_get] = ACTIONS(3326),
    [anon_sym_set] = ACTIONS(3326),
    [anon_sym_declare] = ACTIONS(3326),
    [anon_sym_public] = ACTIONS(3326),
    [anon_sym_private] = ACTIONS(3326),
    [anon_sym_protected] = ACTIONS(3326),
    [anon_sym_override] = ACTIONS(3326),
    [anon_sym_module] = ACTIONS(3326),
    [anon_sym_any] = ACTIONS(3326),
    [anon_sym_number] = ACTIONS(3326),
    [anon_sym_boolean] = ACTIONS(3326),
    [anon_sym_string] = ACTIONS(3326),
    [anon_sym_symbol] = ACTIONS(3326),
    [anon_sym_object] = ACTIONS(3326),
    [anon_sym_abstract] = ACTIONS(3326),
    [anon_sym_interface] = ACTIONS(3326),
    [anon_sym_enum] = ACTIONS(3326),
    [sym_html_comment] = ACTIONS(5),
  },
  [1554] = {
    [sym_comment] = STATE(1554),
    [ts_builtin_sym_end] = ACTIONS(2341),
    [sym_identifier] = ACTIONS(2107),
    [anon_sym_export] = ACTIONS(2107),
    [anon_sym_type] = ACTIONS(2107),
    [anon_sym_namespace] = ACTIONS(2107),
    [anon_sym_LBRACE] = ACTIONS(2107),
    [anon_sym_RBRACE] = ACTIONS(2107),
    [anon_sym_typeof] = ACTIONS(2107),
    [anon_sym_import] = ACTIONS(2107),
    [anon_sym_var] = ACTIONS(2107),
    [anon_sym_let] = ACTIONS(2107),
    [anon_sym_const] = ACTIONS(2107),
    [anon_sym_BANG] = ACTIONS(2107),
    [anon_sym_if] = ACTIONS(2107),
    [anon_sym_switch] = ACTIONS(2107),
    [anon_sym_for] = ACTIONS(2107),
    [anon_sym_LPAREN] = ACTIONS(2107),
    [anon_sym_await] = ACTIONS(2107),
    [anon_sym_while] = ACTIONS(2107),
    [anon_sym_do] = ACTIONS(2107),
    [anon_sym_try] = ACTIONS(2107),
    [anon_sym_with] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2107),
    [anon_sym_continue] = ACTIONS(2107),
    [anon_sym_debugger] = ACTIONS(2107),
    [anon_sym_return] = ACTIONS(2107),
    [anon_sym_throw] = ACTIONS(2107),
    [anon_sym_SEMI] = ACTIONS(2107),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_LBRACK] = ACTIONS(2107),
    [anon_sym_LTtemplate_GT] = ACTIONS(2107),
    [anon_sym_class] = ACTIONS(2107),
    [anon_sym_async] = ACTIONS(2107),
    [anon_sym_function] = ACTIONS(2107),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_using] = ACTIONS(2107),
    [anon_sym_PLUS] = ACTIONS(2107),
    [anon_sym_DASH] = ACTIONS(2107),
    [anon_sym_SLASH] = ACTIONS(2107),
    [anon_sym_LT] = ACTIONS(2107),
    [anon_sym_TILDE] = ACTIONS(2107),
    [anon_sym_void] = ACTIONS(2107),
    [anon_sym_delete] = ACTIONS(2107),
    [anon_sym_PLUS_PLUS] = ACTIONS(2107),
    [anon_sym_DASH_DASH] = ACTIONS(2107),
    [anon_sym_DQUOTE] = ACTIONS(2107),
    [anon_sym_SQUOTE] = ACTIONS(2107),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2107),
    [sym_number] = ACTIONS(2107),
    [sym_private_property_identifier] = ACTIONS(2107),
    [sym_this] = ACTIONS(2107),
    [sym_super] = ACTIONS(2107),
    [sym_true] = ACTIONS(2107),
    [sym_false] = ACTIONS(2107),
    [sym_null] = ACTIONS(2107),
    [sym_undefined] = ACTIONS(2107),
    [anon_sym_AT] = ACTIONS(2107),
    [anon_sym_static] = ACTIONS(2107),
    [anon_sym_readonly] = ACTIONS(2107),
    [anon_sym_get] = ACTIONS(2107),
    [anon_sym_set] = ACTIONS(2107),
    [anon_sym_declare] = ACTIONS(2107),
    [anon_sym_public] = ACTIONS(2107),
    [anon_sym_private] = ACTIONS(2107),
    [anon_sym_protected] = ACTIONS(2107),
    [anon_sym_override] = ACTIONS(2107),
    [anon_sym_module] = ACTIONS(2107),
    [anon_sym_any] = ACTIONS(2107),
    [anon_sym_number] = ACTIONS(2107),
    [anon_sym_boolean] = ACTIONS(2107),
    [anon_sym_string] = ACTIONS(2107),
    [anon_sym_symbol] = ACTIONS(2107),
    [anon_sym_object] = ACTIONS(2107),
    [anon_sym_abstract] = ACTIONS(2107),
    [anon_sym_interface] = ACTIONS(2107),
    [anon_sym_enum] = ACTIONS(2107),
    [sym_html_comment] = ACTIONS(5),
  },
  [1555] = {
    [sym_comment] = STATE(1555),
    [ts_builtin_sym_end] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3200),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_type] = ACTIONS(3200),
    [anon_sym_namespace] = ACTIONS(3200),
    [anon_sym_LBRACE] = ACTIONS(3200),
    [anon_sym_RBRACE] = ACTIONS(3200),
    [anon_sym_typeof] = ACTIONS(3200),
    [anon_sym_import] = ACTIONS(3200),
    [anon_sym_var] = ACTIONS(3200),
    [anon_sym_let] = ACTIONS(3200),
    [anon_sym_const] = ACTIONS(3200),
    [anon_sym_BANG] = ACTIONS(3200),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_switch] = ACTIONS(3200),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_LPAREN] = ACTIONS(3200),
    [anon_sym_await] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3200),
    [anon_sym_do] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3200),
    [anon_sym_with] = ACTIONS(3200),
    [anon_sym_break] = ACTIONS(3200),
    [anon_sym_continue] = ACTIONS(3200),
    [anon_sym_debugger] = ACTIONS(3200),
    [anon_sym_return] = ACTIONS(3200),
    [anon_sym_throw] = ACTIONS(3200),
    [anon_sym_SEMI] = ACTIONS(3200),
    [anon_sym_yield] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_LTtemplate_GT] = ACTIONS(3200),
    [anon_sym_class] = ACTIONS(3200),
    [anon_sym_async] = ACTIONS(3200),
    [anon_sym_function] = ACTIONS(3200),
    [anon_sym_new] = ACTIONS(3200),
    [anon_sym_using] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3200),
    [anon_sym_DASH] = ACTIONS(3200),
    [anon_sym_SLASH] = ACTIONS(3200),
    [anon_sym_LT] = ACTIONS(3200),
    [anon_sym_TILDE] = ACTIONS(3200),
    [anon_sym_void] = ACTIONS(3200),
    [anon_sym_delete] = ACTIONS(3200),
    [anon_sym_PLUS_PLUS] = ACTIONS(3200),
    [anon_sym_DASH_DASH] = ACTIONS(3200),
    [anon_sym_DQUOTE] = ACTIONS(3200),
    [anon_sym_SQUOTE] = ACTIONS(3200),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3200),
    [sym_number] = ACTIONS(3200),
    [sym_private_property_identifier] = ACTIONS(3200),
    [sym_this] = ACTIONS(3200),
    [sym_super] = ACTIONS(3200),
    [sym_true] = ACTIONS(3200),
    [sym_false] = ACTIONS(3200),
    [sym_null] = ACTIONS(3200),
    [sym_undefined] = ACTIONS(3200),
    [anon_sym_AT] = ACTIONS(3200),
    [anon_sym_static] = ACTIONS(3200),
    [anon_sym_readonly] = ACTIONS(3200),
    [anon_sym_get] = ACTIONS(3200),
    [anon_sym_set] = ACTIONS(3200),
    [anon_sym_declare] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3200),
    [anon_sym_private] = ACTIONS(3200),
    [anon_sym_protected] = ACTIONS(3200),
    [anon_sym_override] = ACTIONS(3200),
    [anon_sym_module] = ACTIONS(3200),
    [anon_sym_any] = ACTIONS(3200),
    [anon_sym_number] = ACTIONS(3200),
    [anon_sym_boolean] = ACTIONS(3200),
    [anon_sym_string] = ACTIONS(3200),
    [anon_sym_symbol] = ACTIONS(3200),
    [anon_sym_object] = ACTIONS(3200),
    [anon_sym_abstract] = ACTIONS(3200),
    [anon_sym_interface] = ACTIONS(3200),
    [anon_sym_enum] = ACTIONS(3200),
    [sym_html_comment] = ACTIONS(5),
  },
  [1556] = {
    [sym_comment] = STATE(1556),
    [ts_builtin_sym_end] = ACTIONS(3454),
    [sym_identifier] = ACTIONS(3226),
    [anon_sym_export] = ACTIONS(3226),
    [anon_sym_type] = ACTIONS(3226),
    [anon_sym_namespace] = ACTIONS(3226),
    [anon_sym_LBRACE] = ACTIONS(3226),
    [anon_sym_RBRACE] = ACTIONS(3226),
    [anon_sym_typeof] = ACTIONS(3226),
    [anon_sym_import] = ACTIONS(3226),
    [anon_sym_var] = ACTIONS(3226),
    [anon_sym_let] = ACTIONS(3226),
    [anon_sym_const] = ACTIONS(3226),
    [anon_sym_BANG] = ACTIONS(3226),
    [anon_sym_if] = ACTIONS(3226),
    [anon_sym_switch] = ACTIONS(3226),
    [anon_sym_for] = ACTIONS(3226),
    [anon_sym_LPAREN] = ACTIONS(3226),
    [anon_sym_await] = ACTIONS(3226),
    [anon_sym_while] = ACTIONS(3226),
    [anon_sym_do] = ACTIONS(3226),
    [anon_sym_try] = ACTIONS(3226),
    [anon_sym_with] = ACTIONS(3226),
    [anon_sym_break] = ACTIONS(3226),
    [anon_sym_continue] = ACTIONS(3226),
    [anon_sym_debugger] = ACTIONS(3226),
    [anon_sym_return] = ACTIONS(3226),
    [anon_sym_throw] = ACTIONS(3226),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym_yield] = ACTIONS(3226),
    [anon_sym_LBRACK] = ACTIONS(3226),
    [anon_sym_LTtemplate_GT] = ACTIONS(3226),
    [anon_sym_class] = ACTIONS(3226),
    [anon_sym_async] = ACTIONS(3226),
    [anon_sym_function] = ACTIONS(3226),
    [anon_sym_new] = ACTIONS(3226),
    [anon_sym_using] = ACTIONS(3226),
    [anon_sym_PLUS] = ACTIONS(3226),
    [anon_sym_DASH] = ACTIONS(3226),
    [anon_sym_SLASH] = ACTIONS(3226),
    [anon_sym_LT] = ACTIONS(3226),
    [anon_sym_TILDE] = ACTIONS(3226),
    [anon_sym_void] = ACTIONS(3226),
    [anon_sym_delete] = ACTIONS(3226),
    [anon_sym_PLUS_PLUS] = ACTIONS(3226),
    [anon_sym_DASH_DASH] = ACTIONS(3226),
    [anon_sym_DQUOTE] = ACTIONS(3226),
    [anon_sym_SQUOTE] = ACTIONS(3226),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3226),
    [sym_number] = ACTIONS(3226),
    [sym_private_property_identifier] = ACTIONS(3226),
    [sym_this] = ACTIONS(3226),
    [sym_super] = ACTIONS(3226),
    [sym_true] = ACTIONS(3226),
    [sym_false] = ACTIONS(3226),
    [sym_null] = ACTIONS(3226),
    [sym_undefined] = ACTIONS(3226),
    [anon_sym_AT] = ACTIONS(3226),
    [anon_sym_static] = ACTIONS(3226),
    [anon_sym_readonly] = ACTIONS(3226),
    [anon_sym_get] = ACTIONS(3226),
    [anon_sym_set] = ACTIONS(3226),
    [anon_sym_declare] = ACTIONS(3226),
    [anon_sym_public] = ACTIONS(3226),
    [anon_sym_private] = ACTIONS(3226),
    [anon_sym_protected] = ACTIONS(3226),
    [anon_sym_override] = ACTIONS(3226),
    [anon_sym_module] = ACTIONS(3226),
    [anon_sym_any] = ACTIONS(3226),
    [anon_sym_number] = ACTIONS(3226),
    [anon_sym_boolean] = ACTIONS(3226),
    [anon_sym_string] = ACTIONS(3226),
    [anon_sym_symbol] = ACTIONS(3226),
    [anon_sym_object] = ACTIONS(3226),
    [anon_sym_abstract] = ACTIONS(3226),
    [anon_sym_interface] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(3226),
    [sym_html_comment] = ACTIONS(5),
  },
  [1557] = {
    [sym_comment] = STATE(1557),
    [ts_builtin_sym_end] = ACTIONS(3490),
    [sym_identifier] = ACTIONS(3188),
    [anon_sym_export] = ACTIONS(3188),
    [anon_sym_type] = ACTIONS(3188),
    [anon_sym_namespace] = ACTIONS(3188),
    [anon_sym_LBRACE] = ACTIONS(3188),
    [anon_sym_RBRACE] = ACTIONS(3188),
    [anon_sym_typeof] = ACTIONS(3188),
    [anon_sym_import] = ACTIONS(3188),
    [anon_sym_var] = ACTIONS(3188),
    [anon_sym_let] = ACTIONS(3188),
    [anon_sym_const] = ACTIONS(3188),
    [anon_sym_BANG] = ACTIONS(3188),
    [anon_sym_if] = ACTIONS(3188),
    [anon_sym_switch] = ACTIONS(3188),
    [anon_sym_for] = ACTIONS(3188),
    [anon_sym_LPAREN] = ACTIONS(3188),
    [anon_sym_await] = ACTIONS(3188),
    [anon_sym_while] = ACTIONS(3188),
    [anon_sym_do] = ACTIONS(3188),
    [anon_sym_try] = ACTIONS(3188),
    [anon_sym_with] = ACTIONS(3188),
    [anon_sym_break] = ACTIONS(3188),
    [anon_sym_continue] = ACTIONS(3188),
    [anon_sym_debugger] = ACTIONS(3188),
    [anon_sym_return] = ACTIONS(3188),
    [anon_sym_throw] = ACTIONS(3188),
    [anon_sym_SEMI] = ACTIONS(3188),
    [anon_sym_yield] = ACTIONS(3188),
    [anon_sym_LBRACK] = ACTIONS(3188),
    [anon_sym_LTtemplate_GT] = ACTIONS(3188),
    [anon_sym_class] = ACTIONS(3188),
    [anon_sym_async] = ACTIONS(3188),
    [anon_sym_function] = ACTIONS(3188),
    [anon_sym_new] = ACTIONS(3188),
    [anon_sym_using] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_SLASH] = ACTIONS(3188),
    [anon_sym_LT] = ACTIONS(3188),
    [anon_sym_TILDE] = ACTIONS(3188),
    [anon_sym_void] = ACTIONS(3188),
    [anon_sym_delete] = ACTIONS(3188),
    [anon_sym_PLUS_PLUS] = ACTIONS(3188),
    [anon_sym_DASH_DASH] = ACTIONS(3188),
    [anon_sym_DQUOTE] = ACTIONS(3188),
    [anon_sym_SQUOTE] = ACTIONS(3188),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3188),
    [sym_number] = ACTIONS(3188),
    [sym_private_property_identifier] = ACTIONS(3188),
    [sym_this] = ACTIONS(3188),
    [sym_super] = ACTIONS(3188),
    [sym_true] = ACTIONS(3188),
    [sym_false] = ACTIONS(3188),
    [sym_null] = ACTIONS(3188),
    [sym_undefined] = ACTIONS(3188),
    [anon_sym_AT] = ACTIONS(3188),
    [anon_sym_static] = ACTIONS(3188),
    [anon_sym_readonly] = ACTIONS(3188),
    [anon_sym_get] = ACTIONS(3188),
    [anon_sym_set] = ACTIONS(3188),
    [anon_sym_declare] = ACTIONS(3188),
    [anon_sym_public] = ACTIONS(3188),
    [anon_sym_private] = ACTIONS(3188),
    [anon_sym_protected] = ACTIONS(3188),
    [anon_sym_override] = ACTIONS(3188),
    [anon_sym_module] = ACTIONS(3188),
    [anon_sym_any] = ACTIONS(3188),
    [anon_sym_number] = ACTIONS(3188),
    [anon_sym_boolean] = ACTIONS(3188),
    [anon_sym_string] = ACTIONS(3188),
    [anon_sym_symbol] = ACTIONS(3188),
    [anon_sym_object] = ACTIONS(3188),
    [anon_sym_abstract] = ACTIONS(3188),
    [anon_sym_interface] = ACTIONS(3188),
    [anon_sym_enum] = ACTIONS(3188),
    [sym_html_comment] = ACTIONS(5),
  },
  [1558] = {
    [sym_comment] = STATE(1558),
    [ts_builtin_sym_end] = ACTIONS(3492),
    [sym_identifier] = ACTIONS(3186),
    [anon_sym_export] = ACTIONS(3186),
    [anon_sym_type] = ACTIONS(3186),
    [anon_sym_namespace] = ACTIONS(3186),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_RBRACE] = ACTIONS(3186),
    [anon_sym_typeof] = ACTIONS(3186),
    [anon_sym_import] = ACTIONS(3186),
    [anon_sym_var] = ACTIONS(3186),
    [anon_sym_let] = ACTIONS(3186),
    [anon_sym_const] = ACTIONS(3186),
    [anon_sym_BANG] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_switch] = ACTIONS(3186),
    [anon_sym_for] = ACTIONS(3186),
    [anon_sym_LPAREN] = ACTIONS(3186),
    [anon_sym_await] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_try] = ACTIONS(3186),
    [anon_sym_with] = ACTIONS(3186),
    [anon_sym_break] = ACTIONS(3186),
    [anon_sym_continue] = ACTIONS(3186),
    [anon_sym_debugger] = ACTIONS(3186),
    [anon_sym_return] = ACTIONS(3186),
    [anon_sym_throw] = ACTIONS(3186),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_yield] = ACTIONS(3186),
    [anon_sym_LBRACK] = ACTIONS(3186),
    [anon_sym_LTtemplate_GT] = ACTIONS(3186),
    [anon_sym_class] = ACTIONS(3186),
    [anon_sym_async] = ACTIONS(3186),
    [anon_sym_function] = ACTIONS(3186),
    [anon_sym_new] = ACTIONS(3186),
    [anon_sym_using] = ACTIONS(3186),
    [anon_sym_PLUS] = ACTIONS(3186),
    [anon_sym_DASH] = ACTIONS(3186),
    [anon_sym_SLASH] = ACTIONS(3186),
    [anon_sym_LT] = ACTIONS(3186),
    [anon_sym_TILDE] = ACTIONS(3186),
    [anon_sym_void] = ACTIONS(3186),
    [anon_sym_delete] = ACTIONS(3186),
    [anon_sym_PLUS_PLUS] = ACTIONS(3186),
    [anon_sym_DASH_DASH] = ACTIONS(3186),
    [anon_sym_DQUOTE] = ACTIONS(3186),
    [anon_sym_SQUOTE] = ACTIONS(3186),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3186),
    [sym_number] = ACTIONS(3186),
    [sym_private_property_identifier] = ACTIONS(3186),
    [sym_this] = ACTIONS(3186),
    [sym_super] = ACTIONS(3186),
    [sym_true] = ACTIONS(3186),
    [sym_false] = ACTIONS(3186),
    [sym_null] = ACTIONS(3186),
    [sym_undefined] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(3186),
    [anon_sym_static] = ACTIONS(3186),
    [anon_sym_readonly] = ACTIONS(3186),
    [anon_sym_get] = ACTIONS(3186),
    [anon_sym_set] = ACTIONS(3186),
    [anon_sym_declare] = ACTIONS(3186),
    [anon_sym_public] = ACTIONS(3186),
    [anon_sym_private] = ACTIONS(3186),
    [anon_sym_protected] = ACTIONS(3186),
    [anon_sym_override] = ACTIONS(3186),
    [anon_sym_module] = ACTIONS(3186),
    [anon_sym_any] = ACTIONS(3186),
    [anon_sym_number] = ACTIONS(3186),
    [anon_sym_boolean] = ACTIONS(3186),
    [anon_sym_string] = ACTIONS(3186),
    [anon_sym_symbol] = ACTIONS(3186),
    [anon_sym_object] = ACTIONS(3186),
    [anon_sym_abstract] = ACTIONS(3186),
    [anon_sym_interface] = ACTIONS(3186),
    [anon_sym_enum] = ACTIONS(3186),
    [sym_html_comment] = ACTIONS(5),
  },
  [1559] = {
    [sym_comment] = STATE(1559),
    [ts_builtin_sym_end] = ACTIONS(3494),
    [sym_identifier] = ACTIONS(3184),
    [anon_sym_export] = ACTIONS(3184),
    [anon_sym_type] = ACTIONS(3184),
    [anon_sym_namespace] = ACTIONS(3184),
    [anon_sym_LBRACE] = ACTIONS(3184),
    [anon_sym_RBRACE] = ACTIONS(3184),
    [anon_sym_typeof] = ACTIONS(3184),
    [anon_sym_import] = ACTIONS(3184),
    [anon_sym_var] = ACTIONS(3184),
    [anon_sym_let] = ACTIONS(3184),
    [anon_sym_const] = ACTIONS(3184),
    [anon_sym_BANG] = ACTIONS(3184),
    [anon_sym_if] = ACTIONS(3184),
    [anon_sym_switch] = ACTIONS(3184),
    [anon_sym_for] = ACTIONS(3184),
    [anon_sym_LPAREN] = ACTIONS(3184),
    [anon_sym_await] = ACTIONS(3184),
    [anon_sym_while] = ACTIONS(3184),
    [anon_sym_do] = ACTIONS(3184),
    [anon_sym_try] = ACTIONS(3184),
    [anon_sym_with] = ACTIONS(3184),
    [anon_sym_break] = ACTIONS(3184),
    [anon_sym_continue] = ACTIONS(3184),
    [anon_sym_debugger] = ACTIONS(3184),
    [anon_sym_return] = ACTIONS(3184),
    [anon_sym_throw] = ACTIONS(3184),
    [anon_sym_SEMI] = ACTIONS(3184),
    [anon_sym_yield] = ACTIONS(3184),
    [anon_sym_LBRACK] = ACTIONS(3184),
    [anon_sym_LTtemplate_GT] = ACTIONS(3184),
    [anon_sym_class] = ACTIONS(3184),
    [anon_sym_async] = ACTIONS(3184),
    [anon_sym_function] = ACTIONS(3184),
    [anon_sym_new] = ACTIONS(3184),
    [anon_sym_using] = ACTIONS(3184),
    [anon_sym_PLUS] = ACTIONS(3184),
    [anon_sym_DASH] = ACTIONS(3184),
    [anon_sym_SLASH] = ACTIONS(3184),
    [anon_sym_LT] = ACTIONS(3184),
    [anon_sym_TILDE] = ACTIONS(3184),
    [anon_sym_void] = ACTIONS(3184),
    [anon_sym_delete] = ACTIONS(3184),
    [anon_sym_PLUS_PLUS] = ACTIONS(3184),
    [anon_sym_DASH_DASH] = ACTIONS(3184),
    [anon_sym_DQUOTE] = ACTIONS(3184),
    [anon_sym_SQUOTE] = ACTIONS(3184),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3184),
    [sym_number] = ACTIONS(3184),
    [sym_private_property_identifier] = ACTIONS(3184),
    [sym_this] = ACTIONS(3184),
    [sym_super] = ACTIONS(3184),
    [sym_true] = ACTIONS(3184),
    [sym_false] = ACTIONS(3184),
    [sym_null] = ACTIONS(3184),
    [sym_undefined] = ACTIONS(3184),
    [anon_sym_AT] = ACTIONS(3184),
    [anon_sym_static] = ACTIONS(3184),
    [anon_sym_readonly] = ACTIONS(3184),
    [anon_sym_get] = ACTIONS(3184),
    [anon_sym_set] = ACTIONS(3184),
    [anon_sym_declare] = ACTIONS(3184),
    [anon_sym_public] = ACTIONS(3184),
    [anon_sym_private] = ACTIONS(3184),
    [anon_sym_protected] = ACTIONS(3184),
    [anon_sym_override] = ACTIONS(3184),
    [anon_sym_module] = ACTIONS(3184),
    [anon_sym_any] = ACTIONS(3184),
    [anon_sym_number] = ACTIONS(3184),
    [anon_sym_boolean] = ACTIONS(3184),
    [anon_sym_string] = ACTIONS(3184),
    [anon_sym_symbol] = ACTIONS(3184),
    [anon_sym_object] = ACTIONS(3184),
    [anon_sym_abstract] = ACTIONS(3184),
    [anon_sym_interface] = ACTIONS(3184),
    [anon_sym_enum] = ACTIONS(3184),
    [sym_html_comment] = ACTIONS(5),
  },
  [1560] = {
    [sym_comment] = STATE(1560),
    [ts_builtin_sym_end] = ACTIONS(2167),
    [sym_identifier] = ACTIONS(2165),
    [anon_sym_export] = ACTIONS(2165),
    [anon_sym_type] = ACTIONS(2165),
    [anon_sym_namespace] = ACTIONS(2165),
    [anon_sym_LBRACE] = ACTIONS(2165),
    [anon_sym_RBRACE] = ACTIONS(2165),
    [anon_sym_typeof] = ACTIONS(2165),
    [anon_sym_import] = ACTIONS(2165),
    [anon_sym_var] = ACTIONS(2165),
    [anon_sym_let] = ACTIONS(2165),
    [anon_sym_const] = ACTIONS(2165),
    [anon_sym_BANG] = ACTIONS(2165),
    [anon_sym_if] = ACTIONS(2165),
    [anon_sym_switch] = ACTIONS(2165),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_LPAREN] = ACTIONS(2165),
    [anon_sym_await] = ACTIONS(2165),
    [anon_sym_while] = ACTIONS(2165),
    [anon_sym_do] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_with] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2165),
    [anon_sym_continue] = ACTIONS(2165),
    [anon_sym_debugger] = ACTIONS(2165),
    [anon_sym_return] = ACTIONS(2165),
    [anon_sym_throw] = ACTIONS(2165),
    [anon_sym_SEMI] = ACTIONS(2165),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_LBRACK] = ACTIONS(2165),
    [anon_sym_LTtemplate_GT] = ACTIONS(2165),
    [anon_sym_class] = ACTIONS(2165),
    [anon_sym_async] = ACTIONS(2165),
    [anon_sym_function] = ACTIONS(2165),
    [anon_sym_new] = ACTIONS(2165),
    [anon_sym_using] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(2165),
    [anon_sym_DASH] = ACTIONS(2165),
    [anon_sym_SLASH] = ACTIONS(2165),
    [anon_sym_LT] = ACTIONS(2165),
    [anon_sym_TILDE] = ACTIONS(2165),
    [anon_sym_void] = ACTIONS(2165),
    [anon_sym_delete] = ACTIONS(2165),
    [anon_sym_PLUS_PLUS] = ACTIONS(2165),
    [anon_sym_DASH_DASH] = ACTIONS(2165),
    [anon_sym_DQUOTE] = ACTIONS(2165),
    [anon_sym_SQUOTE] = ACTIONS(2165),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2165),
    [sym_number] = ACTIONS(2165),
    [sym_private_property_identifier] = ACTIONS(2165),
    [sym_this] = ACTIONS(2165),
    [sym_super] = ACTIONS(2165),
    [sym_true] = ACTIONS(2165),
    [sym_false] = ACTIONS(2165),
    [sym_null] = ACTIONS(2165),
    [sym_undefined] = ACTIONS(2165),
    [anon_sym_AT] = ACTIONS(2165),
    [anon_sym_static] = ACTIONS(2165),
    [anon_sym_readonly] = ACTIONS(2165),
    [anon_sym_get] = ACTIONS(2165),
    [anon_sym_set] = ACTIONS(2165),
    [anon_sym_declare] = ACTIONS(2165),
    [anon_sym_public] = ACTIONS(2165),
    [anon_sym_private] = ACTIONS(2165),
    [anon_sym_protected] = ACTIONS(2165),
    [anon_sym_override] = ACTIONS(2165),
    [anon_sym_module] = ACTIONS(2165),
    [anon_sym_any] = ACTIONS(2165),
    [anon_sym_number] = ACTIONS(2165),
    [anon_sym_boolean] = ACTIONS(2165),
    [anon_sym_string] = ACTIONS(2165),
    [anon_sym_symbol] = ACTIONS(2165),
    [anon_sym_object] = ACTIONS(2165),
    [anon_sym_abstract] = ACTIONS(2165),
    [anon_sym_interface] = ACTIONS(2165),
    [anon_sym_enum] = ACTIONS(2165),
    [sym_html_comment] = ACTIONS(5),
  },
  [1561] = {
    [sym_comment] = STATE(1561),
    [ts_builtin_sym_end] = ACTIONS(3496),
    [sym_identifier] = ACTIONS(3180),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_type] = ACTIONS(3180),
    [anon_sym_namespace] = ACTIONS(3180),
    [anon_sym_LBRACE] = ACTIONS(3180),
    [anon_sym_RBRACE] = ACTIONS(3180),
    [anon_sym_typeof] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3180),
    [anon_sym_var] = ACTIONS(3180),
    [anon_sym_let] = ACTIONS(3180),
    [anon_sym_const] = ACTIONS(3180),
    [anon_sym_BANG] = ACTIONS(3180),
    [anon_sym_if] = ACTIONS(3180),
    [anon_sym_switch] = ACTIONS(3180),
    [anon_sym_for] = ACTIONS(3180),
    [anon_sym_LPAREN] = ACTIONS(3180),
    [anon_sym_await] = ACTIONS(3180),
    [anon_sym_while] = ACTIONS(3180),
    [anon_sym_do] = ACTIONS(3180),
    [anon_sym_try] = ACTIONS(3180),
    [anon_sym_with] = ACTIONS(3180),
    [anon_sym_break] = ACTIONS(3180),
    [anon_sym_continue] = ACTIONS(3180),
    [anon_sym_debugger] = ACTIONS(3180),
    [anon_sym_return] = ACTIONS(3180),
    [anon_sym_throw] = ACTIONS(3180),
    [anon_sym_SEMI] = ACTIONS(3180),
    [anon_sym_yield] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_LTtemplate_GT] = ACTIONS(3180),
    [anon_sym_class] = ACTIONS(3180),
    [anon_sym_async] = ACTIONS(3180),
    [anon_sym_function] = ACTIONS(3180),
    [anon_sym_new] = ACTIONS(3180),
    [anon_sym_using] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_SLASH] = ACTIONS(3180),
    [anon_sym_LT] = ACTIONS(3180),
    [anon_sym_TILDE] = ACTIONS(3180),
    [anon_sym_void] = ACTIONS(3180),
    [anon_sym_delete] = ACTIONS(3180),
    [anon_sym_PLUS_PLUS] = ACTIONS(3180),
    [anon_sym_DASH_DASH] = ACTIONS(3180),
    [anon_sym_DQUOTE] = ACTIONS(3180),
    [anon_sym_SQUOTE] = ACTIONS(3180),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3180),
    [sym_number] = ACTIONS(3180),
    [sym_private_property_identifier] = ACTIONS(3180),
    [sym_this] = ACTIONS(3180),
    [sym_super] = ACTIONS(3180),
    [sym_true] = ACTIONS(3180),
    [sym_false] = ACTIONS(3180),
    [sym_null] = ACTIONS(3180),
    [sym_undefined] = ACTIONS(3180),
    [anon_sym_AT] = ACTIONS(3180),
    [anon_sym_static] = ACTIONS(3180),
    [anon_sym_readonly] = ACTIONS(3180),
    [anon_sym_get] = ACTIONS(3180),
    [anon_sym_set] = ACTIONS(3180),
    [anon_sym_declare] = ACTIONS(3180),
    [anon_sym_public] = ACTIONS(3180),
    [anon_sym_private] = ACTIONS(3180),
    [anon_sym_protected] = ACTIONS(3180),
    [anon_sym_override] = ACTIONS(3180),
    [anon_sym_module] = ACTIONS(3180),
    [anon_sym_any] = ACTIONS(3180),
    [anon_sym_number] = ACTIONS(3180),
    [anon_sym_boolean] = ACTIONS(3180),
    [anon_sym_string] = ACTIONS(3180),
    [anon_sym_symbol] = ACTIONS(3180),
    [anon_sym_object] = ACTIONS(3180),
    [anon_sym_abstract] = ACTIONS(3180),
    [anon_sym_interface] = ACTIONS(3180),
    [anon_sym_enum] = ACTIONS(3180),
    [sym_html_comment] = ACTIONS(5),
  },
  [1562] = {
    [sym_comment] = STATE(1562),
    [ts_builtin_sym_end] = ACTIONS(3460),
    [sym_identifier] = ACTIONS(3284),
    [anon_sym_export] = ACTIONS(3284),
    [anon_sym_type] = ACTIONS(3284),
    [anon_sym_namespace] = ACTIONS(3284),
    [anon_sym_LBRACE] = ACTIONS(3284),
    [anon_sym_RBRACE] = ACTIONS(3284),
    [anon_sym_typeof] = ACTIONS(3284),
    [anon_sym_import] = ACTIONS(3284),
    [anon_sym_var] = ACTIONS(3284),
    [anon_sym_let] = ACTIONS(3284),
    [anon_sym_const] = ACTIONS(3284),
    [anon_sym_BANG] = ACTIONS(3284),
    [anon_sym_if] = ACTIONS(3284),
    [anon_sym_switch] = ACTIONS(3284),
    [anon_sym_for] = ACTIONS(3284),
    [anon_sym_LPAREN] = ACTIONS(3284),
    [anon_sym_await] = ACTIONS(3284),
    [anon_sym_while] = ACTIONS(3284),
    [anon_sym_do] = ACTIONS(3284),
    [anon_sym_try] = ACTIONS(3284),
    [anon_sym_with] = ACTIONS(3284),
    [anon_sym_break] = ACTIONS(3284),
    [anon_sym_continue] = ACTIONS(3284),
    [anon_sym_debugger] = ACTIONS(3284),
    [anon_sym_return] = ACTIONS(3284),
    [anon_sym_throw] = ACTIONS(3284),
    [anon_sym_SEMI] = ACTIONS(3284),
    [anon_sym_yield] = ACTIONS(3284),
    [anon_sym_LBRACK] = ACTIONS(3284),
    [anon_sym_LTtemplate_GT] = ACTIONS(3284),
    [anon_sym_class] = ACTIONS(3284),
    [anon_sym_async] = ACTIONS(3284),
    [anon_sym_function] = ACTIONS(3284),
    [anon_sym_new] = ACTIONS(3284),
    [anon_sym_using] = ACTIONS(3284),
    [anon_sym_PLUS] = ACTIONS(3284),
    [anon_sym_DASH] = ACTIONS(3284),
    [anon_sym_SLASH] = ACTIONS(3284),
    [anon_sym_LT] = ACTIONS(3284),
    [anon_sym_TILDE] = ACTIONS(3284),
    [anon_sym_void] = ACTIONS(3284),
    [anon_sym_delete] = ACTIONS(3284),
    [anon_sym_PLUS_PLUS] = ACTIONS(3284),
    [anon_sym_DASH_DASH] = ACTIONS(3284),
    [anon_sym_DQUOTE] = ACTIONS(3284),
    [anon_sym_SQUOTE] = ACTIONS(3284),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3284),
    [sym_number] = ACTIONS(3284),
    [sym_private_property_identifier] = ACTIONS(3284),
    [sym_this] = ACTIONS(3284),
    [sym_super] = ACTIONS(3284),
    [sym_true] = ACTIONS(3284),
    [sym_false] = ACTIONS(3284),
    [sym_null] = ACTIONS(3284),
    [sym_undefined] = ACTIONS(3284),
    [anon_sym_AT] = ACTIONS(3284),
    [anon_sym_static] = ACTIONS(3284),
    [anon_sym_readonly] = ACTIONS(3284),
    [anon_sym_get] = ACTIONS(3284),
    [anon_sym_set] = ACTIONS(3284),
    [anon_sym_declare] = ACTIONS(3284),
    [anon_sym_public] = ACTIONS(3284),
    [anon_sym_private] = ACTIONS(3284),
    [anon_sym_protected] = ACTIONS(3284),
    [anon_sym_override] = ACTIONS(3284),
    [anon_sym_module] = ACTIONS(3284),
    [anon_sym_any] = ACTIONS(3284),
    [anon_sym_number] = ACTIONS(3284),
    [anon_sym_boolean] = ACTIONS(3284),
    [anon_sym_string] = ACTIONS(3284),
    [anon_sym_symbol] = ACTIONS(3284),
    [anon_sym_object] = ACTIONS(3284),
    [anon_sym_abstract] = ACTIONS(3284),
    [anon_sym_interface] = ACTIONS(3284),
    [anon_sym_enum] = ACTIONS(3284),
    [sym_html_comment] = ACTIONS(5),
  },
  [1563] = {
    [sym_comment] = STATE(1563),
    [ts_builtin_sym_end] = ACTIONS(3498),
    [sym_identifier] = ACTIONS(3176),
    [anon_sym_export] = ACTIONS(3176),
    [anon_sym_type] = ACTIONS(3176),
    [anon_sym_namespace] = ACTIONS(3176),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_RBRACE] = ACTIONS(3176),
    [anon_sym_typeof] = ACTIONS(3176),
    [anon_sym_import] = ACTIONS(3176),
    [anon_sym_var] = ACTIONS(3176),
    [anon_sym_let] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3176),
    [anon_sym_BANG] = ACTIONS(3176),
    [anon_sym_if] = ACTIONS(3176),
    [anon_sym_switch] = ACTIONS(3176),
    [anon_sym_for] = ACTIONS(3176),
    [anon_sym_LPAREN] = ACTIONS(3176),
    [anon_sym_await] = ACTIONS(3176),
    [anon_sym_while] = ACTIONS(3176),
    [anon_sym_do] = ACTIONS(3176),
    [anon_sym_try] = ACTIONS(3176),
    [anon_sym_with] = ACTIONS(3176),
    [anon_sym_break] = ACTIONS(3176),
    [anon_sym_continue] = ACTIONS(3176),
    [anon_sym_debugger] = ACTIONS(3176),
    [anon_sym_return] = ACTIONS(3176),
    [anon_sym_throw] = ACTIONS(3176),
    [anon_sym_SEMI] = ACTIONS(3176),
    [anon_sym_yield] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_LTtemplate_GT] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_async] = ACTIONS(3176),
    [anon_sym_function] = ACTIONS(3176),
    [anon_sym_new] = ACTIONS(3176),
    [anon_sym_using] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3176),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_SLASH] = ACTIONS(3176),
    [anon_sym_LT] = ACTIONS(3176),
    [anon_sym_TILDE] = ACTIONS(3176),
    [anon_sym_void] = ACTIONS(3176),
    [anon_sym_delete] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [anon_sym_DQUOTE] = ACTIONS(3176),
    [anon_sym_SQUOTE] = ACTIONS(3176),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3176),
    [sym_number] = ACTIONS(3176),
    [sym_private_property_identifier] = ACTIONS(3176),
    [sym_this] = ACTIONS(3176),
    [sym_super] = ACTIONS(3176),
    [sym_true] = ACTIONS(3176),
    [sym_false] = ACTIONS(3176),
    [sym_null] = ACTIONS(3176),
    [sym_undefined] = ACTIONS(3176),
    [anon_sym_AT] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_readonly] = ACTIONS(3176),
    [anon_sym_get] = ACTIONS(3176),
    [anon_sym_set] = ACTIONS(3176),
    [anon_sym_declare] = ACTIONS(3176),
    [anon_sym_public] = ACTIONS(3176),
    [anon_sym_private] = ACTIONS(3176),
    [anon_sym_protected] = ACTIONS(3176),
    [anon_sym_override] = ACTIONS(3176),
    [anon_sym_module] = ACTIONS(3176),
    [anon_sym_any] = ACTIONS(3176),
    [anon_sym_number] = ACTIONS(3176),
    [anon_sym_boolean] = ACTIONS(3176),
    [anon_sym_string] = ACTIONS(3176),
    [anon_sym_symbol] = ACTIONS(3176),
    [anon_sym_object] = ACTIONS(3176),
    [anon_sym_abstract] = ACTIONS(3176),
    [anon_sym_interface] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [sym_html_comment] = ACTIONS(5),
  },
  [1564] = {
    [sym_comment] = STATE(1564),
    [ts_builtin_sym_end] = ACTIONS(3498),
    [sym_identifier] = ACTIONS(3176),
    [anon_sym_export] = ACTIONS(3176),
    [anon_sym_type] = ACTIONS(3176),
    [anon_sym_namespace] = ACTIONS(3176),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_RBRACE] = ACTIONS(3176),
    [anon_sym_typeof] = ACTIONS(3176),
    [anon_sym_import] = ACTIONS(3176),
    [anon_sym_var] = ACTIONS(3176),
    [anon_sym_let] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3176),
    [anon_sym_BANG] = ACTIONS(3176),
    [anon_sym_if] = ACTIONS(3176),
    [anon_sym_switch] = ACTIONS(3176),
    [anon_sym_for] = ACTIONS(3176),
    [anon_sym_LPAREN] = ACTIONS(3176),
    [anon_sym_await] = ACTIONS(3176),
    [anon_sym_while] = ACTIONS(3176),
    [anon_sym_do] = ACTIONS(3176),
    [anon_sym_try] = ACTIONS(3176),
    [anon_sym_with] = ACTIONS(3176),
    [anon_sym_break] = ACTIONS(3176),
    [anon_sym_continue] = ACTIONS(3176),
    [anon_sym_debugger] = ACTIONS(3176),
    [anon_sym_return] = ACTIONS(3176),
    [anon_sym_throw] = ACTIONS(3176),
    [anon_sym_SEMI] = ACTIONS(3176),
    [anon_sym_yield] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_LTtemplate_GT] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_async] = ACTIONS(3176),
    [anon_sym_function] = ACTIONS(3176),
    [anon_sym_new] = ACTIONS(3176),
    [anon_sym_using] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3176),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_SLASH] = ACTIONS(3176),
    [anon_sym_LT] = ACTIONS(3176),
    [anon_sym_TILDE] = ACTIONS(3176),
    [anon_sym_void] = ACTIONS(3176),
    [anon_sym_delete] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [anon_sym_DQUOTE] = ACTIONS(3176),
    [anon_sym_SQUOTE] = ACTIONS(3176),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3176),
    [sym_number] = ACTIONS(3176),
    [sym_private_property_identifier] = ACTIONS(3176),
    [sym_this] = ACTIONS(3176),
    [sym_super] = ACTIONS(3176),
    [sym_true] = ACTIONS(3176),
    [sym_false] = ACTIONS(3176),
    [sym_null] = ACTIONS(3176),
    [sym_undefined] = ACTIONS(3176),
    [anon_sym_AT] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_readonly] = ACTIONS(3176),
    [anon_sym_get] = ACTIONS(3176),
    [anon_sym_set] = ACTIONS(3176),
    [anon_sym_declare] = ACTIONS(3176),
    [anon_sym_public] = ACTIONS(3176),
    [anon_sym_private] = ACTIONS(3176),
    [anon_sym_protected] = ACTIONS(3176),
    [anon_sym_override] = ACTIONS(3176),
    [anon_sym_module] = ACTIONS(3176),
    [anon_sym_any] = ACTIONS(3176),
    [anon_sym_number] = ACTIONS(3176),
    [anon_sym_boolean] = ACTIONS(3176),
    [anon_sym_string] = ACTIONS(3176),
    [anon_sym_symbol] = ACTIONS(3176),
    [anon_sym_object] = ACTIONS(3176),
    [anon_sym_abstract] = ACTIONS(3176),
    [anon_sym_interface] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [sym_html_comment] = ACTIONS(5),
  },
  [1565] = {
    [sym_comment] = STATE(1565),
    [ts_builtin_sym_end] = ACTIONS(3498),
    [sym_identifier] = ACTIONS(3176),
    [anon_sym_export] = ACTIONS(3176),
    [anon_sym_type] = ACTIONS(3176),
    [anon_sym_namespace] = ACTIONS(3176),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_RBRACE] = ACTIONS(3176),
    [anon_sym_typeof] = ACTIONS(3176),
    [anon_sym_import] = ACTIONS(3176),
    [anon_sym_var] = ACTIONS(3176),
    [anon_sym_let] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3176),
    [anon_sym_BANG] = ACTIONS(3176),
    [anon_sym_if] = ACTIONS(3176),
    [anon_sym_switch] = ACTIONS(3176),
    [anon_sym_for] = ACTIONS(3176),
    [anon_sym_LPAREN] = ACTIONS(3176),
    [anon_sym_await] = ACTIONS(3176),
    [anon_sym_while] = ACTIONS(3176),
    [anon_sym_do] = ACTIONS(3176),
    [anon_sym_try] = ACTIONS(3176),
    [anon_sym_with] = ACTIONS(3176),
    [anon_sym_break] = ACTIONS(3176),
    [anon_sym_continue] = ACTIONS(3176),
    [anon_sym_debugger] = ACTIONS(3176),
    [anon_sym_return] = ACTIONS(3176),
    [anon_sym_throw] = ACTIONS(3176),
    [anon_sym_SEMI] = ACTIONS(3176),
    [anon_sym_yield] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_LTtemplate_GT] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_async] = ACTIONS(3176),
    [anon_sym_function] = ACTIONS(3176),
    [anon_sym_new] = ACTIONS(3176),
    [anon_sym_using] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3176),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_SLASH] = ACTIONS(3176),
    [anon_sym_LT] = ACTIONS(3176),
    [anon_sym_TILDE] = ACTIONS(3176),
    [anon_sym_void] = ACTIONS(3176),
    [anon_sym_delete] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [anon_sym_DQUOTE] = ACTIONS(3176),
    [anon_sym_SQUOTE] = ACTIONS(3176),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3176),
    [sym_number] = ACTIONS(3176),
    [sym_private_property_identifier] = ACTIONS(3176),
    [sym_this] = ACTIONS(3176),
    [sym_super] = ACTIONS(3176),
    [sym_true] = ACTIONS(3176),
    [sym_false] = ACTIONS(3176),
    [sym_null] = ACTIONS(3176),
    [sym_undefined] = ACTIONS(3176),
    [anon_sym_AT] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_readonly] = ACTIONS(3176),
    [anon_sym_get] = ACTIONS(3176),
    [anon_sym_set] = ACTIONS(3176),
    [anon_sym_declare] = ACTIONS(3176),
    [anon_sym_public] = ACTIONS(3176),
    [anon_sym_private] = ACTIONS(3176),
    [anon_sym_protected] = ACTIONS(3176),
    [anon_sym_override] = ACTIONS(3176),
    [anon_sym_module] = ACTIONS(3176),
    [anon_sym_any] = ACTIONS(3176),
    [anon_sym_number] = ACTIONS(3176),
    [anon_sym_boolean] = ACTIONS(3176),
    [anon_sym_string] = ACTIONS(3176),
    [anon_sym_symbol] = ACTIONS(3176),
    [anon_sym_object] = ACTIONS(3176),
    [anon_sym_abstract] = ACTIONS(3176),
    [anon_sym_interface] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [sym_html_comment] = ACTIONS(5),
  },
  [1566] = {
    [sym_comment] = STATE(1566),
    [ts_builtin_sym_end] = ACTIONS(3340),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_export] = ACTIONS(3140),
    [anon_sym_type] = ACTIONS(3140),
    [anon_sym_namespace] = ACTIONS(3140),
    [anon_sym_LBRACE] = ACTIONS(3140),
    [anon_sym_RBRACE] = ACTIONS(3140),
    [anon_sym_typeof] = ACTIONS(3140),
    [anon_sym_import] = ACTIONS(3140),
    [anon_sym_var] = ACTIONS(3140),
    [anon_sym_let] = ACTIONS(3140),
    [anon_sym_const] = ACTIONS(3140),
    [anon_sym_BANG] = ACTIONS(3140),
    [anon_sym_if] = ACTIONS(3140),
    [anon_sym_switch] = ACTIONS(3140),
    [anon_sym_for] = ACTIONS(3140),
    [anon_sym_LPAREN] = ACTIONS(3140),
    [anon_sym_await] = ACTIONS(3140),
    [anon_sym_while] = ACTIONS(3140),
    [anon_sym_do] = ACTIONS(3140),
    [anon_sym_try] = ACTIONS(3140),
    [anon_sym_with] = ACTIONS(3140),
    [anon_sym_break] = ACTIONS(3140),
    [anon_sym_continue] = ACTIONS(3140),
    [anon_sym_debugger] = ACTIONS(3140),
    [anon_sym_return] = ACTIONS(3140),
    [anon_sym_throw] = ACTIONS(3140),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym_yield] = ACTIONS(3140),
    [anon_sym_LBRACK] = ACTIONS(3140),
    [anon_sym_LTtemplate_GT] = ACTIONS(3140),
    [anon_sym_class] = ACTIONS(3140),
    [anon_sym_async] = ACTIONS(3140),
    [anon_sym_function] = ACTIONS(3140),
    [anon_sym_new] = ACTIONS(3140),
    [anon_sym_using] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_SLASH] = ACTIONS(3140),
    [anon_sym_LT] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_void] = ACTIONS(3140),
    [anon_sym_delete] = ACTIONS(3140),
    [anon_sym_PLUS_PLUS] = ACTIONS(3140),
    [anon_sym_DASH_DASH] = ACTIONS(3140),
    [anon_sym_DQUOTE] = ACTIONS(3140),
    [anon_sym_SQUOTE] = ACTIONS(3140),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3140),
    [sym_number] = ACTIONS(3140),
    [sym_private_property_identifier] = ACTIONS(3140),
    [sym_this] = ACTIONS(3140),
    [sym_super] = ACTIONS(3140),
    [sym_true] = ACTIONS(3140),
    [sym_false] = ACTIONS(3140),
    [sym_null] = ACTIONS(3140),
    [sym_undefined] = ACTIONS(3140),
    [anon_sym_AT] = ACTIONS(3140),
    [anon_sym_static] = ACTIONS(3140),
    [anon_sym_readonly] = ACTIONS(3140),
    [anon_sym_get] = ACTIONS(3140),
    [anon_sym_set] = ACTIONS(3140),
    [anon_sym_declare] = ACTIONS(3140),
    [anon_sym_public] = ACTIONS(3140),
    [anon_sym_private] = ACTIONS(3140),
    [anon_sym_protected] = ACTIONS(3140),
    [anon_sym_override] = ACTIONS(3140),
    [anon_sym_module] = ACTIONS(3140),
    [anon_sym_any] = ACTIONS(3140),
    [anon_sym_number] = ACTIONS(3140),
    [anon_sym_boolean] = ACTIONS(3140),
    [anon_sym_string] = ACTIONS(3140),
    [anon_sym_symbol] = ACTIONS(3140),
    [anon_sym_object] = ACTIONS(3140),
    [anon_sym_abstract] = ACTIONS(3140),
    [anon_sym_interface] = ACTIONS(3140),
    [anon_sym_enum] = ACTIONS(3140),
    [sym_html_comment] = ACTIONS(5),
  },
  [1567] = {
    [sym_comment] = STATE(1567),
    [ts_builtin_sym_end] = ACTIONS(3462),
    [sym_identifier] = ACTIONS(3282),
    [anon_sym_export] = ACTIONS(3282),
    [anon_sym_type] = ACTIONS(3282),
    [anon_sym_namespace] = ACTIONS(3282),
    [anon_sym_LBRACE] = ACTIONS(3282),
    [anon_sym_RBRACE] = ACTIONS(3282),
    [anon_sym_typeof] = ACTIONS(3282),
    [anon_sym_import] = ACTIONS(3282),
    [anon_sym_var] = ACTIONS(3282),
    [anon_sym_let] = ACTIONS(3282),
    [anon_sym_const] = ACTIONS(3282),
    [anon_sym_BANG] = ACTIONS(3282),
    [anon_sym_if] = ACTIONS(3282),
    [anon_sym_switch] = ACTIONS(3282),
    [anon_sym_for] = ACTIONS(3282),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_await] = ACTIONS(3282),
    [anon_sym_while] = ACTIONS(3282),
    [anon_sym_do] = ACTIONS(3282),
    [anon_sym_try] = ACTIONS(3282),
    [anon_sym_with] = ACTIONS(3282),
    [anon_sym_break] = ACTIONS(3282),
    [anon_sym_continue] = ACTIONS(3282),
    [anon_sym_debugger] = ACTIONS(3282),
    [anon_sym_return] = ACTIONS(3282),
    [anon_sym_throw] = ACTIONS(3282),
    [anon_sym_SEMI] = ACTIONS(3282),
    [anon_sym_yield] = ACTIONS(3282),
    [anon_sym_LBRACK] = ACTIONS(3282),
    [anon_sym_LTtemplate_GT] = ACTIONS(3282),
    [anon_sym_class] = ACTIONS(3282),
    [anon_sym_async] = ACTIONS(3282),
    [anon_sym_function] = ACTIONS(3282),
    [anon_sym_new] = ACTIONS(3282),
    [anon_sym_using] = ACTIONS(3282),
    [anon_sym_PLUS] = ACTIONS(3282),
    [anon_sym_DASH] = ACTIONS(3282),
    [anon_sym_SLASH] = ACTIONS(3282),
    [anon_sym_LT] = ACTIONS(3282),
    [anon_sym_TILDE] = ACTIONS(3282),
    [anon_sym_void] = ACTIONS(3282),
    [anon_sym_delete] = ACTIONS(3282),
    [anon_sym_PLUS_PLUS] = ACTIONS(3282),
    [anon_sym_DASH_DASH] = ACTIONS(3282),
    [anon_sym_DQUOTE] = ACTIONS(3282),
    [anon_sym_SQUOTE] = ACTIONS(3282),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3282),
    [sym_number] = ACTIONS(3282),
    [sym_private_property_identifier] = ACTIONS(3282),
    [sym_this] = ACTIONS(3282),
    [sym_super] = ACTIONS(3282),
    [sym_true] = ACTIONS(3282),
    [sym_false] = ACTIONS(3282),
    [sym_null] = ACTIONS(3282),
    [sym_undefined] = ACTIONS(3282),
    [anon_sym_AT] = ACTIONS(3282),
    [anon_sym_static] = ACTIONS(3282),
    [anon_sym_readonly] = ACTIONS(3282),
    [anon_sym_get] = ACTIONS(3282),
    [anon_sym_set] = ACTIONS(3282),
    [anon_sym_declare] = ACTIONS(3282),
    [anon_sym_public] = ACTIONS(3282),
    [anon_sym_private] = ACTIONS(3282),
    [anon_sym_protected] = ACTIONS(3282),
    [anon_sym_override] = ACTIONS(3282),
    [anon_sym_module] = ACTIONS(3282),
    [anon_sym_any] = ACTIONS(3282),
    [anon_sym_number] = ACTIONS(3282),
    [anon_sym_boolean] = ACTIONS(3282),
    [anon_sym_string] = ACTIONS(3282),
    [anon_sym_symbol] = ACTIONS(3282),
    [anon_sym_object] = ACTIONS(3282),
    [anon_sym_abstract] = ACTIONS(3282),
    [anon_sym_interface] = ACTIONS(3282),
    [anon_sym_enum] = ACTIONS(3282),
    [sym_html_comment] = ACTIONS(5),
  },
  [1568] = {
    [sym_comment] = STATE(1568),
    [ts_builtin_sym_end] = ACTIONS(3468),
    [sym_identifier] = ACTIONS(3280),
    [anon_sym_export] = ACTIONS(3280),
    [anon_sym_type] = ACTIONS(3280),
    [anon_sym_namespace] = ACTIONS(3280),
    [anon_sym_LBRACE] = ACTIONS(3280),
    [anon_sym_RBRACE] = ACTIONS(3280),
    [anon_sym_typeof] = ACTIONS(3280),
    [anon_sym_import] = ACTIONS(3280),
    [anon_sym_var] = ACTIONS(3280),
    [anon_sym_let] = ACTIONS(3280),
    [anon_sym_const] = ACTIONS(3280),
    [anon_sym_BANG] = ACTIONS(3280),
    [anon_sym_if] = ACTIONS(3280),
    [anon_sym_switch] = ACTIONS(3280),
    [anon_sym_for] = ACTIONS(3280),
    [anon_sym_LPAREN] = ACTIONS(3280),
    [anon_sym_await] = ACTIONS(3280),
    [anon_sym_while] = ACTIONS(3280),
    [anon_sym_do] = ACTIONS(3280),
    [anon_sym_try] = ACTIONS(3280),
    [anon_sym_with] = ACTIONS(3280),
    [anon_sym_break] = ACTIONS(3280),
    [anon_sym_continue] = ACTIONS(3280),
    [anon_sym_debugger] = ACTIONS(3280),
    [anon_sym_return] = ACTIONS(3280),
    [anon_sym_throw] = ACTIONS(3280),
    [anon_sym_SEMI] = ACTIONS(3280),
    [anon_sym_yield] = ACTIONS(3280),
    [anon_sym_LBRACK] = ACTIONS(3280),
    [anon_sym_LTtemplate_GT] = ACTIONS(3280),
    [anon_sym_class] = ACTIONS(3280),
    [anon_sym_async] = ACTIONS(3280),
    [anon_sym_function] = ACTIONS(3280),
    [anon_sym_new] = ACTIONS(3280),
    [anon_sym_using] = ACTIONS(3280),
    [anon_sym_PLUS] = ACTIONS(3280),
    [anon_sym_DASH] = ACTIONS(3280),
    [anon_sym_SLASH] = ACTIONS(3280),
    [anon_sym_LT] = ACTIONS(3280),
    [anon_sym_TILDE] = ACTIONS(3280),
    [anon_sym_void] = ACTIONS(3280),
    [anon_sym_delete] = ACTIONS(3280),
    [anon_sym_PLUS_PLUS] = ACTIONS(3280),
    [anon_sym_DASH_DASH] = ACTIONS(3280),
    [anon_sym_DQUOTE] = ACTIONS(3280),
    [anon_sym_SQUOTE] = ACTIONS(3280),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3280),
    [sym_number] = ACTIONS(3280),
    [sym_private_property_identifier] = ACTIONS(3280),
    [sym_this] = ACTIONS(3280),
    [sym_super] = ACTIONS(3280),
    [sym_true] = ACTIONS(3280),
    [sym_false] = ACTIONS(3280),
    [sym_null] = ACTIONS(3280),
    [sym_undefined] = ACTIONS(3280),
    [anon_sym_AT] = ACTIONS(3280),
    [anon_sym_static] = ACTIONS(3280),
    [anon_sym_readonly] = ACTIONS(3280),
    [anon_sym_get] = ACTIONS(3280),
    [anon_sym_set] = ACTIONS(3280),
    [anon_sym_declare] = ACTIONS(3280),
    [anon_sym_public] = ACTIONS(3280),
    [anon_sym_private] = ACTIONS(3280),
    [anon_sym_protected] = ACTIONS(3280),
    [anon_sym_override] = ACTIONS(3280),
    [anon_sym_module] = ACTIONS(3280),
    [anon_sym_any] = ACTIONS(3280),
    [anon_sym_number] = ACTIONS(3280),
    [anon_sym_boolean] = ACTIONS(3280),
    [anon_sym_string] = ACTIONS(3280),
    [anon_sym_symbol] = ACTIONS(3280),
    [anon_sym_object] = ACTIONS(3280),
    [anon_sym_abstract] = ACTIONS(3280),
    [anon_sym_interface] = ACTIONS(3280),
    [anon_sym_enum] = ACTIONS(3280),
    [sym_html_comment] = ACTIONS(5),
  },
  [1569] = {
    [sym_comment] = STATE(1569),
    [ts_builtin_sym_end] = ACTIONS(3468),
    [sym_identifier] = ACTIONS(3280),
    [anon_sym_export] = ACTIONS(3280),
    [anon_sym_type] = ACTIONS(3280),
    [anon_sym_namespace] = ACTIONS(3280),
    [anon_sym_LBRACE] = ACTIONS(3280),
    [anon_sym_RBRACE] = ACTIONS(3280),
    [anon_sym_typeof] = ACTIONS(3280),
    [anon_sym_import] = ACTIONS(3280),
    [anon_sym_var] = ACTIONS(3280),
    [anon_sym_let] = ACTIONS(3280),
    [anon_sym_const] = ACTIONS(3280),
    [anon_sym_BANG] = ACTIONS(3280),
    [anon_sym_if] = ACTIONS(3280),
    [anon_sym_switch] = ACTIONS(3280),
    [anon_sym_for] = ACTIONS(3280),
    [anon_sym_LPAREN] = ACTIONS(3280),
    [anon_sym_await] = ACTIONS(3280),
    [anon_sym_while] = ACTIONS(3280),
    [anon_sym_do] = ACTIONS(3280),
    [anon_sym_try] = ACTIONS(3280),
    [anon_sym_with] = ACTIONS(3280),
    [anon_sym_break] = ACTIONS(3280),
    [anon_sym_continue] = ACTIONS(3280),
    [anon_sym_debugger] = ACTIONS(3280),
    [anon_sym_return] = ACTIONS(3280),
    [anon_sym_throw] = ACTIONS(3280),
    [anon_sym_SEMI] = ACTIONS(3280),
    [anon_sym_yield] = ACTIONS(3280),
    [anon_sym_LBRACK] = ACTIONS(3280),
    [anon_sym_LTtemplate_GT] = ACTIONS(3280),
    [anon_sym_class] = ACTIONS(3280),
    [anon_sym_async] = ACTIONS(3280),
    [anon_sym_function] = ACTIONS(3280),
    [anon_sym_new] = ACTIONS(3280),
    [anon_sym_using] = ACTIONS(3280),
    [anon_sym_PLUS] = ACTIONS(3280),
    [anon_sym_DASH] = ACTIONS(3280),
    [anon_sym_SLASH] = ACTIONS(3280),
    [anon_sym_LT] = ACTIONS(3280),
    [anon_sym_TILDE] = ACTIONS(3280),
    [anon_sym_void] = ACTIONS(3280),
    [anon_sym_delete] = ACTIONS(3280),
    [anon_sym_PLUS_PLUS] = ACTIONS(3280),
    [anon_sym_DASH_DASH] = ACTIONS(3280),
    [anon_sym_DQUOTE] = ACTIONS(3280),
    [anon_sym_SQUOTE] = ACTIONS(3280),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3280),
    [sym_number] = ACTIONS(3280),
    [sym_private_property_identifier] = ACTIONS(3280),
    [sym_this] = ACTIONS(3280),
    [sym_super] = ACTIONS(3280),
    [sym_true] = ACTIONS(3280),
    [sym_false] = ACTIONS(3280),
    [sym_null] = ACTIONS(3280),
    [sym_undefined] = ACTIONS(3280),
    [anon_sym_AT] = ACTIONS(3280),
    [anon_sym_static] = ACTIONS(3280),
    [anon_sym_readonly] = ACTIONS(3280),
    [anon_sym_get] = ACTIONS(3280),
    [anon_sym_set] = ACTIONS(3280),
    [anon_sym_declare] = ACTIONS(3280),
    [anon_sym_public] = ACTIONS(3280),
    [anon_sym_private] = ACTIONS(3280),
    [anon_sym_protected] = ACTIONS(3280),
    [anon_sym_override] = ACTIONS(3280),
    [anon_sym_module] = ACTIONS(3280),
    [anon_sym_any] = ACTIONS(3280),
    [anon_sym_number] = ACTIONS(3280),
    [anon_sym_boolean] = ACTIONS(3280),
    [anon_sym_string] = ACTIONS(3280),
    [anon_sym_symbol] = ACTIONS(3280),
    [anon_sym_object] = ACTIONS(3280),
    [anon_sym_abstract] = ACTIONS(3280),
    [anon_sym_interface] = ACTIONS(3280),
    [anon_sym_enum] = ACTIONS(3280),
    [sym_html_comment] = ACTIONS(5),
  },
  [1570] = {
    [sym_comment] = STATE(1570),
    [ts_builtin_sym_end] = ACTIONS(3340),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_export] = ACTIONS(3140),
    [anon_sym_type] = ACTIONS(3140),
    [anon_sym_namespace] = ACTIONS(3140),
    [anon_sym_LBRACE] = ACTIONS(3140),
    [anon_sym_RBRACE] = ACTIONS(3140),
    [anon_sym_typeof] = ACTIONS(3140),
    [anon_sym_import] = ACTIONS(3140),
    [anon_sym_var] = ACTIONS(3140),
    [anon_sym_let] = ACTIONS(3140),
    [anon_sym_const] = ACTIONS(3140),
    [anon_sym_BANG] = ACTIONS(3140),
    [anon_sym_if] = ACTIONS(3140),
    [anon_sym_switch] = ACTIONS(3140),
    [anon_sym_for] = ACTIONS(3140),
    [anon_sym_LPAREN] = ACTIONS(3140),
    [anon_sym_await] = ACTIONS(3140),
    [anon_sym_while] = ACTIONS(3140),
    [anon_sym_do] = ACTIONS(3140),
    [anon_sym_try] = ACTIONS(3140),
    [anon_sym_with] = ACTIONS(3140),
    [anon_sym_break] = ACTIONS(3140),
    [anon_sym_continue] = ACTIONS(3140),
    [anon_sym_debugger] = ACTIONS(3140),
    [anon_sym_return] = ACTIONS(3140),
    [anon_sym_throw] = ACTIONS(3140),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym_yield] = ACTIONS(3140),
    [anon_sym_LBRACK] = ACTIONS(3140),
    [anon_sym_LTtemplate_GT] = ACTIONS(3140),
    [anon_sym_class] = ACTIONS(3140),
    [anon_sym_async] = ACTIONS(3140),
    [anon_sym_function] = ACTIONS(3140),
    [anon_sym_new] = ACTIONS(3140),
    [anon_sym_using] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_SLASH] = ACTIONS(3140),
    [anon_sym_LT] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_void] = ACTIONS(3140),
    [anon_sym_delete] = ACTIONS(3140),
    [anon_sym_PLUS_PLUS] = ACTIONS(3140),
    [anon_sym_DASH_DASH] = ACTIONS(3140),
    [anon_sym_DQUOTE] = ACTIONS(3140),
    [anon_sym_SQUOTE] = ACTIONS(3140),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3140),
    [sym_number] = ACTIONS(3140),
    [sym_private_property_identifier] = ACTIONS(3140),
    [sym_this] = ACTIONS(3140),
    [sym_super] = ACTIONS(3140),
    [sym_true] = ACTIONS(3140),
    [sym_false] = ACTIONS(3140),
    [sym_null] = ACTIONS(3140),
    [sym_undefined] = ACTIONS(3140),
    [anon_sym_AT] = ACTIONS(3140),
    [anon_sym_static] = ACTIONS(3140),
    [anon_sym_readonly] = ACTIONS(3140),
    [anon_sym_get] = ACTIONS(3140),
    [anon_sym_set] = ACTIONS(3140),
    [anon_sym_declare] = ACTIONS(3140),
    [anon_sym_public] = ACTIONS(3140),
    [anon_sym_private] = ACTIONS(3140),
    [anon_sym_protected] = ACTIONS(3140),
    [anon_sym_override] = ACTIONS(3140),
    [anon_sym_module] = ACTIONS(3140),
    [anon_sym_any] = ACTIONS(3140),
    [anon_sym_number] = ACTIONS(3140),
    [anon_sym_boolean] = ACTIONS(3140),
    [anon_sym_string] = ACTIONS(3140),
    [anon_sym_symbol] = ACTIONS(3140),
    [anon_sym_object] = ACTIONS(3140),
    [anon_sym_abstract] = ACTIONS(3140),
    [anon_sym_interface] = ACTIONS(3140),
    [anon_sym_enum] = ACTIONS(3140),
    [sym_html_comment] = ACTIONS(5),
  },
  [1571] = {
    [sym_comment] = STATE(1571),
    [ts_builtin_sym_end] = ACTIONS(3474),
    [sym_identifier] = ACTIONS(3312),
    [anon_sym_export] = ACTIONS(3312),
    [anon_sym_type] = ACTIONS(3312),
    [anon_sym_namespace] = ACTIONS(3312),
    [anon_sym_LBRACE] = ACTIONS(3312),
    [anon_sym_RBRACE] = ACTIONS(3312),
    [anon_sym_typeof] = ACTIONS(3312),
    [anon_sym_import] = ACTIONS(3312),
    [anon_sym_var] = ACTIONS(3312),
    [anon_sym_let] = ACTIONS(3312),
    [anon_sym_const] = ACTIONS(3312),
    [anon_sym_BANG] = ACTIONS(3312),
    [anon_sym_if] = ACTIONS(3312),
    [anon_sym_switch] = ACTIONS(3312),
    [anon_sym_for] = ACTIONS(3312),
    [anon_sym_LPAREN] = ACTIONS(3312),
    [anon_sym_await] = ACTIONS(3312),
    [anon_sym_while] = ACTIONS(3312),
    [anon_sym_do] = ACTIONS(3312),
    [anon_sym_try] = ACTIONS(3312),
    [anon_sym_with] = ACTIONS(3312),
    [anon_sym_break] = ACTIONS(3312),
    [anon_sym_continue] = ACTIONS(3312),
    [anon_sym_debugger] = ACTIONS(3312),
    [anon_sym_return] = ACTIONS(3312),
    [anon_sym_throw] = ACTIONS(3312),
    [anon_sym_SEMI] = ACTIONS(3312),
    [anon_sym_yield] = ACTIONS(3312),
    [anon_sym_LBRACK] = ACTIONS(3312),
    [anon_sym_LTtemplate_GT] = ACTIONS(3312),
    [anon_sym_class] = ACTIONS(3312),
    [anon_sym_async] = ACTIONS(3312),
    [anon_sym_function] = ACTIONS(3312),
    [anon_sym_new] = ACTIONS(3312),
    [anon_sym_using] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_SLASH] = ACTIONS(3312),
    [anon_sym_LT] = ACTIONS(3312),
    [anon_sym_TILDE] = ACTIONS(3312),
    [anon_sym_void] = ACTIONS(3312),
    [anon_sym_delete] = ACTIONS(3312),
    [anon_sym_PLUS_PLUS] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(3312),
    [anon_sym_DQUOTE] = ACTIONS(3312),
    [anon_sym_SQUOTE] = ACTIONS(3312),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3312),
    [sym_number] = ACTIONS(3312),
    [sym_private_property_identifier] = ACTIONS(3312),
    [sym_this] = ACTIONS(3312),
    [sym_super] = ACTIONS(3312),
    [sym_true] = ACTIONS(3312),
    [sym_false] = ACTIONS(3312),
    [sym_null] = ACTIONS(3312),
    [sym_undefined] = ACTIONS(3312),
    [anon_sym_AT] = ACTIONS(3312),
    [anon_sym_static] = ACTIONS(3312),
    [anon_sym_readonly] = ACTIONS(3312),
    [anon_sym_get] = ACTIONS(3312),
    [anon_sym_set] = ACTIONS(3312),
    [anon_sym_declare] = ACTIONS(3312),
    [anon_sym_public] = ACTIONS(3312),
    [anon_sym_private] = ACTIONS(3312),
    [anon_sym_protected] = ACTIONS(3312),
    [anon_sym_override] = ACTIONS(3312),
    [anon_sym_module] = ACTIONS(3312),
    [anon_sym_any] = ACTIONS(3312),
    [anon_sym_number] = ACTIONS(3312),
    [anon_sym_boolean] = ACTIONS(3312),
    [anon_sym_string] = ACTIONS(3312),
    [anon_sym_symbol] = ACTIONS(3312),
    [anon_sym_object] = ACTIONS(3312),
    [anon_sym_abstract] = ACTIONS(3312),
    [anon_sym_interface] = ACTIONS(3312),
    [anon_sym_enum] = ACTIONS(3312),
    [sym_html_comment] = ACTIONS(5),
  },
  [1572] = {
    [sym_comment] = STATE(1572),
    [ts_builtin_sym_end] = ACTIONS(3456),
    [sym_identifier] = ACTIONS(3224),
    [anon_sym_export] = ACTIONS(3224),
    [anon_sym_type] = ACTIONS(3224),
    [anon_sym_namespace] = ACTIONS(3224),
    [anon_sym_LBRACE] = ACTIONS(3224),
    [anon_sym_RBRACE] = ACTIONS(3224),
    [anon_sym_typeof] = ACTIONS(3224),
    [anon_sym_import] = ACTIONS(3224),
    [anon_sym_var] = ACTIONS(3224),
    [anon_sym_let] = ACTIONS(3224),
    [anon_sym_const] = ACTIONS(3224),
    [anon_sym_BANG] = ACTIONS(3224),
    [anon_sym_if] = ACTIONS(3224),
    [anon_sym_switch] = ACTIONS(3224),
    [anon_sym_for] = ACTIONS(3224),
    [anon_sym_LPAREN] = ACTIONS(3224),
    [anon_sym_await] = ACTIONS(3224),
    [anon_sym_while] = ACTIONS(3224),
    [anon_sym_do] = ACTIONS(3224),
    [anon_sym_try] = ACTIONS(3224),
    [anon_sym_with] = ACTIONS(3224),
    [anon_sym_break] = ACTIONS(3224),
    [anon_sym_continue] = ACTIONS(3224),
    [anon_sym_debugger] = ACTIONS(3224),
    [anon_sym_return] = ACTIONS(3224),
    [anon_sym_throw] = ACTIONS(3224),
    [anon_sym_SEMI] = ACTIONS(3224),
    [anon_sym_yield] = ACTIONS(3224),
    [anon_sym_LBRACK] = ACTIONS(3224),
    [anon_sym_LTtemplate_GT] = ACTIONS(3224),
    [anon_sym_class] = ACTIONS(3224),
    [anon_sym_async] = ACTIONS(3224),
    [anon_sym_function] = ACTIONS(3224),
    [anon_sym_new] = ACTIONS(3224),
    [anon_sym_using] = ACTIONS(3224),
    [anon_sym_PLUS] = ACTIONS(3224),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_SLASH] = ACTIONS(3224),
    [anon_sym_LT] = ACTIONS(3224),
    [anon_sym_TILDE] = ACTIONS(3224),
    [anon_sym_void] = ACTIONS(3224),
    [anon_sym_delete] = ACTIONS(3224),
    [anon_sym_PLUS_PLUS] = ACTIONS(3224),
    [anon_sym_DASH_DASH] = ACTIONS(3224),
    [anon_sym_DQUOTE] = ACTIONS(3224),
    [anon_sym_SQUOTE] = ACTIONS(3224),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3224),
    [sym_number] = ACTIONS(3224),
    [sym_private_property_identifier] = ACTIONS(3224),
    [sym_this] = ACTIONS(3224),
    [sym_super] = ACTIONS(3224),
    [sym_true] = ACTIONS(3224),
    [sym_false] = ACTIONS(3224),
    [sym_null] = ACTIONS(3224),
    [sym_undefined] = ACTIONS(3224),
    [anon_sym_AT] = ACTIONS(3224),
    [anon_sym_static] = ACTIONS(3224),
    [anon_sym_readonly] = ACTIONS(3224),
    [anon_sym_get] = ACTIONS(3224),
    [anon_sym_set] = ACTIONS(3224),
    [anon_sym_declare] = ACTIONS(3224),
    [anon_sym_public] = ACTIONS(3224),
    [anon_sym_private] = ACTIONS(3224),
    [anon_sym_protected] = ACTIONS(3224),
    [anon_sym_override] = ACTIONS(3224),
    [anon_sym_module] = ACTIONS(3224),
    [anon_sym_any] = ACTIONS(3224),
    [anon_sym_number] = ACTIONS(3224),
    [anon_sym_boolean] = ACTIONS(3224),
    [anon_sym_string] = ACTIONS(3224),
    [anon_sym_symbol] = ACTIONS(3224),
    [anon_sym_object] = ACTIONS(3224),
    [anon_sym_abstract] = ACTIONS(3224),
    [anon_sym_interface] = ACTIONS(3224),
    [anon_sym_enum] = ACTIONS(3224),
    [sym_html_comment] = ACTIONS(5),
  },
  [1573] = {
    [sym_comment] = STATE(1573),
    [ts_builtin_sym_end] = ACTIONS(3480),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_export] = ACTIONS(3314),
    [anon_sym_type] = ACTIONS(3314),
    [anon_sym_namespace] = ACTIONS(3314),
    [anon_sym_LBRACE] = ACTIONS(3314),
    [anon_sym_RBRACE] = ACTIONS(3314),
    [anon_sym_typeof] = ACTIONS(3314),
    [anon_sym_import] = ACTIONS(3314),
    [anon_sym_var] = ACTIONS(3314),
    [anon_sym_let] = ACTIONS(3314),
    [anon_sym_const] = ACTIONS(3314),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_if] = ACTIONS(3314),
    [anon_sym_switch] = ACTIONS(3314),
    [anon_sym_for] = ACTIONS(3314),
    [anon_sym_LPAREN] = ACTIONS(3314),
    [anon_sym_await] = ACTIONS(3314),
    [anon_sym_while] = ACTIONS(3314),
    [anon_sym_do] = ACTIONS(3314),
    [anon_sym_try] = ACTIONS(3314),
    [anon_sym_with] = ACTIONS(3314),
    [anon_sym_break] = ACTIONS(3314),
    [anon_sym_continue] = ACTIONS(3314),
    [anon_sym_debugger] = ACTIONS(3314),
    [anon_sym_return] = ACTIONS(3314),
    [anon_sym_throw] = ACTIONS(3314),
    [anon_sym_SEMI] = ACTIONS(3314),
    [anon_sym_yield] = ACTIONS(3314),
    [anon_sym_LBRACK] = ACTIONS(3314),
    [anon_sym_LTtemplate_GT] = ACTIONS(3314),
    [anon_sym_class] = ACTIONS(3314),
    [anon_sym_async] = ACTIONS(3314),
    [anon_sym_function] = ACTIONS(3314),
    [anon_sym_new] = ACTIONS(3314),
    [anon_sym_using] = ACTIONS(3314),
    [anon_sym_PLUS] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3314),
    [anon_sym_SLASH] = ACTIONS(3314),
    [anon_sym_LT] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_void] = ACTIONS(3314),
    [anon_sym_delete] = ACTIONS(3314),
    [anon_sym_PLUS_PLUS] = ACTIONS(3314),
    [anon_sym_DASH_DASH] = ACTIONS(3314),
    [anon_sym_DQUOTE] = ACTIONS(3314),
    [anon_sym_SQUOTE] = ACTIONS(3314),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3314),
    [sym_number] = ACTIONS(3314),
    [sym_private_property_identifier] = ACTIONS(3314),
    [sym_this] = ACTIONS(3314),
    [sym_super] = ACTIONS(3314),
    [sym_true] = ACTIONS(3314),
    [sym_false] = ACTIONS(3314),
    [sym_null] = ACTIONS(3314),
    [sym_undefined] = ACTIONS(3314),
    [anon_sym_AT] = ACTIONS(3314),
    [anon_sym_static] = ACTIONS(3314),
    [anon_sym_readonly] = ACTIONS(3314),
    [anon_sym_get] = ACTIONS(3314),
    [anon_sym_set] = ACTIONS(3314),
    [anon_sym_declare] = ACTIONS(3314),
    [anon_sym_public] = ACTIONS(3314),
    [anon_sym_private] = ACTIONS(3314),
    [anon_sym_protected] = ACTIONS(3314),
    [anon_sym_override] = ACTIONS(3314),
    [anon_sym_module] = ACTIONS(3314),
    [anon_sym_any] = ACTIONS(3314),
    [anon_sym_number] = ACTIONS(3314),
    [anon_sym_boolean] = ACTIONS(3314),
    [anon_sym_string] = ACTIONS(3314),
    [anon_sym_symbol] = ACTIONS(3314),
    [anon_sym_object] = ACTIONS(3314),
    [anon_sym_abstract] = ACTIONS(3314),
    [anon_sym_interface] = ACTIONS(3314),
    [anon_sym_enum] = ACTIONS(3314),
    [sym_html_comment] = ACTIONS(5),
  },
  [1574] = {
    [sym_comment] = STATE(1574),
    [ts_builtin_sym_end] = ACTIONS(3488),
    [sym_identifier] = ACTIONS(3114),
    [anon_sym_export] = ACTIONS(3114),
    [anon_sym_type] = ACTIONS(3114),
    [anon_sym_namespace] = ACTIONS(3114),
    [anon_sym_LBRACE] = ACTIONS(3114),
    [anon_sym_RBRACE] = ACTIONS(3114),
    [anon_sym_typeof] = ACTIONS(3114),
    [anon_sym_import] = ACTIONS(3114),
    [anon_sym_var] = ACTIONS(3114),
    [anon_sym_let] = ACTIONS(3114),
    [anon_sym_const] = ACTIONS(3114),
    [anon_sym_BANG] = ACTIONS(3114),
    [anon_sym_if] = ACTIONS(3114),
    [anon_sym_switch] = ACTIONS(3114),
    [anon_sym_for] = ACTIONS(3114),
    [anon_sym_LPAREN] = ACTIONS(3114),
    [anon_sym_await] = ACTIONS(3114),
    [anon_sym_while] = ACTIONS(3114),
    [anon_sym_do] = ACTIONS(3114),
    [anon_sym_try] = ACTIONS(3114),
    [anon_sym_with] = ACTIONS(3114),
    [anon_sym_break] = ACTIONS(3114),
    [anon_sym_continue] = ACTIONS(3114),
    [anon_sym_debugger] = ACTIONS(3114),
    [anon_sym_return] = ACTIONS(3114),
    [anon_sym_throw] = ACTIONS(3114),
    [anon_sym_SEMI] = ACTIONS(3114),
    [anon_sym_yield] = ACTIONS(3114),
    [anon_sym_LBRACK] = ACTIONS(3114),
    [anon_sym_LTtemplate_GT] = ACTIONS(3114),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_async] = ACTIONS(3114),
    [anon_sym_function] = ACTIONS(3114),
    [anon_sym_new] = ACTIONS(3114),
    [anon_sym_using] = ACTIONS(3114),
    [anon_sym_PLUS] = ACTIONS(3114),
    [anon_sym_DASH] = ACTIONS(3114),
    [anon_sym_SLASH] = ACTIONS(3114),
    [anon_sym_LT] = ACTIONS(3114),
    [anon_sym_TILDE] = ACTIONS(3114),
    [anon_sym_void] = ACTIONS(3114),
    [anon_sym_delete] = ACTIONS(3114),
    [anon_sym_PLUS_PLUS] = ACTIONS(3114),
    [anon_sym_DASH_DASH] = ACTIONS(3114),
    [anon_sym_DQUOTE] = ACTIONS(3114),
    [anon_sym_SQUOTE] = ACTIONS(3114),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3114),
    [sym_number] = ACTIONS(3114),
    [sym_private_property_identifier] = ACTIONS(3114),
    [sym_this] = ACTIONS(3114),
    [sym_super] = ACTIONS(3114),
    [sym_true] = ACTIONS(3114),
    [sym_false] = ACTIONS(3114),
    [sym_null] = ACTIONS(3114),
    [sym_undefined] = ACTIONS(3114),
    [anon_sym_AT] = ACTIONS(3114),
    [anon_sym_static] = ACTIONS(3114),
    [anon_sym_readonly] = ACTIONS(3114),
    [anon_sym_get] = ACTIONS(3114),
    [anon_sym_set] = ACTIONS(3114),
    [anon_sym_declare] = ACTIONS(3114),
    [anon_sym_public] = ACTIONS(3114),
    [anon_sym_private] = ACTIONS(3114),
    [anon_sym_protected] = ACTIONS(3114),
    [anon_sym_override] = ACTIONS(3114),
    [anon_sym_module] = ACTIONS(3114),
    [anon_sym_any] = ACTIONS(3114),
    [anon_sym_number] = ACTIONS(3114),
    [anon_sym_boolean] = ACTIONS(3114),
    [anon_sym_string] = ACTIONS(3114),
    [anon_sym_symbol] = ACTIONS(3114),
    [anon_sym_object] = ACTIONS(3114),
    [anon_sym_abstract] = ACTIONS(3114),
    [anon_sym_interface] = ACTIONS(3114),
    [anon_sym_enum] = ACTIONS(3114),
    [sym_html_comment] = ACTIONS(5),
  },
  [1575] = {
    [sym_comment] = STATE(1575),
    [ts_builtin_sym_end] = ACTIONS(3500),
    [sym_identifier] = ACTIONS(3272),
    [anon_sym_export] = ACTIONS(3272),
    [anon_sym_type] = ACTIONS(3272),
    [anon_sym_namespace] = ACTIONS(3272),
    [anon_sym_LBRACE] = ACTIONS(3272),
    [anon_sym_RBRACE] = ACTIONS(3272),
    [anon_sym_typeof] = ACTIONS(3272),
    [anon_sym_import] = ACTIONS(3272),
    [anon_sym_var] = ACTIONS(3272),
    [anon_sym_let] = ACTIONS(3272),
    [anon_sym_const] = ACTIONS(3272),
    [anon_sym_BANG] = ACTIONS(3272),
    [anon_sym_if] = ACTIONS(3272),
    [anon_sym_switch] = ACTIONS(3272),
    [anon_sym_for] = ACTIONS(3272),
    [anon_sym_LPAREN] = ACTIONS(3272),
    [anon_sym_await] = ACTIONS(3272),
    [anon_sym_while] = ACTIONS(3272),
    [anon_sym_do] = ACTIONS(3272),
    [anon_sym_try] = ACTIONS(3272),
    [anon_sym_with] = ACTIONS(3272),
    [anon_sym_break] = ACTIONS(3272),
    [anon_sym_continue] = ACTIONS(3272),
    [anon_sym_debugger] = ACTIONS(3272),
    [anon_sym_return] = ACTIONS(3272),
    [anon_sym_throw] = ACTIONS(3272),
    [anon_sym_SEMI] = ACTIONS(3272),
    [anon_sym_yield] = ACTIONS(3272),
    [anon_sym_LBRACK] = ACTIONS(3272),
    [anon_sym_LTtemplate_GT] = ACTIONS(3272),
    [anon_sym_class] = ACTIONS(3272),
    [anon_sym_async] = ACTIONS(3272),
    [anon_sym_function] = ACTIONS(3272),
    [anon_sym_new] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3272),
    [anon_sym_PLUS] = ACTIONS(3272),
    [anon_sym_DASH] = ACTIONS(3272),
    [anon_sym_SLASH] = ACTIONS(3272),
    [anon_sym_LT] = ACTIONS(3272),
    [anon_sym_TILDE] = ACTIONS(3272),
    [anon_sym_void] = ACTIONS(3272),
    [anon_sym_delete] = ACTIONS(3272),
    [anon_sym_PLUS_PLUS] = ACTIONS(3272),
    [anon_sym_DASH_DASH] = ACTIONS(3272),
    [anon_sym_DQUOTE] = ACTIONS(3272),
    [anon_sym_SQUOTE] = ACTIONS(3272),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3272),
    [sym_number] = ACTIONS(3272),
    [sym_private_property_identifier] = ACTIONS(3272),
    [sym_this] = ACTIONS(3272),
    [sym_super] = ACTIONS(3272),
    [sym_true] = ACTIONS(3272),
    [sym_false] = ACTIONS(3272),
    [sym_null] = ACTIONS(3272),
    [sym_undefined] = ACTIONS(3272),
    [anon_sym_AT] = ACTIONS(3272),
    [anon_sym_static] = ACTIONS(3272),
    [anon_sym_readonly] = ACTIONS(3272),
    [anon_sym_get] = ACTIONS(3272),
    [anon_sym_set] = ACTIONS(3272),
    [anon_sym_declare] = ACTIONS(3272),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_override] = ACTIONS(3272),
    [anon_sym_module] = ACTIONS(3272),
    [anon_sym_any] = ACTIONS(3272),
    [anon_sym_number] = ACTIONS(3272),
    [anon_sym_boolean] = ACTIONS(3272),
    [anon_sym_string] = ACTIONS(3272),
    [anon_sym_symbol] = ACTIONS(3272),
    [anon_sym_object] = ACTIONS(3272),
    [anon_sym_abstract] = ACTIONS(3272),
    [anon_sym_interface] = ACTIONS(3272),
    [anon_sym_enum] = ACTIONS(3272),
    [sym_html_comment] = ACTIONS(5),
  },
  [1576] = {
    [sym_comment] = STATE(1576),
    [ts_builtin_sym_end] = ACTIONS(3464),
    [sym_identifier] = ACTIONS(3212),
    [anon_sym_export] = ACTIONS(3212),
    [anon_sym_type] = ACTIONS(3212),
    [anon_sym_namespace] = ACTIONS(3212),
    [anon_sym_LBRACE] = ACTIONS(3212),
    [anon_sym_RBRACE] = ACTIONS(3212),
    [anon_sym_typeof] = ACTIONS(3212),
    [anon_sym_import] = ACTIONS(3212),
    [anon_sym_var] = ACTIONS(3212),
    [anon_sym_let] = ACTIONS(3212),
    [anon_sym_const] = ACTIONS(3212),
    [anon_sym_BANG] = ACTIONS(3212),
    [anon_sym_if] = ACTIONS(3212),
    [anon_sym_switch] = ACTIONS(3212),
    [anon_sym_for] = ACTIONS(3212),
    [anon_sym_LPAREN] = ACTIONS(3212),
    [anon_sym_await] = ACTIONS(3212),
    [anon_sym_while] = ACTIONS(3212),
    [anon_sym_do] = ACTIONS(3212),
    [anon_sym_try] = ACTIONS(3212),
    [anon_sym_with] = ACTIONS(3212),
    [anon_sym_break] = ACTIONS(3212),
    [anon_sym_continue] = ACTIONS(3212),
    [anon_sym_debugger] = ACTIONS(3212),
    [anon_sym_return] = ACTIONS(3212),
    [anon_sym_throw] = ACTIONS(3212),
    [anon_sym_SEMI] = ACTIONS(3212),
    [anon_sym_yield] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3212),
    [anon_sym_LTtemplate_GT] = ACTIONS(3212),
    [anon_sym_class] = ACTIONS(3212),
    [anon_sym_async] = ACTIONS(3212),
    [anon_sym_function] = ACTIONS(3212),
    [anon_sym_new] = ACTIONS(3212),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_PLUS] = ACTIONS(3212),
    [anon_sym_DASH] = ACTIONS(3212),
    [anon_sym_SLASH] = ACTIONS(3212),
    [anon_sym_LT] = ACTIONS(3212),
    [anon_sym_TILDE] = ACTIONS(3212),
    [anon_sym_void] = ACTIONS(3212),
    [anon_sym_delete] = ACTIONS(3212),
    [anon_sym_PLUS_PLUS] = ACTIONS(3212),
    [anon_sym_DASH_DASH] = ACTIONS(3212),
    [anon_sym_DQUOTE] = ACTIONS(3212),
    [anon_sym_SQUOTE] = ACTIONS(3212),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3212),
    [sym_number] = ACTIONS(3212),
    [sym_private_property_identifier] = ACTIONS(3212),
    [sym_this] = ACTIONS(3212),
    [sym_super] = ACTIONS(3212),
    [sym_true] = ACTIONS(3212),
    [sym_false] = ACTIONS(3212),
    [sym_null] = ACTIONS(3212),
    [sym_undefined] = ACTIONS(3212),
    [anon_sym_AT] = ACTIONS(3212),
    [anon_sym_static] = ACTIONS(3212),
    [anon_sym_readonly] = ACTIONS(3212),
    [anon_sym_get] = ACTIONS(3212),
    [anon_sym_set] = ACTIONS(3212),
    [anon_sym_declare] = ACTIONS(3212),
    [anon_sym_public] = ACTIONS(3212),
    [anon_sym_private] = ACTIONS(3212),
    [anon_sym_protected] = ACTIONS(3212),
    [anon_sym_override] = ACTIONS(3212),
    [anon_sym_module] = ACTIONS(3212),
    [anon_sym_any] = ACTIONS(3212),
    [anon_sym_number] = ACTIONS(3212),
    [anon_sym_boolean] = ACTIONS(3212),
    [anon_sym_string] = ACTIONS(3212),
    [anon_sym_symbol] = ACTIONS(3212),
    [anon_sym_object] = ACTIONS(3212),
    [anon_sym_abstract] = ACTIONS(3212),
    [anon_sym_interface] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3212),
    [sym_html_comment] = ACTIONS(5),
  },
  [1577] = {
    [sym_comment] = STATE(1577),
    [ts_builtin_sym_end] = ACTIONS(3438),
    [sym_identifier] = ACTIONS(3258),
    [anon_sym_export] = ACTIONS(3258),
    [anon_sym_type] = ACTIONS(3258),
    [anon_sym_namespace] = ACTIONS(3258),
    [anon_sym_LBRACE] = ACTIONS(3258),
    [anon_sym_RBRACE] = ACTIONS(3258),
    [anon_sym_typeof] = ACTIONS(3258),
    [anon_sym_import] = ACTIONS(3258),
    [anon_sym_var] = ACTIONS(3258),
    [anon_sym_let] = ACTIONS(3258),
    [anon_sym_const] = ACTIONS(3258),
    [anon_sym_BANG] = ACTIONS(3258),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_switch] = ACTIONS(3258),
    [anon_sym_for] = ACTIONS(3258),
    [anon_sym_LPAREN] = ACTIONS(3258),
    [anon_sym_await] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3258),
    [anon_sym_do] = ACTIONS(3258),
    [anon_sym_try] = ACTIONS(3258),
    [anon_sym_with] = ACTIONS(3258),
    [anon_sym_break] = ACTIONS(3258),
    [anon_sym_continue] = ACTIONS(3258),
    [anon_sym_debugger] = ACTIONS(3258),
    [anon_sym_return] = ACTIONS(3258),
    [anon_sym_throw] = ACTIONS(3258),
    [anon_sym_SEMI] = ACTIONS(3258),
    [anon_sym_yield] = ACTIONS(3258),
    [anon_sym_LBRACK] = ACTIONS(3258),
    [anon_sym_LTtemplate_GT] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3258),
    [anon_sym_async] = ACTIONS(3258),
    [anon_sym_function] = ACTIONS(3258),
    [anon_sym_new] = ACTIONS(3258),
    [anon_sym_using] = ACTIONS(3258),
    [anon_sym_PLUS] = ACTIONS(3258),
    [anon_sym_DASH] = ACTIONS(3258),
    [anon_sym_SLASH] = ACTIONS(3258),
    [anon_sym_LT] = ACTIONS(3258),
    [anon_sym_TILDE] = ACTIONS(3258),
    [anon_sym_void] = ACTIONS(3258),
    [anon_sym_delete] = ACTIONS(3258),
    [anon_sym_PLUS_PLUS] = ACTIONS(3258),
    [anon_sym_DASH_DASH] = ACTIONS(3258),
    [anon_sym_DQUOTE] = ACTIONS(3258),
    [anon_sym_SQUOTE] = ACTIONS(3258),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3258),
    [sym_number] = ACTIONS(3258),
    [sym_private_property_identifier] = ACTIONS(3258),
    [sym_this] = ACTIONS(3258),
    [sym_super] = ACTIONS(3258),
    [sym_true] = ACTIONS(3258),
    [sym_false] = ACTIONS(3258),
    [sym_null] = ACTIONS(3258),
    [sym_undefined] = ACTIONS(3258),
    [anon_sym_AT] = ACTIONS(3258),
    [anon_sym_static] = ACTIONS(3258),
    [anon_sym_readonly] = ACTIONS(3258),
    [anon_sym_get] = ACTIONS(3258),
    [anon_sym_set] = ACTIONS(3258),
    [anon_sym_declare] = ACTIONS(3258),
    [anon_sym_public] = ACTIONS(3258),
    [anon_sym_private] = ACTIONS(3258),
    [anon_sym_protected] = ACTIONS(3258),
    [anon_sym_override] = ACTIONS(3258),
    [anon_sym_module] = ACTIONS(3258),
    [anon_sym_any] = ACTIONS(3258),
    [anon_sym_number] = ACTIONS(3258),
    [anon_sym_boolean] = ACTIONS(3258),
    [anon_sym_string] = ACTIONS(3258),
    [anon_sym_symbol] = ACTIONS(3258),
    [anon_sym_object] = ACTIONS(3258),
    [anon_sym_abstract] = ACTIONS(3258),
    [anon_sym_interface] = ACTIONS(3258),
    [anon_sym_enum] = ACTIONS(3258),
    [sym_html_comment] = ACTIONS(5),
  },
  [1578] = {
    [sym_comment] = STATE(1578),
    [ts_builtin_sym_end] = ACTIONS(3426),
    [sym_identifier] = ACTIONS(3278),
    [anon_sym_export] = ACTIONS(3278),
    [anon_sym_type] = ACTIONS(3278),
    [anon_sym_namespace] = ACTIONS(3278),
    [anon_sym_LBRACE] = ACTIONS(3278),
    [anon_sym_RBRACE] = ACTIONS(3278),
    [anon_sym_typeof] = ACTIONS(3278),
    [anon_sym_import] = ACTIONS(3278),
    [anon_sym_var] = ACTIONS(3278),
    [anon_sym_let] = ACTIONS(3278),
    [anon_sym_const] = ACTIONS(3278),
    [anon_sym_BANG] = ACTIONS(3278),
    [anon_sym_if] = ACTIONS(3278),
    [anon_sym_switch] = ACTIONS(3278),
    [anon_sym_for] = ACTIONS(3278),
    [anon_sym_LPAREN] = ACTIONS(3278),
    [anon_sym_await] = ACTIONS(3278),
    [anon_sym_while] = ACTIONS(3278),
    [anon_sym_do] = ACTIONS(3278),
    [anon_sym_try] = ACTIONS(3278),
    [anon_sym_with] = ACTIONS(3278),
    [anon_sym_break] = ACTIONS(3278),
    [anon_sym_continue] = ACTIONS(3278),
    [anon_sym_debugger] = ACTIONS(3278),
    [anon_sym_return] = ACTIONS(3278),
    [anon_sym_throw] = ACTIONS(3278),
    [anon_sym_SEMI] = ACTIONS(3278),
    [anon_sym_yield] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(3278),
    [anon_sym_LTtemplate_GT] = ACTIONS(3278),
    [anon_sym_class] = ACTIONS(3278),
    [anon_sym_async] = ACTIONS(3278),
    [anon_sym_function] = ACTIONS(3278),
    [anon_sym_new] = ACTIONS(3278),
    [anon_sym_using] = ACTIONS(3278),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_SLASH] = ACTIONS(3278),
    [anon_sym_LT] = ACTIONS(3278),
    [anon_sym_TILDE] = ACTIONS(3278),
    [anon_sym_void] = ACTIONS(3278),
    [anon_sym_delete] = ACTIONS(3278),
    [anon_sym_PLUS_PLUS] = ACTIONS(3278),
    [anon_sym_DASH_DASH] = ACTIONS(3278),
    [anon_sym_DQUOTE] = ACTIONS(3278),
    [anon_sym_SQUOTE] = ACTIONS(3278),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3278),
    [sym_number] = ACTIONS(3278),
    [sym_private_property_identifier] = ACTIONS(3278),
    [sym_this] = ACTIONS(3278),
    [sym_super] = ACTIONS(3278),
    [sym_true] = ACTIONS(3278),
    [sym_false] = ACTIONS(3278),
    [sym_null] = ACTIONS(3278),
    [sym_undefined] = ACTIONS(3278),
    [anon_sym_AT] = ACTIONS(3278),
    [anon_sym_static] = ACTIONS(3278),
    [anon_sym_readonly] = ACTIONS(3278),
    [anon_sym_get] = ACTIONS(3278),
    [anon_sym_set] = ACTIONS(3278),
    [anon_sym_declare] = ACTIONS(3278),
    [anon_sym_public] = ACTIONS(3278),
    [anon_sym_private] = ACTIONS(3278),
    [anon_sym_protected] = ACTIONS(3278),
    [anon_sym_override] = ACTIONS(3278),
    [anon_sym_module] = ACTIONS(3278),
    [anon_sym_any] = ACTIONS(3278),
    [anon_sym_number] = ACTIONS(3278),
    [anon_sym_boolean] = ACTIONS(3278),
    [anon_sym_string] = ACTIONS(3278),
    [anon_sym_symbol] = ACTIONS(3278),
    [anon_sym_object] = ACTIONS(3278),
    [anon_sym_abstract] = ACTIONS(3278),
    [anon_sym_interface] = ACTIONS(3278),
    [anon_sym_enum] = ACTIONS(3278),
    [sym_html_comment] = ACTIONS(5),
  },
  [1579] = {
    [sym_comment] = STATE(1579),
    [ts_builtin_sym_end] = ACTIONS(3440),
    [sym_identifier] = ACTIONS(3250),
    [anon_sym_export] = ACTIONS(3250),
    [anon_sym_type] = ACTIONS(3250),
    [anon_sym_namespace] = ACTIONS(3250),
    [anon_sym_LBRACE] = ACTIONS(3250),
    [anon_sym_RBRACE] = ACTIONS(3250),
    [anon_sym_typeof] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3250),
    [anon_sym_var] = ACTIONS(3250),
    [anon_sym_let] = ACTIONS(3250),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3250),
    [anon_sym_if] = ACTIONS(3250),
    [anon_sym_switch] = ACTIONS(3250),
    [anon_sym_for] = ACTIONS(3250),
    [anon_sym_LPAREN] = ACTIONS(3250),
    [anon_sym_await] = ACTIONS(3250),
    [anon_sym_while] = ACTIONS(3250),
    [anon_sym_do] = ACTIONS(3250),
    [anon_sym_try] = ACTIONS(3250),
    [anon_sym_with] = ACTIONS(3250),
    [anon_sym_break] = ACTIONS(3250),
    [anon_sym_continue] = ACTIONS(3250),
    [anon_sym_debugger] = ACTIONS(3250),
    [anon_sym_return] = ACTIONS(3250),
    [anon_sym_throw] = ACTIONS(3250),
    [anon_sym_SEMI] = ACTIONS(3250),
    [anon_sym_yield] = ACTIONS(3250),
    [anon_sym_LBRACK] = ACTIONS(3250),
    [anon_sym_LTtemplate_GT] = ACTIONS(3250),
    [anon_sym_class] = ACTIONS(3250),
    [anon_sym_async] = ACTIONS(3250),
    [anon_sym_function] = ACTIONS(3250),
    [anon_sym_new] = ACTIONS(3250),
    [anon_sym_using] = ACTIONS(3250),
    [anon_sym_PLUS] = ACTIONS(3250),
    [anon_sym_DASH] = ACTIONS(3250),
    [anon_sym_SLASH] = ACTIONS(3250),
    [anon_sym_LT] = ACTIONS(3250),
    [anon_sym_TILDE] = ACTIONS(3250),
    [anon_sym_void] = ACTIONS(3250),
    [anon_sym_delete] = ACTIONS(3250),
    [anon_sym_PLUS_PLUS] = ACTIONS(3250),
    [anon_sym_DASH_DASH] = ACTIONS(3250),
    [anon_sym_DQUOTE] = ACTIONS(3250),
    [anon_sym_SQUOTE] = ACTIONS(3250),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3250),
    [sym_number] = ACTIONS(3250),
    [sym_private_property_identifier] = ACTIONS(3250),
    [sym_this] = ACTIONS(3250),
    [sym_super] = ACTIONS(3250),
    [sym_true] = ACTIONS(3250),
    [sym_false] = ACTIONS(3250),
    [sym_null] = ACTIONS(3250),
    [sym_undefined] = ACTIONS(3250),
    [anon_sym_AT] = ACTIONS(3250),
    [anon_sym_static] = ACTIONS(3250),
    [anon_sym_readonly] = ACTIONS(3250),
    [anon_sym_get] = ACTIONS(3250),
    [anon_sym_set] = ACTIONS(3250),
    [anon_sym_declare] = ACTIONS(3250),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_private] = ACTIONS(3250),
    [anon_sym_protected] = ACTIONS(3250),
    [anon_sym_override] = ACTIONS(3250),
    [anon_sym_module] = ACTIONS(3250),
    [anon_sym_any] = ACTIONS(3250),
    [anon_sym_number] = ACTIONS(3250),
    [anon_sym_boolean] = ACTIONS(3250),
    [anon_sym_string] = ACTIONS(3250),
    [anon_sym_symbol] = ACTIONS(3250),
    [anon_sym_object] = ACTIONS(3250),
    [anon_sym_abstract] = ACTIONS(3250),
    [anon_sym_interface] = ACTIONS(3250),
    [anon_sym_enum] = ACTIONS(3250),
    [sym_html_comment] = ACTIONS(5),
  },
  [1580] = {
    [sym_comment] = STATE(1580),
    [ts_builtin_sym_end] = ACTIONS(3442),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_typeof] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_let] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_BANG] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_await] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_with] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_debugger] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_yield] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_LTtemplate_GT] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_async] = ACTIONS(3248),
    [anon_sym_function] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_TILDE] = ACTIONS(3248),
    [anon_sym_void] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(3248),
    [anon_sym_SQUOTE] = ACTIONS(3248),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3248),
    [sym_number] = ACTIONS(3248),
    [sym_private_property_identifier] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
    [sym_super] = ACTIONS(3248),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [sym_null] = ACTIONS(3248),
    [sym_undefined] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_readonly] = ACTIONS(3248),
    [anon_sym_get] = ACTIONS(3248),
    [anon_sym_set] = ACTIONS(3248),
    [anon_sym_declare] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_override] = ACTIONS(3248),
    [anon_sym_module] = ACTIONS(3248),
    [anon_sym_any] = ACTIONS(3248),
    [anon_sym_number] = ACTIONS(3248),
    [anon_sym_boolean] = ACTIONS(3248),
    [anon_sym_string] = ACTIONS(3248),
    [anon_sym_symbol] = ACTIONS(3248),
    [anon_sym_object] = ACTIONS(3248),
    [anon_sym_abstract] = ACTIONS(3248),
    [anon_sym_interface] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [sym_html_comment] = ACTIONS(5),
  },
  [1581] = {
    [sym_comment] = STATE(1581),
    [ts_builtin_sym_end] = ACTIONS(3504),
    [sym_identifier] = ACTIONS(3268),
    [anon_sym_export] = ACTIONS(3268),
    [anon_sym_type] = ACTIONS(3268),
    [anon_sym_namespace] = ACTIONS(3268),
    [anon_sym_LBRACE] = ACTIONS(3268),
    [anon_sym_RBRACE] = ACTIONS(3268),
    [anon_sym_typeof] = ACTIONS(3268),
    [anon_sym_import] = ACTIONS(3268),
    [anon_sym_var] = ACTIONS(3268),
    [anon_sym_let] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3268),
    [anon_sym_BANG] = ACTIONS(3268),
    [anon_sym_if] = ACTIONS(3268),
    [anon_sym_switch] = ACTIONS(3268),
    [anon_sym_for] = ACTIONS(3268),
    [anon_sym_LPAREN] = ACTIONS(3268),
    [anon_sym_await] = ACTIONS(3268),
    [anon_sym_while] = ACTIONS(3268),
    [anon_sym_do] = ACTIONS(3268),
    [anon_sym_try] = ACTIONS(3268),
    [anon_sym_with] = ACTIONS(3268),
    [anon_sym_break] = ACTIONS(3268),
    [anon_sym_continue] = ACTIONS(3268),
    [anon_sym_debugger] = ACTIONS(3268),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_throw] = ACTIONS(3268),
    [anon_sym_SEMI] = ACTIONS(3268),
    [anon_sym_yield] = ACTIONS(3268),
    [anon_sym_LBRACK] = ACTIONS(3268),
    [anon_sym_LTtemplate_GT] = ACTIONS(3268),
    [anon_sym_class] = ACTIONS(3268),
    [anon_sym_async] = ACTIONS(3268),
    [anon_sym_function] = ACTIONS(3268),
    [anon_sym_new] = ACTIONS(3268),
    [anon_sym_using] = ACTIONS(3268),
    [anon_sym_PLUS] = ACTIONS(3268),
    [anon_sym_DASH] = ACTIONS(3268),
    [anon_sym_SLASH] = ACTIONS(3268),
    [anon_sym_LT] = ACTIONS(3268),
    [anon_sym_TILDE] = ACTIONS(3268),
    [anon_sym_void] = ACTIONS(3268),
    [anon_sym_delete] = ACTIONS(3268),
    [anon_sym_PLUS_PLUS] = ACTIONS(3268),
    [anon_sym_DASH_DASH] = ACTIONS(3268),
    [anon_sym_DQUOTE] = ACTIONS(3268),
    [anon_sym_SQUOTE] = ACTIONS(3268),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3268),
    [sym_number] = ACTIONS(3268),
    [sym_private_property_identifier] = ACTIONS(3268),
    [sym_this] = ACTIONS(3268),
    [sym_super] = ACTIONS(3268),
    [sym_true] = ACTIONS(3268),
    [sym_false] = ACTIONS(3268),
    [sym_null] = ACTIONS(3268),
    [sym_undefined] = ACTIONS(3268),
    [anon_sym_AT] = ACTIONS(3268),
    [anon_sym_static] = ACTIONS(3268),
    [anon_sym_readonly] = ACTIONS(3268),
    [anon_sym_get] = ACTIONS(3268),
    [anon_sym_set] = ACTIONS(3268),
    [anon_sym_declare] = ACTIONS(3268),
    [anon_sym_public] = ACTIONS(3268),
    [anon_sym_private] = ACTIONS(3268),
    [anon_sym_protected] = ACTIONS(3268),
    [anon_sym_override] = ACTIONS(3268),
    [anon_sym_module] = ACTIONS(3268),
    [anon_sym_any] = ACTIONS(3268),
    [anon_sym_number] = ACTIONS(3268),
    [anon_sym_boolean] = ACTIONS(3268),
    [anon_sym_string] = ACTIONS(3268),
    [anon_sym_symbol] = ACTIONS(3268),
    [anon_sym_object] = ACTIONS(3268),
    [anon_sym_abstract] = ACTIONS(3268),
    [anon_sym_interface] = ACTIONS(3268),
    [anon_sym_enum] = ACTIONS(3268),
    [sym_html_comment] = ACTIONS(5),
  },
  [1582] = {
    [sym_comment] = STATE(1582),
    [ts_builtin_sym_end] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1583] = {
    [sym_comment] = STATE(1583),
    [ts_builtin_sym_end] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1584] = {
    [sym_comment] = STATE(1584),
    [ts_builtin_sym_end] = ACTIONS(3348),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_export] = ACTIONS(3172),
    [anon_sym_type] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3172),
    [anon_sym_import] = ACTIONS(3172),
    [anon_sym_var] = ACTIONS(3172),
    [anon_sym_let] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_with] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_debugger] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_LTtemplate_GT] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_async] = ACTIONS(3172),
    [anon_sym_function] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
    [sym_super] = ACTIONS(3172),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [sym_null] = ACTIONS(3172),
    [sym_undefined] = ACTIONS(3172),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_readonly] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3172),
    [anon_sym_declare] = ACTIONS(3172),
    [anon_sym_public] = ACTIONS(3172),
    [anon_sym_private] = ACTIONS(3172),
    [anon_sym_protected] = ACTIONS(3172),
    [anon_sym_override] = ACTIONS(3172),
    [anon_sym_module] = ACTIONS(3172),
    [anon_sym_any] = ACTIONS(3172),
    [anon_sym_number] = ACTIONS(3172),
    [anon_sym_boolean] = ACTIONS(3172),
    [anon_sym_string] = ACTIONS(3172),
    [anon_sym_symbol] = ACTIONS(3172),
    [anon_sym_object] = ACTIONS(3172),
    [anon_sym_abstract] = ACTIONS(3172),
    [anon_sym_interface] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [sym_html_comment] = ACTIONS(5),
  },
  [1585] = {
    [sym_comment] = STATE(1585),
    [ts_builtin_sym_end] = ACTIONS(3544),
    [sym_identifier] = ACTIONS(3342),
    [anon_sym_export] = ACTIONS(3342),
    [anon_sym_type] = ACTIONS(3342),
    [anon_sym_namespace] = ACTIONS(3342),
    [anon_sym_LBRACE] = ACTIONS(3342),
    [anon_sym_RBRACE] = ACTIONS(3342),
    [anon_sym_typeof] = ACTIONS(3342),
    [anon_sym_import] = ACTIONS(3342),
    [anon_sym_var] = ACTIONS(3342),
    [anon_sym_let] = ACTIONS(3342),
    [anon_sym_const] = ACTIONS(3342),
    [anon_sym_BANG] = ACTIONS(3342),
    [anon_sym_if] = ACTIONS(3342),
    [anon_sym_switch] = ACTIONS(3342),
    [anon_sym_for] = ACTIONS(3342),
    [anon_sym_LPAREN] = ACTIONS(3342),
    [anon_sym_await] = ACTIONS(3342),
    [anon_sym_while] = ACTIONS(3342),
    [anon_sym_do] = ACTIONS(3342),
    [anon_sym_try] = ACTIONS(3342),
    [anon_sym_with] = ACTIONS(3342),
    [anon_sym_break] = ACTIONS(3342),
    [anon_sym_continue] = ACTIONS(3342),
    [anon_sym_debugger] = ACTIONS(3342),
    [anon_sym_return] = ACTIONS(3342),
    [anon_sym_throw] = ACTIONS(3342),
    [anon_sym_SEMI] = ACTIONS(3342),
    [anon_sym_yield] = ACTIONS(3342),
    [anon_sym_LBRACK] = ACTIONS(3342),
    [anon_sym_LTtemplate_GT] = ACTIONS(3342),
    [anon_sym_class] = ACTIONS(3342),
    [anon_sym_async] = ACTIONS(3342),
    [anon_sym_function] = ACTIONS(3342),
    [anon_sym_new] = ACTIONS(3342),
    [anon_sym_using] = ACTIONS(3342),
    [anon_sym_PLUS] = ACTIONS(3342),
    [anon_sym_DASH] = ACTIONS(3342),
    [anon_sym_SLASH] = ACTIONS(3342),
    [anon_sym_LT] = ACTIONS(3342),
    [anon_sym_TILDE] = ACTIONS(3342),
    [anon_sym_void] = ACTIONS(3342),
    [anon_sym_delete] = ACTIONS(3342),
    [anon_sym_PLUS_PLUS] = ACTIONS(3342),
    [anon_sym_DASH_DASH] = ACTIONS(3342),
    [anon_sym_DQUOTE] = ACTIONS(3342),
    [anon_sym_SQUOTE] = ACTIONS(3342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3342),
    [sym_number] = ACTIONS(3342),
    [sym_private_property_identifier] = ACTIONS(3342),
    [sym_this] = ACTIONS(3342),
    [sym_super] = ACTIONS(3342),
    [sym_true] = ACTIONS(3342),
    [sym_false] = ACTIONS(3342),
    [sym_null] = ACTIONS(3342),
    [sym_undefined] = ACTIONS(3342),
    [anon_sym_AT] = ACTIONS(3342),
    [anon_sym_static] = ACTIONS(3342),
    [anon_sym_readonly] = ACTIONS(3342),
    [anon_sym_get] = ACTIONS(3342),
    [anon_sym_set] = ACTIONS(3342),
    [anon_sym_declare] = ACTIONS(3342),
    [anon_sym_public] = ACTIONS(3342),
    [anon_sym_private] = ACTIONS(3342),
    [anon_sym_protected] = ACTIONS(3342),
    [anon_sym_override] = ACTIONS(3342),
    [anon_sym_module] = ACTIONS(3342),
    [anon_sym_any] = ACTIONS(3342),
    [anon_sym_number] = ACTIONS(3342),
    [anon_sym_boolean] = ACTIONS(3342),
    [anon_sym_string] = ACTIONS(3342),
    [anon_sym_symbol] = ACTIONS(3342),
    [anon_sym_object] = ACTIONS(3342),
    [anon_sym_abstract] = ACTIONS(3342),
    [anon_sym_interface] = ACTIONS(3342),
    [anon_sym_enum] = ACTIONS(3342),
    [sym_html_comment] = ACTIONS(5),
  },
  [1586] = {
    [sym_comment] = STATE(1586),
    [ts_builtin_sym_end] = ACTIONS(3444),
    [sym_identifier] = ACTIONS(3246),
    [anon_sym_export] = ACTIONS(3246),
    [anon_sym_type] = ACTIONS(3246),
    [anon_sym_namespace] = ACTIONS(3246),
    [anon_sym_LBRACE] = ACTIONS(3246),
    [anon_sym_RBRACE] = ACTIONS(3246),
    [anon_sym_typeof] = ACTIONS(3246),
    [anon_sym_import] = ACTIONS(3246),
    [anon_sym_var] = ACTIONS(3246),
    [anon_sym_let] = ACTIONS(3246),
    [anon_sym_const] = ACTIONS(3246),
    [anon_sym_BANG] = ACTIONS(3246),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_switch] = ACTIONS(3246),
    [anon_sym_for] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(3246),
    [anon_sym_await] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3246),
    [anon_sym_do] = ACTIONS(3246),
    [anon_sym_try] = ACTIONS(3246),
    [anon_sym_with] = ACTIONS(3246),
    [anon_sym_break] = ACTIONS(3246),
    [anon_sym_continue] = ACTIONS(3246),
    [anon_sym_debugger] = ACTIONS(3246),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3246),
    [anon_sym_yield] = ACTIONS(3246),
    [anon_sym_LBRACK] = ACTIONS(3246),
    [anon_sym_LTtemplate_GT] = ACTIONS(3246),
    [anon_sym_class] = ACTIONS(3246),
    [anon_sym_async] = ACTIONS(3246),
    [anon_sym_function] = ACTIONS(3246),
    [anon_sym_new] = ACTIONS(3246),
    [anon_sym_using] = ACTIONS(3246),
    [anon_sym_PLUS] = ACTIONS(3246),
    [anon_sym_DASH] = ACTIONS(3246),
    [anon_sym_SLASH] = ACTIONS(3246),
    [anon_sym_LT] = ACTIONS(3246),
    [anon_sym_TILDE] = ACTIONS(3246),
    [anon_sym_void] = ACTIONS(3246),
    [anon_sym_delete] = ACTIONS(3246),
    [anon_sym_PLUS_PLUS] = ACTIONS(3246),
    [anon_sym_DASH_DASH] = ACTIONS(3246),
    [anon_sym_DQUOTE] = ACTIONS(3246),
    [anon_sym_SQUOTE] = ACTIONS(3246),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3246),
    [sym_number] = ACTIONS(3246),
    [sym_private_property_identifier] = ACTIONS(3246),
    [sym_this] = ACTIONS(3246),
    [sym_super] = ACTIONS(3246),
    [sym_true] = ACTIONS(3246),
    [sym_false] = ACTIONS(3246),
    [sym_null] = ACTIONS(3246),
    [sym_undefined] = ACTIONS(3246),
    [anon_sym_AT] = ACTIONS(3246),
    [anon_sym_static] = ACTIONS(3246),
    [anon_sym_readonly] = ACTIONS(3246),
    [anon_sym_get] = ACTIONS(3246),
    [anon_sym_set] = ACTIONS(3246),
    [anon_sym_declare] = ACTIONS(3246),
    [anon_sym_public] = ACTIONS(3246),
    [anon_sym_private] = ACTIONS(3246),
    [anon_sym_protected] = ACTIONS(3246),
    [anon_sym_override] = ACTIONS(3246),
    [anon_sym_module] = ACTIONS(3246),
    [anon_sym_any] = ACTIONS(3246),
    [anon_sym_number] = ACTIONS(3246),
    [anon_sym_boolean] = ACTIONS(3246),
    [anon_sym_string] = ACTIONS(3246),
    [anon_sym_symbol] = ACTIONS(3246),
    [anon_sym_object] = ACTIONS(3246),
    [anon_sym_abstract] = ACTIONS(3246),
    [anon_sym_interface] = ACTIONS(3246),
    [anon_sym_enum] = ACTIONS(3246),
    [sym_html_comment] = ACTIONS(5),
  },
  [1587] = {
    [sym_comment] = STATE(1587),
    [ts_builtin_sym_end] = ACTIONS(3424),
    [sym_identifier] = ACTIONS(3286),
    [anon_sym_export] = ACTIONS(3286),
    [anon_sym_type] = ACTIONS(3286),
    [anon_sym_namespace] = ACTIONS(3286),
    [anon_sym_LBRACE] = ACTIONS(3286),
    [anon_sym_RBRACE] = ACTIONS(3286),
    [anon_sym_typeof] = ACTIONS(3286),
    [anon_sym_import] = ACTIONS(3286),
    [anon_sym_var] = ACTIONS(3286),
    [anon_sym_let] = ACTIONS(3286),
    [anon_sym_const] = ACTIONS(3286),
    [anon_sym_BANG] = ACTIONS(3286),
    [anon_sym_if] = ACTIONS(3286),
    [anon_sym_switch] = ACTIONS(3286),
    [anon_sym_for] = ACTIONS(3286),
    [anon_sym_LPAREN] = ACTIONS(3286),
    [anon_sym_await] = ACTIONS(3286),
    [anon_sym_while] = ACTIONS(3286),
    [anon_sym_do] = ACTIONS(3286),
    [anon_sym_try] = ACTIONS(3286),
    [anon_sym_with] = ACTIONS(3286),
    [anon_sym_break] = ACTIONS(3286),
    [anon_sym_continue] = ACTIONS(3286),
    [anon_sym_debugger] = ACTIONS(3286),
    [anon_sym_return] = ACTIONS(3286),
    [anon_sym_throw] = ACTIONS(3286),
    [anon_sym_SEMI] = ACTIONS(3286),
    [anon_sym_yield] = ACTIONS(3286),
    [anon_sym_LBRACK] = ACTIONS(3286),
    [anon_sym_LTtemplate_GT] = ACTIONS(3286),
    [anon_sym_class] = ACTIONS(3286),
    [anon_sym_async] = ACTIONS(3286),
    [anon_sym_function] = ACTIONS(3286),
    [anon_sym_new] = ACTIONS(3286),
    [anon_sym_using] = ACTIONS(3286),
    [anon_sym_PLUS] = ACTIONS(3286),
    [anon_sym_DASH] = ACTIONS(3286),
    [anon_sym_SLASH] = ACTIONS(3286),
    [anon_sym_LT] = ACTIONS(3286),
    [anon_sym_TILDE] = ACTIONS(3286),
    [anon_sym_void] = ACTIONS(3286),
    [anon_sym_delete] = ACTIONS(3286),
    [anon_sym_PLUS_PLUS] = ACTIONS(3286),
    [anon_sym_DASH_DASH] = ACTIONS(3286),
    [anon_sym_DQUOTE] = ACTIONS(3286),
    [anon_sym_SQUOTE] = ACTIONS(3286),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3286),
    [sym_number] = ACTIONS(3286),
    [sym_private_property_identifier] = ACTIONS(3286),
    [sym_this] = ACTIONS(3286),
    [sym_super] = ACTIONS(3286),
    [sym_true] = ACTIONS(3286),
    [sym_false] = ACTIONS(3286),
    [sym_null] = ACTIONS(3286),
    [sym_undefined] = ACTIONS(3286),
    [anon_sym_AT] = ACTIONS(3286),
    [anon_sym_static] = ACTIONS(3286),
    [anon_sym_readonly] = ACTIONS(3286),
    [anon_sym_get] = ACTIONS(3286),
    [anon_sym_set] = ACTIONS(3286),
    [anon_sym_declare] = ACTIONS(3286),
    [anon_sym_public] = ACTIONS(3286),
    [anon_sym_private] = ACTIONS(3286),
    [anon_sym_protected] = ACTIONS(3286),
    [anon_sym_override] = ACTIONS(3286),
    [anon_sym_module] = ACTIONS(3286),
    [anon_sym_any] = ACTIONS(3286),
    [anon_sym_number] = ACTIONS(3286),
    [anon_sym_boolean] = ACTIONS(3286),
    [anon_sym_string] = ACTIONS(3286),
    [anon_sym_symbol] = ACTIONS(3286),
    [anon_sym_object] = ACTIONS(3286),
    [anon_sym_abstract] = ACTIONS(3286),
    [anon_sym_interface] = ACTIONS(3286),
    [anon_sym_enum] = ACTIONS(3286),
    [sym_html_comment] = ACTIONS(5),
  },
  [1588] = {
    [sym_comment] = STATE(1588),
    [ts_builtin_sym_end] = ACTIONS(2087),
    [sym_identifier] = ACTIONS(2085),
    [anon_sym_export] = ACTIONS(2085),
    [anon_sym_type] = ACTIONS(2085),
    [anon_sym_namespace] = ACTIONS(2085),
    [anon_sym_LBRACE] = ACTIONS(2085),
    [anon_sym_RBRACE] = ACTIONS(2085),
    [anon_sym_typeof] = ACTIONS(2085),
    [anon_sym_import] = ACTIONS(2085),
    [anon_sym_var] = ACTIONS(2085),
    [anon_sym_let] = ACTIONS(2085),
    [anon_sym_const] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_if] = ACTIONS(2085),
    [anon_sym_switch] = ACTIONS(2085),
    [anon_sym_for] = ACTIONS(2085),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_await] = ACTIONS(2085),
    [anon_sym_while] = ACTIONS(2085),
    [anon_sym_do] = ACTIONS(2085),
    [anon_sym_try] = ACTIONS(2085),
    [anon_sym_with] = ACTIONS(2085),
    [anon_sym_break] = ACTIONS(2085),
    [anon_sym_continue] = ACTIONS(2085),
    [anon_sym_debugger] = ACTIONS(2085),
    [anon_sym_return] = ACTIONS(2085),
    [anon_sym_throw] = ACTIONS(2085),
    [anon_sym_SEMI] = ACTIONS(2085),
    [anon_sym_yield] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2085),
    [anon_sym_LTtemplate_GT] = ACTIONS(2085),
    [anon_sym_class] = ACTIONS(2085),
    [anon_sym_async] = ACTIONS(2085),
    [anon_sym_function] = ACTIONS(2085),
    [anon_sym_new] = ACTIONS(2085),
    [anon_sym_using] = ACTIONS(2085),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_SLASH] = ACTIONS(2085),
    [anon_sym_LT] = ACTIONS(2085),
    [anon_sym_TILDE] = ACTIONS(2085),
    [anon_sym_void] = ACTIONS(2085),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_PLUS_PLUS] = ACTIONS(2085),
    [anon_sym_DASH_DASH] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(2085),
    [anon_sym_SQUOTE] = ACTIONS(2085),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2085),
    [sym_number] = ACTIONS(2085),
    [sym_private_property_identifier] = ACTIONS(2085),
    [sym_this] = ACTIONS(2085),
    [sym_super] = ACTIONS(2085),
    [sym_true] = ACTIONS(2085),
    [sym_false] = ACTIONS(2085),
    [sym_null] = ACTIONS(2085),
    [sym_undefined] = ACTIONS(2085),
    [anon_sym_AT] = ACTIONS(2085),
    [anon_sym_static] = ACTIONS(2085),
    [anon_sym_readonly] = ACTIONS(2085),
    [anon_sym_get] = ACTIONS(2085),
    [anon_sym_set] = ACTIONS(2085),
    [anon_sym_declare] = ACTIONS(2085),
    [anon_sym_public] = ACTIONS(2085),
    [anon_sym_private] = ACTIONS(2085),
    [anon_sym_protected] = ACTIONS(2085),
    [anon_sym_override] = ACTIONS(2085),
    [anon_sym_module] = ACTIONS(2085),
    [anon_sym_any] = ACTIONS(2085),
    [anon_sym_number] = ACTIONS(2085),
    [anon_sym_boolean] = ACTIONS(2085),
    [anon_sym_string] = ACTIONS(2085),
    [anon_sym_symbol] = ACTIONS(2085),
    [anon_sym_object] = ACTIONS(2085),
    [anon_sym_abstract] = ACTIONS(2085),
    [anon_sym_interface] = ACTIONS(2085),
    [anon_sym_enum] = ACTIONS(2085),
    [sym_html_comment] = ACTIONS(5),
  },
  [1589] = {
    [sym_comment] = STATE(1589),
    [ts_builtin_sym_end] = ACTIONS(2095),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LTtemplate_GT] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_using] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_LT] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(2093),
    [anon_sym_SQUOTE] = ACTIONS(2093),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(2093),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [sym_html_comment] = ACTIONS(5),
  },
  [1590] = {
    [sym_comment] = STATE(1590),
    [ts_builtin_sym_end] = ACTIONS(3354),
    [sym_identifier] = ACTIONS(3238),
    [anon_sym_export] = ACTIONS(3238),
    [anon_sym_type] = ACTIONS(3238),
    [anon_sym_namespace] = ACTIONS(3238),
    [anon_sym_LBRACE] = ACTIONS(3238),
    [anon_sym_RBRACE] = ACTIONS(3238),
    [anon_sym_typeof] = ACTIONS(3238),
    [anon_sym_import] = ACTIONS(3238),
    [anon_sym_var] = ACTIONS(3238),
    [anon_sym_let] = ACTIONS(3238),
    [anon_sym_const] = ACTIONS(3238),
    [anon_sym_BANG] = ACTIONS(3238),
    [anon_sym_if] = ACTIONS(3238),
    [anon_sym_switch] = ACTIONS(3238),
    [anon_sym_for] = ACTIONS(3238),
    [anon_sym_LPAREN] = ACTIONS(3238),
    [anon_sym_await] = ACTIONS(3238),
    [anon_sym_while] = ACTIONS(3238),
    [anon_sym_do] = ACTIONS(3238),
    [anon_sym_try] = ACTIONS(3238),
    [anon_sym_with] = ACTIONS(3238),
    [anon_sym_break] = ACTIONS(3238),
    [anon_sym_continue] = ACTIONS(3238),
    [anon_sym_debugger] = ACTIONS(3238),
    [anon_sym_return] = ACTIONS(3238),
    [anon_sym_throw] = ACTIONS(3238),
    [anon_sym_SEMI] = ACTIONS(3238),
    [anon_sym_yield] = ACTIONS(3238),
    [anon_sym_LBRACK] = ACTIONS(3238),
    [anon_sym_LTtemplate_GT] = ACTIONS(3238),
    [anon_sym_class] = ACTIONS(3238),
    [anon_sym_async] = ACTIONS(3238),
    [anon_sym_function] = ACTIONS(3238),
    [anon_sym_new] = ACTIONS(3238),
    [anon_sym_using] = ACTIONS(3238),
    [anon_sym_PLUS] = ACTIONS(3238),
    [anon_sym_DASH] = ACTIONS(3238),
    [anon_sym_SLASH] = ACTIONS(3238),
    [anon_sym_LT] = ACTIONS(3238),
    [anon_sym_TILDE] = ACTIONS(3238),
    [anon_sym_void] = ACTIONS(3238),
    [anon_sym_delete] = ACTIONS(3238),
    [anon_sym_PLUS_PLUS] = ACTIONS(3238),
    [anon_sym_DASH_DASH] = ACTIONS(3238),
    [anon_sym_DQUOTE] = ACTIONS(3238),
    [anon_sym_SQUOTE] = ACTIONS(3238),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3238),
    [sym_number] = ACTIONS(3238),
    [sym_private_property_identifier] = ACTIONS(3238),
    [sym_this] = ACTIONS(3238),
    [sym_super] = ACTIONS(3238),
    [sym_true] = ACTIONS(3238),
    [sym_false] = ACTIONS(3238),
    [sym_null] = ACTIONS(3238),
    [sym_undefined] = ACTIONS(3238),
    [anon_sym_AT] = ACTIONS(3238),
    [anon_sym_static] = ACTIONS(3238),
    [anon_sym_readonly] = ACTIONS(3238),
    [anon_sym_get] = ACTIONS(3238),
    [anon_sym_set] = ACTIONS(3238),
    [anon_sym_declare] = ACTIONS(3238),
    [anon_sym_public] = ACTIONS(3238),
    [anon_sym_private] = ACTIONS(3238),
    [anon_sym_protected] = ACTIONS(3238),
    [anon_sym_override] = ACTIONS(3238),
    [anon_sym_module] = ACTIONS(3238),
    [anon_sym_any] = ACTIONS(3238),
    [anon_sym_number] = ACTIONS(3238),
    [anon_sym_boolean] = ACTIONS(3238),
    [anon_sym_string] = ACTIONS(3238),
    [anon_sym_symbol] = ACTIONS(3238),
    [anon_sym_object] = ACTIONS(3238),
    [anon_sym_abstract] = ACTIONS(3238),
    [anon_sym_interface] = ACTIONS(3238),
    [anon_sym_enum] = ACTIONS(3238),
    [sym_html_comment] = ACTIONS(5),
  },
  [1591] = {
    [sym_comment] = STATE(1591),
    [ts_builtin_sym_end] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1592] = {
    [sym_comment] = STATE(1592),
    [ts_builtin_sym_end] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1593] = {
    [sym_comment] = STATE(1593),
    [ts_builtin_sym_end] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1594] = {
    [sym_comment] = STATE(1594),
    [ts_builtin_sym_end] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1595] = {
    [sym_comment] = STATE(1595),
    [ts_builtin_sym_end] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1596] = {
    [sym_comment] = STATE(1596),
    [ts_builtin_sym_end] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1597] = {
    [sym_comment] = STATE(1597),
    [ts_builtin_sym_end] = ACTIONS(3356),
    [sym_identifier] = ACTIONS(3240),
    [anon_sym_export] = ACTIONS(3240),
    [anon_sym_type] = ACTIONS(3240),
    [anon_sym_namespace] = ACTIONS(3240),
    [anon_sym_LBRACE] = ACTIONS(3240),
    [anon_sym_RBRACE] = ACTIONS(3240),
    [anon_sym_typeof] = ACTIONS(3240),
    [anon_sym_import] = ACTIONS(3240),
    [anon_sym_var] = ACTIONS(3240),
    [anon_sym_let] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3240),
    [anon_sym_BANG] = ACTIONS(3240),
    [anon_sym_if] = ACTIONS(3240),
    [anon_sym_switch] = ACTIONS(3240),
    [anon_sym_for] = ACTIONS(3240),
    [anon_sym_LPAREN] = ACTIONS(3240),
    [anon_sym_await] = ACTIONS(3240),
    [anon_sym_while] = ACTIONS(3240),
    [anon_sym_do] = ACTIONS(3240),
    [anon_sym_try] = ACTIONS(3240),
    [anon_sym_with] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3240),
    [anon_sym_continue] = ACTIONS(3240),
    [anon_sym_debugger] = ACTIONS(3240),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_throw] = ACTIONS(3240),
    [anon_sym_SEMI] = ACTIONS(3240),
    [anon_sym_yield] = ACTIONS(3240),
    [anon_sym_LBRACK] = ACTIONS(3240),
    [anon_sym_LTtemplate_GT] = ACTIONS(3240),
    [anon_sym_class] = ACTIONS(3240),
    [anon_sym_async] = ACTIONS(3240),
    [anon_sym_function] = ACTIONS(3240),
    [anon_sym_new] = ACTIONS(3240),
    [anon_sym_using] = ACTIONS(3240),
    [anon_sym_PLUS] = ACTIONS(3240),
    [anon_sym_DASH] = ACTIONS(3240),
    [anon_sym_SLASH] = ACTIONS(3240),
    [anon_sym_LT] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3240),
    [anon_sym_void] = ACTIONS(3240),
    [anon_sym_delete] = ACTIONS(3240),
    [anon_sym_PLUS_PLUS] = ACTIONS(3240),
    [anon_sym_DASH_DASH] = ACTIONS(3240),
    [anon_sym_DQUOTE] = ACTIONS(3240),
    [anon_sym_SQUOTE] = ACTIONS(3240),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3240),
    [sym_number] = ACTIONS(3240),
    [sym_private_property_identifier] = ACTIONS(3240),
    [sym_this] = ACTIONS(3240),
    [sym_super] = ACTIONS(3240),
    [sym_true] = ACTIONS(3240),
    [sym_false] = ACTIONS(3240),
    [sym_null] = ACTIONS(3240),
    [sym_undefined] = ACTIONS(3240),
    [anon_sym_AT] = ACTIONS(3240),
    [anon_sym_static] = ACTIONS(3240),
    [anon_sym_readonly] = ACTIONS(3240),
    [anon_sym_get] = ACTIONS(3240),
    [anon_sym_set] = ACTIONS(3240),
    [anon_sym_declare] = ACTIONS(3240),
    [anon_sym_public] = ACTIONS(3240),
    [anon_sym_private] = ACTIONS(3240),
    [anon_sym_protected] = ACTIONS(3240),
    [anon_sym_override] = ACTIONS(3240),
    [anon_sym_module] = ACTIONS(3240),
    [anon_sym_any] = ACTIONS(3240),
    [anon_sym_number] = ACTIONS(3240),
    [anon_sym_boolean] = ACTIONS(3240),
    [anon_sym_string] = ACTIONS(3240),
    [anon_sym_symbol] = ACTIONS(3240),
    [anon_sym_object] = ACTIONS(3240),
    [anon_sym_abstract] = ACTIONS(3240),
    [anon_sym_interface] = ACTIONS(3240),
    [anon_sym_enum] = ACTIONS(3240),
    [sym_html_comment] = ACTIONS(5),
  },
  [1598] = {
    [sym_comment] = STATE(1598),
    [ts_builtin_sym_end] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1599] = {
    [sym_comment] = STATE(1599),
    [ts_builtin_sym_end] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1600] = {
    [sym_comment] = STATE(1600),
    [ts_builtin_sym_end] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1601] = {
    [sym_comment] = STATE(1601),
    [ts_builtin_sym_end] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1602] = {
    [sym_comment] = STATE(1602),
    [ts_builtin_sym_end] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1603] = {
    [sym_comment] = STATE(1603),
    [ts_builtin_sym_end] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1604] = {
    [sym_comment] = STATE(1604),
    [ts_builtin_sym_end] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1605] = {
    [sym_comment] = STATE(1605),
    [ts_builtin_sym_end] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1606] = {
    [sym_comment] = STATE(1606),
    [ts_builtin_sym_end] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1607] = {
    [sym_comment] = STATE(1607),
    [ts_builtin_sym_end] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1608] = {
    [sym_comment] = STATE(1608),
    [ts_builtin_sym_end] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1609] = {
    [sym_comment] = STATE(1609),
    [ts_builtin_sym_end] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_export] = ACTIONS(3264),
    [anon_sym_type] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_typeof] = ACTIONS(3264),
    [anon_sym_import] = ACTIONS(3264),
    [anon_sym_var] = ACTIONS(3264),
    [anon_sym_let] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [anon_sym_await] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_with] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_debugger] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_yield] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_LTtemplate_GT] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_async] = ACTIONS(3264),
    [anon_sym_function] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_void] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_DQUOTE] = ACTIONS(3264),
    [anon_sym_SQUOTE] = ACTIONS(3264),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3264),
    [sym_number] = ACTIONS(3264),
    [sym_private_property_identifier] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
    [sym_super] = ACTIONS(3264),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [sym_null] = ACTIONS(3264),
    [sym_undefined] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_readonly] = ACTIONS(3264),
    [anon_sym_get] = ACTIONS(3264),
    [anon_sym_set] = ACTIONS(3264),
    [anon_sym_declare] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_override] = ACTIONS(3264),
    [anon_sym_module] = ACTIONS(3264),
    [anon_sym_any] = ACTIONS(3264),
    [anon_sym_number] = ACTIONS(3264),
    [anon_sym_boolean] = ACTIONS(3264),
    [anon_sym_string] = ACTIONS(3264),
    [anon_sym_symbol] = ACTIONS(3264),
    [anon_sym_object] = ACTIONS(3264),
    [anon_sym_abstract] = ACTIONS(3264),
    [anon_sym_interface] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [sym_html_comment] = ACTIONS(5),
  },
  [1610] = {
    [sym_comment] = STATE(1610),
    [ts_builtin_sym_end] = ACTIONS(3542),
    [sym_identifier] = ACTIONS(3260),
    [anon_sym_export] = ACTIONS(3260),
    [anon_sym_type] = ACTIONS(3260),
    [anon_sym_namespace] = ACTIONS(3260),
    [anon_sym_LBRACE] = ACTIONS(3260),
    [anon_sym_RBRACE] = ACTIONS(3260),
    [anon_sym_typeof] = ACTIONS(3260),
    [anon_sym_import] = ACTIONS(3260),
    [anon_sym_var] = ACTIONS(3260),
    [anon_sym_let] = ACTIONS(3260),
    [anon_sym_const] = ACTIONS(3260),
    [anon_sym_BANG] = ACTIONS(3260),
    [anon_sym_if] = ACTIONS(3260),
    [anon_sym_switch] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3260),
    [anon_sym_LPAREN] = ACTIONS(3260),
    [anon_sym_await] = ACTIONS(3260),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_do] = ACTIONS(3260),
    [anon_sym_try] = ACTIONS(3260),
    [anon_sym_with] = ACTIONS(3260),
    [anon_sym_break] = ACTIONS(3260),
    [anon_sym_continue] = ACTIONS(3260),
    [anon_sym_debugger] = ACTIONS(3260),
    [anon_sym_return] = ACTIONS(3260),
    [anon_sym_throw] = ACTIONS(3260),
    [anon_sym_SEMI] = ACTIONS(3260),
    [anon_sym_yield] = ACTIONS(3260),
    [anon_sym_LBRACK] = ACTIONS(3260),
    [anon_sym_LTtemplate_GT] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_async] = ACTIONS(3260),
    [anon_sym_function] = ACTIONS(3260),
    [anon_sym_new] = ACTIONS(3260),
    [anon_sym_using] = ACTIONS(3260),
    [anon_sym_PLUS] = ACTIONS(3260),
    [anon_sym_DASH] = ACTIONS(3260),
    [anon_sym_SLASH] = ACTIONS(3260),
    [anon_sym_LT] = ACTIONS(3260),
    [anon_sym_TILDE] = ACTIONS(3260),
    [anon_sym_void] = ACTIONS(3260),
    [anon_sym_delete] = ACTIONS(3260),
    [anon_sym_PLUS_PLUS] = ACTIONS(3260),
    [anon_sym_DASH_DASH] = ACTIONS(3260),
    [anon_sym_DQUOTE] = ACTIONS(3260),
    [anon_sym_SQUOTE] = ACTIONS(3260),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3260),
    [sym_number] = ACTIONS(3260),
    [sym_private_property_identifier] = ACTIONS(3260),
    [sym_this] = ACTIONS(3260),
    [sym_super] = ACTIONS(3260),
    [sym_true] = ACTIONS(3260),
    [sym_false] = ACTIONS(3260),
    [sym_null] = ACTIONS(3260),
    [sym_undefined] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(3260),
    [anon_sym_static] = ACTIONS(3260),
    [anon_sym_readonly] = ACTIONS(3260),
    [anon_sym_get] = ACTIONS(3260),
    [anon_sym_set] = ACTIONS(3260),
    [anon_sym_declare] = ACTIONS(3260),
    [anon_sym_public] = ACTIONS(3260),
    [anon_sym_private] = ACTIONS(3260),
    [anon_sym_protected] = ACTIONS(3260),
    [anon_sym_override] = ACTIONS(3260),
    [anon_sym_module] = ACTIONS(3260),
    [anon_sym_any] = ACTIONS(3260),
    [anon_sym_number] = ACTIONS(3260),
    [anon_sym_boolean] = ACTIONS(3260),
    [anon_sym_string] = ACTIONS(3260),
    [anon_sym_symbol] = ACTIONS(3260),
    [anon_sym_object] = ACTIONS(3260),
    [anon_sym_abstract] = ACTIONS(3260),
    [anon_sym_interface] = ACTIONS(3260),
    [anon_sym_enum] = ACTIONS(3260),
    [sym_html_comment] = ACTIONS(5),
  },
  [1611] = {
    [sym_comment] = STATE(1611),
    [ts_builtin_sym_end] = ACTIONS(3540),
    [sym_identifier] = ACTIONS(3256),
    [anon_sym_export] = ACTIONS(3256),
    [anon_sym_type] = ACTIONS(3256),
    [anon_sym_namespace] = ACTIONS(3256),
    [anon_sym_LBRACE] = ACTIONS(3256),
    [anon_sym_RBRACE] = ACTIONS(3256),
    [anon_sym_typeof] = ACTIONS(3256),
    [anon_sym_import] = ACTIONS(3256),
    [anon_sym_var] = ACTIONS(3256),
    [anon_sym_let] = ACTIONS(3256),
    [anon_sym_const] = ACTIONS(3256),
    [anon_sym_BANG] = ACTIONS(3256),
    [anon_sym_if] = ACTIONS(3256),
    [anon_sym_switch] = ACTIONS(3256),
    [anon_sym_for] = ACTIONS(3256),
    [anon_sym_LPAREN] = ACTIONS(3256),
    [anon_sym_await] = ACTIONS(3256),
    [anon_sym_while] = ACTIONS(3256),
    [anon_sym_do] = ACTIONS(3256),
    [anon_sym_try] = ACTIONS(3256),
    [anon_sym_with] = ACTIONS(3256),
    [anon_sym_break] = ACTIONS(3256),
    [anon_sym_continue] = ACTIONS(3256),
    [anon_sym_debugger] = ACTIONS(3256),
    [anon_sym_return] = ACTIONS(3256),
    [anon_sym_throw] = ACTIONS(3256),
    [anon_sym_SEMI] = ACTIONS(3256),
    [anon_sym_yield] = ACTIONS(3256),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_LTtemplate_GT] = ACTIONS(3256),
    [anon_sym_class] = ACTIONS(3256),
    [anon_sym_async] = ACTIONS(3256),
    [anon_sym_function] = ACTIONS(3256),
    [anon_sym_new] = ACTIONS(3256),
    [anon_sym_using] = ACTIONS(3256),
    [anon_sym_PLUS] = ACTIONS(3256),
    [anon_sym_DASH] = ACTIONS(3256),
    [anon_sym_SLASH] = ACTIONS(3256),
    [anon_sym_LT] = ACTIONS(3256),
    [anon_sym_TILDE] = ACTIONS(3256),
    [anon_sym_void] = ACTIONS(3256),
    [anon_sym_delete] = ACTIONS(3256),
    [anon_sym_PLUS_PLUS] = ACTIONS(3256),
    [anon_sym_DASH_DASH] = ACTIONS(3256),
    [anon_sym_DQUOTE] = ACTIONS(3256),
    [anon_sym_SQUOTE] = ACTIONS(3256),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3256),
    [sym_number] = ACTIONS(3256),
    [sym_private_property_identifier] = ACTIONS(3256),
    [sym_this] = ACTIONS(3256),
    [sym_super] = ACTIONS(3256),
    [sym_true] = ACTIONS(3256),
    [sym_false] = ACTIONS(3256),
    [sym_null] = ACTIONS(3256),
    [sym_undefined] = ACTIONS(3256),
    [anon_sym_AT] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(3256),
    [anon_sym_readonly] = ACTIONS(3256),
    [anon_sym_get] = ACTIONS(3256),
    [anon_sym_set] = ACTIONS(3256),
    [anon_sym_declare] = ACTIONS(3256),
    [anon_sym_public] = ACTIONS(3256),
    [anon_sym_private] = ACTIONS(3256),
    [anon_sym_protected] = ACTIONS(3256),
    [anon_sym_override] = ACTIONS(3256),
    [anon_sym_module] = ACTIONS(3256),
    [anon_sym_any] = ACTIONS(3256),
    [anon_sym_number] = ACTIONS(3256),
    [anon_sym_boolean] = ACTIONS(3256),
    [anon_sym_string] = ACTIONS(3256),
    [anon_sym_symbol] = ACTIONS(3256),
    [anon_sym_object] = ACTIONS(3256),
    [anon_sym_abstract] = ACTIONS(3256),
    [anon_sym_interface] = ACTIONS(3256),
    [anon_sym_enum] = ACTIONS(3256),
    [sym_html_comment] = ACTIONS(5),
  },
  [1612] = {
    [sym_comment] = STATE(1612),
    [ts_builtin_sym_end] = ACTIONS(3538),
    [sym_identifier] = ACTIONS(3254),
    [anon_sym_export] = ACTIONS(3254),
    [anon_sym_type] = ACTIONS(3254),
    [anon_sym_namespace] = ACTIONS(3254),
    [anon_sym_LBRACE] = ACTIONS(3254),
    [anon_sym_RBRACE] = ACTIONS(3254),
    [anon_sym_typeof] = ACTIONS(3254),
    [anon_sym_import] = ACTIONS(3254),
    [anon_sym_var] = ACTIONS(3254),
    [anon_sym_let] = ACTIONS(3254),
    [anon_sym_const] = ACTIONS(3254),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_if] = ACTIONS(3254),
    [anon_sym_switch] = ACTIONS(3254),
    [anon_sym_for] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(3254),
    [anon_sym_await] = ACTIONS(3254),
    [anon_sym_while] = ACTIONS(3254),
    [anon_sym_do] = ACTIONS(3254),
    [anon_sym_try] = ACTIONS(3254),
    [anon_sym_with] = ACTIONS(3254),
    [anon_sym_break] = ACTIONS(3254),
    [anon_sym_continue] = ACTIONS(3254),
    [anon_sym_debugger] = ACTIONS(3254),
    [anon_sym_return] = ACTIONS(3254),
    [anon_sym_throw] = ACTIONS(3254),
    [anon_sym_SEMI] = ACTIONS(3254),
    [anon_sym_yield] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(3254),
    [anon_sym_LTtemplate_GT] = ACTIONS(3254),
    [anon_sym_class] = ACTIONS(3254),
    [anon_sym_async] = ACTIONS(3254),
    [anon_sym_function] = ACTIONS(3254),
    [anon_sym_new] = ACTIONS(3254),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_PLUS] = ACTIONS(3254),
    [anon_sym_DASH] = ACTIONS(3254),
    [anon_sym_SLASH] = ACTIONS(3254),
    [anon_sym_LT] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [anon_sym_void] = ACTIONS(3254),
    [anon_sym_delete] = ACTIONS(3254),
    [anon_sym_PLUS_PLUS] = ACTIONS(3254),
    [anon_sym_DASH_DASH] = ACTIONS(3254),
    [anon_sym_DQUOTE] = ACTIONS(3254),
    [anon_sym_SQUOTE] = ACTIONS(3254),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3254),
    [sym_number] = ACTIONS(3254),
    [sym_private_property_identifier] = ACTIONS(3254),
    [sym_this] = ACTIONS(3254),
    [sym_super] = ACTIONS(3254),
    [sym_true] = ACTIONS(3254),
    [sym_false] = ACTIONS(3254),
    [sym_null] = ACTIONS(3254),
    [sym_undefined] = ACTIONS(3254),
    [anon_sym_AT] = ACTIONS(3254),
    [anon_sym_static] = ACTIONS(3254),
    [anon_sym_readonly] = ACTIONS(3254),
    [anon_sym_get] = ACTIONS(3254),
    [anon_sym_set] = ACTIONS(3254),
    [anon_sym_declare] = ACTIONS(3254),
    [anon_sym_public] = ACTIONS(3254),
    [anon_sym_private] = ACTIONS(3254),
    [anon_sym_protected] = ACTIONS(3254),
    [anon_sym_override] = ACTIONS(3254),
    [anon_sym_module] = ACTIONS(3254),
    [anon_sym_any] = ACTIONS(3254),
    [anon_sym_number] = ACTIONS(3254),
    [anon_sym_boolean] = ACTIONS(3254),
    [anon_sym_string] = ACTIONS(3254),
    [anon_sym_symbol] = ACTIONS(3254),
    [anon_sym_object] = ACTIONS(3254),
    [anon_sym_abstract] = ACTIONS(3254),
    [anon_sym_interface] = ACTIONS(3254),
    [anon_sym_enum] = ACTIONS(3254),
    [sym_html_comment] = ACTIONS(5),
  },
  [1613] = {
    [sym_comment] = STATE(1613),
    [ts_builtin_sym_end] = ACTIONS(3502),
    [sym_identifier] = ACTIONS(3174),
    [anon_sym_export] = ACTIONS(3174),
    [anon_sym_type] = ACTIONS(3174),
    [anon_sym_namespace] = ACTIONS(3174),
    [anon_sym_LBRACE] = ACTIONS(3174),
    [anon_sym_RBRACE] = ACTIONS(3174),
    [anon_sym_typeof] = ACTIONS(3174),
    [anon_sym_import] = ACTIONS(3174),
    [anon_sym_var] = ACTIONS(3174),
    [anon_sym_let] = ACTIONS(3174),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3174),
    [anon_sym_if] = ACTIONS(3174),
    [anon_sym_switch] = ACTIONS(3174),
    [anon_sym_for] = ACTIONS(3174),
    [anon_sym_LPAREN] = ACTIONS(3174),
    [anon_sym_await] = ACTIONS(3174),
    [anon_sym_while] = ACTIONS(3174),
    [anon_sym_do] = ACTIONS(3174),
    [anon_sym_try] = ACTIONS(3174),
    [anon_sym_with] = ACTIONS(3174),
    [anon_sym_break] = ACTIONS(3174),
    [anon_sym_continue] = ACTIONS(3174),
    [anon_sym_debugger] = ACTIONS(3174),
    [anon_sym_return] = ACTIONS(3174),
    [anon_sym_throw] = ACTIONS(3174),
    [anon_sym_SEMI] = ACTIONS(3174),
    [anon_sym_yield] = ACTIONS(3174),
    [anon_sym_LBRACK] = ACTIONS(3174),
    [anon_sym_LTtemplate_GT] = ACTIONS(3174),
    [anon_sym_class] = ACTIONS(3174),
    [anon_sym_async] = ACTIONS(3174),
    [anon_sym_function] = ACTIONS(3174),
    [anon_sym_new] = ACTIONS(3174),
    [anon_sym_using] = ACTIONS(3174),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3174),
    [anon_sym_SLASH] = ACTIONS(3174),
    [anon_sym_LT] = ACTIONS(3174),
    [anon_sym_TILDE] = ACTIONS(3174),
    [anon_sym_void] = ACTIONS(3174),
    [anon_sym_delete] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_DQUOTE] = ACTIONS(3174),
    [anon_sym_SQUOTE] = ACTIONS(3174),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3174),
    [sym_number] = ACTIONS(3174),
    [sym_private_property_identifier] = ACTIONS(3174),
    [sym_this] = ACTIONS(3174),
    [sym_super] = ACTIONS(3174),
    [sym_true] = ACTIONS(3174),
    [sym_false] = ACTIONS(3174),
    [sym_null] = ACTIONS(3174),
    [sym_undefined] = ACTIONS(3174),
    [anon_sym_AT] = ACTIONS(3174),
    [anon_sym_static] = ACTIONS(3174),
    [anon_sym_readonly] = ACTIONS(3174),
    [anon_sym_get] = ACTIONS(3174),
    [anon_sym_set] = ACTIONS(3174),
    [anon_sym_declare] = ACTIONS(3174),
    [anon_sym_public] = ACTIONS(3174),
    [anon_sym_private] = ACTIONS(3174),
    [anon_sym_protected] = ACTIONS(3174),
    [anon_sym_override] = ACTIONS(3174),
    [anon_sym_module] = ACTIONS(3174),
    [anon_sym_any] = ACTIONS(3174),
    [anon_sym_number] = ACTIONS(3174),
    [anon_sym_boolean] = ACTIONS(3174),
    [anon_sym_string] = ACTIONS(3174),
    [anon_sym_symbol] = ACTIONS(3174),
    [anon_sym_object] = ACTIONS(3174),
    [anon_sym_abstract] = ACTIONS(3174),
    [anon_sym_interface] = ACTIONS(3174),
    [anon_sym_enum] = ACTIONS(3174),
    [sym_html_comment] = ACTIONS(5),
  },
  [1614] = {
    [sym_comment] = STATE(1614),
    [ts_builtin_sym_end] = ACTIONS(3506),
    [sym_identifier] = ACTIONS(3168),
    [anon_sym_export] = ACTIONS(3168),
    [anon_sym_type] = ACTIONS(3168),
    [anon_sym_namespace] = ACTIONS(3168),
    [anon_sym_LBRACE] = ACTIONS(3168),
    [anon_sym_RBRACE] = ACTIONS(3168),
    [anon_sym_typeof] = ACTIONS(3168),
    [anon_sym_import] = ACTIONS(3168),
    [anon_sym_var] = ACTIONS(3168),
    [anon_sym_let] = ACTIONS(3168),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_BANG] = ACTIONS(3168),
    [anon_sym_if] = ACTIONS(3168),
    [anon_sym_switch] = ACTIONS(3168),
    [anon_sym_for] = ACTIONS(3168),
    [anon_sym_LPAREN] = ACTIONS(3168),
    [anon_sym_await] = ACTIONS(3168),
    [anon_sym_while] = ACTIONS(3168),
    [anon_sym_do] = ACTIONS(3168),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_with] = ACTIONS(3168),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_continue] = ACTIONS(3168),
    [anon_sym_debugger] = ACTIONS(3168),
    [anon_sym_return] = ACTIONS(3168),
    [anon_sym_throw] = ACTIONS(3168),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym_yield] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_LTtemplate_GT] = ACTIONS(3168),
    [anon_sym_class] = ACTIONS(3168),
    [anon_sym_async] = ACTIONS(3168),
    [anon_sym_function] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(3168),
    [anon_sym_using] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3168),
    [anon_sym_DASH] = ACTIONS(3168),
    [anon_sym_SLASH] = ACTIONS(3168),
    [anon_sym_LT] = ACTIONS(3168),
    [anon_sym_TILDE] = ACTIONS(3168),
    [anon_sym_void] = ACTIONS(3168),
    [anon_sym_delete] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3168),
    [anon_sym_DQUOTE] = ACTIONS(3168),
    [anon_sym_SQUOTE] = ACTIONS(3168),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3168),
    [sym_number] = ACTIONS(3168),
    [sym_private_property_identifier] = ACTIONS(3168),
    [sym_this] = ACTIONS(3168),
    [sym_super] = ACTIONS(3168),
    [sym_true] = ACTIONS(3168),
    [sym_false] = ACTIONS(3168),
    [sym_null] = ACTIONS(3168),
    [sym_undefined] = ACTIONS(3168),
    [anon_sym_AT] = ACTIONS(3168),
    [anon_sym_static] = ACTIONS(3168),
    [anon_sym_readonly] = ACTIONS(3168),
    [anon_sym_get] = ACTIONS(3168),
    [anon_sym_set] = ACTIONS(3168),
    [anon_sym_declare] = ACTIONS(3168),
    [anon_sym_public] = ACTIONS(3168),
    [anon_sym_private] = ACTIONS(3168),
    [anon_sym_protected] = ACTIONS(3168),
    [anon_sym_override] = ACTIONS(3168),
    [anon_sym_module] = ACTIONS(3168),
    [anon_sym_any] = ACTIONS(3168),
    [anon_sym_number] = ACTIONS(3168),
    [anon_sym_boolean] = ACTIONS(3168),
    [anon_sym_string] = ACTIONS(3168),
    [anon_sym_symbol] = ACTIONS(3168),
    [anon_sym_object] = ACTIONS(3168),
    [anon_sym_abstract] = ACTIONS(3168),
    [anon_sym_interface] = ACTIONS(3168),
    [anon_sym_enum] = ACTIONS(3168),
    [sym_html_comment] = ACTIONS(5),
  },
  [1615] = {
    [sym_comment] = STATE(1615),
    [ts_builtin_sym_end] = ACTIONS(3536),
    [sym_identifier] = ACTIONS(3150),
    [anon_sym_export] = ACTIONS(3150),
    [anon_sym_type] = ACTIONS(3150),
    [anon_sym_namespace] = ACTIONS(3150),
    [anon_sym_LBRACE] = ACTIONS(3150),
    [anon_sym_RBRACE] = ACTIONS(3150),
    [anon_sym_typeof] = ACTIONS(3150),
    [anon_sym_import] = ACTIONS(3150),
    [anon_sym_var] = ACTIONS(3150),
    [anon_sym_let] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_BANG] = ACTIONS(3150),
    [anon_sym_if] = ACTIONS(3150),
    [anon_sym_switch] = ACTIONS(3150),
    [anon_sym_for] = ACTIONS(3150),
    [anon_sym_LPAREN] = ACTIONS(3150),
    [anon_sym_await] = ACTIONS(3150),
    [anon_sym_while] = ACTIONS(3150),
    [anon_sym_do] = ACTIONS(3150),
    [anon_sym_try] = ACTIONS(3150),
    [anon_sym_with] = ACTIONS(3150),
    [anon_sym_break] = ACTIONS(3150),
    [anon_sym_continue] = ACTIONS(3150),
    [anon_sym_debugger] = ACTIONS(3150),
    [anon_sym_return] = ACTIONS(3150),
    [anon_sym_throw] = ACTIONS(3150),
    [anon_sym_SEMI] = ACTIONS(3150),
    [anon_sym_yield] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3150),
    [anon_sym_LTtemplate_GT] = ACTIONS(3150),
    [anon_sym_class] = ACTIONS(3150),
    [anon_sym_async] = ACTIONS(3150),
    [anon_sym_function] = ACTIONS(3150),
    [anon_sym_new] = ACTIONS(3150),
    [anon_sym_using] = ACTIONS(3150),
    [anon_sym_PLUS] = ACTIONS(3150),
    [anon_sym_DASH] = ACTIONS(3150),
    [anon_sym_SLASH] = ACTIONS(3150),
    [anon_sym_LT] = ACTIONS(3150),
    [anon_sym_TILDE] = ACTIONS(3150),
    [anon_sym_void] = ACTIONS(3150),
    [anon_sym_delete] = ACTIONS(3150),
    [anon_sym_PLUS_PLUS] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3150),
    [anon_sym_DQUOTE] = ACTIONS(3150),
    [anon_sym_SQUOTE] = ACTIONS(3150),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3150),
    [sym_number] = ACTIONS(3150),
    [sym_private_property_identifier] = ACTIONS(3150),
    [sym_this] = ACTIONS(3150),
    [sym_super] = ACTIONS(3150),
    [sym_true] = ACTIONS(3150),
    [sym_false] = ACTIONS(3150),
    [sym_null] = ACTIONS(3150),
    [sym_undefined] = ACTIONS(3150),
    [anon_sym_AT] = ACTIONS(3150),
    [anon_sym_static] = ACTIONS(3150),
    [anon_sym_readonly] = ACTIONS(3150),
    [anon_sym_get] = ACTIONS(3150),
    [anon_sym_set] = ACTIONS(3150),
    [anon_sym_declare] = ACTIONS(3150),
    [anon_sym_public] = ACTIONS(3150),
    [anon_sym_private] = ACTIONS(3150),
    [anon_sym_protected] = ACTIONS(3150),
    [anon_sym_override] = ACTIONS(3150),
    [anon_sym_module] = ACTIONS(3150),
    [anon_sym_any] = ACTIONS(3150),
    [anon_sym_number] = ACTIONS(3150),
    [anon_sym_boolean] = ACTIONS(3150),
    [anon_sym_string] = ACTIONS(3150),
    [anon_sym_symbol] = ACTIONS(3150),
    [anon_sym_object] = ACTIONS(3150),
    [anon_sym_abstract] = ACTIONS(3150),
    [anon_sym_interface] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [sym_html_comment] = ACTIONS(5),
  },
  [1616] = {
    [sym_comment] = STATE(1616),
    [ts_builtin_sym_end] = ACTIONS(3422),
    [sym_identifier] = ACTIONS(3288),
    [anon_sym_export] = ACTIONS(3288),
    [anon_sym_type] = ACTIONS(3288),
    [anon_sym_namespace] = ACTIONS(3288),
    [anon_sym_LBRACE] = ACTIONS(3288),
    [anon_sym_RBRACE] = ACTIONS(3288),
    [anon_sym_typeof] = ACTIONS(3288),
    [anon_sym_import] = ACTIONS(3288),
    [anon_sym_var] = ACTIONS(3288),
    [anon_sym_let] = ACTIONS(3288),
    [anon_sym_const] = ACTIONS(3288),
    [anon_sym_BANG] = ACTIONS(3288),
    [anon_sym_if] = ACTIONS(3288),
    [anon_sym_switch] = ACTIONS(3288),
    [anon_sym_for] = ACTIONS(3288),
    [anon_sym_LPAREN] = ACTIONS(3288),
    [anon_sym_await] = ACTIONS(3288),
    [anon_sym_while] = ACTIONS(3288),
    [anon_sym_do] = ACTIONS(3288),
    [anon_sym_try] = ACTIONS(3288),
    [anon_sym_with] = ACTIONS(3288),
    [anon_sym_break] = ACTIONS(3288),
    [anon_sym_continue] = ACTIONS(3288),
    [anon_sym_debugger] = ACTIONS(3288),
    [anon_sym_return] = ACTIONS(3288),
    [anon_sym_throw] = ACTIONS(3288),
    [anon_sym_SEMI] = ACTIONS(3288),
    [anon_sym_yield] = ACTIONS(3288),
    [anon_sym_LBRACK] = ACTIONS(3288),
    [anon_sym_LTtemplate_GT] = ACTIONS(3288),
    [anon_sym_class] = ACTIONS(3288),
    [anon_sym_async] = ACTIONS(3288),
    [anon_sym_function] = ACTIONS(3288),
    [anon_sym_new] = ACTIONS(3288),
    [anon_sym_using] = ACTIONS(3288),
    [anon_sym_PLUS] = ACTIONS(3288),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_SLASH] = ACTIONS(3288),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_TILDE] = ACTIONS(3288),
    [anon_sym_void] = ACTIONS(3288),
    [anon_sym_delete] = ACTIONS(3288),
    [anon_sym_PLUS_PLUS] = ACTIONS(3288),
    [anon_sym_DASH_DASH] = ACTIONS(3288),
    [anon_sym_DQUOTE] = ACTIONS(3288),
    [anon_sym_SQUOTE] = ACTIONS(3288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3288),
    [sym_number] = ACTIONS(3288),
    [sym_private_property_identifier] = ACTIONS(3288),
    [sym_this] = ACTIONS(3288),
    [sym_super] = ACTIONS(3288),
    [sym_true] = ACTIONS(3288),
    [sym_false] = ACTIONS(3288),
    [sym_null] = ACTIONS(3288),
    [sym_undefined] = ACTIONS(3288),
    [anon_sym_AT] = ACTIONS(3288),
    [anon_sym_static] = ACTIONS(3288),
    [anon_sym_readonly] = ACTIONS(3288),
    [anon_sym_get] = ACTIONS(3288),
    [anon_sym_set] = ACTIONS(3288),
    [anon_sym_declare] = ACTIONS(3288),
    [anon_sym_public] = ACTIONS(3288),
    [anon_sym_private] = ACTIONS(3288),
    [anon_sym_protected] = ACTIONS(3288),
    [anon_sym_override] = ACTIONS(3288),
    [anon_sym_module] = ACTIONS(3288),
    [anon_sym_any] = ACTIONS(3288),
    [anon_sym_number] = ACTIONS(3288),
    [anon_sym_boolean] = ACTIONS(3288),
    [anon_sym_string] = ACTIONS(3288),
    [anon_sym_symbol] = ACTIONS(3288),
    [anon_sym_object] = ACTIONS(3288),
    [anon_sym_abstract] = ACTIONS(3288),
    [anon_sym_interface] = ACTIONS(3288),
    [anon_sym_enum] = ACTIONS(3288),
    [sym_html_comment] = ACTIONS(5),
  },
  [1617] = {
    [sym_comment] = STATE(1617),
    [ts_builtin_sym_end] = ACTIONS(3420),
    [sym_identifier] = ACTIONS(3290),
    [anon_sym_export] = ACTIONS(3290),
    [anon_sym_type] = ACTIONS(3290),
    [anon_sym_namespace] = ACTIONS(3290),
    [anon_sym_LBRACE] = ACTIONS(3290),
    [anon_sym_RBRACE] = ACTIONS(3290),
    [anon_sym_typeof] = ACTIONS(3290),
    [anon_sym_import] = ACTIONS(3290),
    [anon_sym_var] = ACTIONS(3290),
    [anon_sym_let] = ACTIONS(3290),
    [anon_sym_const] = ACTIONS(3290),
    [anon_sym_BANG] = ACTIONS(3290),
    [anon_sym_if] = ACTIONS(3290),
    [anon_sym_switch] = ACTIONS(3290),
    [anon_sym_for] = ACTIONS(3290),
    [anon_sym_LPAREN] = ACTIONS(3290),
    [anon_sym_await] = ACTIONS(3290),
    [anon_sym_while] = ACTIONS(3290),
    [anon_sym_do] = ACTIONS(3290),
    [anon_sym_try] = ACTIONS(3290),
    [anon_sym_with] = ACTIONS(3290),
    [anon_sym_break] = ACTIONS(3290),
    [anon_sym_continue] = ACTIONS(3290),
    [anon_sym_debugger] = ACTIONS(3290),
    [anon_sym_return] = ACTIONS(3290),
    [anon_sym_throw] = ACTIONS(3290),
    [anon_sym_SEMI] = ACTIONS(3290),
    [anon_sym_yield] = ACTIONS(3290),
    [anon_sym_LBRACK] = ACTIONS(3290),
    [anon_sym_LTtemplate_GT] = ACTIONS(3290),
    [anon_sym_class] = ACTIONS(3290),
    [anon_sym_async] = ACTIONS(3290),
    [anon_sym_function] = ACTIONS(3290),
    [anon_sym_new] = ACTIONS(3290),
    [anon_sym_using] = ACTIONS(3290),
    [anon_sym_PLUS] = ACTIONS(3290),
    [anon_sym_DASH] = ACTIONS(3290),
    [anon_sym_SLASH] = ACTIONS(3290),
    [anon_sym_LT] = ACTIONS(3290),
    [anon_sym_TILDE] = ACTIONS(3290),
    [anon_sym_void] = ACTIONS(3290),
    [anon_sym_delete] = ACTIONS(3290),
    [anon_sym_PLUS_PLUS] = ACTIONS(3290),
    [anon_sym_DASH_DASH] = ACTIONS(3290),
    [anon_sym_DQUOTE] = ACTIONS(3290),
    [anon_sym_SQUOTE] = ACTIONS(3290),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3290),
    [sym_number] = ACTIONS(3290),
    [sym_private_property_identifier] = ACTIONS(3290),
    [sym_this] = ACTIONS(3290),
    [sym_super] = ACTIONS(3290),
    [sym_true] = ACTIONS(3290),
    [sym_false] = ACTIONS(3290),
    [sym_null] = ACTIONS(3290),
    [sym_undefined] = ACTIONS(3290),
    [anon_sym_AT] = ACTIONS(3290),
    [anon_sym_static] = ACTIONS(3290),
    [anon_sym_readonly] = ACTIONS(3290),
    [anon_sym_get] = ACTIONS(3290),
    [anon_sym_set] = ACTIONS(3290),
    [anon_sym_declare] = ACTIONS(3290),
    [anon_sym_public] = ACTIONS(3290),
    [anon_sym_private] = ACTIONS(3290),
    [anon_sym_protected] = ACTIONS(3290),
    [anon_sym_override] = ACTIONS(3290),
    [anon_sym_module] = ACTIONS(3290),
    [anon_sym_any] = ACTIONS(3290),
    [anon_sym_number] = ACTIONS(3290),
    [anon_sym_boolean] = ACTIONS(3290),
    [anon_sym_string] = ACTIONS(3290),
    [anon_sym_symbol] = ACTIONS(3290),
    [anon_sym_object] = ACTIONS(3290),
    [anon_sym_abstract] = ACTIONS(3290),
    [anon_sym_interface] = ACTIONS(3290),
    [anon_sym_enum] = ACTIONS(3290),
    [sym_html_comment] = ACTIONS(5),
  },
  [1618] = {
    [sym_comment] = STATE(1618),
    [ts_builtin_sym_end] = ACTIONS(3360),
    [sym_identifier] = ACTIONS(3242),
    [anon_sym_export] = ACTIONS(3242),
    [anon_sym_type] = ACTIONS(3242),
    [anon_sym_namespace] = ACTIONS(3242),
    [anon_sym_LBRACE] = ACTIONS(3242),
    [anon_sym_RBRACE] = ACTIONS(3242),
    [anon_sym_typeof] = ACTIONS(3242),
    [anon_sym_import] = ACTIONS(3242),
    [anon_sym_var] = ACTIONS(3242),
    [anon_sym_let] = ACTIONS(3242),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_BANG] = ACTIONS(3242),
    [anon_sym_if] = ACTIONS(3242),
    [anon_sym_switch] = ACTIONS(3242),
    [anon_sym_for] = ACTIONS(3242),
    [anon_sym_LPAREN] = ACTIONS(3242),
    [anon_sym_await] = ACTIONS(3242),
    [anon_sym_while] = ACTIONS(3242),
    [anon_sym_do] = ACTIONS(3242),
    [anon_sym_try] = ACTIONS(3242),
    [anon_sym_with] = ACTIONS(3242),
    [anon_sym_break] = ACTIONS(3242),
    [anon_sym_continue] = ACTIONS(3242),
    [anon_sym_debugger] = ACTIONS(3242),
    [anon_sym_return] = ACTIONS(3242),
    [anon_sym_throw] = ACTIONS(3242),
    [anon_sym_SEMI] = ACTIONS(3242),
    [anon_sym_yield] = ACTIONS(3242),
    [anon_sym_LBRACK] = ACTIONS(3242),
    [anon_sym_LTtemplate_GT] = ACTIONS(3242),
    [anon_sym_class] = ACTIONS(3242),
    [anon_sym_async] = ACTIONS(3242),
    [anon_sym_function] = ACTIONS(3242),
    [anon_sym_new] = ACTIONS(3242),
    [anon_sym_using] = ACTIONS(3242),
    [anon_sym_PLUS] = ACTIONS(3242),
    [anon_sym_DASH] = ACTIONS(3242),
    [anon_sym_SLASH] = ACTIONS(3242),
    [anon_sym_LT] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_void] = ACTIONS(3242),
    [anon_sym_delete] = ACTIONS(3242),
    [anon_sym_PLUS_PLUS] = ACTIONS(3242),
    [anon_sym_DASH_DASH] = ACTIONS(3242),
    [anon_sym_DQUOTE] = ACTIONS(3242),
    [anon_sym_SQUOTE] = ACTIONS(3242),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3242),
    [sym_number] = ACTIONS(3242),
    [sym_private_property_identifier] = ACTIONS(3242),
    [sym_this] = ACTIONS(3242),
    [sym_super] = ACTIONS(3242),
    [sym_true] = ACTIONS(3242),
    [sym_false] = ACTIONS(3242),
    [sym_null] = ACTIONS(3242),
    [sym_undefined] = ACTIONS(3242),
    [anon_sym_AT] = ACTIONS(3242),
    [anon_sym_static] = ACTIONS(3242),
    [anon_sym_readonly] = ACTIONS(3242),
    [anon_sym_get] = ACTIONS(3242),
    [anon_sym_set] = ACTIONS(3242),
    [anon_sym_declare] = ACTIONS(3242),
    [anon_sym_public] = ACTIONS(3242),
    [anon_sym_private] = ACTIONS(3242),
    [anon_sym_protected] = ACTIONS(3242),
    [anon_sym_override] = ACTIONS(3242),
    [anon_sym_module] = ACTIONS(3242),
    [anon_sym_any] = ACTIONS(3242),
    [anon_sym_number] = ACTIONS(3242),
    [anon_sym_boolean] = ACTIONS(3242),
    [anon_sym_string] = ACTIONS(3242),
    [anon_sym_symbol] = ACTIONS(3242),
    [anon_sym_object] = ACTIONS(3242),
    [anon_sym_abstract] = ACTIONS(3242),
    [anon_sym_interface] = ACTIONS(3242),
    [anon_sym_enum] = ACTIONS(3242),
    [sym_html_comment] = ACTIONS(5),
  },
  [1619] = {
    [sym_comment] = STATE(1619),
    [ts_builtin_sym_end] = ACTIONS(3362),
    [sym_identifier] = ACTIONS(3160),
    [anon_sym_export] = ACTIONS(3160),
    [anon_sym_type] = ACTIONS(3160),
    [anon_sym_namespace] = ACTIONS(3160),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_RBRACE] = ACTIONS(3160),
    [anon_sym_typeof] = ACTIONS(3160),
    [anon_sym_import] = ACTIONS(3160),
    [anon_sym_var] = ACTIONS(3160),
    [anon_sym_let] = ACTIONS(3160),
    [anon_sym_const] = ACTIONS(3160),
    [anon_sym_BANG] = ACTIONS(3160),
    [anon_sym_if] = ACTIONS(3160),
    [anon_sym_switch] = ACTIONS(3160),
    [anon_sym_for] = ACTIONS(3160),
    [anon_sym_LPAREN] = ACTIONS(3160),
    [anon_sym_await] = ACTIONS(3160),
    [anon_sym_while] = ACTIONS(3160),
    [anon_sym_do] = ACTIONS(3160),
    [anon_sym_try] = ACTIONS(3160),
    [anon_sym_with] = ACTIONS(3160),
    [anon_sym_break] = ACTIONS(3160),
    [anon_sym_continue] = ACTIONS(3160),
    [anon_sym_debugger] = ACTIONS(3160),
    [anon_sym_return] = ACTIONS(3160),
    [anon_sym_throw] = ACTIONS(3160),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym_yield] = ACTIONS(3160),
    [anon_sym_LBRACK] = ACTIONS(3160),
    [anon_sym_LTtemplate_GT] = ACTIONS(3160),
    [anon_sym_class] = ACTIONS(3160),
    [anon_sym_async] = ACTIONS(3160),
    [anon_sym_function] = ACTIONS(3160),
    [anon_sym_new] = ACTIONS(3160),
    [anon_sym_using] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_SLASH] = ACTIONS(3160),
    [anon_sym_LT] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3160),
    [anon_sym_void] = ACTIONS(3160),
    [anon_sym_delete] = ACTIONS(3160),
    [anon_sym_PLUS_PLUS] = ACTIONS(3160),
    [anon_sym_DASH_DASH] = ACTIONS(3160),
    [anon_sym_DQUOTE] = ACTIONS(3160),
    [anon_sym_SQUOTE] = ACTIONS(3160),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3160),
    [sym_number] = ACTIONS(3160),
    [sym_private_property_identifier] = ACTIONS(3160),
    [sym_this] = ACTIONS(3160),
    [sym_super] = ACTIONS(3160),
    [sym_true] = ACTIONS(3160),
    [sym_false] = ACTIONS(3160),
    [sym_null] = ACTIONS(3160),
    [sym_undefined] = ACTIONS(3160),
    [anon_sym_AT] = ACTIONS(3160),
    [anon_sym_static] = ACTIONS(3160),
    [anon_sym_readonly] = ACTIONS(3160),
    [anon_sym_get] = ACTIONS(3160),
    [anon_sym_set] = ACTIONS(3160),
    [anon_sym_declare] = ACTIONS(3160),
    [anon_sym_public] = ACTIONS(3160),
    [anon_sym_private] = ACTIONS(3160),
    [anon_sym_protected] = ACTIONS(3160),
    [anon_sym_override] = ACTIONS(3160),
    [anon_sym_module] = ACTIONS(3160),
    [anon_sym_any] = ACTIONS(3160),
    [anon_sym_number] = ACTIONS(3160),
    [anon_sym_boolean] = ACTIONS(3160),
    [anon_sym_string] = ACTIONS(3160),
    [anon_sym_symbol] = ACTIONS(3160),
    [anon_sym_object] = ACTIONS(3160),
    [anon_sym_abstract] = ACTIONS(3160),
    [anon_sym_interface] = ACTIONS(3160),
    [anon_sym_enum] = ACTIONS(3160),
    [sym_html_comment] = ACTIONS(5),
  },
  [1620] = {
    [sym_comment] = STATE(1620),
    [ts_builtin_sym_end] = ACTIONS(3364),
    [sym_identifier] = ACTIONS(3158),
    [anon_sym_export] = ACTIONS(3158),
    [anon_sym_type] = ACTIONS(3158),
    [anon_sym_namespace] = ACTIONS(3158),
    [anon_sym_LBRACE] = ACTIONS(3158),
    [anon_sym_RBRACE] = ACTIONS(3158),
    [anon_sym_typeof] = ACTIONS(3158),
    [anon_sym_import] = ACTIONS(3158),
    [anon_sym_var] = ACTIONS(3158),
    [anon_sym_let] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_BANG] = ACTIONS(3158),
    [anon_sym_if] = ACTIONS(3158),
    [anon_sym_switch] = ACTIONS(3158),
    [anon_sym_for] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(3158),
    [anon_sym_await] = ACTIONS(3158),
    [anon_sym_while] = ACTIONS(3158),
    [anon_sym_do] = ACTIONS(3158),
    [anon_sym_try] = ACTIONS(3158),
    [anon_sym_with] = ACTIONS(3158),
    [anon_sym_break] = ACTIONS(3158),
    [anon_sym_continue] = ACTIONS(3158),
    [anon_sym_debugger] = ACTIONS(3158),
    [anon_sym_return] = ACTIONS(3158),
    [anon_sym_throw] = ACTIONS(3158),
    [anon_sym_SEMI] = ACTIONS(3158),
    [anon_sym_yield] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [anon_sym_LTtemplate_GT] = ACTIONS(3158),
    [anon_sym_class] = ACTIONS(3158),
    [anon_sym_async] = ACTIONS(3158),
    [anon_sym_function] = ACTIONS(3158),
    [anon_sym_new] = ACTIONS(3158),
    [anon_sym_using] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_SLASH] = ACTIONS(3158),
    [anon_sym_LT] = ACTIONS(3158),
    [anon_sym_TILDE] = ACTIONS(3158),
    [anon_sym_void] = ACTIONS(3158),
    [anon_sym_delete] = ACTIONS(3158),
    [anon_sym_PLUS_PLUS] = ACTIONS(3158),
    [anon_sym_DASH_DASH] = ACTIONS(3158),
    [anon_sym_DQUOTE] = ACTIONS(3158),
    [anon_sym_SQUOTE] = ACTIONS(3158),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3158),
    [sym_number] = ACTIONS(3158),
    [sym_private_property_identifier] = ACTIONS(3158),
    [sym_this] = ACTIONS(3158),
    [sym_super] = ACTIONS(3158),
    [sym_true] = ACTIONS(3158),
    [sym_false] = ACTIONS(3158),
    [sym_null] = ACTIONS(3158),
    [sym_undefined] = ACTIONS(3158),
    [anon_sym_AT] = ACTIONS(3158),
    [anon_sym_static] = ACTIONS(3158),
    [anon_sym_readonly] = ACTIONS(3158),
    [anon_sym_get] = ACTIONS(3158),
    [anon_sym_set] = ACTIONS(3158),
    [anon_sym_declare] = ACTIONS(3158),
    [anon_sym_public] = ACTIONS(3158),
    [anon_sym_private] = ACTIONS(3158),
    [anon_sym_protected] = ACTIONS(3158),
    [anon_sym_override] = ACTIONS(3158),
    [anon_sym_module] = ACTIONS(3158),
    [anon_sym_any] = ACTIONS(3158),
    [anon_sym_number] = ACTIONS(3158),
    [anon_sym_boolean] = ACTIONS(3158),
    [anon_sym_string] = ACTIONS(3158),
    [anon_sym_symbol] = ACTIONS(3158),
    [anon_sym_object] = ACTIONS(3158),
    [anon_sym_abstract] = ACTIONS(3158),
    [anon_sym_interface] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [sym_html_comment] = ACTIONS(5),
  },
  [1621] = {
    [sym_comment] = STATE(1621),
    [ts_builtin_sym_end] = ACTIONS(3352),
    [sym_identifier] = ACTIONS(3236),
    [anon_sym_export] = ACTIONS(3236),
    [anon_sym_type] = ACTIONS(3236),
    [anon_sym_namespace] = ACTIONS(3236),
    [anon_sym_LBRACE] = ACTIONS(3236),
    [anon_sym_RBRACE] = ACTIONS(3236),
    [anon_sym_typeof] = ACTIONS(3236),
    [anon_sym_import] = ACTIONS(3236),
    [anon_sym_var] = ACTIONS(3236),
    [anon_sym_let] = ACTIONS(3236),
    [anon_sym_const] = ACTIONS(3236),
    [anon_sym_BANG] = ACTIONS(3236),
    [anon_sym_if] = ACTIONS(3236),
    [anon_sym_switch] = ACTIONS(3236),
    [anon_sym_for] = ACTIONS(3236),
    [anon_sym_LPAREN] = ACTIONS(3236),
    [anon_sym_await] = ACTIONS(3236),
    [anon_sym_while] = ACTIONS(3236),
    [anon_sym_do] = ACTIONS(3236),
    [anon_sym_try] = ACTIONS(3236),
    [anon_sym_with] = ACTIONS(3236),
    [anon_sym_break] = ACTIONS(3236),
    [anon_sym_continue] = ACTIONS(3236),
    [anon_sym_debugger] = ACTIONS(3236),
    [anon_sym_return] = ACTIONS(3236),
    [anon_sym_throw] = ACTIONS(3236),
    [anon_sym_SEMI] = ACTIONS(3236),
    [anon_sym_yield] = ACTIONS(3236),
    [anon_sym_LBRACK] = ACTIONS(3236),
    [anon_sym_LTtemplate_GT] = ACTIONS(3236),
    [anon_sym_class] = ACTIONS(3236),
    [anon_sym_async] = ACTIONS(3236),
    [anon_sym_function] = ACTIONS(3236),
    [anon_sym_new] = ACTIONS(3236),
    [anon_sym_using] = ACTIONS(3236),
    [anon_sym_PLUS] = ACTIONS(3236),
    [anon_sym_DASH] = ACTIONS(3236),
    [anon_sym_SLASH] = ACTIONS(3236),
    [anon_sym_LT] = ACTIONS(3236),
    [anon_sym_TILDE] = ACTIONS(3236),
    [anon_sym_void] = ACTIONS(3236),
    [anon_sym_delete] = ACTIONS(3236),
    [anon_sym_PLUS_PLUS] = ACTIONS(3236),
    [anon_sym_DASH_DASH] = ACTIONS(3236),
    [anon_sym_DQUOTE] = ACTIONS(3236),
    [anon_sym_SQUOTE] = ACTIONS(3236),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3236),
    [sym_number] = ACTIONS(3236),
    [sym_private_property_identifier] = ACTIONS(3236),
    [sym_this] = ACTIONS(3236),
    [sym_super] = ACTIONS(3236),
    [sym_true] = ACTIONS(3236),
    [sym_false] = ACTIONS(3236),
    [sym_null] = ACTIONS(3236),
    [sym_undefined] = ACTIONS(3236),
    [anon_sym_AT] = ACTIONS(3236),
    [anon_sym_static] = ACTIONS(3236),
    [anon_sym_readonly] = ACTIONS(3236),
    [anon_sym_get] = ACTIONS(3236),
    [anon_sym_set] = ACTIONS(3236),
    [anon_sym_declare] = ACTIONS(3236),
    [anon_sym_public] = ACTIONS(3236),
    [anon_sym_private] = ACTIONS(3236),
    [anon_sym_protected] = ACTIONS(3236),
    [anon_sym_override] = ACTIONS(3236),
    [anon_sym_module] = ACTIONS(3236),
    [anon_sym_any] = ACTIONS(3236),
    [anon_sym_number] = ACTIONS(3236),
    [anon_sym_boolean] = ACTIONS(3236),
    [anon_sym_string] = ACTIONS(3236),
    [anon_sym_symbol] = ACTIONS(3236),
    [anon_sym_object] = ACTIONS(3236),
    [anon_sym_abstract] = ACTIONS(3236),
    [anon_sym_interface] = ACTIONS(3236),
    [anon_sym_enum] = ACTIONS(3236),
    [sym_html_comment] = ACTIONS(5),
  },
  [1622] = {
    [sym_comment] = STATE(1622),
    [ts_builtin_sym_end] = ACTIONS(3510),
    [sym_identifier] = ACTIONS(3214),
    [anon_sym_export] = ACTIONS(3214),
    [anon_sym_type] = ACTIONS(3214),
    [anon_sym_namespace] = ACTIONS(3214),
    [anon_sym_LBRACE] = ACTIONS(3214),
    [anon_sym_RBRACE] = ACTIONS(3214),
    [anon_sym_typeof] = ACTIONS(3214),
    [anon_sym_import] = ACTIONS(3214),
    [anon_sym_var] = ACTIONS(3214),
    [anon_sym_let] = ACTIONS(3214),
    [anon_sym_const] = ACTIONS(3214),
    [anon_sym_BANG] = ACTIONS(3214),
    [anon_sym_if] = ACTIONS(3214),
    [anon_sym_switch] = ACTIONS(3214),
    [anon_sym_for] = ACTIONS(3214),
    [anon_sym_LPAREN] = ACTIONS(3214),
    [anon_sym_await] = ACTIONS(3214),
    [anon_sym_while] = ACTIONS(3214),
    [anon_sym_do] = ACTIONS(3214),
    [anon_sym_try] = ACTIONS(3214),
    [anon_sym_with] = ACTIONS(3214),
    [anon_sym_break] = ACTIONS(3214),
    [anon_sym_continue] = ACTIONS(3214),
    [anon_sym_debugger] = ACTIONS(3214),
    [anon_sym_return] = ACTIONS(3214),
    [anon_sym_throw] = ACTIONS(3214),
    [anon_sym_SEMI] = ACTIONS(3214),
    [anon_sym_yield] = ACTIONS(3214),
    [anon_sym_LBRACK] = ACTIONS(3214),
    [anon_sym_LTtemplate_GT] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3214),
    [anon_sym_async] = ACTIONS(3214),
    [anon_sym_function] = ACTIONS(3214),
    [anon_sym_new] = ACTIONS(3214),
    [anon_sym_using] = ACTIONS(3214),
    [anon_sym_PLUS] = ACTIONS(3214),
    [anon_sym_DASH] = ACTIONS(3214),
    [anon_sym_SLASH] = ACTIONS(3214),
    [anon_sym_LT] = ACTIONS(3214),
    [anon_sym_TILDE] = ACTIONS(3214),
    [anon_sym_void] = ACTIONS(3214),
    [anon_sym_delete] = ACTIONS(3214),
    [anon_sym_PLUS_PLUS] = ACTIONS(3214),
    [anon_sym_DASH_DASH] = ACTIONS(3214),
    [anon_sym_DQUOTE] = ACTIONS(3214),
    [anon_sym_SQUOTE] = ACTIONS(3214),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3214),
    [sym_number] = ACTIONS(3214),
    [sym_private_property_identifier] = ACTIONS(3214),
    [sym_this] = ACTIONS(3214),
    [sym_super] = ACTIONS(3214),
    [sym_true] = ACTIONS(3214),
    [sym_false] = ACTIONS(3214),
    [sym_null] = ACTIONS(3214),
    [sym_undefined] = ACTIONS(3214),
    [anon_sym_AT] = ACTIONS(3214),
    [anon_sym_static] = ACTIONS(3214),
    [anon_sym_readonly] = ACTIONS(3214),
    [anon_sym_get] = ACTIONS(3214),
    [anon_sym_set] = ACTIONS(3214),
    [anon_sym_declare] = ACTIONS(3214),
    [anon_sym_public] = ACTIONS(3214),
    [anon_sym_private] = ACTIONS(3214),
    [anon_sym_protected] = ACTIONS(3214),
    [anon_sym_override] = ACTIONS(3214),
    [anon_sym_module] = ACTIONS(3214),
    [anon_sym_any] = ACTIONS(3214),
    [anon_sym_number] = ACTIONS(3214),
    [anon_sym_boolean] = ACTIONS(3214),
    [anon_sym_string] = ACTIONS(3214),
    [anon_sym_symbol] = ACTIONS(3214),
    [anon_sym_object] = ACTIONS(3214),
    [anon_sym_abstract] = ACTIONS(3214),
    [anon_sym_interface] = ACTIONS(3214),
    [anon_sym_enum] = ACTIONS(3214),
    [sym_html_comment] = ACTIONS(5),
  },
  [1623] = {
    [sym_comment] = STATE(1623),
    [ts_builtin_sym_end] = ACTIONS(2341),
    [sym_identifier] = ACTIONS(2107),
    [anon_sym_export] = ACTIONS(2107),
    [anon_sym_type] = ACTIONS(2107),
    [anon_sym_namespace] = ACTIONS(2107),
    [anon_sym_LBRACE] = ACTIONS(2107),
    [anon_sym_RBRACE] = ACTIONS(2107),
    [anon_sym_typeof] = ACTIONS(2107),
    [anon_sym_import] = ACTIONS(2107),
    [anon_sym_var] = ACTIONS(2107),
    [anon_sym_let] = ACTIONS(2107),
    [anon_sym_const] = ACTIONS(2107),
    [anon_sym_BANG] = ACTIONS(2107),
    [anon_sym_if] = ACTIONS(2107),
    [anon_sym_switch] = ACTIONS(2107),
    [anon_sym_for] = ACTIONS(2107),
    [anon_sym_LPAREN] = ACTIONS(2107),
    [anon_sym_await] = ACTIONS(2107),
    [anon_sym_while] = ACTIONS(2107),
    [anon_sym_do] = ACTIONS(2107),
    [anon_sym_try] = ACTIONS(2107),
    [anon_sym_with] = ACTIONS(2107),
    [anon_sym_break] = ACTIONS(2107),
    [anon_sym_continue] = ACTIONS(2107),
    [anon_sym_debugger] = ACTIONS(2107),
    [anon_sym_return] = ACTIONS(2107),
    [anon_sym_throw] = ACTIONS(2107),
    [anon_sym_SEMI] = ACTIONS(2107),
    [anon_sym_yield] = ACTIONS(2107),
    [anon_sym_LBRACK] = ACTIONS(2107),
    [anon_sym_LTtemplate_GT] = ACTIONS(2107),
    [anon_sym_class] = ACTIONS(2107),
    [anon_sym_async] = ACTIONS(2107),
    [anon_sym_function] = ACTIONS(2107),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_using] = ACTIONS(2107),
    [anon_sym_PLUS] = ACTIONS(2107),
    [anon_sym_DASH] = ACTIONS(2107),
    [anon_sym_SLASH] = ACTIONS(2107),
    [anon_sym_LT] = ACTIONS(2107),
    [anon_sym_TILDE] = ACTIONS(2107),
    [anon_sym_void] = ACTIONS(2107),
    [anon_sym_delete] = ACTIONS(2107),
    [anon_sym_PLUS_PLUS] = ACTIONS(2107),
    [anon_sym_DASH_DASH] = ACTIONS(2107),
    [anon_sym_DQUOTE] = ACTIONS(2107),
    [anon_sym_SQUOTE] = ACTIONS(2107),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2107),
    [sym_number] = ACTIONS(2107),
    [sym_private_property_identifier] = ACTIONS(2107),
    [sym_this] = ACTIONS(2107),
    [sym_super] = ACTIONS(2107),
    [sym_true] = ACTIONS(2107),
    [sym_false] = ACTIONS(2107),
    [sym_null] = ACTIONS(2107),
    [sym_undefined] = ACTIONS(2107),
    [anon_sym_AT] = ACTIONS(2107),
    [anon_sym_static] = ACTIONS(2107),
    [anon_sym_readonly] = ACTIONS(2107),
    [anon_sym_get] = ACTIONS(2107),
    [anon_sym_set] = ACTIONS(2107),
    [anon_sym_declare] = ACTIONS(2107),
    [anon_sym_public] = ACTIONS(2107),
    [anon_sym_private] = ACTIONS(2107),
    [anon_sym_protected] = ACTIONS(2107),
    [anon_sym_override] = ACTIONS(2107),
    [anon_sym_module] = ACTIONS(2107),
    [anon_sym_any] = ACTIONS(2107),
    [anon_sym_number] = ACTIONS(2107),
    [anon_sym_boolean] = ACTIONS(2107),
    [anon_sym_string] = ACTIONS(2107),
    [anon_sym_symbol] = ACTIONS(2107),
    [anon_sym_object] = ACTIONS(2107),
    [anon_sym_abstract] = ACTIONS(2107),
    [anon_sym_interface] = ACTIONS(2107),
    [anon_sym_enum] = ACTIONS(2107),
    [sym_html_comment] = ACTIONS(5),
  },
  [1624] = {
    [sym_comment] = STATE(1624),
    [ts_builtin_sym_end] = ACTIONS(3366),
    [sym_identifier] = ACTIONS(3110),
    [anon_sym_export] = ACTIONS(3110),
    [anon_sym_type] = ACTIONS(3110),
    [anon_sym_namespace] = ACTIONS(3110),
    [anon_sym_LBRACE] = ACTIONS(3110),
    [anon_sym_RBRACE] = ACTIONS(3110),
    [anon_sym_typeof] = ACTIONS(3110),
    [anon_sym_import] = ACTIONS(3110),
    [anon_sym_var] = ACTIONS(3110),
    [anon_sym_let] = ACTIONS(3110),
    [anon_sym_const] = ACTIONS(3110),
    [anon_sym_BANG] = ACTIONS(3110),
    [anon_sym_if] = ACTIONS(3110),
    [anon_sym_switch] = ACTIONS(3110),
    [anon_sym_for] = ACTIONS(3110),
    [anon_sym_LPAREN] = ACTIONS(3110),
    [anon_sym_await] = ACTIONS(3110),
    [anon_sym_while] = ACTIONS(3110),
    [anon_sym_do] = ACTIONS(3110),
    [anon_sym_try] = ACTIONS(3110),
    [anon_sym_with] = ACTIONS(3110),
    [anon_sym_break] = ACTIONS(3110),
    [anon_sym_continue] = ACTIONS(3110),
    [anon_sym_debugger] = ACTIONS(3110),
    [anon_sym_return] = ACTIONS(3110),
    [anon_sym_throw] = ACTIONS(3110),
    [anon_sym_SEMI] = ACTIONS(3110),
    [anon_sym_yield] = ACTIONS(3110),
    [anon_sym_LBRACK] = ACTIONS(3110),
    [anon_sym_LTtemplate_GT] = ACTIONS(3110),
    [anon_sym_class] = ACTIONS(3110),
    [anon_sym_async] = ACTIONS(3110),
    [anon_sym_function] = ACTIONS(3110),
    [anon_sym_new] = ACTIONS(3110),
    [anon_sym_using] = ACTIONS(3110),
    [anon_sym_PLUS] = ACTIONS(3110),
    [anon_sym_DASH] = ACTIONS(3110),
    [anon_sym_SLASH] = ACTIONS(3110),
    [anon_sym_LT] = ACTIONS(3110),
    [anon_sym_TILDE] = ACTIONS(3110),
    [anon_sym_void] = ACTIONS(3110),
    [anon_sym_delete] = ACTIONS(3110),
    [anon_sym_PLUS_PLUS] = ACTIONS(3110),
    [anon_sym_DASH_DASH] = ACTIONS(3110),
    [anon_sym_DQUOTE] = ACTIONS(3110),
    [anon_sym_SQUOTE] = ACTIONS(3110),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3110),
    [sym_number] = ACTIONS(3110),
    [sym_private_property_identifier] = ACTIONS(3110),
    [sym_this] = ACTIONS(3110),
    [sym_super] = ACTIONS(3110),
    [sym_true] = ACTIONS(3110),
    [sym_false] = ACTIONS(3110),
    [sym_null] = ACTIONS(3110),
    [sym_undefined] = ACTIONS(3110),
    [anon_sym_AT] = ACTIONS(3110),
    [anon_sym_static] = ACTIONS(3110),
    [anon_sym_readonly] = ACTIONS(3110),
    [anon_sym_get] = ACTIONS(3110),
    [anon_sym_set] = ACTIONS(3110),
    [anon_sym_declare] = ACTIONS(3110),
    [anon_sym_public] = ACTIONS(3110),
    [anon_sym_private] = ACTIONS(3110),
    [anon_sym_protected] = ACTIONS(3110),
    [anon_sym_override] = ACTIONS(3110),
    [anon_sym_module] = ACTIONS(3110),
    [anon_sym_any] = ACTIONS(3110),
    [anon_sym_number] = ACTIONS(3110),
    [anon_sym_boolean] = ACTIONS(3110),
    [anon_sym_string] = ACTIONS(3110),
    [anon_sym_symbol] = ACTIONS(3110),
    [anon_sym_object] = ACTIONS(3110),
    [anon_sym_abstract] = ACTIONS(3110),
    [anon_sym_interface] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3110),
    [sym_html_comment] = ACTIONS(5),
  },
  [1625] = {
    [sym_comment] = STATE(1625),
    [ts_builtin_sym_end] = ACTIONS(3512),
    [sym_identifier] = ACTIONS(3216),
    [anon_sym_export] = ACTIONS(3216),
    [anon_sym_type] = ACTIONS(3216),
    [anon_sym_namespace] = ACTIONS(3216),
    [anon_sym_LBRACE] = ACTIONS(3216),
    [anon_sym_RBRACE] = ACTIONS(3216),
    [anon_sym_typeof] = ACTIONS(3216),
    [anon_sym_import] = ACTIONS(3216),
    [anon_sym_var] = ACTIONS(3216),
    [anon_sym_let] = ACTIONS(3216),
    [anon_sym_const] = ACTIONS(3216),
    [anon_sym_BANG] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_switch] = ACTIONS(3216),
    [anon_sym_for] = ACTIONS(3216),
    [anon_sym_LPAREN] = ACTIONS(3216),
    [anon_sym_await] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(3216),
    [anon_sym_do] = ACTIONS(3216),
    [anon_sym_try] = ACTIONS(3216),
    [anon_sym_with] = ACTIONS(3216),
    [anon_sym_break] = ACTIONS(3216),
    [anon_sym_continue] = ACTIONS(3216),
    [anon_sym_debugger] = ACTIONS(3216),
    [anon_sym_return] = ACTIONS(3216),
    [anon_sym_throw] = ACTIONS(3216),
    [anon_sym_SEMI] = ACTIONS(3216),
    [anon_sym_yield] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_LTtemplate_GT] = ACTIONS(3216),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_async] = ACTIONS(3216),
    [anon_sym_function] = ACTIONS(3216),
    [anon_sym_new] = ACTIONS(3216),
    [anon_sym_using] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3216),
    [anon_sym_LT] = ACTIONS(3216),
    [anon_sym_TILDE] = ACTIONS(3216),
    [anon_sym_void] = ACTIONS(3216),
    [anon_sym_delete] = ACTIONS(3216),
    [anon_sym_PLUS_PLUS] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3216),
    [anon_sym_DQUOTE] = ACTIONS(3216),
    [anon_sym_SQUOTE] = ACTIONS(3216),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3216),
    [sym_number] = ACTIONS(3216),
    [sym_private_property_identifier] = ACTIONS(3216),
    [sym_this] = ACTIONS(3216),
    [sym_super] = ACTIONS(3216),
    [sym_true] = ACTIONS(3216),
    [sym_false] = ACTIONS(3216),
    [sym_null] = ACTIONS(3216),
    [sym_undefined] = ACTIONS(3216),
    [anon_sym_AT] = ACTIONS(3216),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_readonly] = ACTIONS(3216),
    [anon_sym_get] = ACTIONS(3216),
    [anon_sym_set] = ACTIONS(3216),
    [anon_sym_declare] = ACTIONS(3216),
    [anon_sym_public] = ACTIONS(3216),
    [anon_sym_private] = ACTIONS(3216),
    [anon_sym_protected] = ACTIONS(3216),
    [anon_sym_override] = ACTIONS(3216),
    [anon_sym_module] = ACTIONS(3216),
    [anon_sym_any] = ACTIONS(3216),
    [anon_sym_number] = ACTIONS(3216),
    [anon_sym_boolean] = ACTIONS(3216),
    [anon_sym_string] = ACTIONS(3216),
    [anon_sym_symbol] = ACTIONS(3216),
    [anon_sym_object] = ACTIONS(3216),
    [anon_sym_abstract] = ACTIONS(3216),
    [anon_sym_interface] = ACTIONS(3216),
    [anon_sym_enum] = ACTIONS(3216),
    [sym_html_comment] = ACTIONS(5),
  },
  [1626] = {
    [sym_comment] = STATE(1626),
    [ts_builtin_sym_end] = ACTIONS(3534),
    [sym_identifier] = ACTIONS(3144),
    [anon_sym_export] = ACTIONS(3144),
    [anon_sym_type] = ACTIONS(3144),
    [anon_sym_namespace] = ACTIONS(3144),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_RBRACE] = ACTIONS(3144),
    [anon_sym_typeof] = ACTIONS(3144),
    [anon_sym_import] = ACTIONS(3144),
    [anon_sym_var] = ACTIONS(3144),
    [anon_sym_let] = ACTIONS(3144),
    [anon_sym_const] = ACTIONS(3144),
    [anon_sym_BANG] = ACTIONS(3144),
    [anon_sym_if] = ACTIONS(3144),
    [anon_sym_switch] = ACTIONS(3144),
    [anon_sym_for] = ACTIONS(3144),
    [anon_sym_LPAREN] = ACTIONS(3144),
    [anon_sym_await] = ACTIONS(3144),
    [anon_sym_while] = ACTIONS(3144),
    [anon_sym_do] = ACTIONS(3144),
    [anon_sym_try] = ACTIONS(3144),
    [anon_sym_with] = ACTIONS(3144),
    [anon_sym_break] = ACTIONS(3144),
    [anon_sym_continue] = ACTIONS(3144),
    [anon_sym_debugger] = ACTIONS(3144),
    [anon_sym_return] = ACTIONS(3144),
    [anon_sym_throw] = ACTIONS(3144),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym_yield] = ACTIONS(3144),
    [anon_sym_LBRACK] = ACTIONS(3144),
    [anon_sym_LTtemplate_GT] = ACTIONS(3144),
    [anon_sym_class] = ACTIONS(3144),
    [anon_sym_async] = ACTIONS(3144),
    [anon_sym_function] = ACTIONS(3144),
    [anon_sym_new] = ACTIONS(3144),
    [anon_sym_using] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_SLASH] = ACTIONS(3144),
    [anon_sym_LT] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_void] = ACTIONS(3144),
    [anon_sym_delete] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_DQUOTE] = ACTIONS(3144),
    [anon_sym_SQUOTE] = ACTIONS(3144),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3144),
    [sym_number] = ACTIONS(3144),
    [sym_private_property_identifier] = ACTIONS(3144),
    [sym_this] = ACTIONS(3144),
    [sym_super] = ACTIONS(3144),
    [sym_true] = ACTIONS(3144),
    [sym_false] = ACTIONS(3144),
    [sym_null] = ACTIONS(3144),
    [sym_undefined] = ACTIONS(3144),
    [anon_sym_AT] = ACTIONS(3144),
    [anon_sym_static] = ACTIONS(3144),
    [anon_sym_readonly] = ACTIONS(3144),
    [anon_sym_get] = ACTIONS(3144),
    [anon_sym_set] = ACTIONS(3144),
    [anon_sym_declare] = ACTIONS(3144),
    [anon_sym_public] = ACTIONS(3144),
    [anon_sym_private] = ACTIONS(3144),
    [anon_sym_protected] = ACTIONS(3144),
    [anon_sym_override] = ACTIONS(3144),
    [anon_sym_module] = ACTIONS(3144),
    [anon_sym_any] = ACTIONS(3144),
    [anon_sym_number] = ACTIONS(3144),
    [anon_sym_boolean] = ACTIONS(3144),
    [anon_sym_string] = ACTIONS(3144),
    [anon_sym_symbol] = ACTIONS(3144),
    [anon_sym_object] = ACTIONS(3144),
    [anon_sym_abstract] = ACTIONS(3144),
    [anon_sym_interface] = ACTIONS(3144),
    [anon_sym_enum] = ACTIONS(3144),
    [sym_html_comment] = ACTIONS(5),
  },
  [1627] = {
    [sym_comment] = STATE(1627),
    [ts_builtin_sym_end] = ACTIONS(3446),
    [sym_identifier] = ACTIONS(3244),
    [anon_sym_export] = ACTIONS(3244),
    [anon_sym_type] = ACTIONS(3244),
    [anon_sym_namespace] = ACTIONS(3244),
    [anon_sym_LBRACE] = ACTIONS(3244),
    [anon_sym_RBRACE] = ACTIONS(3244),
    [anon_sym_typeof] = ACTIONS(3244),
    [anon_sym_import] = ACTIONS(3244),
    [anon_sym_var] = ACTIONS(3244),
    [anon_sym_let] = ACTIONS(3244),
    [anon_sym_const] = ACTIONS(3244),
    [anon_sym_BANG] = ACTIONS(3244),
    [anon_sym_if] = ACTIONS(3244),
    [anon_sym_switch] = ACTIONS(3244),
    [anon_sym_for] = ACTIONS(3244),
    [anon_sym_LPAREN] = ACTIONS(3244),
    [anon_sym_await] = ACTIONS(3244),
    [anon_sym_while] = ACTIONS(3244),
    [anon_sym_do] = ACTIONS(3244),
    [anon_sym_try] = ACTIONS(3244),
    [anon_sym_with] = ACTIONS(3244),
    [anon_sym_break] = ACTIONS(3244),
    [anon_sym_continue] = ACTIONS(3244),
    [anon_sym_debugger] = ACTIONS(3244),
    [anon_sym_return] = ACTIONS(3244),
    [anon_sym_throw] = ACTIONS(3244),
    [anon_sym_SEMI] = ACTIONS(3244),
    [anon_sym_yield] = ACTIONS(3244),
    [anon_sym_LBRACK] = ACTIONS(3244),
    [anon_sym_LTtemplate_GT] = ACTIONS(3244),
    [anon_sym_class] = ACTIONS(3244),
    [anon_sym_async] = ACTIONS(3244),
    [anon_sym_function] = ACTIONS(3244),
    [anon_sym_new] = ACTIONS(3244),
    [anon_sym_using] = ACTIONS(3244),
    [anon_sym_PLUS] = ACTIONS(3244),
    [anon_sym_DASH] = ACTIONS(3244),
    [anon_sym_SLASH] = ACTIONS(3244),
    [anon_sym_LT] = ACTIONS(3244),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_void] = ACTIONS(3244),
    [anon_sym_delete] = ACTIONS(3244),
    [anon_sym_PLUS_PLUS] = ACTIONS(3244),
    [anon_sym_DASH_DASH] = ACTIONS(3244),
    [anon_sym_DQUOTE] = ACTIONS(3244),
    [anon_sym_SQUOTE] = ACTIONS(3244),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3244),
    [sym_number] = ACTIONS(3244),
    [sym_private_property_identifier] = ACTIONS(3244),
    [sym_this] = ACTIONS(3244),
    [sym_super] = ACTIONS(3244),
    [sym_true] = ACTIONS(3244),
    [sym_false] = ACTIONS(3244),
    [sym_null] = ACTIONS(3244),
    [sym_undefined] = ACTIONS(3244),
    [anon_sym_AT] = ACTIONS(3244),
    [anon_sym_static] = ACTIONS(3244),
    [anon_sym_readonly] = ACTIONS(3244),
    [anon_sym_get] = ACTIONS(3244),
    [anon_sym_set] = ACTIONS(3244),
    [anon_sym_declare] = ACTIONS(3244),
    [anon_sym_public] = ACTIONS(3244),
    [anon_sym_private] = ACTIONS(3244),
    [anon_sym_protected] = ACTIONS(3244),
    [anon_sym_override] = ACTIONS(3244),
    [anon_sym_module] = ACTIONS(3244),
    [anon_sym_any] = ACTIONS(3244),
    [anon_sym_number] = ACTIONS(3244),
    [anon_sym_boolean] = ACTIONS(3244),
    [anon_sym_string] = ACTIONS(3244),
    [anon_sym_symbol] = ACTIONS(3244),
    [anon_sym_object] = ACTIONS(3244),
    [anon_sym_abstract] = ACTIONS(3244),
    [anon_sym_interface] = ACTIONS(3244),
    [anon_sym_enum] = ACTIONS(3244),
    [sym_html_comment] = ACTIONS(5),
  },
  [1628] = {
    [sym_comment] = STATE(1628),
    [ts_builtin_sym_end] = ACTIONS(3368),
    [sym_identifier] = ACTIONS(3156),
    [anon_sym_export] = ACTIONS(3156),
    [anon_sym_type] = ACTIONS(3156),
    [anon_sym_namespace] = ACTIONS(3156),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_RBRACE] = ACTIONS(3156),
    [anon_sym_typeof] = ACTIONS(3156),
    [anon_sym_import] = ACTIONS(3156),
    [anon_sym_var] = ACTIONS(3156),
    [anon_sym_let] = ACTIONS(3156),
    [anon_sym_const] = ACTIONS(3156),
    [anon_sym_BANG] = ACTIONS(3156),
    [anon_sym_if] = ACTIONS(3156),
    [anon_sym_switch] = ACTIONS(3156),
    [anon_sym_for] = ACTIONS(3156),
    [anon_sym_LPAREN] = ACTIONS(3156),
    [anon_sym_await] = ACTIONS(3156),
    [anon_sym_while] = ACTIONS(3156),
    [anon_sym_do] = ACTIONS(3156),
    [anon_sym_try] = ACTIONS(3156),
    [anon_sym_with] = ACTIONS(3156),
    [anon_sym_break] = ACTIONS(3156),
    [anon_sym_continue] = ACTIONS(3156),
    [anon_sym_debugger] = ACTIONS(3156),
    [anon_sym_return] = ACTIONS(3156),
    [anon_sym_throw] = ACTIONS(3156),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym_yield] = ACTIONS(3156),
    [anon_sym_LBRACK] = ACTIONS(3156),
    [anon_sym_LTtemplate_GT] = ACTIONS(3156),
    [anon_sym_class] = ACTIONS(3156),
    [anon_sym_async] = ACTIONS(3156),
    [anon_sym_function] = ACTIONS(3156),
    [anon_sym_new] = ACTIONS(3156),
    [anon_sym_using] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3156),
    [anon_sym_DASH] = ACTIONS(3156),
    [anon_sym_SLASH] = ACTIONS(3156),
    [anon_sym_LT] = ACTIONS(3156),
    [anon_sym_TILDE] = ACTIONS(3156),
    [anon_sym_void] = ACTIONS(3156),
    [anon_sym_delete] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [anon_sym_DQUOTE] = ACTIONS(3156),
    [anon_sym_SQUOTE] = ACTIONS(3156),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3156),
    [sym_number] = ACTIONS(3156),
    [sym_private_property_identifier] = ACTIONS(3156),
    [sym_this] = ACTIONS(3156),
    [sym_super] = ACTIONS(3156),
    [sym_true] = ACTIONS(3156),
    [sym_false] = ACTIONS(3156),
    [sym_null] = ACTIONS(3156),
    [sym_undefined] = ACTIONS(3156),
    [anon_sym_AT] = ACTIONS(3156),
    [anon_sym_static] = ACTIONS(3156),
    [anon_sym_readonly] = ACTIONS(3156),
    [anon_sym_get] = ACTIONS(3156),
    [anon_sym_set] = ACTIONS(3156),
    [anon_sym_declare] = ACTIONS(3156),
    [anon_sym_public] = ACTIONS(3156),
    [anon_sym_private] = ACTIONS(3156),
    [anon_sym_protected] = ACTIONS(3156),
    [anon_sym_override] = ACTIONS(3156),
    [anon_sym_module] = ACTIONS(3156),
    [anon_sym_any] = ACTIONS(3156),
    [anon_sym_number] = ACTIONS(3156),
    [anon_sym_boolean] = ACTIONS(3156),
    [anon_sym_string] = ACTIONS(3156),
    [anon_sym_symbol] = ACTIONS(3156),
    [anon_sym_object] = ACTIONS(3156),
    [anon_sym_abstract] = ACTIONS(3156),
    [anon_sym_interface] = ACTIONS(3156),
    [anon_sym_enum] = ACTIONS(3156),
    [sym_html_comment] = ACTIONS(5),
  },
  [1629] = {
    [sym_comment] = STATE(1629),
    [ts_builtin_sym_end] = ACTIONS(3514),
    [sym_identifier] = ACTIONS(3164),
    [anon_sym_export] = ACTIONS(3164),
    [anon_sym_type] = ACTIONS(3164),
    [anon_sym_namespace] = ACTIONS(3164),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_RBRACE] = ACTIONS(3164),
    [anon_sym_typeof] = ACTIONS(3164),
    [anon_sym_import] = ACTIONS(3164),
    [anon_sym_var] = ACTIONS(3164),
    [anon_sym_let] = ACTIONS(3164),
    [anon_sym_const] = ACTIONS(3164),
    [anon_sym_BANG] = ACTIONS(3164),
    [anon_sym_if] = ACTIONS(3164),
    [anon_sym_switch] = ACTIONS(3164),
    [anon_sym_for] = ACTIONS(3164),
    [anon_sym_LPAREN] = ACTIONS(3164),
    [anon_sym_await] = ACTIONS(3164),
    [anon_sym_while] = ACTIONS(3164),
    [anon_sym_do] = ACTIONS(3164),
    [anon_sym_try] = ACTIONS(3164),
    [anon_sym_with] = ACTIONS(3164),
    [anon_sym_break] = ACTIONS(3164),
    [anon_sym_continue] = ACTIONS(3164),
    [anon_sym_debugger] = ACTIONS(3164),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_throw] = ACTIONS(3164),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym_yield] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [anon_sym_LTtemplate_GT] = ACTIONS(3164),
    [anon_sym_class] = ACTIONS(3164),
    [anon_sym_async] = ACTIONS(3164),
    [anon_sym_function] = ACTIONS(3164),
    [anon_sym_new] = ACTIONS(3164),
    [anon_sym_using] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_SLASH] = ACTIONS(3164),
    [anon_sym_LT] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_void] = ACTIONS(3164),
    [anon_sym_delete] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [anon_sym_DQUOTE] = ACTIONS(3164),
    [anon_sym_SQUOTE] = ACTIONS(3164),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3164),
    [sym_number] = ACTIONS(3164),
    [sym_private_property_identifier] = ACTIONS(3164),
    [sym_this] = ACTIONS(3164),
    [sym_super] = ACTIONS(3164),
    [sym_true] = ACTIONS(3164),
    [sym_false] = ACTIONS(3164),
    [sym_null] = ACTIONS(3164),
    [sym_undefined] = ACTIONS(3164),
    [anon_sym_AT] = ACTIONS(3164),
    [anon_sym_static] = ACTIONS(3164),
    [anon_sym_readonly] = ACTIONS(3164),
    [anon_sym_get] = ACTIONS(3164),
    [anon_sym_set] = ACTIONS(3164),
    [anon_sym_declare] = ACTIONS(3164),
    [anon_sym_public] = ACTIONS(3164),
    [anon_sym_private] = ACTIONS(3164),
    [anon_sym_protected] = ACTIONS(3164),
    [anon_sym_override] = ACTIONS(3164),
    [anon_sym_module] = ACTIONS(3164),
    [anon_sym_any] = ACTIONS(3164),
    [anon_sym_number] = ACTIONS(3164),
    [anon_sym_boolean] = ACTIONS(3164),
    [anon_sym_string] = ACTIONS(3164),
    [anon_sym_symbol] = ACTIONS(3164),
    [anon_sym_object] = ACTIONS(3164),
    [anon_sym_abstract] = ACTIONS(3164),
    [anon_sym_interface] = ACTIONS(3164),
    [anon_sym_enum] = ACTIONS(3164),
    [sym_html_comment] = ACTIONS(5),
  },
  [1630] = {
    [sym_comment] = STATE(1630),
    [ts_builtin_sym_end] = ACTIONS(3534),
    [sym_identifier] = ACTIONS(3144),
    [anon_sym_export] = ACTIONS(3144),
    [anon_sym_type] = ACTIONS(3144),
    [anon_sym_namespace] = ACTIONS(3144),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_RBRACE] = ACTIONS(3144),
    [anon_sym_typeof] = ACTIONS(3144),
    [anon_sym_import] = ACTIONS(3144),
    [anon_sym_var] = ACTIONS(3144),
    [anon_sym_let] = ACTIONS(3144),
    [anon_sym_const] = ACTIONS(3144),
    [anon_sym_BANG] = ACTIONS(3144),
    [anon_sym_if] = ACTIONS(3144),
    [anon_sym_switch] = ACTIONS(3144),
    [anon_sym_for] = ACTIONS(3144),
    [anon_sym_LPAREN] = ACTIONS(3144),
    [anon_sym_await] = ACTIONS(3144),
    [anon_sym_while] = ACTIONS(3144),
    [anon_sym_do] = ACTIONS(3144),
    [anon_sym_try] = ACTIONS(3144),
    [anon_sym_with] = ACTIONS(3144),
    [anon_sym_break] = ACTIONS(3144),
    [anon_sym_continue] = ACTIONS(3144),
    [anon_sym_debugger] = ACTIONS(3144),
    [anon_sym_return] = ACTIONS(3144),
    [anon_sym_throw] = ACTIONS(3144),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym_yield] = ACTIONS(3144),
    [anon_sym_LBRACK] = ACTIONS(3144),
    [anon_sym_LTtemplate_GT] = ACTIONS(3144),
    [anon_sym_class] = ACTIONS(3144),
    [anon_sym_async] = ACTIONS(3144),
    [anon_sym_function] = ACTIONS(3144),
    [anon_sym_new] = ACTIONS(3144),
    [anon_sym_using] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_SLASH] = ACTIONS(3144),
    [anon_sym_LT] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_void] = ACTIONS(3144),
    [anon_sym_delete] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_DQUOTE] = ACTIONS(3144),
    [anon_sym_SQUOTE] = ACTIONS(3144),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3144),
    [sym_number] = ACTIONS(3144),
    [sym_private_property_identifier] = ACTIONS(3144),
    [sym_this] = ACTIONS(3144),
    [sym_super] = ACTIONS(3144),
    [sym_true] = ACTIONS(3144),
    [sym_false] = ACTIONS(3144),
    [sym_null] = ACTIONS(3144),
    [sym_undefined] = ACTIONS(3144),
    [anon_sym_AT] = ACTIONS(3144),
    [anon_sym_static] = ACTIONS(3144),
    [anon_sym_readonly] = ACTIONS(3144),
    [anon_sym_get] = ACTIONS(3144),
    [anon_sym_set] = ACTIONS(3144),
    [anon_sym_declare] = ACTIONS(3144),
    [anon_sym_public] = ACTIONS(3144),
    [anon_sym_private] = ACTIONS(3144),
    [anon_sym_protected] = ACTIONS(3144),
    [anon_sym_override] = ACTIONS(3144),
    [anon_sym_module] = ACTIONS(3144),
    [anon_sym_any] = ACTIONS(3144),
    [anon_sym_number] = ACTIONS(3144),
    [anon_sym_boolean] = ACTIONS(3144),
    [anon_sym_string] = ACTIONS(3144),
    [anon_sym_symbol] = ACTIONS(3144),
    [anon_sym_object] = ACTIONS(3144),
    [anon_sym_abstract] = ACTIONS(3144),
    [anon_sym_interface] = ACTIONS(3144),
    [anon_sym_enum] = ACTIONS(3144),
    [sym_html_comment] = ACTIONS(5),
  },
  [1631] = {
    [sym_comment] = STATE(1631),
    [ts_builtin_sym_end] = ACTIONS(3516),
    [sym_identifier] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_type] = ACTIONS(3222),
    [anon_sym_namespace] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_RBRACE] = ACTIONS(3222),
    [anon_sym_typeof] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_var] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_BANG] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_switch] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_await] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [anon_sym_do] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_with] = ACTIONS(3222),
    [anon_sym_break] = ACTIONS(3222),
    [anon_sym_continue] = ACTIONS(3222),
    [anon_sym_debugger] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_throw] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_yield] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_LTtemplate_GT] = ACTIONS(3222),
    [anon_sym_class] = ACTIONS(3222),
    [anon_sym_async] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_new] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_PLUS] = ACTIONS(3222),
    [anon_sym_DASH] = ACTIONS(3222),
    [anon_sym_SLASH] = ACTIONS(3222),
    [anon_sym_LT] = ACTIONS(3222),
    [anon_sym_TILDE] = ACTIONS(3222),
    [anon_sym_void] = ACTIONS(3222),
    [anon_sym_delete] = ACTIONS(3222),
    [anon_sym_PLUS_PLUS] = ACTIONS(3222),
    [anon_sym_DASH_DASH] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [sym_number] = ACTIONS(3222),
    [sym_private_property_identifier] = ACTIONS(3222),
    [sym_this] = ACTIONS(3222),
    [sym_super] = ACTIONS(3222),
    [sym_true] = ACTIONS(3222),
    [sym_false] = ACTIONS(3222),
    [sym_null] = ACTIONS(3222),
    [sym_undefined] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_static] = ACTIONS(3222),
    [anon_sym_readonly] = ACTIONS(3222),
    [anon_sym_get] = ACTIONS(3222),
    [anon_sym_set] = ACTIONS(3222),
    [anon_sym_declare] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_private] = ACTIONS(3222),
    [anon_sym_protected] = ACTIONS(3222),
    [anon_sym_override] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_any] = ACTIONS(3222),
    [anon_sym_number] = ACTIONS(3222),
    [anon_sym_boolean] = ACTIONS(3222),
    [anon_sym_string] = ACTIONS(3222),
    [anon_sym_symbol] = ACTIONS(3222),
    [anon_sym_object] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_interface] = ACTIONS(3222),
    [anon_sym_enum] = ACTIONS(3222),
    [sym_html_comment] = ACTIONS(5),
  },
  [1632] = {
    [sym_comment] = STATE(1632),
    [ts_builtin_sym_end] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3298),
    [anon_sym_export] = ACTIONS(3298),
    [anon_sym_type] = ACTIONS(3298),
    [anon_sym_namespace] = ACTIONS(3298),
    [anon_sym_LBRACE] = ACTIONS(3298),
    [anon_sym_RBRACE] = ACTIONS(3298),
    [anon_sym_typeof] = ACTIONS(3298),
    [anon_sym_import] = ACTIONS(3298),
    [anon_sym_var] = ACTIONS(3298),
    [anon_sym_let] = ACTIONS(3298),
    [anon_sym_const] = ACTIONS(3298),
    [anon_sym_BANG] = ACTIONS(3298),
    [anon_sym_if] = ACTIONS(3298),
    [anon_sym_switch] = ACTIONS(3298),
    [anon_sym_for] = ACTIONS(3298),
    [anon_sym_LPAREN] = ACTIONS(3298),
    [anon_sym_await] = ACTIONS(3298),
    [anon_sym_while] = ACTIONS(3298),
    [anon_sym_do] = ACTIONS(3298),
    [anon_sym_try] = ACTIONS(3298),
    [anon_sym_with] = ACTIONS(3298),
    [anon_sym_break] = ACTIONS(3298),
    [anon_sym_continue] = ACTIONS(3298),
    [anon_sym_debugger] = ACTIONS(3298),
    [anon_sym_return] = ACTIONS(3298),
    [anon_sym_throw] = ACTIONS(3298),
    [anon_sym_SEMI] = ACTIONS(3298),
    [anon_sym_yield] = ACTIONS(3298),
    [anon_sym_LBRACK] = ACTIONS(3298),
    [anon_sym_LTtemplate_GT] = ACTIONS(3298),
    [anon_sym_class] = ACTIONS(3298),
    [anon_sym_async] = ACTIONS(3298),
    [anon_sym_function] = ACTIONS(3298),
    [anon_sym_new] = ACTIONS(3298),
    [anon_sym_using] = ACTIONS(3298),
    [anon_sym_PLUS] = ACTIONS(3298),
    [anon_sym_DASH] = ACTIONS(3298),
    [anon_sym_SLASH] = ACTIONS(3298),
    [anon_sym_LT] = ACTIONS(3298),
    [anon_sym_TILDE] = ACTIONS(3298),
    [anon_sym_void] = ACTIONS(3298),
    [anon_sym_delete] = ACTIONS(3298),
    [anon_sym_PLUS_PLUS] = ACTIONS(3298),
    [anon_sym_DASH_DASH] = ACTIONS(3298),
    [anon_sym_DQUOTE] = ACTIONS(3298),
    [anon_sym_SQUOTE] = ACTIONS(3298),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3298),
    [sym_number] = ACTIONS(3298),
    [sym_private_property_identifier] = ACTIONS(3298),
    [sym_this] = ACTIONS(3298),
    [sym_super] = ACTIONS(3298),
    [sym_true] = ACTIONS(3298),
    [sym_false] = ACTIONS(3298),
    [sym_null] = ACTIONS(3298),
    [sym_undefined] = ACTIONS(3298),
    [anon_sym_AT] = ACTIONS(3298),
    [anon_sym_static] = ACTIONS(3298),
    [anon_sym_readonly] = ACTIONS(3298),
    [anon_sym_get] = ACTIONS(3298),
    [anon_sym_set] = ACTIONS(3298),
    [anon_sym_declare] = ACTIONS(3298),
    [anon_sym_public] = ACTIONS(3298),
    [anon_sym_private] = ACTIONS(3298),
    [anon_sym_protected] = ACTIONS(3298),
    [anon_sym_override] = ACTIONS(3298),
    [anon_sym_module] = ACTIONS(3298),
    [anon_sym_any] = ACTIONS(3298),
    [anon_sym_number] = ACTIONS(3298),
    [anon_sym_boolean] = ACTIONS(3298),
    [anon_sym_string] = ACTIONS(3298),
    [anon_sym_symbol] = ACTIONS(3298),
    [anon_sym_object] = ACTIONS(3298),
    [anon_sym_abstract] = ACTIONS(3298),
    [anon_sym_interface] = ACTIONS(3298),
    [anon_sym_enum] = ACTIONS(3298),
    [sym_html_comment] = ACTIONS(5),
  },
  [1633] = {
    [sym_comment] = STATE(1633),
    [ts_builtin_sym_end] = ACTIONS(3448),
    [sym_identifier] = ACTIONS(3234),
    [anon_sym_export] = ACTIONS(3234),
    [anon_sym_type] = ACTIONS(3234),
    [anon_sym_namespace] = ACTIONS(3234),
    [anon_sym_LBRACE] = ACTIONS(3234),
    [anon_sym_RBRACE] = ACTIONS(3234),
    [anon_sym_typeof] = ACTIONS(3234),
    [anon_sym_import] = ACTIONS(3234),
    [anon_sym_var] = ACTIONS(3234),
    [anon_sym_let] = ACTIONS(3234),
    [anon_sym_const] = ACTIONS(3234),
    [anon_sym_BANG] = ACTIONS(3234),
    [anon_sym_if] = ACTIONS(3234),
    [anon_sym_switch] = ACTIONS(3234),
    [anon_sym_for] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(3234),
    [anon_sym_await] = ACTIONS(3234),
    [anon_sym_while] = ACTIONS(3234),
    [anon_sym_do] = ACTIONS(3234),
    [anon_sym_try] = ACTIONS(3234),
    [anon_sym_with] = ACTIONS(3234),
    [anon_sym_break] = ACTIONS(3234),
    [anon_sym_continue] = ACTIONS(3234),
    [anon_sym_debugger] = ACTIONS(3234),
    [anon_sym_return] = ACTIONS(3234),
    [anon_sym_throw] = ACTIONS(3234),
    [anon_sym_SEMI] = ACTIONS(3234),
    [anon_sym_yield] = ACTIONS(3234),
    [anon_sym_LBRACK] = ACTIONS(3234),
    [anon_sym_LTtemplate_GT] = ACTIONS(3234),
    [anon_sym_class] = ACTIONS(3234),
    [anon_sym_async] = ACTIONS(3234),
    [anon_sym_function] = ACTIONS(3234),
    [anon_sym_new] = ACTIONS(3234),
    [anon_sym_using] = ACTIONS(3234),
    [anon_sym_PLUS] = ACTIONS(3234),
    [anon_sym_DASH] = ACTIONS(3234),
    [anon_sym_SLASH] = ACTIONS(3234),
    [anon_sym_LT] = ACTIONS(3234),
    [anon_sym_TILDE] = ACTIONS(3234),
    [anon_sym_void] = ACTIONS(3234),
    [anon_sym_delete] = ACTIONS(3234),
    [anon_sym_PLUS_PLUS] = ACTIONS(3234),
    [anon_sym_DASH_DASH] = ACTIONS(3234),
    [anon_sym_DQUOTE] = ACTIONS(3234),
    [anon_sym_SQUOTE] = ACTIONS(3234),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3234),
    [sym_number] = ACTIONS(3234),
    [sym_private_property_identifier] = ACTIONS(3234),
    [sym_this] = ACTIONS(3234),
    [sym_super] = ACTIONS(3234),
    [sym_true] = ACTIONS(3234),
    [sym_false] = ACTIONS(3234),
    [sym_null] = ACTIONS(3234),
    [sym_undefined] = ACTIONS(3234),
    [anon_sym_AT] = ACTIONS(3234),
    [anon_sym_static] = ACTIONS(3234),
    [anon_sym_readonly] = ACTIONS(3234),
    [anon_sym_get] = ACTIONS(3234),
    [anon_sym_set] = ACTIONS(3234),
    [anon_sym_declare] = ACTIONS(3234),
    [anon_sym_public] = ACTIONS(3234),
    [anon_sym_private] = ACTIONS(3234),
    [anon_sym_protected] = ACTIONS(3234),
    [anon_sym_override] = ACTIONS(3234),
    [anon_sym_module] = ACTIONS(3234),
    [anon_sym_any] = ACTIONS(3234),
    [anon_sym_number] = ACTIONS(3234),
    [anon_sym_boolean] = ACTIONS(3234),
    [anon_sym_string] = ACTIONS(3234),
    [anon_sym_symbol] = ACTIONS(3234),
    [anon_sym_object] = ACTIONS(3234),
    [anon_sym_abstract] = ACTIONS(3234),
    [anon_sym_interface] = ACTIONS(3234),
    [anon_sym_enum] = ACTIONS(3234),
    [sym_html_comment] = ACTIONS(5),
  },
  [1634] = {
    [sym_comment] = STATE(1634),
    [ts_builtin_sym_end] = ACTIONS(3372),
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_export] = ACTIONS(3154),
    [anon_sym_type] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_typeof] = ACTIONS(3154),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_var] = ACTIONS(3154),
    [anon_sym_let] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_debugger] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_LTtemplate_GT] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_function] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_void] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3154),
    [sym_number] = ACTIONS(3154),
    [sym_private_property_identifier] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
    [sym_super] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_null] = ACTIONS(3154),
    [sym_undefined] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_readonly] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_declare] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_module] = ACTIONS(3154),
    [anon_sym_any] = ACTIONS(3154),
    [anon_sym_number] = ACTIONS(3154),
    [anon_sym_boolean] = ACTIONS(3154),
    [anon_sym_string] = ACTIONS(3154),
    [anon_sym_symbol] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_interface] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [sym_html_comment] = ACTIONS(5),
  },
  [1635] = {
    [sym_comment] = STATE(1635),
    [ts_builtin_sym_end] = ACTIONS(2143),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_RBRACE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LTtemplate_GT] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_using] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_LT] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2141),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [sym_private_property_identifier] = ACTIONS(2141),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_object] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
    [sym_html_comment] = ACTIONS(5),
  },
  [1636] = {
    [sym_comment] = STATE(1636),
    [ts_builtin_sym_end] = ACTIONS(3402),
    [sym_identifier] = ACTIONS(3322),
    [anon_sym_export] = ACTIONS(3322),
    [anon_sym_type] = ACTIONS(3322),
    [anon_sym_namespace] = ACTIONS(3322),
    [anon_sym_LBRACE] = ACTIONS(3322),
    [anon_sym_RBRACE] = ACTIONS(3322),
    [anon_sym_typeof] = ACTIONS(3322),
    [anon_sym_import] = ACTIONS(3322),
    [anon_sym_var] = ACTIONS(3322),
    [anon_sym_let] = ACTIONS(3322),
    [anon_sym_const] = ACTIONS(3322),
    [anon_sym_BANG] = ACTIONS(3322),
    [anon_sym_if] = ACTIONS(3322),
    [anon_sym_switch] = ACTIONS(3322),
    [anon_sym_for] = ACTIONS(3322),
    [anon_sym_LPAREN] = ACTIONS(3322),
    [anon_sym_await] = ACTIONS(3322),
    [anon_sym_while] = ACTIONS(3322),
    [anon_sym_do] = ACTIONS(3322),
    [anon_sym_try] = ACTIONS(3322),
    [anon_sym_with] = ACTIONS(3322),
    [anon_sym_break] = ACTIONS(3322),
    [anon_sym_continue] = ACTIONS(3322),
    [anon_sym_debugger] = ACTIONS(3322),
    [anon_sym_return] = ACTIONS(3322),
    [anon_sym_throw] = ACTIONS(3322),
    [anon_sym_SEMI] = ACTIONS(3322),
    [anon_sym_yield] = ACTIONS(3322),
    [anon_sym_LBRACK] = ACTIONS(3322),
    [anon_sym_LTtemplate_GT] = ACTIONS(3322),
    [anon_sym_class] = ACTIONS(3322),
    [anon_sym_async] = ACTIONS(3322),
    [anon_sym_function] = ACTIONS(3322),
    [anon_sym_new] = ACTIONS(3322),
    [anon_sym_using] = ACTIONS(3322),
    [anon_sym_PLUS] = ACTIONS(3322),
    [anon_sym_DASH] = ACTIONS(3322),
    [anon_sym_SLASH] = ACTIONS(3322),
    [anon_sym_LT] = ACTIONS(3322),
    [anon_sym_TILDE] = ACTIONS(3322),
    [anon_sym_void] = ACTIONS(3322),
    [anon_sym_delete] = ACTIONS(3322),
    [anon_sym_PLUS_PLUS] = ACTIONS(3322),
    [anon_sym_DASH_DASH] = ACTIONS(3322),
    [anon_sym_DQUOTE] = ACTIONS(3322),
    [anon_sym_SQUOTE] = ACTIONS(3322),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3322),
    [sym_number] = ACTIONS(3322),
    [sym_private_property_identifier] = ACTIONS(3322),
    [sym_this] = ACTIONS(3322),
    [sym_super] = ACTIONS(3322),
    [sym_true] = ACTIONS(3322),
    [sym_false] = ACTIONS(3322),
    [sym_null] = ACTIONS(3322),
    [sym_undefined] = ACTIONS(3322),
    [anon_sym_AT] = ACTIONS(3322),
    [anon_sym_static] = ACTIONS(3322),
    [anon_sym_readonly] = ACTIONS(3322),
    [anon_sym_get] = ACTIONS(3322),
    [anon_sym_set] = ACTIONS(3322),
    [anon_sym_declare] = ACTIONS(3322),
    [anon_sym_public] = ACTIONS(3322),
    [anon_sym_private] = ACTIONS(3322),
    [anon_sym_protected] = ACTIONS(3322),
    [anon_sym_override] = ACTIONS(3322),
    [anon_sym_module] = ACTIONS(3322),
    [anon_sym_any] = ACTIONS(3322),
    [anon_sym_number] = ACTIONS(3322),
    [anon_sym_boolean] = ACTIONS(3322),
    [anon_sym_string] = ACTIONS(3322),
    [anon_sym_symbol] = ACTIONS(3322),
    [anon_sym_object] = ACTIONS(3322),
    [anon_sym_abstract] = ACTIONS(3322),
    [anon_sym_interface] = ACTIONS(3322),
    [anon_sym_enum] = ACTIONS(3322),
    [sym_html_comment] = ACTIONS(5),
  },
  [1637] = {
    [sym_comment] = STATE(1637),
    [ts_builtin_sym_end] = ACTIONS(3400),
    [sym_identifier] = ACTIONS(3324),
    [anon_sym_export] = ACTIONS(3324),
    [anon_sym_type] = ACTIONS(3324),
    [anon_sym_namespace] = ACTIONS(3324),
    [anon_sym_LBRACE] = ACTIONS(3324),
    [anon_sym_RBRACE] = ACTIONS(3324),
    [anon_sym_typeof] = ACTIONS(3324),
    [anon_sym_import] = ACTIONS(3324),
    [anon_sym_var] = ACTIONS(3324),
    [anon_sym_let] = ACTIONS(3324),
    [anon_sym_const] = ACTIONS(3324),
    [anon_sym_BANG] = ACTIONS(3324),
    [anon_sym_if] = ACTIONS(3324),
    [anon_sym_switch] = ACTIONS(3324),
    [anon_sym_for] = ACTIONS(3324),
    [anon_sym_LPAREN] = ACTIONS(3324),
    [anon_sym_await] = ACTIONS(3324),
    [anon_sym_while] = ACTIONS(3324),
    [anon_sym_do] = ACTIONS(3324),
    [anon_sym_try] = ACTIONS(3324),
    [anon_sym_with] = ACTIONS(3324),
    [anon_sym_break] = ACTIONS(3324),
    [anon_sym_continue] = ACTIONS(3324),
    [anon_sym_debugger] = ACTIONS(3324),
    [anon_sym_return] = ACTIONS(3324),
    [anon_sym_throw] = ACTIONS(3324),
    [anon_sym_SEMI] = ACTIONS(3324),
    [anon_sym_yield] = ACTIONS(3324),
    [anon_sym_LBRACK] = ACTIONS(3324),
    [anon_sym_LTtemplate_GT] = ACTIONS(3324),
    [anon_sym_class] = ACTIONS(3324),
    [anon_sym_async] = ACTIONS(3324),
    [anon_sym_function] = ACTIONS(3324),
    [anon_sym_new] = ACTIONS(3324),
    [anon_sym_using] = ACTIONS(3324),
    [anon_sym_PLUS] = ACTIONS(3324),
    [anon_sym_DASH] = ACTIONS(3324),
    [anon_sym_SLASH] = ACTIONS(3324),
    [anon_sym_LT] = ACTIONS(3324),
    [anon_sym_TILDE] = ACTIONS(3324),
    [anon_sym_void] = ACTIONS(3324),
    [anon_sym_delete] = ACTIONS(3324),
    [anon_sym_PLUS_PLUS] = ACTIONS(3324),
    [anon_sym_DASH_DASH] = ACTIONS(3324),
    [anon_sym_DQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3324),
    [sym_number] = ACTIONS(3324),
    [sym_private_property_identifier] = ACTIONS(3324),
    [sym_this] = ACTIONS(3324),
    [sym_super] = ACTIONS(3324),
    [sym_true] = ACTIONS(3324),
    [sym_false] = ACTIONS(3324),
    [sym_null] = ACTIONS(3324),
    [sym_undefined] = ACTIONS(3324),
    [anon_sym_AT] = ACTIONS(3324),
    [anon_sym_static] = ACTIONS(3324),
    [anon_sym_readonly] = ACTIONS(3324),
    [anon_sym_get] = ACTIONS(3324),
    [anon_sym_set] = ACTIONS(3324),
    [anon_sym_declare] = ACTIONS(3324),
    [anon_sym_public] = ACTIONS(3324),
    [anon_sym_private] = ACTIONS(3324),
    [anon_sym_protected] = ACTIONS(3324),
    [anon_sym_override] = ACTIONS(3324),
    [anon_sym_module] = ACTIONS(3324),
    [anon_sym_any] = ACTIONS(3324),
    [anon_sym_number] = ACTIONS(3324),
    [anon_sym_boolean] = ACTIONS(3324),
    [anon_sym_string] = ACTIONS(3324),
    [anon_sym_symbol] = ACTIONS(3324),
    [anon_sym_object] = ACTIONS(3324),
    [anon_sym_abstract] = ACTIONS(3324),
    [anon_sym_interface] = ACTIONS(3324),
    [anon_sym_enum] = ACTIONS(3324),
    [sym_html_comment] = ACTIONS(5),
  },
  [1638] = {
    [sym_comment] = STATE(1638),
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1639] = {
    [sym_comment] = STATE(1639),
    [ts_builtin_sym_end] = ACTIONS(3396),
    [sym_identifier] = ACTIONS(3328),
    [anon_sym_export] = ACTIONS(3328),
    [anon_sym_type] = ACTIONS(3328),
    [anon_sym_namespace] = ACTIONS(3328),
    [anon_sym_LBRACE] = ACTIONS(3328),
    [anon_sym_RBRACE] = ACTIONS(3328),
    [anon_sym_typeof] = ACTIONS(3328),
    [anon_sym_import] = ACTIONS(3328),
    [anon_sym_var] = ACTIONS(3328),
    [anon_sym_let] = ACTIONS(3328),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_if] = ACTIONS(3328),
    [anon_sym_switch] = ACTIONS(3328),
    [anon_sym_for] = ACTIONS(3328),
    [anon_sym_LPAREN] = ACTIONS(3328),
    [anon_sym_await] = ACTIONS(3328),
    [anon_sym_while] = ACTIONS(3328),
    [anon_sym_do] = ACTIONS(3328),
    [anon_sym_try] = ACTIONS(3328),
    [anon_sym_with] = ACTIONS(3328),
    [anon_sym_break] = ACTIONS(3328),
    [anon_sym_continue] = ACTIONS(3328),
    [anon_sym_debugger] = ACTIONS(3328),
    [anon_sym_return] = ACTIONS(3328),
    [anon_sym_throw] = ACTIONS(3328),
    [anon_sym_SEMI] = ACTIONS(3328),
    [anon_sym_yield] = ACTIONS(3328),
    [anon_sym_LBRACK] = ACTIONS(3328),
    [anon_sym_LTtemplate_GT] = ACTIONS(3328),
    [anon_sym_class] = ACTIONS(3328),
    [anon_sym_async] = ACTIONS(3328),
    [anon_sym_function] = ACTIONS(3328),
    [anon_sym_new] = ACTIONS(3328),
    [anon_sym_using] = ACTIONS(3328),
    [anon_sym_PLUS] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3328),
    [anon_sym_SLASH] = ACTIONS(3328),
    [anon_sym_LT] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_void] = ACTIONS(3328),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_PLUS_PLUS] = ACTIONS(3328),
    [anon_sym_DASH_DASH] = ACTIONS(3328),
    [anon_sym_DQUOTE] = ACTIONS(3328),
    [anon_sym_SQUOTE] = ACTIONS(3328),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3328),
    [sym_number] = ACTIONS(3328),
    [sym_private_property_identifier] = ACTIONS(3328),
    [sym_this] = ACTIONS(3328),
    [sym_super] = ACTIONS(3328),
    [sym_true] = ACTIONS(3328),
    [sym_false] = ACTIONS(3328),
    [sym_null] = ACTIONS(3328),
    [sym_undefined] = ACTIONS(3328),
    [anon_sym_AT] = ACTIONS(3328),
    [anon_sym_static] = ACTIONS(3328),
    [anon_sym_readonly] = ACTIONS(3328),
    [anon_sym_get] = ACTIONS(3328),
    [anon_sym_set] = ACTIONS(3328),
    [anon_sym_declare] = ACTIONS(3328),
    [anon_sym_public] = ACTIONS(3328),
    [anon_sym_private] = ACTIONS(3328),
    [anon_sym_protected] = ACTIONS(3328),
    [anon_sym_override] = ACTIONS(3328),
    [anon_sym_module] = ACTIONS(3328),
    [anon_sym_any] = ACTIONS(3328),
    [anon_sym_number] = ACTIONS(3328),
    [anon_sym_boolean] = ACTIONS(3328),
    [anon_sym_string] = ACTIONS(3328),
    [anon_sym_symbol] = ACTIONS(3328),
    [anon_sym_object] = ACTIONS(3328),
    [anon_sym_abstract] = ACTIONS(3328),
    [anon_sym_interface] = ACTIONS(3328),
    [anon_sym_enum] = ACTIONS(3328),
    [sym_html_comment] = ACTIONS(5),
  },
  [1640] = {
    [sym_comment] = STATE(1640),
    [ts_builtin_sym_end] = ACTIONS(3394),
    [sym_identifier] = ACTIONS(3330),
    [anon_sym_export] = ACTIONS(3330),
    [anon_sym_type] = ACTIONS(3330),
    [anon_sym_namespace] = ACTIONS(3330),
    [anon_sym_LBRACE] = ACTIONS(3330),
    [anon_sym_RBRACE] = ACTIONS(3330),
    [anon_sym_typeof] = ACTIONS(3330),
    [anon_sym_import] = ACTIONS(3330),
    [anon_sym_var] = ACTIONS(3330),
    [anon_sym_let] = ACTIONS(3330),
    [anon_sym_const] = ACTIONS(3330),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_if] = ACTIONS(3330),
    [anon_sym_switch] = ACTIONS(3330),
    [anon_sym_for] = ACTIONS(3330),
    [anon_sym_LPAREN] = ACTIONS(3330),
    [anon_sym_await] = ACTIONS(3330),
    [anon_sym_while] = ACTIONS(3330),
    [anon_sym_do] = ACTIONS(3330),
    [anon_sym_try] = ACTIONS(3330),
    [anon_sym_with] = ACTIONS(3330),
    [anon_sym_break] = ACTIONS(3330),
    [anon_sym_continue] = ACTIONS(3330),
    [anon_sym_debugger] = ACTIONS(3330),
    [anon_sym_return] = ACTIONS(3330),
    [anon_sym_throw] = ACTIONS(3330),
    [anon_sym_SEMI] = ACTIONS(3330),
    [anon_sym_yield] = ACTIONS(3330),
    [anon_sym_LBRACK] = ACTIONS(3330),
    [anon_sym_LTtemplate_GT] = ACTIONS(3330),
    [anon_sym_class] = ACTIONS(3330),
    [anon_sym_async] = ACTIONS(3330),
    [anon_sym_function] = ACTIONS(3330),
    [anon_sym_new] = ACTIONS(3330),
    [anon_sym_using] = ACTIONS(3330),
    [anon_sym_PLUS] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3330),
    [anon_sym_SLASH] = ACTIONS(3330),
    [anon_sym_LT] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_void] = ACTIONS(3330),
    [anon_sym_delete] = ACTIONS(3330),
    [anon_sym_PLUS_PLUS] = ACTIONS(3330),
    [anon_sym_DASH_DASH] = ACTIONS(3330),
    [anon_sym_DQUOTE] = ACTIONS(3330),
    [anon_sym_SQUOTE] = ACTIONS(3330),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3330),
    [sym_number] = ACTIONS(3330),
    [sym_private_property_identifier] = ACTIONS(3330),
    [sym_this] = ACTIONS(3330),
    [sym_super] = ACTIONS(3330),
    [sym_true] = ACTIONS(3330),
    [sym_false] = ACTIONS(3330),
    [sym_null] = ACTIONS(3330),
    [sym_undefined] = ACTIONS(3330),
    [anon_sym_AT] = ACTIONS(3330),
    [anon_sym_static] = ACTIONS(3330),
    [anon_sym_readonly] = ACTIONS(3330),
    [anon_sym_get] = ACTIONS(3330),
    [anon_sym_set] = ACTIONS(3330),
    [anon_sym_declare] = ACTIONS(3330),
    [anon_sym_public] = ACTIONS(3330),
    [anon_sym_private] = ACTIONS(3330),
    [anon_sym_protected] = ACTIONS(3330),
    [anon_sym_override] = ACTIONS(3330),
    [anon_sym_module] = ACTIONS(3330),
    [anon_sym_any] = ACTIONS(3330),
    [anon_sym_number] = ACTIONS(3330),
    [anon_sym_boolean] = ACTIONS(3330),
    [anon_sym_string] = ACTIONS(3330),
    [anon_sym_symbol] = ACTIONS(3330),
    [anon_sym_object] = ACTIONS(3330),
    [anon_sym_abstract] = ACTIONS(3330),
    [anon_sym_interface] = ACTIONS(3330),
    [anon_sym_enum] = ACTIONS(3330),
    [sym_html_comment] = ACTIONS(5),
  },
  [1641] = {
    [sym_comment] = STATE(1641),
    [ts_builtin_sym_end] = ACTIONS(3392),
    [sym_identifier] = ACTIONS(3332),
    [anon_sym_export] = ACTIONS(3332),
    [anon_sym_type] = ACTIONS(3332),
    [anon_sym_namespace] = ACTIONS(3332),
    [anon_sym_LBRACE] = ACTIONS(3332),
    [anon_sym_RBRACE] = ACTIONS(3332),
    [anon_sym_typeof] = ACTIONS(3332),
    [anon_sym_import] = ACTIONS(3332),
    [anon_sym_var] = ACTIONS(3332),
    [anon_sym_let] = ACTIONS(3332),
    [anon_sym_const] = ACTIONS(3332),
    [anon_sym_BANG] = ACTIONS(3332),
    [anon_sym_if] = ACTIONS(3332),
    [anon_sym_switch] = ACTIONS(3332),
    [anon_sym_for] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(3332),
    [anon_sym_await] = ACTIONS(3332),
    [anon_sym_while] = ACTIONS(3332),
    [anon_sym_do] = ACTIONS(3332),
    [anon_sym_try] = ACTIONS(3332),
    [anon_sym_with] = ACTIONS(3332),
    [anon_sym_break] = ACTIONS(3332),
    [anon_sym_continue] = ACTIONS(3332),
    [anon_sym_debugger] = ACTIONS(3332),
    [anon_sym_return] = ACTIONS(3332),
    [anon_sym_throw] = ACTIONS(3332),
    [anon_sym_SEMI] = ACTIONS(3332),
    [anon_sym_yield] = ACTIONS(3332),
    [anon_sym_LBRACK] = ACTIONS(3332),
    [anon_sym_LTtemplate_GT] = ACTIONS(3332),
    [anon_sym_class] = ACTIONS(3332),
    [anon_sym_async] = ACTIONS(3332),
    [anon_sym_function] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3332),
    [anon_sym_using] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_SLASH] = ACTIONS(3332),
    [anon_sym_LT] = ACTIONS(3332),
    [anon_sym_TILDE] = ACTIONS(3332),
    [anon_sym_void] = ACTIONS(3332),
    [anon_sym_delete] = ACTIONS(3332),
    [anon_sym_PLUS_PLUS] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3332),
    [anon_sym_DQUOTE] = ACTIONS(3332),
    [anon_sym_SQUOTE] = ACTIONS(3332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3332),
    [sym_number] = ACTIONS(3332),
    [sym_private_property_identifier] = ACTIONS(3332),
    [sym_this] = ACTIONS(3332),
    [sym_super] = ACTIONS(3332),
    [sym_true] = ACTIONS(3332),
    [sym_false] = ACTIONS(3332),
    [sym_null] = ACTIONS(3332),
    [sym_undefined] = ACTIONS(3332),
    [anon_sym_AT] = ACTIONS(3332),
    [anon_sym_static] = ACTIONS(3332),
    [anon_sym_readonly] = ACTIONS(3332),
    [anon_sym_get] = ACTIONS(3332),
    [anon_sym_set] = ACTIONS(3332),
    [anon_sym_declare] = ACTIONS(3332),
    [anon_sym_public] = ACTIONS(3332),
    [anon_sym_private] = ACTIONS(3332),
    [anon_sym_protected] = ACTIONS(3332),
    [anon_sym_override] = ACTIONS(3332),
    [anon_sym_module] = ACTIONS(3332),
    [anon_sym_any] = ACTIONS(3332),
    [anon_sym_number] = ACTIONS(3332),
    [anon_sym_boolean] = ACTIONS(3332),
    [anon_sym_string] = ACTIONS(3332),
    [anon_sym_symbol] = ACTIONS(3332),
    [anon_sym_object] = ACTIONS(3332),
    [anon_sym_abstract] = ACTIONS(3332),
    [anon_sym_interface] = ACTIONS(3332),
    [anon_sym_enum] = ACTIONS(3332),
    [sym_html_comment] = ACTIONS(5),
  },
  [1642] = {
    [sym_comment] = STATE(1642),
    [ts_builtin_sym_end] = ACTIONS(3390),
    [sym_identifier] = ACTIONS(3334),
    [anon_sym_export] = ACTIONS(3334),
    [anon_sym_type] = ACTIONS(3334),
    [anon_sym_namespace] = ACTIONS(3334),
    [anon_sym_LBRACE] = ACTIONS(3334),
    [anon_sym_RBRACE] = ACTIONS(3334),
    [anon_sym_typeof] = ACTIONS(3334),
    [anon_sym_import] = ACTIONS(3334),
    [anon_sym_var] = ACTIONS(3334),
    [anon_sym_let] = ACTIONS(3334),
    [anon_sym_const] = ACTIONS(3334),
    [anon_sym_BANG] = ACTIONS(3334),
    [anon_sym_if] = ACTIONS(3334),
    [anon_sym_switch] = ACTIONS(3334),
    [anon_sym_for] = ACTIONS(3334),
    [anon_sym_LPAREN] = ACTIONS(3334),
    [anon_sym_await] = ACTIONS(3334),
    [anon_sym_while] = ACTIONS(3334),
    [anon_sym_do] = ACTIONS(3334),
    [anon_sym_try] = ACTIONS(3334),
    [anon_sym_with] = ACTIONS(3334),
    [anon_sym_break] = ACTIONS(3334),
    [anon_sym_continue] = ACTIONS(3334),
    [anon_sym_debugger] = ACTIONS(3334),
    [anon_sym_return] = ACTIONS(3334),
    [anon_sym_throw] = ACTIONS(3334),
    [anon_sym_SEMI] = ACTIONS(3334),
    [anon_sym_yield] = ACTIONS(3334),
    [anon_sym_LBRACK] = ACTIONS(3334),
    [anon_sym_LTtemplate_GT] = ACTIONS(3334),
    [anon_sym_class] = ACTIONS(3334),
    [anon_sym_async] = ACTIONS(3334),
    [anon_sym_function] = ACTIONS(3334),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_using] = ACTIONS(3334),
    [anon_sym_PLUS] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3334),
    [anon_sym_SLASH] = ACTIONS(3334),
    [anon_sym_LT] = ACTIONS(3334),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_void] = ACTIONS(3334),
    [anon_sym_delete] = ACTIONS(3334),
    [anon_sym_PLUS_PLUS] = ACTIONS(3334),
    [anon_sym_DASH_DASH] = ACTIONS(3334),
    [anon_sym_DQUOTE] = ACTIONS(3334),
    [anon_sym_SQUOTE] = ACTIONS(3334),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3334),
    [sym_number] = ACTIONS(3334),
    [sym_private_property_identifier] = ACTIONS(3334),
    [sym_this] = ACTIONS(3334),
    [sym_super] = ACTIONS(3334),
    [sym_true] = ACTIONS(3334),
    [sym_false] = ACTIONS(3334),
    [sym_null] = ACTIONS(3334),
    [sym_undefined] = ACTIONS(3334),
    [anon_sym_AT] = ACTIONS(3334),
    [anon_sym_static] = ACTIONS(3334),
    [anon_sym_readonly] = ACTIONS(3334),
    [anon_sym_get] = ACTIONS(3334),
    [anon_sym_set] = ACTIONS(3334),
    [anon_sym_declare] = ACTIONS(3334),
    [anon_sym_public] = ACTIONS(3334),
    [anon_sym_private] = ACTIONS(3334),
    [anon_sym_protected] = ACTIONS(3334),
    [anon_sym_override] = ACTIONS(3334),
    [anon_sym_module] = ACTIONS(3334),
    [anon_sym_any] = ACTIONS(3334),
    [anon_sym_number] = ACTIONS(3334),
    [anon_sym_boolean] = ACTIONS(3334),
    [anon_sym_string] = ACTIONS(3334),
    [anon_sym_symbol] = ACTIONS(3334),
    [anon_sym_object] = ACTIONS(3334),
    [anon_sym_abstract] = ACTIONS(3334),
    [anon_sym_interface] = ACTIONS(3334),
    [anon_sym_enum] = ACTIONS(3334),
    [sym_html_comment] = ACTIONS(5),
  },
  [1643] = {
    [sym_comment] = STATE(1643),
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1644] = {
    [sym_comment] = STATE(1644),
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1645] = {
    [sym_comment] = STATE(1645),
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1646] = {
    [sym_comment] = STATE(1646),
    [ts_builtin_sym_end] = ACTIONS(3516),
    [sym_identifier] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_type] = ACTIONS(3222),
    [anon_sym_namespace] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_RBRACE] = ACTIONS(3222),
    [anon_sym_typeof] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_var] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_BANG] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_switch] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_await] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [anon_sym_do] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_with] = ACTIONS(3222),
    [anon_sym_break] = ACTIONS(3222),
    [anon_sym_continue] = ACTIONS(3222),
    [anon_sym_debugger] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_throw] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_yield] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_LTtemplate_GT] = ACTIONS(3222),
    [anon_sym_class] = ACTIONS(3222),
    [anon_sym_async] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_new] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_PLUS] = ACTIONS(3222),
    [anon_sym_DASH] = ACTIONS(3222),
    [anon_sym_SLASH] = ACTIONS(3222),
    [anon_sym_LT] = ACTIONS(3222),
    [anon_sym_TILDE] = ACTIONS(3222),
    [anon_sym_void] = ACTIONS(3222),
    [anon_sym_delete] = ACTIONS(3222),
    [anon_sym_PLUS_PLUS] = ACTIONS(3222),
    [anon_sym_DASH_DASH] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [sym_number] = ACTIONS(3222),
    [sym_private_property_identifier] = ACTIONS(3222),
    [sym_this] = ACTIONS(3222),
    [sym_super] = ACTIONS(3222),
    [sym_true] = ACTIONS(3222),
    [sym_false] = ACTIONS(3222),
    [sym_null] = ACTIONS(3222),
    [sym_undefined] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_static] = ACTIONS(3222),
    [anon_sym_readonly] = ACTIONS(3222),
    [anon_sym_get] = ACTIONS(3222),
    [anon_sym_set] = ACTIONS(3222),
    [anon_sym_declare] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_private] = ACTIONS(3222),
    [anon_sym_protected] = ACTIONS(3222),
    [anon_sym_override] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_any] = ACTIONS(3222),
    [anon_sym_number] = ACTIONS(3222),
    [anon_sym_boolean] = ACTIONS(3222),
    [anon_sym_string] = ACTIONS(3222),
    [anon_sym_symbol] = ACTIONS(3222),
    [anon_sym_object] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_interface] = ACTIONS(3222),
    [anon_sym_enum] = ACTIONS(3222),
    [sym_html_comment] = ACTIONS(5),
  },
  [1647] = {
    [sym_comment] = STATE(1647),
    [ts_builtin_sym_end] = ACTIONS(2137),
    [sym_identifier] = ACTIONS(2135),
    [anon_sym_export] = ACTIONS(2135),
    [anon_sym_type] = ACTIONS(2135),
    [anon_sym_namespace] = ACTIONS(2135),
    [anon_sym_LBRACE] = ACTIONS(2135),
    [anon_sym_RBRACE] = ACTIONS(2135),
    [anon_sym_typeof] = ACTIONS(2135),
    [anon_sym_import] = ACTIONS(2135),
    [anon_sym_var] = ACTIONS(2135),
    [anon_sym_let] = ACTIONS(2135),
    [anon_sym_const] = ACTIONS(2135),
    [anon_sym_BANG] = ACTIONS(2135),
    [anon_sym_if] = ACTIONS(2135),
    [anon_sym_switch] = ACTIONS(2135),
    [anon_sym_for] = ACTIONS(2135),
    [anon_sym_LPAREN] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2135),
    [anon_sym_while] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(2135),
    [anon_sym_try] = ACTIONS(2135),
    [anon_sym_with] = ACTIONS(2135),
    [anon_sym_break] = ACTIONS(2135),
    [anon_sym_continue] = ACTIONS(2135),
    [anon_sym_debugger] = ACTIONS(2135),
    [anon_sym_return] = ACTIONS(2135),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_SEMI] = ACTIONS(2135),
    [anon_sym_yield] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(2135),
    [anon_sym_LTtemplate_GT] = ACTIONS(2135),
    [anon_sym_class] = ACTIONS(2135),
    [anon_sym_async] = ACTIONS(2135),
    [anon_sym_function] = ACTIONS(2135),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_using] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_SLASH] = ACTIONS(2135),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_TILDE] = ACTIONS(2135),
    [anon_sym_void] = ACTIONS(2135),
    [anon_sym_delete] = ACTIONS(2135),
    [anon_sym_PLUS_PLUS] = ACTIONS(2135),
    [anon_sym_DASH_DASH] = ACTIONS(2135),
    [anon_sym_DQUOTE] = ACTIONS(2135),
    [anon_sym_SQUOTE] = ACTIONS(2135),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2135),
    [sym_number] = ACTIONS(2135),
    [sym_private_property_identifier] = ACTIONS(2135),
    [sym_this] = ACTIONS(2135),
    [sym_super] = ACTIONS(2135),
    [sym_true] = ACTIONS(2135),
    [sym_false] = ACTIONS(2135),
    [sym_null] = ACTIONS(2135),
    [sym_undefined] = ACTIONS(2135),
    [anon_sym_AT] = ACTIONS(2135),
    [anon_sym_static] = ACTIONS(2135),
    [anon_sym_readonly] = ACTIONS(2135),
    [anon_sym_get] = ACTIONS(2135),
    [anon_sym_set] = ACTIONS(2135),
    [anon_sym_declare] = ACTIONS(2135),
    [anon_sym_public] = ACTIONS(2135),
    [anon_sym_private] = ACTIONS(2135),
    [anon_sym_protected] = ACTIONS(2135),
    [anon_sym_override] = ACTIONS(2135),
    [anon_sym_module] = ACTIONS(2135),
    [anon_sym_any] = ACTIONS(2135),
    [anon_sym_number] = ACTIONS(2135),
    [anon_sym_boolean] = ACTIONS(2135),
    [anon_sym_string] = ACTIONS(2135),
    [anon_sym_symbol] = ACTIONS(2135),
    [anon_sym_object] = ACTIONS(2135),
    [anon_sym_abstract] = ACTIONS(2135),
    [anon_sym_interface] = ACTIONS(2135),
    [anon_sym_enum] = ACTIONS(2135),
    [sym_html_comment] = ACTIONS(5),
  },
  [1648] = {
    [sym_comment] = STATE(1648),
    [ts_builtin_sym_end] = ACTIONS(3450),
    [sym_identifier] = ACTIONS(3230),
    [anon_sym_export] = ACTIONS(3230),
    [anon_sym_type] = ACTIONS(3230),
    [anon_sym_namespace] = ACTIONS(3230),
    [anon_sym_LBRACE] = ACTIONS(3230),
    [anon_sym_RBRACE] = ACTIONS(3230),
    [anon_sym_typeof] = ACTIONS(3230),
    [anon_sym_import] = ACTIONS(3230),
    [anon_sym_var] = ACTIONS(3230),
    [anon_sym_let] = ACTIONS(3230),
    [anon_sym_const] = ACTIONS(3230),
    [anon_sym_BANG] = ACTIONS(3230),
    [anon_sym_if] = ACTIONS(3230),
    [anon_sym_switch] = ACTIONS(3230),
    [anon_sym_for] = ACTIONS(3230),
    [anon_sym_LPAREN] = ACTIONS(3230),
    [anon_sym_await] = ACTIONS(3230),
    [anon_sym_while] = ACTIONS(3230),
    [anon_sym_do] = ACTIONS(3230),
    [anon_sym_try] = ACTIONS(3230),
    [anon_sym_with] = ACTIONS(3230),
    [anon_sym_break] = ACTIONS(3230),
    [anon_sym_continue] = ACTIONS(3230),
    [anon_sym_debugger] = ACTIONS(3230),
    [anon_sym_return] = ACTIONS(3230),
    [anon_sym_throw] = ACTIONS(3230),
    [anon_sym_SEMI] = ACTIONS(3230),
    [anon_sym_yield] = ACTIONS(3230),
    [anon_sym_LBRACK] = ACTIONS(3230),
    [anon_sym_LTtemplate_GT] = ACTIONS(3230),
    [anon_sym_class] = ACTIONS(3230),
    [anon_sym_async] = ACTIONS(3230),
    [anon_sym_function] = ACTIONS(3230),
    [anon_sym_new] = ACTIONS(3230),
    [anon_sym_using] = ACTIONS(3230),
    [anon_sym_PLUS] = ACTIONS(3230),
    [anon_sym_DASH] = ACTIONS(3230),
    [anon_sym_SLASH] = ACTIONS(3230),
    [anon_sym_LT] = ACTIONS(3230),
    [anon_sym_TILDE] = ACTIONS(3230),
    [anon_sym_void] = ACTIONS(3230),
    [anon_sym_delete] = ACTIONS(3230),
    [anon_sym_PLUS_PLUS] = ACTIONS(3230),
    [anon_sym_DASH_DASH] = ACTIONS(3230),
    [anon_sym_DQUOTE] = ACTIONS(3230),
    [anon_sym_SQUOTE] = ACTIONS(3230),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3230),
    [sym_number] = ACTIONS(3230),
    [sym_private_property_identifier] = ACTIONS(3230),
    [sym_this] = ACTIONS(3230),
    [sym_super] = ACTIONS(3230),
    [sym_true] = ACTIONS(3230),
    [sym_false] = ACTIONS(3230),
    [sym_null] = ACTIONS(3230),
    [sym_undefined] = ACTIONS(3230),
    [anon_sym_AT] = ACTIONS(3230),
    [anon_sym_static] = ACTIONS(3230),
    [anon_sym_readonly] = ACTIONS(3230),
    [anon_sym_get] = ACTIONS(3230),
    [anon_sym_set] = ACTIONS(3230),
    [anon_sym_declare] = ACTIONS(3230),
    [anon_sym_public] = ACTIONS(3230),
    [anon_sym_private] = ACTIONS(3230),
    [anon_sym_protected] = ACTIONS(3230),
    [anon_sym_override] = ACTIONS(3230),
    [anon_sym_module] = ACTIONS(3230),
    [anon_sym_any] = ACTIONS(3230),
    [anon_sym_number] = ACTIONS(3230),
    [anon_sym_boolean] = ACTIONS(3230),
    [anon_sym_string] = ACTIONS(3230),
    [anon_sym_symbol] = ACTIONS(3230),
    [anon_sym_object] = ACTIONS(3230),
    [anon_sym_abstract] = ACTIONS(3230),
    [anon_sym_interface] = ACTIONS(3230),
    [anon_sym_enum] = ACTIONS(3230),
    [sym_html_comment] = ACTIONS(5),
  },
  [1649] = {
    [sym_comment] = STATE(1649),
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1650] = {
    [sym_comment] = STATE(1650),
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1651] = {
    [sym_comment] = STATE(1651),
    [ts_builtin_sym_end] = ACTIONS(3528),
    [sym_identifier] = ACTIONS(3120),
    [anon_sym_export] = ACTIONS(3120),
    [anon_sym_type] = ACTIONS(3120),
    [anon_sym_namespace] = ACTIONS(3120),
    [anon_sym_LBRACE] = ACTIONS(3120),
    [anon_sym_RBRACE] = ACTIONS(3120),
    [anon_sym_typeof] = ACTIONS(3120),
    [anon_sym_import] = ACTIONS(3120),
    [anon_sym_var] = ACTIONS(3120),
    [anon_sym_let] = ACTIONS(3120),
    [anon_sym_const] = ACTIONS(3120),
    [anon_sym_BANG] = ACTIONS(3120),
    [anon_sym_if] = ACTIONS(3120),
    [anon_sym_switch] = ACTIONS(3120),
    [anon_sym_for] = ACTIONS(3120),
    [anon_sym_LPAREN] = ACTIONS(3120),
    [anon_sym_await] = ACTIONS(3120),
    [anon_sym_while] = ACTIONS(3120),
    [anon_sym_do] = ACTIONS(3120),
    [anon_sym_try] = ACTIONS(3120),
    [anon_sym_with] = ACTIONS(3120),
    [anon_sym_break] = ACTIONS(3120),
    [anon_sym_continue] = ACTIONS(3120),
    [anon_sym_debugger] = ACTIONS(3120),
    [anon_sym_return] = ACTIONS(3120),
    [anon_sym_throw] = ACTIONS(3120),
    [anon_sym_SEMI] = ACTIONS(3120),
    [anon_sym_yield] = ACTIONS(3120),
    [anon_sym_LBRACK] = ACTIONS(3120),
    [anon_sym_LTtemplate_GT] = ACTIONS(3120),
    [anon_sym_class] = ACTIONS(3120),
    [anon_sym_async] = ACTIONS(3120),
    [anon_sym_function] = ACTIONS(3120),
    [anon_sym_new] = ACTIONS(3120),
    [anon_sym_using] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3120),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_SLASH] = ACTIONS(3120),
    [anon_sym_LT] = ACTIONS(3120),
    [anon_sym_TILDE] = ACTIONS(3120),
    [anon_sym_void] = ACTIONS(3120),
    [anon_sym_delete] = ACTIONS(3120),
    [anon_sym_PLUS_PLUS] = ACTIONS(3120),
    [anon_sym_DASH_DASH] = ACTIONS(3120),
    [anon_sym_DQUOTE] = ACTIONS(3120),
    [anon_sym_SQUOTE] = ACTIONS(3120),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3120),
    [sym_number] = ACTIONS(3120),
    [sym_private_property_identifier] = ACTIONS(3120),
    [sym_this] = ACTIONS(3120),
    [sym_super] = ACTIONS(3120),
    [sym_true] = ACTIONS(3120),
    [sym_false] = ACTIONS(3120),
    [sym_null] = ACTIONS(3120),
    [sym_undefined] = ACTIONS(3120),
    [anon_sym_AT] = ACTIONS(3120),
    [anon_sym_static] = ACTIONS(3120),
    [anon_sym_readonly] = ACTIONS(3120),
    [anon_sym_get] = ACTIONS(3120),
    [anon_sym_set] = ACTIONS(3120),
    [anon_sym_declare] = ACTIONS(3120),
    [anon_sym_public] = ACTIONS(3120),
    [anon_sym_private] = ACTIONS(3120),
    [anon_sym_protected] = ACTIONS(3120),
    [anon_sym_override] = ACTIONS(3120),
    [anon_sym_module] = ACTIONS(3120),
    [anon_sym_any] = ACTIONS(3120),
    [anon_sym_number] = ACTIONS(3120),
    [anon_sym_boolean] = ACTIONS(3120),
    [anon_sym_string] = ACTIONS(3120),
    [anon_sym_symbol] = ACTIONS(3120),
    [anon_sym_object] = ACTIONS(3120),
    [anon_sym_abstract] = ACTIONS(3120),
    [anon_sym_interface] = ACTIONS(3120),
    [anon_sym_enum] = ACTIONS(3120),
    [sym_html_comment] = ACTIONS(5),
  },
  [1652] = {
    [sym_comment] = STATE(1652),
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1653] = {
    [sym_comment] = STATE(1653),
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1654] = {
    [sym_comment] = STATE(1654),
    [ts_builtin_sym_end] = ACTIONS(2103),
    [sym_identifier] = ACTIONS(2101),
    [anon_sym_export] = ACTIONS(2101),
    [anon_sym_type] = ACTIONS(2101),
    [anon_sym_namespace] = ACTIONS(2101),
    [anon_sym_LBRACE] = ACTIONS(2101),
    [anon_sym_RBRACE] = ACTIONS(2101),
    [anon_sym_typeof] = ACTIONS(2101),
    [anon_sym_import] = ACTIONS(2101),
    [anon_sym_var] = ACTIONS(2101),
    [anon_sym_let] = ACTIONS(2101),
    [anon_sym_const] = ACTIONS(2101),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_if] = ACTIONS(2101),
    [anon_sym_switch] = ACTIONS(2101),
    [anon_sym_for] = ACTIONS(2101),
    [anon_sym_LPAREN] = ACTIONS(2101),
    [anon_sym_await] = ACTIONS(2101),
    [anon_sym_while] = ACTIONS(2101),
    [anon_sym_do] = ACTIONS(2101),
    [anon_sym_try] = ACTIONS(2101),
    [anon_sym_with] = ACTIONS(2101),
    [anon_sym_break] = ACTIONS(2101),
    [anon_sym_continue] = ACTIONS(2101),
    [anon_sym_debugger] = ACTIONS(2101),
    [anon_sym_return] = ACTIONS(2101),
    [anon_sym_throw] = ACTIONS(2101),
    [anon_sym_SEMI] = ACTIONS(2101),
    [anon_sym_yield] = ACTIONS(2101),
    [anon_sym_LBRACK] = ACTIONS(2101),
    [anon_sym_LTtemplate_GT] = ACTIONS(2101),
    [anon_sym_class] = ACTIONS(2101),
    [anon_sym_async] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2101),
    [anon_sym_new] = ACTIONS(2101),
    [anon_sym_using] = ACTIONS(2101),
    [anon_sym_PLUS] = ACTIONS(2101),
    [anon_sym_DASH] = ACTIONS(2101),
    [anon_sym_SLASH] = ACTIONS(2101),
    [anon_sym_LT] = ACTIONS(2101),
    [anon_sym_TILDE] = ACTIONS(2101),
    [anon_sym_void] = ACTIONS(2101),
    [anon_sym_delete] = ACTIONS(2101),
    [anon_sym_PLUS_PLUS] = ACTIONS(2101),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_DQUOTE] = ACTIONS(2101),
    [anon_sym_SQUOTE] = ACTIONS(2101),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2101),
    [sym_number] = ACTIONS(2101),
    [sym_private_property_identifier] = ACTIONS(2101),
    [sym_this] = ACTIONS(2101),
    [sym_super] = ACTIONS(2101),
    [sym_true] = ACTIONS(2101),
    [sym_false] = ACTIONS(2101),
    [sym_null] = ACTIONS(2101),
    [sym_undefined] = ACTIONS(2101),
    [anon_sym_AT] = ACTIONS(2101),
    [anon_sym_static] = ACTIONS(2101),
    [anon_sym_readonly] = ACTIONS(2101),
    [anon_sym_get] = ACTIONS(2101),
    [anon_sym_set] = ACTIONS(2101),
    [anon_sym_declare] = ACTIONS(2101),
    [anon_sym_public] = ACTIONS(2101),
    [anon_sym_private] = ACTIONS(2101),
    [anon_sym_protected] = ACTIONS(2101),
    [anon_sym_override] = ACTIONS(2101),
    [anon_sym_module] = ACTIONS(2101),
    [anon_sym_any] = ACTIONS(2101),
    [anon_sym_number] = ACTIONS(2101),
    [anon_sym_boolean] = ACTIONS(2101),
    [anon_sym_string] = ACTIONS(2101),
    [anon_sym_symbol] = ACTIONS(2101),
    [anon_sym_object] = ACTIONS(2101),
    [anon_sym_abstract] = ACTIONS(2101),
    [anon_sym_interface] = ACTIONS(2101),
    [anon_sym_enum] = ACTIONS(2101),
    [sym_html_comment] = ACTIONS(5),
  },
  [1655] = {
    [sym_comment] = STATE(1655),
    [ts_builtin_sym_end] = ACTIONS(3532),
    [sym_identifier] = ACTIONS(3126),
    [anon_sym_export] = ACTIONS(3126),
    [anon_sym_type] = ACTIONS(3126),
    [anon_sym_namespace] = ACTIONS(3126),
    [anon_sym_LBRACE] = ACTIONS(3126),
    [anon_sym_RBRACE] = ACTIONS(3126),
    [anon_sym_typeof] = ACTIONS(3126),
    [anon_sym_import] = ACTIONS(3126),
    [anon_sym_var] = ACTIONS(3126),
    [anon_sym_let] = ACTIONS(3126),
    [anon_sym_const] = ACTIONS(3126),
    [anon_sym_BANG] = ACTIONS(3126),
    [anon_sym_if] = ACTIONS(3126),
    [anon_sym_switch] = ACTIONS(3126),
    [anon_sym_for] = ACTIONS(3126),
    [anon_sym_LPAREN] = ACTIONS(3126),
    [anon_sym_await] = ACTIONS(3126),
    [anon_sym_while] = ACTIONS(3126),
    [anon_sym_do] = ACTIONS(3126),
    [anon_sym_try] = ACTIONS(3126),
    [anon_sym_with] = ACTIONS(3126),
    [anon_sym_break] = ACTIONS(3126),
    [anon_sym_continue] = ACTIONS(3126),
    [anon_sym_debugger] = ACTIONS(3126),
    [anon_sym_return] = ACTIONS(3126),
    [anon_sym_throw] = ACTIONS(3126),
    [anon_sym_SEMI] = ACTIONS(3126),
    [anon_sym_yield] = ACTIONS(3126),
    [anon_sym_LBRACK] = ACTIONS(3126),
    [anon_sym_LTtemplate_GT] = ACTIONS(3126),
    [anon_sym_class] = ACTIONS(3126),
    [anon_sym_async] = ACTIONS(3126),
    [anon_sym_function] = ACTIONS(3126),
    [anon_sym_new] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3126),
    [anon_sym_PLUS] = ACTIONS(3126),
    [anon_sym_DASH] = ACTIONS(3126),
    [anon_sym_SLASH] = ACTIONS(3126),
    [anon_sym_LT] = ACTIONS(3126),
    [anon_sym_TILDE] = ACTIONS(3126),
    [anon_sym_void] = ACTIONS(3126),
    [anon_sym_delete] = ACTIONS(3126),
    [anon_sym_PLUS_PLUS] = ACTIONS(3126),
    [anon_sym_DASH_DASH] = ACTIONS(3126),
    [anon_sym_DQUOTE] = ACTIONS(3126),
    [anon_sym_SQUOTE] = ACTIONS(3126),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3126),
    [sym_number] = ACTIONS(3126),
    [sym_private_property_identifier] = ACTIONS(3126),
    [sym_this] = ACTIONS(3126),
    [sym_super] = ACTIONS(3126),
    [sym_true] = ACTIONS(3126),
    [sym_false] = ACTIONS(3126),
    [sym_null] = ACTIONS(3126),
    [sym_undefined] = ACTIONS(3126),
    [anon_sym_AT] = ACTIONS(3126),
    [anon_sym_static] = ACTIONS(3126),
    [anon_sym_readonly] = ACTIONS(3126),
    [anon_sym_get] = ACTIONS(3126),
    [anon_sym_set] = ACTIONS(3126),
    [anon_sym_declare] = ACTIONS(3126),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_override] = ACTIONS(3126),
    [anon_sym_module] = ACTIONS(3126),
    [anon_sym_any] = ACTIONS(3126),
    [anon_sym_number] = ACTIONS(3126),
    [anon_sym_boolean] = ACTIONS(3126),
    [anon_sym_string] = ACTIONS(3126),
    [anon_sym_symbol] = ACTIONS(3126),
    [anon_sym_object] = ACTIONS(3126),
    [anon_sym_abstract] = ACTIONS(3126),
    [anon_sym_interface] = ACTIONS(3126),
    [anon_sym_enum] = ACTIONS(3126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1656] = {
    [sym_comment] = STATE(1656),
    [ts_builtin_sym_end] = ACTIONS(3530),
    [sym_identifier] = ACTIONS(3122),
    [anon_sym_export] = ACTIONS(3122),
    [anon_sym_type] = ACTIONS(3122),
    [anon_sym_namespace] = ACTIONS(3122),
    [anon_sym_LBRACE] = ACTIONS(3122),
    [anon_sym_RBRACE] = ACTIONS(3122),
    [anon_sym_typeof] = ACTIONS(3122),
    [anon_sym_import] = ACTIONS(3122),
    [anon_sym_var] = ACTIONS(3122),
    [anon_sym_let] = ACTIONS(3122),
    [anon_sym_const] = ACTIONS(3122),
    [anon_sym_BANG] = ACTIONS(3122),
    [anon_sym_if] = ACTIONS(3122),
    [anon_sym_switch] = ACTIONS(3122),
    [anon_sym_for] = ACTIONS(3122),
    [anon_sym_LPAREN] = ACTIONS(3122),
    [anon_sym_await] = ACTIONS(3122),
    [anon_sym_while] = ACTIONS(3122),
    [anon_sym_do] = ACTIONS(3122),
    [anon_sym_try] = ACTIONS(3122),
    [anon_sym_with] = ACTIONS(3122),
    [anon_sym_break] = ACTIONS(3122),
    [anon_sym_continue] = ACTIONS(3122),
    [anon_sym_debugger] = ACTIONS(3122),
    [anon_sym_return] = ACTIONS(3122),
    [anon_sym_throw] = ACTIONS(3122),
    [anon_sym_SEMI] = ACTIONS(3122),
    [anon_sym_yield] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3122),
    [anon_sym_LTtemplate_GT] = ACTIONS(3122),
    [anon_sym_class] = ACTIONS(3122),
    [anon_sym_async] = ACTIONS(3122),
    [anon_sym_function] = ACTIONS(3122),
    [anon_sym_new] = ACTIONS(3122),
    [anon_sym_using] = ACTIONS(3122),
    [anon_sym_PLUS] = ACTIONS(3122),
    [anon_sym_DASH] = ACTIONS(3122),
    [anon_sym_SLASH] = ACTIONS(3122),
    [anon_sym_LT] = ACTIONS(3122),
    [anon_sym_TILDE] = ACTIONS(3122),
    [anon_sym_void] = ACTIONS(3122),
    [anon_sym_delete] = ACTIONS(3122),
    [anon_sym_PLUS_PLUS] = ACTIONS(3122),
    [anon_sym_DASH_DASH] = ACTIONS(3122),
    [anon_sym_DQUOTE] = ACTIONS(3122),
    [anon_sym_SQUOTE] = ACTIONS(3122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3122),
    [sym_number] = ACTIONS(3122),
    [sym_private_property_identifier] = ACTIONS(3122),
    [sym_this] = ACTIONS(3122),
    [sym_super] = ACTIONS(3122),
    [sym_true] = ACTIONS(3122),
    [sym_false] = ACTIONS(3122),
    [sym_null] = ACTIONS(3122),
    [sym_undefined] = ACTIONS(3122),
    [anon_sym_AT] = ACTIONS(3122),
    [anon_sym_static] = ACTIONS(3122),
    [anon_sym_readonly] = ACTIONS(3122),
    [anon_sym_get] = ACTIONS(3122),
    [anon_sym_set] = ACTIONS(3122),
    [anon_sym_declare] = ACTIONS(3122),
    [anon_sym_public] = ACTIONS(3122),
    [anon_sym_private] = ACTIONS(3122),
    [anon_sym_protected] = ACTIONS(3122),
    [anon_sym_override] = ACTIONS(3122),
    [anon_sym_module] = ACTIONS(3122),
    [anon_sym_any] = ACTIONS(3122),
    [anon_sym_number] = ACTIONS(3122),
    [anon_sym_boolean] = ACTIONS(3122),
    [anon_sym_string] = ACTIONS(3122),
    [anon_sym_symbol] = ACTIONS(3122),
    [anon_sym_object] = ACTIONS(3122),
    [anon_sym_abstract] = ACTIONS(3122),
    [anon_sym_interface] = ACTIONS(3122),
    [anon_sym_enum] = ACTIONS(3122),
    [sym_html_comment] = ACTIONS(5),
  },
  [1657] = {
    [sym_comment] = STATE(1657),
    [ts_builtin_sym_end] = ACTIONS(3476),
    [sym_identifier] = ACTIONS(3198),
    [anon_sym_export] = ACTIONS(3198),
    [anon_sym_type] = ACTIONS(3198),
    [anon_sym_namespace] = ACTIONS(3198),
    [anon_sym_LBRACE] = ACTIONS(3198),
    [anon_sym_RBRACE] = ACTIONS(3198),
    [anon_sym_typeof] = ACTIONS(3198),
    [anon_sym_import] = ACTIONS(3198),
    [anon_sym_var] = ACTIONS(3198),
    [anon_sym_let] = ACTIONS(3198),
    [anon_sym_const] = ACTIONS(3198),
    [anon_sym_BANG] = ACTIONS(3198),
    [anon_sym_if] = ACTIONS(3198),
    [anon_sym_switch] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(3198),
    [anon_sym_await] = ACTIONS(3198),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_do] = ACTIONS(3198),
    [anon_sym_try] = ACTIONS(3198),
    [anon_sym_with] = ACTIONS(3198),
    [anon_sym_break] = ACTIONS(3198),
    [anon_sym_continue] = ACTIONS(3198),
    [anon_sym_debugger] = ACTIONS(3198),
    [anon_sym_return] = ACTIONS(3198),
    [anon_sym_throw] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3198),
    [anon_sym_yield] = ACTIONS(3198),
    [anon_sym_LBRACK] = ACTIONS(3198),
    [anon_sym_LTtemplate_GT] = ACTIONS(3198),
    [anon_sym_class] = ACTIONS(3198),
    [anon_sym_async] = ACTIONS(3198),
    [anon_sym_function] = ACTIONS(3198),
    [anon_sym_new] = ACTIONS(3198),
    [anon_sym_using] = ACTIONS(3198),
    [anon_sym_PLUS] = ACTIONS(3198),
    [anon_sym_DASH] = ACTIONS(3198),
    [anon_sym_SLASH] = ACTIONS(3198),
    [anon_sym_LT] = ACTIONS(3198),
    [anon_sym_TILDE] = ACTIONS(3198),
    [anon_sym_void] = ACTIONS(3198),
    [anon_sym_delete] = ACTIONS(3198),
    [anon_sym_PLUS_PLUS] = ACTIONS(3198),
    [anon_sym_DASH_DASH] = ACTIONS(3198),
    [anon_sym_DQUOTE] = ACTIONS(3198),
    [anon_sym_SQUOTE] = ACTIONS(3198),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3198),
    [sym_number] = ACTIONS(3198),
    [sym_private_property_identifier] = ACTIONS(3198),
    [sym_this] = ACTIONS(3198),
    [sym_super] = ACTIONS(3198),
    [sym_true] = ACTIONS(3198),
    [sym_false] = ACTIONS(3198),
    [sym_null] = ACTIONS(3198),
    [sym_undefined] = ACTIONS(3198),
    [anon_sym_AT] = ACTIONS(3198),
    [anon_sym_static] = ACTIONS(3198),
    [anon_sym_readonly] = ACTIONS(3198),
    [anon_sym_get] = ACTIONS(3198),
    [anon_sym_set] = ACTIONS(3198),
    [anon_sym_declare] = ACTIONS(3198),
    [anon_sym_public] = ACTIONS(3198),
    [anon_sym_private] = ACTIONS(3198),
    [anon_sym_protected] = ACTIONS(3198),
    [anon_sym_override] = ACTIONS(3198),
    [anon_sym_module] = ACTIONS(3198),
    [anon_sym_any] = ACTIONS(3198),
    [anon_sym_number] = ACTIONS(3198),
    [anon_sym_boolean] = ACTIONS(3198),
    [anon_sym_string] = ACTIONS(3198),
    [anon_sym_symbol] = ACTIONS(3198),
    [anon_sym_object] = ACTIONS(3198),
    [anon_sym_abstract] = ACTIONS(3198),
    [anon_sym_interface] = ACTIONS(3198),
    [anon_sym_enum] = ACTIONS(3198),
    [sym_html_comment] = ACTIONS(5),
  },
  [1658] = {
    [sym_comment] = STATE(1658),
    [ts_builtin_sym_end] = ACTIONS(3520),
    [sym_identifier] = ACTIONS(3146),
    [anon_sym_export] = ACTIONS(3146),
    [anon_sym_type] = ACTIONS(3146),
    [anon_sym_namespace] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3146),
    [anon_sym_RBRACE] = ACTIONS(3146),
    [anon_sym_typeof] = ACTIONS(3146),
    [anon_sym_import] = ACTIONS(3146),
    [anon_sym_var] = ACTIONS(3146),
    [anon_sym_let] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_BANG] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3146),
    [anon_sym_switch] = ACTIONS(3146),
    [anon_sym_for] = ACTIONS(3146),
    [anon_sym_LPAREN] = ACTIONS(3146),
    [anon_sym_await] = ACTIONS(3146),
    [anon_sym_while] = ACTIONS(3146),
    [anon_sym_do] = ACTIONS(3146),
    [anon_sym_try] = ACTIONS(3146),
    [anon_sym_with] = ACTIONS(3146),
    [anon_sym_break] = ACTIONS(3146),
    [anon_sym_continue] = ACTIONS(3146),
    [anon_sym_debugger] = ACTIONS(3146),
    [anon_sym_return] = ACTIONS(3146),
    [anon_sym_throw] = ACTIONS(3146),
    [anon_sym_SEMI] = ACTIONS(3146),
    [anon_sym_yield] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_LTtemplate_GT] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_async] = ACTIONS(3146),
    [anon_sym_function] = ACTIONS(3146),
    [anon_sym_new] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_SLASH] = ACTIONS(3146),
    [anon_sym_LT] = ACTIONS(3146),
    [anon_sym_TILDE] = ACTIONS(3146),
    [anon_sym_void] = ACTIONS(3146),
    [anon_sym_delete] = ACTIONS(3146),
    [anon_sym_PLUS_PLUS] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3146),
    [anon_sym_DQUOTE] = ACTIONS(3146),
    [anon_sym_SQUOTE] = ACTIONS(3146),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3146),
    [sym_number] = ACTIONS(3146),
    [sym_private_property_identifier] = ACTIONS(3146),
    [sym_this] = ACTIONS(3146),
    [sym_super] = ACTIONS(3146),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [sym_null] = ACTIONS(3146),
    [sym_undefined] = ACTIONS(3146),
    [anon_sym_AT] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_readonly] = ACTIONS(3146),
    [anon_sym_get] = ACTIONS(3146),
    [anon_sym_set] = ACTIONS(3146),
    [anon_sym_declare] = ACTIONS(3146),
    [anon_sym_public] = ACTIONS(3146),
    [anon_sym_private] = ACTIONS(3146),
    [anon_sym_protected] = ACTIONS(3146),
    [anon_sym_override] = ACTIONS(3146),
    [anon_sym_module] = ACTIONS(3146),
    [anon_sym_any] = ACTIONS(3146),
    [anon_sym_number] = ACTIONS(3146),
    [anon_sym_boolean] = ACTIONS(3146),
    [anon_sym_string] = ACTIONS(3146),
    [anon_sym_symbol] = ACTIONS(3146),
    [anon_sym_object] = ACTIONS(3146),
    [anon_sym_abstract] = ACTIONS(3146),
    [anon_sym_interface] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [sym_html_comment] = ACTIONS(5),
  },
  [1659] = {
    [sym_comment] = STATE(1659),
    [ts_builtin_sym_end] = ACTIONS(3414),
    [sym_identifier] = ACTIONS(3124),
    [anon_sym_export] = ACTIONS(3124),
    [anon_sym_type] = ACTIONS(3124),
    [anon_sym_namespace] = ACTIONS(3124),
    [anon_sym_LBRACE] = ACTIONS(3124),
    [anon_sym_RBRACE] = ACTIONS(3124),
    [anon_sym_typeof] = ACTIONS(3124),
    [anon_sym_import] = ACTIONS(3124),
    [anon_sym_var] = ACTIONS(3124),
    [anon_sym_let] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_BANG] = ACTIONS(3124),
    [anon_sym_if] = ACTIONS(3124),
    [anon_sym_switch] = ACTIONS(3124),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3124),
    [anon_sym_await] = ACTIONS(3124),
    [anon_sym_while] = ACTIONS(3124),
    [anon_sym_do] = ACTIONS(3124),
    [anon_sym_try] = ACTIONS(3124),
    [anon_sym_with] = ACTIONS(3124),
    [anon_sym_break] = ACTIONS(3124),
    [anon_sym_continue] = ACTIONS(3124),
    [anon_sym_debugger] = ACTIONS(3124),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3124),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym_yield] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_LTtemplate_GT] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_async] = ACTIONS(3124),
    [anon_sym_function] = ACTIONS(3124),
    [anon_sym_new] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_void] = ACTIONS(3124),
    [anon_sym_delete] = ACTIONS(3124),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(3124),
    [anon_sym_SQUOTE] = ACTIONS(3124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3124),
    [sym_number] = ACTIONS(3124),
    [sym_private_property_identifier] = ACTIONS(3124),
    [sym_this] = ACTIONS(3124),
    [sym_super] = ACTIONS(3124),
    [sym_true] = ACTIONS(3124),
    [sym_false] = ACTIONS(3124),
    [sym_null] = ACTIONS(3124),
    [sym_undefined] = ACTIONS(3124),
    [anon_sym_AT] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_readonly] = ACTIONS(3124),
    [anon_sym_get] = ACTIONS(3124),
    [anon_sym_set] = ACTIONS(3124),
    [anon_sym_declare] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3124),
    [anon_sym_private] = ACTIONS(3124),
    [anon_sym_protected] = ACTIONS(3124),
    [anon_sym_override] = ACTIONS(3124),
    [anon_sym_module] = ACTIONS(3124),
    [anon_sym_any] = ACTIONS(3124),
    [anon_sym_number] = ACTIONS(3124),
    [anon_sym_boolean] = ACTIONS(3124),
    [anon_sym_string] = ACTIONS(3124),
    [anon_sym_symbol] = ACTIONS(3124),
    [anon_sym_object] = ACTIONS(3124),
    [anon_sym_abstract] = ACTIONS(3124),
    [anon_sym_interface] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1660] = {
    [sym_comment] = STATE(1660),
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1661] = {
    [sym_comment] = STATE(1661),
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1662] = {
    [sym_comment] = STATE(1662),
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1663] = {
    [sym_comment] = STATE(1663),
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1664] = {
    [sym_comment] = STATE(1664),
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1665] = {
    [sym_comment] = STATE(1665),
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1666] = {
    [sym_comment] = STATE(1666),
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1667] = {
    [sym_comment] = STATE(1667),
    [ts_builtin_sym_end] = ACTIONS(3526),
    [sym_identifier] = ACTIONS(3228),
    [anon_sym_export] = ACTIONS(3228),
    [anon_sym_type] = ACTIONS(3228),
    [anon_sym_namespace] = ACTIONS(3228),
    [anon_sym_LBRACE] = ACTIONS(3228),
    [anon_sym_RBRACE] = ACTIONS(3228),
    [anon_sym_typeof] = ACTIONS(3228),
    [anon_sym_import] = ACTIONS(3228),
    [anon_sym_var] = ACTIONS(3228),
    [anon_sym_let] = ACTIONS(3228),
    [anon_sym_const] = ACTIONS(3228),
    [anon_sym_BANG] = ACTIONS(3228),
    [anon_sym_if] = ACTIONS(3228),
    [anon_sym_switch] = ACTIONS(3228),
    [anon_sym_for] = ACTIONS(3228),
    [anon_sym_LPAREN] = ACTIONS(3228),
    [anon_sym_await] = ACTIONS(3228),
    [anon_sym_while] = ACTIONS(3228),
    [anon_sym_do] = ACTIONS(3228),
    [anon_sym_try] = ACTIONS(3228),
    [anon_sym_with] = ACTIONS(3228),
    [anon_sym_break] = ACTIONS(3228),
    [anon_sym_continue] = ACTIONS(3228),
    [anon_sym_debugger] = ACTIONS(3228),
    [anon_sym_return] = ACTIONS(3228),
    [anon_sym_throw] = ACTIONS(3228),
    [anon_sym_SEMI] = ACTIONS(3228),
    [anon_sym_yield] = ACTIONS(3228),
    [anon_sym_LBRACK] = ACTIONS(3228),
    [anon_sym_LTtemplate_GT] = ACTIONS(3228),
    [anon_sym_class] = ACTIONS(3228),
    [anon_sym_async] = ACTIONS(3228),
    [anon_sym_function] = ACTIONS(3228),
    [anon_sym_new] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3228),
    [anon_sym_PLUS] = ACTIONS(3228),
    [anon_sym_DASH] = ACTIONS(3228),
    [anon_sym_SLASH] = ACTIONS(3228),
    [anon_sym_LT] = ACTIONS(3228),
    [anon_sym_TILDE] = ACTIONS(3228),
    [anon_sym_void] = ACTIONS(3228),
    [anon_sym_delete] = ACTIONS(3228),
    [anon_sym_PLUS_PLUS] = ACTIONS(3228),
    [anon_sym_DASH_DASH] = ACTIONS(3228),
    [anon_sym_DQUOTE] = ACTIONS(3228),
    [anon_sym_SQUOTE] = ACTIONS(3228),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3228),
    [sym_number] = ACTIONS(3228),
    [sym_private_property_identifier] = ACTIONS(3228),
    [sym_this] = ACTIONS(3228),
    [sym_super] = ACTIONS(3228),
    [sym_true] = ACTIONS(3228),
    [sym_false] = ACTIONS(3228),
    [sym_null] = ACTIONS(3228),
    [sym_undefined] = ACTIONS(3228),
    [anon_sym_AT] = ACTIONS(3228),
    [anon_sym_static] = ACTIONS(3228),
    [anon_sym_readonly] = ACTIONS(3228),
    [anon_sym_get] = ACTIONS(3228),
    [anon_sym_set] = ACTIONS(3228),
    [anon_sym_declare] = ACTIONS(3228),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_override] = ACTIONS(3228),
    [anon_sym_module] = ACTIONS(3228),
    [anon_sym_any] = ACTIONS(3228),
    [anon_sym_number] = ACTIONS(3228),
    [anon_sym_boolean] = ACTIONS(3228),
    [anon_sym_string] = ACTIONS(3228),
    [anon_sym_symbol] = ACTIONS(3228),
    [anon_sym_object] = ACTIONS(3228),
    [anon_sym_abstract] = ACTIONS(3228),
    [anon_sym_interface] = ACTIONS(3228),
    [anon_sym_enum] = ACTIONS(3228),
    [sym_html_comment] = ACTIONS(5),
  },
  [1668] = {
    [sym_comment] = STATE(1668),
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1669] = {
    [sym_comment] = STATE(1669),
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1670] = {
    [sym_comment] = STATE(1670),
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1671] = {
    [sym_comment] = STATE(1671),
    [ts_builtin_sym_end] = ACTIONS(3384),
    [sym_identifier] = ACTIONS(3336),
    [anon_sym_export] = ACTIONS(3336),
    [anon_sym_type] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3336),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_typeof] = ACTIONS(3336),
    [anon_sym_import] = ACTIONS(3336),
    [anon_sym_var] = ACTIONS(3336),
    [anon_sym_let] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_BANG] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_LPAREN] = ACTIONS(3336),
    [anon_sym_await] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_with] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_debugger] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_yield] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_LTtemplate_GT] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_function] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_SLASH] = ACTIONS(3336),
    [anon_sym_LT] = ACTIONS(3336),
    [anon_sym_TILDE] = ACTIONS(3336),
    [anon_sym_void] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_PLUS_PLUS] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3336),
    [anon_sym_DQUOTE] = ACTIONS(3336),
    [anon_sym_SQUOTE] = ACTIONS(3336),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3336),
    [sym_number] = ACTIONS(3336),
    [sym_private_property_identifier] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
    [sym_super] = ACTIONS(3336),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [sym_null] = ACTIONS(3336),
    [sym_undefined] = ACTIONS(3336),
    [anon_sym_AT] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_readonly] = ACTIONS(3336),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3336),
    [anon_sym_public] = ACTIONS(3336),
    [anon_sym_private] = ACTIONS(3336),
    [anon_sym_protected] = ACTIONS(3336),
    [anon_sym_override] = ACTIONS(3336),
    [anon_sym_module] = ACTIONS(3336),
    [anon_sym_any] = ACTIONS(3336),
    [anon_sym_number] = ACTIONS(3336),
    [anon_sym_boolean] = ACTIONS(3336),
    [anon_sym_string] = ACTIONS(3336),
    [anon_sym_symbol] = ACTIONS(3336),
    [anon_sym_object] = ACTIONS(3336),
    [anon_sym_abstract] = ACTIONS(3336),
    [anon_sym_interface] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1672] = {
    [sym_comment] = STATE(1672),
    [ts_builtin_sym_end] = ACTIONS(3518),
    [sym_identifier] = ACTIONS(3162),
    [anon_sym_export] = ACTIONS(3162),
    [anon_sym_type] = ACTIONS(3162),
    [anon_sym_namespace] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3162),
    [anon_sym_RBRACE] = ACTIONS(3162),
    [anon_sym_typeof] = ACTIONS(3162),
    [anon_sym_import] = ACTIONS(3162),
    [anon_sym_var] = ACTIONS(3162),
    [anon_sym_let] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_BANG] = ACTIONS(3162),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_switch] = ACTIONS(3162),
    [anon_sym_for] = ACTIONS(3162),
    [anon_sym_LPAREN] = ACTIONS(3162),
    [anon_sym_await] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3162),
    [anon_sym_do] = ACTIONS(3162),
    [anon_sym_try] = ACTIONS(3162),
    [anon_sym_with] = ACTIONS(3162),
    [anon_sym_break] = ACTIONS(3162),
    [anon_sym_continue] = ACTIONS(3162),
    [anon_sym_debugger] = ACTIONS(3162),
    [anon_sym_return] = ACTIONS(3162),
    [anon_sym_throw] = ACTIONS(3162),
    [anon_sym_SEMI] = ACTIONS(3162),
    [anon_sym_yield] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_LTtemplate_GT] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_async] = ACTIONS(3162),
    [anon_sym_function] = ACTIONS(3162),
    [anon_sym_new] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_SLASH] = ACTIONS(3162),
    [anon_sym_LT] = ACTIONS(3162),
    [anon_sym_TILDE] = ACTIONS(3162),
    [anon_sym_void] = ACTIONS(3162),
    [anon_sym_delete] = ACTIONS(3162),
    [anon_sym_PLUS_PLUS] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3162),
    [anon_sym_DQUOTE] = ACTIONS(3162),
    [anon_sym_SQUOTE] = ACTIONS(3162),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3162),
    [sym_number] = ACTIONS(3162),
    [sym_private_property_identifier] = ACTIONS(3162),
    [sym_this] = ACTIONS(3162),
    [sym_super] = ACTIONS(3162),
    [sym_true] = ACTIONS(3162),
    [sym_false] = ACTIONS(3162),
    [sym_null] = ACTIONS(3162),
    [sym_undefined] = ACTIONS(3162),
    [anon_sym_AT] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_readonly] = ACTIONS(3162),
    [anon_sym_get] = ACTIONS(3162),
    [anon_sym_set] = ACTIONS(3162),
    [anon_sym_declare] = ACTIONS(3162),
    [anon_sym_public] = ACTIONS(3162),
    [anon_sym_private] = ACTIONS(3162),
    [anon_sym_protected] = ACTIONS(3162),
    [anon_sym_override] = ACTIONS(3162),
    [anon_sym_module] = ACTIONS(3162),
    [anon_sym_any] = ACTIONS(3162),
    [anon_sym_number] = ACTIONS(3162),
    [anon_sym_boolean] = ACTIONS(3162),
    [anon_sym_string] = ACTIONS(3162),
    [anon_sym_symbol] = ACTIONS(3162),
    [anon_sym_object] = ACTIONS(3162),
    [anon_sym_abstract] = ACTIONS(3162),
    [anon_sym_interface] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [sym_html_comment] = ACTIONS(5),
  },
  [1673] = {
    [sym_comment] = STATE(1673),
    [ts_builtin_sym_end] = ACTIONS(3436),
    [sym_identifier] = ACTIONS(3292),
    [anon_sym_export] = ACTIONS(3292),
    [anon_sym_type] = ACTIONS(3292),
    [anon_sym_namespace] = ACTIONS(3292),
    [anon_sym_LBRACE] = ACTIONS(3292),
    [anon_sym_RBRACE] = ACTIONS(3292),
    [anon_sym_typeof] = ACTIONS(3292),
    [anon_sym_import] = ACTIONS(3292),
    [anon_sym_var] = ACTIONS(3292),
    [anon_sym_let] = ACTIONS(3292),
    [anon_sym_const] = ACTIONS(3292),
    [anon_sym_BANG] = ACTIONS(3292),
    [anon_sym_if] = ACTIONS(3292),
    [anon_sym_switch] = ACTIONS(3292),
    [anon_sym_for] = ACTIONS(3292),
    [anon_sym_LPAREN] = ACTIONS(3292),
    [anon_sym_await] = ACTIONS(3292),
    [anon_sym_while] = ACTIONS(3292),
    [anon_sym_do] = ACTIONS(3292),
    [anon_sym_try] = ACTIONS(3292),
    [anon_sym_with] = ACTIONS(3292),
    [anon_sym_break] = ACTIONS(3292),
    [anon_sym_continue] = ACTIONS(3292),
    [anon_sym_debugger] = ACTIONS(3292),
    [anon_sym_return] = ACTIONS(3292),
    [anon_sym_throw] = ACTIONS(3292),
    [anon_sym_SEMI] = ACTIONS(3292),
    [anon_sym_yield] = ACTIONS(3292),
    [anon_sym_LBRACK] = ACTIONS(3292),
    [anon_sym_LTtemplate_GT] = ACTIONS(3292),
    [anon_sym_class] = ACTIONS(3292),
    [anon_sym_async] = ACTIONS(3292),
    [anon_sym_function] = ACTIONS(3292),
    [anon_sym_new] = ACTIONS(3292),
    [anon_sym_using] = ACTIONS(3292),
    [anon_sym_PLUS] = ACTIONS(3292),
    [anon_sym_DASH] = ACTIONS(3292),
    [anon_sym_SLASH] = ACTIONS(3292),
    [anon_sym_LT] = ACTIONS(3292),
    [anon_sym_TILDE] = ACTIONS(3292),
    [anon_sym_void] = ACTIONS(3292),
    [anon_sym_delete] = ACTIONS(3292),
    [anon_sym_PLUS_PLUS] = ACTIONS(3292),
    [anon_sym_DASH_DASH] = ACTIONS(3292),
    [anon_sym_DQUOTE] = ACTIONS(3292),
    [anon_sym_SQUOTE] = ACTIONS(3292),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3292),
    [sym_number] = ACTIONS(3292),
    [sym_private_property_identifier] = ACTIONS(3292),
    [sym_this] = ACTIONS(3292),
    [sym_super] = ACTIONS(3292),
    [sym_true] = ACTIONS(3292),
    [sym_false] = ACTIONS(3292),
    [sym_null] = ACTIONS(3292),
    [sym_undefined] = ACTIONS(3292),
    [anon_sym_AT] = ACTIONS(3292),
    [anon_sym_static] = ACTIONS(3292),
    [anon_sym_readonly] = ACTIONS(3292),
    [anon_sym_get] = ACTIONS(3292),
    [anon_sym_set] = ACTIONS(3292),
    [anon_sym_declare] = ACTIONS(3292),
    [anon_sym_public] = ACTIONS(3292),
    [anon_sym_private] = ACTIONS(3292),
    [anon_sym_protected] = ACTIONS(3292),
    [anon_sym_override] = ACTIONS(3292),
    [anon_sym_module] = ACTIONS(3292),
    [anon_sym_any] = ACTIONS(3292),
    [anon_sym_number] = ACTIONS(3292),
    [anon_sym_boolean] = ACTIONS(3292),
    [anon_sym_string] = ACTIONS(3292),
    [anon_sym_symbol] = ACTIONS(3292),
    [anon_sym_object] = ACTIONS(3292),
    [anon_sym_abstract] = ACTIONS(3292),
    [anon_sym_interface] = ACTIONS(3292),
    [anon_sym_enum] = ACTIONS(3292),
    [sym_html_comment] = ACTIONS(5),
  },
  [1674] = {
    [sym_comment] = STATE(1674),
    [ts_builtin_sym_end] = ACTIONS(3434),
    [sym_identifier] = ACTIONS(3294),
    [anon_sym_export] = ACTIONS(3294),
    [anon_sym_type] = ACTIONS(3294),
    [anon_sym_namespace] = ACTIONS(3294),
    [anon_sym_LBRACE] = ACTIONS(3294),
    [anon_sym_RBRACE] = ACTIONS(3294),
    [anon_sym_typeof] = ACTIONS(3294),
    [anon_sym_import] = ACTIONS(3294),
    [anon_sym_var] = ACTIONS(3294),
    [anon_sym_let] = ACTIONS(3294),
    [anon_sym_const] = ACTIONS(3294),
    [anon_sym_BANG] = ACTIONS(3294),
    [anon_sym_if] = ACTIONS(3294),
    [anon_sym_switch] = ACTIONS(3294),
    [anon_sym_for] = ACTIONS(3294),
    [anon_sym_LPAREN] = ACTIONS(3294),
    [anon_sym_await] = ACTIONS(3294),
    [anon_sym_while] = ACTIONS(3294),
    [anon_sym_do] = ACTIONS(3294),
    [anon_sym_try] = ACTIONS(3294),
    [anon_sym_with] = ACTIONS(3294),
    [anon_sym_break] = ACTIONS(3294),
    [anon_sym_continue] = ACTIONS(3294),
    [anon_sym_debugger] = ACTIONS(3294),
    [anon_sym_return] = ACTIONS(3294),
    [anon_sym_throw] = ACTIONS(3294),
    [anon_sym_SEMI] = ACTIONS(3294),
    [anon_sym_yield] = ACTIONS(3294),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [anon_sym_LTtemplate_GT] = ACTIONS(3294),
    [anon_sym_class] = ACTIONS(3294),
    [anon_sym_async] = ACTIONS(3294),
    [anon_sym_function] = ACTIONS(3294),
    [anon_sym_new] = ACTIONS(3294),
    [anon_sym_using] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_SLASH] = ACTIONS(3294),
    [anon_sym_LT] = ACTIONS(3294),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_void] = ACTIONS(3294),
    [anon_sym_delete] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_DQUOTE] = ACTIONS(3294),
    [anon_sym_SQUOTE] = ACTIONS(3294),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3294),
    [sym_number] = ACTIONS(3294),
    [sym_private_property_identifier] = ACTIONS(3294),
    [sym_this] = ACTIONS(3294),
    [sym_super] = ACTIONS(3294),
    [sym_true] = ACTIONS(3294),
    [sym_false] = ACTIONS(3294),
    [sym_null] = ACTIONS(3294),
    [sym_undefined] = ACTIONS(3294),
    [anon_sym_AT] = ACTIONS(3294),
    [anon_sym_static] = ACTIONS(3294),
    [anon_sym_readonly] = ACTIONS(3294),
    [anon_sym_get] = ACTIONS(3294),
    [anon_sym_set] = ACTIONS(3294),
    [anon_sym_declare] = ACTIONS(3294),
    [anon_sym_public] = ACTIONS(3294),
    [anon_sym_private] = ACTIONS(3294),
    [anon_sym_protected] = ACTIONS(3294),
    [anon_sym_override] = ACTIONS(3294),
    [anon_sym_module] = ACTIONS(3294),
    [anon_sym_any] = ACTIONS(3294),
    [anon_sym_number] = ACTIONS(3294),
    [anon_sym_boolean] = ACTIONS(3294),
    [anon_sym_string] = ACTIONS(3294),
    [anon_sym_symbol] = ACTIONS(3294),
    [anon_sym_object] = ACTIONS(3294),
    [anon_sym_abstract] = ACTIONS(3294),
    [anon_sym_interface] = ACTIONS(3294),
    [anon_sym_enum] = ACTIONS(3294),
    [sym_html_comment] = ACTIONS(5),
  },
  [1675] = {
    [sym_comment] = STATE(1675),
    [ts_builtin_sym_end] = ACTIONS(3408),
    [sym_identifier] = ACTIONS(3296),
    [anon_sym_export] = ACTIONS(3296),
    [anon_sym_type] = ACTIONS(3296),
    [anon_sym_namespace] = ACTIONS(3296),
    [anon_sym_LBRACE] = ACTIONS(3296),
    [anon_sym_RBRACE] = ACTIONS(3296),
    [anon_sym_typeof] = ACTIONS(3296),
    [anon_sym_import] = ACTIONS(3296),
    [anon_sym_var] = ACTIONS(3296),
    [anon_sym_let] = ACTIONS(3296),
    [anon_sym_const] = ACTIONS(3296),
    [anon_sym_BANG] = ACTIONS(3296),
    [anon_sym_if] = ACTIONS(3296),
    [anon_sym_switch] = ACTIONS(3296),
    [anon_sym_for] = ACTIONS(3296),
    [anon_sym_LPAREN] = ACTIONS(3296),
    [anon_sym_await] = ACTIONS(3296),
    [anon_sym_while] = ACTIONS(3296),
    [anon_sym_do] = ACTIONS(3296),
    [anon_sym_try] = ACTIONS(3296),
    [anon_sym_with] = ACTIONS(3296),
    [anon_sym_break] = ACTIONS(3296),
    [anon_sym_continue] = ACTIONS(3296),
    [anon_sym_debugger] = ACTIONS(3296),
    [anon_sym_return] = ACTIONS(3296),
    [anon_sym_throw] = ACTIONS(3296),
    [anon_sym_SEMI] = ACTIONS(3296),
    [anon_sym_yield] = ACTIONS(3296),
    [anon_sym_LBRACK] = ACTIONS(3296),
    [anon_sym_LTtemplate_GT] = ACTIONS(3296),
    [anon_sym_class] = ACTIONS(3296),
    [anon_sym_async] = ACTIONS(3296),
    [anon_sym_function] = ACTIONS(3296),
    [anon_sym_new] = ACTIONS(3296),
    [anon_sym_using] = ACTIONS(3296),
    [anon_sym_PLUS] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3296),
    [anon_sym_SLASH] = ACTIONS(3296),
    [anon_sym_LT] = ACTIONS(3296),
    [anon_sym_TILDE] = ACTIONS(3296),
    [anon_sym_void] = ACTIONS(3296),
    [anon_sym_delete] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_DQUOTE] = ACTIONS(3296),
    [anon_sym_SQUOTE] = ACTIONS(3296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3296),
    [sym_number] = ACTIONS(3296),
    [sym_private_property_identifier] = ACTIONS(3296),
    [sym_this] = ACTIONS(3296),
    [sym_super] = ACTIONS(3296),
    [sym_true] = ACTIONS(3296),
    [sym_false] = ACTIONS(3296),
    [sym_null] = ACTIONS(3296),
    [sym_undefined] = ACTIONS(3296),
    [anon_sym_AT] = ACTIONS(3296),
    [anon_sym_static] = ACTIONS(3296),
    [anon_sym_readonly] = ACTIONS(3296),
    [anon_sym_get] = ACTIONS(3296),
    [anon_sym_set] = ACTIONS(3296),
    [anon_sym_declare] = ACTIONS(3296),
    [anon_sym_public] = ACTIONS(3296),
    [anon_sym_private] = ACTIONS(3296),
    [anon_sym_protected] = ACTIONS(3296),
    [anon_sym_override] = ACTIONS(3296),
    [anon_sym_module] = ACTIONS(3296),
    [anon_sym_any] = ACTIONS(3296),
    [anon_sym_number] = ACTIONS(3296),
    [anon_sym_boolean] = ACTIONS(3296),
    [anon_sym_string] = ACTIONS(3296),
    [anon_sym_symbol] = ACTIONS(3296),
    [anon_sym_object] = ACTIONS(3296),
    [anon_sym_abstract] = ACTIONS(3296),
    [anon_sym_interface] = ACTIONS(3296),
    [anon_sym_enum] = ACTIONS(3296),
    [sym_html_comment] = ACTIONS(5),
  },
  [1676] = {
    [sym_comment] = STATE(1676),
    [ts_builtin_sym_end] = ACTIONS(3386),
    [sym_identifier] = ACTIONS(3304),
    [anon_sym_export] = ACTIONS(3304),
    [anon_sym_type] = ACTIONS(3304),
    [anon_sym_namespace] = ACTIONS(3304),
    [anon_sym_LBRACE] = ACTIONS(3304),
    [anon_sym_RBRACE] = ACTIONS(3304),
    [anon_sym_typeof] = ACTIONS(3304),
    [anon_sym_import] = ACTIONS(3304),
    [anon_sym_var] = ACTIONS(3304),
    [anon_sym_let] = ACTIONS(3304),
    [anon_sym_const] = ACTIONS(3304),
    [anon_sym_BANG] = ACTIONS(3304),
    [anon_sym_if] = ACTIONS(3304),
    [anon_sym_switch] = ACTIONS(3304),
    [anon_sym_for] = ACTIONS(3304),
    [anon_sym_LPAREN] = ACTIONS(3304),
    [anon_sym_await] = ACTIONS(3304),
    [anon_sym_while] = ACTIONS(3304),
    [anon_sym_do] = ACTIONS(3304),
    [anon_sym_try] = ACTIONS(3304),
    [anon_sym_with] = ACTIONS(3304),
    [anon_sym_break] = ACTIONS(3304),
    [anon_sym_continue] = ACTIONS(3304),
    [anon_sym_debugger] = ACTIONS(3304),
    [anon_sym_return] = ACTIONS(3304),
    [anon_sym_throw] = ACTIONS(3304),
    [anon_sym_SEMI] = ACTIONS(3304),
    [anon_sym_yield] = ACTIONS(3304),
    [anon_sym_LBRACK] = ACTIONS(3304),
    [anon_sym_LTtemplate_GT] = ACTIONS(3304),
    [anon_sym_class] = ACTIONS(3304),
    [anon_sym_async] = ACTIONS(3304),
    [anon_sym_function] = ACTIONS(3304),
    [anon_sym_new] = ACTIONS(3304),
    [anon_sym_using] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3304),
    [anon_sym_DASH] = ACTIONS(3304),
    [anon_sym_SLASH] = ACTIONS(3304),
    [anon_sym_LT] = ACTIONS(3304),
    [anon_sym_TILDE] = ACTIONS(3304),
    [anon_sym_void] = ACTIONS(3304),
    [anon_sym_delete] = ACTIONS(3304),
    [anon_sym_PLUS_PLUS] = ACTIONS(3304),
    [anon_sym_DASH_DASH] = ACTIONS(3304),
    [anon_sym_DQUOTE] = ACTIONS(3304),
    [anon_sym_SQUOTE] = ACTIONS(3304),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3304),
    [sym_number] = ACTIONS(3304),
    [sym_private_property_identifier] = ACTIONS(3304),
    [sym_this] = ACTIONS(3304),
    [sym_super] = ACTIONS(3304),
    [sym_true] = ACTIONS(3304),
    [sym_false] = ACTIONS(3304),
    [sym_null] = ACTIONS(3304),
    [sym_undefined] = ACTIONS(3304),
    [anon_sym_AT] = ACTIONS(3304),
    [anon_sym_static] = ACTIONS(3304),
    [anon_sym_readonly] = ACTIONS(3304),
    [anon_sym_get] = ACTIONS(3304),
    [anon_sym_set] = ACTIONS(3304),
    [anon_sym_declare] = ACTIONS(3304),
    [anon_sym_public] = ACTIONS(3304),
    [anon_sym_private] = ACTIONS(3304),
    [anon_sym_protected] = ACTIONS(3304),
    [anon_sym_override] = ACTIONS(3304),
    [anon_sym_module] = ACTIONS(3304),
    [anon_sym_any] = ACTIONS(3304),
    [anon_sym_number] = ACTIONS(3304),
    [anon_sym_boolean] = ACTIONS(3304),
    [anon_sym_string] = ACTIONS(3304),
    [anon_sym_symbol] = ACTIONS(3304),
    [anon_sym_object] = ACTIONS(3304),
    [anon_sym_abstract] = ACTIONS(3304),
    [anon_sym_interface] = ACTIONS(3304),
    [anon_sym_enum] = ACTIONS(3304),
    [sym_html_comment] = ACTIONS(5),
  },
  [1677] = {
    [sym_comment] = STATE(1677),
    [ts_builtin_sym_end] = ACTIONS(3466),
    [sym_identifier] = ACTIONS(3210),
    [anon_sym_export] = ACTIONS(3210),
    [anon_sym_type] = ACTIONS(3210),
    [anon_sym_namespace] = ACTIONS(3210),
    [anon_sym_LBRACE] = ACTIONS(3210),
    [anon_sym_RBRACE] = ACTIONS(3210),
    [anon_sym_typeof] = ACTIONS(3210),
    [anon_sym_import] = ACTIONS(3210),
    [anon_sym_var] = ACTIONS(3210),
    [anon_sym_let] = ACTIONS(3210),
    [anon_sym_const] = ACTIONS(3210),
    [anon_sym_BANG] = ACTIONS(3210),
    [anon_sym_if] = ACTIONS(3210),
    [anon_sym_switch] = ACTIONS(3210),
    [anon_sym_for] = ACTIONS(3210),
    [anon_sym_LPAREN] = ACTIONS(3210),
    [anon_sym_await] = ACTIONS(3210),
    [anon_sym_while] = ACTIONS(3210),
    [anon_sym_do] = ACTIONS(3210),
    [anon_sym_try] = ACTIONS(3210),
    [anon_sym_with] = ACTIONS(3210),
    [anon_sym_break] = ACTIONS(3210),
    [anon_sym_continue] = ACTIONS(3210),
    [anon_sym_debugger] = ACTIONS(3210),
    [anon_sym_return] = ACTIONS(3210),
    [anon_sym_throw] = ACTIONS(3210),
    [anon_sym_SEMI] = ACTIONS(3210),
    [anon_sym_yield] = ACTIONS(3210),
    [anon_sym_LBRACK] = ACTIONS(3210),
    [anon_sym_LTtemplate_GT] = ACTIONS(3210),
    [anon_sym_class] = ACTIONS(3210),
    [anon_sym_async] = ACTIONS(3210),
    [anon_sym_function] = ACTIONS(3210),
    [anon_sym_new] = ACTIONS(3210),
    [anon_sym_using] = ACTIONS(3210),
    [anon_sym_PLUS] = ACTIONS(3210),
    [anon_sym_DASH] = ACTIONS(3210),
    [anon_sym_SLASH] = ACTIONS(3210),
    [anon_sym_LT] = ACTIONS(3210),
    [anon_sym_TILDE] = ACTIONS(3210),
    [anon_sym_void] = ACTIONS(3210),
    [anon_sym_delete] = ACTIONS(3210),
    [anon_sym_PLUS_PLUS] = ACTIONS(3210),
    [anon_sym_DASH_DASH] = ACTIONS(3210),
    [anon_sym_DQUOTE] = ACTIONS(3210),
    [anon_sym_SQUOTE] = ACTIONS(3210),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3210),
    [sym_number] = ACTIONS(3210),
    [sym_private_property_identifier] = ACTIONS(3210),
    [sym_this] = ACTIONS(3210),
    [sym_super] = ACTIONS(3210),
    [sym_true] = ACTIONS(3210),
    [sym_false] = ACTIONS(3210),
    [sym_null] = ACTIONS(3210),
    [sym_undefined] = ACTIONS(3210),
    [anon_sym_AT] = ACTIONS(3210),
    [anon_sym_static] = ACTIONS(3210),
    [anon_sym_readonly] = ACTIONS(3210),
    [anon_sym_get] = ACTIONS(3210),
    [anon_sym_set] = ACTIONS(3210),
    [anon_sym_declare] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(3210),
    [anon_sym_private] = ACTIONS(3210),
    [anon_sym_protected] = ACTIONS(3210),
    [anon_sym_override] = ACTIONS(3210),
    [anon_sym_module] = ACTIONS(3210),
    [anon_sym_any] = ACTIONS(3210),
    [anon_sym_number] = ACTIONS(3210),
    [anon_sym_boolean] = ACTIONS(3210),
    [anon_sym_string] = ACTIONS(3210),
    [anon_sym_symbol] = ACTIONS(3210),
    [anon_sym_object] = ACTIONS(3210),
    [anon_sym_abstract] = ACTIONS(3210),
    [anon_sym_interface] = ACTIONS(3210),
    [anon_sym_enum] = ACTIONS(3210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1678] = {
    [sym_comment] = STATE(1678),
    [ts_builtin_sym_end] = ACTIONS(3382),
    [sym_identifier] = ACTIONS(3338),
    [anon_sym_export] = ACTIONS(3338),
    [anon_sym_type] = ACTIONS(3338),
    [anon_sym_namespace] = ACTIONS(3338),
    [anon_sym_LBRACE] = ACTIONS(3338),
    [anon_sym_RBRACE] = ACTIONS(3338),
    [anon_sym_typeof] = ACTIONS(3338),
    [anon_sym_import] = ACTIONS(3338),
    [anon_sym_var] = ACTIONS(3338),
    [anon_sym_let] = ACTIONS(3338),
    [anon_sym_const] = ACTIONS(3338),
    [anon_sym_BANG] = ACTIONS(3338),
    [anon_sym_if] = ACTIONS(3338),
    [anon_sym_switch] = ACTIONS(3338),
    [anon_sym_for] = ACTIONS(3338),
    [anon_sym_LPAREN] = ACTIONS(3338),
    [anon_sym_await] = ACTIONS(3338),
    [anon_sym_while] = ACTIONS(3338),
    [anon_sym_do] = ACTIONS(3338),
    [anon_sym_try] = ACTIONS(3338),
    [anon_sym_with] = ACTIONS(3338),
    [anon_sym_break] = ACTIONS(3338),
    [anon_sym_continue] = ACTIONS(3338),
    [anon_sym_debugger] = ACTIONS(3338),
    [anon_sym_return] = ACTIONS(3338),
    [anon_sym_throw] = ACTIONS(3338),
    [anon_sym_SEMI] = ACTIONS(3338),
    [anon_sym_yield] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(3338),
    [anon_sym_LTtemplate_GT] = ACTIONS(3338),
    [anon_sym_class] = ACTIONS(3338),
    [anon_sym_async] = ACTIONS(3338),
    [anon_sym_function] = ACTIONS(3338),
    [anon_sym_new] = ACTIONS(3338),
    [anon_sym_using] = ACTIONS(3338),
    [anon_sym_PLUS] = ACTIONS(3338),
    [anon_sym_DASH] = ACTIONS(3338),
    [anon_sym_SLASH] = ACTIONS(3338),
    [anon_sym_LT] = ACTIONS(3338),
    [anon_sym_TILDE] = ACTIONS(3338),
    [anon_sym_void] = ACTIONS(3338),
    [anon_sym_delete] = ACTIONS(3338),
    [anon_sym_PLUS_PLUS] = ACTIONS(3338),
    [anon_sym_DASH_DASH] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [anon_sym_SQUOTE] = ACTIONS(3338),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3338),
    [sym_number] = ACTIONS(3338),
    [sym_private_property_identifier] = ACTIONS(3338),
    [sym_this] = ACTIONS(3338),
    [sym_super] = ACTIONS(3338),
    [sym_true] = ACTIONS(3338),
    [sym_false] = ACTIONS(3338),
    [sym_null] = ACTIONS(3338),
    [sym_undefined] = ACTIONS(3338),
    [anon_sym_AT] = ACTIONS(3338),
    [anon_sym_static] = ACTIONS(3338),
    [anon_sym_readonly] = ACTIONS(3338),
    [anon_sym_get] = ACTIONS(3338),
    [anon_sym_set] = ACTIONS(3338),
    [anon_sym_declare] = ACTIONS(3338),
    [anon_sym_public] = ACTIONS(3338),
    [anon_sym_private] = ACTIONS(3338),
    [anon_sym_protected] = ACTIONS(3338),
    [anon_sym_override] = ACTIONS(3338),
    [anon_sym_module] = ACTIONS(3338),
    [anon_sym_any] = ACTIONS(3338),
    [anon_sym_number] = ACTIONS(3338),
    [anon_sym_boolean] = ACTIONS(3338),
    [anon_sym_string] = ACTIONS(3338),
    [anon_sym_symbol] = ACTIONS(3338),
    [anon_sym_object] = ACTIONS(3338),
    [anon_sym_abstract] = ACTIONS(3338),
    [anon_sym_interface] = ACTIONS(3338),
    [anon_sym_enum] = ACTIONS(3338),
    [sym_html_comment] = ACTIONS(5),
  },
  [1679] = {
    [sym_comment] = STATE(1679),
    [ts_builtin_sym_end] = ACTIONS(2129),
    [sym_identifier] = ACTIONS(2127),
    [anon_sym_export] = ACTIONS(2127),
    [anon_sym_type] = ACTIONS(2127),
    [anon_sym_namespace] = ACTIONS(2127),
    [anon_sym_LBRACE] = ACTIONS(2127),
    [anon_sym_RBRACE] = ACTIONS(2127),
    [anon_sym_typeof] = ACTIONS(2127),
    [anon_sym_import] = ACTIONS(2127),
    [anon_sym_var] = ACTIONS(2127),
    [anon_sym_let] = ACTIONS(2127),
    [anon_sym_const] = ACTIONS(2127),
    [anon_sym_BANG] = ACTIONS(2127),
    [anon_sym_if] = ACTIONS(2127),
    [anon_sym_switch] = ACTIONS(2127),
    [anon_sym_for] = ACTIONS(2127),
    [anon_sym_LPAREN] = ACTIONS(2127),
    [anon_sym_await] = ACTIONS(2127),
    [anon_sym_while] = ACTIONS(2127),
    [anon_sym_do] = ACTIONS(2127),
    [anon_sym_try] = ACTIONS(2127),
    [anon_sym_with] = ACTIONS(2127),
    [anon_sym_break] = ACTIONS(2127),
    [anon_sym_continue] = ACTIONS(2127),
    [anon_sym_debugger] = ACTIONS(2127),
    [anon_sym_return] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2127),
    [anon_sym_SEMI] = ACTIONS(2127),
    [anon_sym_yield] = ACTIONS(2127),
    [anon_sym_LBRACK] = ACTIONS(2127),
    [anon_sym_LTtemplate_GT] = ACTIONS(2127),
    [anon_sym_class] = ACTIONS(2127),
    [anon_sym_async] = ACTIONS(2127),
    [anon_sym_function] = ACTIONS(2127),
    [anon_sym_new] = ACTIONS(2127),
    [anon_sym_using] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_SLASH] = ACTIONS(2127),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_TILDE] = ACTIONS(2127),
    [anon_sym_void] = ACTIONS(2127),
    [anon_sym_delete] = ACTIONS(2127),
    [anon_sym_PLUS_PLUS] = ACTIONS(2127),
    [anon_sym_DASH_DASH] = ACTIONS(2127),
    [anon_sym_DQUOTE] = ACTIONS(2127),
    [anon_sym_SQUOTE] = ACTIONS(2127),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2127),
    [sym_number] = ACTIONS(2127),
    [sym_private_property_identifier] = ACTIONS(2127),
    [sym_this] = ACTIONS(2127),
    [sym_super] = ACTIONS(2127),
    [sym_true] = ACTIONS(2127),
    [sym_false] = ACTIONS(2127),
    [sym_null] = ACTIONS(2127),
    [sym_undefined] = ACTIONS(2127),
    [anon_sym_AT] = ACTIONS(2127),
    [anon_sym_static] = ACTIONS(2127),
    [anon_sym_readonly] = ACTIONS(2127),
    [anon_sym_get] = ACTIONS(2127),
    [anon_sym_set] = ACTIONS(2127),
    [anon_sym_declare] = ACTIONS(2127),
    [anon_sym_public] = ACTIONS(2127),
    [anon_sym_private] = ACTIONS(2127),
    [anon_sym_protected] = ACTIONS(2127),
    [anon_sym_override] = ACTIONS(2127),
    [anon_sym_module] = ACTIONS(2127),
    [anon_sym_any] = ACTIONS(2127),
    [anon_sym_number] = ACTIONS(2127),
    [anon_sym_boolean] = ACTIONS(2127),
    [anon_sym_string] = ACTIONS(2127),
    [anon_sym_symbol] = ACTIONS(2127),
    [anon_sym_object] = ACTIONS(2127),
    [anon_sym_abstract] = ACTIONS(2127),
    [anon_sym_interface] = ACTIONS(2127),
    [anon_sym_enum] = ACTIONS(2127),
    [sym_html_comment] = ACTIONS(5),
  },
  [1680] = {
    [sym_comment] = STATE(1680),
    [ts_builtin_sym_end] = ACTIONS(3380),
    [sym_identifier] = ACTIONS(3302),
    [anon_sym_export] = ACTIONS(3302),
    [anon_sym_type] = ACTIONS(3302),
    [anon_sym_namespace] = ACTIONS(3302),
    [anon_sym_LBRACE] = ACTIONS(3302),
    [anon_sym_RBRACE] = ACTIONS(3302),
    [anon_sym_typeof] = ACTIONS(3302),
    [anon_sym_import] = ACTIONS(3302),
    [anon_sym_var] = ACTIONS(3302),
    [anon_sym_let] = ACTIONS(3302),
    [anon_sym_const] = ACTIONS(3302),
    [anon_sym_BANG] = ACTIONS(3302),
    [anon_sym_if] = ACTIONS(3302),
    [anon_sym_switch] = ACTIONS(3302),
    [anon_sym_for] = ACTIONS(3302),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_await] = ACTIONS(3302),
    [anon_sym_while] = ACTIONS(3302),
    [anon_sym_do] = ACTIONS(3302),
    [anon_sym_try] = ACTIONS(3302),
    [anon_sym_with] = ACTIONS(3302),
    [anon_sym_break] = ACTIONS(3302),
    [anon_sym_continue] = ACTIONS(3302),
    [anon_sym_debugger] = ACTIONS(3302),
    [anon_sym_return] = ACTIONS(3302),
    [anon_sym_throw] = ACTIONS(3302),
    [anon_sym_SEMI] = ACTIONS(3302),
    [anon_sym_yield] = ACTIONS(3302),
    [anon_sym_LBRACK] = ACTIONS(3302),
    [anon_sym_LTtemplate_GT] = ACTIONS(3302),
    [anon_sym_class] = ACTIONS(3302),
    [anon_sym_async] = ACTIONS(3302),
    [anon_sym_function] = ACTIONS(3302),
    [anon_sym_new] = ACTIONS(3302),
    [anon_sym_using] = ACTIONS(3302),
    [anon_sym_PLUS] = ACTIONS(3302),
    [anon_sym_DASH] = ACTIONS(3302),
    [anon_sym_SLASH] = ACTIONS(3302),
    [anon_sym_LT] = ACTIONS(3302),
    [anon_sym_TILDE] = ACTIONS(3302),
    [anon_sym_void] = ACTIONS(3302),
    [anon_sym_delete] = ACTIONS(3302),
    [anon_sym_PLUS_PLUS] = ACTIONS(3302),
    [anon_sym_DASH_DASH] = ACTIONS(3302),
    [anon_sym_DQUOTE] = ACTIONS(3302),
    [anon_sym_SQUOTE] = ACTIONS(3302),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3302),
    [sym_number] = ACTIONS(3302),
    [sym_private_property_identifier] = ACTIONS(3302),
    [sym_this] = ACTIONS(3302),
    [sym_super] = ACTIONS(3302),
    [sym_true] = ACTIONS(3302),
    [sym_false] = ACTIONS(3302),
    [sym_null] = ACTIONS(3302),
    [sym_undefined] = ACTIONS(3302),
    [anon_sym_AT] = ACTIONS(3302),
    [anon_sym_static] = ACTIONS(3302),
    [anon_sym_readonly] = ACTIONS(3302),
    [anon_sym_get] = ACTIONS(3302),
    [anon_sym_set] = ACTIONS(3302),
    [anon_sym_declare] = ACTIONS(3302),
    [anon_sym_public] = ACTIONS(3302),
    [anon_sym_private] = ACTIONS(3302),
    [anon_sym_protected] = ACTIONS(3302),
    [anon_sym_override] = ACTIONS(3302),
    [anon_sym_module] = ACTIONS(3302),
    [anon_sym_any] = ACTIONS(3302),
    [anon_sym_number] = ACTIONS(3302),
    [anon_sym_boolean] = ACTIONS(3302),
    [anon_sym_string] = ACTIONS(3302),
    [anon_sym_symbol] = ACTIONS(3302),
    [anon_sym_object] = ACTIONS(3302),
    [anon_sym_abstract] = ACTIONS(3302),
    [anon_sym_interface] = ACTIONS(3302),
    [anon_sym_enum] = ACTIONS(3302),
    [sym_html_comment] = ACTIONS(5),
  },
  [1681] = {
    [sym_comment] = STATE(1681),
    [ts_builtin_sym_end] = ACTIONS(3388),
    [sym_identifier] = ACTIONS(3310),
    [anon_sym_export] = ACTIONS(3310),
    [anon_sym_type] = ACTIONS(3310),
    [anon_sym_namespace] = ACTIONS(3310),
    [anon_sym_LBRACE] = ACTIONS(3310),
    [anon_sym_RBRACE] = ACTIONS(3310),
    [anon_sym_typeof] = ACTIONS(3310),
    [anon_sym_import] = ACTIONS(3310),
    [anon_sym_var] = ACTIONS(3310),
    [anon_sym_let] = ACTIONS(3310),
    [anon_sym_const] = ACTIONS(3310),
    [anon_sym_BANG] = ACTIONS(3310),
    [anon_sym_if] = ACTIONS(3310),
    [anon_sym_switch] = ACTIONS(3310),
    [anon_sym_for] = ACTIONS(3310),
    [anon_sym_LPAREN] = ACTIONS(3310),
    [anon_sym_await] = ACTIONS(3310),
    [anon_sym_while] = ACTIONS(3310),
    [anon_sym_do] = ACTIONS(3310),
    [anon_sym_try] = ACTIONS(3310),
    [anon_sym_with] = ACTIONS(3310),
    [anon_sym_break] = ACTIONS(3310),
    [anon_sym_continue] = ACTIONS(3310),
    [anon_sym_debugger] = ACTIONS(3310),
    [anon_sym_return] = ACTIONS(3310),
    [anon_sym_throw] = ACTIONS(3310),
    [anon_sym_SEMI] = ACTIONS(3310),
    [anon_sym_yield] = ACTIONS(3310),
    [anon_sym_LBRACK] = ACTIONS(3310),
    [anon_sym_LTtemplate_GT] = ACTIONS(3310),
    [anon_sym_class] = ACTIONS(3310),
    [anon_sym_async] = ACTIONS(3310),
    [anon_sym_function] = ACTIONS(3310),
    [anon_sym_new] = ACTIONS(3310),
    [anon_sym_using] = ACTIONS(3310),
    [anon_sym_PLUS] = ACTIONS(3310),
    [anon_sym_DASH] = ACTIONS(3310),
    [anon_sym_SLASH] = ACTIONS(3310),
    [anon_sym_LT] = ACTIONS(3310),
    [anon_sym_TILDE] = ACTIONS(3310),
    [anon_sym_void] = ACTIONS(3310),
    [anon_sym_delete] = ACTIONS(3310),
    [anon_sym_PLUS_PLUS] = ACTIONS(3310),
    [anon_sym_DASH_DASH] = ACTIONS(3310),
    [anon_sym_DQUOTE] = ACTIONS(3310),
    [anon_sym_SQUOTE] = ACTIONS(3310),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3310),
    [sym_number] = ACTIONS(3310),
    [sym_private_property_identifier] = ACTIONS(3310),
    [sym_this] = ACTIONS(3310),
    [sym_super] = ACTIONS(3310),
    [sym_true] = ACTIONS(3310),
    [sym_false] = ACTIONS(3310),
    [sym_null] = ACTIONS(3310),
    [sym_undefined] = ACTIONS(3310),
    [anon_sym_AT] = ACTIONS(3310),
    [anon_sym_static] = ACTIONS(3310),
    [anon_sym_readonly] = ACTIONS(3310),
    [anon_sym_get] = ACTIONS(3310),
    [anon_sym_set] = ACTIONS(3310),
    [anon_sym_declare] = ACTIONS(3310),
    [anon_sym_public] = ACTIONS(3310),
    [anon_sym_private] = ACTIONS(3310),
    [anon_sym_protected] = ACTIONS(3310),
    [anon_sym_override] = ACTIONS(3310),
    [anon_sym_module] = ACTIONS(3310),
    [anon_sym_any] = ACTIONS(3310),
    [anon_sym_number] = ACTIONS(3310),
    [anon_sym_boolean] = ACTIONS(3310),
    [anon_sym_string] = ACTIONS(3310),
    [anon_sym_symbol] = ACTIONS(3310),
    [anon_sym_object] = ACTIONS(3310),
    [anon_sym_abstract] = ACTIONS(3310),
    [anon_sym_interface] = ACTIONS(3310),
    [anon_sym_enum] = ACTIONS(3310),
    [sym_html_comment] = ACTIONS(5),
  },
  [1682] = {
    [sym_comment] = STATE(1682),
    [ts_builtin_sym_end] = ACTIONS(3358),
    [sym_identifier] = ACTIONS(3316),
    [anon_sym_export] = ACTIONS(3316),
    [anon_sym_type] = ACTIONS(3316),
    [anon_sym_namespace] = ACTIONS(3316),
    [anon_sym_LBRACE] = ACTIONS(3316),
    [anon_sym_RBRACE] = ACTIONS(3316),
    [anon_sym_typeof] = ACTIONS(3316),
    [anon_sym_import] = ACTIONS(3316),
    [anon_sym_var] = ACTIONS(3316),
    [anon_sym_let] = ACTIONS(3316),
    [anon_sym_const] = ACTIONS(3316),
    [anon_sym_BANG] = ACTIONS(3316),
    [anon_sym_if] = ACTIONS(3316),
    [anon_sym_switch] = ACTIONS(3316),
    [anon_sym_for] = ACTIONS(3316),
    [anon_sym_LPAREN] = ACTIONS(3316),
    [anon_sym_await] = ACTIONS(3316),
    [anon_sym_while] = ACTIONS(3316),
    [anon_sym_do] = ACTIONS(3316),
    [anon_sym_try] = ACTIONS(3316),
    [anon_sym_with] = ACTIONS(3316),
    [anon_sym_break] = ACTIONS(3316),
    [anon_sym_continue] = ACTIONS(3316),
    [anon_sym_debugger] = ACTIONS(3316),
    [anon_sym_return] = ACTIONS(3316),
    [anon_sym_throw] = ACTIONS(3316),
    [anon_sym_SEMI] = ACTIONS(3316),
    [anon_sym_yield] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(3316),
    [anon_sym_LTtemplate_GT] = ACTIONS(3316),
    [anon_sym_class] = ACTIONS(3316),
    [anon_sym_async] = ACTIONS(3316),
    [anon_sym_function] = ACTIONS(3316),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_using] = ACTIONS(3316),
    [anon_sym_PLUS] = ACTIONS(3316),
    [anon_sym_DASH] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3316),
    [anon_sym_LT] = ACTIONS(3316),
    [anon_sym_TILDE] = ACTIONS(3316),
    [anon_sym_void] = ACTIONS(3316),
    [anon_sym_delete] = ACTIONS(3316),
    [anon_sym_PLUS_PLUS] = ACTIONS(3316),
    [anon_sym_DASH_DASH] = ACTIONS(3316),
    [anon_sym_DQUOTE] = ACTIONS(3316),
    [anon_sym_SQUOTE] = ACTIONS(3316),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3316),
    [sym_number] = ACTIONS(3316),
    [sym_private_property_identifier] = ACTIONS(3316),
    [sym_this] = ACTIONS(3316),
    [sym_super] = ACTIONS(3316),
    [sym_true] = ACTIONS(3316),
    [sym_false] = ACTIONS(3316),
    [sym_null] = ACTIONS(3316),
    [sym_undefined] = ACTIONS(3316),
    [anon_sym_AT] = ACTIONS(3316),
    [anon_sym_static] = ACTIONS(3316),
    [anon_sym_readonly] = ACTIONS(3316),
    [anon_sym_get] = ACTIONS(3316),
    [anon_sym_set] = ACTIONS(3316),
    [anon_sym_declare] = ACTIONS(3316),
    [anon_sym_public] = ACTIONS(3316),
    [anon_sym_private] = ACTIONS(3316),
    [anon_sym_protected] = ACTIONS(3316),
    [anon_sym_override] = ACTIONS(3316),
    [anon_sym_module] = ACTIONS(3316),
    [anon_sym_any] = ACTIONS(3316),
    [anon_sym_number] = ACTIONS(3316),
    [anon_sym_boolean] = ACTIONS(3316),
    [anon_sym_string] = ACTIONS(3316),
    [anon_sym_symbol] = ACTIONS(3316),
    [anon_sym_object] = ACTIONS(3316),
    [anon_sym_abstract] = ACTIONS(3316),
    [anon_sym_interface] = ACTIONS(3316),
    [anon_sym_enum] = ACTIONS(3316),
    [sym_html_comment] = ACTIONS(5),
  },
  [1683] = {
    [sym_comment] = STATE(1683),
    [ts_builtin_sym_end] = ACTIONS(3378),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_export] = ACTIONS(3300),
    [anon_sym_type] = ACTIONS(3300),
    [anon_sym_namespace] = ACTIONS(3300),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_RBRACE] = ACTIONS(3300),
    [anon_sym_typeof] = ACTIONS(3300),
    [anon_sym_import] = ACTIONS(3300),
    [anon_sym_var] = ACTIONS(3300),
    [anon_sym_let] = ACTIONS(3300),
    [anon_sym_const] = ACTIONS(3300),
    [anon_sym_BANG] = ACTIONS(3300),
    [anon_sym_if] = ACTIONS(3300),
    [anon_sym_switch] = ACTIONS(3300),
    [anon_sym_for] = ACTIONS(3300),
    [anon_sym_LPAREN] = ACTIONS(3300),
    [anon_sym_await] = ACTIONS(3300),
    [anon_sym_while] = ACTIONS(3300),
    [anon_sym_do] = ACTIONS(3300),
    [anon_sym_try] = ACTIONS(3300),
    [anon_sym_with] = ACTIONS(3300),
    [anon_sym_break] = ACTIONS(3300),
    [anon_sym_continue] = ACTIONS(3300),
    [anon_sym_debugger] = ACTIONS(3300),
    [anon_sym_return] = ACTIONS(3300),
    [anon_sym_throw] = ACTIONS(3300),
    [anon_sym_SEMI] = ACTIONS(3300),
    [anon_sym_yield] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(3300),
    [anon_sym_LTtemplate_GT] = ACTIONS(3300),
    [anon_sym_class] = ACTIONS(3300),
    [anon_sym_async] = ACTIONS(3300),
    [anon_sym_function] = ACTIONS(3300),
    [anon_sym_new] = ACTIONS(3300),
    [anon_sym_using] = ACTIONS(3300),
    [anon_sym_PLUS] = ACTIONS(3300),
    [anon_sym_DASH] = ACTIONS(3300),
    [anon_sym_SLASH] = ACTIONS(3300),
    [anon_sym_LT] = ACTIONS(3300),
    [anon_sym_TILDE] = ACTIONS(3300),
    [anon_sym_void] = ACTIONS(3300),
    [anon_sym_delete] = ACTIONS(3300),
    [anon_sym_PLUS_PLUS] = ACTIONS(3300),
    [anon_sym_DASH_DASH] = ACTIONS(3300),
    [anon_sym_DQUOTE] = ACTIONS(3300),
    [anon_sym_SQUOTE] = ACTIONS(3300),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3300),
    [sym_number] = ACTIONS(3300),
    [sym_private_property_identifier] = ACTIONS(3300),
    [sym_this] = ACTIONS(3300),
    [sym_super] = ACTIONS(3300),
    [sym_true] = ACTIONS(3300),
    [sym_false] = ACTIONS(3300),
    [sym_null] = ACTIONS(3300),
    [sym_undefined] = ACTIONS(3300),
    [anon_sym_AT] = ACTIONS(3300),
    [anon_sym_static] = ACTIONS(3300),
    [anon_sym_readonly] = ACTIONS(3300),
    [anon_sym_get] = ACTIONS(3300),
    [anon_sym_set] = ACTIONS(3300),
    [anon_sym_declare] = ACTIONS(3300),
    [anon_sym_public] = ACTIONS(3300),
    [anon_sym_private] = ACTIONS(3300),
    [anon_sym_protected] = ACTIONS(3300),
    [anon_sym_override] = ACTIONS(3300),
    [anon_sym_module] = ACTIONS(3300),
    [anon_sym_any] = ACTIONS(3300),
    [anon_sym_number] = ACTIONS(3300),
    [anon_sym_boolean] = ACTIONS(3300),
    [anon_sym_string] = ACTIONS(3300),
    [anon_sym_symbol] = ACTIONS(3300),
    [anon_sym_object] = ACTIONS(3300),
    [anon_sym_abstract] = ACTIONS(3300),
    [anon_sym_interface] = ACTIONS(3300),
    [anon_sym_enum] = ACTIONS(3300),
    [sym_html_comment] = ACTIONS(5),
  },
  [1684] = {
    [sym_comment] = STATE(1684),
    [ts_builtin_sym_end] = ACTIONS(3344),
    [sym_identifier] = ACTIONS(3308),
    [anon_sym_export] = ACTIONS(3308),
    [anon_sym_type] = ACTIONS(3308),
    [anon_sym_namespace] = ACTIONS(3308),
    [anon_sym_LBRACE] = ACTIONS(3308),
    [anon_sym_RBRACE] = ACTIONS(3308),
    [anon_sym_typeof] = ACTIONS(3308),
    [anon_sym_import] = ACTIONS(3308),
    [anon_sym_var] = ACTIONS(3308),
    [anon_sym_let] = ACTIONS(3308),
    [anon_sym_const] = ACTIONS(3308),
    [anon_sym_BANG] = ACTIONS(3308),
    [anon_sym_if] = ACTIONS(3308),
    [anon_sym_switch] = ACTIONS(3308),
    [anon_sym_for] = ACTIONS(3308),
    [anon_sym_LPAREN] = ACTIONS(3308),
    [anon_sym_await] = ACTIONS(3308),
    [anon_sym_while] = ACTIONS(3308),
    [anon_sym_do] = ACTIONS(3308),
    [anon_sym_try] = ACTIONS(3308),
    [anon_sym_with] = ACTIONS(3308),
    [anon_sym_break] = ACTIONS(3308),
    [anon_sym_continue] = ACTIONS(3308),
    [anon_sym_debugger] = ACTIONS(3308),
    [anon_sym_return] = ACTIONS(3308),
    [anon_sym_throw] = ACTIONS(3308),
    [anon_sym_SEMI] = ACTIONS(3308),
    [anon_sym_yield] = ACTIONS(3308),
    [anon_sym_LBRACK] = ACTIONS(3308),
    [anon_sym_LTtemplate_GT] = ACTIONS(3308),
    [anon_sym_class] = ACTIONS(3308),
    [anon_sym_async] = ACTIONS(3308),
    [anon_sym_function] = ACTIONS(3308),
    [anon_sym_new] = ACTIONS(3308),
    [anon_sym_using] = ACTIONS(3308),
    [anon_sym_PLUS] = ACTIONS(3308),
    [anon_sym_DASH] = ACTIONS(3308),
    [anon_sym_SLASH] = ACTIONS(3308),
    [anon_sym_LT] = ACTIONS(3308),
    [anon_sym_TILDE] = ACTIONS(3308),
    [anon_sym_void] = ACTIONS(3308),
    [anon_sym_delete] = ACTIONS(3308),
    [anon_sym_PLUS_PLUS] = ACTIONS(3308),
    [anon_sym_DASH_DASH] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [anon_sym_SQUOTE] = ACTIONS(3308),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3308),
    [sym_number] = ACTIONS(3308),
    [sym_private_property_identifier] = ACTIONS(3308),
    [sym_this] = ACTIONS(3308),
    [sym_super] = ACTIONS(3308),
    [sym_true] = ACTIONS(3308),
    [sym_false] = ACTIONS(3308),
    [sym_null] = ACTIONS(3308),
    [sym_undefined] = ACTIONS(3308),
    [anon_sym_AT] = ACTIONS(3308),
    [anon_sym_static] = ACTIONS(3308),
    [anon_sym_readonly] = ACTIONS(3308),
    [anon_sym_get] = ACTIONS(3308),
    [anon_sym_set] = ACTIONS(3308),
    [anon_sym_declare] = ACTIONS(3308),
    [anon_sym_public] = ACTIONS(3308),
    [anon_sym_private] = ACTIONS(3308),
    [anon_sym_protected] = ACTIONS(3308),
    [anon_sym_override] = ACTIONS(3308),
    [anon_sym_module] = ACTIONS(3308),
    [anon_sym_any] = ACTIONS(3308),
    [anon_sym_number] = ACTIONS(3308),
    [anon_sym_boolean] = ACTIONS(3308),
    [anon_sym_string] = ACTIONS(3308),
    [anon_sym_symbol] = ACTIONS(3308),
    [anon_sym_object] = ACTIONS(3308),
    [anon_sym_abstract] = ACTIONS(3308),
    [anon_sym_interface] = ACTIONS(3308),
    [anon_sym_enum] = ACTIONS(3308),
    [sym_html_comment] = ACTIONS(5),
  },
  [1685] = {
    [sym_comment] = STATE(1685),
    [ts_builtin_sym_end] = ACTIONS(3376),
    [sym_identifier] = ACTIONS(3208),
    [anon_sym_export] = ACTIONS(3208),
    [anon_sym_type] = ACTIONS(3208),
    [anon_sym_namespace] = ACTIONS(3208),
    [anon_sym_LBRACE] = ACTIONS(3208),
    [anon_sym_RBRACE] = ACTIONS(3208),
    [anon_sym_typeof] = ACTIONS(3208),
    [anon_sym_import] = ACTIONS(3208),
    [anon_sym_var] = ACTIONS(3208),
    [anon_sym_let] = ACTIONS(3208),
    [anon_sym_const] = ACTIONS(3208),
    [anon_sym_BANG] = ACTIONS(3208),
    [anon_sym_if] = ACTIONS(3208),
    [anon_sym_switch] = ACTIONS(3208),
    [anon_sym_for] = ACTIONS(3208),
    [anon_sym_LPAREN] = ACTIONS(3208),
    [anon_sym_await] = ACTIONS(3208),
    [anon_sym_while] = ACTIONS(3208),
    [anon_sym_do] = ACTIONS(3208),
    [anon_sym_try] = ACTIONS(3208),
    [anon_sym_with] = ACTIONS(3208),
    [anon_sym_break] = ACTIONS(3208),
    [anon_sym_continue] = ACTIONS(3208),
    [anon_sym_debugger] = ACTIONS(3208),
    [anon_sym_return] = ACTIONS(3208),
    [anon_sym_throw] = ACTIONS(3208),
    [anon_sym_SEMI] = ACTIONS(3208),
    [anon_sym_yield] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_LTtemplate_GT] = ACTIONS(3208),
    [anon_sym_class] = ACTIONS(3208),
    [anon_sym_async] = ACTIONS(3208),
    [anon_sym_function] = ACTIONS(3208),
    [anon_sym_new] = ACTIONS(3208),
    [anon_sym_using] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3208),
    [anon_sym_DASH] = ACTIONS(3208),
    [anon_sym_SLASH] = ACTIONS(3208),
    [anon_sym_LT] = ACTIONS(3208),
    [anon_sym_TILDE] = ACTIONS(3208),
    [anon_sym_void] = ACTIONS(3208),
    [anon_sym_delete] = ACTIONS(3208),
    [anon_sym_PLUS_PLUS] = ACTIONS(3208),
    [anon_sym_DASH_DASH] = ACTIONS(3208),
    [anon_sym_DQUOTE] = ACTIONS(3208),
    [anon_sym_SQUOTE] = ACTIONS(3208),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3208),
    [sym_number] = ACTIONS(3208),
    [sym_private_property_identifier] = ACTIONS(3208),
    [sym_this] = ACTIONS(3208),
    [sym_super] = ACTIONS(3208),
    [sym_true] = ACTIONS(3208),
    [sym_false] = ACTIONS(3208),
    [sym_null] = ACTIONS(3208),
    [sym_undefined] = ACTIONS(3208),
    [anon_sym_AT] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(3208),
    [anon_sym_readonly] = ACTIONS(3208),
    [anon_sym_get] = ACTIONS(3208),
    [anon_sym_set] = ACTIONS(3208),
    [anon_sym_declare] = ACTIONS(3208),
    [anon_sym_public] = ACTIONS(3208),
    [anon_sym_private] = ACTIONS(3208),
    [anon_sym_protected] = ACTIONS(3208),
    [anon_sym_override] = ACTIONS(3208),
    [anon_sym_module] = ACTIONS(3208),
    [anon_sym_any] = ACTIONS(3208),
    [anon_sym_number] = ACTIONS(3208),
    [anon_sym_boolean] = ACTIONS(3208),
    [anon_sym_string] = ACTIONS(3208),
    [anon_sym_symbol] = ACTIONS(3208),
    [anon_sym_object] = ACTIONS(3208),
    [anon_sym_abstract] = ACTIONS(3208),
    [anon_sym_interface] = ACTIONS(3208),
    [anon_sym_enum] = ACTIONS(3208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1686] = {
    [sym_comment] = STATE(1686),
    [ts_builtin_sym_end] = ACTIONS(3374),
    [sym_identifier] = ACTIONS(3306),
    [anon_sym_export] = ACTIONS(3306),
    [anon_sym_type] = ACTIONS(3306),
    [anon_sym_namespace] = ACTIONS(3306),
    [anon_sym_LBRACE] = ACTIONS(3306),
    [anon_sym_RBRACE] = ACTIONS(3306),
    [anon_sym_typeof] = ACTIONS(3306),
    [anon_sym_import] = ACTIONS(3306),
    [anon_sym_var] = ACTIONS(3306),
    [anon_sym_let] = ACTIONS(3306),
    [anon_sym_const] = ACTIONS(3306),
    [anon_sym_BANG] = ACTIONS(3306),
    [anon_sym_if] = ACTIONS(3306),
    [anon_sym_switch] = ACTIONS(3306),
    [anon_sym_for] = ACTIONS(3306),
    [anon_sym_LPAREN] = ACTIONS(3306),
    [anon_sym_await] = ACTIONS(3306),
    [anon_sym_while] = ACTIONS(3306),
    [anon_sym_do] = ACTIONS(3306),
    [anon_sym_try] = ACTIONS(3306),
    [anon_sym_with] = ACTIONS(3306),
    [anon_sym_break] = ACTIONS(3306),
    [anon_sym_continue] = ACTIONS(3306),
    [anon_sym_debugger] = ACTIONS(3306),
    [anon_sym_return] = ACTIONS(3306),
    [anon_sym_throw] = ACTIONS(3306),
    [anon_sym_SEMI] = ACTIONS(3306),
    [anon_sym_yield] = ACTIONS(3306),
    [anon_sym_LBRACK] = ACTIONS(3306),
    [anon_sym_LTtemplate_GT] = ACTIONS(3306),
    [anon_sym_class] = ACTIONS(3306),
    [anon_sym_async] = ACTIONS(3306),
    [anon_sym_function] = ACTIONS(3306),
    [anon_sym_new] = ACTIONS(3306),
    [anon_sym_using] = ACTIONS(3306),
    [anon_sym_PLUS] = ACTIONS(3306),
    [anon_sym_DASH] = ACTIONS(3306),
    [anon_sym_SLASH] = ACTIONS(3306),
    [anon_sym_LT] = ACTIONS(3306),
    [anon_sym_TILDE] = ACTIONS(3306),
    [anon_sym_void] = ACTIONS(3306),
    [anon_sym_delete] = ACTIONS(3306),
    [anon_sym_PLUS_PLUS] = ACTIONS(3306),
    [anon_sym_DASH_DASH] = ACTIONS(3306),
    [anon_sym_DQUOTE] = ACTIONS(3306),
    [anon_sym_SQUOTE] = ACTIONS(3306),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3306),
    [sym_number] = ACTIONS(3306),
    [sym_private_property_identifier] = ACTIONS(3306),
    [sym_this] = ACTIONS(3306),
    [sym_super] = ACTIONS(3306),
    [sym_true] = ACTIONS(3306),
    [sym_false] = ACTIONS(3306),
    [sym_null] = ACTIONS(3306),
    [sym_undefined] = ACTIONS(3306),
    [anon_sym_AT] = ACTIONS(3306),
    [anon_sym_static] = ACTIONS(3306),
    [anon_sym_readonly] = ACTIONS(3306),
    [anon_sym_get] = ACTIONS(3306),
    [anon_sym_set] = ACTIONS(3306),
    [anon_sym_declare] = ACTIONS(3306),
    [anon_sym_public] = ACTIONS(3306),
    [anon_sym_private] = ACTIONS(3306),
    [anon_sym_protected] = ACTIONS(3306),
    [anon_sym_override] = ACTIONS(3306),
    [anon_sym_module] = ACTIONS(3306),
    [anon_sym_any] = ACTIONS(3306),
    [anon_sym_number] = ACTIONS(3306),
    [anon_sym_boolean] = ACTIONS(3306),
    [anon_sym_string] = ACTIONS(3306),
    [anon_sym_symbol] = ACTIONS(3306),
    [anon_sym_object] = ACTIONS(3306),
    [anon_sym_abstract] = ACTIONS(3306),
    [anon_sym_interface] = ACTIONS(3306),
    [anon_sym_enum] = ACTIONS(3306),
    [sym_html_comment] = ACTIONS(5),
  },
  [1687] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1687),
    [sym_formal_parameters] = STATE(7155),
    [sym_rest_pattern] = STATE(6418),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(4754),
    [sym_tuple_parameter] = STATE(6423),
    [sym_optional_tuple_parameter] = STATE(6423),
    [sym_optional_type] = STATE(6423),
    [sym_rest_type] = STATE(6423),
    [sym__tuple_type_member] = STATE(6086),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_COMMA] = ACTIONS(3548),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3552),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1688] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1688),
    [sym_formal_parameters] = STATE(7155),
    [sym_rest_pattern] = STATE(6418),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(4754),
    [sym_tuple_parameter] = STATE(6423),
    [sym_optional_tuple_parameter] = STATE(6423),
    [sym_optional_type] = STATE(6423),
    [sym_rest_type] = STATE(6423),
    [sym__tuple_type_member] = STATE(6279),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_COMMA] = ACTIONS(3554),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3556),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3552),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1689] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1689),
    [sym_formal_parameters] = STATE(7155),
    [sym_rest_pattern] = STATE(6418),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(4754),
    [sym_tuple_parameter] = STATE(6423),
    [sym_optional_tuple_parameter] = STATE(6423),
    [sym_optional_type] = STATE(6423),
    [sym_rest_type] = STATE(6423),
    [sym__tuple_type_member] = STATE(5725),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_COMMA] = ACTIONS(3558),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3560),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3552),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1690] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1690),
    [sym_formal_parameters] = STATE(7155),
    [sym_rest_pattern] = STATE(6418),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(4754),
    [sym_tuple_parameter] = STATE(6423),
    [sym_optional_tuple_parameter] = STATE(6423),
    [sym_optional_type] = STATE(6423),
    [sym_rest_type] = STATE(6423),
    [sym__tuple_type_member] = STATE(5802),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_COMMA] = ACTIONS(3562),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3564),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3552),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1691] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1691),
    [sym_formal_parameters] = STATE(7155),
    [sym_rest_pattern] = STATE(6418),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(4754),
    [sym_tuple_parameter] = STATE(6423),
    [sym_optional_tuple_parameter] = STATE(6423),
    [sym_optional_type] = STATE(6423),
    [sym_rest_type] = STATE(6423),
    [sym__tuple_type_member] = STATE(6329),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_COMMA] = ACTIONS(3566),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3568),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3552),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1692] = {
    [sym_comment] = STATE(1692),
    [sym_identifier] = ACTIONS(3570),
    [anon_sym_export] = ACTIONS(3570),
    [anon_sym_type] = ACTIONS(3570),
    [anon_sym_namespace] = ACTIONS(3570),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_typeof] = ACTIONS(3570),
    [anon_sym_import] = ACTIONS(3570),
    [anon_sym_var] = ACTIONS(3570),
    [anon_sym_let] = ACTIONS(3570),
    [anon_sym_const] = ACTIONS(3570),
    [anon_sym_BANG] = ACTIONS(3570),
    [anon_sym_if] = ACTIONS(3570),
    [anon_sym_switch] = ACTIONS(3570),
    [anon_sym_for] = ACTIONS(3570),
    [anon_sym_LPAREN] = ACTIONS(3570),
    [anon_sym_await] = ACTIONS(3570),
    [anon_sym_while] = ACTIONS(3570),
    [anon_sym_do] = ACTIONS(3570),
    [anon_sym_try] = ACTIONS(3570),
    [anon_sym_with] = ACTIONS(3570),
    [anon_sym_break] = ACTIONS(3570),
    [anon_sym_continue] = ACTIONS(3570),
    [anon_sym_debugger] = ACTIONS(3570),
    [anon_sym_return] = ACTIONS(3570),
    [anon_sym_throw] = ACTIONS(3570),
    [anon_sym_SEMI] = ACTIONS(3570),
    [anon_sym_yield] = ACTIONS(3570),
    [anon_sym_LBRACK] = ACTIONS(3570),
    [anon_sym_LTtemplate_GT] = ACTIONS(3570),
    [anon_sym_class] = ACTIONS(3570),
    [anon_sym_async] = ACTIONS(3570),
    [anon_sym_function] = ACTIONS(3570),
    [anon_sym_new] = ACTIONS(3570),
    [anon_sym_using] = ACTIONS(3570),
    [anon_sym_PLUS] = ACTIONS(3570),
    [anon_sym_DASH] = ACTIONS(3570),
    [anon_sym_SLASH] = ACTIONS(3570),
    [anon_sym_LT] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(3570),
    [anon_sym_void] = ACTIONS(3570),
    [anon_sym_delete] = ACTIONS(3570),
    [anon_sym_PLUS_PLUS] = ACTIONS(3570),
    [anon_sym_DASH_DASH] = ACTIONS(3570),
    [anon_sym_DQUOTE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3570),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3570),
    [sym_number] = ACTIONS(3570),
    [sym_private_property_identifier] = ACTIONS(3570),
    [sym_this] = ACTIONS(3570),
    [sym_super] = ACTIONS(3570),
    [sym_true] = ACTIONS(3570),
    [sym_false] = ACTIONS(3570),
    [sym_null] = ACTIONS(3570),
    [sym_undefined] = ACTIONS(3570),
    [anon_sym_AT] = ACTIONS(3570),
    [anon_sym_static] = ACTIONS(3570),
    [anon_sym_readonly] = ACTIONS(3570),
    [anon_sym_get] = ACTIONS(3570),
    [anon_sym_set] = ACTIONS(3570),
    [anon_sym_declare] = ACTIONS(3570),
    [anon_sym_public] = ACTIONS(3570),
    [anon_sym_private] = ACTIONS(3570),
    [anon_sym_protected] = ACTIONS(3570),
    [anon_sym_override] = ACTIONS(3570),
    [anon_sym_module] = ACTIONS(3570),
    [anon_sym_any] = ACTIONS(3570),
    [anon_sym_number] = ACTIONS(3570),
    [anon_sym_boolean] = ACTIONS(3570),
    [anon_sym_string] = ACTIONS(3570),
    [anon_sym_symbol] = ACTIONS(3570),
    [anon_sym_object] = ACTIONS(3570),
    [anon_sym_abstract] = ACTIONS(3570),
    [anon_sym_interface] = ACTIONS(3570),
    [anon_sym_enum] = ACTIONS(3570),
    [sym_html_comment] = ACTIONS(5),
  },
  [1693] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1693),
    [sym_formal_parameters] = STATE(7155),
    [sym_rest_pattern] = STATE(6418),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(4754),
    [sym_tuple_parameter] = STATE(6423),
    [sym_optional_tuple_parameter] = STATE(6423),
    [sym_optional_type] = STATE(6423),
    [sym_rest_type] = STATE(6423),
    [sym__tuple_type_member] = STATE(6621),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3572),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3552),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1694] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1694),
    [sym_formal_parameters] = STATE(7155),
    [sym_rest_pattern] = STATE(6418),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(4754),
    [sym_tuple_parameter] = STATE(6423),
    [sym_optional_tuple_parameter] = STATE(6423),
    [sym_optional_type] = STATE(6423),
    [sym_rest_type] = STATE(6423),
    [sym__tuple_type_member] = STATE(6621),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3574),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3552),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1695] = {
    [sym_comment] = STATE(1695),
    [sym_identifier] = ACTIONS(3570),
    [anon_sym_export] = ACTIONS(3570),
    [anon_sym_type] = ACTIONS(3570),
    [anon_sym_namespace] = ACTIONS(3570),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_typeof] = ACTIONS(3570),
    [anon_sym_import] = ACTIONS(3570),
    [anon_sym_var] = ACTIONS(3570),
    [anon_sym_let] = ACTIONS(3570),
    [anon_sym_const] = ACTIONS(3570),
    [anon_sym_BANG] = ACTIONS(3570),
    [anon_sym_if] = ACTIONS(3570),
    [anon_sym_switch] = ACTIONS(3570),
    [anon_sym_for] = ACTIONS(3570),
    [anon_sym_LPAREN] = ACTIONS(3570),
    [anon_sym_await] = ACTIONS(3570),
    [anon_sym_while] = ACTIONS(3570),
    [anon_sym_do] = ACTIONS(3570),
    [anon_sym_try] = ACTIONS(3570),
    [anon_sym_with] = ACTIONS(3570),
    [anon_sym_break] = ACTIONS(3570),
    [anon_sym_continue] = ACTIONS(3570),
    [anon_sym_debugger] = ACTIONS(3570),
    [anon_sym_return] = ACTIONS(3570),
    [anon_sym_throw] = ACTIONS(3570),
    [anon_sym_SEMI] = ACTIONS(3570),
    [anon_sym_yield] = ACTIONS(3570),
    [anon_sym_LBRACK] = ACTIONS(3570),
    [anon_sym_LTtemplate_GT] = ACTIONS(3570),
    [anon_sym_class] = ACTIONS(3570),
    [anon_sym_async] = ACTIONS(3570),
    [anon_sym_function] = ACTIONS(3570),
    [anon_sym_new] = ACTIONS(3570),
    [anon_sym_using] = ACTIONS(3570),
    [anon_sym_PLUS] = ACTIONS(3570),
    [anon_sym_DASH] = ACTIONS(3570),
    [anon_sym_SLASH] = ACTIONS(3570),
    [anon_sym_LT] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(3570),
    [anon_sym_void] = ACTIONS(3570),
    [anon_sym_delete] = ACTIONS(3570),
    [anon_sym_PLUS_PLUS] = ACTIONS(3570),
    [anon_sym_DASH_DASH] = ACTIONS(3570),
    [anon_sym_DQUOTE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3570),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3570),
    [sym_number] = ACTIONS(3570),
    [sym_private_property_identifier] = ACTIONS(3570),
    [sym_this] = ACTIONS(3570),
    [sym_super] = ACTIONS(3570),
    [sym_true] = ACTIONS(3570),
    [sym_false] = ACTIONS(3570),
    [sym_null] = ACTIONS(3570),
    [sym_undefined] = ACTIONS(3570),
    [anon_sym_AT] = ACTIONS(3570),
    [anon_sym_static] = ACTIONS(3570),
    [anon_sym_readonly] = ACTIONS(3570),
    [anon_sym_get] = ACTIONS(3570),
    [anon_sym_set] = ACTIONS(3570),
    [anon_sym_declare] = ACTIONS(3570),
    [anon_sym_public] = ACTIONS(3570),
    [anon_sym_private] = ACTIONS(3570),
    [anon_sym_protected] = ACTIONS(3570),
    [anon_sym_override] = ACTIONS(3570),
    [anon_sym_module] = ACTIONS(3570),
    [anon_sym_any] = ACTIONS(3570),
    [anon_sym_number] = ACTIONS(3570),
    [anon_sym_boolean] = ACTIONS(3570),
    [anon_sym_string] = ACTIONS(3570),
    [anon_sym_symbol] = ACTIONS(3570),
    [anon_sym_object] = ACTIONS(3570),
    [anon_sym_abstract] = ACTIONS(3570),
    [anon_sym_interface] = ACTIONS(3570),
    [anon_sym_enum] = ACTIONS(3570),
    [sym_html_comment] = ACTIONS(5),
  },
  [1696] = {
    [sym_comment] = STATE(1696),
    [sym_identifier] = ACTIONS(3570),
    [anon_sym_export] = ACTIONS(3570),
    [anon_sym_type] = ACTIONS(3570),
    [anon_sym_namespace] = ACTIONS(3570),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_typeof] = ACTIONS(3570),
    [anon_sym_import] = ACTIONS(3570),
    [anon_sym_var] = ACTIONS(3570),
    [anon_sym_let] = ACTIONS(3570),
    [anon_sym_const] = ACTIONS(3570),
    [anon_sym_BANG] = ACTIONS(3570),
    [anon_sym_if] = ACTIONS(3570),
    [anon_sym_switch] = ACTIONS(3570),
    [anon_sym_for] = ACTIONS(3570),
    [anon_sym_LPAREN] = ACTIONS(3570),
    [anon_sym_await] = ACTIONS(3570),
    [anon_sym_while] = ACTIONS(3570),
    [anon_sym_do] = ACTIONS(3570),
    [anon_sym_try] = ACTIONS(3570),
    [anon_sym_with] = ACTIONS(3570),
    [anon_sym_break] = ACTIONS(3570),
    [anon_sym_continue] = ACTIONS(3570),
    [anon_sym_debugger] = ACTIONS(3570),
    [anon_sym_return] = ACTIONS(3570),
    [anon_sym_throw] = ACTIONS(3570),
    [anon_sym_SEMI] = ACTIONS(3570),
    [anon_sym_yield] = ACTIONS(3570),
    [anon_sym_LBRACK] = ACTIONS(3570),
    [anon_sym_LTtemplate_GT] = ACTIONS(3570),
    [anon_sym_class] = ACTIONS(3570),
    [anon_sym_async] = ACTIONS(3570),
    [anon_sym_function] = ACTIONS(3570),
    [anon_sym_new] = ACTIONS(3570),
    [anon_sym_using] = ACTIONS(3570),
    [anon_sym_PLUS] = ACTIONS(3570),
    [anon_sym_DASH] = ACTIONS(3570),
    [anon_sym_SLASH] = ACTIONS(3570),
    [anon_sym_LT] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(3570),
    [anon_sym_void] = ACTIONS(3570),
    [anon_sym_delete] = ACTIONS(3570),
    [anon_sym_PLUS_PLUS] = ACTIONS(3570),
    [anon_sym_DASH_DASH] = ACTIONS(3570),
    [anon_sym_DQUOTE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3570),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3570),
    [sym_number] = ACTIONS(3570),
    [sym_private_property_identifier] = ACTIONS(3570),
    [sym_this] = ACTIONS(3570),
    [sym_super] = ACTIONS(3570),
    [sym_true] = ACTIONS(3570),
    [sym_false] = ACTIONS(3570),
    [sym_null] = ACTIONS(3570),
    [sym_undefined] = ACTIONS(3570),
    [anon_sym_AT] = ACTIONS(3570),
    [anon_sym_static] = ACTIONS(3570),
    [anon_sym_readonly] = ACTIONS(3570),
    [anon_sym_get] = ACTIONS(3570),
    [anon_sym_set] = ACTIONS(3570),
    [anon_sym_declare] = ACTIONS(3570),
    [anon_sym_public] = ACTIONS(3570),
    [anon_sym_private] = ACTIONS(3570),
    [anon_sym_protected] = ACTIONS(3570),
    [anon_sym_override] = ACTIONS(3570),
    [anon_sym_module] = ACTIONS(3570),
    [anon_sym_any] = ACTIONS(3570),
    [anon_sym_number] = ACTIONS(3570),
    [anon_sym_boolean] = ACTIONS(3570),
    [anon_sym_string] = ACTIONS(3570),
    [anon_sym_symbol] = ACTIONS(3570),
    [anon_sym_object] = ACTIONS(3570),
    [anon_sym_abstract] = ACTIONS(3570),
    [anon_sym_interface] = ACTIONS(3570),
    [anon_sym_enum] = ACTIONS(3570),
    [sym_html_comment] = ACTIONS(5),
  },
  [1697] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1697),
    [sym_formal_parameters] = STATE(7155),
    [sym_rest_pattern] = STATE(6418),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(4754),
    [sym_tuple_parameter] = STATE(6423),
    [sym_optional_tuple_parameter] = STATE(6423),
    [sym_optional_type] = STATE(6423),
    [sym_rest_type] = STATE(6423),
    [sym__tuple_type_member] = STATE(6621),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3552),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1698] = {
    [sym_comment] = STATE(1698),
    [sym_identifier] = ACTIONS(3578),
    [anon_sym_export] = ACTIONS(3578),
    [anon_sym_type] = ACTIONS(3578),
    [anon_sym_namespace] = ACTIONS(3578),
    [anon_sym_LBRACE] = ACTIONS(3578),
    [anon_sym_typeof] = ACTIONS(3578),
    [anon_sym_import] = ACTIONS(3578),
    [anon_sym_var] = ACTIONS(3578),
    [anon_sym_let] = ACTIONS(3578),
    [anon_sym_const] = ACTIONS(3578),
    [anon_sym_BANG] = ACTIONS(3578),
    [anon_sym_if] = ACTIONS(3578),
    [anon_sym_switch] = ACTIONS(3578),
    [anon_sym_for] = ACTIONS(3578),
    [anon_sym_LPAREN] = ACTIONS(3578),
    [anon_sym_await] = ACTIONS(3578),
    [anon_sym_while] = ACTIONS(3578),
    [anon_sym_do] = ACTIONS(3578),
    [anon_sym_try] = ACTIONS(3578),
    [anon_sym_with] = ACTIONS(3578),
    [anon_sym_break] = ACTIONS(3578),
    [anon_sym_continue] = ACTIONS(3578),
    [anon_sym_debugger] = ACTIONS(3578),
    [anon_sym_return] = ACTIONS(3578),
    [anon_sym_throw] = ACTIONS(3578),
    [anon_sym_SEMI] = ACTIONS(3578),
    [anon_sym_yield] = ACTIONS(3578),
    [anon_sym_LBRACK] = ACTIONS(3578),
    [anon_sym_LTtemplate_GT] = ACTIONS(3578),
    [anon_sym_class] = ACTIONS(3578),
    [anon_sym_async] = ACTIONS(3578),
    [anon_sym_function] = ACTIONS(3578),
    [anon_sym_new] = ACTIONS(3578),
    [anon_sym_using] = ACTIONS(3578),
    [anon_sym_PLUS] = ACTIONS(3578),
    [anon_sym_DASH] = ACTIONS(3578),
    [anon_sym_SLASH] = ACTIONS(3578),
    [anon_sym_LT] = ACTIONS(3578),
    [anon_sym_TILDE] = ACTIONS(3578),
    [anon_sym_void] = ACTIONS(3578),
    [anon_sym_delete] = ACTIONS(3578),
    [anon_sym_PLUS_PLUS] = ACTIONS(3578),
    [anon_sym_DASH_DASH] = ACTIONS(3578),
    [anon_sym_DQUOTE] = ACTIONS(3578),
    [anon_sym_SQUOTE] = ACTIONS(3578),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3578),
    [sym_number] = ACTIONS(3578),
    [sym_private_property_identifier] = ACTIONS(3578),
    [sym_this] = ACTIONS(3578),
    [sym_super] = ACTIONS(3578),
    [sym_true] = ACTIONS(3578),
    [sym_false] = ACTIONS(3578),
    [sym_null] = ACTIONS(3578),
    [sym_undefined] = ACTIONS(3578),
    [anon_sym_AT] = ACTIONS(3578),
    [anon_sym_static] = ACTIONS(3578),
    [anon_sym_readonly] = ACTIONS(3578),
    [anon_sym_get] = ACTIONS(3578),
    [anon_sym_set] = ACTIONS(3578),
    [anon_sym_declare] = ACTIONS(3578),
    [anon_sym_public] = ACTIONS(3578),
    [anon_sym_private] = ACTIONS(3578),
    [anon_sym_protected] = ACTIONS(3578),
    [anon_sym_override] = ACTIONS(3578),
    [anon_sym_module] = ACTIONS(3578),
    [anon_sym_any] = ACTIONS(3578),
    [anon_sym_number] = ACTIONS(3578),
    [anon_sym_boolean] = ACTIONS(3578),
    [anon_sym_string] = ACTIONS(3578),
    [anon_sym_symbol] = ACTIONS(3578),
    [anon_sym_object] = ACTIONS(3578),
    [anon_sym_abstract] = ACTIONS(3578),
    [anon_sym_interface] = ACTIONS(3578),
    [anon_sym_enum] = ACTIONS(3578),
    [sym_html_comment] = ACTIONS(5),
  },
  [1699] = {
    [sym_comment] = STATE(1699),
    [sym_identifier] = ACTIONS(3570),
    [anon_sym_export] = ACTIONS(3570),
    [anon_sym_type] = ACTIONS(3570),
    [anon_sym_namespace] = ACTIONS(3570),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_typeof] = ACTIONS(3570),
    [anon_sym_import] = ACTIONS(3570),
    [anon_sym_var] = ACTIONS(3570),
    [anon_sym_let] = ACTIONS(3570),
    [anon_sym_const] = ACTIONS(3570),
    [anon_sym_BANG] = ACTIONS(3570),
    [anon_sym_if] = ACTIONS(3570),
    [anon_sym_switch] = ACTIONS(3570),
    [anon_sym_for] = ACTIONS(3570),
    [anon_sym_LPAREN] = ACTIONS(3570),
    [anon_sym_await] = ACTIONS(3570),
    [anon_sym_while] = ACTIONS(3570),
    [anon_sym_do] = ACTIONS(3570),
    [anon_sym_try] = ACTIONS(3570),
    [anon_sym_with] = ACTIONS(3570),
    [anon_sym_break] = ACTIONS(3570),
    [anon_sym_continue] = ACTIONS(3570),
    [anon_sym_debugger] = ACTIONS(3570),
    [anon_sym_return] = ACTIONS(3570),
    [anon_sym_throw] = ACTIONS(3570),
    [anon_sym_SEMI] = ACTIONS(3570),
    [anon_sym_yield] = ACTIONS(3570),
    [anon_sym_LBRACK] = ACTIONS(3570),
    [anon_sym_LTtemplate_GT] = ACTIONS(3570),
    [anon_sym_class] = ACTIONS(3570),
    [anon_sym_async] = ACTIONS(3570),
    [anon_sym_function] = ACTIONS(3570),
    [anon_sym_new] = ACTIONS(3570),
    [anon_sym_using] = ACTIONS(3570),
    [anon_sym_PLUS] = ACTIONS(3570),
    [anon_sym_DASH] = ACTIONS(3570),
    [anon_sym_SLASH] = ACTIONS(3570),
    [anon_sym_LT] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(3570),
    [anon_sym_void] = ACTIONS(3570),
    [anon_sym_delete] = ACTIONS(3570),
    [anon_sym_PLUS_PLUS] = ACTIONS(3570),
    [anon_sym_DASH_DASH] = ACTIONS(3570),
    [anon_sym_DQUOTE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3570),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3570),
    [sym_number] = ACTIONS(3570),
    [sym_private_property_identifier] = ACTIONS(3570),
    [sym_this] = ACTIONS(3570),
    [sym_super] = ACTIONS(3570),
    [sym_true] = ACTIONS(3570),
    [sym_false] = ACTIONS(3570),
    [sym_null] = ACTIONS(3570),
    [sym_undefined] = ACTIONS(3570),
    [anon_sym_AT] = ACTIONS(3570),
    [anon_sym_static] = ACTIONS(3570),
    [anon_sym_readonly] = ACTIONS(3570),
    [anon_sym_get] = ACTIONS(3570),
    [anon_sym_set] = ACTIONS(3570),
    [anon_sym_declare] = ACTIONS(3570),
    [anon_sym_public] = ACTIONS(3570),
    [anon_sym_private] = ACTIONS(3570),
    [anon_sym_protected] = ACTIONS(3570),
    [anon_sym_override] = ACTIONS(3570),
    [anon_sym_module] = ACTIONS(3570),
    [anon_sym_any] = ACTIONS(3570),
    [anon_sym_number] = ACTIONS(3570),
    [anon_sym_boolean] = ACTIONS(3570),
    [anon_sym_string] = ACTIONS(3570),
    [anon_sym_symbol] = ACTIONS(3570),
    [anon_sym_object] = ACTIONS(3570),
    [anon_sym_abstract] = ACTIONS(3570),
    [anon_sym_interface] = ACTIONS(3570),
    [anon_sym_enum] = ACTIONS(3570),
    [sym_html_comment] = ACTIONS(5),
  },
  [1700] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1700),
    [sym_formal_parameters] = STATE(7155),
    [sym_rest_pattern] = STATE(6418),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(4754),
    [sym_tuple_parameter] = STATE(6423),
    [sym_optional_tuple_parameter] = STATE(6423),
    [sym_optional_type] = STATE(6423),
    [sym_rest_type] = STATE(6423),
    [sym__tuple_type_member] = STATE(6621),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3580),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3552),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1701] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1701),
    [sym_formal_parameters] = STATE(7155),
    [sym_rest_pattern] = STATE(6418),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(4754),
    [sym_tuple_parameter] = STATE(6423),
    [sym_optional_tuple_parameter] = STATE(6423),
    [sym_optional_type] = STATE(6423),
    [sym_rest_type] = STATE(6423),
    [sym__tuple_type_member] = STATE(6621),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3582),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3552),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1702] = {
    [sym_comment] = STATE(1702),
    [sym_identifier] = ACTIONS(3570),
    [anon_sym_export] = ACTIONS(3570),
    [anon_sym_type] = ACTIONS(3570),
    [anon_sym_namespace] = ACTIONS(3570),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_typeof] = ACTIONS(3570),
    [anon_sym_import] = ACTIONS(3570),
    [anon_sym_var] = ACTIONS(3570),
    [anon_sym_let] = ACTIONS(3570),
    [anon_sym_const] = ACTIONS(3570),
    [anon_sym_BANG] = ACTIONS(3570),
    [anon_sym_if] = ACTIONS(3570),
    [anon_sym_switch] = ACTIONS(3570),
    [anon_sym_for] = ACTIONS(3570),
    [anon_sym_LPAREN] = ACTIONS(3570),
    [anon_sym_await] = ACTIONS(3570),
    [anon_sym_while] = ACTIONS(3570),
    [anon_sym_do] = ACTIONS(3570),
    [anon_sym_try] = ACTIONS(3570),
    [anon_sym_with] = ACTIONS(3570),
    [anon_sym_break] = ACTIONS(3570),
    [anon_sym_continue] = ACTIONS(3570),
    [anon_sym_debugger] = ACTIONS(3570),
    [anon_sym_return] = ACTIONS(3570),
    [anon_sym_throw] = ACTIONS(3570),
    [anon_sym_SEMI] = ACTIONS(3570),
    [anon_sym_yield] = ACTIONS(3570),
    [anon_sym_LBRACK] = ACTIONS(3570),
    [anon_sym_LTtemplate_GT] = ACTIONS(3570),
    [anon_sym_class] = ACTIONS(3570),
    [anon_sym_async] = ACTIONS(3570),
    [anon_sym_function] = ACTIONS(3570),
    [anon_sym_new] = ACTIONS(3570),
    [anon_sym_using] = ACTIONS(3570),
    [anon_sym_PLUS] = ACTIONS(3570),
    [anon_sym_DASH] = ACTIONS(3570),
    [anon_sym_SLASH] = ACTIONS(3570),
    [anon_sym_LT] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(3570),
    [anon_sym_void] = ACTIONS(3570),
    [anon_sym_delete] = ACTIONS(3570),
    [anon_sym_PLUS_PLUS] = ACTIONS(3570),
    [anon_sym_DASH_DASH] = ACTIONS(3570),
    [anon_sym_DQUOTE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3570),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3570),
    [sym_number] = ACTIONS(3570),
    [sym_private_property_identifier] = ACTIONS(3570),
    [sym_this] = ACTIONS(3570),
    [sym_super] = ACTIONS(3570),
    [sym_true] = ACTIONS(3570),
    [sym_false] = ACTIONS(3570),
    [sym_null] = ACTIONS(3570),
    [sym_undefined] = ACTIONS(3570),
    [anon_sym_AT] = ACTIONS(3570),
    [anon_sym_static] = ACTIONS(3570),
    [anon_sym_readonly] = ACTIONS(3570),
    [anon_sym_get] = ACTIONS(3570),
    [anon_sym_set] = ACTIONS(3570),
    [anon_sym_declare] = ACTIONS(3570),
    [anon_sym_public] = ACTIONS(3570),
    [anon_sym_private] = ACTIONS(3570),
    [anon_sym_protected] = ACTIONS(3570),
    [anon_sym_override] = ACTIONS(3570),
    [anon_sym_module] = ACTIONS(3570),
    [anon_sym_any] = ACTIONS(3570),
    [anon_sym_number] = ACTIONS(3570),
    [anon_sym_boolean] = ACTIONS(3570),
    [anon_sym_string] = ACTIONS(3570),
    [anon_sym_symbol] = ACTIONS(3570),
    [anon_sym_object] = ACTIONS(3570),
    [anon_sym_abstract] = ACTIONS(3570),
    [anon_sym_interface] = ACTIONS(3570),
    [anon_sym_enum] = ACTIONS(3570),
    [sym_html_comment] = ACTIONS(5),
  },
  [1703] = {
    [sym_comment] = STATE(1703),
    [sym_identifier] = ACTIONS(3570),
    [anon_sym_export] = ACTIONS(3570),
    [anon_sym_type] = ACTIONS(3570),
    [anon_sym_namespace] = ACTIONS(3570),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_typeof] = ACTIONS(3570),
    [anon_sym_import] = ACTIONS(3570),
    [anon_sym_var] = ACTIONS(3570),
    [anon_sym_let] = ACTIONS(3570),
    [anon_sym_const] = ACTIONS(3570),
    [anon_sym_BANG] = ACTIONS(3570),
    [anon_sym_if] = ACTIONS(3570),
    [anon_sym_switch] = ACTIONS(3570),
    [anon_sym_for] = ACTIONS(3570),
    [anon_sym_LPAREN] = ACTIONS(3570),
    [anon_sym_await] = ACTIONS(3570),
    [anon_sym_while] = ACTIONS(3570),
    [anon_sym_do] = ACTIONS(3570),
    [anon_sym_try] = ACTIONS(3570),
    [anon_sym_with] = ACTIONS(3570),
    [anon_sym_break] = ACTIONS(3570),
    [anon_sym_continue] = ACTIONS(3570),
    [anon_sym_debugger] = ACTIONS(3570),
    [anon_sym_return] = ACTIONS(3570),
    [anon_sym_throw] = ACTIONS(3570),
    [anon_sym_SEMI] = ACTIONS(3570),
    [anon_sym_yield] = ACTIONS(3570),
    [anon_sym_LBRACK] = ACTIONS(3570),
    [anon_sym_LTtemplate_GT] = ACTIONS(3570),
    [anon_sym_class] = ACTIONS(3570),
    [anon_sym_async] = ACTIONS(3570),
    [anon_sym_function] = ACTIONS(3570),
    [anon_sym_new] = ACTIONS(3570),
    [anon_sym_using] = ACTIONS(3570),
    [anon_sym_PLUS] = ACTIONS(3570),
    [anon_sym_DASH] = ACTIONS(3570),
    [anon_sym_SLASH] = ACTIONS(3570),
    [anon_sym_LT] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(3570),
    [anon_sym_void] = ACTIONS(3570),
    [anon_sym_delete] = ACTIONS(3570),
    [anon_sym_PLUS_PLUS] = ACTIONS(3570),
    [anon_sym_DASH_DASH] = ACTIONS(3570),
    [anon_sym_DQUOTE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3570),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3570),
    [sym_number] = ACTIONS(3570),
    [sym_private_property_identifier] = ACTIONS(3570),
    [sym_this] = ACTIONS(3570),
    [sym_super] = ACTIONS(3570),
    [sym_true] = ACTIONS(3570),
    [sym_false] = ACTIONS(3570),
    [sym_null] = ACTIONS(3570),
    [sym_undefined] = ACTIONS(3570),
    [anon_sym_AT] = ACTIONS(3570),
    [anon_sym_static] = ACTIONS(3570),
    [anon_sym_readonly] = ACTIONS(3570),
    [anon_sym_get] = ACTIONS(3570),
    [anon_sym_set] = ACTIONS(3570),
    [anon_sym_declare] = ACTIONS(3570),
    [anon_sym_public] = ACTIONS(3570),
    [anon_sym_private] = ACTIONS(3570),
    [anon_sym_protected] = ACTIONS(3570),
    [anon_sym_override] = ACTIONS(3570),
    [anon_sym_module] = ACTIONS(3570),
    [anon_sym_any] = ACTIONS(3570),
    [anon_sym_number] = ACTIONS(3570),
    [anon_sym_boolean] = ACTIONS(3570),
    [anon_sym_string] = ACTIONS(3570),
    [anon_sym_symbol] = ACTIONS(3570),
    [anon_sym_object] = ACTIONS(3570),
    [anon_sym_abstract] = ACTIONS(3570),
    [anon_sym_interface] = ACTIONS(3570),
    [anon_sym_enum] = ACTIONS(3570),
    [sym_html_comment] = ACTIONS(5),
  },
  [1704] = {
    [sym_comment] = STATE(1704),
    [sym_identifier] = ACTIONS(3570),
    [anon_sym_export] = ACTIONS(3570),
    [anon_sym_type] = ACTIONS(3570),
    [anon_sym_namespace] = ACTIONS(3570),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_typeof] = ACTIONS(3570),
    [anon_sym_import] = ACTIONS(3570),
    [anon_sym_var] = ACTIONS(3570),
    [anon_sym_let] = ACTIONS(3570),
    [anon_sym_const] = ACTIONS(3570),
    [anon_sym_BANG] = ACTIONS(3570),
    [anon_sym_if] = ACTIONS(3570),
    [anon_sym_switch] = ACTIONS(3570),
    [anon_sym_for] = ACTIONS(3570),
    [anon_sym_LPAREN] = ACTIONS(3570),
    [anon_sym_await] = ACTIONS(3570),
    [anon_sym_while] = ACTIONS(3570),
    [anon_sym_do] = ACTIONS(3570),
    [anon_sym_try] = ACTIONS(3570),
    [anon_sym_with] = ACTIONS(3570),
    [anon_sym_break] = ACTIONS(3570),
    [anon_sym_continue] = ACTIONS(3570),
    [anon_sym_debugger] = ACTIONS(3570),
    [anon_sym_return] = ACTIONS(3570),
    [anon_sym_throw] = ACTIONS(3570),
    [anon_sym_SEMI] = ACTIONS(3570),
    [anon_sym_yield] = ACTIONS(3570),
    [anon_sym_LBRACK] = ACTIONS(3570),
    [anon_sym_LTtemplate_GT] = ACTIONS(3570),
    [anon_sym_class] = ACTIONS(3570),
    [anon_sym_async] = ACTIONS(3570),
    [anon_sym_function] = ACTIONS(3570),
    [anon_sym_new] = ACTIONS(3570),
    [anon_sym_using] = ACTIONS(3570),
    [anon_sym_PLUS] = ACTIONS(3570),
    [anon_sym_DASH] = ACTIONS(3570),
    [anon_sym_SLASH] = ACTIONS(3570),
    [anon_sym_LT] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(3570),
    [anon_sym_void] = ACTIONS(3570),
    [anon_sym_delete] = ACTIONS(3570),
    [anon_sym_PLUS_PLUS] = ACTIONS(3570),
    [anon_sym_DASH_DASH] = ACTIONS(3570),
    [anon_sym_DQUOTE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3570),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3570),
    [sym_number] = ACTIONS(3570),
    [sym_private_property_identifier] = ACTIONS(3570),
    [sym_this] = ACTIONS(3570),
    [sym_super] = ACTIONS(3570),
    [sym_true] = ACTIONS(3570),
    [sym_false] = ACTIONS(3570),
    [sym_null] = ACTIONS(3570),
    [sym_undefined] = ACTIONS(3570),
    [anon_sym_AT] = ACTIONS(3570),
    [anon_sym_static] = ACTIONS(3570),
    [anon_sym_readonly] = ACTIONS(3570),
    [anon_sym_get] = ACTIONS(3570),
    [anon_sym_set] = ACTIONS(3570),
    [anon_sym_declare] = ACTIONS(3570),
    [anon_sym_public] = ACTIONS(3570),
    [anon_sym_private] = ACTIONS(3570),
    [anon_sym_protected] = ACTIONS(3570),
    [anon_sym_override] = ACTIONS(3570),
    [anon_sym_module] = ACTIONS(3570),
    [anon_sym_any] = ACTIONS(3570),
    [anon_sym_number] = ACTIONS(3570),
    [anon_sym_boolean] = ACTIONS(3570),
    [anon_sym_string] = ACTIONS(3570),
    [anon_sym_symbol] = ACTIONS(3570),
    [anon_sym_object] = ACTIONS(3570),
    [anon_sym_abstract] = ACTIONS(3570),
    [anon_sym_interface] = ACTIONS(3570),
    [anon_sym_enum] = ACTIONS(3570),
    [sym_html_comment] = ACTIONS(5),
  },
  [1705] = {
    [sym_comment] = STATE(1705),
    [sym_identifier] = ACTIONS(3570),
    [anon_sym_export] = ACTIONS(3570),
    [anon_sym_type] = ACTIONS(3570),
    [anon_sym_namespace] = ACTIONS(3570),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_typeof] = ACTIONS(3570),
    [anon_sym_import] = ACTIONS(3570),
    [anon_sym_var] = ACTIONS(3570),
    [anon_sym_let] = ACTIONS(3570),
    [anon_sym_const] = ACTIONS(3570),
    [anon_sym_BANG] = ACTIONS(3570),
    [anon_sym_if] = ACTIONS(3570),
    [anon_sym_switch] = ACTIONS(3570),
    [anon_sym_for] = ACTIONS(3570),
    [anon_sym_LPAREN] = ACTIONS(3570),
    [anon_sym_await] = ACTIONS(3570),
    [anon_sym_while] = ACTIONS(3570),
    [anon_sym_do] = ACTIONS(3570),
    [anon_sym_try] = ACTIONS(3570),
    [anon_sym_with] = ACTIONS(3570),
    [anon_sym_break] = ACTIONS(3570),
    [anon_sym_continue] = ACTIONS(3570),
    [anon_sym_debugger] = ACTIONS(3570),
    [anon_sym_return] = ACTIONS(3570),
    [anon_sym_throw] = ACTIONS(3570),
    [anon_sym_SEMI] = ACTIONS(3570),
    [anon_sym_yield] = ACTIONS(3570),
    [anon_sym_LBRACK] = ACTIONS(3570),
    [anon_sym_LTtemplate_GT] = ACTIONS(3570),
    [anon_sym_class] = ACTIONS(3570),
    [anon_sym_async] = ACTIONS(3570),
    [anon_sym_function] = ACTIONS(3570),
    [anon_sym_new] = ACTIONS(3570),
    [anon_sym_using] = ACTIONS(3570),
    [anon_sym_PLUS] = ACTIONS(3570),
    [anon_sym_DASH] = ACTIONS(3570),
    [anon_sym_SLASH] = ACTIONS(3570),
    [anon_sym_LT] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(3570),
    [anon_sym_void] = ACTIONS(3570),
    [anon_sym_delete] = ACTIONS(3570),
    [anon_sym_PLUS_PLUS] = ACTIONS(3570),
    [anon_sym_DASH_DASH] = ACTIONS(3570),
    [anon_sym_DQUOTE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3570),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3570),
    [sym_number] = ACTIONS(3570),
    [sym_private_property_identifier] = ACTIONS(3570),
    [sym_this] = ACTIONS(3570),
    [sym_super] = ACTIONS(3570),
    [sym_true] = ACTIONS(3570),
    [sym_false] = ACTIONS(3570),
    [sym_null] = ACTIONS(3570),
    [sym_undefined] = ACTIONS(3570),
    [anon_sym_AT] = ACTIONS(3570),
    [anon_sym_static] = ACTIONS(3570),
    [anon_sym_readonly] = ACTIONS(3570),
    [anon_sym_get] = ACTIONS(3570),
    [anon_sym_set] = ACTIONS(3570),
    [anon_sym_declare] = ACTIONS(3570),
    [anon_sym_public] = ACTIONS(3570),
    [anon_sym_private] = ACTIONS(3570),
    [anon_sym_protected] = ACTIONS(3570),
    [anon_sym_override] = ACTIONS(3570),
    [anon_sym_module] = ACTIONS(3570),
    [anon_sym_any] = ACTIONS(3570),
    [anon_sym_number] = ACTIONS(3570),
    [anon_sym_boolean] = ACTIONS(3570),
    [anon_sym_string] = ACTIONS(3570),
    [anon_sym_symbol] = ACTIONS(3570),
    [anon_sym_object] = ACTIONS(3570),
    [anon_sym_abstract] = ACTIONS(3570),
    [anon_sym_interface] = ACTIONS(3570),
    [anon_sym_enum] = ACTIONS(3570),
    [sym_html_comment] = ACTIONS(5),
  },
  [1706] = {
    [sym_comment] = STATE(1706),
    [sym_identifier] = ACTIONS(3584),
    [anon_sym_export] = ACTIONS(3584),
    [anon_sym_type] = ACTIONS(3584),
    [anon_sym_namespace] = ACTIONS(3584),
    [anon_sym_LBRACE] = ACTIONS(3584),
    [anon_sym_typeof] = ACTIONS(3584),
    [anon_sym_import] = ACTIONS(3584),
    [anon_sym_var] = ACTIONS(3584),
    [anon_sym_let] = ACTIONS(3584),
    [anon_sym_const] = ACTIONS(3584),
    [anon_sym_BANG] = ACTIONS(3584),
    [anon_sym_if] = ACTIONS(3584),
    [anon_sym_switch] = ACTIONS(3584),
    [anon_sym_for] = ACTIONS(3584),
    [anon_sym_LPAREN] = ACTIONS(3584),
    [anon_sym_await] = ACTIONS(3584),
    [anon_sym_while] = ACTIONS(3584),
    [anon_sym_do] = ACTIONS(3584),
    [anon_sym_try] = ACTIONS(3584),
    [anon_sym_with] = ACTIONS(3584),
    [anon_sym_break] = ACTIONS(3584),
    [anon_sym_continue] = ACTIONS(3584),
    [anon_sym_debugger] = ACTIONS(3584),
    [anon_sym_return] = ACTIONS(3584),
    [anon_sym_throw] = ACTIONS(3584),
    [anon_sym_SEMI] = ACTIONS(3584),
    [anon_sym_yield] = ACTIONS(3584),
    [anon_sym_LBRACK] = ACTIONS(3584),
    [anon_sym_LTtemplate_GT] = ACTIONS(3584),
    [anon_sym_class] = ACTIONS(3584),
    [anon_sym_async] = ACTIONS(3584),
    [anon_sym_function] = ACTIONS(3584),
    [anon_sym_new] = ACTIONS(3584),
    [anon_sym_using] = ACTIONS(3584),
    [anon_sym_PLUS] = ACTIONS(3584),
    [anon_sym_DASH] = ACTIONS(3584),
    [anon_sym_SLASH] = ACTIONS(3584),
    [anon_sym_LT] = ACTIONS(3584),
    [anon_sym_TILDE] = ACTIONS(3584),
    [anon_sym_void] = ACTIONS(3584),
    [anon_sym_delete] = ACTIONS(3584),
    [anon_sym_PLUS_PLUS] = ACTIONS(3584),
    [anon_sym_DASH_DASH] = ACTIONS(3584),
    [anon_sym_DQUOTE] = ACTIONS(3584),
    [anon_sym_SQUOTE] = ACTIONS(3584),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3584),
    [sym_number] = ACTIONS(3584),
    [sym_private_property_identifier] = ACTIONS(3584),
    [sym_this] = ACTIONS(3584),
    [sym_super] = ACTIONS(3584),
    [sym_true] = ACTIONS(3584),
    [sym_false] = ACTIONS(3584),
    [sym_null] = ACTIONS(3584),
    [sym_undefined] = ACTIONS(3584),
    [anon_sym_AT] = ACTIONS(3584),
    [anon_sym_static] = ACTIONS(3584),
    [anon_sym_readonly] = ACTIONS(3584),
    [anon_sym_get] = ACTIONS(3584),
    [anon_sym_set] = ACTIONS(3584),
    [anon_sym_declare] = ACTIONS(3584),
    [anon_sym_public] = ACTIONS(3584),
    [anon_sym_private] = ACTIONS(3584),
    [anon_sym_protected] = ACTIONS(3584),
    [anon_sym_override] = ACTIONS(3584),
    [anon_sym_module] = ACTIONS(3584),
    [anon_sym_any] = ACTIONS(3584),
    [anon_sym_number] = ACTIONS(3584),
    [anon_sym_boolean] = ACTIONS(3584),
    [anon_sym_string] = ACTIONS(3584),
    [anon_sym_symbol] = ACTIONS(3584),
    [anon_sym_object] = ACTIONS(3584),
    [anon_sym_abstract] = ACTIONS(3584),
    [anon_sym_interface] = ACTIONS(3584),
    [anon_sym_enum] = ACTIONS(3584),
    [sym_html_comment] = ACTIONS(5),
  },
  [1707] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1707),
    [sym_formal_parameters] = STATE(7155),
    [sym_rest_pattern] = STATE(6418),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(4754),
    [sym_tuple_parameter] = STATE(6423),
    [sym_optional_tuple_parameter] = STATE(6423),
    [sym_optional_type] = STATE(6423),
    [sym_rest_type] = STATE(6423),
    [sym__tuple_type_member] = STATE(6621),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3586),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3552),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1708] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1708),
    [sym_formal_parameters] = STATE(7155),
    [sym_rest_pattern] = STATE(6418),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(4754),
    [sym_tuple_parameter] = STATE(6423),
    [sym_optional_tuple_parameter] = STATE(6423),
    [sym_optional_type] = STATE(6423),
    [sym_rest_type] = STATE(6423),
    [sym__tuple_type_member] = STATE(6621),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3588),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3552),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1709] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1709),
    [sym_formal_parameters] = STATE(7155),
    [sym_rest_pattern] = STATE(6418),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(4754),
    [sym_tuple_parameter] = STATE(6423),
    [sym_optional_tuple_parameter] = STATE(6423),
    [sym_optional_type] = STATE(6423),
    [sym_rest_type] = STATE(6423),
    [sym__tuple_type_member] = STATE(6621),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3590),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3552),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1710] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1710),
    [sym_formal_parameters] = STATE(7155),
    [sym_rest_pattern] = STATE(6418),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(4754),
    [sym_tuple_parameter] = STATE(6423),
    [sym_optional_tuple_parameter] = STATE(6423),
    [sym_optional_type] = STATE(6423),
    [sym_rest_type] = STATE(6423),
    [sym__tuple_type_member] = STATE(6621),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3592),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3552),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1711] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1711),
    [sym_formal_parameters] = STATE(7155),
    [sym_rest_pattern] = STATE(6418),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(4754),
    [sym_tuple_parameter] = STATE(6423),
    [sym_optional_tuple_parameter] = STATE(6423),
    [sym_optional_type] = STATE(6423),
    [sym_rest_type] = STATE(6423),
    [sym__tuple_type_member] = STATE(6621),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3594),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3552),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1712] = {
    [sym_comment] = STATE(1712),
    [sym_identifier] = ACTIONS(3596),
    [anon_sym_export] = ACTIONS(3596),
    [anon_sym_type] = ACTIONS(3596),
    [anon_sym_namespace] = ACTIONS(3596),
    [anon_sym_LBRACE] = ACTIONS(3596),
    [anon_sym_typeof] = ACTIONS(3596),
    [anon_sym_import] = ACTIONS(3596),
    [anon_sym_var] = ACTIONS(3596),
    [anon_sym_let] = ACTIONS(3596),
    [anon_sym_const] = ACTIONS(3596),
    [anon_sym_BANG] = ACTIONS(3596),
    [anon_sym_if] = ACTIONS(3596),
    [anon_sym_switch] = ACTIONS(3596),
    [anon_sym_for] = ACTIONS(3596),
    [anon_sym_LPAREN] = ACTIONS(3596),
    [anon_sym_await] = ACTIONS(3596),
    [anon_sym_while] = ACTIONS(3596),
    [anon_sym_do] = ACTIONS(3596),
    [anon_sym_try] = ACTIONS(3596),
    [anon_sym_with] = ACTIONS(3596),
    [anon_sym_break] = ACTIONS(3596),
    [anon_sym_continue] = ACTIONS(3596),
    [anon_sym_debugger] = ACTIONS(3596),
    [anon_sym_return] = ACTIONS(3596),
    [anon_sym_throw] = ACTIONS(3596),
    [anon_sym_SEMI] = ACTIONS(3596),
    [anon_sym_yield] = ACTIONS(3596),
    [anon_sym_LBRACK] = ACTIONS(3596),
    [anon_sym_LTtemplate_GT] = ACTIONS(3596),
    [anon_sym_class] = ACTIONS(3596),
    [anon_sym_async] = ACTIONS(3596),
    [anon_sym_function] = ACTIONS(3596),
    [anon_sym_new] = ACTIONS(3596),
    [anon_sym_using] = ACTIONS(3596),
    [anon_sym_PLUS] = ACTIONS(3596),
    [anon_sym_DASH] = ACTIONS(3596),
    [anon_sym_SLASH] = ACTIONS(3596),
    [anon_sym_LT] = ACTIONS(3596),
    [anon_sym_TILDE] = ACTIONS(3596),
    [anon_sym_void] = ACTIONS(3596),
    [anon_sym_delete] = ACTIONS(3596),
    [anon_sym_PLUS_PLUS] = ACTIONS(3596),
    [anon_sym_DASH_DASH] = ACTIONS(3596),
    [anon_sym_DQUOTE] = ACTIONS(3596),
    [anon_sym_SQUOTE] = ACTIONS(3596),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3596),
    [sym_number] = ACTIONS(3596),
    [sym_private_property_identifier] = ACTIONS(3596),
    [sym_this] = ACTIONS(3596),
    [sym_super] = ACTIONS(3596),
    [sym_true] = ACTIONS(3596),
    [sym_false] = ACTIONS(3596),
    [sym_null] = ACTIONS(3596),
    [sym_undefined] = ACTIONS(3596),
    [anon_sym_AT] = ACTIONS(3596),
    [anon_sym_static] = ACTIONS(3596),
    [anon_sym_readonly] = ACTIONS(3596),
    [anon_sym_get] = ACTIONS(3596),
    [anon_sym_set] = ACTIONS(3596),
    [anon_sym_declare] = ACTIONS(3596),
    [anon_sym_public] = ACTIONS(3596),
    [anon_sym_private] = ACTIONS(3596),
    [anon_sym_protected] = ACTIONS(3596),
    [anon_sym_override] = ACTIONS(3596),
    [anon_sym_module] = ACTIONS(3596),
    [anon_sym_any] = ACTIONS(3596),
    [anon_sym_number] = ACTIONS(3596),
    [anon_sym_boolean] = ACTIONS(3596),
    [anon_sym_string] = ACTIONS(3596),
    [anon_sym_symbol] = ACTIONS(3596),
    [anon_sym_object] = ACTIONS(3596),
    [anon_sym_abstract] = ACTIONS(3596),
    [anon_sym_interface] = ACTIONS(3596),
    [anon_sym_enum] = ACTIONS(3596),
    [sym_html_comment] = ACTIONS(5),
  },
  [1713] = {
    [sym_import] = STATE(5768),
    [sym_nested_identifier] = STATE(7241),
    [sym_string] = STATE(4402),
    [sym_comment] = STATE(1713),
    [sym_formal_parameters] = STATE(7406),
    [sym_nested_type_identifier] = STATE(4091),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4419),
    [sym__type_query_call_expression_in_type_annotation] = STATE(4763),
    [sym_asserts] = STATE(5368),
    [sym__type] = STATE(4426),
    [sym_constructor_type] = STATE(4335),
    [sym__primary_type] = STATE(4314),
    [sym_template_literal_type] = STATE(4399),
    [sym_infer_type] = STATE(4335),
    [sym_conditional_type] = STATE(4399),
    [sym_generic_type] = STATE(4399),
    [sym_type_predicate] = STATE(5370),
    [sym_type_query] = STATE(4399),
    [sym_index_type_query] = STATE(4399),
    [sym_lookup_type] = STATE(4399),
    [sym_literal_type] = STATE(4399),
    [sym__number] = STATE(4306),
    [sym_existential_type] = STATE(4399),
    [sym_flow_maybe_type] = STATE(4399),
    [sym_parenthesized_type] = STATE(4399),
    [sym_predefined_type] = STATE(4134),
    [sym_object_type] = STATE(4399),
    [sym_type_parameters] = STATE(6901),
    [sym_array_type] = STATE(4399),
    [sym_tuple_type] = STATE(4399),
    [sym_readonly_type] = STATE(4335),
    [sym_union_type] = STATE(4399),
    [sym_intersection_type] = STATE(4399),
    [sym_function_type] = STATE(4335),
    [sym_identifier] = ACTIONS(3598),
    [anon_sym_STAR] = ACTIONS(3600),
    [anon_sym_LBRACE] = ACTIONS(3602),
    [anon_sym_typeof] = ACTIONS(3604),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(3608),
    [anon_sym_LBRACK] = ACTIONS(3610),
    [anon_sym_new] = ACTIONS(3612),
    [anon_sym_AMP] = ACTIONS(3614),
    [anon_sym_PIPE] = ACTIONS(3616),
    [anon_sym_PLUS] = ACTIONS(3618),
    [anon_sym_DASH] = ACTIONS(3618),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3620),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [anon_sym_SQUOTE] = ACTIONS(3624),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3628),
    [sym_this] = ACTIONS(3630),
    [sym_true] = ACTIONS(3628),
    [sym_false] = ACTIONS(3628),
    [sym_null] = ACTIONS(3628),
    [sym_undefined] = ACTIONS(3628),
    [anon_sym_readonly] = ACTIONS(3632),
    [anon_sym_QMARK] = ACTIONS(3634),
    [anon_sym_any] = ACTIONS(3620),
    [anon_sym_number] = ACTIONS(3620),
    [anon_sym_boolean] = ACTIONS(3620),
    [anon_sym_string] = ACTIONS(3620),
    [anon_sym_symbol] = ACTIONS(3620),
    [anon_sym_object] = ACTIONS(3620),
    [anon_sym_abstract] = ACTIONS(3636),
    [anon_sym_asserts] = ACTIONS(3638),
    [anon_sym_infer] = ACTIONS(3640),
    [anon_sym_keyof] = ACTIONS(3642),
    [anon_sym_unique] = ACTIONS(3644),
    [anon_sym_unknown] = ACTIONS(3620),
    [anon_sym_never] = ACTIONS(3620),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3602),
    [sym_html_comment] = ACTIONS(5),
  },
  [1714] = {
    [sym_import] = STATE(6226),
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4104),
    [sym_comment] = STATE(1714),
    [sym_formal_parameters] = STATE(7432),
    [sym_nested_type_identifier] = STATE(3989),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4139),
    [sym__type_query_call_expression_in_type_annotation] = STATE(4427),
    [sym_asserts] = STATE(4761),
    [sym__type] = STATE(4144),
    [sym_constructor_type] = STATE(4101),
    [sym__primary_type] = STATE(4067),
    [sym_template_literal_type] = STATE(4110),
    [sym_infer_type] = STATE(4101),
    [sym_conditional_type] = STATE(4110),
    [sym_generic_type] = STATE(4110),
    [sym_type_predicate] = STATE(4748),
    [sym_type_query] = STATE(4110),
    [sym_index_type_query] = STATE(4110),
    [sym_lookup_type] = STATE(4110),
    [sym_literal_type] = STATE(4110),
    [sym__number] = STATE(4068),
    [sym_existential_type] = STATE(4110),
    [sym_flow_maybe_type] = STATE(4110),
    [sym_parenthesized_type] = STATE(4110),
    [sym_predefined_type] = STATE(4043),
    [sym_object_type] = STATE(4110),
    [sym_type_parameters] = STATE(7009),
    [sym_array_type] = STATE(4110),
    [sym_tuple_type] = STATE(4110),
    [sym_readonly_type] = STATE(4101),
    [sym_union_type] = STATE(4110),
    [sym_intersection_type] = STATE(4110),
    [sym_function_type] = STATE(4101),
    [sym_identifier] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_typeof] = ACTIONS(1914),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1928),
    [sym_number] = ACTIONS(1930),
    [sym_this] = ACTIONS(3648),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [sym_null] = ACTIONS(1930),
    [sym_undefined] = ACTIONS(1930),
    [anon_sym_readonly] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_abstract] = ACTIONS(1342),
    [anon_sym_asserts] = ACTIONS(3650),
    [anon_sym_infer] = ACTIONS(1344),
    [anon_sym_keyof] = ACTIONS(1346),
    [anon_sym_unique] = ACTIONS(1348),
    [anon_sym_unknown] = ACTIONS(1350),
    [anon_sym_never] = ACTIONS(1350),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1715] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1715),
    [sym_formal_parameters] = STATE(7155),
    [sym_rest_pattern] = STATE(6418),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(4754),
    [sym_tuple_parameter] = STATE(6423),
    [sym_optional_tuple_parameter] = STATE(6423),
    [sym_optional_type] = STATE(6423),
    [sym_rest_type] = STATE(6423),
    [sym__tuple_type_member] = STATE(6621),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3552),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1716] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1716),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4321),
    [sym__type_query_call_expression_in_type_annotation] = STATE(4502),
    [sym_asserts] = STATE(6396),
    [sym__type] = STATE(4322),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_predicate] = STATE(6792),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3778),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(3652),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(3654),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_asserts] = ACTIONS(3656),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1717] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1717),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5024),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5838),
    [sym__type] = STATE(5026),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3658),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1718] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1718),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5024),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5838),
    [sym__type] = STATE(5026),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3660),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1719] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1719),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5024),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5838),
    [sym__type] = STATE(5026),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3662),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1720] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1720),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5024),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5838),
    [sym__type] = STATE(5026),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3664),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1721] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1721),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5024),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5838),
    [sym__type] = STATE(5026),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3666),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1722] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1722),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5024),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5838),
    [sym__type] = STATE(5026),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3668),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1723] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1723),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5024),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5838),
    [sym__type] = STATE(5026),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3670),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1724] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1724),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5024),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5838),
    [sym__type] = STATE(5026),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3672),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1725] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1725),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5024),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5838),
    [sym__type] = STATE(5026),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3674),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1726] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1726),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5024),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5838),
    [sym__type] = STATE(5026),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3676),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1727] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1727),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5024),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5838),
    [sym__type] = STATE(5026),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3678),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1728] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1728),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5024),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5838),
    [sym__type] = STATE(5026),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3680),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1729] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1729),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5024),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5838),
    [sym__type] = STATE(5026),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3682),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1730] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1730),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5024),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5838),
    [sym__type] = STATE(5026),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3684),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1731] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1731),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5024),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5838),
    [sym__type] = STATE(5026),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3686),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1732] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1732),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5024),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5838),
    [sym__type] = STATE(5026),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3688),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1733] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1733),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5024),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5838),
    [sym__type] = STATE(5026),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3690),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1734] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1734),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5024),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5838),
    [sym__type] = STATE(5026),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3692),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1735] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1735),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5024),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5838),
    [sym__type] = STATE(5026),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3694),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1736] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1736),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5024),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5838),
    [sym__type] = STATE(5026),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1737] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1737),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5024),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5838),
    [sym__type] = STATE(5026),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3698),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1738] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1738),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5024),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5838),
    [sym__type] = STATE(5026),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3700),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1739] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1739),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5024),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5838),
    [sym__type] = STATE(5026),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3702),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1740] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1740),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5024),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5838),
    [sym__type] = STATE(5026),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3704),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1741] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1741),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5024),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5838),
    [sym__type] = STATE(5026),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3706),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1742] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1742),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5024),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5838),
    [sym__type] = STATE(5026),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3708),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1743] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1743),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5024),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5838),
    [sym__type] = STATE(5026),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3710),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1744] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1744),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5024),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5838),
    [sym__type] = STATE(5026),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3712),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1745] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1745),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5024),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5838),
    [sym__type] = STATE(5026),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1746] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1746),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5024),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5838),
    [sym__type] = STATE(5026),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3716),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1747] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1747),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5024),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5838),
    [sym__type] = STATE(5026),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3718),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1748] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1748),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5024),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5838),
    [sym__type] = STATE(5026),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3720),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1749] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1749),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5024),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5838),
    [sym__type] = STATE(5026),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3722),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1750] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1750),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5024),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5838),
    [sym__type] = STATE(5026),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3724),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1751] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1751),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5024),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5838),
    [sym__type] = STATE(5026),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3726),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1752] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1752),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5024),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5838),
    [sym__type] = STATE(5026),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3728),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1753] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1753),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5024),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5838),
    [sym__type] = STATE(5026),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3730),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1754] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1754),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5024),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5838),
    [sym__type] = STATE(5026),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3732),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1755] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1755),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5024),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5838),
    [sym__type] = STATE(5026),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3734),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1756] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1756),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5024),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5838),
    [sym__type] = STATE(5026),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3736),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1757] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1757),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5024),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5838),
    [sym__type] = STATE(5026),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3738),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1758] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1758),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5024),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5838),
    [sym__type] = STATE(5026),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(3740),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1759] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1759),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4853),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5527),
    [sym__type] = STATE(4845),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1760] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1760),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5024),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5838),
    [sym__type] = STATE(5026),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1761] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1761),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4321),
    [sym__type_query_call_expression_in_type_annotation] = STATE(4502),
    [sym__type] = STATE(4322),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1762] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1762),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4846),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5663),
    [sym__type] = STATE(4847),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1763] = {
    [sym_import] = STATE(6226),
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4104),
    [sym_comment] = STATE(1763),
    [sym_formal_parameters] = STATE(7432),
    [sym_nested_type_identifier] = STATE(3989),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4139),
    [sym__type_query_call_expression_in_type_annotation] = STATE(4427),
    [sym__type] = STATE(4144),
    [sym_constructor_type] = STATE(4101),
    [sym__primary_type] = STATE(4067),
    [sym_template_literal_type] = STATE(4110),
    [sym_infer_type] = STATE(4101),
    [sym_conditional_type] = STATE(4110),
    [sym_generic_type] = STATE(4110),
    [sym_type_query] = STATE(4110),
    [sym_index_type_query] = STATE(4110),
    [sym_lookup_type] = STATE(4110),
    [sym_literal_type] = STATE(4110),
    [sym__number] = STATE(4068),
    [sym_existential_type] = STATE(4110),
    [sym_flow_maybe_type] = STATE(4110),
    [sym_parenthesized_type] = STATE(4110),
    [sym_predefined_type] = STATE(4110),
    [sym_object_type] = STATE(4110),
    [sym_type_parameters] = STATE(7009),
    [sym_array_type] = STATE(4110),
    [sym_tuple_type] = STATE(4110),
    [sym_readonly_type] = STATE(4101),
    [sym_union_type] = STATE(4110),
    [sym_intersection_type] = STATE(4110),
    [sym_function_type] = STATE(4101),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_typeof] = ACTIONS(1914),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1928),
    [sym_number] = ACTIONS(1930),
    [sym_this] = ACTIONS(1932),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [sym_null] = ACTIONS(1930),
    [sym_undefined] = ACTIONS(1930),
    [anon_sym_readonly] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_abstract] = ACTIONS(1342),
    [anon_sym_infer] = ACTIONS(1344),
    [anon_sym_keyof] = ACTIONS(1346),
    [anon_sym_unique] = ACTIONS(1348),
    [anon_sym_unknown] = ACTIONS(1350),
    [anon_sym_never] = ACTIONS(1350),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1764] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1764),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4772),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5595),
    [sym__type] = STATE(4766),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1765] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1765),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4786),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5543),
    [sym__type] = STATE(4819),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1766] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1766),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5522),
    [sym__type] = STATE(4898),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1767] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1767),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4782),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5688),
    [sym__type] = STATE(4784),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1768] = {
    [sym_import] = STATE(5940),
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1768),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4867),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5608),
    [sym__type] = STATE(4868),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1769] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1769),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym_asserts] = STATE(3829),
    [sym__type] = STATE(3824),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_predicate] = STATE(3829),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3778),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(3652),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(3654),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_asserts] = ACTIONS(3656),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1770] = {
    [sym_nested_identifier] = STATE(7241),
    [sym_string] = STATE(4402),
    [sym_comment] = STATE(1770),
    [sym_formal_parameters] = STATE(7406),
    [sym_nested_type_identifier] = STATE(4091),
    [sym_asserts] = STATE(4311),
    [sym__type] = STATE(4310),
    [sym_constructor_type] = STATE(4335),
    [sym__primary_type] = STATE(4314),
    [sym_template_literal_type] = STATE(4399),
    [sym_infer_type] = STATE(4335),
    [sym_conditional_type] = STATE(4399),
    [sym_generic_type] = STATE(4399),
    [sym_type_predicate] = STATE(4311),
    [sym_type_query] = STATE(4399),
    [sym_index_type_query] = STATE(4399),
    [sym_lookup_type] = STATE(4399),
    [sym_literal_type] = STATE(4399),
    [sym__number] = STATE(4306),
    [sym_existential_type] = STATE(4399),
    [sym_flow_maybe_type] = STATE(4399),
    [sym_parenthesized_type] = STATE(4399),
    [sym_predefined_type] = STATE(4134),
    [sym_object_type] = STATE(4399),
    [sym_type_parameters] = STATE(6901),
    [sym_array_type] = STATE(4399),
    [sym_tuple_type] = STATE(4399),
    [sym_readonly_type] = STATE(4335),
    [sym_union_type] = STATE(4399),
    [sym_intersection_type] = STATE(4399),
    [sym_function_type] = STATE(4335),
    [sym_identifier] = ACTIONS(3598),
    [anon_sym_STAR] = ACTIONS(3600),
    [anon_sym_LBRACE] = ACTIONS(3602),
    [anon_sym_typeof] = ACTIONS(3604),
    [anon_sym_const] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(3608),
    [anon_sym_LBRACK] = ACTIONS(3610),
    [anon_sym_new] = ACTIONS(3612),
    [anon_sym_AMP] = ACTIONS(3614),
    [anon_sym_PIPE] = ACTIONS(3616),
    [anon_sym_PLUS] = ACTIONS(3618),
    [anon_sym_DASH] = ACTIONS(3618),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3620),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [anon_sym_SQUOTE] = ACTIONS(3624),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3628),
    [sym_this] = ACTIONS(3630),
    [sym_true] = ACTIONS(3628),
    [sym_false] = ACTIONS(3628),
    [sym_null] = ACTIONS(3628),
    [sym_undefined] = ACTIONS(3628),
    [anon_sym_readonly] = ACTIONS(3632),
    [anon_sym_QMARK] = ACTIONS(3634),
    [anon_sym_any] = ACTIONS(3620),
    [anon_sym_number] = ACTIONS(3620),
    [anon_sym_boolean] = ACTIONS(3620),
    [anon_sym_string] = ACTIONS(3620),
    [anon_sym_symbol] = ACTIONS(3620),
    [anon_sym_object] = ACTIONS(3620),
    [anon_sym_abstract] = ACTIONS(3636),
    [anon_sym_asserts] = ACTIONS(3638),
    [anon_sym_infer] = ACTIONS(3640),
    [anon_sym_keyof] = ACTIONS(3642),
    [anon_sym_unique] = ACTIONS(3644),
    [anon_sym_unknown] = ACTIONS(3620),
    [anon_sym_never] = ACTIONS(3620),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3602),
    [sym_html_comment] = ACTIONS(5),
  },
  [1771] = {
    [sym_nested_identifier] = STATE(7269),
    [sym_string] = STATE(2907),
    [sym_comment] = STATE(1771),
    [sym_formal_parameters] = STATE(7293),
    [sym_nested_type_identifier] = STATE(2737),
    [sym_asserts] = STATE(2927),
    [sym__type] = STATE(2935),
    [sym_constructor_type] = STATE(2914),
    [sym__primary_type] = STATE(2915),
    [sym_template_literal_type] = STATE(2903),
    [sym_infer_type] = STATE(2914),
    [sym_conditional_type] = STATE(2903),
    [sym_generic_type] = STATE(2903),
    [sym_type_predicate] = STATE(2927),
    [sym_type_query] = STATE(2903),
    [sym_index_type_query] = STATE(2903),
    [sym_lookup_type] = STATE(2903),
    [sym_literal_type] = STATE(2903),
    [sym__number] = STATE(2916),
    [sym_existential_type] = STATE(2903),
    [sym_flow_maybe_type] = STATE(2903),
    [sym_parenthesized_type] = STATE(2903),
    [sym_predefined_type] = STATE(2687),
    [sym_object_type] = STATE(2903),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(2903),
    [sym_tuple_type] = STATE(2903),
    [sym_readonly_type] = STATE(2914),
    [sym_union_type] = STATE(2903),
    [sym_intersection_type] = STATE(2903),
    [sym_function_type] = STATE(2914),
    [sym_identifier] = ACTIONS(3742),
    [anon_sym_STAR] = ACTIONS(3744),
    [anon_sym_LBRACE] = ACTIONS(3746),
    [anon_sym_typeof] = ACTIONS(3748),
    [anon_sym_const] = ACTIONS(3750),
    [anon_sym_LPAREN] = ACTIONS(3752),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_new] = ACTIONS(3756),
    [anon_sym_AMP] = ACTIONS(3758),
    [anon_sym_PIPE] = ACTIONS(3760),
    [anon_sym_PLUS] = ACTIONS(3762),
    [anon_sym_DASH] = ACTIONS(3762),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3764),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3766),
    [sym_number] = ACTIONS(3768),
    [sym_this] = ACTIONS(3770),
    [sym_true] = ACTIONS(3768),
    [sym_false] = ACTIONS(3768),
    [sym_null] = ACTIONS(3768),
    [sym_undefined] = ACTIONS(3768),
    [anon_sym_readonly] = ACTIONS(3772),
    [anon_sym_QMARK] = ACTIONS(3774),
    [anon_sym_any] = ACTIONS(3764),
    [anon_sym_number] = ACTIONS(3764),
    [anon_sym_boolean] = ACTIONS(3764),
    [anon_sym_string] = ACTIONS(3764),
    [anon_sym_symbol] = ACTIONS(3764),
    [anon_sym_object] = ACTIONS(3764),
    [anon_sym_abstract] = ACTIONS(3776),
    [anon_sym_asserts] = ACTIONS(3778),
    [anon_sym_infer] = ACTIONS(3780),
    [anon_sym_keyof] = ACTIONS(3782),
    [anon_sym_unique] = ACTIONS(3784),
    [anon_sym_unknown] = ACTIONS(3764),
    [anon_sym_never] = ACTIONS(3764),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3746),
    [sym_html_comment] = ACTIONS(5),
  },
  [1772] = {
    [sym_nested_identifier] = STATE(7241),
    [sym_string] = STATE(4402),
    [sym_comment] = STATE(1772),
    [sym_formal_parameters] = STATE(7406),
    [sym_nested_type_identifier] = STATE(4091),
    [sym_asserts] = STATE(4227),
    [sym__type] = STATE(4226),
    [sym_constructor_type] = STATE(4335),
    [sym__primary_type] = STATE(4314),
    [sym_template_literal_type] = STATE(4399),
    [sym_infer_type] = STATE(4335),
    [sym_conditional_type] = STATE(4399),
    [sym_generic_type] = STATE(4399),
    [sym_type_predicate] = STATE(4227),
    [sym_type_query] = STATE(4399),
    [sym_index_type_query] = STATE(4399),
    [sym_lookup_type] = STATE(4399),
    [sym_literal_type] = STATE(4399),
    [sym__number] = STATE(4306),
    [sym_existential_type] = STATE(4399),
    [sym_flow_maybe_type] = STATE(4399),
    [sym_parenthesized_type] = STATE(4399),
    [sym_predefined_type] = STATE(4134),
    [sym_object_type] = STATE(4399),
    [sym_type_parameters] = STATE(6901),
    [sym_array_type] = STATE(4399),
    [sym_tuple_type] = STATE(4399),
    [sym_readonly_type] = STATE(4335),
    [sym_union_type] = STATE(4399),
    [sym_intersection_type] = STATE(4399),
    [sym_function_type] = STATE(4335),
    [sym_identifier] = ACTIONS(3598),
    [anon_sym_STAR] = ACTIONS(3600),
    [anon_sym_LBRACE] = ACTIONS(3602),
    [anon_sym_typeof] = ACTIONS(3604),
    [anon_sym_const] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(3608),
    [anon_sym_LBRACK] = ACTIONS(3610),
    [anon_sym_new] = ACTIONS(3612),
    [anon_sym_AMP] = ACTIONS(3614),
    [anon_sym_PIPE] = ACTIONS(3616),
    [anon_sym_PLUS] = ACTIONS(3618),
    [anon_sym_DASH] = ACTIONS(3618),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3620),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [anon_sym_SQUOTE] = ACTIONS(3624),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3628),
    [sym_this] = ACTIONS(3630),
    [sym_true] = ACTIONS(3628),
    [sym_false] = ACTIONS(3628),
    [sym_null] = ACTIONS(3628),
    [sym_undefined] = ACTIONS(3628),
    [anon_sym_readonly] = ACTIONS(3632),
    [anon_sym_QMARK] = ACTIONS(3634),
    [anon_sym_any] = ACTIONS(3620),
    [anon_sym_number] = ACTIONS(3620),
    [anon_sym_boolean] = ACTIONS(3620),
    [anon_sym_string] = ACTIONS(3620),
    [anon_sym_symbol] = ACTIONS(3620),
    [anon_sym_object] = ACTIONS(3620),
    [anon_sym_abstract] = ACTIONS(3636),
    [anon_sym_asserts] = ACTIONS(3638),
    [anon_sym_infer] = ACTIONS(3640),
    [anon_sym_keyof] = ACTIONS(3642),
    [anon_sym_unique] = ACTIONS(3644),
    [anon_sym_unknown] = ACTIONS(3620),
    [anon_sym_never] = ACTIONS(3620),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3602),
    [sym_html_comment] = ACTIONS(5),
  },
  [1773] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4104),
    [sym_comment] = STATE(1773),
    [sym_formal_parameters] = STATE(7432),
    [sym_nested_type_identifier] = STATE(3989),
    [sym_asserts] = STATE(4126),
    [sym__type] = STATE(4128),
    [sym_constructor_type] = STATE(4101),
    [sym__primary_type] = STATE(4067),
    [sym_template_literal_type] = STATE(4110),
    [sym_infer_type] = STATE(4101),
    [sym_conditional_type] = STATE(4110),
    [sym_generic_type] = STATE(4110),
    [sym_type_predicate] = STATE(4126),
    [sym_type_query] = STATE(4110),
    [sym_index_type_query] = STATE(4110),
    [sym_lookup_type] = STATE(4110),
    [sym_literal_type] = STATE(4110),
    [sym__number] = STATE(4068),
    [sym_existential_type] = STATE(4110),
    [sym_flow_maybe_type] = STATE(4110),
    [sym_parenthesized_type] = STATE(4110),
    [sym_predefined_type] = STATE(4043),
    [sym_object_type] = STATE(4110),
    [sym_type_parameters] = STATE(7009),
    [sym_array_type] = STATE(4110),
    [sym_tuple_type] = STATE(4110),
    [sym_readonly_type] = STATE(4101),
    [sym_union_type] = STATE(4110),
    [sym_intersection_type] = STATE(4110),
    [sym_function_type] = STATE(4101),
    [sym_identifier] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_typeof] = ACTIONS(1914),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1928),
    [sym_number] = ACTIONS(1930),
    [sym_this] = ACTIONS(3648),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [sym_null] = ACTIONS(1930),
    [sym_undefined] = ACTIONS(1930),
    [anon_sym_readonly] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_abstract] = ACTIONS(1342),
    [anon_sym_asserts] = ACTIONS(3650),
    [anon_sym_infer] = ACTIONS(1344),
    [anon_sym_keyof] = ACTIONS(1346),
    [anon_sym_unique] = ACTIONS(1348),
    [anon_sym_unknown] = ACTIONS(1350),
    [anon_sym_never] = ACTIONS(1350),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1774] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4104),
    [sym_comment] = STATE(1774),
    [sym_formal_parameters] = STATE(7432),
    [sym_nested_type_identifier] = STATE(3989),
    [sym_asserts] = STATE(4075),
    [sym__type] = STATE(4076),
    [sym_constructor_type] = STATE(4101),
    [sym__primary_type] = STATE(4067),
    [sym_template_literal_type] = STATE(4110),
    [sym_infer_type] = STATE(4101),
    [sym_conditional_type] = STATE(4110),
    [sym_generic_type] = STATE(4110),
    [sym_type_predicate] = STATE(4075),
    [sym_type_query] = STATE(4110),
    [sym_index_type_query] = STATE(4110),
    [sym_lookup_type] = STATE(4110),
    [sym_literal_type] = STATE(4110),
    [sym__number] = STATE(4068),
    [sym_existential_type] = STATE(4110),
    [sym_flow_maybe_type] = STATE(4110),
    [sym_parenthesized_type] = STATE(4110),
    [sym_predefined_type] = STATE(4043),
    [sym_object_type] = STATE(4110),
    [sym_type_parameters] = STATE(7009),
    [sym_array_type] = STATE(4110),
    [sym_tuple_type] = STATE(4110),
    [sym_readonly_type] = STATE(4101),
    [sym_union_type] = STATE(4110),
    [sym_intersection_type] = STATE(4110),
    [sym_function_type] = STATE(4101),
    [sym_identifier] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_typeof] = ACTIONS(1914),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1928),
    [sym_number] = ACTIONS(1930),
    [sym_this] = ACTIONS(3648),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [sym_null] = ACTIONS(1930),
    [sym_undefined] = ACTIONS(1930),
    [anon_sym_readonly] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_abstract] = ACTIONS(1342),
    [anon_sym_asserts] = ACTIONS(3650),
    [anon_sym_infer] = ACTIONS(1344),
    [anon_sym_keyof] = ACTIONS(1346),
    [anon_sym_unique] = ACTIONS(1348),
    [anon_sym_unknown] = ACTIONS(1350),
    [anon_sym_never] = ACTIONS(1350),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1775] = {
    [sym_nested_identifier] = STATE(7127),
    [sym_string] = STATE(2484),
    [sym_comment] = STATE(1775),
    [sym_formal_parameters] = STATE(7143),
    [sym_nested_type_identifier] = STATE(2329),
    [sym_asserts] = STATE(2352),
    [sym__type] = STATE(2351),
    [sym_constructor_type] = STATE(2481),
    [sym__primary_type] = STATE(2477),
    [sym_template_literal_type] = STATE(2485),
    [sym_infer_type] = STATE(2481),
    [sym_conditional_type] = STATE(2485),
    [sym_generic_type] = STATE(2485),
    [sym_type_predicate] = STATE(2352),
    [sym_type_query] = STATE(2485),
    [sym_index_type_query] = STATE(2485),
    [sym_lookup_type] = STATE(2485),
    [sym_literal_type] = STATE(2485),
    [sym__number] = STATE(2476),
    [sym_existential_type] = STATE(2485),
    [sym_flow_maybe_type] = STATE(2485),
    [sym_parenthesized_type] = STATE(2485),
    [sym_predefined_type] = STATE(2324),
    [sym_object_type] = STATE(2485),
    [sym_type_parameters] = STATE(6983),
    [sym_array_type] = STATE(2485),
    [sym_tuple_type] = STATE(2485),
    [sym_readonly_type] = STATE(2481),
    [sym_union_type] = STATE(2485),
    [sym_intersection_type] = STATE(2485),
    [sym_function_type] = STATE(2481),
    [sym_identifier] = ACTIONS(3786),
    [anon_sym_STAR] = ACTIONS(3788),
    [anon_sym_LBRACE] = ACTIONS(3790),
    [anon_sym_typeof] = ACTIONS(3792),
    [anon_sym_const] = ACTIONS(3794),
    [anon_sym_LPAREN] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3798),
    [anon_sym_new] = ACTIONS(3800),
    [anon_sym_AMP] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_PLUS] = ACTIONS(3806),
    [anon_sym_DASH] = ACTIONS(3806),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3808),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3810),
    [sym_number] = ACTIONS(3812),
    [sym_this] = ACTIONS(3814),
    [sym_true] = ACTIONS(3812),
    [sym_false] = ACTIONS(3812),
    [sym_null] = ACTIONS(3812),
    [sym_undefined] = ACTIONS(3812),
    [anon_sym_readonly] = ACTIONS(3816),
    [anon_sym_QMARK] = ACTIONS(3818),
    [anon_sym_any] = ACTIONS(3808),
    [anon_sym_number] = ACTIONS(3808),
    [anon_sym_boolean] = ACTIONS(3808),
    [anon_sym_string] = ACTIONS(3808),
    [anon_sym_symbol] = ACTIONS(3808),
    [anon_sym_object] = ACTIONS(3808),
    [anon_sym_abstract] = ACTIONS(3820),
    [anon_sym_asserts] = ACTIONS(3822),
    [anon_sym_infer] = ACTIONS(3824),
    [anon_sym_keyof] = ACTIONS(3826),
    [anon_sym_unique] = ACTIONS(3828),
    [anon_sym_unknown] = ACTIONS(3808),
    [anon_sym_never] = ACTIONS(3808),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3790),
    [sym_html_comment] = ACTIONS(5),
  },
  [1776] = {
    [sym_nested_identifier] = STATE(7127),
    [sym_string] = STATE(2484),
    [sym_comment] = STATE(1776),
    [sym_formal_parameters] = STATE(7143),
    [sym_nested_type_identifier] = STATE(2329),
    [sym_asserts] = STATE(2388),
    [sym__type] = STATE(2387),
    [sym_constructor_type] = STATE(2481),
    [sym__primary_type] = STATE(2477),
    [sym_template_literal_type] = STATE(2485),
    [sym_infer_type] = STATE(2481),
    [sym_conditional_type] = STATE(2485),
    [sym_generic_type] = STATE(2485),
    [sym_type_predicate] = STATE(2388),
    [sym_type_query] = STATE(2485),
    [sym_index_type_query] = STATE(2485),
    [sym_lookup_type] = STATE(2485),
    [sym_literal_type] = STATE(2485),
    [sym__number] = STATE(2476),
    [sym_existential_type] = STATE(2485),
    [sym_flow_maybe_type] = STATE(2485),
    [sym_parenthesized_type] = STATE(2485),
    [sym_predefined_type] = STATE(2324),
    [sym_object_type] = STATE(2485),
    [sym_type_parameters] = STATE(6983),
    [sym_array_type] = STATE(2485),
    [sym_tuple_type] = STATE(2485),
    [sym_readonly_type] = STATE(2481),
    [sym_union_type] = STATE(2485),
    [sym_intersection_type] = STATE(2485),
    [sym_function_type] = STATE(2481),
    [sym_identifier] = ACTIONS(3786),
    [anon_sym_STAR] = ACTIONS(3788),
    [anon_sym_LBRACE] = ACTIONS(3790),
    [anon_sym_typeof] = ACTIONS(3792),
    [anon_sym_const] = ACTIONS(3794),
    [anon_sym_LPAREN] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3798),
    [anon_sym_new] = ACTIONS(3800),
    [anon_sym_AMP] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_PLUS] = ACTIONS(3806),
    [anon_sym_DASH] = ACTIONS(3806),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3808),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3810),
    [sym_number] = ACTIONS(3812),
    [sym_this] = ACTIONS(3814),
    [sym_true] = ACTIONS(3812),
    [sym_false] = ACTIONS(3812),
    [sym_null] = ACTIONS(3812),
    [sym_undefined] = ACTIONS(3812),
    [anon_sym_readonly] = ACTIONS(3816),
    [anon_sym_QMARK] = ACTIONS(3818),
    [anon_sym_any] = ACTIONS(3808),
    [anon_sym_number] = ACTIONS(3808),
    [anon_sym_boolean] = ACTIONS(3808),
    [anon_sym_string] = ACTIONS(3808),
    [anon_sym_symbol] = ACTIONS(3808),
    [anon_sym_object] = ACTIONS(3808),
    [anon_sym_abstract] = ACTIONS(3820),
    [anon_sym_asserts] = ACTIONS(3822),
    [anon_sym_infer] = ACTIONS(3824),
    [anon_sym_keyof] = ACTIONS(3826),
    [anon_sym_unique] = ACTIONS(3828),
    [anon_sym_unknown] = ACTIONS(3808),
    [anon_sym_never] = ACTIONS(3808),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3790),
    [sym_html_comment] = ACTIONS(5),
  },
  [1777] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1777),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym_asserts] = STATE(3869),
    [sym__type] = STATE(3845),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_predicate] = STATE(3869),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3778),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(3652),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(3654),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_asserts] = ACTIONS(3656),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1778] = {
    [sym_nested_identifier] = STATE(7269),
    [sym_string] = STATE(2907),
    [sym_comment] = STATE(1778),
    [sym_formal_parameters] = STATE(7293),
    [sym_nested_type_identifier] = STATE(2737),
    [sym_asserts] = STATE(2792),
    [sym__type] = STATE(2812),
    [sym_constructor_type] = STATE(2914),
    [sym__primary_type] = STATE(2915),
    [sym_template_literal_type] = STATE(2903),
    [sym_infer_type] = STATE(2914),
    [sym_conditional_type] = STATE(2903),
    [sym_generic_type] = STATE(2903),
    [sym_type_predicate] = STATE(2792),
    [sym_type_query] = STATE(2903),
    [sym_index_type_query] = STATE(2903),
    [sym_lookup_type] = STATE(2903),
    [sym_literal_type] = STATE(2903),
    [sym__number] = STATE(2916),
    [sym_existential_type] = STATE(2903),
    [sym_flow_maybe_type] = STATE(2903),
    [sym_parenthesized_type] = STATE(2903),
    [sym_predefined_type] = STATE(2687),
    [sym_object_type] = STATE(2903),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(2903),
    [sym_tuple_type] = STATE(2903),
    [sym_readonly_type] = STATE(2914),
    [sym_union_type] = STATE(2903),
    [sym_intersection_type] = STATE(2903),
    [sym_function_type] = STATE(2914),
    [sym_identifier] = ACTIONS(3742),
    [anon_sym_STAR] = ACTIONS(3744),
    [anon_sym_LBRACE] = ACTIONS(3746),
    [anon_sym_typeof] = ACTIONS(3748),
    [anon_sym_const] = ACTIONS(3750),
    [anon_sym_LPAREN] = ACTIONS(3752),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_new] = ACTIONS(3756),
    [anon_sym_AMP] = ACTIONS(3758),
    [anon_sym_PIPE] = ACTIONS(3760),
    [anon_sym_PLUS] = ACTIONS(3762),
    [anon_sym_DASH] = ACTIONS(3762),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3764),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3766),
    [sym_number] = ACTIONS(3768),
    [sym_this] = ACTIONS(3770),
    [sym_true] = ACTIONS(3768),
    [sym_false] = ACTIONS(3768),
    [sym_null] = ACTIONS(3768),
    [sym_undefined] = ACTIONS(3768),
    [anon_sym_readonly] = ACTIONS(3772),
    [anon_sym_QMARK] = ACTIONS(3774),
    [anon_sym_any] = ACTIONS(3764),
    [anon_sym_number] = ACTIONS(3764),
    [anon_sym_boolean] = ACTIONS(3764),
    [anon_sym_string] = ACTIONS(3764),
    [anon_sym_symbol] = ACTIONS(3764),
    [anon_sym_object] = ACTIONS(3764),
    [anon_sym_abstract] = ACTIONS(3776),
    [anon_sym_asserts] = ACTIONS(3778),
    [anon_sym_infer] = ACTIONS(3780),
    [anon_sym_keyof] = ACTIONS(3782),
    [anon_sym_unique] = ACTIONS(3784),
    [anon_sym_unknown] = ACTIONS(3764),
    [anon_sym_never] = ACTIONS(3764),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3746),
    [sym_html_comment] = ACTIONS(5),
  },
  [1779] = {
    [sym_export_statement] = STATE(4715),
    [sym_object_pattern] = STATE(4292),
    [sym_object_assignment_pattern] = STATE(5918),
    [sym_array_pattern] = STATE(4292),
    [sym__call_signature] = STATE(5323),
    [sym__destructuring_pattern] = STATE(7405),
    [sym_spread_element] = STATE(6030),
    [sym_string] = STATE(4111),
    [sym_comment] = STATE(1779),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4148),
    [sym_rest_pattern] = STATE(5918),
    [sym_method_definition] = STATE(6030),
    [sym_pair] = STATE(6030),
    [sym_pair_pattern] = STATE(5918),
    [sym__property_name] = STATE(3945),
    [sym_computed_property_name] = STATE(4111),
    [sym_method_signature] = STATE(4715),
    [sym_accessibility_modifier] = STATE(3596),
    [sym_override_modifier] = STATE(3625),
    [sym_call_signature] = STATE(4715),
    [sym_property_signature] = STATE(4715),
    [sym_type_parameters] = STATE(6912),
    [sym_construct_signature] = STATE(4715),
    [sym_index_signature] = STATE(4715),
    [aux_sym_export_statement_repeat1] = STATE(5613),
    [aux_sym_object_repeat1] = STATE(6031),
    [aux_sym_object_pattern_repeat1] = STATE(5951),
    [sym_identifier] = ACTIONS(3830),
    [anon_sym_export] = ACTIONS(3832),
    [anon_sym_STAR] = ACTIONS(3834),
    [anon_sym_type] = ACTIONS(3830),
    [anon_sym_namespace] = ACTIONS(3830),
    [anon_sym_LBRACE] = ACTIONS(3836),
    [anon_sym_COMMA] = ACTIONS(3838),
    [anon_sym_RBRACE] = ACTIONS(3840),
    [anon_sym_let] = ACTIONS(3830),
    [anon_sym_LPAREN] = ACTIONS(3842),
    [anon_sym_SEMI] = ACTIONS(3844),
    [anon_sym_LBRACK] = ACTIONS(3846),
    [anon_sym_async] = ACTIONS(3848),
    [anon_sym_new] = ACTIONS(3850),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(3852),
    [anon_sym_DASH] = ACTIONS(3852),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3854),
    [sym_private_property_identifier] = ACTIONS(3854),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3856),
    [anon_sym_readonly] = ACTIONS(3858),
    [anon_sym_get] = ACTIONS(3860),
    [anon_sym_set] = ACTIONS(3860),
    [anon_sym_declare] = ACTIONS(3830),
    [anon_sym_public] = ACTIONS(3862),
    [anon_sym_private] = ACTIONS(3862),
    [anon_sym_protected] = ACTIONS(3862),
    [anon_sym_override] = ACTIONS(3864),
    [anon_sym_module] = ACTIONS(3830),
    [anon_sym_any] = ACTIONS(3830),
    [anon_sym_number] = ACTIONS(3830),
    [anon_sym_boolean] = ACTIONS(3830),
    [anon_sym_string] = ACTIONS(3830),
    [anon_sym_symbol] = ACTIONS(3830),
    [anon_sym_object] = ACTIONS(3830),
    [anon_sym_abstract] = ACTIONS(3866),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3868),
    [sym_html_comment] = ACTIONS(5),
  },
  [1780] = {
    [sym_export_statement] = STATE(4715),
    [sym_object_pattern] = STATE(4292),
    [sym_object_assignment_pattern] = STATE(5918),
    [sym_array_pattern] = STATE(4292),
    [sym__call_signature] = STATE(5323),
    [sym__destructuring_pattern] = STATE(7405),
    [sym_spread_element] = STATE(6030),
    [sym_string] = STATE(4111),
    [sym_comment] = STATE(1780),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4148),
    [sym_rest_pattern] = STATE(5918),
    [sym_method_definition] = STATE(6030),
    [sym_pair] = STATE(6030),
    [sym_pair_pattern] = STATE(5918),
    [sym__property_name] = STATE(3945),
    [sym_computed_property_name] = STATE(4111),
    [sym_method_signature] = STATE(4715),
    [sym_accessibility_modifier] = STATE(3596),
    [sym_override_modifier] = STATE(3625),
    [sym_call_signature] = STATE(4715),
    [sym_property_signature] = STATE(4715),
    [sym_type_parameters] = STATE(6912),
    [sym_construct_signature] = STATE(4715),
    [sym_index_signature] = STATE(4715),
    [aux_sym_export_statement_repeat1] = STATE(5613),
    [aux_sym_object_repeat1] = STATE(6031),
    [aux_sym_object_pattern_repeat1] = STATE(5951),
    [sym_identifier] = ACTIONS(3830),
    [anon_sym_export] = ACTIONS(3832),
    [anon_sym_STAR] = ACTIONS(3834),
    [anon_sym_type] = ACTIONS(3830),
    [anon_sym_namespace] = ACTIONS(3830),
    [anon_sym_LBRACE] = ACTIONS(3836),
    [anon_sym_COMMA] = ACTIONS(3838),
    [anon_sym_RBRACE] = ACTIONS(3870),
    [anon_sym_let] = ACTIONS(3830),
    [anon_sym_LPAREN] = ACTIONS(3842),
    [anon_sym_SEMI] = ACTIONS(3844),
    [anon_sym_LBRACK] = ACTIONS(3846),
    [anon_sym_async] = ACTIONS(3848),
    [anon_sym_new] = ACTIONS(3850),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(3852),
    [anon_sym_DASH] = ACTIONS(3852),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3854),
    [sym_private_property_identifier] = ACTIONS(3854),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3856),
    [anon_sym_readonly] = ACTIONS(3858),
    [anon_sym_get] = ACTIONS(3860),
    [anon_sym_set] = ACTIONS(3860),
    [anon_sym_declare] = ACTIONS(3830),
    [anon_sym_public] = ACTIONS(3862),
    [anon_sym_private] = ACTIONS(3862),
    [anon_sym_protected] = ACTIONS(3862),
    [anon_sym_override] = ACTIONS(3864),
    [anon_sym_module] = ACTIONS(3830),
    [anon_sym_any] = ACTIONS(3830),
    [anon_sym_number] = ACTIONS(3830),
    [anon_sym_boolean] = ACTIONS(3830),
    [anon_sym_string] = ACTIONS(3830),
    [anon_sym_symbol] = ACTIONS(3830),
    [anon_sym_object] = ACTIONS(3830),
    [anon_sym_abstract] = ACTIONS(3866),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3868),
    [sym_html_comment] = ACTIONS(5),
  },
  [1781] = {
    [sym_export_statement] = STATE(4878),
    [sym_object_pattern] = STATE(4292),
    [sym_object_assignment_pattern] = STATE(5918),
    [sym_array_pattern] = STATE(4292),
    [sym__call_signature] = STATE(5323),
    [sym__destructuring_pattern] = STATE(7405),
    [sym_spread_element] = STATE(6030),
    [sym_string] = STATE(4111),
    [sym_comment] = STATE(1781),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4148),
    [sym_rest_pattern] = STATE(5918),
    [sym_method_definition] = STATE(6030),
    [sym_pair] = STATE(6030),
    [sym_pair_pattern] = STATE(5918),
    [sym__property_name] = STATE(3945),
    [sym_computed_property_name] = STATE(4111),
    [sym_method_signature] = STATE(4878),
    [sym_accessibility_modifier] = STATE(3596),
    [sym_override_modifier] = STATE(3625),
    [sym_call_signature] = STATE(4878),
    [sym_property_signature] = STATE(4878),
    [sym_type_parameters] = STATE(6912),
    [sym_construct_signature] = STATE(4878),
    [sym_index_signature] = STATE(4878),
    [aux_sym_export_statement_repeat1] = STATE(5613),
    [aux_sym_object_repeat1] = STATE(6031),
    [aux_sym_object_pattern_repeat1] = STATE(5951),
    [sym_identifier] = ACTIONS(3830),
    [anon_sym_export] = ACTIONS(3832),
    [anon_sym_STAR] = ACTIONS(3834),
    [anon_sym_type] = ACTIONS(3830),
    [anon_sym_namespace] = ACTIONS(3830),
    [anon_sym_LBRACE] = ACTIONS(3836),
    [anon_sym_COMMA] = ACTIONS(3872),
    [anon_sym_RBRACE] = ACTIONS(3874),
    [anon_sym_let] = ACTIONS(3830),
    [anon_sym_LPAREN] = ACTIONS(3842),
    [anon_sym_SEMI] = ACTIONS(3876),
    [anon_sym_LBRACK] = ACTIONS(3846),
    [anon_sym_async] = ACTIONS(3848),
    [anon_sym_new] = ACTIONS(3850),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(3852),
    [anon_sym_DASH] = ACTIONS(3852),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3854),
    [sym_private_property_identifier] = ACTIONS(3854),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3856),
    [anon_sym_readonly] = ACTIONS(3858),
    [anon_sym_get] = ACTIONS(3860),
    [anon_sym_set] = ACTIONS(3860),
    [anon_sym_declare] = ACTIONS(3830),
    [anon_sym_public] = ACTIONS(3862),
    [anon_sym_private] = ACTIONS(3862),
    [anon_sym_protected] = ACTIONS(3862),
    [anon_sym_override] = ACTIONS(3864),
    [anon_sym_module] = ACTIONS(3830),
    [anon_sym_any] = ACTIONS(3830),
    [anon_sym_number] = ACTIONS(3830),
    [anon_sym_boolean] = ACTIONS(3830),
    [anon_sym_string] = ACTIONS(3830),
    [anon_sym_symbol] = ACTIONS(3830),
    [anon_sym_object] = ACTIONS(3830),
    [anon_sym_abstract] = ACTIONS(3866),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3878),
    [sym_html_comment] = ACTIONS(5),
  },
  [1782] = {
    [sym_export_statement] = STATE(4715),
    [sym_object_pattern] = STATE(4292),
    [sym_object_assignment_pattern] = STATE(5918),
    [sym_array_pattern] = STATE(4292),
    [sym__call_signature] = STATE(5323),
    [sym__destructuring_pattern] = STATE(7405),
    [sym_spread_element] = STATE(6030),
    [sym_string] = STATE(4111),
    [sym_comment] = STATE(1782),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4148),
    [sym_rest_pattern] = STATE(5918),
    [sym_method_definition] = STATE(6030),
    [sym_pair] = STATE(6030),
    [sym_pair_pattern] = STATE(5918),
    [sym__property_name] = STATE(3945),
    [sym_computed_property_name] = STATE(4111),
    [sym_method_signature] = STATE(4715),
    [sym_accessibility_modifier] = STATE(3596),
    [sym_override_modifier] = STATE(3625),
    [sym_call_signature] = STATE(4715),
    [sym_property_signature] = STATE(4715),
    [sym_type_parameters] = STATE(6912),
    [sym_construct_signature] = STATE(4715),
    [sym_index_signature] = STATE(4715),
    [aux_sym_export_statement_repeat1] = STATE(5613),
    [aux_sym_object_repeat1] = STATE(6031),
    [aux_sym_object_pattern_repeat1] = STATE(5951),
    [sym_identifier] = ACTIONS(3880),
    [anon_sym_export] = ACTIONS(3882),
    [anon_sym_STAR] = ACTIONS(3834),
    [anon_sym_type] = ACTIONS(3880),
    [anon_sym_namespace] = ACTIONS(3880),
    [anon_sym_LBRACE] = ACTIONS(3836),
    [anon_sym_COMMA] = ACTIONS(3838),
    [anon_sym_RBRACE] = ACTIONS(3884),
    [anon_sym_let] = ACTIONS(3880),
    [anon_sym_LPAREN] = ACTIONS(3842),
    [anon_sym_SEMI] = ACTIONS(3844),
    [anon_sym_LBRACK] = ACTIONS(3846),
    [anon_sym_async] = ACTIONS(3886),
    [anon_sym_new] = ACTIONS(3888),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(3852),
    [anon_sym_DASH] = ACTIONS(3852),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3854),
    [sym_private_property_identifier] = ACTIONS(3854),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3890),
    [anon_sym_readonly] = ACTIONS(3892),
    [anon_sym_get] = ACTIONS(3894),
    [anon_sym_set] = ACTIONS(3894),
    [anon_sym_declare] = ACTIONS(3880),
    [anon_sym_public] = ACTIONS(3896),
    [anon_sym_private] = ACTIONS(3896),
    [anon_sym_protected] = ACTIONS(3896),
    [anon_sym_override] = ACTIONS(3898),
    [anon_sym_module] = ACTIONS(3880),
    [anon_sym_any] = ACTIONS(3880),
    [anon_sym_number] = ACTIONS(3880),
    [anon_sym_boolean] = ACTIONS(3880),
    [anon_sym_string] = ACTIONS(3880),
    [anon_sym_symbol] = ACTIONS(3880),
    [anon_sym_object] = ACTIONS(3880),
    [anon_sym_abstract] = ACTIONS(3866),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3868),
    [sym_html_comment] = ACTIONS(5),
  },
  [1783] = {
    [sym_export_statement] = STATE(4715),
    [sym_object_pattern] = STATE(4292),
    [sym_object_assignment_pattern] = STATE(5918),
    [sym_array_pattern] = STATE(4292),
    [sym__call_signature] = STATE(5323),
    [sym__destructuring_pattern] = STATE(7405),
    [sym_spread_element] = STATE(6030),
    [sym_string] = STATE(4111),
    [sym_comment] = STATE(1783),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4148),
    [sym_rest_pattern] = STATE(5918),
    [sym_method_definition] = STATE(6030),
    [sym_pair] = STATE(6030),
    [sym_pair_pattern] = STATE(5918),
    [sym__property_name] = STATE(3945),
    [sym_computed_property_name] = STATE(4111),
    [sym_method_signature] = STATE(4715),
    [sym_accessibility_modifier] = STATE(3596),
    [sym_override_modifier] = STATE(3625),
    [sym_call_signature] = STATE(4715),
    [sym_property_signature] = STATE(4715),
    [sym_type_parameters] = STATE(6912),
    [sym_construct_signature] = STATE(4715),
    [sym_index_signature] = STATE(4715),
    [aux_sym_export_statement_repeat1] = STATE(5613),
    [aux_sym_object_repeat1] = STATE(6031),
    [aux_sym_object_pattern_repeat1] = STATE(5951),
    [sym_identifier] = ACTIONS(3880),
    [anon_sym_export] = ACTIONS(3882),
    [anon_sym_STAR] = ACTIONS(3834),
    [anon_sym_type] = ACTIONS(3880),
    [anon_sym_namespace] = ACTIONS(3880),
    [anon_sym_LBRACE] = ACTIONS(3836),
    [anon_sym_COMMA] = ACTIONS(3838),
    [anon_sym_RBRACE] = ACTIONS(3900),
    [anon_sym_let] = ACTIONS(3880),
    [anon_sym_LPAREN] = ACTIONS(3842),
    [anon_sym_SEMI] = ACTIONS(3844),
    [anon_sym_LBRACK] = ACTIONS(3846),
    [anon_sym_async] = ACTIONS(3886),
    [anon_sym_new] = ACTIONS(3888),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(3852),
    [anon_sym_DASH] = ACTIONS(3852),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3854),
    [sym_private_property_identifier] = ACTIONS(3854),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3890),
    [anon_sym_readonly] = ACTIONS(3892),
    [anon_sym_get] = ACTIONS(3894),
    [anon_sym_set] = ACTIONS(3894),
    [anon_sym_declare] = ACTIONS(3880),
    [anon_sym_public] = ACTIONS(3896),
    [anon_sym_private] = ACTIONS(3896),
    [anon_sym_protected] = ACTIONS(3896),
    [anon_sym_override] = ACTIONS(3898),
    [anon_sym_module] = ACTIONS(3880),
    [anon_sym_any] = ACTIONS(3880),
    [anon_sym_number] = ACTIONS(3880),
    [anon_sym_boolean] = ACTIONS(3880),
    [anon_sym_string] = ACTIONS(3880),
    [anon_sym_symbol] = ACTIONS(3880),
    [anon_sym_object] = ACTIONS(3880),
    [anon_sym_abstract] = ACTIONS(3866),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3868),
    [sym_html_comment] = ACTIONS(5),
  },
  [1784] = {
    [sym_export_statement] = STATE(4715),
    [sym_object_pattern] = STATE(4292),
    [sym_object_assignment_pattern] = STATE(5918),
    [sym_array_pattern] = STATE(4292),
    [sym__call_signature] = STATE(5323),
    [sym__destructuring_pattern] = STATE(7405),
    [sym_spread_element] = STATE(5929),
    [sym_string] = STATE(4111),
    [sym_comment] = STATE(1784),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4148),
    [sym_rest_pattern] = STATE(5918),
    [sym_method_definition] = STATE(5929),
    [sym_pair] = STATE(5929),
    [sym_pair_pattern] = STATE(5918),
    [sym__property_name] = STATE(3945),
    [sym_computed_property_name] = STATE(4111),
    [sym_method_signature] = STATE(4715),
    [sym_accessibility_modifier] = STATE(3596),
    [sym_override_modifier] = STATE(3625),
    [sym_call_signature] = STATE(4715),
    [sym_property_signature] = STATE(4715),
    [sym_type_parameters] = STATE(6912),
    [sym_construct_signature] = STATE(4715),
    [sym_index_signature] = STATE(4715),
    [aux_sym_export_statement_repeat1] = STATE(5613),
    [aux_sym_object_repeat1] = STATE(5950),
    [aux_sym_object_pattern_repeat1] = STATE(5951),
    [sym_identifier] = ACTIONS(3902),
    [anon_sym_export] = ACTIONS(3904),
    [anon_sym_STAR] = ACTIONS(3834),
    [anon_sym_type] = ACTIONS(3902),
    [anon_sym_namespace] = ACTIONS(3902),
    [anon_sym_LBRACE] = ACTIONS(3836),
    [anon_sym_COMMA] = ACTIONS(3838),
    [anon_sym_RBRACE] = ACTIONS(3906),
    [anon_sym_let] = ACTIONS(3902),
    [anon_sym_LPAREN] = ACTIONS(3842),
    [anon_sym_SEMI] = ACTIONS(3844),
    [anon_sym_LBRACK] = ACTIONS(3846),
    [anon_sym_async] = ACTIONS(3908),
    [anon_sym_new] = ACTIONS(3910),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(3852),
    [anon_sym_DASH] = ACTIONS(3852),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3854),
    [sym_private_property_identifier] = ACTIONS(3854),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3912),
    [anon_sym_readonly] = ACTIONS(3914),
    [anon_sym_get] = ACTIONS(3916),
    [anon_sym_set] = ACTIONS(3916),
    [anon_sym_declare] = ACTIONS(3902),
    [anon_sym_public] = ACTIONS(3918),
    [anon_sym_private] = ACTIONS(3918),
    [anon_sym_protected] = ACTIONS(3918),
    [anon_sym_override] = ACTIONS(3920),
    [anon_sym_module] = ACTIONS(3902),
    [anon_sym_any] = ACTIONS(3902),
    [anon_sym_number] = ACTIONS(3902),
    [anon_sym_boolean] = ACTIONS(3902),
    [anon_sym_string] = ACTIONS(3902),
    [anon_sym_symbol] = ACTIONS(3902),
    [anon_sym_object] = ACTIONS(3902),
    [anon_sym_abstract] = ACTIONS(3866),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3868),
    [sym_html_comment] = ACTIONS(5),
  },
  [1785] = {
    [sym_export_statement] = STATE(4715),
    [sym_object_pattern] = STATE(4292),
    [sym_object_assignment_pattern] = STATE(5918),
    [sym_array_pattern] = STATE(4292),
    [sym__call_signature] = STATE(5323),
    [sym__destructuring_pattern] = STATE(7405),
    [sym_spread_element] = STATE(6030),
    [sym_string] = STATE(4111),
    [sym_comment] = STATE(1785),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4148),
    [sym_rest_pattern] = STATE(5918),
    [sym_method_definition] = STATE(6030),
    [sym_pair] = STATE(6030),
    [sym_pair_pattern] = STATE(5918),
    [sym__property_name] = STATE(3945),
    [sym_computed_property_name] = STATE(4111),
    [sym_method_signature] = STATE(4715),
    [sym_accessibility_modifier] = STATE(3596),
    [sym_override_modifier] = STATE(3625),
    [sym_call_signature] = STATE(4715),
    [sym_property_signature] = STATE(4715),
    [sym_type_parameters] = STATE(6912),
    [sym_construct_signature] = STATE(4715),
    [sym_index_signature] = STATE(4715),
    [aux_sym_export_statement_repeat1] = STATE(5613),
    [aux_sym_object_repeat1] = STATE(6031),
    [aux_sym_object_pattern_repeat1] = STATE(5951),
    [sym_identifier] = ACTIONS(3830),
    [anon_sym_export] = ACTIONS(3832),
    [anon_sym_STAR] = ACTIONS(3834),
    [anon_sym_type] = ACTIONS(3830),
    [anon_sym_namespace] = ACTIONS(3830),
    [anon_sym_LBRACE] = ACTIONS(3836),
    [anon_sym_COMMA] = ACTIONS(3838),
    [anon_sym_RBRACE] = ACTIONS(3922),
    [anon_sym_let] = ACTIONS(3830),
    [anon_sym_LPAREN] = ACTIONS(3842),
    [anon_sym_SEMI] = ACTIONS(3844),
    [anon_sym_LBRACK] = ACTIONS(3846),
    [anon_sym_async] = ACTIONS(3848),
    [anon_sym_new] = ACTIONS(3850),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(3852),
    [anon_sym_DASH] = ACTIONS(3852),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3854),
    [sym_private_property_identifier] = ACTIONS(3854),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3856),
    [anon_sym_readonly] = ACTIONS(3858),
    [anon_sym_get] = ACTIONS(3860),
    [anon_sym_set] = ACTIONS(3860),
    [anon_sym_declare] = ACTIONS(3830),
    [anon_sym_public] = ACTIONS(3862),
    [anon_sym_private] = ACTIONS(3862),
    [anon_sym_protected] = ACTIONS(3862),
    [anon_sym_override] = ACTIONS(3864),
    [anon_sym_module] = ACTIONS(3830),
    [anon_sym_any] = ACTIONS(3830),
    [anon_sym_number] = ACTIONS(3830),
    [anon_sym_boolean] = ACTIONS(3830),
    [anon_sym_string] = ACTIONS(3830),
    [anon_sym_symbol] = ACTIONS(3830),
    [anon_sym_object] = ACTIONS(3830),
    [anon_sym_abstract] = ACTIONS(3866),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3868),
    [sym_html_comment] = ACTIONS(5),
  },
  [1786] = {
    [sym_export_statement] = STATE(4715),
    [sym_object_pattern] = STATE(4292),
    [sym_object_assignment_pattern] = STATE(5918),
    [sym_array_pattern] = STATE(4292),
    [sym__call_signature] = STATE(5323),
    [sym__destructuring_pattern] = STATE(7405),
    [sym_spread_element] = STATE(5929),
    [sym_string] = STATE(4111),
    [sym_comment] = STATE(1786),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4148),
    [sym_rest_pattern] = STATE(5918),
    [sym_method_definition] = STATE(5929),
    [sym_pair] = STATE(5929),
    [sym_pair_pattern] = STATE(5918),
    [sym__property_name] = STATE(3945),
    [sym_computed_property_name] = STATE(4111),
    [sym_method_signature] = STATE(4715),
    [sym_accessibility_modifier] = STATE(3596),
    [sym_override_modifier] = STATE(3625),
    [sym_call_signature] = STATE(4715),
    [sym_property_signature] = STATE(4715),
    [sym_type_parameters] = STATE(6912),
    [sym_construct_signature] = STATE(4715),
    [sym_index_signature] = STATE(4715),
    [aux_sym_export_statement_repeat1] = STATE(5613),
    [aux_sym_object_repeat1] = STATE(5950),
    [aux_sym_object_pattern_repeat1] = STATE(5951),
    [sym_identifier] = ACTIONS(3902),
    [anon_sym_export] = ACTIONS(3904),
    [anon_sym_STAR] = ACTIONS(3834),
    [anon_sym_type] = ACTIONS(3902),
    [anon_sym_namespace] = ACTIONS(3902),
    [anon_sym_LBRACE] = ACTIONS(3836),
    [anon_sym_COMMA] = ACTIONS(3838),
    [anon_sym_RBRACE] = ACTIONS(3924),
    [anon_sym_let] = ACTIONS(3902),
    [anon_sym_LPAREN] = ACTIONS(3842),
    [anon_sym_SEMI] = ACTIONS(3844),
    [anon_sym_LBRACK] = ACTIONS(3846),
    [anon_sym_async] = ACTIONS(3908),
    [anon_sym_new] = ACTIONS(3910),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(3852),
    [anon_sym_DASH] = ACTIONS(3852),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3854),
    [sym_private_property_identifier] = ACTIONS(3854),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3912),
    [anon_sym_readonly] = ACTIONS(3914),
    [anon_sym_get] = ACTIONS(3916),
    [anon_sym_set] = ACTIONS(3916),
    [anon_sym_declare] = ACTIONS(3902),
    [anon_sym_public] = ACTIONS(3918),
    [anon_sym_private] = ACTIONS(3918),
    [anon_sym_protected] = ACTIONS(3918),
    [anon_sym_override] = ACTIONS(3920),
    [anon_sym_module] = ACTIONS(3902),
    [anon_sym_any] = ACTIONS(3902),
    [anon_sym_number] = ACTIONS(3902),
    [anon_sym_boolean] = ACTIONS(3902),
    [anon_sym_string] = ACTIONS(3902),
    [anon_sym_symbol] = ACTIONS(3902),
    [anon_sym_object] = ACTIONS(3902),
    [anon_sym_abstract] = ACTIONS(3866),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3868),
    [sym_html_comment] = ACTIONS(5),
  },
  [1787] = {
    [sym_export_statement] = STATE(4715),
    [sym_object_pattern] = STATE(4292),
    [sym_object_assignment_pattern] = STATE(5918),
    [sym_array_pattern] = STATE(4292),
    [sym__call_signature] = STATE(5323),
    [sym__destructuring_pattern] = STATE(7405),
    [sym_spread_element] = STATE(6030),
    [sym_string] = STATE(4111),
    [sym_comment] = STATE(1787),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4148),
    [sym_rest_pattern] = STATE(5918),
    [sym_method_definition] = STATE(6030),
    [sym_pair] = STATE(6030),
    [sym_pair_pattern] = STATE(5918),
    [sym__property_name] = STATE(3945),
    [sym_computed_property_name] = STATE(4111),
    [sym_method_signature] = STATE(4715),
    [sym_accessibility_modifier] = STATE(3596),
    [sym_override_modifier] = STATE(3625),
    [sym_call_signature] = STATE(4715),
    [sym_property_signature] = STATE(4715),
    [sym_type_parameters] = STATE(6912),
    [sym_construct_signature] = STATE(4715),
    [sym_index_signature] = STATE(4715),
    [aux_sym_export_statement_repeat1] = STATE(5613),
    [aux_sym_object_repeat1] = STATE(6031),
    [aux_sym_object_pattern_repeat1] = STATE(5951),
    [sym_identifier] = ACTIONS(3926),
    [anon_sym_export] = ACTIONS(3928),
    [anon_sym_STAR] = ACTIONS(3834),
    [anon_sym_type] = ACTIONS(3926),
    [anon_sym_namespace] = ACTIONS(3926),
    [anon_sym_LBRACE] = ACTIONS(3836),
    [anon_sym_COMMA] = ACTIONS(3838),
    [anon_sym_RBRACE] = ACTIONS(3930),
    [anon_sym_let] = ACTIONS(3926),
    [anon_sym_LPAREN] = ACTIONS(3842),
    [anon_sym_SEMI] = ACTIONS(3844),
    [anon_sym_LBRACK] = ACTIONS(3846),
    [anon_sym_async] = ACTIONS(3932),
    [anon_sym_new] = ACTIONS(3934),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(3852),
    [anon_sym_DASH] = ACTIONS(3852),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3854),
    [sym_private_property_identifier] = ACTIONS(3854),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3936),
    [anon_sym_readonly] = ACTIONS(3938),
    [anon_sym_get] = ACTIONS(3940),
    [anon_sym_set] = ACTIONS(3940),
    [anon_sym_declare] = ACTIONS(3926),
    [anon_sym_public] = ACTIONS(3942),
    [anon_sym_private] = ACTIONS(3942),
    [anon_sym_protected] = ACTIONS(3942),
    [anon_sym_override] = ACTIONS(3944),
    [anon_sym_module] = ACTIONS(3926),
    [anon_sym_any] = ACTIONS(3926),
    [anon_sym_number] = ACTIONS(3926),
    [anon_sym_boolean] = ACTIONS(3926),
    [anon_sym_string] = ACTIONS(3926),
    [anon_sym_symbol] = ACTIONS(3926),
    [anon_sym_object] = ACTIONS(3926),
    [anon_sym_abstract] = ACTIONS(3866),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3868),
    [sym_html_comment] = ACTIONS(5),
  },
  [1788] = {
    [sym_export_statement] = STATE(4715),
    [sym_object_pattern] = STATE(4292),
    [sym_object_assignment_pattern] = STATE(5918),
    [sym_array_pattern] = STATE(4292),
    [sym__call_signature] = STATE(5323),
    [sym__destructuring_pattern] = STATE(7405),
    [sym_spread_element] = STATE(6030),
    [sym_string] = STATE(4111),
    [sym_comment] = STATE(1788),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4148),
    [sym_rest_pattern] = STATE(5918),
    [sym_method_definition] = STATE(6030),
    [sym_pair] = STATE(6030),
    [sym_pair_pattern] = STATE(5918),
    [sym__property_name] = STATE(3945),
    [sym_computed_property_name] = STATE(4111),
    [sym_method_signature] = STATE(4715),
    [sym_accessibility_modifier] = STATE(3596),
    [sym_override_modifier] = STATE(3625),
    [sym_call_signature] = STATE(4715),
    [sym_property_signature] = STATE(4715),
    [sym_type_parameters] = STATE(6912),
    [sym_construct_signature] = STATE(4715),
    [sym_index_signature] = STATE(4715),
    [aux_sym_export_statement_repeat1] = STATE(5613),
    [aux_sym_object_repeat1] = STATE(6031),
    [aux_sym_object_pattern_repeat1] = STATE(5951),
    [sym_identifier] = ACTIONS(3946),
    [anon_sym_export] = ACTIONS(3948),
    [anon_sym_STAR] = ACTIONS(3834),
    [anon_sym_type] = ACTIONS(3946),
    [anon_sym_namespace] = ACTIONS(3946),
    [anon_sym_LBRACE] = ACTIONS(3836),
    [anon_sym_COMMA] = ACTIONS(3838),
    [anon_sym_RBRACE] = ACTIONS(3840),
    [anon_sym_let] = ACTIONS(3946),
    [anon_sym_LPAREN] = ACTIONS(3842),
    [anon_sym_SEMI] = ACTIONS(3844),
    [anon_sym_LBRACK] = ACTIONS(3846),
    [anon_sym_async] = ACTIONS(3950),
    [anon_sym_new] = ACTIONS(3952),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(3852),
    [anon_sym_DASH] = ACTIONS(3852),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3854),
    [sym_private_property_identifier] = ACTIONS(3854),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3954),
    [anon_sym_readonly] = ACTIONS(3956),
    [anon_sym_get] = ACTIONS(3958),
    [anon_sym_set] = ACTIONS(3958),
    [anon_sym_declare] = ACTIONS(3946),
    [anon_sym_public] = ACTIONS(3960),
    [anon_sym_private] = ACTIONS(3960),
    [anon_sym_protected] = ACTIONS(3960),
    [anon_sym_override] = ACTIONS(3962),
    [anon_sym_module] = ACTIONS(3946),
    [anon_sym_any] = ACTIONS(3946),
    [anon_sym_number] = ACTIONS(3946),
    [anon_sym_boolean] = ACTIONS(3946),
    [anon_sym_string] = ACTIONS(3946),
    [anon_sym_symbol] = ACTIONS(3946),
    [anon_sym_object] = ACTIONS(3946),
    [anon_sym_abstract] = ACTIONS(3866),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3868),
    [sym_html_comment] = ACTIONS(5),
  },
  [1789] = {
    [sym_export_statement] = STATE(4715),
    [sym_object_pattern] = STATE(4292),
    [sym_object_assignment_pattern] = STATE(5918),
    [sym_array_pattern] = STATE(4292),
    [sym__call_signature] = STATE(5323),
    [sym__destructuring_pattern] = STATE(7405),
    [sym_spread_element] = STATE(6030),
    [sym_string] = STATE(4111),
    [sym_comment] = STATE(1789),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4148),
    [sym_rest_pattern] = STATE(5918),
    [sym_method_definition] = STATE(6030),
    [sym_pair] = STATE(6030),
    [sym_pair_pattern] = STATE(5918),
    [sym__property_name] = STATE(3945),
    [sym_computed_property_name] = STATE(4111),
    [sym_method_signature] = STATE(4715),
    [sym_accessibility_modifier] = STATE(3596),
    [sym_override_modifier] = STATE(3625),
    [sym_call_signature] = STATE(4715),
    [sym_property_signature] = STATE(4715),
    [sym_type_parameters] = STATE(6912),
    [sym_construct_signature] = STATE(4715),
    [sym_index_signature] = STATE(4715),
    [aux_sym_export_statement_repeat1] = STATE(5613),
    [aux_sym_object_repeat1] = STATE(6031),
    [aux_sym_object_pattern_repeat1] = STATE(5951),
    [sym_identifier] = ACTIONS(3880),
    [anon_sym_export] = ACTIONS(3882),
    [anon_sym_STAR] = ACTIONS(3834),
    [anon_sym_type] = ACTIONS(3880),
    [anon_sym_namespace] = ACTIONS(3880),
    [anon_sym_LBRACE] = ACTIONS(3836),
    [anon_sym_COMMA] = ACTIONS(3838),
    [anon_sym_RBRACE] = ACTIONS(3870),
    [anon_sym_let] = ACTIONS(3880),
    [anon_sym_LPAREN] = ACTIONS(3842),
    [anon_sym_SEMI] = ACTIONS(3844),
    [anon_sym_LBRACK] = ACTIONS(3846),
    [anon_sym_async] = ACTIONS(3886),
    [anon_sym_new] = ACTIONS(3888),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(3852),
    [anon_sym_DASH] = ACTIONS(3852),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3854),
    [sym_private_property_identifier] = ACTIONS(3854),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3890),
    [anon_sym_readonly] = ACTIONS(3892),
    [anon_sym_get] = ACTIONS(3894),
    [anon_sym_set] = ACTIONS(3894),
    [anon_sym_declare] = ACTIONS(3880),
    [anon_sym_public] = ACTIONS(3896),
    [anon_sym_private] = ACTIONS(3896),
    [anon_sym_protected] = ACTIONS(3896),
    [anon_sym_override] = ACTIONS(3898),
    [anon_sym_module] = ACTIONS(3880),
    [anon_sym_any] = ACTIONS(3880),
    [anon_sym_number] = ACTIONS(3880),
    [anon_sym_boolean] = ACTIONS(3880),
    [anon_sym_string] = ACTIONS(3880),
    [anon_sym_symbol] = ACTIONS(3880),
    [anon_sym_object] = ACTIONS(3880),
    [anon_sym_abstract] = ACTIONS(3866),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3868),
    [sym_html_comment] = ACTIONS(5),
  },
  [1790] = {
    [sym_export_statement] = STATE(4715),
    [sym_object_pattern] = STATE(4292),
    [sym_object_assignment_pattern] = STATE(5918),
    [sym_array_pattern] = STATE(4292),
    [sym__call_signature] = STATE(5323),
    [sym__destructuring_pattern] = STATE(7405),
    [sym_spread_element] = STATE(6030),
    [sym_string] = STATE(4111),
    [sym_comment] = STATE(1790),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4148),
    [sym_rest_pattern] = STATE(5918),
    [sym_method_definition] = STATE(6030),
    [sym_pair] = STATE(6030),
    [sym_pair_pattern] = STATE(5918),
    [sym__property_name] = STATE(3945),
    [sym_computed_property_name] = STATE(4111),
    [sym_method_signature] = STATE(4715),
    [sym_accessibility_modifier] = STATE(3596),
    [sym_override_modifier] = STATE(3625),
    [sym_call_signature] = STATE(4715),
    [sym_property_signature] = STATE(4715),
    [sym_type_parameters] = STATE(6912),
    [sym_construct_signature] = STATE(4715),
    [sym_index_signature] = STATE(4715),
    [aux_sym_export_statement_repeat1] = STATE(5613),
    [aux_sym_object_repeat1] = STATE(6031),
    [aux_sym_object_pattern_repeat1] = STATE(5951),
    [sym_identifier] = ACTIONS(3926),
    [anon_sym_export] = ACTIONS(3928),
    [anon_sym_STAR] = ACTIONS(3834),
    [anon_sym_type] = ACTIONS(3926),
    [anon_sym_namespace] = ACTIONS(3926),
    [anon_sym_LBRACE] = ACTIONS(3836),
    [anon_sym_COMMA] = ACTIONS(3838),
    [anon_sym_RBRACE] = ACTIONS(3964),
    [anon_sym_let] = ACTIONS(3926),
    [anon_sym_LPAREN] = ACTIONS(3842),
    [anon_sym_SEMI] = ACTIONS(3844),
    [anon_sym_LBRACK] = ACTIONS(3846),
    [anon_sym_async] = ACTIONS(3932),
    [anon_sym_new] = ACTIONS(3934),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(3852),
    [anon_sym_DASH] = ACTIONS(3852),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3854),
    [sym_private_property_identifier] = ACTIONS(3854),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3936),
    [anon_sym_readonly] = ACTIONS(3938),
    [anon_sym_get] = ACTIONS(3940),
    [anon_sym_set] = ACTIONS(3940),
    [anon_sym_declare] = ACTIONS(3926),
    [anon_sym_public] = ACTIONS(3942),
    [anon_sym_private] = ACTIONS(3942),
    [anon_sym_protected] = ACTIONS(3942),
    [anon_sym_override] = ACTIONS(3944),
    [anon_sym_module] = ACTIONS(3926),
    [anon_sym_any] = ACTIONS(3926),
    [anon_sym_number] = ACTIONS(3926),
    [anon_sym_boolean] = ACTIONS(3926),
    [anon_sym_string] = ACTIONS(3926),
    [anon_sym_symbol] = ACTIONS(3926),
    [anon_sym_object] = ACTIONS(3926),
    [anon_sym_abstract] = ACTIONS(3866),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3868),
    [sym_html_comment] = ACTIONS(5),
  },
  [1791] = {
    [sym_nested_identifier] = STATE(959),
    [sym_string] = STATE(1191),
    [sym_comment] = STATE(1791),
    [sym__module] = STATE(1620),
    [aux_sym_object_repeat1] = STATE(6170),
    [aux_sym_object_pattern_repeat1] = STATE(6263),
    [sym_identifier] = ACTIONS(3966),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1016),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(3968),
    [anon_sym_SQUOTE] = ACTIONS(3970),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1035),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1792] = {
    [sym_nested_identifier] = STATE(959),
    [sym_string] = STATE(1191),
    [sym_comment] = STATE(1792),
    [sym__module] = STATE(1620),
    [aux_sym_object_repeat1] = STATE(6170),
    [aux_sym_object_pattern_repeat1] = STATE(6263),
    [sym_identifier] = ACTIONS(3966),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1045),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1016),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(3968),
    [anon_sym_SQUOTE] = ACTIONS(3970),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1035),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1793] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1793),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(5696),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3972),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1794] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1794),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(5524),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3974),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1795] = {
    [sym_nested_identifier] = STATE(345),
    [sym_string] = STATE(381),
    [sym_comment] = STATE(1795),
    [sym__module] = STATE(456),
    [aux_sym_object_repeat1] = STATE(6170),
    [aux_sym_object_pattern_repeat1] = STATE(6263),
    [sym_identifier] = ACTIONS(3976),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1045),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1016),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(3978),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1035),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1796] = {
    [sym_variable_declarator] = STATE(5647),
    [sym_object_pattern] = STATE(4490),
    [sym_array_pattern] = STATE(4490),
    [sym__destructuring_pattern] = STATE(4698),
    [sym_comment] = STATE(1796),
    [aux_sym_object_repeat1] = STATE(6170),
    [aux_sym_object_pattern_repeat1] = STATE(6263),
    [sym_identifier] = ACTIONS(3982),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(3984),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1045),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1016),
    [anon_sym_LBRACK] = ACTIONS(3986),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1035),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1797] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1797),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(5670),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3988),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1798] = {
    [sym_variable_declarator] = STATE(5647),
    [sym_object_pattern] = STATE(4490),
    [sym_array_pattern] = STATE(4490),
    [sym__destructuring_pattern] = STATE(4698),
    [sym_comment] = STATE(1798),
    [aux_sym_object_repeat1] = STATE(6170),
    [aux_sym_object_pattern_repeat1] = STATE(6263),
    [sym_identifier] = ACTIONS(3982),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(3984),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1016),
    [anon_sym_LBRACK] = ACTIONS(3986),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1035),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1799] = {
    [sym_nested_identifier] = STATE(345),
    [sym_string] = STATE(381),
    [sym_comment] = STATE(1799),
    [sym__module] = STATE(456),
    [aux_sym_object_repeat1] = STATE(6170),
    [aux_sym_object_pattern_repeat1] = STATE(6263),
    [sym_identifier] = ACTIONS(3976),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1016),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(3978),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1035),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1800] = {
    [sym_nested_identifier] = STATE(959),
    [sym_string] = STATE(1191),
    [sym_comment] = STATE(1800),
    [sym__module] = STATE(1620),
    [aux_sym_object_repeat1] = STATE(6262),
    [aux_sym_object_pattern_repeat1] = STATE(6263),
    [sym_identifier] = ACTIONS(3966),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1014),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1016),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(3968),
    [anon_sym_SQUOTE] = ACTIONS(3970),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1035),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1801] = {
    [sym_variable_declarator] = STATE(5647),
    [sym_object_pattern] = STATE(4490),
    [sym_array_pattern] = STATE(4490),
    [sym__destructuring_pattern] = STATE(4698),
    [sym_comment] = STATE(1801),
    [aux_sym_object_repeat1] = STATE(6262),
    [aux_sym_object_pattern_repeat1] = STATE(6263),
    [sym_identifier] = ACTIONS(3982),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(3984),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1014),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1016),
    [anon_sym_LBRACK] = ACTIONS(3986),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1035),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1802] = {
    [sym_nested_identifier] = STATE(345),
    [sym_string] = STATE(381),
    [sym_comment] = STATE(1802),
    [sym__module] = STATE(456),
    [aux_sym_object_repeat1] = STATE(6262),
    [aux_sym_object_pattern_repeat1] = STATE(6263),
    [sym_identifier] = ACTIONS(3976),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1014),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1016),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(3978),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1035),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1803] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1803),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(4869),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(3990),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [sym_jsx_identifier] = ACTIONS(3992),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1804] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1804),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(5573),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3994),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1805] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1805),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(5510),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(3996),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1806] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4104),
    [sym_comment] = STATE(1806),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3989),
    [sym__type] = STATE(5806),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(4105),
    [sym_template_literal_type] = STATE(4110),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(4110),
    [sym_generic_type] = STATE(4110),
    [sym_type_query] = STATE(4110),
    [sym_index_type_query] = STATE(4110),
    [sym_lookup_type] = STATE(4110),
    [sym_literal_type] = STATE(4110),
    [sym__number] = STATE(4068),
    [sym_existential_type] = STATE(4110),
    [sym_flow_maybe_type] = STATE(4110),
    [sym_parenthesized_type] = STATE(4110),
    [sym_predefined_type] = STATE(4110),
    [sym_object_type] = STATE(4110),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(4110),
    [sym_tuple_type] = STATE(4110),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(4110),
    [sym_intersection_type] = STATE(4110),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_typeof] = ACTIONS(1914),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1928),
    [sym_number] = ACTIONS(1930),
    [sym_this] = ACTIONS(1932),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [sym_null] = ACTIONS(1930),
    [sym_undefined] = ACTIONS(1930),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(1346),
    [anon_sym_unique] = ACTIONS(1348),
    [anon_sym_unknown] = ACTIONS(1350),
    [anon_sym_never] = ACTIONS(1350),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1807] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1807),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(3822),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1808] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4104),
    [sym_comment] = STATE(1808),
    [sym_formal_parameters] = STATE(7432),
    [sym_nested_type_identifier] = STATE(3989),
    [sym__type] = STATE(5389),
    [sym_constructor_type] = STATE(4101),
    [sym__primary_type] = STATE(4067),
    [sym_template_literal_type] = STATE(4110),
    [sym_infer_type] = STATE(4101),
    [sym_conditional_type] = STATE(4110),
    [sym_generic_type] = STATE(4110),
    [sym_type_query] = STATE(4110),
    [sym_index_type_query] = STATE(4110),
    [sym_lookup_type] = STATE(4110),
    [sym_literal_type] = STATE(4110),
    [sym__number] = STATE(4068),
    [sym_existential_type] = STATE(4110),
    [sym_flow_maybe_type] = STATE(4110),
    [sym_parenthesized_type] = STATE(4110),
    [sym_predefined_type] = STATE(4110),
    [sym_object_type] = STATE(4110),
    [sym_type_parameters] = STATE(7009),
    [sym_array_type] = STATE(4110),
    [sym_tuple_type] = STATE(4110),
    [sym_readonly_type] = STATE(4101),
    [sym_union_type] = STATE(4110),
    [sym_intersection_type] = STATE(4110),
    [sym_function_type] = STATE(4101),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_typeof] = ACTIONS(1914),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1928),
    [sym_number] = ACTIONS(1930),
    [sym_this] = ACTIONS(1932),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [sym_null] = ACTIONS(1930),
    [sym_undefined] = ACTIONS(1930),
    [anon_sym_readonly] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_abstract] = ACTIONS(1342),
    [anon_sym_infer] = ACTIONS(1344),
    [anon_sym_keyof] = ACTIONS(1346),
    [anon_sym_unique] = ACTIONS(1348),
    [anon_sym_unknown] = ACTIONS(1350),
    [anon_sym_never] = ACTIONS(1350),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1809] = {
    [sym_nested_identifier] = STATE(7241),
    [sym_string] = STATE(4402),
    [sym_comment] = STATE(1809),
    [sym_formal_parameters] = STATE(7406),
    [sym_nested_type_identifier] = STATE(4091),
    [sym__type] = STATE(4182),
    [sym_constructor_type] = STATE(4335),
    [sym__primary_type] = STATE(4314),
    [sym_template_literal_type] = STATE(4399),
    [sym_infer_type] = STATE(4335),
    [sym_conditional_type] = STATE(4399),
    [sym_generic_type] = STATE(4399),
    [sym_type_query] = STATE(4399),
    [sym_index_type_query] = STATE(4399),
    [sym_lookup_type] = STATE(4399),
    [sym_literal_type] = STATE(4399),
    [sym__number] = STATE(4306),
    [sym_existential_type] = STATE(4399),
    [sym_flow_maybe_type] = STATE(4399),
    [sym_parenthesized_type] = STATE(4399),
    [sym_predefined_type] = STATE(4399),
    [sym_object_type] = STATE(4399),
    [sym_type_parameters] = STATE(6901),
    [sym_array_type] = STATE(4399),
    [sym_tuple_type] = STATE(4399),
    [sym_readonly_type] = STATE(4335),
    [sym_union_type] = STATE(4399),
    [sym_intersection_type] = STATE(4399),
    [sym_function_type] = STATE(4335),
    [sym_identifier] = ACTIONS(3998),
    [anon_sym_STAR] = ACTIONS(3600),
    [anon_sym_LBRACE] = ACTIONS(3602),
    [anon_sym_typeof] = ACTIONS(3604),
    [anon_sym_const] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(3608),
    [anon_sym_LBRACK] = ACTIONS(3610),
    [anon_sym_new] = ACTIONS(3612),
    [anon_sym_AMP] = ACTIONS(3614),
    [anon_sym_PIPE] = ACTIONS(3616),
    [anon_sym_PLUS] = ACTIONS(3618),
    [anon_sym_DASH] = ACTIONS(3618),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3620),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [anon_sym_SQUOTE] = ACTIONS(3624),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3628),
    [sym_this] = ACTIONS(4000),
    [sym_true] = ACTIONS(3628),
    [sym_false] = ACTIONS(3628),
    [sym_null] = ACTIONS(3628),
    [sym_undefined] = ACTIONS(3628),
    [anon_sym_readonly] = ACTIONS(3632),
    [anon_sym_QMARK] = ACTIONS(3634),
    [anon_sym_any] = ACTIONS(3620),
    [anon_sym_number] = ACTIONS(3620),
    [anon_sym_boolean] = ACTIONS(3620),
    [anon_sym_string] = ACTIONS(3620),
    [anon_sym_symbol] = ACTIONS(3620),
    [anon_sym_object] = ACTIONS(3620),
    [anon_sym_abstract] = ACTIONS(3636),
    [anon_sym_infer] = ACTIONS(3640),
    [anon_sym_keyof] = ACTIONS(3642),
    [anon_sym_unique] = ACTIONS(3644),
    [anon_sym_unknown] = ACTIONS(3620),
    [anon_sym_never] = ACTIONS(3620),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3602),
    [sym_html_comment] = ACTIONS(5),
  },
  [1810] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1810),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(3825),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1811] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4104),
    [sym_comment] = STATE(1811),
    [sym_formal_parameters] = STATE(7432),
    [sym_nested_type_identifier] = STATE(3989),
    [sym__type] = STATE(4121),
    [sym_constructor_type] = STATE(4101),
    [sym__primary_type] = STATE(4067),
    [sym_template_literal_type] = STATE(4110),
    [sym_infer_type] = STATE(4101),
    [sym_conditional_type] = STATE(4110),
    [sym_generic_type] = STATE(4110),
    [sym_type_query] = STATE(4110),
    [sym_index_type_query] = STATE(4110),
    [sym_lookup_type] = STATE(4110),
    [sym_literal_type] = STATE(4110),
    [sym__number] = STATE(4068),
    [sym_existential_type] = STATE(4110),
    [sym_flow_maybe_type] = STATE(4110),
    [sym_parenthesized_type] = STATE(4110),
    [sym_predefined_type] = STATE(4110),
    [sym_object_type] = STATE(4110),
    [sym_type_parameters] = STATE(7009),
    [sym_array_type] = STATE(4110),
    [sym_tuple_type] = STATE(4110),
    [sym_readonly_type] = STATE(4101),
    [sym_union_type] = STATE(4110),
    [sym_intersection_type] = STATE(4110),
    [sym_function_type] = STATE(4101),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_typeof] = ACTIONS(1914),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1928),
    [sym_number] = ACTIONS(1930),
    [sym_this] = ACTIONS(1932),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [sym_null] = ACTIONS(1930),
    [sym_undefined] = ACTIONS(1930),
    [anon_sym_readonly] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_abstract] = ACTIONS(1342),
    [anon_sym_infer] = ACTIONS(1344),
    [anon_sym_keyof] = ACTIONS(1346),
    [anon_sym_unique] = ACTIONS(1348),
    [anon_sym_unknown] = ACTIONS(1350),
    [anon_sym_never] = ACTIONS(1350),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1812] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4104),
    [sym_comment] = STATE(1812),
    [sym_formal_parameters] = STATE(7432),
    [sym_nested_type_identifier] = STATE(3989),
    [sym__type] = STATE(5446),
    [sym_constructor_type] = STATE(4101),
    [sym__primary_type] = STATE(4067),
    [sym_template_literal_type] = STATE(4110),
    [sym_infer_type] = STATE(4101),
    [sym_conditional_type] = STATE(4110),
    [sym_generic_type] = STATE(4110),
    [sym_type_query] = STATE(4110),
    [sym_index_type_query] = STATE(4110),
    [sym_lookup_type] = STATE(4110),
    [sym_literal_type] = STATE(4110),
    [sym__number] = STATE(4068),
    [sym_existential_type] = STATE(4110),
    [sym_flow_maybe_type] = STATE(4110),
    [sym_parenthesized_type] = STATE(4110),
    [sym_predefined_type] = STATE(4110),
    [sym_object_type] = STATE(4110),
    [sym_type_parameters] = STATE(7009),
    [sym_array_type] = STATE(4110),
    [sym_tuple_type] = STATE(4110),
    [sym_readonly_type] = STATE(4101),
    [sym_union_type] = STATE(4110),
    [sym_intersection_type] = STATE(4110),
    [sym_function_type] = STATE(4101),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_typeof] = ACTIONS(1914),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1928),
    [sym_number] = ACTIONS(1930),
    [sym_this] = ACTIONS(1932),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [sym_null] = ACTIONS(1930),
    [sym_undefined] = ACTIONS(1930),
    [anon_sym_readonly] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_abstract] = ACTIONS(1342),
    [anon_sym_infer] = ACTIONS(1344),
    [anon_sym_keyof] = ACTIONS(1346),
    [anon_sym_unique] = ACTIONS(1348),
    [anon_sym_unknown] = ACTIONS(1350),
    [anon_sym_never] = ACTIONS(1350),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1813] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1813),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(4949),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1814] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1814),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(5633),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1815] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1815),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(4869),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1816] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4104),
    [sym_comment] = STATE(1816),
    [sym_formal_parameters] = STATE(7432),
    [sym_nested_type_identifier] = STATE(3989),
    [sym__type] = STATE(5492),
    [sym_constructor_type] = STATE(4101),
    [sym__primary_type] = STATE(4067),
    [sym_template_literal_type] = STATE(4110),
    [sym_infer_type] = STATE(4101),
    [sym_conditional_type] = STATE(4110),
    [sym_generic_type] = STATE(4110),
    [sym_type_query] = STATE(4110),
    [sym_index_type_query] = STATE(4110),
    [sym_lookup_type] = STATE(4110),
    [sym_literal_type] = STATE(4110),
    [sym__number] = STATE(4068),
    [sym_existential_type] = STATE(4110),
    [sym_flow_maybe_type] = STATE(4110),
    [sym_parenthesized_type] = STATE(4110),
    [sym_predefined_type] = STATE(4110),
    [sym_object_type] = STATE(4110),
    [sym_type_parameters] = STATE(7009),
    [sym_array_type] = STATE(4110),
    [sym_tuple_type] = STATE(4110),
    [sym_readonly_type] = STATE(4101),
    [sym_union_type] = STATE(4110),
    [sym_intersection_type] = STATE(4110),
    [sym_function_type] = STATE(4101),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_typeof] = ACTIONS(1914),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1928),
    [sym_number] = ACTIONS(1930),
    [sym_this] = ACTIONS(1932),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [sym_null] = ACTIONS(1930),
    [sym_undefined] = ACTIONS(1930),
    [anon_sym_readonly] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_abstract] = ACTIONS(1342),
    [anon_sym_infer] = ACTIONS(1344),
    [anon_sym_keyof] = ACTIONS(1346),
    [anon_sym_unique] = ACTIONS(1348),
    [anon_sym_unknown] = ACTIONS(1350),
    [anon_sym_never] = ACTIONS(1350),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1817] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1817),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(5564),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1818] = {
    [sym_nested_identifier] = STATE(7241),
    [sym_string] = STATE(4402),
    [sym_comment] = STATE(1818),
    [sym_formal_parameters] = STATE(7406),
    [sym_nested_type_identifier] = STATE(4091),
    [sym__type] = STATE(4371),
    [sym_constructor_type] = STATE(4335),
    [sym__primary_type] = STATE(4314),
    [sym_template_literal_type] = STATE(4399),
    [sym_infer_type] = STATE(4335),
    [sym_conditional_type] = STATE(4399),
    [sym_generic_type] = STATE(4399),
    [sym_type_query] = STATE(4399),
    [sym_index_type_query] = STATE(4399),
    [sym_lookup_type] = STATE(4399),
    [sym_literal_type] = STATE(4399),
    [sym__number] = STATE(4306),
    [sym_existential_type] = STATE(4399),
    [sym_flow_maybe_type] = STATE(4399),
    [sym_parenthesized_type] = STATE(4399),
    [sym_predefined_type] = STATE(4399),
    [sym_object_type] = STATE(4399),
    [sym_type_parameters] = STATE(6901),
    [sym_array_type] = STATE(4399),
    [sym_tuple_type] = STATE(4399),
    [sym_readonly_type] = STATE(4335),
    [sym_union_type] = STATE(4399),
    [sym_intersection_type] = STATE(4399),
    [sym_function_type] = STATE(4335),
    [sym_identifier] = ACTIONS(3998),
    [anon_sym_STAR] = ACTIONS(3600),
    [anon_sym_LBRACE] = ACTIONS(3602),
    [anon_sym_typeof] = ACTIONS(3604),
    [anon_sym_const] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(3608),
    [anon_sym_LBRACK] = ACTIONS(3610),
    [anon_sym_new] = ACTIONS(3612),
    [anon_sym_AMP] = ACTIONS(3614),
    [anon_sym_PIPE] = ACTIONS(3616),
    [anon_sym_PLUS] = ACTIONS(3618),
    [anon_sym_DASH] = ACTIONS(3618),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3620),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [anon_sym_SQUOTE] = ACTIONS(3624),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3628),
    [sym_this] = ACTIONS(4000),
    [sym_true] = ACTIONS(3628),
    [sym_false] = ACTIONS(3628),
    [sym_null] = ACTIONS(3628),
    [sym_undefined] = ACTIONS(3628),
    [anon_sym_readonly] = ACTIONS(3632),
    [anon_sym_QMARK] = ACTIONS(3634),
    [anon_sym_any] = ACTIONS(3620),
    [anon_sym_number] = ACTIONS(3620),
    [anon_sym_boolean] = ACTIONS(3620),
    [anon_sym_string] = ACTIONS(3620),
    [anon_sym_symbol] = ACTIONS(3620),
    [anon_sym_object] = ACTIONS(3620),
    [anon_sym_abstract] = ACTIONS(3636),
    [anon_sym_infer] = ACTIONS(3640),
    [anon_sym_keyof] = ACTIONS(3642),
    [anon_sym_unique] = ACTIONS(3644),
    [anon_sym_unknown] = ACTIONS(3620),
    [anon_sym_never] = ACTIONS(3620),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3602),
    [sym_html_comment] = ACTIONS(5),
  },
  [1819] = {
    [sym_nested_identifier] = STATE(7241),
    [sym_string] = STATE(4402),
    [sym_comment] = STATE(1819),
    [sym_formal_parameters] = STATE(7406),
    [sym_nested_type_identifier] = STATE(4091),
    [sym__type] = STATE(4370),
    [sym_constructor_type] = STATE(4335),
    [sym__primary_type] = STATE(4314),
    [sym_template_literal_type] = STATE(4399),
    [sym_infer_type] = STATE(4335),
    [sym_conditional_type] = STATE(4399),
    [sym_generic_type] = STATE(4399),
    [sym_type_query] = STATE(4399),
    [sym_index_type_query] = STATE(4399),
    [sym_lookup_type] = STATE(4399),
    [sym_literal_type] = STATE(4399),
    [sym__number] = STATE(4306),
    [sym_existential_type] = STATE(4399),
    [sym_flow_maybe_type] = STATE(4399),
    [sym_parenthesized_type] = STATE(4399),
    [sym_predefined_type] = STATE(4399),
    [sym_object_type] = STATE(4399),
    [sym_type_parameters] = STATE(6901),
    [sym_array_type] = STATE(4399),
    [sym_tuple_type] = STATE(4399),
    [sym_readonly_type] = STATE(4335),
    [sym_union_type] = STATE(4399),
    [sym_intersection_type] = STATE(4399),
    [sym_function_type] = STATE(4335),
    [sym_identifier] = ACTIONS(3998),
    [anon_sym_STAR] = ACTIONS(3600),
    [anon_sym_LBRACE] = ACTIONS(3602),
    [anon_sym_typeof] = ACTIONS(3604),
    [anon_sym_const] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(3608),
    [anon_sym_LBRACK] = ACTIONS(3610),
    [anon_sym_new] = ACTIONS(3612),
    [anon_sym_AMP] = ACTIONS(3614),
    [anon_sym_PIPE] = ACTIONS(3616),
    [anon_sym_PLUS] = ACTIONS(3618),
    [anon_sym_DASH] = ACTIONS(3618),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3620),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [anon_sym_SQUOTE] = ACTIONS(3624),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3628),
    [sym_this] = ACTIONS(4000),
    [sym_true] = ACTIONS(3628),
    [sym_false] = ACTIONS(3628),
    [sym_null] = ACTIONS(3628),
    [sym_undefined] = ACTIONS(3628),
    [anon_sym_readonly] = ACTIONS(3632),
    [anon_sym_QMARK] = ACTIONS(3634),
    [anon_sym_any] = ACTIONS(3620),
    [anon_sym_number] = ACTIONS(3620),
    [anon_sym_boolean] = ACTIONS(3620),
    [anon_sym_string] = ACTIONS(3620),
    [anon_sym_symbol] = ACTIONS(3620),
    [anon_sym_object] = ACTIONS(3620),
    [anon_sym_abstract] = ACTIONS(3636),
    [anon_sym_infer] = ACTIONS(3640),
    [anon_sym_keyof] = ACTIONS(3642),
    [anon_sym_unique] = ACTIONS(3644),
    [anon_sym_unknown] = ACTIONS(3620),
    [anon_sym_never] = ACTIONS(3620),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3602),
    [sym_html_comment] = ACTIONS(5),
  },
  [1820] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1820),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(5628),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1821] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1821),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(5626),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1822] = {
    [sym_nested_identifier] = STATE(7269),
    [sym_string] = STATE(2907),
    [sym_comment] = STATE(1822),
    [sym_formal_parameters] = STATE(7293),
    [sym_nested_type_identifier] = STATE(2737),
    [sym__type] = STATE(2919),
    [sym_constructor_type] = STATE(2914),
    [sym__primary_type] = STATE(2915),
    [sym_template_literal_type] = STATE(2903),
    [sym_infer_type] = STATE(2914),
    [sym_conditional_type] = STATE(2903),
    [sym_generic_type] = STATE(2903),
    [sym_type_query] = STATE(2903),
    [sym_index_type_query] = STATE(2903),
    [sym_lookup_type] = STATE(2903),
    [sym_literal_type] = STATE(2903),
    [sym__number] = STATE(2916),
    [sym_existential_type] = STATE(2903),
    [sym_flow_maybe_type] = STATE(2903),
    [sym_parenthesized_type] = STATE(2903),
    [sym_predefined_type] = STATE(2903),
    [sym_object_type] = STATE(2903),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(2903),
    [sym_tuple_type] = STATE(2903),
    [sym_readonly_type] = STATE(2914),
    [sym_union_type] = STATE(2903),
    [sym_intersection_type] = STATE(2903),
    [sym_function_type] = STATE(2914),
    [sym_identifier] = ACTIONS(4002),
    [anon_sym_STAR] = ACTIONS(3744),
    [anon_sym_LBRACE] = ACTIONS(3746),
    [anon_sym_typeof] = ACTIONS(3748),
    [anon_sym_const] = ACTIONS(3750),
    [anon_sym_LPAREN] = ACTIONS(3752),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_new] = ACTIONS(3756),
    [anon_sym_AMP] = ACTIONS(3758),
    [anon_sym_PIPE] = ACTIONS(3760),
    [anon_sym_PLUS] = ACTIONS(3762),
    [anon_sym_DASH] = ACTIONS(3762),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3764),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3766),
    [sym_number] = ACTIONS(3768),
    [sym_this] = ACTIONS(4004),
    [sym_true] = ACTIONS(3768),
    [sym_false] = ACTIONS(3768),
    [sym_null] = ACTIONS(3768),
    [sym_undefined] = ACTIONS(3768),
    [anon_sym_readonly] = ACTIONS(3772),
    [anon_sym_QMARK] = ACTIONS(3774),
    [anon_sym_any] = ACTIONS(3764),
    [anon_sym_number] = ACTIONS(3764),
    [anon_sym_boolean] = ACTIONS(3764),
    [anon_sym_string] = ACTIONS(3764),
    [anon_sym_symbol] = ACTIONS(3764),
    [anon_sym_object] = ACTIONS(3764),
    [anon_sym_abstract] = ACTIONS(3776),
    [anon_sym_infer] = ACTIONS(3780),
    [anon_sym_keyof] = ACTIONS(3782),
    [anon_sym_unique] = ACTIONS(3784),
    [anon_sym_unknown] = ACTIONS(3764),
    [anon_sym_never] = ACTIONS(3764),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3746),
    [sym_html_comment] = ACTIONS(5),
  },
  [1823] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1823),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(5695),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1824] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1824),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(5693),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1825] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1825),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(3795),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1826] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4104),
    [sym_comment] = STATE(1826),
    [sym_formal_parameters] = STATE(7432),
    [sym_nested_type_identifier] = STATE(3989),
    [sym__type] = STATE(4405),
    [sym_constructor_type] = STATE(4101),
    [sym__primary_type] = STATE(4067),
    [sym_template_literal_type] = STATE(4110),
    [sym_infer_type] = STATE(4101),
    [sym_conditional_type] = STATE(4110),
    [sym_generic_type] = STATE(4110),
    [sym_type_query] = STATE(4110),
    [sym_index_type_query] = STATE(4110),
    [sym_lookup_type] = STATE(4110),
    [sym_literal_type] = STATE(4110),
    [sym__number] = STATE(4068),
    [sym_existential_type] = STATE(4110),
    [sym_flow_maybe_type] = STATE(4110),
    [sym_parenthesized_type] = STATE(4110),
    [sym_predefined_type] = STATE(4110),
    [sym_object_type] = STATE(4110),
    [sym_type_parameters] = STATE(7009),
    [sym_array_type] = STATE(4110),
    [sym_tuple_type] = STATE(4110),
    [sym_readonly_type] = STATE(4101),
    [sym_union_type] = STATE(4110),
    [sym_intersection_type] = STATE(4110),
    [sym_function_type] = STATE(4101),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_typeof] = ACTIONS(1914),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1928),
    [sym_number] = ACTIONS(1930),
    [sym_this] = ACTIONS(1932),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [sym_null] = ACTIONS(1930),
    [sym_undefined] = ACTIONS(1930),
    [anon_sym_readonly] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_abstract] = ACTIONS(1342),
    [anon_sym_infer] = ACTIONS(1344),
    [anon_sym_keyof] = ACTIONS(1346),
    [anon_sym_unique] = ACTIONS(1348),
    [anon_sym_unknown] = ACTIONS(1350),
    [anon_sym_never] = ACTIONS(1350),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1827] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4104),
    [sym_comment] = STATE(1827),
    [sym_formal_parameters] = STATE(7432),
    [sym_nested_type_identifier] = STATE(3989),
    [sym__type] = STATE(5487),
    [sym_constructor_type] = STATE(4101),
    [sym__primary_type] = STATE(4067),
    [sym_template_literal_type] = STATE(4110),
    [sym_infer_type] = STATE(4101),
    [sym_conditional_type] = STATE(4110),
    [sym_generic_type] = STATE(4110),
    [sym_type_query] = STATE(4110),
    [sym_index_type_query] = STATE(4110),
    [sym_lookup_type] = STATE(4110),
    [sym_literal_type] = STATE(4110),
    [sym__number] = STATE(4068),
    [sym_existential_type] = STATE(4110),
    [sym_flow_maybe_type] = STATE(4110),
    [sym_parenthesized_type] = STATE(4110),
    [sym_predefined_type] = STATE(4110),
    [sym_object_type] = STATE(4110),
    [sym_type_parameters] = STATE(7009),
    [sym_array_type] = STATE(4110),
    [sym_tuple_type] = STATE(4110),
    [sym_readonly_type] = STATE(4101),
    [sym_union_type] = STATE(4110),
    [sym_intersection_type] = STATE(4110),
    [sym_function_type] = STATE(4101),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_typeof] = ACTIONS(1914),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1928),
    [sym_number] = ACTIONS(1930),
    [sym_this] = ACTIONS(1932),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [sym_null] = ACTIONS(1930),
    [sym_undefined] = ACTIONS(1930),
    [anon_sym_readonly] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_abstract] = ACTIONS(1342),
    [anon_sym_infer] = ACTIONS(1344),
    [anon_sym_keyof] = ACTIONS(1346),
    [anon_sym_unique] = ACTIONS(1348),
    [anon_sym_unknown] = ACTIONS(1350),
    [anon_sym_never] = ACTIONS(1350),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1828] = {
    [sym_nested_identifier] = STATE(7241),
    [sym_string] = STATE(4402),
    [sym_comment] = STATE(1828),
    [sym_formal_parameters] = STATE(7406),
    [sym_nested_type_identifier] = STATE(4091),
    [sym__type] = STATE(4196),
    [sym_constructor_type] = STATE(4335),
    [sym__primary_type] = STATE(4314),
    [sym_template_literal_type] = STATE(4399),
    [sym_infer_type] = STATE(4335),
    [sym_conditional_type] = STATE(4399),
    [sym_generic_type] = STATE(4399),
    [sym_type_query] = STATE(4399),
    [sym_index_type_query] = STATE(4399),
    [sym_lookup_type] = STATE(4399),
    [sym_literal_type] = STATE(4399),
    [sym__number] = STATE(4306),
    [sym_existential_type] = STATE(4399),
    [sym_flow_maybe_type] = STATE(4399),
    [sym_parenthesized_type] = STATE(4399),
    [sym_predefined_type] = STATE(4399),
    [sym_object_type] = STATE(4399),
    [sym_type_parameters] = STATE(6901),
    [sym_array_type] = STATE(4399),
    [sym_tuple_type] = STATE(4399),
    [sym_readonly_type] = STATE(4335),
    [sym_union_type] = STATE(4399),
    [sym_intersection_type] = STATE(4399),
    [sym_function_type] = STATE(4335),
    [sym_identifier] = ACTIONS(3998),
    [anon_sym_STAR] = ACTIONS(3600),
    [anon_sym_LBRACE] = ACTIONS(3602),
    [anon_sym_typeof] = ACTIONS(3604),
    [anon_sym_const] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(3608),
    [anon_sym_LBRACK] = ACTIONS(3610),
    [anon_sym_new] = ACTIONS(3612),
    [anon_sym_AMP] = ACTIONS(3614),
    [anon_sym_PIPE] = ACTIONS(3616),
    [anon_sym_PLUS] = ACTIONS(3618),
    [anon_sym_DASH] = ACTIONS(3618),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3620),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [anon_sym_SQUOTE] = ACTIONS(3624),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3628),
    [sym_this] = ACTIONS(4000),
    [sym_true] = ACTIONS(3628),
    [sym_false] = ACTIONS(3628),
    [sym_null] = ACTIONS(3628),
    [sym_undefined] = ACTIONS(3628),
    [anon_sym_readonly] = ACTIONS(3632),
    [anon_sym_QMARK] = ACTIONS(3634),
    [anon_sym_any] = ACTIONS(3620),
    [anon_sym_number] = ACTIONS(3620),
    [anon_sym_boolean] = ACTIONS(3620),
    [anon_sym_string] = ACTIONS(3620),
    [anon_sym_symbol] = ACTIONS(3620),
    [anon_sym_object] = ACTIONS(3620),
    [anon_sym_abstract] = ACTIONS(3636),
    [anon_sym_infer] = ACTIONS(3640),
    [anon_sym_keyof] = ACTIONS(3642),
    [anon_sym_unique] = ACTIONS(3644),
    [anon_sym_unknown] = ACTIONS(3620),
    [anon_sym_never] = ACTIONS(3620),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3602),
    [sym_html_comment] = ACTIONS(5),
  },
  [1829] = {
    [sym_nested_identifier] = STATE(7127),
    [sym_string] = STATE(2484),
    [sym_comment] = STATE(1829),
    [sym_formal_parameters] = STATE(7143),
    [sym_nested_type_identifier] = STATE(2329),
    [sym__type] = STATE(2376),
    [sym_constructor_type] = STATE(2481),
    [sym__primary_type] = STATE(2477),
    [sym_template_literal_type] = STATE(2485),
    [sym_infer_type] = STATE(2481),
    [sym_conditional_type] = STATE(2485),
    [sym_generic_type] = STATE(2485),
    [sym_type_query] = STATE(2485),
    [sym_index_type_query] = STATE(2485),
    [sym_lookup_type] = STATE(2485),
    [sym_literal_type] = STATE(2485),
    [sym__number] = STATE(2476),
    [sym_existential_type] = STATE(2485),
    [sym_flow_maybe_type] = STATE(2485),
    [sym_parenthesized_type] = STATE(2485),
    [sym_predefined_type] = STATE(2485),
    [sym_object_type] = STATE(2485),
    [sym_type_parameters] = STATE(6983),
    [sym_array_type] = STATE(2485),
    [sym_tuple_type] = STATE(2485),
    [sym_readonly_type] = STATE(2481),
    [sym_union_type] = STATE(2485),
    [sym_intersection_type] = STATE(2485),
    [sym_function_type] = STATE(2481),
    [sym_identifier] = ACTIONS(4006),
    [anon_sym_STAR] = ACTIONS(3788),
    [anon_sym_LBRACE] = ACTIONS(3790),
    [anon_sym_typeof] = ACTIONS(3792),
    [anon_sym_const] = ACTIONS(3794),
    [anon_sym_LPAREN] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3798),
    [anon_sym_new] = ACTIONS(3800),
    [anon_sym_AMP] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_PLUS] = ACTIONS(3806),
    [anon_sym_DASH] = ACTIONS(3806),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3808),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3810),
    [sym_number] = ACTIONS(3812),
    [sym_this] = ACTIONS(4008),
    [sym_true] = ACTIONS(3812),
    [sym_false] = ACTIONS(3812),
    [sym_null] = ACTIONS(3812),
    [sym_undefined] = ACTIONS(3812),
    [anon_sym_readonly] = ACTIONS(3816),
    [anon_sym_QMARK] = ACTIONS(3818),
    [anon_sym_any] = ACTIONS(3808),
    [anon_sym_number] = ACTIONS(3808),
    [anon_sym_boolean] = ACTIONS(3808),
    [anon_sym_string] = ACTIONS(3808),
    [anon_sym_symbol] = ACTIONS(3808),
    [anon_sym_object] = ACTIONS(3808),
    [anon_sym_abstract] = ACTIONS(3820),
    [anon_sym_infer] = ACTIONS(3824),
    [anon_sym_keyof] = ACTIONS(3826),
    [anon_sym_unique] = ACTIONS(3828),
    [anon_sym_unknown] = ACTIONS(3808),
    [anon_sym_never] = ACTIONS(3808),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3790),
    [sym_html_comment] = ACTIONS(5),
  },
  [1830] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4104),
    [sym_comment] = STATE(1830),
    [sym_formal_parameters] = STATE(7432),
    [sym_nested_type_identifier] = STATE(3989),
    [sym__type] = STATE(4422),
    [sym_constructor_type] = STATE(4101),
    [sym__primary_type] = STATE(4067),
    [sym_template_literal_type] = STATE(4110),
    [sym_infer_type] = STATE(4101),
    [sym_conditional_type] = STATE(4110),
    [sym_generic_type] = STATE(4110),
    [sym_type_query] = STATE(4110),
    [sym_index_type_query] = STATE(4110),
    [sym_lookup_type] = STATE(4110),
    [sym_literal_type] = STATE(4110),
    [sym__number] = STATE(4068),
    [sym_existential_type] = STATE(4110),
    [sym_flow_maybe_type] = STATE(4110),
    [sym_parenthesized_type] = STATE(4110),
    [sym_predefined_type] = STATE(4110),
    [sym_object_type] = STATE(4110),
    [sym_type_parameters] = STATE(7009),
    [sym_array_type] = STATE(4110),
    [sym_tuple_type] = STATE(4110),
    [sym_readonly_type] = STATE(4101),
    [sym_union_type] = STATE(4110),
    [sym_intersection_type] = STATE(4110),
    [sym_function_type] = STATE(4101),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_typeof] = ACTIONS(1914),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1928),
    [sym_number] = ACTIONS(1930),
    [sym_this] = ACTIONS(1932),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [sym_null] = ACTIONS(1930),
    [sym_undefined] = ACTIONS(1930),
    [anon_sym_readonly] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_abstract] = ACTIONS(1342),
    [anon_sym_infer] = ACTIONS(1344),
    [anon_sym_keyof] = ACTIONS(1346),
    [anon_sym_unique] = ACTIONS(1348),
    [anon_sym_unknown] = ACTIONS(1350),
    [anon_sym_never] = ACTIONS(1350),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1831] = {
    [sym_nested_identifier] = STATE(7127),
    [sym_string] = STATE(2484),
    [sym_comment] = STATE(1831),
    [sym_formal_parameters] = STATE(7143),
    [sym_nested_type_identifier] = STATE(2329),
    [sym__type] = STATE(2493),
    [sym_constructor_type] = STATE(2481),
    [sym__primary_type] = STATE(2477),
    [sym_template_literal_type] = STATE(2485),
    [sym_infer_type] = STATE(2481),
    [sym_conditional_type] = STATE(2485),
    [sym_generic_type] = STATE(2485),
    [sym_type_query] = STATE(2485),
    [sym_index_type_query] = STATE(2485),
    [sym_lookup_type] = STATE(2485),
    [sym_literal_type] = STATE(2485),
    [sym__number] = STATE(2476),
    [sym_existential_type] = STATE(2485),
    [sym_flow_maybe_type] = STATE(2485),
    [sym_parenthesized_type] = STATE(2485),
    [sym_predefined_type] = STATE(2485),
    [sym_object_type] = STATE(2485),
    [sym_type_parameters] = STATE(6983),
    [sym_array_type] = STATE(2485),
    [sym_tuple_type] = STATE(2485),
    [sym_readonly_type] = STATE(2481),
    [sym_union_type] = STATE(2485),
    [sym_intersection_type] = STATE(2485),
    [sym_function_type] = STATE(2481),
    [sym_identifier] = ACTIONS(4006),
    [anon_sym_STAR] = ACTIONS(3788),
    [anon_sym_LBRACE] = ACTIONS(3790),
    [anon_sym_typeof] = ACTIONS(3792),
    [anon_sym_const] = ACTIONS(3794),
    [anon_sym_LPAREN] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3798),
    [anon_sym_new] = ACTIONS(3800),
    [anon_sym_AMP] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_PLUS] = ACTIONS(3806),
    [anon_sym_DASH] = ACTIONS(3806),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3808),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3810),
    [sym_number] = ACTIONS(3812),
    [sym_this] = ACTIONS(4008),
    [sym_true] = ACTIONS(3812),
    [sym_false] = ACTIONS(3812),
    [sym_null] = ACTIONS(3812),
    [sym_undefined] = ACTIONS(3812),
    [anon_sym_readonly] = ACTIONS(3816),
    [anon_sym_QMARK] = ACTIONS(3818),
    [anon_sym_any] = ACTIONS(3808),
    [anon_sym_number] = ACTIONS(3808),
    [anon_sym_boolean] = ACTIONS(3808),
    [anon_sym_string] = ACTIONS(3808),
    [anon_sym_symbol] = ACTIONS(3808),
    [anon_sym_object] = ACTIONS(3808),
    [anon_sym_abstract] = ACTIONS(3820),
    [anon_sym_infer] = ACTIONS(3824),
    [anon_sym_keyof] = ACTIONS(3826),
    [anon_sym_unique] = ACTIONS(3828),
    [anon_sym_unknown] = ACTIONS(3808),
    [anon_sym_never] = ACTIONS(3808),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3790),
    [sym_html_comment] = ACTIONS(5),
  },
  [1832] = {
    [sym_nested_identifier] = STATE(7241),
    [sym_string] = STATE(4402),
    [sym_comment] = STATE(1832),
    [sym_formal_parameters] = STATE(7406),
    [sym_nested_type_identifier] = STATE(4091),
    [sym__type] = STATE(4197),
    [sym_constructor_type] = STATE(4335),
    [sym__primary_type] = STATE(4314),
    [sym_template_literal_type] = STATE(4399),
    [sym_infer_type] = STATE(4335),
    [sym_conditional_type] = STATE(4399),
    [sym_generic_type] = STATE(4399),
    [sym_type_query] = STATE(4399),
    [sym_index_type_query] = STATE(4399),
    [sym_lookup_type] = STATE(4399),
    [sym_literal_type] = STATE(4399),
    [sym__number] = STATE(4306),
    [sym_existential_type] = STATE(4399),
    [sym_flow_maybe_type] = STATE(4399),
    [sym_parenthesized_type] = STATE(4399),
    [sym_predefined_type] = STATE(4399),
    [sym_object_type] = STATE(4399),
    [sym_type_parameters] = STATE(6901),
    [sym_array_type] = STATE(4399),
    [sym_tuple_type] = STATE(4399),
    [sym_readonly_type] = STATE(4335),
    [sym_union_type] = STATE(4399),
    [sym_intersection_type] = STATE(4399),
    [sym_function_type] = STATE(4335),
    [sym_identifier] = ACTIONS(3998),
    [anon_sym_STAR] = ACTIONS(3600),
    [anon_sym_LBRACE] = ACTIONS(3602),
    [anon_sym_typeof] = ACTIONS(3604),
    [anon_sym_const] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(3608),
    [anon_sym_LBRACK] = ACTIONS(3610),
    [anon_sym_new] = ACTIONS(3612),
    [anon_sym_AMP] = ACTIONS(3614),
    [anon_sym_PIPE] = ACTIONS(3616),
    [anon_sym_PLUS] = ACTIONS(3618),
    [anon_sym_DASH] = ACTIONS(3618),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3620),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [anon_sym_SQUOTE] = ACTIONS(3624),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3628),
    [sym_this] = ACTIONS(4000),
    [sym_true] = ACTIONS(3628),
    [sym_false] = ACTIONS(3628),
    [sym_null] = ACTIONS(3628),
    [sym_undefined] = ACTIONS(3628),
    [anon_sym_readonly] = ACTIONS(3632),
    [anon_sym_QMARK] = ACTIONS(3634),
    [anon_sym_any] = ACTIONS(3620),
    [anon_sym_number] = ACTIONS(3620),
    [anon_sym_boolean] = ACTIONS(3620),
    [anon_sym_string] = ACTIONS(3620),
    [anon_sym_symbol] = ACTIONS(3620),
    [anon_sym_object] = ACTIONS(3620),
    [anon_sym_abstract] = ACTIONS(3636),
    [anon_sym_infer] = ACTIONS(3640),
    [anon_sym_keyof] = ACTIONS(3642),
    [anon_sym_unique] = ACTIONS(3644),
    [anon_sym_unknown] = ACTIONS(3620),
    [anon_sym_never] = ACTIONS(3620),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3602),
    [sym_html_comment] = ACTIONS(5),
  },
  [1833] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4104),
    [sym_comment] = STATE(1833),
    [sym_formal_parameters] = STATE(7432),
    [sym_nested_type_identifier] = STATE(3989),
    [sym__type] = STATE(5504),
    [sym_constructor_type] = STATE(4101),
    [sym__primary_type] = STATE(4067),
    [sym_template_literal_type] = STATE(4110),
    [sym_infer_type] = STATE(4101),
    [sym_conditional_type] = STATE(4110),
    [sym_generic_type] = STATE(4110),
    [sym_type_query] = STATE(4110),
    [sym_index_type_query] = STATE(4110),
    [sym_lookup_type] = STATE(4110),
    [sym_literal_type] = STATE(4110),
    [sym__number] = STATE(4068),
    [sym_existential_type] = STATE(4110),
    [sym_flow_maybe_type] = STATE(4110),
    [sym_parenthesized_type] = STATE(4110),
    [sym_predefined_type] = STATE(4110),
    [sym_object_type] = STATE(4110),
    [sym_type_parameters] = STATE(7009),
    [sym_array_type] = STATE(4110),
    [sym_tuple_type] = STATE(4110),
    [sym_readonly_type] = STATE(4101),
    [sym_union_type] = STATE(4110),
    [sym_intersection_type] = STATE(4110),
    [sym_function_type] = STATE(4101),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_typeof] = ACTIONS(1914),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1928),
    [sym_number] = ACTIONS(1930),
    [sym_this] = ACTIONS(1932),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [sym_null] = ACTIONS(1930),
    [sym_undefined] = ACTIONS(1930),
    [anon_sym_readonly] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_abstract] = ACTIONS(1342),
    [anon_sym_infer] = ACTIONS(1344),
    [anon_sym_keyof] = ACTIONS(1346),
    [anon_sym_unique] = ACTIONS(1348),
    [anon_sym_unknown] = ACTIONS(1350),
    [anon_sym_never] = ACTIONS(1350),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1834] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4104),
    [sym_comment] = STATE(1834),
    [sym_formal_parameters] = STATE(7432),
    [sym_nested_type_identifier] = STATE(3989),
    [sym__type] = STATE(4977),
    [sym_constructor_type] = STATE(4101),
    [sym__primary_type] = STATE(4067),
    [sym_template_literal_type] = STATE(4110),
    [sym_infer_type] = STATE(4101),
    [sym_conditional_type] = STATE(4110),
    [sym_generic_type] = STATE(4110),
    [sym_type_query] = STATE(4110),
    [sym_index_type_query] = STATE(4110),
    [sym_lookup_type] = STATE(4110),
    [sym_literal_type] = STATE(4110),
    [sym__number] = STATE(4068),
    [sym_existential_type] = STATE(4110),
    [sym_flow_maybe_type] = STATE(4110),
    [sym_parenthesized_type] = STATE(4110),
    [sym_predefined_type] = STATE(4110),
    [sym_object_type] = STATE(4110),
    [sym_type_parameters] = STATE(7009),
    [sym_array_type] = STATE(4110),
    [sym_tuple_type] = STATE(4110),
    [sym_readonly_type] = STATE(4101),
    [sym_union_type] = STATE(4110),
    [sym_intersection_type] = STATE(4110),
    [sym_function_type] = STATE(4101),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_typeof] = ACTIONS(1914),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1928),
    [sym_number] = ACTIONS(1930),
    [sym_this] = ACTIONS(1932),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [sym_null] = ACTIONS(1930),
    [sym_undefined] = ACTIONS(1930),
    [anon_sym_readonly] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_abstract] = ACTIONS(1342),
    [anon_sym_infer] = ACTIONS(1344),
    [anon_sym_keyof] = ACTIONS(1346),
    [anon_sym_unique] = ACTIONS(1348),
    [anon_sym_unknown] = ACTIONS(1350),
    [anon_sym_never] = ACTIONS(1350),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1835] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4104),
    [sym_comment] = STATE(1835),
    [sym_formal_parameters] = STATE(7432),
    [sym_nested_type_identifier] = STATE(3989),
    [sym__type] = STATE(4409),
    [sym_constructor_type] = STATE(4101),
    [sym__primary_type] = STATE(4067),
    [sym_template_literal_type] = STATE(4110),
    [sym_infer_type] = STATE(4101),
    [sym_conditional_type] = STATE(4110),
    [sym_generic_type] = STATE(4110),
    [sym_type_query] = STATE(4110),
    [sym_index_type_query] = STATE(4110),
    [sym_lookup_type] = STATE(4110),
    [sym_literal_type] = STATE(4110),
    [sym__number] = STATE(4068),
    [sym_existential_type] = STATE(4110),
    [sym_flow_maybe_type] = STATE(4110),
    [sym_parenthesized_type] = STATE(4110),
    [sym_predefined_type] = STATE(4110),
    [sym_object_type] = STATE(4110),
    [sym_type_parameters] = STATE(7009),
    [sym_array_type] = STATE(4110),
    [sym_tuple_type] = STATE(4110),
    [sym_readonly_type] = STATE(4101),
    [sym_union_type] = STATE(4110),
    [sym_intersection_type] = STATE(4110),
    [sym_function_type] = STATE(4101),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_typeof] = ACTIONS(1914),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1928),
    [sym_number] = ACTIONS(1930),
    [sym_this] = ACTIONS(1932),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [sym_null] = ACTIONS(1930),
    [sym_undefined] = ACTIONS(1930),
    [anon_sym_readonly] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_abstract] = ACTIONS(1342),
    [anon_sym_infer] = ACTIONS(1344),
    [anon_sym_keyof] = ACTIONS(1346),
    [anon_sym_unique] = ACTIONS(1348),
    [anon_sym_unknown] = ACTIONS(1350),
    [anon_sym_never] = ACTIONS(1350),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1836] = {
    [sym_nested_identifier] = STATE(7241),
    [sym_string] = STATE(4402),
    [sym_comment] = STATE(1836),
    [sym_formal_parameters] = STATE(7406),
    [sym_nested_type_identifier] = STATE(4091),
    [sym__type] = STATE(4385),
    [sym_constructor_type] = STATE(4335),
    [sym__primary_type] = STATE(4314),
    [sym_template_literal_type] = STATE(4399),
    [sym_infer_type] = STATE(4335),
    [sym_conditional_type] = STATE(4399),
    [sym_generic_type] = STATE(4399),
    [sym_type_query] = STATE(4399),
    [sym_index_type_query] = STATE(4399),
    [sym_lookup_type] = STATE(4399),
    [sym_literal_type] = STATE(4399),
    [sym__number] = STATE(4306),
    [sym_existential_type] = STATE(4399),
    [sym_flow_maybe_type] = STATE(4399),
    [sym_parenthesized_type] = STATE(4399),
    [sym_predefined_type] = STATE(4399),
    [sym_object_type] = STATE(4399),
    [sym_type_parameters] = STATE(6901),
    [sym_array_type] = STATE(4399),
    [sym_tuple_type] = STATE(4399),
    [sym_readonly_type] = STATE(4335),
    [sym_union_type] = STATE(4399),
    [sym_intersection_type] = STATE(4399),
    [sym_function_type] = STATE(4335),
    [sym_identifier] = ACTIONS(3998),
    [anon_sym_STAR] = ACTIONS(3600),
    [anon_sym_LBRACE] = ACTIONS(3602),
    [anon_sym_typeof] = ACTIONS(3604),
    [anon_sym_const] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(3608),
    [anon_sym_LBRACK] = ACTIONS(3610),
    [anon_sym_new] = ACTIONS(3612),
    [anon_sym_AMP] = ACTIONS(3614),
    [anon_sym_PIPE] = ACTIONS(3616),
    [anon_sym_PLUS] = ACTIONS(3618),
    [anon_sym_DASH] = ACTIONS(3618),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3620),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [anon_sym_SQUOTE] = ACTIONS(3624),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3628),
    [sym_this] = ACTIONS(4000),
    [sym_true] = ACTIONS(3628),
    [sym_false] = ACTIONS(3628),
    [sym_null] = ACTIONS(3628),
    [sym_undefined] = ACTIONS(3628),
    [anon_sym_readonly] = ACTIONS(3632),
    [anon_sym_QMARK] = ACTIONS(3634),
    [anon_sym_any] = ACTIONS(3620),
    [anon_sym_number] = ACTIONS(3620),
    [anon_sym_boolean] = ACTIONS(3620),
    [anon_sym_string] = ACTIONS(3620),
    [anon_sym_symbol] = ACTIONS(3620),
    [anon_sym_object] = ACTIONS(3620),
    [anon_sym_abstract] = ACTIONS(3636),
    [anon_sym_infer] = ACTIONS(3640),
    [anon_sym_keyof] = ACTIONS(3642),
    [anon_sym_unique] = ACTIONS(3644),
    [anon_sym_unknown] = ACTIONS(3620),
    [anon_sym_never] = ACTIONS(3620),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3602),
    [sym_html_comment] = ACTIONS(5),
  },
  [1837] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4104),
    [sym_comment] = STATE(1837),
    [sym_formal_parameters] = STATE(7432),
    [sym_nested_type_identifier] = STATE(3989),
    [sym__type] = STATE(5494),
    [sym_constructor_type] = STATE(4101),
    [sym__primary_type] = STATE(4067),
    [sym_template_literal_type] = STATE(4110),
    [sym_infer_type] = STATE(4101),
    [sym_conditional_type] = STATE(4110),
    [sym_generic_type] = STATE(4110),
    [sym_type_query] = STATE(4110),
    [sym_index_type_query] = STATE(4110),
    [sym_lookup_type] = STATE(4110),
    [sym_literal_type] = STATE(4110),
    [sym__number] = STATE(4068),
    [sym_existential_type] = STATE(4110),
    [sym_flow_maybe_type] = STATE(4110),
    [sym_parenthesized_type] = STATE(4110),
    [sym_predefined_type] = STATE(4110),
    [sym_object_type] = STATE(4110),
    [sym_type_parameters] = STATE(7009),
    [sym_array_type] = STATE(4110),
    [sym_tuple_type] = STATE(4110),
    [sym_readonly_type] = STATE(4101),
    [sym_union_type] = STATE(4110),
    [sym_intersection_type] = STATE(4110),
    [sym_function_type] = STATE(4101),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_typeof] = ACTIONS(1914),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1928),
    [sym_number] = ACTIONS(1930),
    [sym_this] = ACTIONS(1932),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [sym_null] = ACTIONS(1930),
    [sym_undefined] = ACTIONS(1930),
    [anon_sym_readonly] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_abstract] = ACTIONS(1342),
    [anon_sym_infer] = ACTIONS(1344),
    [anon_sym_keyof] = ACTIONS(1346),
    [anon_sym_unique] = ACTIONS(1348),
    [anon_sym_unknown] = ACTIONS(1350),
    [anon_sym_never] = ACTIONS(1350),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1838] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1838),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(5697),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1839] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1839),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(5642),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1840] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4104),
    [sym_comment] = STATE(1840),
    [sym_formal_parameters] = STATE(7432),
    [sym_nested_type_identifier] = STATE(3989),
    [sym__type] = STATE(5449),
    [sym_constructor_type] = STATE(4101),
    [sym__primary_type] = STATE(4067),
    [sym_template_literal_type] = STATE(4110),
    [sym_infer_type] = STATE(4101),
    [sym_conditional_type] = STATE(4110),
    [sym_generic_type] = STATE(4110),
    [sym_type_query] = STATE(4110),
    [sym_index_type_query] = STATE(4110),
    [sym_lookup_type] = STATE(4110),
    [sym_literal_type] = STATE(4110),
    [sym__number] = STATE(4068),
    [sym_existential_type] = STATE(4110),
    [sym_flow_maybe_type] = STATE(4110),
    [sym_parenthesized_type] = STATE(4110),
    [sym_predefined_type] = STATE(4110),
    [sym_object_type] = STATE(4110),
    [sym_type_parameters] = STATE(7009),
    [sym_array_type] = STATE(4110),
    [sym_tuple_type] = STATE(4110),
    [sym_readonly_type] = STATE(4101),
    [sym_union_type] = STATE(4110),
    [sym_intersection_type] = STATE(4110),
    [sym_function_type] = STATE(4101),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_typeof] = ACTIONS(1914),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1928),
    [sym_number] = ACTIONS(1930),
    [sym_this] = ACTIONS(1932),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [sym_null] = ACTIONS(1930),
    [sym_undefined] = ACTIONS(1930),
    [anon_sym_readonly] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_abstract] = ACTIONS(1342),
    [anon_sym_infer] = ACTIONS(1344),
    [anon_sym_keyof] = ACTIONS(1346),
    [anon_sym_unique] = ACTIONS(1348),
    [anon_sym_unknown] = ACTIONS(1350),
    [anon_sym_never] = ACTIONS(1350),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1841] = {
    [sym_nested_identifier] = STATE(7127),
    [sym_string] = STATE(2484),
    [sym_comment] = STATE(1841),
    [sym_formal_parameters] = STATE(7143),
    [sym_nested_type_identifier] = STATE(2329),
    [sym__type] = STATE(2381),
    [sym_constructor_type] = STATE(2481),
    [sym__primary_type] = STATE(2477),
    [sym_template_literal_type] = STATE(2485),
    [sym_infer_type] = STATE(2481),
    [sym_conditional_type] = STATE(2485),
    [sym_generic_type] = STATE(2485),
    [sym_type_query] = STATE(2485),
    [sym_index_type_query] = STATE(2485),
    [sym_lookup_type] = STATE(2485),
    [sym_literal_type] = STATE(2485),
    [sym__number] = STATE(2476),
    [sym_existential_type] = STATE(2485),
    [sym_flow_maybe_type] = STATE(2485),
    [sym_parenthesized_type] = STATE(2485),
    [sym_predefined_type] = STATE(2485),
    [sym_object_type] = STATE(2485),
    [sym_type_parameters] = STATE(6983),
    [sym_array_type] = STATE(2485),
    [sym_tuple_type] = STATE(2485),
    [sym_readonly_type] = STATE(2481),
    [sym_union_type] = STATE(2485),
    [sym_intersection_type] = STATE(2485),
    [sym_function_type] = STATE(2481),
    [sym_identifier] = ACTIONS(4006),
    [anon_sym_STAR] = ACTIONS(3788),
    [anon_sym_LBRACE] = ACTIONS(3790),
    [anon_sym_typeof] = ACTIONS(3792),
    [anon_sym_const] = ACTIONS(3794),
    [anon_sym_LPAREN] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3798),
    [anon_sym_new] = ACTIONS(3800),
    [anon_sym_AMP] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_PLUS] = ACTIONS(3806),
    [anon_sym_DASH] = ACTIONS(3806),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3808),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3810),
    [sym_number] = ACTIONS(3812),
    [sym_this] = ACTIONS(4008),
    [sym_true] = ACTIONS(3812),
    [sym_false] = ACTIONS(3812),
    [sym_null] = ACTIONS(3812),
    [sym_undefined] = ACTIONS(3812),
    [anon_sym_readonly] = ACTIONS(3816),
    [anon_sym_QMARK] = ACTIONS(3818),
    [anon_sym_any] = ACTIONS(3808),
    [anon_sym_number] = ACTIONS(3808),
    [anon_sym_boolean] = ACTIONS(3808),
    [anon_sym_string] = ACTIONS(3808),
    [anon_sym_symbol] = ACTIONS(3808),
    [anon_sym_object] = ACTIONS(3808),
    [anon_sym_abstract] = ACTIONS(3820),
    [anon_sym_infer] = ACTIONS(3824),
    [anon_sym_keyof] = ACTIONS(3826),
    [anon_sym_unique] = ACTIONS(3828),
    [anon_sym_unknown] = ACTIONS(3808),
    [anon_sym_never] = ACTIONS(3808),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3790),
    [sym_html_comment] = ACTIONS(5),
  },
  [1842] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4104),
    [sym_comment] = STATE(1842),
    [sym_formal_parameters] = STATE(7432),
    [sym_nested_type_identifier] = STATE(3989),
    [sym__type] = STATE(5006),
    [sym_constructor_type] = STATE(4101),
    [sym__primary_type] = STATE(4067),
    [sym_template_literal_type] = STATE(4110),
    [sym_infer_type] = STATE(4101),
    [sym_conditional_type] = STATE(4110),
    [sym_generic_type] = STATE(4110),
    [sym_type_query] = STATE(4110),
    [sym_index_type_query] = STATE(4110),
    [sym_lookup_type] = STATE(4110),
    [sym_literal_type] = STATE(4110),
    [sym__number] = STATE(4068),
    [sym_existential_type] = STATE(4110),
    [sym_flow_maybe_type] = STATE(4110),
    [sym_parenthesized_type] = STATE(4110),
    [sym_predefined_type] = STATE(4110),
    [sym_object_type] = STATE(4110),
    [sym_type_parameters] = STATE(7009),
    [sym_array_type] = STATE(4110),
    [sym_tuple_type] = STATE(4110),
    [sym_readonly_type] = STATE(4101),
    [sym_union_type] = STATE(4110),
    [sym_intersection_type] = STATE(4110),
    [sym_function_type] = STATE(4101),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_typeof] = ACTIONS(1914),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1928),
    [sym_number] = ACTIONS(1930),
    [sym_this] = ACTIONS(1932),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [sym_null] = ACTIONS(1930),
    [sym_undefined] = ACTIONS(1930),
    [anon_sym_readonly] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_abstract] = ACTIONS(1342),
    [anon_sym_infer] = ACTIONS(1344),
    [anon_sym_keyof] = ACTIONS(1346),
    [anon_sym_unique] = ACTIONS(1348),
    [anon_sym_unknown] = ACTIONS(1350),
    [anon_sym_never] = ACTIONS(1350),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1843] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4104),
    [sym_comment] = STATE(1843),
    [sym_formal_parameters] = STATE(7432),
    [sym_nested_type_identifier] = STATE(3989),
    [sym__type] = STATE(5377),
    [sym_constructor_type] = STATE(4101),
    [sym__primary_type] = STATE(4067),
    [sym_template_literal_type] = STATE(4110),
    [sym_infer_type] = STATE(4101),
    [sym_conditional_type] = STATE(4110),
    [sym_generic_type] = STATE(4110),
    [sym_type_query] = STATE(4110),
    [sym_index_type_query] = STATE(4110),
    [sym_lookup_type] = STATE(4110),
    [sym_literal_type] = STATE(4110),
    [sym__number] = STATE(4068),
    [sym_existential_type] = STATE(4110),
    [sym_flow_maybe_type] = STATE(4110),
    [sym_parenthesized_type] = STATE(4110),
    [sym_predefined_type] = STATE(4110),
    [sym_object_type] = STATE(4110),
    [sym_type_parameters] = STATE(7009),
    [sym_array_type] = STATE(4110),
    [sym_tuple_type] = STATE(4110),
    [sym_readonly_type] = STATE(4101),
    [sym_union_type] = STATE(4110),
    [sym_intersection_type] = STATE(4110),
    [sym_function_type] = STATE(4101),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_typeof] = ACTIONS(1914),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1928),
    [sym_number] = ACTIONS(1930),
    [sym_this] = ACTIONS(1932),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [sym_null] = ACTIONS(1930),
    [sym_undefined] = ACTIONS(1930),
    [anon_sym_readonly] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_abstract] = ACTIONS(1342),
    [anon_sym_infer] = ACTIONS(1344),
    [anon_sym_keyof] = ACTIONS(1346),
    [anon_sym_unique] = ACTIONS(1348),
    [anon_sym_unknown] = ACTIONS(1350),
    [anon_sym_never] = ACTIONS(1350),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1844] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1844),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(5511),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1845] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1845),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(3794),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1846] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4104),
    [sym_comment] = STATE(1846),
    [sym_formal_parameters] = STATE(7432),
    [sym_nested_type_identifier] = STATE(3989),
    [sym__type] = STATE(5076),
    [sym_constructor_type] = STATE(4101),
    [sym__primary_type] = STATE(4067),
    [sym_template_literal_type] = STATE(4110),
    [sym_infer_type] = STATE(4101),
    [sym_conditional_type] = STATE(4110),
    [sym_generic_type] = STATE(4110),
    [sym_type_query] = STATE(4110),
    [sym_index_type_query] = STATE(4110),
    [sym_lookup_type] = STATE(4110),
    [sym_literal_type] = STATE(4110),
    [sym__number] = STATE(4068),
    [sym_existential_type] = STATE(4110),
    [sym_flow_maybe_type] = STATE(4110),
    [sym_parenthesized_type] = STATE(4110),
    [sym_predefined_type] = STATE(4110),
    [sym_object_type] = STATE(4110),
    [sym_type_parameters] = STATE(7009),
    [sym_array_type] = STATE(4110),
    [sym_tuple_type] = STATE(4110),
    [sym_readonly_type] = STATE(4101),
    [sym_union_type] = STATE(4110),
    [sym_intersection_type] = STATE(4110),
    [sym_function_type] = STATE(4101),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_typeof] = ACTIONS(1914),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1928),
    [sym_number] = ACTIONS(1930),
    [sym_this] = ACTIONS(1932),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [sym_null] = ACTIONS(1930),
    [sym_undefined] = ACTIONS(1930),
    [anon_sym_readonly] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_abstract] = ACTIONS(1342),
    [anon_sym_infer] = ACTIONS(1344),
    [anon_sym_keyof] = ACTIONS(1346),
    [anon_sym_unique] = ACTIONS(1348),
    [anon_sym_unknown] = ACTIONS(1350),
    [anon_sym_never] = ACTIONS(1350),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1847] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1847),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(4717),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1848] = {
    [sym_nested_identifier] = STATE(7127),
    [sym_string] = STATE(2484),
    [sym_comment] = STATE(1848),
    [sym_formal_parameters] = STATE(7143),
    [sym_nested_type_identifier] = STATE(2329),
    [sym__type] = STATE(2431),
    [sym_constructor_type] = STATE(2481),
    [sym__primary_type] = STATE(2477),
    [sym_template_literal_type] = STATE(2485),
    [sym_infer_type] = STATE(2481),
    [sym_conditional_type] = STATE(2485),
    [sym_generic_type] = STATE(2485),
    [sym_type_query] = STATE(2485),
    [sym_index_type_query] = STATE(2485),
    [sym_lookup_type] = STATE(2485),
    [sym_literal_type] = STATE(2485),
    [sym__number] = STATE(2476),
    [sym_existential_type] = STATE(2485),
    [sym_flow_maybe_type] = STATE(2485),
    [sym_parenthesized_type] = STATE(2485),
    [sym_predefined_type] = STATE(2485),
    [sym_object_type] = STATE(2485),
    [sym_type_parameters] = STATE(6983),
    [sym_array_type] = STATE(2485),
    [sym_tuple_type] = STATE(2485),
    [sym_readonly_type] = STATE(2481),
    [sym_union_type] = STATE(2485),
    [sym_intersection_type] = STATE(2485),
    [sym_function_type] = STATE(2481),
    [sym_identifier] = ACTIONS(4006),
    [anon_sym_STAR] = ACTIONS(3788),
    [anon_sym_LBRACE] = ACTIONS(3790),
    [anon_sym_typeof] = ACTIONS(3792),
    [anon_sym_const] = ACTIONS(3794),
    [anon_sym_LPAREN] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3798),
    [anon_sym_new] = ACTIONS(3800),
    [anon_sym_AMP] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_PLUS] = ACTIONS(3806),
    [anon_sym_DASH] = ACTIONS(3806),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3808),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3810),
    [sym_number] = ACTIONS(3812),
    [sym_this] = ACTIONS(4008),
    [sym_true] = ACTIONS(3812),
    [sym_false] = ACTIONS(3812),
    [sym_null] = ACTIONS(3812),
    [sym_undefined] = ACTIONS(3812),
    [anon_sym_readonly] = ACTIONS(3816),
    [anon_sym_QMARK] = ACTIONS(3818),
    [anon_sym_any] = ACTIONS(3808),
    [anon_sym_number] = ACTIONS(3808),
    [anon_sym_boolean] = ACTIONS(3808),
    [anon_sym_string] = ACTIONS(3808),
    [anon_sym_symbol] = ACTIONS(3808),
    [anon_sym_object] = ACTIONS(3808),
    [anon_sym_abstract] = ACTIONS(3820),
    [anon_sym_infer] = ACTIONS(3824),
    [anon_sym_keyof] = ACTIONS(3826),
    [anon_sym_unique] = ACTIONS(3828),
    [anon_sym_unknown] = ACTIONS(3808),
    [anon_sym_never] = ACTIONS(3808),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3790),
    [sym_html_comment] = ACTIONS(5),
  },
  [1849] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1849),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(3831),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1850] = {
    [sym_nested_identifier] = STATE(7241),
    [sym_string] = STATE(4402),
    [sym_comment] = STATE(1850),
    [sym_formal_parameters] = STATE(7406),
    [sym_nested_type_identifier] = STATE(4091),
    [sym__type] = STATE(4181),
    [sym_constructor_type] = STATE(4335),
    [sym__primary_type] = STATE(4314),
    [sym_template_literal_type] = STATE(4399),
    [sym_infer_type] = STATE(4335),
    [sym_conditional_type] = STATE(4399),
    [sym_generic_type] = STATE(4399),
    [sym_type_query] = STATE(4399),
    [sym_index_type_query] = STATE(4399),
    [sym_lookup_type] = STATE(4399),
    [sym_literal_type] = STATE(4399),
    [sym__number] = STATE(4306),
    [sym_existential_type] = STATE(4399),
    [sym_flow_maybe_type] = STATE(4399),
    [sym_parenthesized_type] = STATE(4399),
    [sym_predefined_type] = STATE(4399),
    [sym_object_type] = STATE(4399),
    [sym_type_parameters] = STATE(6901),
    [sym_array_type] = STATE(4399),
    [sym_tuple_type] = STATE(4399),
    [sym_readonly_type] = STATE(4335),
    [sym_union_type] = STATE(4399),
    [sym_intersection_type] = STATE(4399),
    [sym_function_type] = STATE(4335),
    [sym_identifier] = ACTIONS(3998),
    [anon_sym_STAR] = ACTIONS(3600),
    [anon_sym_LBRACE] = ACTIONS(3602),
    [anon_sym_typeof] = ACTIONS(3604),
    [anon_sym_const] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(3608),
    [anon_sym_LBRACK] = ACTIONS(3610),
    [anon_sym_new] = ACTIONS(3612),
    [anon_sym_AMP] = ACTIONS(3614),
    [anon_sym_PIPE] = ACTIONS(3616),
    [anon_sym_PLUS] = ACTIONS(3618),
    [anon_sym_DASH] = ACTIONS(3618),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3620),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [anon_sym_SQUOTE] = ACTIONS(3624),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3628),
    [sym_this] = ACTIONS(4000),
    [sym_true] = ACTIONS(3628),
    [sym_false] = ACTIONS(3628),
    [sym_null] = ACTIONS(3628),
    [sym_undefined] = ACTIONS(3628),
    [anon_sym_readonly] = ACTIONS(3632),
    [anon_sym_QMARK] = ACTIONS(3634),
    [anon_sym_any] = ACTIONS(3620),
    [anon_sym_number] = ACTIONS(3620),
    [anon_sym_boolean] = ACTIONS(3620),
    [anon_sym_string] = ACTIONS(3620),
    [anon_sym_symbol] = ACTIONS(3620),
    [anon_sym_object] = ACTIONS(3620),
    [anon_sym_abstract] = ACTIONS(3636),
    [anon_sym_infer] = ACTIONS(3640),
    [anon_sym_keyof] = ACTIONS(3642),
    [anon_sym_unique] = ACTIONS(3644),
    [anon_sym_unknown] = ACTIONS(3620),
    [anon_sym_never] = ACTIONS(3620),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3602),
    [sym_html_comment] = ACTIONS(5),
  },
  [1851] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4104),
    [sym_comment] = STATE(1851),
    [sym_formal_parameters] = STATE(7432),
    [sym_nested_type_identifier] = STATE(3989),
    [sym__type] = STATE(4095),
    [sym_constructor_type] = STATE(4101),
    [sym__primary_type] = STATE(4067),
    [sym_template_literal_type] = STATE(4110),
    [sym_infer_type] = STATE(4101),
    [sym_conditional_type] = STATE(4110),
    [sym_generic_type] = STATE(4110),
    [sym_type_query] = STATE(4110),
    [sym_index_type_query] = STATE(4110),
    [sym_lookup_type] = STATE(4110),
    [sym_literal_type] = STATE(4110),
    [sym__number] = STATE(4068),
    [sym_existential_type] = STATE(4110),
    [sym_flow_maybe_type] = STATE(4110),
    [sym_parenthesized_type] = STATE(4110),
    [sym_predefined_type] = STATE(4110),
    [sym_object_type] = STATE(4110),
    [sym_type_parameters] = STATE(7009),
    [sym_array_type] = STATE(4110),
    [sym_tuple_type] = STATE(4110),
    [sym_readonly_type] = STATE(4101),
    [sym_union_type] = STATE(4110),
    [sym_intersection_type] = STATE(4110),
    [sym_function_type] = STATE(4101),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_typeof] = ACTIONS(1914),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1928),
    [sym_number] = ACTIONS(1930),
    [sym_this] = ACTIONS(1932),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [sym_null] = ACTIONS(1930),
    [sym_undefined] = ACTIONS(1930),
    [anon_sym_readonly] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_abstract] = ACTIONS(1342),
    [anon_sym_infer] = ACTIONS(1344),
    [anon_sym_keyof] = ACTIONS(1346),
    [anon_sym_unique] = ACTIONS(1348),
    [anon_sym_unknown] = ACTIONS(1350),
    [anon_sym_never] = ACTIONS(1350),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1852] = {
    [sym_nested_identifier] = STATE(7127),
    [sym_string] = STATE(2484),
    [sym_comment] = STATE(1852),
    [sym_formal_parameters] = STATE(7143),
    [sym_nested_type_identifier] = STATE(2329),
    [sym__type] = STATE(2428),
    [sym_constructor_type] = STATE(2481),
    [sym__primary_type] = STATE(2477),
    [sym_template_literal_type] = STATE(2485),
    [sym_infer_type] = STATE(2481),
    [sym_conditional_type] = STATE(2485),
    [sym_generic_type] = STATE(2485),
    [sym_type_query] = STATE(2485),
    [sym_index_type_query] = STATE(2485),
    [sym_lookup_type] = STATE(2485),
    [sym_literal_type] = STATE(2485),
    [sym__number] = STATE(2476),
    [sym_existential_type] = STATE(2485),
    [sym_flow_maybe_type] = STATE(2485),
    [sym_parenthesized_type] = STATE(2485),
    [sym_predefined_type] = STATE(2485),
    [sym_object_type] = STATE(2485),
    [sym_type_parameters] = STATE(6983),
    [sym_array_type] = STATE(2485),
    [sym_tuple_type] = STATE(2485),
    [sym_readonly_type] = STATE(2481),
    [sym_union_type] = STATE(2485),
    [sym_intersection_type] = STATE(2485),
    [sym_function_type] = STATE(2481),
    [sym_identifier] = ACTIONS(4006),
    [anon_sym_STAR] = ACTIONS(3788),
    [anon_sym_LBRACE] = ACTIONS(3790),
    [anon_sym_typeof] = ACTIONS(3792),
    [anon_sym_const] = ACTIONS(3794),
    [anon_sym_LPAREN] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3798),
    [anon_sym_new] = ACTIONS(3800),
    [anon_sym_AMP] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_PLUS] = ACTIONS(3806),
    [anon_sym_DASH] = ACTIONS(3806),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3808),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3810),
    [sym_number] = ACTIONS(3812),
    [sym_this] = ACTIONS(4008),
    [sym_true] = ACTIONS(3812),
    [sym_false] = ACTIONS(3812),
    [sym_null] = ACTIONS(3812),
    [sym_undefined] = ACTIONS(3812),
    [anon_sym_readonly] = ACTIONS(3816),
    [anon_sym_QMARK] = ACTIONS(3818),
    [anon_sym_any] = ACTIONS(3808),
    [anon_sym_number] = ACTIONS(3808),
    [anon_sym_boolean] = ACTIONS(3808),
    [anon_sym_string] = ACTIONS(3808),
    [anon_sym_symbol] = ACTIONS(3808),
    [anon_sym_object] = ACTIONS(3808),
    [anon_sym_abstract] = ACTIONS(3820),
    [anon_sym_infer] = ACTIONS(3824),
    [anon_sym_keyof] = ACTIONS(3826),
    [anon_sym_unique] = ACTIONS(3828),
    [anon_sym_unknown] = ACTIONS(3808),
    [anon_sym_never] = ACTIONS(3808),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3790),
    [sym_html_comment] = ACTIONS(5),
  },
  [1853] = {
    [sym_nested_identifier] = STATE(7269),
    [sym_string] = STATE(2907),
    [sym_comment] = STATE(1853),
    [sym_formal_parameters] = STATE(7293),
    [sym_nested_type_identifier] = STATE(2737),
    [sym__type] = STATE(2882),
    [sym_constructor_type] = STATE(2914),
    [sym__primary_type] = STATE(2915),
    [sym_template_literal_type] = STATE(2903),
    [sym_infer_type] = STATE(2914),
    [sym_conditional_type] = STATE(2903),
    [sym_generic_type] = STATE(2903),
    [sym_type_query] = STATE(2903),
    [sym_index_type_query] = STATE(2903),
    [sym_lookup_type] = STATE(2903),
    [sym_literal_type] = STATE(2903),
    [sym__number] = STATE(2916),
    [sym_existential_type] = STATE(2903),
    [sym_flow_maybe_type] = STATE(2903),
    [sym_parenthesized_type] = STATE(2903),
    [sym_predefined_type] = STATE(2903),
    [sym_object_type] = STATE(2903),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(2903),
    [sym_tuple_type] = STATE(2903),
    [sym_readonly_type] = STATE(2914),
    [sym_union_type] = STATE(2903),
    [sym_intersection_type] = STATE(2903),
    [sym_function_type] = STATE(2914),
    [sym_identifier] = ACTIONS(4002),
    [anon_sym_STAR] = ACTIONS(3744),
    [anon_sym_LBRACE] = ACTIONS(3746),
    [anon_sym_typeof] = ACTIONS(3748),
    [anon_sym_const] = ACTIONS(4010),
    [anon_sym_LPAREN] = ACTIONS(3752),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_new] = ACTIONS(3756),
    [anon_sym_AMP] = ACTIONS(3758),
    [anon_sym_PIPE] = ACTIONS(3760),
    [anon_sym_PLUS] = ACTIONS(3762),
    [anon_sym_DASH] = ACTIONS(3762),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3764),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3766),
    [sym_number] = ACTIONS(3768),
    [sym_this] = ACTIONS(4004),
    [sym_true] = ACTIONS(3768),
    [sym_false] = ACTIONS(3768),
    [sym_null] = ACTIONS(3768),
    [sym_undefined] = ACTIONS(3768),
    [anon_sym_readonly] = ACTIONS(3772),
    [anon_sym_QMARK] = ACTIONS(3774),
    [anon_sym_any] = ACTIONS(3764),
    [anon_sym_number] = ACTIONS(3764),
    [anon_sym_boolean] = ACTIONS(3764),
    [anon_sym_string] = ACTIONS(3764),
    [anon_sym_symbol] = ACTIONS(3764),
    [anon_sym_object] = ACTIONS(3764),
    [anon_sym_abstract] = ACTIONS(3776),
    [anon_sym_infer] = ACTIONS(3780),
    [anon_sym_keyof] = ACTIONS(3782),
    [anon_sym_unique] = ACTIONS(3784),
    [anon_sym_unknown] = ACTIONS(3764),
    [anon_sym_never] = ACTIONS(3764),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3746),
    [sym_html_comment] = ACTIONS(5),
  },
  [1854] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1854),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(5661),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1855] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4104),
    [sym_comment] = STATE(1855),
    [sym_formal_parameters] = STATE(7432),
    [sym_nested_type_identifier] = STATE(3989),
    [sym__type] = STATE(4093),
    [sym_constructor_type] = STATE(4101),
    [sym__primary_type] = STATE(4067),
    [sym_template_literal_type] = STATE(4110),
    [sym_infer_type] = STATE(4101),
    [sym_conditional_type] = STATE(4110),
    [sym_generic_type] = STATE(4110),
    [sym_type_query] = STATE(4110),
    [sym_index_type_query] = STATE(4110),
    [sym_lookup_type] = STATE(4110),
    [sym_literal_type] = STATE(4110),
    [sym__number] = STATE(4068),
    [sym_existential_type] = STATE(4110),
    [sym_flow_maybe_type] = STATE(4110),
    [sym_parenthesized_type] = STATE(4110),
    [sym_predefined_type] = STATE(4110),
    [sym_object_type] = STATE(4110),
    [sym_type_parameters] = STATE(7009),
    [sym_array_type] = STATE(4110),
    [sym_tuple_type] = STATE(4110),
    [sym_readonly_type] = STATE(4101),
    [sym_union_type] = STATE(4110),
    [sym_intersection_type] = STATE(4110),
    [sym_function_type] = STATE(4101),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_typeof] = ACTIONS(1914),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1928),
    [sym_number] = ACTIONS(1930),
    [sym_this] = ACTIONS(1932),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [sym_null] = ACTIONS(1930),
    [sym_undefined] = ACTIONS(1930),
    [anon_sym_readonly] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_abstract] = ACTIONS(1342),
    [anon_sym_infer] = ACTIONS(1344),
    [anon_sym_keyof] = ACTIONS(1346),
    [anon_sym_unique] = ACTIONS(1348),
    [anon_sym_unknown] = ACTIONS(1350),
    [anon_sym_never] = ACTIONS(1350),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1856] = {
    [sym_nested_identifier] = STATE(7241),
    [sym_string] = STATE(4402),
    [sym_comment] = STATE(1856),
    [sym_formal_parameters] = STATE(7406),
    [sym_nested_type_identifier] = STATE(4091),
    [sym__type] = STATE(4387),
    [sym_constructor_type] = STATE(4335),
    [sym__primary_type] = STATE(4314),
    [sym_template_literal_type] = STATE(4399),
    [sym_infer_type] = STATE(4335),
    [sym_conditional_type] = STATE(4399),
    [sym_generic_type] = STATE(4399),
    [sym_type_query] = STATE(4399),
    [sym_index_type_query] = STATE(4399),
    [sym_lookup_type] = STATE(4399),
    [sym_literal_type] = STATE(4399),
    [sym__number] = STATE(4306),
    [sym_existential_type] = STATE(4399),
    [sym_flow_maybe_type] = STATE(4399),
    [sym_parenthesized_type] = STATE(4399),
    [sym_predefined_type] = STATE(4399),
    [sym_object_type] = STATE(4399),
    [sym_type_parameters] = STATE(6901),
    [sym_array_type] = STATE(4399),
    [sym_tuple_type] = STATE(4399),
    [sym_readonly_type] = STATE(4335),
    [sym_union_type] = STATE(4399),
    [sym_intersection_type] = STATE(4399),
    [sym_function_type] = STATE(4335),
    [sym_identifier] = ACTIONS(3998),
    [anon_sym_STAR] = ACTIONS(3600),
    [anon_sym_LBRACE] = ACTIONS(3602),
    [anon_sym_typeof] = ACTIONS(3604),
    [anon_sym_const] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(3608),
    [anon_sym_LBRACK] = ACTIONS(3610),
    [anon_sym_new] = ACTIONS(3612),
    [anon_sym_AMP] = ACTIONS(3614),
    [anon_sym_PIPE] = ACTIONS(3616),
    [anon_sym_PLUS] = ACTIONS(3618),
    [anon_sym_DASH] = ACTIONS(3618),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3620),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [anon_sym_SQUOTE] = ACTIONS(3624),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3628),
    [sym_this] = ACTIONS(4000),
    [sym_true] = ACTIONS(3628),
    [sym_false] = ACTIONS(3628),
    [sym_null] = ACTIONS(3628),
    [sym_undefined] = ACTIONS(3628),
    [anon_sym_readonly] = ACTIONS(3632),
    [anon_sym_QMARK] = ACTIONS(3634),
    [anon_sym_any] = ACTIONS(3620),
    [anon_sym_number] = ACTIONS(3620),
    [anon_sym_boolean] = ACTIONS(3620),
    [anon_sym_string] = ACTIONS(3620),
    [anon_sym_symbol] = ACTIONS(3620),
    [anon_sym_object] = ACTIONS(3620),
    [anon_sym_abstract] = ACTIONS(3636),
    [anon_sym_infer] = ACTIONS(3640),
    [anon_sym_keyof] = ACTIONS(3642),
    [anon_sym_unique] = ACTIONS(3644),
    [anon_sym_unknown] = ACTIONS(3620),
    [anon_sym_never] = ACTIONS(3620),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3602),
    [sym_html_comment] = ACTIONS(5),
  },
  [1857] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1857),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(5705),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1858] = {
    [sym_nested_identifier] = STATE(7127),
    [sym_string] = STATE(2484),
    [sym_comment] = STATE(1858),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(2329),
    [sym__type] = STATE(6090),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(2420),
    [sym_template_literal_type] = STATE(2485),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(2485),
    [sym_generic_type] = STATE(2485),
    [sym_type_query] = STATE(2485),
    [sym_index_type_query] = STATE(2485),
    [sym_lookup_type] = STATE(2485),
    [sym_literal_type] = STATE(2485),
    [sym__number] = STATE(2476),
    [sym_existential_type] = STATE(2485),
    [sym_flow_maybe_type] = STATE(2485),
    [sym_parenthesized_type] = STATE(2485),
    [sym_predefined_type] = STATE(2485),
    [sym_object_type] = STATE(2485),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(2485),
    [sym_tuple_type] = STATE(2485),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(2485),
    [sym_intersection_type] = STATE(2485),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(4006),
    [anon_sym_STAR] = ACTIONS(3788),
    [anon_sym_LBRACE] = ACTIONS(3790),
    [anon_sym_typeof] = ACTIONS(3792),
    [anon_sym_const] = ACTIONS(3794),
    [anon_sym_LPAREN] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3798),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_PLUS] = ACTIONS(3806),
    [anon_sym_DASH] = ACTIONS(3806),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3808),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3810),
    [sym_number] = ACTIONS(3812),
    [sym_this] = ACTIONS(4008),
    [sym_true] = ACTIONS(3812),
    [sym_false] = ACTIONS(3812),
    [sym_null] = ACTIONS(3812),
    [sym_undefined] = ACTIONS(3812),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(3818),
    [anon_sym_any] = ACTIONS(3808),
    [anon_sym_number] = ACTIONS(3808),
    [anon_sym_boolean] = ACTIONS(3808),
    [anon_sym_string] = ACTIONS(3808),
    [anon_sym_symbol] = ACTIONS(3808),
    [anon_sym_object] = ACTIONS(3808),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(3826),
    [anon_sym_unique] = ACTIONS(3828),
    [anon_sym_unknown] = ACTIONS(3808),
    [anon_sym_never] = ACTIONS(3808),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3790),
    [sym_html_comment] = ACTIONS(5),
  },
  [1859] = {
    [sym_nested_identifier] = STATE(7241),
    [sym_string] = STATE(4402),
    [sym_comment] = STATE(1859),
    [sym_formal_parameters] = STATE(7406),
    [sym_nested_type_identifier] = STATE(4091),
    [sym__type] = STATE(4230),
    [sym_constructor_type] = STATE(4335),
    [sym__primary_type] = STATE(4314),
    [sym_template_literal_type] = STATE(4399),
    [sym_infer_type] = STATE(4335),
    [sym_conditional_type] = STATE(4399),
    [sym_generic_type] = STATE(4399),
    [sym_type_query] = STATE(4399),
    [sym_index_type_query] = STATE(4399),
    [sym_lookup_type] = STATE(4399),
    [sym_literal_type] = STATE(4399),
    [sym__number] = STATE(4306),
    [sym_existential_type] = STATE(4399),
    [sym_flow_maybe_type] = STATE(4399),
    [sym_parenthesized_type] = STATE(4399),
    [sym_predefined_type] = STATE(4399),
    [sym_object_type] = STATE(4399),
    [sym_type_parameters] = STATE(6901),
    [sym_array_type] = STATE(4399),
    [sym_tuple_type] = STATE(4399),
    [sym_readonly_type] = STATE(4335),
    [sym_union_type] = STATE(4399),
    [sym_intersection_type] = STATE(4399),
    [sym_function_type] = STATE(4335),
    [sym_identifier] = ACTIONS(3998),
    [anon_sym_STAR] = ACTIONS(3600),
    [anon_sym_LBRACE] = ACTIONS(3602),
    [anon_sym_typeof] = ACTIONS(3604),
    [anon_sym_const] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(3608),
    [anon_sym_LBRACK] = ACTIONS(3610),
    [anon_sym_new] = ACTIONS(3612),
    [anon_sym_AMP] = ACTIONS(3614),
    [anon_sym_PIPE] = ACTIONS(3616),
    [anon_sym_PLUS] = ACTIONS(3618),
    [anon_sym_DASH] = ACTIONS(3618),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3620),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [anon_sym_SQUOTE] = ACTIONS(3624),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3628),
    [sym_this] = ACTIONS(4000),
    [sym_true] = ACTIONS(3628),
    [sym_false] = ACTIONS(3628),
    [sym_null] = ACTIONS(3628),
    [sym_undefined] = ACTIONS(3628),
    [anon_sym_readonly] = ACTIONS(3632),
    [anon_sym_QMARK] = ACTIONS(3634),
    [anon_sym_any] = ACTIONS(3620),
    [anon_sym_number] = ACTIONS(3620),
    [anon_sym_boolean] = ACTIONS(3620),
    [anon_sym_string] = ACTIONS(3620),
    [anon_sym_symbol] = ACTIONS(3620),
    [anon_sym_object] = ACTIONS(3620),
    [anon_sym_abstract] = ACTIONS(3636),
    [anon_sym_infer] = ACTIONS(3640),
    [anon_sym_keyof] = ACTIONS(3642),
    [anon_sym_unique] = ACTIONS(3644),
    [anon_sym_unknown] = ACTIONS(3620),
    [anon_sym_never] = ACTIONS(3620),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3602),
    [sym_html_comment] = ACTIONS(5),
  },
  [1860] = {
    [sym_nested_identifier] = STATE(7241),
    [sym_string] = STATE(4402),
    [sym_comment] = STATE(1860),
    [sym_formal_parameters] = STATE(7406),
    [sym_nested_type_identifier] = STATE(4091),
    [sym__type] = STATE(4308),
    [sym_constructor_type] = STATE(4335),
    [sym__primary_type] = STATE(4314),
    [sym_template_literal_type] = STATE(4399),
    [sym_infer_type] = STATE(4335),
    [sym_conditional_type] = STATE(4399),
    [sym_generic_type] = STATE(4399),
    [sym_type_query] = STATE(4399),
    [sym_index_type_query] = STATE(4399),
    [sym_lookup_type] = STATE(4399),
    [sym_literal_type] = STATE(4399),
    [sym__number] = STATE(4306),
    [sym_existential_type] = STATE(4399),
    [sym_flow_maybe_type] = STATE(4399),
    [sym_parenthesized_type] = STATE(4399),
    [sym_predefined_type] = STATE(4399),
    [sym_object_type] = STATE(4399),
    [sym_type_parameters] = STATE(6901),
    [sym_array_type] = STATE(4399),
    [sym_tuple_type] = STATE(4399),
    [sym_readonly_type] = STATE(4335),
    [sym_union_type] = STATE(4399),
    [sym_intersection_type] = STATE(4399),
    [sym_function_type] = STATE(4335),
    [sym_identifier] = ACTIONS(3998),
    [anon_sym_STAR] = ACTIONS(3600),
    [anon_sym_LBRACE] = ACTIONS(3602),
    [anon_sym_typeof] = ACTIONS(3604),
    [anon_sym_const] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(3608),
    [anon_sym_LBRACK] = ACTIONS(3610),
    [anon_sym_new] = ACTIONS(3612),
    [anon_sym_AMP] = ACTIONS(3614),
    [anon_sym_PIPE] = ACTIONS(3616),
    [anon_sym_PLUS] = ACTIONS(3618),
    [anon_sym_DASH] = ACTIONS(3618),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3620),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [anon_sym_SQUOTE] = ACTIONS(3624),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3628),
    [sym_this] = ACTIONS(4000),
    [sym_true] = ACTIONS(3628),
    [sym_false] = ACTIONS(3628),
    [sym_null] = ACTIONS(3628),
    [sym_undefined] = ACTIONS(3628),
    [anon_sym_readonly] = ACTIONS(3632),
    [anon_sym_QMARK] = ACTIONS(3634),
    [anon_sym_any] = ACTIONS(3620),
    [anon_sym_number] = ACTIONS(3620),
    [anon_sym_boolean] = ACTIONS(3620),
    [anon_sym_string] = ACTIONS(3620),
    [anon_sym_symbol] = ACTIONS(3620),
    [anon_sym_object] = ACTIONS(3620),
    [anon_sym_abstract] = ACTIONS(3636),
    [anon_sym_infer] = ACTIONS(3640),
    [anon_sym_keyof] = ACTIONS(3642),
    [anon_sym_unique] = ACTIONS(3644),
    [anon_sym_unknown] = ACTIONS(3620),
    [anon_sym_never] = ACTIONS(3620),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3602),
    [sym_html_comment] = ACTIONS(5),
  },
  [1861] = {
    [sym_nested_identifier] = STATE(7241),
    [sym_string] = STATE(4402),
    [sym_comment] = STATE(1861),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(4091),
    [sym__type] = STATE(6333),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(4374),
    [sym_template_literal_type] = STATE(4399),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(4399),
    [sym_generic_type] = STATE(4399),
    [sym_type_query] = STATE(4399),
    [sym_index_type_query] = STATE(4399),
    [sym_lookup_type] = STATE(4399),
    [sym_literal_type] = STATE(4399),
    [sym__number] = STATE(4306),
    [sym_existential_type] = STATE(4399),
    [sym_flow_maybe_type] = STATE(4399),
    [sym_parenthesized_type] = STATE(4399),
    [sym_predefined_type] = STATE(4399),
    [sym_object_type] = STATE(4399),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(4399),
    [sym_tuple_type] = STATE(4399),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(4399),
    [sym_intersection_type] = STATE(4399),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(3998),
    [anon_sym_STAR] = ACTIONS(3600),
    [anon_sym_LBRACE] = ACTIONS(3602),
    [anon_sym_typeof] = ACTIONS(3604),
    [anon_sym_const] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(3608),
    [anon_sym_LBRACK] = ACTIONS(3610),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(3614),
    [anon_sym_PIPE] = ACTIONS(3616),
    [anon_sym_PLUS] = ACTIONS(3618),
    [anon_sym_DASH] = ACTIONS(3618),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3620),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [anon_sym_SQUOTE] = ACTIONS(3624),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3628),
    [sym_this] = ACTIONS(4000),
    [sym_true] = ACTIONS(3628),
    [sym_false] = ACTIONS(3628),
    [sym_null] = ACTIONS(3628),
    [sym_undefined] = ACTIONS(3628),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(3634),
    [anon_sym_any] = ACTIONS(3620),
    [anon_sym_number] = ACTIONS(3620),
    [anon_sym_boolean] = ACTIONS(3620),
    [anon_sym_string] = ACTIONS(3620),
    [anon_sym_symbol] = ACTIONS(3620),
    [anon_sym_object] = ACTIONS(3620),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(3642),
    [anon_sym_unique] = ACTIONS(3644),
    [anon_sym_unknown] = ACTIONS(3620),
    [anon_sym_never] = ACTIONS(3620),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3602),
    [sym_html_comment] = ACTIONS(5),
  },
  [1862] = {
    [sym_nested_identifier] = STATE(7241),
    [sym_string] = STATE(4402),
    [sym_comment] = STATE(1862),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(4091),
    [sym__type] = STATE(6333),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(4377),
    [sym_template_literal_type] = STATE(4399),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(4399),
    [sym_generic_type] = STATE(4399),
    [sym_type_query] = STATE(4399),
    [sym_index_type_query] = STATE(4399),
    [sym_lookup_type] = STATE(4399),
    [sym_literal_type] = STATE(4399),
    [sym__number] = STATE(4306),
    [sym_existential_type] = STATE(4399),
    [sym_flow_maybe_type] = STATE(4399),
    [sym_parenthesized_type] = STATE(4399),
    [sym_predefined_type] = STATE(4399),
    [sym_object_type] = STATE(4399),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(4399),
    [sym_tuple_type] = STATE(4399),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(4399),
    [sym_intersection_type] = STATE(4399),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(3998),
    [anon_sym_STAR] = ACTIONS(3600),
    [anon_sym_LBRACE] = ACTIONS(3602),
    [anon_sym_typeof] = ACTIONS(3604),
    [anon_sym_const] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(3608),
    [anon_sym_LBRACK] = ACTIONS(3610),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(3614),
    [anon_sym_PIPE] = ACTIONS(3616),
    [anon_sym_PLUS] = ACTIONS(3618),
    [anon_sym_DASH] = ACTIONS(3618),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3620),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [anon_sym_SQUOTE] = ACTIONS(3624),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3628),
    [sym_this] = ACTIONS(4000),
    [sym_true] = ACTIONS(3628),
    [sym_false] = ACTIONS(3628),
    [sym_null] = ACTIONS(3628),
    [sym_undefined] = ACTIONS(3628),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(3634),
    [anon_sym_any] = ACTIONS(3620),
    [anon_sym_number] = ACTIONS(3620),
    [anon_sym_boolean] = ACTIONS(3620),
    [anon_sym_string] = ACTIONS(3620),
    [anon_sym_symbol] = ACTIONS(3620),
    [anon_sym_object] = ACTIONS(3620),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(3642),
    [anon_sym_unique] = ACTIONS(3644),
    [anon_sym_unknown] = ACTIONS(3620),
    [anon_sym_never] = ACTIONS(3620),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3602),
    [sym_html_comment] = ACTIONS(5),
  },
  [1863] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4104),
    [sym_comment] = STATE(1863),
    [sym_formal_parameters] = STATE(7432),
    [sym_nested_type_identifier] = STATE(3989),
    [sym__type] = STATE(4992),
    [sym_constructor_type] = STATE(4101),
    [sym__primary_type] = STATE(4067),
    [sym_template_literal_type] = STATE(4110),
    [sym_infer_type] = STATE(4101),
    [sym_conditional_type] = STATE(4110),
    [sym_generic_type] = STATE(4110),
    [sym_type_query] = STATE(4110),
    [sym_index_type_query] = STATE(4110),
    [sym_lookup_type] = STATE(4110),
    [sym_literal_type] = STATE(4110),
    [sym__number] = STATE(4068),
    [sym_existential_type] = STATE(4110),
    [sym_flow_maybe_type] = STATE(4110),
    [sym_parenthesized_type] = STATE(4110),
    [sym_predefined_type] = STATE(4110),
    [sym_object_type] = STATE(4110),
    [sym_type_parameters] = STATE(7009),
    [sym_array_type] = STATE(4110),
    [sym_tuple_type] = STATE(4110),
    [sym_readonly_type] = STATE(4101),
    [sym_union_type] = STATE(4110),
    [sym_intersection_type] = STATE(4110),
    [sym_function_type] = STATE(4101),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_typeof] = ACTIONS(1914),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1928),
    [sym_number] = ACTIONS(1930),
    [sym_this] = ACTIONS(1932),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [sym_null] = ACTIONS(1930),
    [sym_undefined] = ACTIONS(1930),
    [anon_sym_readonly] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_abstract] = ACTIONS(1342),
    [anon_sym_infer] = ACTIONS(1344),
    [anon_sym_keyof] = ACTIONS(1346),
    [anon_sym_unique] = ACTIONS(1348),
    [anon_sym_unknown] = ACTIONS(1350),
    [anon_sym_never] = ACTIONS(1350),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1864] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1864),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(5959),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3833),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1865] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1865),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(3881),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1866] = {
    [sym_nested_identifier] = STATE(7241),
    [sym_string] = STATE(4402),
    [sym_comment] = STATE(1866),
    [sym_formal_parameters] = STATE(7406),
    [sym_nested_type_identifier] = STATE(4091),
    [sym__type] = STATE(4232),
    [sym_constructor_type] = STATE(4335),
    [sym__primary_type] = STATE(4314),
    [sym_template_literal_type] = STATE(4399),
    [sym_infer_type] = STATE(4335),
    [sym_conditional_type] = STATE(4399),
    [sym_generic_type] = STATE(4399),
    [sym_type_query] = STATE(4399),
    [sym_index_type_query] = STATE(4399),
    [sym_lookup_type] = STATE(4399),
    [sym_literal_type] = STATE(4399),
    [sym__number] = STATE(4306),
    [sym_existential_type] = STATE(4399),
    [sym_flow_maybe_type] = STATE(4399),
    [sym_parenthesized_type] = STATE(4399),
    [sym_predefined_type] = STATE(4399),
    [sym_object_type] = STATE(4399),
    [sym_type_parameters] = STATE(6901),
    [sym_array_type] = STATE(4399),
    [sym_tuple_type] = STATE(4399),
    [sym_readonly_type] = STATE(4335),
    [sym_union_type] = STATE(4399),
    [sym_intersection_type] = STATE(4399),
    [sym_function_type] = STATE(4335),
    [sym_identifier] = ACTIONS(3998),
    [anon_sym_STAR] = ACTIONS(3600),
    [anon_sym_LBRACE] = ACTIONS(3602),
    [anon_sym_typeof] = ACTIONS(3604),
    [anon_sym_const] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(3608),
    [anon_sym_LBRACK] = ACTIONS(3610),
    [anon_sym_new] = ACTIONS(3612),
    [anon_sym_AMP] = ACTIONS(3614),
    [anon_sym_PIPE] = ACTIONS(3616),
    [anon_sym_PLUS] = ACTIONS(3618),
    [anon_sym_DASH] = ACTIONS(3618),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3620),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [anon_sym_SQUOTE] = ACTIONS(3624),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3628),
    [sym_this] = ACTIONS(4000),
    [sym_true] = ACTIONS(3628),
    [sym_false] = ACTIONS(3628),
    [sym_null] = ACTIONS(3628),
    [sym_undefined] = ACTIONS(3628),
    [anon_sym_readonly] = ACTIONS(3632),
    [anon_sym_QMARK] = ACTIONS(3634),
    [anon_sym_any] = ACTIONS(3620),
    [anon_sym_number] = ACTIONS(3620),
    [anon_sym_boolean] = ACTIONS(3620),
    [anon_sym_string] = ACTIONS(3620),
    [anon_sym_symbol] = ACTIONS(3620),
    [anon_sym_object] = ACTIONS(3620),
    [anon_sym_abstract] = ACTIONS(3636),
    [anon_sym_infer] = ACTIONS(3640),
    [anon_sym_keyof] = ACTIONS(3642),
    [anon_sym_unique] = ACTIONS(3644),
    [anon_sym_unknown] = ACTIONS(3620),
    [anon_sym_never] = ACTIONS(3620),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3602),
    [sym_html_comment] = ACTIONS(5),
  },
  [1867] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1867),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(5959),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3846),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1868] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4104),
    [sym_comment] = STATE(1868),
    [sym_formal_parameters] = STATE(7432),
    [sym_nested_type_identifier] = STATE(3989),
    [sym__type] = STATE(4072),
    [sym_constructor_type] = STATE(4101),
    [sym__primary_type] = STATE(4067),
    [sym_template_literal_type] = STATE(4110),
    [sym_infer_type] = STATE(4101),
    [sym_conditional_type] = STATE(4110),
    [sym_generic_type] = STATE(4110),
    [sym_type_query] = STATE(4110),
    [sym_index_type_query] = STATE(4110),
    [sym_lookup_type] = STATE(4110),
    [sym_literal_type] = STATE(4110),
    [sym__number] = STATE(4068),
    [sym_existential_type] = STATE(4110),
    [sym_flow_maybe_type] = STATE(4110),
    [sym_parenthesized_type] = STATE(4110),
    [sym_predefined_type] = STATE(4110),
    [sym_object_type] = STATE(4110),
    [sym_type_parameters] = STATE(7009),
    [sym_array_type] = STATE(4110),
    [sym_tuple_type] = STATE(4110),
    [sym_readonly_type] = STATE(4101),
    [sym_union_type] = STATE(4110),
    [sym_intersection_type] = STATE(4110),
    [sym_function_type] = STATE(4101),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_typeof] = ACTIONS(1914),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1928),
    [sym_number] = ACTIONS(1930),
    [sym_this] = ACTIONS(1932),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [sym_null] = ACTIONS(1930),
    [sym_undefined] = ACTIONS(1930),
    [anon_sym_readonly] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_abstract] = ACTIONS(1342),
    [anon_sym_infer] = ACTIONS(1344),
    [anon_sym_keyof] = ACTIONS(1346),
    [anon_sym_unique] = ACTIONS(1348),
    [anon_sym_unknown] = ACTIONS(1350),
    [anon_sym_never] = ACTIONS(1350),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1869] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1869),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(3847),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1870] = {
    [sym_nested_identifier] = STATE(7269),
    [sym_string] = STATE(2907),
    [sym_comment] = STATE(1870),
    [sym_formal_parameters] = STATE(7293),
    [sym_nested_type_identifier] = STATE(2737),
    [sym__type] = STATE(2943),
    [sym_constructor_type] = STATE(2914),
    [sym__primary_type] = STATE(2915),
    [sym_template_literal_type] = STATE(2903),
    [sym_infer_type] = STATE(2914),
    [sym_conditional_type] = STATE(2903),
    [sym_generic_type] = STATE(2903),
    [sym_type_query] = STATE(2903),
    [sym_index_type_query] = STATE(2903),
    [sym_lookup_type] = STATE(2903),
    [sym_literal_type] = STATE(2903),
    [sym__number] = STATE(2916),
    [sym_existential_type] = STATE(2903),
    [sym_flow_maybe_type] = STATE(2903),
    [sym_parenthesized_type] = STATE(2903),
    [sym_predefined_type] = STATE(2903),
    [sym_object_type] = STATE(2903),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(2903),
    [sym_tuple_type] = STATE(2903),
    [sym_readonly_type] = STATE(2914),
    [sym_union_type] = STATE(2903),
    [sym_intersection_type] = STATE(2903),
    [sym_function_type] = STATE(2914),
    [sym_identifier] = ACTIONS(4002),
    [anon_sym_STAR] = ACTIONS(3744),
    [anon_sym_LBRACE] = ACTIONS(3746),
    [anon_sym_typeof] = ACTIONS(3748),
    [anon_sym_const] = ACTIONS(3750),
    [anon_sym_LPAREN] = ACTIONS(3752),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_new] = ACTIONS(3756),
    [anon_sym_AMP] = ACTIONS(3758),
    [anon_sym_PIPE] = ACTIONS(3760),
    [anon_sym_PLUS] = ACTIONS(3762),
    [anon_sym_DASH] = ACTIONS(3762),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3764),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3766),
    [sym_number] = ACTIONS(3768),
    [sym_this] = ACTIONS(4004),
    [sym_true] = ACTIONS(3768),
    [sym_false] = ACTIONS(3768),
    [sym_null] = ACTIONS(3768),
    [sym_undefined] = ACTIONS(3768),
    [anon_sym_readonly] = ACTIONS(3772),
    [anon_sym_QMARK] = ACTIONS(3774),
    [anon_sym_any] = ACTIONS(3764),
    [anon_sym_number] = ACTIONS(3764),
    [anon_sym_boolean] = ACTIONS(3764),
    [anon_sym_string] = ACTIONS(3764),
    [anon_sym_symbol] = ACTIONS(3764),
    [anon_sym_object] = ACTIONS(3764),
    [anon_sym_abstract] = ACTIONS(3776),
    [anon_sym_infer] = ACTIONS(3780),
    [anon_sym_keyof] = ACTIONS(3782),
    [anon_sym_unique] = ACTIONS(3784),
    [anon_sym_unknown] = ACTIONS(3764),
    [anon_sym_never] = ACTIONS(3764),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3746),
    [sym_html_comment] = ACTIONS(5),
  },
  [1871] = {
    [sym_nested_identifier] = STATE(7127),
    [sym_string] = STATE(2484),
    [sym_comment] = STATE(1871),
    [sym_formal_parameters] = STATE(7143),
    [sym_nested_type_identifier] = STATE(2329),
    [sym__type] = STATE(2433),
    [sym_constructor_type] = STATE(2481),
    [sym__primary_type] = STATE(2477),
    [sym_template_literal_type] = STATE(2485),
    [sym_infer_type] = STATE(2481),
    [sym_conditional_type] = STATE(2485),
    [sym_generic_type] = STATE(2485),
    [sym_type_query] = STATE(2485),
    [sym_index_type_query] = STATE(2485),
    [sym_lookup_type] = STATE(2485),
    [sym_literal_type] = STATE(2485),
    [sym__number] = STATE(2476),
    [sym_existential_type] = STATE(2485),
    [sym_flow_maybe_type] = STATE(2485),
    [sym_parenthesized_type] = STATE(2485),
    [sym_predefined_type] = STATE(2485),
    [sym_object_type] = STATE(2485),
    [sym_type_parameters] = STATE(6983),
    [sym_array_type] = STATE(2485),
    [sym_tuple_type] = STATE(2485),
    [sym_readonly_type] = STATE(2481),
    [sym_union_type] = STATE(2485),
    [sym_intersection_type] = STATE(2485),
    [sym_function_type] = STATE(2481),
    [sym_identifier] = ACTIONS(4006),
    [anon_sym_STAR] = ACTIONS(3788),
    [anon_sym_LBRACE] = ACTIONS(3790),
    [anon_sym_typeof] = ACTIONS(3792),
    [anon_sym_const] = ACTIONS(3794),
    [anon_sym_LPAREN] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3798),
    [anon_sym_new] = ACTIONS(3800),
    [anon_sym_AMP] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_PLUS] = ACTIONS(3806),
    [anon_sym_DASH] = ACTIONS(3806),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3808),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3810),
    [sym_number] = ACTIONS(3812),
    [sym_this] = ACTIONS(4008),
    [sym_true] = ACTIONS(3812),
    [sym_false] = ACTIONS(3812),
    [sym_null] = ACTIONS(3812),
    [sym_undefined] = ACTIONS(3812),
    [anon_sym_readonly] = ACTIONS(3816),
    [anon_sym_QMARK] = ACTIONS(3818),
    [anon_sym_any] = ACTIONS(3808),
    [anon_sym_number] = ACTIONS(3808),
    [anon_sym_boolean] = ACTIONS(3808),
    [anon_sym_string] = ACTIONS(3808),
    [anon_sym_symbol] = ACTIONS(3808),
    [anon_sym_object] = ACTIONS(3808),
    [anon_sym_abstract] = ACTIONS(3820),
    [anon_sym_infer] = ACTIONS(3824),
    [anon_sym_keyof] = ACTIONS(3826),
    [anon_sym_unique] = ACTIONS(3828),
    [anon_sym_unknown] = ACTIONS(3808),
    [anon_sym_never] = ACTIONS(3808),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3790),
    [sym_html_comment] = ACTIONS(5),
  },
  [1872] = {
    [sym_nested_identifier] = STATE(7127),
    [sym_string] = STATE(2484),
    [sym_comment] = STATE(1872),
    [sym_formal_parameters] = STATE(7143),
    [sym_nested_type_identifier] = STATE(2329),
    [sym__type] = STATE(2427),
    [sym_constructor_type] = STATE(2481),
    [sym__primary_type] = STATE(2477),
    [sym_template_literal_type] = STATE(2485),
    [sym_infer_type] = STATE(2481),
    [sym_conditional_type] = STATE(2485),
    [sym_generic_type] = STATE(2485),
    [sym_type_query] = STATE(2485),
    [sym_index_type_query] = STATE(2485),
    [sym_lookup_type] = STATE(2485),
    [sym_literal_type] = STATE(2485),
    [sym__number] = STATE(2476),
    [sym_existential_type] = STATE(2485),
    [sym_flow_maybe_type] = STATE(2485),
    [sym_parenthesized_type] = STATE(2485),
    [sym_predefined_type] = STATE(2485),
    [sym_object_type] = STATE(2485),
    [sym_type_parameters] = STATE(6983),
    [sym_array_type] = STATE(2485),
    [sym_tuple_type] = STATE(2485),
    [sym_readonly_type] = STATE(2481),
    [sym_union_type] = STATE(2485),
    [sym_intersection_type] = STATE(2485),
    [sym_function_type] = STATE(2481),
    [sym_identifier] = ACTIONS(4006),
    [anon_sym_STAR] = ACTIONS(3788),
    [anon_sym_LBRACE] = ACTIONS(3790),
    [anon_sym_typeof] = ACTIONS(3792),
    [anon_sym_const] = ACTIONS(3794),
    [anon_sym_LPAREN] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3798),
    [anon_sym_new] = ACTIONS(3800),
    [anon_sym_AMP] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_PLUS] = ACTIONS(3806),
    [anon_sym_DASH] = ACTIONS(3806),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3808),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3810),
    [sym_number] = ACTIONS(3812),
    [sym_this] = ACTIONS(4008),
    [sym_true] = ACTIONS(3812),
    [sym_false] = ACTIONS(3812),
    [sym_null] = ACTIONS(3812),
    [sym_undefined] = ACTIONS(3812),
    [anon_sym_readonly] = ACTIONS(3816),
    [anon_sym_QMARK] = ACTIONS(3818),
    [anon_sym_any] = ACTIONS(3808),
    [anon_sym_number] = ACTIONS(3808),
    [anon_sym_boolean] = ACTIONS(3808),
    [anon_sym_string] = ACTIONS(3808),
    [anon_sym_symbol] = ACTIONS(3808),
    [anon_sym_object] = ACTIONS(3808),
    [anon_sym_abstract] = ACTIONS(3820),
    [anon_sym_infer] = ACTIONS(3824),
    [anon_sym_keyof] = ACTIONS(3826),
    [anon_sym_unique] = ACTIONS(3828),
    [anon_sym_unknown] = ACTIONS(3808),
    [anon_sym_never] = ACTIONS(3808),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3790),
    [sym_html_comment] = ACTIONS(5),
  },
  [1873] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1873),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(3892),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1874] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1874),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(5702),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1875] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1875),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(5959),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(4942),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(5699),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1876] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4104),
    [sym_comment] = STATE(1876),
    [sym_formal_parameters] = STATE(7432),
    [sym_nested_type_identifier] = STATE(3989),
    [sym__type] = STATE(4069),
    [sym_constructor_type] = STATE(4101),
    [sym__primary_type] = STATE(4067),
    [sym_template_literal_type] = STATE(4110),
    [sym_infer_type] = STATE(4101),
    [sym_conditional_type] = STATE(4110),
    [sym_generic_type] = STATE(4110),
    [sym_type_query] = STATE(4110),
    [sym_index_type_query] = STATE(4110),
    [sym_lookup_type] = STATE(4110),
    [sym_literal_type] = STATE(4110),
    [sym__number] = STATE(4068),
    [sym_existential_type] = STATE(4110),
    [sym_flow_maybe_type] = STATE(4110),
    [sym_parenthesized_type] = STATE(4110),
    [sym_predefined_type] = STATE(4110),
    [sym_object_type] = STATE(4110),
    [sym_type_parameters] = STATE(7009),
    [sym_array_type] = STATE(4110),
    [sym_tuple_type] = STATE(4110),
    [sym_readonly_type] = STATE(4101),
    [sym_union_type] = STATE(4110),
    [sym_intersection_type] = STATE(4110),
    [sym_function_type] = STATE(4101),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_typeof] = ACTIONS(1914),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1928),
    [sym_number] = ACTIONS(1930),
    [sym_this] = ACTIONS(1932),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [sym_null] = ACTIONS(1930),
    [sym_undefined] = ACTIONS(1930),
    [anon_sym_readonly] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_abstract] = ACTIONS(1342),
    [anon_sym_infer] = ACTIONS(1344),
    [anon_sym_keyof] = ACTIONS(1346),
    [anon_sym_unique] = ACTIONS(1348),
    [anon_sym_unknown] = ACTIONS(1350),
    [anon_sym_never] = ACTIONS(1350),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1877] = {
    [sym_nested_identifier] = STATE(7241),
    [sym_string] = STATE(4402),
    [sym_comment] = STATE(1877),
    [sym_formal_parameters] = STATE(7406),
    [sym_nested_type_identifier] = STATE(4091),
    [sym__type] = STATE(4309),
    [sym_constructor_type] = STATE(4335),
    [sym__primary_type] = STATE(4314),
    [sym_template_literal_type] = STATE(4399),
    [sym_infer_type] = STATE(4335),
    [sym_conditional_type] = STATE(4399),
    [sym_generic_type] = STATE(4399),
    [sym_type_query] = STATE(4399),
    [sym_index_type_query] = STATE(4399),
    [sym_lookup_type] = STATE(4399),
    [sym_literal_type] = STATE(4399),
    [sym__number] = STATE(4306),
    [sym_existential_type] = STATE(4399),
    [sym_flow_maybe_type] = STATE(4399),
    [sym_parenthesized_type] = STATE(4399),
    [sym_predefined_type] = STATE(4399),
    [sym_object_type] = STATE(4399),
    [sym_type_parameters] = STATE(6901),
    [sym_array_type] = STATE(4399),
    [sym_tuple_type] = STATE(4399),
    [sym_readonly_type] = STATE(4335),
    [sym_union_type] = STATE(4399),
    [sym_intersection_type] = STATE(4399),
    [sym_function_type] = STATE(4335),
    [sym_identifier] = ACTIONS(3998),
    [anon_sym_STAR] = ACTIONS(3600),
    [anon_sym_LBRACE] = ACTIONS(3602),
    [anon_sym_typeof] = ACTIONS(3604),
    [anon_sym_const] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(3608),
    [anon_sym_LBRACK] = ACTIONS(3610),
    [anon_sym_new] = ACTIONS(3612),
    [anon_sym_AMP] = ACTIONS(3614),
    [anon_sym_PIPE] = ACTIONS(3616),
    [anon_sym_PLUS] = ACTIONS(3618),
    [anon_sym_DASH] = ACTIONS(3618),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3620),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [anon_sym_SQUOTE] = ACTIONS(3624),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3628),
    [sym_this] = ACTIONS(4000),
    [sym_true] = ACTIONS(3628),
    [sym_false] = ACTIONS(3628),
    [sym_null] = ACTIONS(3628),
    [sym_undefined] = ACTIONS(3628),
    [anon_sym_readonly] = ACTIONS(3632),
    [anon_sym_QMARK] = ACTIONS(3634),
    [anon_sym_any] = ACTIONS(3620),
    [anon_sym_number] = ACTIONS(3620),
    [anon_sym_boolean] = ACTIONS(3620),
    [anon_sym_string] = ACTIONS(3620),
    [anon_sym_symbol] = ACTIONS(3620),
    [anon_sym_object] = ACTIONS(3620),
    [anon_sym_abstract] = ACTIONS(3636),
    [anon_sym_infer] = ACTIONS(3640),
    [anon_sym_keyof] = ACTIONS(3642),
    [anon_sym_unique] = ACTIONS(3644),
    [anon_sym_unknown] = ACTIONS(3620),
    [anon_sym_never] = ACTIONS(3620),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3602),
    [sym_html_comment] = ACTIONS(5),
  },
  [1878] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4104),
    [sym_comment] = STATE(1878),
    [sym_formal_parameters] = STATE(7432),
    [sym_nested_type_identifier] = STATE(3989),
    [sym__type] = STATE(4108),
    [sym_constructor_type] = STATE(4101),
    [sym__primary_type] = STATE(4067),
    [sym_template_literal_type] = STATE(4110),
    [sym_infer_type] = STATE(4101),
    [sym_conditional_type] = STATE(4110),
    [sym_generic_type] = STATE(4110),
    [sym_type_query] = STATE(4110),
    [sym_index_type_query] = STATE(4110),
    [sym_lookup_type] = STATE(4110),
    [sym_literal_type] = STATE(4110),
    [sym__number] = STATE(4068),
    [sym_existential_type] = STATE(4110),
    [sym_flow_maybe_type] = STATE(4110),
    [sym_parenthesized_type] = STATE(4110),
    [sym_predefined_type] = STATE(4110),
    [sym_object_type] = STATE(4110),
    [sym_type_parameters] = STATE(7009),
    [sym_array_type] = STATE(4110),
    [sym_tuple_type] = STATE(4110),
    [sym_readonly_type] = STATE(4101),
    [sym_union_type] = STATE(4110),
    [sym_intersection_type] = STATE(4110),
    [sym_function_type] = STATE(4101),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_typeof] = ACTIONS(1914),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1928),
    [sym_number] = ACTIONS(1930),
    [sym_this] = ACTIONS(1932),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [sym_null] = ACTIONS(1930),
    [sym_undefined] = ACTIONS(1930),
    [anon_sym_readonly] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_abstract] = ACTIONS(1342),
    [anon_sym_infer] = ACTIONS(1344),
    [anon_sym_keyof] = ACTIONS(1346),
    [anon_sym_unique] = ACTIONS(1348),
    [anon_sym_unknown] = ACTIONS(1350),
    [anon_sym_never] = ACTIONS(1350),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1879] = {
    [sym_nested_identifier] = STATE(7127),
    [sym_string] = STATE(2484),
    [sym_comment] = STATE(1879),
    [sym_formal_parameters] = STATE(7143),
    [sym_nested_type_identifier] = STATE(2329),
    [sym__type] = STATE(2421),
    [sym_constructor_type] = STATE(2481),
    [sym__primary_type] = STATE(2477),
    [sym_template_literal_type] = STATE(2485),
    [sym_infer_type] = STATE(2481),
    [sym_conditional_type] = STATE(2485),
    [sym_generic_type] = STATE(2485),
    [sym_type_query] = STATE(2485),
    [sym_index_type_query] = STATE(2485),
    [sym_lookup_type] = STATE(2485),
    [sym_literal_type] = STATE(2485),
    [sym__number] = STATE(2476),
    [sym_existential_type] = STATE(2485),
    [sym_flow_maybe_type] = STATE(2485),
    [sym_parenthesized_type] = STATE(2485),
    [sym_predefined_type] = STATE(2485),
    [sym_object_type] = STATE(2485),
    [sym_type_parameters] = STATE(6983),
    [sym_array_type] = STATE(2485),
    [sym_tuple_type] = STATE(2485),
    [sym_readonly_type] = STATE(2481),
    [sym_union_type] = STATE(2485),
    [sym_intersection_type] = STATE(2485),
    [sym_function_type] = STATE(2481),
    [sym_identifier] = ACTIONS(4006),
    [anon_sym_STAR] = ACTIONS(3788),
    [anon_sym_LBRACE] = ACTIONS(3790),
    [anon_sym_typeof] = ACTIONS(3792),
    [anon_sym_const] = ACTIONS(3794),
    [anon_sym_LPAREN] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3798),
    [anon_sym_new] = ACTIONS(3800),
    [anon_sym_AMP] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_PLUS] = ACTIONS(3806),
    [anon_sym_DASH] = ACTIONS(3806),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3808),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3810),
    [sym_number] = ACTIONS(3812),
    [sym_this] = ACTIONS(4008),
    [sym_true] = ACTIONS(3812),
    [sym_false] = ACTIONS(3812),
    [sym_null] = ACTIONS(3812),
    [sym_undefined] = ACTIONS(3812),
    [anon_sym_readonly] = ACTIONS(3816),
    [anon_sym_QMARK] = ACTIONS(3818),
    [anon_sym_any] = ACTIONS(3808),
    [anon_sym_number] = ACTIONS(3808),
    [anon_sym_boolean] = ACTIONS(3808),
    [anon_sym_string] = ACTIONS(3808),
    [anon_sym_symbol] = ACTIONS(3808),
    [anon_sym_object] = ACTIONS(3808),
    [anon_sym_abstract] = ACTIONS(3820),
    [anon_sym_infer] = ACTIONS(3824),
    [anon_sym_keyof] = ACTIONS(3826),
    [anon_sym_unique] = ACTIONS(3828),
    [anon_sym_unknown] = ACTIONS(3808),
    [anon_sym_never] = ACTIONS(3808),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3790),
    [sym_html_comment] = ACTIONS(5),
  },
  [1880] = {
    [sym_nested_identifier] = STATE(7241),
    [sym_string] = STATE(4402),
    [sym_comment] = STATE(1880),
    [sym_formal_parameters] = STATE(7406),
    [sym_nested_type_identifier] = STATE(4091),
    [sym__type] = STATE(4379),
    [sym_constructor_type] = STATE(4335),
    [sym__primary_type] = STATE(4314),
    [sym_template_literal_type] = STATE(4399),
    [sym_infer_type] = STATE(4335),
    [sym_conditional_type] = STATE(4399),
    [sym_generic_type] = STATE(4399),
    [sym_type_query] = STATE(4399),
    [sym_index_type_query] = STATE(4399),
    [sym_lookup_type] = STATE(4399),
    [sym_literal_type] = STATE(4399),
    [sym__number] = STATE(4306),
    [sym_existential_type] = STATE(4399),
    [sym_flow_maybe_type] = STATE(4399),
    [sym_parenthesized_type] = STATE(4399),
    [sym_predefined_type] = STATE(4399),
    [sym_object_type] = STATE(4399),
    [sym_type_parameters] = STATE(6901),
    [sym_array_type] = STATE(4399),
    [sym_tuple_type] = STATE(4399),
    [sym_readonly_type] = STATE(4335),
    [sym_union_type] = STATE(4399),
    [sym_intersection_type] = STATE(4399),
    [sym_function_type] = STATE(4335),
    [sym_identifier] = ACTIONS(3998),
    [anon_sym_STAR] = ACTIONS(3600),
    [anon_sym_LBRACE] = ACTIONS(3602),
    [anon_sym_typeof] = ACTIONS(3604),
    [anon_sym_const] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(3608),
    [anon_sym_LBRACK] = ACTIONS(3610),
    [anon_sym_new] = ACTIONS(3612),
    [anon_sym_AMP] = ACTIONS(3614),
    [anon_sym_PIPE] = ACTIONS(3616),
    [anon_sym_PLUS] = ACTIONS(3618),
    [anon_sym_DASH] = ACTIONS(3618),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3620),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [anon_sym_SQUOTE] = ACTIONS(3624),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3628),
    [sym_this] = ACTIONS(4000),
    [sym_true] = ACTIONS(3628),
    [sym_false] = ACTIONS(3628),
    [sym_null] = ACTIONS(3628),
    [sym_undefined] = ACTIONS(3628),
    [anon_sym_readonly] = ACTIONS(3632),
    [anon_sym_QMARK] = ACTIONS(3634),
    [anon_sym_any] = ACTIONS(3620),
    [anon_sym_number] = ACTIONS(3620),
    [anon_sym_boolean] = ACTIONS(3620),
    [anon_sym_string] = ACTIONS(3620),
    [anon_sym_symbol] = ACTIONS(3620),
    [anon_sym_object] = ACTIONS(3620),
    [anon_sym_abstract] = ACTIONS(3636),
    [anon_sym_infer] = ACTIONS(3640),
    [anon_sym_keyof] = ACTIONS(3642),
    [anon_sym_unique] = ACTIONS(3644),
    [anon_sym_unknown] = ACTIONS(3620),
    [anon_sym_never] = ACTIONS(3620),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3602),
    [sym_html_comment] = ACTIONS(5),
  },
  [1881] = {
    [sym_nested_identifier] = STATE(7127),
    [sym_string] = STATE(2484),
    [sym_comment] = STATE(1881),
    [sym_formal_parameters] = STATE(7143),
    [sym_nested_type_identifier] = STATE(2329),
    [sym__type] = STATE(2466),
    [sym_constructor_type] = STATE(2481),
    [sym__primary_type] = STATE(2477),
    [sym_template_literal_type] = STATE(2485),
    [sym_infer_type] = STATE(2481),
    [sym_conditional_type] = STATE(2485),
    [sym_generic_type] = STATE(2485),
    [sym_type_query] = STATE(2485),
    [sym_index_type_query] = STATE(2485),
    [sym_lookup_type] = STATE(2485),
    [sym_literal_type] = STATE(2485),
    [sym__number] = STATE(2476),
    [sym_existential_type] = STATE(2485),
    [sym_flow_maybe_type] = STATE(2485),
    [sym_parenthesized_type] = STATE(2485),
    [sym_predefined_type] = STATE(2485),
    [sym_object_type] = STATE(2485),
    [sym_type_parameters] = STATE(6983),
    [sym_array_type] = STATE(2485),
    [sym_tuple_type] = STATE(2485),
    [sym_readonly_type] = STATE(2481),
    [sym_union_type] = STATE(2485),
    [sym_intersection_type] = STATE(2485),
    [sym_function_type] = STATE(2481),
    [sym_identifier] = ACTIONS(4006),
    [anon_sym_STAR] = ACTIONS(3788),
    [anon_sym_LBRACE] = ACTIONS(3790),
    [anon_sym_typeof] = ACTIONS(3792),
    [anon_sym_const] = ACTIONS(4012),
    [anon_sym_LPAREN] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3798),
    [anon_sym_new] = ACTIONS(3800),
    [anon_sym_AMP] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_PLUS] = ACTIONS(3806),
    [anon_sym_DASH] = ACTIONS(3806),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3808),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3810),
    [sym_number] = ACTIONS(3812),
    [sym_this] = ACTIONS(4008),
    [sym_true] = ACTIONS(3812),
    [sym_false] = ACTIONS(3812),
    [sym_null] = ACTIONS(3812),
    [sym_undefined] = ACTIONS(3812),
    [anon_sym_readonly] = ACTIONS(3816),
    [anon_sym_QMARK] = ACTIONS(3818),
    [anon_sym_any] = ACTIONS(3808),
    [anon_sym_number] = ACTIONS(3808),
    [anon_sym_boolean] = ACTIONS(3808),
    [anon_sym_string] = ACTIONS(3808),
    [anon_sym_symbol] = ACTIONS(3808),
    [anon_sym_object] = ACTIONS(3808),
    [anon_sym_abstract] = ACTIONS(3820),
    [anon_sym_infer] = ACTIONS(3824),
    [anon_sym_keyof] = ACTIONS(3826),
    [anon_sym_unique] = ACTIONS(3828),
    [anon_sym_unknown] = ACTIONS(3808),
    [anon_sym_never] = ACTIONS(3808),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3790),
    [sym_html_comment] = ACTIONS(5),
  },
  [1882] = {
    [sym_nested_identifier] = STATE(7269),
    [sym_string] = STATE(2907),
    [sym_comment] = STATE(1882),
    [sym_formal_parameters] = STATE(7293),
    [sym_nested_type_identifier] = STATE(2737),
    [sym__type] = STATE(2944),
    [sym_constructor_type] = STATE(2914),
    [sym__primary_type] = STATE(2915),
    [sym_template_literal_type] = STATE(2903),
    [sym_infer_type] = STATE(2914),
    [sym_conditional_type] = STATE(2903),
    [sym_generic_type] = STATE(2903),
    [sym_type_query] = STATE(2903),
    [sym_index_type_query] = STATE(2903),
    [sym_lookup_type] = STATE(2903),
    [sym_literal_type] = STATE(2903),
    [sym__number] = STATE(2916),
    [sym_existential_type] = STATE(2903),
    [sym_flow_maybe_type] = STATE(2903),
    [sym_parenthesized_type] = STATE(2903),
    [sym_predefined_type] = STATE(2903),
    [sym_object_type] = STATE(2903),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(2903),
    [sym_tuple_type] = STATE(2903),
    [sym_readonly_type] = STATE(2914),
    [sym_union_type] = STATE(2903),
    [sym_intersection_type] = STATE(2903),
    [sym_function_type] = STATE(2914),
    [sym_identifier] = ACTIONS(4002),
    [anon_sym_STAR] = ACTIONS(3744),
    [anon_sym_LBRACE] = ACTIONS(3746),
    [anon_sym_typeof] = ACTIONS(3748),
    [anon_sym_const] = ACTIONS(3750),
    [anon_sym_LPAREN] = ACTIONS(3752),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_new] = ACTIONS(3756),
    [anon_sym_AMP] = ACTIONS(3758),
    [anon_sym_PIPE] = ACTIONS(3760),
    [anon_sym_PLUS] = ACTIONS(3762),
    [anon_sym_DASH] = ACTIONS(3762),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3764),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3766),
    [sym_number] = ACTIONS(3768),
    [sym_this] = ACTIONS(4004),
    [sym_true] = ACTIONS(3768),
    [sym_false] = ACTIONS(3768),
    [sym_null] = ACTIONS(3768),
    [sym_undefined] = ACTIONS(3768),
    [anon_sym_readonly] = ACTIONS(3772),
    [anon_sym_QMARK] = ACTIONS(3774),
    [anon_sym_any] = ACTIONS(3764),
    [anon_sym_number] = ACTIONS(3764),
    [anon_sym_boolean] = ACTIONS(3764),
    [anon_sym_string] = ACTIONS(3764),
    [anon_sym_symbol] = ACTIONS(3764),
    [anon_sym_object] = ACTIONS(3764),
    [anon_sym_abstract] = ACTIONS(3776),
    [anon_sym_infer] = ACTIONS(3780),
    [anon_sym_keyof] = ACTIONS(3782),
    [anon_sym_unique] = ACTIONS(3784),
    [anon_sym_unknown] = ACTIONS(3764),
    [anon_sym_never] = ACTIONS(3764),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3746),
    [sym_html_comment] = ACTIONS(5),
  },
  [1883] = {
    [sym_nested_identifier] = STATE(7127),
    [sym_string] = STATE(2484),
    [sym_comment] = STATE(1883),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(2329),
    [sym__type] = STATE(6090),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(2416),
    [sym_template_literal_type] = STATE(2485),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(2485),
    [sym_generic_type] = STATE(2485),
    [sym_type_query] = STATE(2485),
    [sym_index_type_query] = STATE(2485),
    [sym_lookup_type] = STATE(2485),
    [sym_literal_type] = STATE(2485),
    [sym__number] = STATE(2476),
    [sym_existential_type] = STATE(2485),
    [sym_flow_maybe_type] = STATE(2485),
    [sym_parenthesized_type] = STATE(2485),
    [sym_predefined_type] = STATE(2485),
    [sym_object_type] = STATE(2485),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(2485),
    [sym_tuple_type] = STATE(2485),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(2485),
    [sym_intersection_type] = STATE(2485),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(4006),
    [anon_sym_STAR] = ACTIONS(3788),
    [anon_sym_LBRACE] = ACTIONS(3790),
    [anon_sym_typeof] = ACTIONS(3792),
    [anon_sym_const] = ACTIONS(3794),
    [anon_sym_LPAREN] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3798),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_PLUS] = ACTIONS(3806),
    [anon_sym_DASH] = ACTIONS(3806),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3808),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3810),
    [sym_number] = ACTIONS(3812),
    [sym_this] = ACTIONS(4008),
    [sym_true] = ACTIONS(3812),
    [sym_false] = ACTIONS(3812),
    [sym_null] = ACTIONS(3812),
    [sym_undefined] = ACTIONS(3812),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(3818),
    [anon_sym_any] = ACTIONS(3808),
    [anon_sym_number] = ACTIONS(3808),
    [anon_sym_boolean] = ACTIONS(3808),
    [anon_sym_string] = ACTIONS(3808),
    [anon_sym_symbol] = ACTIONS(3808),
    [anon_sym_object] = ACTIONS(3808),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(3826),
    [anon_sym_unique] = ACTIONS(3828),
    [anon_sym_unknown] = ACTIONS(3808),
    [anon_sym_never] = ACTIONS(3808),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3790),
    [sym_html_comment] = ACTIONS(5),
  },
  [1884] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4104),
    [sym_comment] = STATE(1884),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3989),
    [sym__type] = STATE(5806),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(4107),
    [sym_template_literal_type] = STATE(4110),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(4110),
    [sym_generic_type] = STATE(4110),
    [sym_type_query] = STATE(4110),
    [sym_index_type_query] = STATE(4110),
    [sym_lookup_type] = STATE(4110),
    [sym_literal_type] = STATE(4110),
    [sym__number] = STATE(4068),
    [sym_existential_type] = STATE(4110),
    [sym_flow_maybe_type] = STATE(4110),
    [sym_parenthesized_type] = STATE(4110),
    [sym_predefined_type] = STATE(4110),
    [sym_object_type] = STATE(4110),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(4110),
    [sym_tuple_type] = STATE(4110),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(4110),
    [sym_intersection_type] = STATE(4110),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_typeof] = ACTIONS(1914),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1928),
    [sym_number] = ACTIONS(1930),
    [sym_this] = ACTIONS(1932),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [sym_null] = ACTIONS(1930),
    [sym_undefined] = ACTIONS(1930),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(1346),
    [anon_sym_unique] = ACTIONS(1348),
    [anon_sym_unknown] = ACTIONS(1350),
    [anon_sym_never] = ACTIONS(1350),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1885] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4104),
    [sym_comment] = STATE(1885),
    [sym_formal_parameters] = STATE(7432),
    [sym_nested_type_identifier] = STATE(3989),
    [sym__type] = STATE(5382),
    [sym_constructor_type] = STATE(4101),
    [sym__primary_type] = STATE(4067),
    [sym_template_literal_type] = STATE(4110),
    [sym_infer_type] = STATE(4101),
    [sym_conditional_type] = STATE(4110),
    [sym_generic_type] = STATE(4110),
    [sym_type_query] = STATE(4110),
    [sym_index_type_query] = STATE(4110),
    [sym_lookup_type] = STATE(4110),
    [sym_literal_type] = STATE(4110),
    [sym__number] = STATE(4068),
    [sym_existential_type] = STATE(4110),
    [sym_flow_maybe_type] = STATE(4110),
    [sym_parenthesized_type] = STATE(4110),
    [sym_predefined_type] = STATE(4110),
    [sym_object_type] = STATE(4110),
    [sym_type_parameters] = STATE(7009),
    [sym_array_type] = STATE(4110),
    [sym_tuple_type] = STATE(4110),
    [sym_readonly_type] = STATE(4101),
    [sym_union_type] = STATE(4110),
    [sym_intersection_type] = STATE(4110),
    [sym_function_type] = STATE(4101),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_typeof] = ACTIONS(1914),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1928),
    [sym_number] = ACTIONS(1930),
    [sym_this] = ACTIONS(1932),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [sym_null] = ACTIONS(1930),
    [sym_undefined] = ACTIONS(1930),
    [anon_sym_readonly] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_abstract] = ACTIONS(1342),
    [anon_sym_infer] = ACTIONS(1344),
    [anon_sym_keyof] = ACTIONS(1346),
    [anon_sym_unique] = ACTIONS(1348),
    [anon_sym_unknown] = ACTIONS(1350),
    [anon_sym_never] = ACTIONS(1350),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1886] = {
    [sym_nested_identifier] = STATE(7269),
    [sym_string] = STATE(2907),
    [sym_comment] = STATE(1886),
    [sym_formal_parameters] = STATE(7293),
    [sym_nested_type_identifier] = STATE(2737),
    [sym__type] = STATE(2820),
    [sym_constructor_type] = STATE(2914),
    [sym__primary_type] = STATE(2915),
    [sym_template_literal_type] = STATE(2903),
    [sym_infer_type] = STATE(2914),
    [sym_conditional_type] = STATE(2903),
    [sym_generic_type] = STATE(2903),
    [sym_type_query] = STATE(2903),
    [sym_index_type_query] = STATE(2903),
    [sym_lookup_type] = STATE(2903),
    [sym_literal_type] = STATE(2903),
    [sym__number] = STATE(2916),
    [sym_existential_type] = STATE(2903),
    [sym_flow_maybe_type] = STATE(2903),
    [sym_parenthesized_type] = STATE(2903),
    [sym_predefined_type] = STATE(2903),
    [sym_object_type] = STATE(2903),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(2903),
    [sym_tuple_type] = STATE(2903),
    [sym_readonly_type] = STATE(2914),
    [sym_union_type] = STATE(2903),
    [sym_intersection_type] = STATE(2903),
    [sym_function_type] = STATE(2914),
    [sym_identifier] = ACTIONS(4002),
    [anon_sym_STAR] = ACTIONS(3744),
    [anon_sym_LBRACE] = ACTIONS(3746),
    [anon_sym_typeof] = ACTIONS(3748),
    [anon_sym_const] = ACTIONS(3750),
    [anon_sym_LPAREN] = ACTIONS(3752),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_new] = ACTIONS(3756),
    [anon_sym_AMP] = ACTIONS(3758),
    [anon_sym_PIPE] = ACTIONS(3760),
    [anon_sym_PLUS] = ACTIONS(3762),
    [anon_sym_DASH] = ACTIONS(3762),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3764),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3766),
    [sym_number] = ACTIONS(3768),
    [sym_this] = ACTIONS(4004),
    [sym_true] = ACTIONS(3768),
    [sym_false] = ACTIONS(3768),
    [sym_null] = ACTIONS(3768),
    [sym_undefined] = ACTIONS(3768),
    [anon_sym_readonly] = ACTIONS(3772),
    [anon_sym_QMARK] = ACTIONS(3774),
    [anon_sym_any] = ACTIONS(3764),
    [anon_sym_number] = ACTIONS(3764),
    [anon_sym_boolean] = ACTIONS(3764),
    [anon_sym_string] = ACTIONS(3764),
    [anon_sym_symbol] = ACTIONS(3764),
    [anon_sym_object] = ACTIONS(3764),
    [anon_sym_abstract] = ACTIONS(3776),
    [anon_sym_infer] = ACTIONS(3780),
    [anon_sym_keyof] = ACTIONS(3782),
    [anon_sym_unique] = ACTIONS(3784),
    [anon_sym_unknown] = ACTIONS(3764),
    [anon_sym_never] = ACTIONS(3764),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3746),
    [sym_html_comment] = ACTIONS(5),
  },
  [1887] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4104),
    [sym_comment] = STATE(1887),
    [sym_formal_parameters] = STATE(7432),
    [sym_nested_type_identifier] = STATE(3989),
    [sym__type] = STATE(4084),
    [sym_constructor_type] = STATE(4101),
    [sym__primary_type] = STATE(4067),
    [sym_template_literal_type] = STATE(4110),
    [sym_infer_type] = STATE(4101),
    [sym_conditional_type] = STATE(4110),
    [sym_generic_type] = STATE(4110),
    [sym_type_query] = STATE(4110),
    [sym_index_type_query] = STATE(4110),
    [sym_lookup_type] = STATE(4110),
    [sym_literal_type] = STATE(4110),
    [sym__number] = STATE(4068),
    [sym_existential_type] = STATE(4110),
    [sym_flow_maybe_type] = STATE(4110),
    [sym_parenthesized_type] = STATE(4110),
    [sym_predefined_type] = STATE(4110),
    [sym_object_type] = STATE(4110),
    [sym_type_parameters] = STATE(7009),
    [sym_array_type] = STATE(4110),
    [sym_tuple_type] = STATE(4110),
    [sym_readonly_type] = STATE(4101),
    [sym_union_type] = STATE(4110),
    [sym_intersection_type] = STATE(4110),
    [sym_function_type] = STATE(4101),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_typeof] = ACTIONS(1914),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1928),
    [sym_number] = ACTIONS(1930),
    [sym_this] = ACTIONS(1932),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [sym_null] = ACTIONS(1930),
    [sym_undefined] = ACTIONS(1930),
    [anon_sym_readonly] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_abstract] = ACTIONS(1342),
    [anon_sym_infer] = ACTIONS(1344),
    [anon_sym_keyof] = ACTIONS(1346),
    [anon_sym_unique] = ACTIONS(1348),
    [anon_sym_unknown] = ACTIONS(1350),
    [anon_sym_never] = ACTIONS(1350),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1888] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4104),
    [sym_comment] = STATE(1888),
    [sym_formal_parameters] = STATE(7432),
    [sym_nested_type_identifier] = STATE(3989),
    [sym__type] = STATE(4079),
    [sym_constructor_type] = STATE(4101),
    [sym__primary_type] = STATE(4067),
    [sym_template_literal_type] = STATE(4110),
    [sym_infer_type] = STATE(4101),
    [sym_conditional_type] = STATE(4110),
    [sym_generic_type] = STATE(4110),
    [sym_type_query] = STATE(4110),
    [sym_index_type_query] = STATE(4110),
    [sym_lookup_type] = STATE(4110),
    [sym_literal_type] = STATE(4110),
    [sym__number] = STATE(4068),
    [sym_existential_type] = STATE(4110),
    [sym_flow_maybe_type] = STATE(4110),
    [sym_parenthesized_type] = STATE(4110),
    [sym_predefined_type] = STATE(4110),
    [sym_object_type] = STATE(4110),
    [sym_type_parameters] = STATE(7009),
    [sym_array_type] = STATE(4110),
    [sym_tuple_type] = STATE(4110),
    [sym_readonly_type] = STATE(4101),
    [sym_union_type] = STATE(4110),
    [sym_intersection_type] = STATE(4110),
    [sym_function_type] = STATE(4101),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_typeof] = ACTIONS(1914),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1928),
    [sym_number] = ACTIONS(1930),
    [sym_this] = ACTIONS(1932),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [sym_null] = ACTIONS(1930),
    [sym_undefined] = ACTIONS(1930),
    [anon_sym_readonly] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_abstract] = ACTIONS(1342),
    [anon_sym_infer] = ACTIONS(1344),
    [anon_sym_keyof] = ACTIONS(1346),
    [anon_sym_unique] = ACTIONS(1348),
    [anon_sym_unknown] = ACTIONS(1350),
    [anon_sym_never] = ACTIONS(1350),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1889] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4104),
    [sym_comment] = STATE(1889),
    [sym_formal_parameters] = STATE(7432),
    [sym_nested_type_identifier] = STATE(3989),
    [sym__type] = STATE(5288),
    [sym_constructor_type] = STATE(4101),
    [sym__primary_type] = STATE(4067),
    [sym_template_literal_type] = STATE(4110),
    [sym_infer_type] = STATE(4101),
    [sym_conditional_type] = STATE(4110),
    [sym_generic_type] = STATE(4110),
    [sym_type_query] = STATE(4110),
    [sym_index_type_query] = STATE(4110),
    [sym_lookup_type] = STATE(4110),
    [sym_literal_type] = STATE(4110),
    [sym__number] = STATE(4068),
    [sym_existential_type] = STATE(4110),
    [sym_flow_maybe_type] = STATE(4110),
    [sym_parenthesized_type] = STATE(4110),
    [sym_predefined_type] = STATE(4110),
    [sym_object_type] = STATE(4110),
    [sym_type_parameters] = STATE(7009),
    [sym_array_type] = STATE(4110),
    [sym_tuple_type] = STATE(4110),
    [sym_readonly_type] = STATE(4101),
    [sym_union_type] = STATE(4110),
    [sym_intersection_type] = STATE(4110),
    [sym_function_type] = STATE(4101),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_typeof] = ACTIONS(1914),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1928),
    [sym_number] = ACTIONS(1930),
    [sym_this] = ACTIONS(1932),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [sym_null] = ACTIONS(1930),
    [sym_undefined] = ACTIONS(1930),
    [anon_sym_readonly] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_abstract] = ACTIONS(1342),
    [anon_sym_infer] = ACTIONS(1344),
    [anon_sym_keyof] = ACTIONS(1346),
    [anon_sym_unique] = ACTIONS(1348),
    [anon_sym_unknown] = ACTIONS(1350),
    [anon_sym_never] = ACTIONS(1350),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1890] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1890),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(3826),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1891] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1891),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(3879),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1892] = {
    [sym_nested_identifier] = STATE(7269),
    [sym_string] = STATE(2907),
    [sym_comment] = STATE(1892),
    [sym_formal_parameters] = STATE(7293),
    [sym_nested_type_identifier] = STATE(2737),
    [sym__type] = STATE(3008),
    [sym_constructor_type] = STATE(2914),
    [sym__primary_type] = STATE(2915),
    [sym_template_literal_type] = STATE(2903),
    [sym_infer_type] = STATE(2914),
    [sym_conditional_type] = STATE(2903),
    [sym_generic_type] = STATE(2903),
    [sym_type_query] = STATE(2903),
    [sym_index_type_query] = STATE(2903),
    [sym_lookup_type] = STATE(2903),
    [sym_literal_type] = STATE(2903),
    [sym__number] = STATE(2916),
    [sym_existential_type] = STATE(2903),
    [sym_flow_maybe_type] = STATE(2903),
    [sym_parenthesized_type] = STATE(2903),
    [sym_predefined_type] = STATE(2903),
    [sym_object_type] = STATE(2903),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(2903),
    [sym_tuple_type] = STATE(2903),
    [sym_readonly_type] = STATE(2914),
    [sym_union_type] = STATE(2903),
    [sym_intersection_type] = STATE(2903),
    [sym_function_type] = STATE(2914),
    [sym_identifier] = ACTIONS(4002),
    [anon_sym_STAR] = ACTIONS(3744),
    [anon_sym_LBRACE] = ACTIONS(3746),
    [anon_sym_typeof] = ACTIONS(3748),
    [anon_sym_const] = ACTIONS(3750),
    [anon_sym_LPAREN] = ACTIONS(3752),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_new] = ACTIONS(3756),
    [anon_sym_AMP] = ACTIONS(3758),
    [anon_sym_PIPE] = ACTIONS(3760),
    [anon_sym_PLUS] = ACTIONS(3762),
    [anon_sym_DASH] = ACTIONS(3762),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3764),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3766),
    [sym_number] = ACTIONS(3768),
    [sym_this] = ACTIONS(4004),
    [sym_true] = ACTIONS(3768),
    [sym_false] = ACTIONS(3768),
    [sym_null] = ACTIONS(3768),
    [sym_undefined] = ACTIONS(3768),
    [anon_sym_readonly] = ACTIONS(3772),
    [anon_sym_QMARK] = ACTIONS(3774),
    [anon_sym_any] = ACTIONS(3764),
    [anon_sym_number] = ACTIONS(3764),
    [anon_sym_boolean] = ACTIONS(3764),
    [anon_sym_string] = ACTIONS(3764),
    [anon_sym_symbol] = ACTIONS(3764),
    [anon_sym_object] = ACTIONS(3764),
    [anon_sym_abstract] = ACTIONS(3776),
    [anon_sym_infer] = ACTIONS(3780),
    [anon_sym_keyof] = ACTIONS(3782),
    [anon_sym_unique] = ACTIONS(3784),
    [anon_sym_unknown] = ACTIONS(3764),
    [anon_sym_never] = ACTIONS(3764),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3746),
    [sym_html_comment] = ACTIONS(5),
  },
  [1893] = {
    [sym_nested_identifier] = STATE(7269),
    [sym_string] = STATE(2907),
    [sym_comment] = STATE(1893),
    [sym_formal_parameters] = STATE(7293),
    [sym_nested_type_identifier] = STATE(2737),
    [sym__type] = STATE(2813),
    [sym_constructor_type] = STATE(2914),
    [sym__primary_type] = STATE(2915),
    [sym_template_literal_type] = STATE(2903),
    [sym_infer_type] = STATE(2914),
    [sym_conditional_type] = STATE(2903),
    [sym_generic_type] = STATE(2903),
    [sym_type_query] = STATE(2903),
    [sym_index_type_query] = STATE(2903),
    [sym_lookup_type] = STATE(2903),
    [sym_literal_type] = STATE(2903),
    [sym__number] = STATE(2916),
    [sym_existential_type] = STATE(2903),
    [sym_flow_maybe_type] = STATE(2903),
    [sym_parenthesized_type] = STATE(2903),
    [sym_predefined_type] = STATE(2903),
    [sym_object_type] = STATE(2903),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(2903),
    [sym_tuple_type] = STATE(2903),
    [sym_readonly_type] = STATE(2914),
    [sym_union_type] = STATE(2903),
    [sym_intersection_type] = STATE(2903),
    [sym_function_type] = STATE(2914),
    [sym_identifier] = ACTIONS(4002),
    [anon_sym_STAR] = ACTIONS(3744),
    [anon_sym_LBRACE] = ACTIONS(3746),
    [anon_sym_typeof] = ACTIONS(3748),
    [anon_sym_const] = ACTIONS(3750),
    [anon_sym_LPAREN] = ACTIONS(3752),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_new] = ACTIONS(3756),
    [anon_sym_AMP] = ACTIONS(3758),
    [anon_sym_PIPE] = ACTIONS(3760),
    [anon_sym_PLUS] = ACTIONS(3762),
    [anon_sym_DASH] = ACTIONS(3762),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3764),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3766),
    [sym_number] = ACTIONS(3768),
    [sym_this] = ACTIONS(4004),
    [sym_true] = ACTIONS(3768),
    [sym_false] = ACTIONS(3768),
    [sym_null] = ACTIONS(3768),
    [sym_undefined] = ACTIONS(3768),
    [anon_sym_readonly] = ACTIONS(3772),
    [anon_sym_QMARK] = ACTIONS(3774),
    [anon_sym_any] = ACTIONS(3764),
    [anon_sym_number] = ACTIONS(3764),
    [anon_sym_boolean] = ACTIONS(3764),
    [anon_sym_string] = ACTIONS(3764),
    [anon_sym_symbol] = ACTIONS(3764),
    [anon_sym_object] = ACTIONS(3764),
    [anon_sym_abstract] = ACTIONS(3776),
    [anon_sym_infer] = ACTIONS(3780),
    [anon_sym_keyof] = ACTIONS(3782),
    [anon_sym_unique] = ACTIONS(3784),
    [anon_sym_unknown] = ACTIONS(3764),
    [anon_sym_never] = ACTIONS(3764),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3746),
    [sym_html_comment] = ACTIONS(5),
  },
  [1894] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4104),
    [sym_comment] = STATE(1894),
    [sym_formal_parameters] = STATE(7432),
    [sym_nested_type_identifier] = STATE(3989),
    [sym__type] = STATE(4120),
    [sym_constructor_type] = STATE(4101),
    [sym__primary_type] = STATE(4067),
    [sym_template_literal_type] = STATE(4110),
    [sym_infer_type] = STATE(4101),
    [sym_conditional_type] = STATE(4110),
    [sym_generic_type] = STATE(4110),
    [sym_type_query] = STATE(4110),
    [sym_index_type_query] = STATE(4110),
    [sym_lookup_type] = STATE(4110),
    [sym_literal_type] = STATE(4110),
    [sym__number] = STATE(4068),
    [sym_existential_type] = STATE(4110),
    [sym_flow_maybe_type] = STATE(4110),
    [sym_parenthesized_type] = STATE(4110),
    [sym_predefined_type] = STATE(4110),
    [sym_object_type] = STATE(4110),
    [sym_type_parameters] = STATE(7009),
    [sym_array_type] = STATE(4110),
    [sym_tuple_type] = STATE(4110),
    [sym_readonly_type] = STATE(4101),
    [sym_union_type] = STATE(4110),
    [sym_intersection_type] = STATE(4110),
    [sym_function_type] = STATE(4101),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_typeof] = ACTIONS(1914),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1928),
    [sym_number] = ACTIONS(1930),
    [sym_this] = ACTIONS(1932),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [sym_null] = ACTIONS(1930),
    [sym_undefined] = ACTIONS(1930),
    [anon_sym_readonly] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_abstract] = ACTIONS(1342),
    [anon_sym_infer] = ACTIONS(1344),
    [anon_sym_keyof] = ACTIONS(1346),
    [anon_sym_unique] = ACTIONS(1348),
    [anon_sym_unknown] = ACTIONS(1350),
    [anon_sym_never] = ACTIONS(1350),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1895] = {
    [sym_nested_identifier] = STATE(7269),
    [sym_string] = STATE(2907),
    [sym_comment] = STATE(1895),
    [sym_formal_parameters] = STATE(7293),
    [sym_nested_type_identifier] = STATE(2737),
    [sym__type] = STATE(2878),
    [sym_constructor_type] = STATE(2914),
    [sym__primary_type] = STATE(2915),
    [sym_template_literal_type] = STATE(2903),
    [sym_infer_type] = STATE(2914),
    [sym_conditional_type] = STATE(2903),
    [sym_generic_type] = STATE(2903),
    [sym_type_query] = STATE(2903),
    [sym_index_type_query] = STATE(2903),
    [sym_lookup_type] = STATE(2903),
    [sym_literal_type] = STATE(2903),
    [sym__number] = STATE(2916),
    [sym_existential_type] = STATE(2903),
    [sym_flow_maybe_type] = STATE(2903),
    [sym_parenthesized_type] = STATE(2903),
    [sym_predefined_type] = STATE(2903),
    [sym_object_type] = STATE(2903),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(2903),
    [sym_tuple_type] = STATE(2903),
    [sym_readonly_type] = STATE(2914),
    [sym_union_type] = STATE(2903),
    [sym_intersection_type] = STATE(2903),
    [sym_function_type] = STATE(2914),
    [sym_identifier] = ACTIONS(4002),
    [anon_sym_STAR] = ACTIONS(3744),
    [anon_sym_LBRACE] = ACTIONS(3746),
    [anon_sym_typeof] = ACTIONS(3748),
    [anon_sym_const] = ACTIONS(3750),
    [anon_sym_LPAREN] = ACTIONS(3752),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_new] = ACTIONS(3756),
    [anon_sym_AMP] = ACTIONS(3758),
    [anon_sym_PIPE] = ACTIONS(3760),
    [anon_sym_PLUS] = ACTIONS(3762),
    [anon_sym_DASH] = ACTIONS(3762),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3764),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3766),
    [sym_number] = ACTIONS(3768),
    [sym_this] = ACTIONS(4004),
    [sym_true] = ACTIONS(3768),
    [sym_false] = ACTIONS(3768),
    [sym_null] = ACTIONS(3768),
    [sym_undefined] = ACTIONS(3768),
    [anon_sym_readonly] = ACTIONS(3772),
    [anon_sym_QMARK] = ACTIONS(3774),
    [anon_sym_any] = ACTIONS(3764),
    [anon_sym_number] = ACTIONS(3764),
    [anon_sym_boolean] = ACTIONS(3764),
    [anon_sym_string] = ACTIONS(3764),
    [anon_sym_symbol] = ACTIONS(3764),
    [anon_sym_object] = ACTIONS(3764),
    [anon_sym_abstract] = ACTIONS(3776),
    [anon_sym_infer] = ACTIONS(3780),
    [anon_sym_keyof] = ACTIONS(3782),
    [anon_sym_unique] = ACTIONS(3784),
    [anon_sym_unknown] = ACTIONS(3764),
    [anon_sym_never] = ACTIONS(3764),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3746),
    [sym_html_comment] = ACTIONS(5),
  },
  [1896] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4104),
    [sym_comment] = STATE(1896),
    [sym_formal_parameters] = STATE(7432),
    [sym_nested_type_identifier] = STATE(3989),
    [sym__type] = STATE(5456),
    [sym_constructor_type] = STATE(4101),
    [sym__primary_type] = STATE(4067),
    [sym_template_literal_type] = STATE(4110),
    [sym_infer_type] = STATE(4101),
    [sym_conditional_type] = STATE(4110),
    [sym_generic_type] = STATE(4110),
    [sym_type_query] = STATE(4110),
    [sym_index_type_query] = STATE(4110),
    [sym_lookup_type] = STATE(4110),
    [sym_literal_type] = STATE(4110),
    [sym__number] = STATE(4068),
    [sym_existential_type] = STATE(4110),
    [sym_flow_maybe_type] = STATE(4110),
    [sym_parenthesized_type] = STATE(4110),
    [sym_predefined_type] = STATE(4110),
    [sym_object_type] = STATE(4110),
    [sym_type_parameters] = STATE(7009),
    [sym_array_type] = STATE(4110),
    [sym_tuple_type] = STATE(4110),
    [sym_readonly_type] = STATE(4101),
    [sym_union_type] = STATE(4110),
    [sym_intersection_type] = STATE(4110),
    [sym_function_type] = STATE(4101),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_typeof] = ACTIONS(1914),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1928),
    [sym_number] = ACTIONS(1930),
    [sym_this] = ACTIONS(1932),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [sym_null] = ACTIONS(1930),
    [sym_undefined] = ACTIONS(1930),
    [anon_sym_readonly] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_abstract] = ACTIONS(1342),
    [anon_sym_infer] = ACTIONS(1344),
    [anon_sym_keyof] = ACTIONS(1346),
    [anon_sym_unique] = ACTIONS(1348),
    [anon_sym_unknown] = ACTIONS(1350),
    [anon_sym_never] = ACTIONS(1350),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1897] = {
    [sym_nested_identifier] = STATE(7269),
    [sym_string] = STATE(2907),
    [sym_comment] = STATE(1897),
    [sym_formal_parameters] = STATE(7293),
    [sym_nested_type_identifier] = STATE(2737),
    [sym__type] = STATE(3023),
    [sym_constructor_type] = STATE(2914),
    [sym__primary_type] = STATE(2915),
    [sym_template_literal_type] = STATE(2903),
    [sym_infer_type] = STATE(2914),
    [sym_conditional_type] = STATE(2903),
    [sym_generic_type] = STATE(2903),
    [sym_type_query] = STATE(2903),
    [sym_index_type_query] = STATE(2903),
    [sym_lookup_type] = STATE(2903),
    [sym_literal_type] = STATE(2903),
    [sym__number] = STATE(2916),
    [sym_existential_type] = STATE(2903),
    [sym_flow_maybe_type] = STATE(2903),
    [sym_parenthesized_type] = STATE(2903),
    [sym_predefined_type] = STATE(2903),
    [sym_object_type] = STATE(2903),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(2903),
    [sym_tuple_type] = STATE(2903),
    [sym_readonly_type] = STATE(2914),
    [sym_union_type] = STATE(2903),
    [sym_intersection_type] = STATE(2903),
    [sym_function_type] = STATE(2914),
    [sym_identifier] = ACTIONS(4002),
    [anon_sym_STAR] = ACTIONS(3744),
    [anon_sym_LBRACE] = ACTIONS(3746),
    [anon_sym_typeof] = ACTIONS(3748),
    [anon_sym_const] = ACTIONS(3750),
    [anon_sym_LPAREN] = ACTIONS(3752),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_new] = ACTIONS(3756),
    [anon_sym_AMP] = ACTIONS(3758),
    [anon_sym_PIPE] = ACTIONS(3760),
    [anon_sym_PLUS] = ACTIONS(3762),
    [anon_sym_DASH] = ACTIONS(3762),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3764),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3766),
    [sym_number] = ACTIONS(3768),
    [sym_this] = ACTIONS(4004),
    [sym_true] = ACTIONS(3768),
    [sym_false] = ACTIONS(3768),
    [sym_null] = ACTIONS(3768),
    [sym_undefined] = ACTIONS(3768),
    [anon_sym_readonly] = ACTIONS(3772),
    [anon_sym_QMARK] = ACTIONS(3774),
    [anon_sym_any] = ACTIONS(3764),
    [anon_sym_number] = ACTIONS(3764),
    [anon_sym_boolean] = ACTIONS(3764),
    [anon_sym_string] = ACTIONS(3764),
    [anon_sym_symbol] = ACTIONS(3764),
    [anon_sym_object] = ACTIONS(3764),
    [anon_sym_abstract] = ACTIONS(3776),
    [anon_sym_infer] = ACTIONS(3780),
    [anon_sym_keyof] = ACTIONS(3782),
    [anon_sym_unique] = ACTIONS(3784),
    [anon_sym_unknown] = ACTIONS(3764),
    [anon_sym_never] = ACTIONS(3764),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3746),
    [sym_html_comment] = ACTIONS(5),
  },
  [1898] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4104),
    [sym_comment] = STATE(1898),
    [sym_formal_parameters] = STATE(7432),
    [sym_nested_type_identifier] = STATE(3989),
    [sym__type] = STATE(4090),
    [sym_constructor_type] = STATE(4101),
    [sym__primary_type] = STATE(4067),
    [sym_template_literal_type] = STATE(4110),
    [sym_infer_type] = STATE(4101),
    [sym_conditional_type] = STATE(4110),
    [sym_generic_type] = STATE(4110),
    [sym_type_query] = STATE(4110),
    [sym_index_type_query] = STATE(4110),
    [sym_lookup_type] = STATE(4110),
    [sym_literal_type] = STATE(4110),
    [sym__number] = STATE(4068),
    [sym_existential_type] = STATE(4110),
    [sym_flow_maybe_type] = STATE(4110),
    [sym_parenthesized_type] = STATE(4110),
    [sym_predefined_type] = STATE(4110),
    [sym_object_type] = STATE(4110),
    [sym_type_parameters] = STATE(7009),
    [sym_array_type] = STATE(4110),
    [sym_tuple_type] = STATE(4110),
    [sym_readonly_type] = STATE(4101),
    [sym_union_type] = STATE(4110),
    [sym_intersection_type] = STATE(4110),
    [sym_function_type] = STATE(4101),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_typeof] = ACTIONS(1914),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1928),
    [sym_number] = ACTIONS(1930),
    [sym_this] = ACTIONS(1932),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [sym_null] = ACTIONS(1930),
    [sym_undefined] = ACTIONS(1930),
    [anon_sym_readonly] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_abstract] = ACTIONS(1342),
    [anon_sym_infer] = ACTIONS(1344),
    [anon_sym_keyof] = ACTIONS(1346),
    [anon_sym_unique] = ACTIONS(1348),
    [anon_sym_unknown] = ACTIONS(1350),
    [anon_sym_never] = ACTIONS(1350),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1899] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4104),
    [sym_comment] = STATE(1899),
    [sym_formal_parameters] = STATE(7432),
    [sym_nested_type_identifier] = STATE(3989),
    [sym__type] = STATE(4096),
    [sym_constructor_type] = STATE(4101),
    [sym__primary_type] = STATE(4067),
    [sym_template_literal_type] = STATE(4110),
    [sym_infer_type] = STATE(4101),
    [sym_conditional_type] = STATE(4110),
    [sym_generic_type] = STATE(4110),
    [sym_type_query] = STATE(4110),
    [sym_index_type_query] = STATE(4110),
    [sym_lookup_type] = STATE(4110),
    [sym_literal_type] = STATE(4110),
    [sym__number] = STATE(4068),
    [sym_existential_type] = STATE(4110),
    [sym_flow_maybe_type] = STATE(4110),
    [sym_parenthesized_type] = STATE(4110),
    [sym_predefined_type] = STATE(4110),
    [sym_object_type] = STATE(4110),
    [sym_type_parameters] = STATE(7009),
    [sym_array_type] = STATE(4110),
    [sym_tuple_type] = STATE(4110),
    [sym_readonly_type] = STATE(4101),
    [sym_union_type] = STATE(4110),
    [sym_intersection_type] = STATE(4110),
    [sym_function_type] = STATE(4101),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_typeof] = ACTIONS(1914),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1928),
    [sym_number] = ACTIONS(1930),
    [sym_this] = ACTIONS(1932),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [sym_null] = ACTIONS(1930),
    [sym_undefined] = ACTIONS(1930),
    [anon_sym_readonly] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_abstract] = ACTIONS(1342),
    [anon_sym_infer] = ACTIONS(1344),
    [anon_sym_keyof] = ACTIONS(1346),
    [anon_sym_unique] = ACTIONS(1348),
    [anon_sym_unknown] = ACTIONS(1350),
    [anon_sym_never] = ACTIONS(1350),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1900] = {
    [sym_nested_identifier] = STATE(7269),
    [sym_string] = STATE(2907),
    [sym_comment] = STATE(1900),
    [sym_formal_parameters] = STATE(7293),
    [sym_nested_type_identifier] = STATE(2737),
    [sym__type] = STATE(2991),
    [sym_constructor_type] = STATE(2914),
    [sym__primary_type] = STATE(2915),
    [sym_template_literal_type] = STATE(2903),
    [sym_infer_type] = STATE(2914),
    [sym_conditional_type] = STATE(2903),
    [sym_generic_type] = STATE(2903),
    [sym_type_query] = STATE(2903),
    [sym_index_type_query] = STATE(2903),
    [sym_lookup_type] = STATE(2903),
    [sym_literal_type] = STATE(2903),
    [sym__number] = STATE(2916),
    [sym_existential_type] = STATE(2903),
    [sym_flow_maybe_type] = STATE(2903),
    [sym_parenthesized_type] = STATE(2903),
    [sym_predefined_type] = STATE(2903),
    [sym_object_type] = STATE(2903),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(2903),
    [sym_tuple_type] = STATE(2903),
    [sym_readonly_type] = STATE(2914),
    [sym_union_type] = STATE(2903),
    [sym_intersection_type] = STATE(2903),
    [sym_function_type] = STATE(2914),
    [sym_identifier] = ACTIONS(4002),
    [anon_sym_STAR] = ACTIONS(3744),
    [anon_sym_LBRACE] = ACTIONS(3746),
    [anon_sym_typeof] = ACTIONS(3748),
    [anon_sym_const] = ACTIONS(3750),
    [anon_sym_LPAREN] = ACTIONS(3752),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_new] = ACTIONS(3756),
    [anon_sym_AMP] = ACTIONS(3758),
    [anon_sym_PIPE] = ACTIONS(3760),
    [anon_sym_PLUS] = ACTIONS(3762),
    [anon_sym_DASH] = ACTIONS(3762),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3764),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3766),
    [sym_number] = ACTIONS(3768),
    [sym_this] = ACTIONS(4004),
    [sym_true] = ACTIONS(3768),
    [sym_false] = ACTIONS(3768),
    [sym_null] = ACTIONS(3768),
    [sym_undefined] = ACTIONS(3768),
    [anon_sym_readonly] = ACTIONS(3772),
    [anon_sym_QMARK] = ACTIONS(3774),
    [anon_sym_any] = ACTIONS(3764),
    [anon_sym_number] = ACTIONS(3764),
    [anon_sym_boolean] = ACTIONS(3764),
    [anon_sym_string] = ACTIONS(3764),
    [anon_sym_symbol] = ACTIONS(3764),
    [anon_sym_object] = ACTIONS(3764),
    [anon_sym_abstract] = ACTIONS(3776),
    [anon_sym_infer] = ACTIONS(3780),
    [anon_sym_keyof] = ACTIONS(3782),
    [anon_sym_unique] = ACTIONS(3784),
    [anon_sym_unknown] = ACTIONS(3764),
    [anon_sym_never] = ACTIONS(3764),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3746),
    [sym_html_comment] = ACTIONS(5),
  },
  [1901] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4104),
    [sym_comment] = STATE(1901),
    [sym_formal_parameters] = STATE(7432),
    [sym_nested_type_identifier] = STATE(3989),
    [sym__type] = STATE(5448),
    [sym_constructor_type] = STATE(4101),
    [sym__primary_type] = STATE(4067),
    [sym_template_literal_type] = STATE(4110),
    [sym_infer_type] = STATE(4101),
    [sym_conditional_type] = STATE(4110),
    [sym_generic_type] = STATE(4110),
    [sym_type_query] = STATE(4110),
    [sym_index_type_query] = STATE(4110),
    [sym_lookup_type] = STATE(4110),
    [sym_literal_type] = STATE(4110),
    [sym__number] = STATE(4068),
    [sym_existential_type] = STATE(4110),
    [sym_flow_maybe_type] = STATE(4110),
    [sym_parenthesized_type] = STATE(4110),
    [sym_predefined_type] = STATE(4110),
    [sym_object_type] = STATE(4110),
    [sym_type_parameters] = STATE(7009),
    [sym_array_type] = STATE(4110),
    [sym_tuple_type] = STATE(4110),
    [sym_readonly_type] = STATE(4101),
    [sym_union_type] = STATE(4110),
    [sym_intersection_type] = STATE(4110),
    [sym_function_type] = STATE(4101),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_typeof] = ACTIONS(1914),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1928),
    [sym_number] = ACTIONS(1930),
    [sym_this] = ACTIONS(1932),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [sym_null] = ACTIONS(1930),
    [sym_undefined] = ACTIONS(1930),
    [anon_sym_readonly] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_abstract] = ACTIONS(1342),
    [anon_sym_infer] = ACTIONS(1344),
    [anon_sym_keyof] = ACTIONS(1346),
    [anon_sym_unique] = ACTIONS(1348),
    [anon_sym_unknown] = ACTIONS(1350),
    [anon_sym_never] = ACTIONS(1350),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1902] = {
    [sym_nested_identifier] = STATE(7269),
    [sym_string] = STATE(2907),
    [sym_comment] = STATE(1902),
    [sym_formal_parameters] = STATE(7293),
    [sym_nested_type_identifier] = STATE(2737),
    [sym__type] = STATE(2989),
    [sym_constructor_type] = STATE(2914),
    [sym__primary_type] = STATE(2915),
    [sym_template_literal_type] = STATE(2903),
    [sym_infer_type] = STATE(2914),
    [sym_conditional_type] = STATE(2903),
    [sym_generic_type] = STATE(2903),
    [sym_type_query] = STATE(2903),
    [sym_index_type_query] = STATE(2903),
    [sym_lookup_type] = STATE(2903),
    [sym_literal_type] = STATE(2903),
    [sym__number] = STATE(2916),
    [sym_existential_type] = STATE(2903),
    [sym_flow_maybe_type] = STATE(2903),
    [sym_parenthesized_type] = STATE(2903),
    [sym_predefined_type] = STATE(2903),
    [sym_object_type] = STATE(2903),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(2903),
    [sym_tuple_type] = STATE(2903),
    [sym_readonly_type] = STATE(2914),
    [sym_union_type] = STATE(2903),
    [sym_intersection_type] = STATE(2903),
    [sym_function_type] = STATE(2914),
    [sym_identifier] = ACTIONS(4002),
    [anon_sym_STAR] = ACTIONS(3744),
    [anon_sym_LBRACE] = ACTIONS(3746),
    [anon_sym_typeof] = ACTIONS(3748),
    [anon_sym_const] = ACTIONS(3750),
    [anon_sym_LPAREN] = ACTIONS(3752),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_new] = ACTIONS(3756),
    [anon_sym_AMP] = ACTIONS(3758),
    [anon_sym_PIPE] = ACTIONS(3760),
    [anon_sym_PLUS] = ACTIONS(3762),
    [anon_sym_DASH] = ACTIONS(3762),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3764),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3766),
    [sym_number] = ACTIONS(3768),
    [sym_this] = ACTIONS(4004),
    [sym_true] = ACTIONS(3768),
    [sym_false] = ACTIONS(3768),
    [sym_null] = ACTIONS(3768),
    [sym_undefined] = ACTIONS(3768),
    [anon_sym_readonly] = ACTIONS(3772),
    [anon_sym_QMARK] = ACTIONS(3774),
    [anon_sym_any] = ACTIONS(3764),
    [anon_sym_number] = ACTIONS(3764),
    [anon_sym_boolean] = ACTIONS(3764),
    [anon_sym_string] = ACTIONS(3764),
    [anon_sym_symbol] = ACTIONS(3764),
    [anon_sym_object] = ACTIONS(3764),
    [anon_sym_abstract] = ACTIONS(3776),
    [anon_sym_infer] = ACTIONS(3780),
    [anon_sym_keyof] = ACTIONS(3782),
    [anon_sym_unique] = ACTIONS(3784),
    [anon_sym_unknown] = ACTIONS(3764),
    [anon_sym_never] = ACTIONS(3764),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3746),
    [sym_html_comment] = ACTIONS(5),
  },
  [1903] = {
    [sym_nested_identifier] = STATE(7269),
    [sym_string] = STATE(2907),
    [sym_comment] = STATE(1903),
    [sym_formal_parameters] = STATE(7293),
    [sym_nested_type_identifier] = STATE(2737),
    [sym__type] = STATE(2982),
    [sym_constructor_type] = STATE(2914),
    [sym__primary_type] = STATE(2915),
    [sym_template_literal_type] = STATE(2903),
    [sym_infer_type] = STATE(2914),
    [sym_conditional_type] = STATE(2903),
    [sym_generic_type] = STATE(2903),
    [sym_type_query] = STATE(2903),
    [sym_index_type_query] = STATE(2903),
    [sym_lookup_type] = STATE(2903),
    [sym_literal_type] = STATE(2903),
    [sym__number] = STATE(2916),
    [sym_existential_type] = STATE(2903),
    [sym_flow_maybe_type] = STATE(2903),
    [sym_parenthesized_type] = STATE(2903),
    [sym_predefined_type] = STATE(2903),
    [sym_object_type] = STATE(2903),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(2903),
    [sym_tuple_type] = STATE(2903),
    [sym_readonly_type] = STATE(2914),
    [sym_union_type] = STATE(2903),
    [sym_intersection_type] = STATE(2903),
    [sym_function_type] = STATE(2914),
    [sym_identifier] = ACTIONS(4002),
    [anon_sym_STAR] = ACTIONS(3744),
    [anon_sym_LBRACE] = ACTIONS(3746),
    [anon_sym_typeof] = ACTIONS(3748),
    [anon_sym_const] = ACTIONS(3750),
    [anon_sym_LPAREN] = ACTIONS(3752),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_new] = ACTIONS(3756),
    [anon_sym_AMP] = ACTIONS(3758),
    [anon_sym_PIPE] = ACTIONS(3760),
    [anon_sym_PLUS] = ACTIONS(3762),
    [anon_sym_DASH] = ACTIONS(3762),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3764),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3766),
    [sym_number] = ACTIONS(3768),
    [sym_this] = ACTIONS(4004),
    [sym_true] = ACTIONS(3768),
    [sym_false] = ACTIONS(3768),
    [sym_null] = ACTIONS(3768),
    [sym_undefined] = ACTIONS(3768),
    [anon_sym_readonly] = ACTIONS(3772),
    [anon_sym_QMARK] = ACTIONS(3774),
    [anon_sym_any] = ACTIONS(3764),
    [anon_sym_number] = ACTIONS(3764),
    [anon_sym_boolean] = ACTIONS(3764),
    [anon_sym_string] = ACTIONS(3764),
    [anon_sym_symbol] = ACTIONS(3764),
    [anon_sym_object] = ACTIONS(3764),
    [anon_sym_abstract] = ACTIONS(3776),
    [anon_sym_infer] = ACTIONS(3780),
    [anon_sym_keyof] = ACTIONS(3782),
    [anon_sym_unique] = ACTIONS(3784),
    [anon_sym_unknown] = ACTIONS(3764),
    [anon_sym_never] = ACTIONS(3764),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3746),
    [sym_html_comment] = ACTIONS(5),
  },
  [1904] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1904),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(3883),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1905] = {
    [sym_nested_identifier] = STATE(7269),
    [sym_string] = STATE(2907),
    [sym_comment] = STATE(1905),
    [sym_formal_parameters] = STATE(7293),
    [sym_nested_type_identifier] = STATE(2737),
    [sym__type] = STATE(3007),
    [sym_constructor_type] = STATE(2914),
    [sym__primary_type] = STATE(2915),
    [sym_template_literal_type] = STATE(2903),
    [sym_infer_type] = STATE(2914),
    [sym_conditional_type] = STATE(2903),
    [sym_generic_type] = STATE(2903),
    [sym_type_query] = STATE(2903),
    [sym_index_type_query] = STATE(2903),
    [sym_lookup_type] = STATE(2903),
    [sym_literal_type] = STATE(2903),
    [sym__number] = STATE(2916),
    [sym_existential_type] = STATE(2903),
    [sym_flow_maybe_type] = STATE(2903),
    [sym_parenthesized_type] = STATE(2903),
    [sym_predefined_type] = STATE(2903),
    [sym_object_type] = STATE(2903),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(2903),
    [sym_tuple_type] = STATE(2903),
    [sym_readonly_type] = STATE(2914),
    [sym_union_type] = STATE(2903),
    [sym_intersection_type] = STATE(2903),
    [sym_function_type] = STATE(2914),
    [sym_identifier] = ACTIONS(4002),
    [anon_sym_STAR] = ACTIONS(3744),
    [anon_sym_LBRACE] = ACTIONS(3746),
    [anon_sym_typeof] = ACTIONS(3748),
    [anon_sym_const] = ACTIONS(3750),
    [anon_sym_LPAREN] = ACTIONS(3752),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_new] = ACTIONS(3756),
    [anon_sym_AMP] = ACTIONS(3758),
    [anon_sym_PIPE] = ACTIONS(3760),
    [anon_sym_PLUS] = ACTIONS(3762),
    [anon_sym_DASH] = ACTIONS(3762),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3764),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3766),
    [sym_number] = ACTIONS(3768),
    [sym_this] = ACTIONS(4004),
    [sym_true] = ACTIONS(3768),
    [sym_false] = ACTIONS(3768),
    [sym_null] = ACTIONS(3768),
    [sym_undefined] = ACTIONS(3768),
    [anon_sym_readonly] = ACTIONS(3772),
    [anon_sym_QMARK] = ACTIONS(3774),
    [anon_sym_any] = ACTIONS(3764),
    [anon_sym_number] = ACTIONS(3764),
    [anon_sym_boolean] = ACTIONS(3764),
    [anon_sym_string] = ACTIONS(3764),
    [anon_sym_symbol] = ACTIONS(3764),
    [anon_sym_object] = ACTIONS(3764),
    [anon_sym_abstract] = ACTIONS(3776),
    [anon_sym_infer] = ACTIONS(3780),
    [anon_sym_keyof] = ACTIONS(3782),
    [anon_sym_unique] = ACTIONS(3784),
    [anon_sym_unknown] = ACTIONS(3764),
    [anon_sym_never] = ACTIONS(3764),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3746),
    [sym_html_comment] = ACTIONS(5),
  },
  [1906] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4104),
    [sym_comment] = STATE(1906),
    [sym_formal_parameters] = STATE(7432),
    [sym_nested_type_identifier] = STATE(3989),
    [sym__type] = STATE(4975),
    [sym_constructor_type] = STATE(4101),
    [sym__primary_type] = STATE(4067),
    [sym_template_literal_type] = STATE(4110),
    [sym_infer_type] = STATE(4101),
    [sym_conditional_type] = STATE(4110),
    [sym_generic_type] = STATE(4110),
    [sym_type_query] = STATE(4110),
    [sym_index_type_query] = STATE(4110),
    [sym_lookup_type] = STATE(4110),
    [sym_literal_type] = STATE(4110),
    [sym__number] = STATE(4068),
    [sym_existential_type] = STATE(4110),
    [sym_flow_maybe_type] = STATE(4110),
    [sym_parenthesized_type] = STATE(4110),
    [sym_predefined_type] = STATE(4110),
    [sym_object_type] = STATE(4110),
    [sym_type_parameters] = STATE(7009),
    [sym_array_type] = STATE(4110),
    [sym_tuple_type] = STATE(4110),
    [sym_readonly_type] = STATE(4101),
    [sym_union_type] = STATE(4110),
    [sym_intersection_type] = STATE(4110),
    [sym_function_type] = STATE(4101),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_typeof] = ACTIONS(1914),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1928),
    [sym_number] = ACTIONS(1930),
    [sym_this] = ACTIONS(1932),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [sym_null] = ACTIONS(1930),
    [sym_undefined] = ACTIONS(1930),
    [anon_sym_readonly] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_abstract] = ACTIONS(1342),
    [anon_sym_infer] = ACTIONS(1344),
    [anon_sym_keyof] = ACTIONS(1346),
    [anon_sym_unique] = ACTIONS(1348),
    [anon_sym_unknown] = ACTIONS(1350),
    [anon_sym_never] = ACTIONS(1350),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1907] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1907),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(5671),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1908] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4104),
    [sym_comment] = STATE(1908),
    [sym_formal_parameters] = STATE(7432),
    [sym_nested_type_identifier] = STATE(3989),
    [sym__type] = STATE(5440),
    [sym_constructor_type] = STATE(4101),
    [sym__primary_type] = STATE(4067),
    [sym_template_literal_type] = STATE(4110),
    [sym_infer_type] = STATE(4101),
    [sym_conditional_type] = STATE(4110),
    [sym_generic_type] = STATE(4110),
    [sym_type_query] = STATE(4110),
    [sym_index_type_query] = STATE(4110),
    [sym_lookup_type] = STATE(4110),
    [sym_literal_type] = STATE(4110),
    [sym__number] = STATE(4068),
    [sym_existential_type] = STATE(4110),
    [sym_flow_maybe_type] = STATE(4110),
    [sym_parenthesized_type] = STATE(4110),
    [sym_predefined_type] = STATE(4110),
    [sym_object_type] = STATE(4110),
    [sym_type_parameters] = STATE(7009),
    [sym_array_type] = STATE(4110),
    [sym_tuple_type] = STATE(4110),
    [sym_readonly_type] = STATE(4101),
    [sym_union_type] = STATE(4110),
    [sym_intersection_type] = STATE(4110),
    [sym_function_type] = STATE(4101),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_typeof] = ACTIONS(1914),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1928),
    [sym_number] = ACTIONS(1930),
    [sym_this] = ACTIONS(1932),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [sym_null] = ACTIONS(1930),
    [sym_undefined] = ACTIONS(1930),
    [anon_sym_readonly] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_abstract] = ACTIONS(1342),
    [anon_sym_infer] = ACTIONS(1344),
    [anon_sym_keyof] = ACTIONS(1346),
    [anon_sym_unique] = ACTIONS(1348),
    [anon_sym_unknown] = ACTIONS(1350),
    [anon_sym_never] = ACTIONS(1350),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1909] = {
    [sym_nested_identifier] = STATE(7269),
    [sym_string] = STATE(2907),
    [sym_comment] = STATE(1909),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(2737),
    [sym__type] = STATE(6282),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(2968),
    [sym_template_literal_type] = STATE(2903),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(2903),
    [sym_generic_type] = STATE(2903),
    [sym_type_query] = STATE(2903),
    [sym_index_type_query] = STATE(2903),
    [sym_lookup_type] = STATE(2903),
    [sym_literal_type] = STATE(2903),
    [sym__number] = STATE(2916),
    [sym_existential_type] = STATE(2903),
    [sym_flow_maybe_type] = STATE(2903),
    [sym_parenthesized_type] = STATE(2903),
    [sym_predefined_type] = STATE(2903),
    [sym_object_type] = STATE(2903),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(2903),
    [sym_tuple_type] = STATE(2903),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(2903),
    [sym_intersection_type] = STATE(2903),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(4002),
    [anon_sym_STAR] = ACTIONS(3744),
    [anon_sym_LBRACE] = ACTIONS(3746),
    [anon_sym_typeof] = ACTIONS(3748),
    [anon_sym_const] = ACTIONS(3750),
    [anon_sym_LPAREN] = ACTIONS(3752),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(3758),
    [anon_sym_PIPE] = ACTIONS(3760),
    [anon_sym_PLUS] = ACTIONS(3762),
    [anon_sym_DASH] = ACTIONS(3762),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3764),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3766),
    [sym_number] = ACTIONS(3768),
    [sym_this] = ACTIONS(4004),
    [sym_true] = ACTIONS(3768),
    [sym_false] = ACTIONS(3768),
    [sym_null] = ACTIONS(3768),
    [sym_undefined] = ACTIONS(3768),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(3774),
    [anon_sym_any] = ACTIONS(3764),
    [anon_sym_number] = ACTIONS(3764),
    [anon_sym_boolean] = ACTIONS(3764),
    [anon_sym_string] = ACTIONS(3764),
    [anon_sym_symbol] = ACTIONS(3764),
    [anon_sym_object] = ACTIONS(3764),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(3782),
    [anon_sym_unique] = ACTIONS(3784),
    [anon_sym_unknown] = ACTIONS(3764),
    [anon_sym_never] = ACTIONS(3764),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3746),
    [sym_html_comment] = ACTIONS(5),
  },
  [1910] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1910),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(5617),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1911] = {
    [sym_nested_identifier] = STATE(7127),
    [sym_string] = STATE(2484),
    [sym_comment] = STATE(1911),
    [sym_formal_parameters] = STATE(7143),
    [sym_nested_type_identifier] = STATE(2329),
    [sym__type] = STATE(2354),
    [sym_constructor_type] = STATE(2481),
    [sym__primary_type] = STATE(2477),
    [sym_template_literal_type] = STATE(2485),
    [sym_infer_type] = STATE(2481),
    [sym_conditional_type] = STATE(2485),
    [sym_generic_type] = STATE(2485),
    [sym_type_query] = STATE(2485),
    [sym_index_type_query] = STATE(2485),
    [sym_lookup_type] = STATE(2485),
    [sym_literal_type] = STATE(2485),
    [sym__number] = STATE(2476),
    [sym_existential_type] = STATE(2485),
    [sym_flow_maybe_type] = STATE(2485),
    [sym_parenthesized_type] = STATE(2485),
    [sym_predefined_type] = STATE(2485),
    [sym_object_type] = STATE(2485),
    [sym_type_parameters] = STATE(6983),
    [sym_array_type] = STATE(2485),
    [sym_tuple_type] = STATE(2485),
    [sym_readonly_type] = STATE(2481),
    [sym_union_type] = STATE(2485),
    [sym_intersection_type] = STATE(2485),
    [sym_function_type] = STATE(2481),
    [sym_identifier] = ACTIONS(4006),
    [anon_sym_STAR] = ACTIONS(3788),
    [anon_sym_LBRACE] = ACTIONS(3790),
    [anon_sym_typeof] = ACTIONS(3792),
    [anon_sym_const] = ACTIONS(3794),
    [anon_sym_LPAREN] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3798),
    [anon_sym_new] = ACTIONS(3800),
    [anon_sym_AMP] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_PLUS] = ACTIONS(3806),
    [anon_sym_DASH] = ACTIONS(3806),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3808),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3810),
    [sym_number] = ACTIONS(3812),
    [sym_this] = ACTIONS(4008),
    [sym_true] = ACTIONS(3812),
    [sym_false] = ACTIONS(3812),
    [sym_null] = ACTIONS(3812),
    [sym_undefined] = ACTIONS(3812),
    [anon_sym_readonly] = ACTIONS(3816),
    [anon_sym_QMARK] = ACTIONS(3818),
    [anon_sym_any] = ACTIONS(3808),
    [anon_sym_number] = ACTIONS(3808),
    [anon_sym_boolean] = ACTIONS(3808),
    [anon_sym_string] = ACTIONS(3808),
    [anon_sym_symbol] = ACTIONS(3808),
    [anon_sym_object] = ACTIONS(3808),
    [anon_sym_abstract] = ACTIONS(3820),
    [anon_sym_infer] = ACTIONS(3824),
    [anon_sym_keyof] = ACTIONS(3826),
    [anon_sym_unique] = ACTIONS(3828),
    [anon_sym_unknown] = ACTIONS(3808),
    [anon_sym_never] = ACTIONS(3808),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3790),
    [sym_html_comment] = ACTIONS(5),
  },
  [1912] = {
    [sym_nested_identifier] = STATE(7269),
    [sym_string] = STATE(2907),
    [sym_comment] = STATE(1912),
    [sym_formal_parameters] = STATE(7293),
    [sym_nested_type_identifier] = STATE(2737),
    [sym__type] = STATE(3022),
    [sym_constructor_type] = STATE(2914),
    [sym__primary_type] = STATE(2915),
    [sym_template_literal_type] = STATE(2903),
    [sym_infer_type] = STATE(2914),
    [sym_conditional_type] = STATE(2903),
    [sym_generic_type] = STATE(2903),
    [sym_type_query] = STATE(2903),
    [sym_index_type_query] = STATE(2903),
    [sym_lookup_type] = STATE(2903),
    [sym_literal_type] = STATE(2903),
    [sym__number] = STATE(2916),
    [sym_existential_type] = STATE(2903),
    [sym_flow_maybe_type] = STATE(2903),
    [sym_parenthesized_type] = STATE(2903),
    [sym_predefined_type] = STATE(2903),
    [sym_object_type] = STATE(2903),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(2903),
    [sym_tuple_type] = STATE(2903),
    [sym_readonly_type] = STATE(2914),
    [sym_union_type] = STATE(2903),
    [sym_intersection_type] = STATE(2903),
    [sym_function_type] = STATE(2914),
    [sym_identifier] = ACTIONS(4002),
    [anon_sym_STAR] = ACTIONS(3744),
    [anon_sym_LBRACE] = ACTIONS(3746),
    [anon_sym_typeof] = ACTIONS(3748),
    [anon_sym_const] = ACTIONS(3750),
    [anon_sym_LPAREN] = ACTIONS(3752),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_new] = ACTIONS(3756),
    [anon_sym_AMP] = ACTIONS(3758),
    [anon_sym_PIPE] = ACTIONS(3760),
    [anon_sym_PLUS] = ACTIONS(3762),
    [anon_sym_DASH] = ACTIONS(3762),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3764),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3766),
    [sym_number] = ACTIONS(3768),
    [sym_this] = ACTIONS(4004),
    [sym_true] = ACTIONS(3768),
    [sym_false] = ACTIONS(3768),
    [sym_null] = ACTIONS(3768),
    [sym_undefined] = ACTIONS(3768),
    [anon_sym_readonly] = ACTIONS(3772),
    [anon_sym_QMARK] = ACTIONS(3774),
    [anon_sym_any] = ACTIONS(3764),
    [anon_sym_number] = ACTIONS(3764),
    [anon_sym_boolean] = ACTIONS(3764),
    [anon_sym_string] = ACTIONS(3764),
    [anon_sym_symbol] = ACTIONS(3764),
    [anon_sym_object] = ACTIONS(3764),
    [anon_sym_abstract] = ACTIONS(3776),
    [anon_sym_infer] = ACTIONS(3780),
    [anon_sym_keyof] = ACTIONS(3782),
    [anon_sym_unique] = ACTIONS(3784),
    [anon_sym_unknown] = ACTIONS(3764),
    [anon_sym_never] = ACTIONS(3764),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3746),
    [sym_html_comment] = ACTIONS(5),
  },
  [1913] = {
    [sym_nested_identifier] = STATE(7127),
    [sym_string] = STATE(2484),
    [sym_comment] = STATE(1913),
    [sym_formal_parameters] = STATE(7143),
    [sym_nested_type_identifier] = STATE(2329),
    [sym__type] = STATE(2413),
    [sym_constructor_type] = STATE(2481),
    [sym__primary_type] = STATE(2477),
    [sym_template_literal_type] = STATE(2485),
    [sym_infer_type] = STATE(2481),
    [sym_conditional_type] = STATE(2485),
    [sym_generic_type] = STATE(2485),
    [sym_type_query] = STATE(2485),
    [sym_index_type_query] = STATE(2485),
    [sym_lookup_type] = STATE(2485),
    [sym_literal_type] = STATE(2485),
    [sym__number] = STATE(2476),
    [sym_existential_type] = STATE(2485),
    [sym_flow_maybe_type] = STATE(2485),
    [sym_parenthesized_type] = STATE(2485),
    [sym_predefined_type] = STATE(2485),
    [sym_object_type] = STATE(2485),
    [sym_type_parameters] = STATE(6983),
    [sym_array_type] = STATE(2485),
    [sym_tuple_type] = STATE(2485),
    [sym_readonly_type] = STATE(2481),
    [sym_union_type] = STATE(2485),
    [sym_intersection_type] = STATE(2485),
    [sym_function_type] = STATE(2481),
    [sym_identifier] = ACTIONS(4006),
    [anon_sym_STAR] = ACTIONS(3788),
    [anon_sym_LBRACE] = ACTIONS(3790),
    [anon_sym_typeof] = ACTIONS(3792),
    [anon_sym_const] = ACTIONS(3794),
    [anon_sym_LPAREN] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3798),
    [anon_sym_new] = ACTIONS(3800),
    [anon_sym_AMP] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_PLUS] = ACTIONS(3806),
    [anon_sym_DASH] = ACTIONS(3806),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3808),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3810),
    [sym_number] = ACTIONS(3812),
    [sym_this] = ACTIONS(4008),
    [sym_true] = ACTIONS(3812),
    [sym_false] = ACTIONS(3812),
    [sym_null] = ACTIONS(3812),
    [sym_undefined] = ACTIONS(3812),
    [anon_sym_readonly] = ACTIONS(3816),
    [anon_sym_QMARK] = ACTIONS(3818),
    [anon_sym_any] = ACTIONS(3808),
    [anon_sym_number] = ACTIONS(3808),
    [anon_sym_boolean] = ACTIONS(3808),
    [anon_sym_string] = ACTIONS(3808),
    [anon_sym_symbol] = ACTIONS(3808),
    [anon_sym_object] = ACTIONS(3808),
    [anon_sym_abstract] = ACTIONS(3820),
    [anon_sym_infer] = ACTIONS(3824),
    [anon_sym_keyof] = ACTIONS(3826),
    [anon_sym_unique] = ACTIONS(3828),
    [anon_sym_unknown] = ACTIONS(3808),
    [anon_sym_never] = ACTIONS(3808),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3790),
    [sym_html_comment] = ACTIONS(5),
  },
  [1914] = {
    [sym_nested_identifier] = STATE(7127),
    [sym_string] = STATE(2484),
    [sym_comment] = STATE(1914),
    [sym_formal_parameters] = STATE(7143),
    [sym_nested_type_identifier] = STATE(2329),
    [sym__type] = STATE(2417),
    [sym_constructor_type] = STATE(2481),
    [sym__primary_type] = STATE(2477),
    [sym_template_literal_type] = STATE(2485),
    [sym_infer_type] = STATE(2481),
    [sym_conditional_type] = STATE(2485),
    [sym_generic_type] = STATE(2485),
    [sym_type_query] = STATE(2485),
    [sym_index_type_query] = STATE(2485),
    [sym_lookup_type] = STATE(2485),
    [sym_literal_type] = STATE(2485),
    [sym__number] = STATE(2476),
    [sym_existential_type] = STATE(2485),
    [sym_flow_maybe_type] = STATE(2485),
    [sym_parenthesized_type] = STATE(2485),
    [sym_predefined_type] = STATE(2485),
    [sym_object_type] = STATE(2485),
    [sym_type_parameters] = STATE(6983),
    [sym_array_type] = STATE(2485),
    [sym_tuple_type] = STATE(2485),
    [sym_readonly_type] = STATE(2481),
    [sym_union_type] = STATE(2485),
    [sym_intersection_type] = STATE(2485),
    [sym_function_type] = STATE(2481),
    [sym_identifier] = ACTIONS(4006),
    [anon_sym_STAR] = ACTIONS(3788),
    [anon_sym_LBRACE] = ACTIONS(3790),
    [anon_sym_typeof] = ACTIONS(3792),
    [anon_sym_const] = ACTIONS(3794),
    [anon_sym_LPAREN] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3798),
    [anon_sym_new] = ACTIONS(3800),
    [anon_sym_AMP] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_PLUS] = ACTIONS(3806),
    [anon_sym_DASH] = ACTIONS(3806),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3808),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3810),
    [sym_number] = ACTIONS(3812),
    [sym_this] = ACTIONS(4008),
    [sym_true] = ACTIONS(3812),
    [sym_false] = ACTIONS(3812),
    [sym_null] = ACTIONS(3812),
    [sym_undefined] = ACTIONS(3812),
    [anon_sym_readonly] = ACTIONS(3816),
    [anon_sym_QMARK] = ACTIONS(3818),
    [anon_sym_any] = ACTIONS(3808),
    [anon_sym_number] = ACTIONS(3808),
    [anon_sym_boolean] = ACTIONS(3808),
    [anon_sym_string] = ACTIONS(3808),
    [anon_sym_symbol] = ACTIONS(3808),
    [anon_sym_object] = ACTIONS(3808),
    [anon_sym_abstract] = ACTIONS(3820),
    [anon_sym_infer] = ACTIONS(3824),
    [anon_sym_keyof] = ACTIONS(3826),
    [anon_sym_unique] = ACTIONS(3828),
    [anon_sym_unknown] = ACTIONS(3808),
    [anon_sym_never] = ACTIONS(3808),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3790),
    [sym_html_comment] = ACTIONS(5),
  },
  [1915] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1915),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(3884),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1916] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1916),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(5668),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1917] = {
    [sym_nested_identifier] = STATE(7269),
    [sym_string] = STATE(2907),
    [sym_comment] = STATE(1917),
    [sym_formal_parameters] = STATE(7293),
    [sym_nested_type_identifier] = STATE(2737),
    [sym__type] = STATE(2921),
    [sym_constructor_type] = STATE(2914),
    [sym__primary_type] = STATE(2915),
    [sym_template_literal_type] = STATE(2903),
    [sym_infer_type] = STATE(2914),
    [sym_conditional_type] = STATE(2903),
    [sym_generic_type] = STATE(2903),
    [sym_type_query] = STATE(2903),
    [sym_index_type_query] = STATE(2903),
    [sym_lookup_type] = STATE(2903),
    [sym_literal_type] = STATE(2903),
    [sym__number] = STATE(2916),
    [sym_existential_type] = STATE(2903),
    [sym_flow_maybe_type] = STATE(2903),
    [sym_parenthesized_type] = STATE(2903),
    [sym_predefined_type] = STATE(2903),
    [sym_object_type] = STATE(2903),
    [sym_type_parameters] = STATE(6807),
    [sym_array_type] = STATE(2903),
    [sym_tuple_type] = STATE(2903),
    [sym_readonly_type] = STATE(2914),
    [sym_union_type] = STATE(2903),
    [sym_intersection_type] = STATE(2903),
    [sym_function_type] = STATE(2914),
    [sym_identifier] = ACTIONS(4002),
    [anon_sym_STAR] = ACTIONS(3744),
    [anon_sym_LBRACE] = ACTIONS(3746),
    [anon_sym_typeof] = ACTIONS(3748),
    [anon_sym_const] = ACTIONS(3750),
    [anon_sym_LPAREN] = ACTIONS(3752),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_new] = ACTIONS(3756),
    [anon_sym_AMP] = ACTIONS(3758),
    [anon_sym_PIPE] = ACTIONS(3760),
    [anon_sym_PLUS] = ACTIONS(3762),
    [anon_sym_DASH] = ACTIONS(3762),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3764),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3766),
    [sym_number] = ACTIONS(3768),
    [sym_this] = ACTIONS(4004),
    [sym_true] = ACTIONS(3768),
    [sym_false] = ACTIONS(3768),
    [sym_null] = ACTIONS(3768),
    [sym_undefined] = ACTIONS(3768),
    [anon_sym_readonly] = ACTIONS(3772),
    [anon_sym_QMARK] = ACTIONS(3774),
    [anon_sym_any] = ACTIONS(3764),
    [anon_sym_number] = ACTIONS(3764),
    [anon_sym_boolean] = ACTIONS(3764),
    [anon_sym_string] = ACTIONS(3764),
    [anon_sym_symbol] = ACTIONS(3764),
    [anon_sym_object] = ACTIONS(3764),
    [anon_sym_abstract] = ACTIONS(3776),
    [anon_sym_infer] = ACTIONS(3780),
    [anon_sym_keyof] = ACTIONS(3782),
    [anon_sym_unique] = ACTIONS(3784),
    [anon_sym_unknown] = ACTIONS(3764),
    [anon_sym_never] = ACTIONS(3764),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3746),
    [sym_html_comment] = ACTIONS(5),
  },
  [1918] = {
    [sym_nested_identifier] = STATE(7127),
    [sym_string] = STATE(2484),
    [sym_comment] = STATE(1918),
    [sym_formal_parameters] = STATE(7143),
    [sym_nested_type_identifier] = STATE(2329),
    [sym__type] = STATE(2386),
    [sym_constructor_type] = STATE(2481),
    [sym__primary_type] = STATE(2477),
    [sym_template_literal_type] = STATE(2485),
    [sym_infer_type] = STATE(2481),
    [sym_conditional_type] = STATE(2485),
    [sym_generic_type] = STATE(2485),
    [sym_type_query] = STATE(2485),
    [sym_index_type_query] = STATE(2485),
    [sym_lookup_type] = STATE(2485),
    [sym_literal_type] = STATE(2485),
    [sym__number] = STATE(2476),
    [sym_existential_type] = STATE(2485),
    [sym_flow_maybe_type] = STATE(2485),
    [sym_parenthesized_type] = STATE(2485),
    [sym_predefined_type] = STATE(2485),
    [sym_object_type] = STATE(2485),
    [sym_type_parameters] = STATE(6983),
    [sym_array_type] = STATE(2485),
    [sym_tuple_type] = STATE(2485),
    [sym_readonly_type] = STATE(2481),
    [sym_union_type] = STATE(2485),
    [sym_intersection_type] = STATE(2485),
    [sym_function_type] = STATE(2481),
    [sym_identifier] = ACTIONS(4006),
    [anon_sym_STAR] = ACTIONS(3788),
    [anon_sym_LBRACE] = ACTIONS(3790),
    [anon_sym_typeof] = ACTIONS(3792),
    [anon_sym_const] = ACTIONS(3794),
    [anon_sym_LPAREN] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3798),
    [anon_sym_new] = ACTIONS(3800),
    [anon_sym_AMP] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_PLUS] = ACTIONS(3806),
    [anon_sym_DASH] = ACTIONS(3806),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3808),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3810),
    [sym_number] = ACTIONS(3812),
    [sym_this] = ACTIONS(4008),
    [sym_true] = ACTIONS(3812),
    [sym_false] = ACTIONS(3812),
    [sym_null] = ACTIONS(3812),
    [sym_undefined] = ACTIONS(3812),
    [anon_sym_readonly] = ACTIONS(3816),
    [anon_sym_QMARK] = ACTIONS(3818),
    [anon_sym_any] = ACTIONS(3808),
    [anon_sym_number] = ACTIONS(3808),
    [anon_sym_boolean] = ACTIONS(3808),
    [anon_sym_string] = ACTIONS(3808),
    [anon_sym_symbol] = ACTIONS(3808),
    [anon_sym_object] = ACTIONS(3808),
    [anon_sym_abstract] = ACTIONS(3820),
    [anon_sym_infer] = ACTIONS(3824),
    [anon_sym_keyof] = ACTIONS(3826),
    [anon_sym_unique] = ACTIONS(3828),
    [anon_sym_unknown] = ACTIONS(3808),
    [anon_sym_never] = ACTIONS(3808),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3790),
    [sym_html_comment] = ACTIONS(5),
  },
  [1919] = {
    [sym_nested_identifier] = STATE(7127),
    [sym_string] = STATE(2484),
    [sym_comment] = STATE(1919),
    [sym_formal_parameters] = STATE(7143),
    [sym_nested_type_identifier] = STATE(2329),
    [sym__type] = STATE(2355),
    [sym_constructor_type] = STATE(2481),
    [sym__primary_type] = STATE(2477),
    [sym_template_literal_type] = STATE(2485),
    [sym_infer_type] = STATE(2481),
    [sym_conditional_type] = STATE(2485),
    [sym_generic_type] = STATE(2485),
    [sym_type_query] = STATE(2485),
    [sym_index_type_query] = STATE(2485),
    [sym_lookup_type] = STATE(2485),
    [sym_literal_type] = STATE(2485),
    [sym__number] = STATE(2476),
    [sym_existential_type] = STATE(2485),
    [sym_flow_maybe_type] = STATE(2485),
    [sym_parenthesized_type] = STATE(2485),
    [sym_predefined_type] = STATE(2485),
    [sym_object_type] = STATE(2485),
    [sym_type_parameters] = STATE(6983),
    [sym_array_type] = STATE(2485),
    [sym_tuple_type] = STATE(2485),
    [sym_readonly_type] = STATE(2481),
    [sym_union_type] = STATE(2485),
    [sym_intersection_type] = STATE(2485),
    [sym_function_type] = STATE(2481),
    [sym_identifier] = ACTIONS(4006),
    [anon_sym_STAR] = ACTIONS(3788),
    [anon_sym_LBRACE] = ACTIONS(3790),
    [anon_sym_typeof] = ACTIONS(3792),
    [anon_sym_const] = ACTIONS(3794),
    [anon_sym_LPAREN] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3798),
    [anon_sym_new] = ACTIONS(3800),
    [anon_sym_AMP] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_PLUS] = ACTIONS(3806),
    [anon_sym_DASH] = ACTIONS(3806),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3808),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3810),
    [sym_number] = ACTIONS(3812),
    [sym_this] = ACTIONS(4008),
    [sym_true] = ACTIONS(3812),
    [sym_false] = ACTIONS(3812),
    [sym_null] = ACTIONS(3812),
    [sym_undefined] = ACTIONS(3812),
    [anon_sym_readonly] = ACTIONS(3816),
    [anon_sym_QMARK] = ACTIONS(3818),
    [anon_sym_any] = ACTIONS(3808),
    [anon_sym_number] = ACTIONS(3808),
    [anon_sym_boolean] = ACTIONS(3808),
    [anon_sym_string] = ACTIONS(3808),
    [anon_sym_symbol] = ACTIONS(3808),
    [anon_sym_object] = ACTIONS(3808),
    [anon_sym_abstract] = ACTIONS(3820),
    [anon_sym_infer] = ACTIONS(3824),
    [anon_sym_keyof] = ACTIONS(3826),
    [anon_sym_unique] = ACTIONS(3828),
    [anon_sym_unknown] = ACTIONS(3808),
    [anon_sym_never] = ACTIONS(3808),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3790),
    [sym_html_comment] = ACTIONS(5),
  },
  [1920] = {
    [sym_nested_identifier] = STATE(7127),
    [sym_string] = STATE(2484),
    [sym_comment] = STATE(1920),
    [sym_formal_parameters] = STATE(7143),
    [sym_nested_type_identifier] = STATE(2329),
    [sym__type] = STATE(2385),
    [sym_constructor_type] = STATE(2481),
    [sym__primary_type] = STATE(2477),
    [sym_template_literal_type] = STATE(2485),
    [sym_infer_type] = STATE(2481),
    [sym_conditional_type] = STATE(2485),
    [sym_generic_type] = STATE(2485),
    [sym_type_query] = STATE(2485),
    [sym_index_type_query] = STATE(2485),
    [sym_lookup_type] = STATE(2485),
    [sym_literal_type] = STATE(2485),
    [sym__number] = STATE(2476),
    [sym_existential_type] = STATE(2485),
    [sym_flow_maybe_type] = STATE(2485),
    [sym_parenthesized_type] = STATE(2485),
    [sym_predefined_type] = STATE(2485),
    [sym_object_type] = STATE(2485),
    [sym_type_parameters] = STATE(6983),
    [sym_array_type] = STATE(2485),
    [sym_tuple_type] = STATE(2485),
    [sym_readonly_type] = STATE(2481),
    [sym_union_type] = STATE(2485),
    [sym_intersection_type] = STATE(2485),
    [sym_function_type] = STATE(2481),
    [sym_identifier] = ACTIONS(4006),
    [anon_sym_STAR] = ACTIONS(3788),
    [anon_sym_LBRACE] = ACTIONS(3790),
    [anon_sym_typeof] = ACTIONS(3792),
    [anon_sym_const] = ACTIONS(3794),
    [anon_sym_LPAREN] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3798),
    [anon_sym_new] = ACTIONS(3800),
    [anon_sym_AMP] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_PLUS] = ACTIONS(3806),
    [anon_sym_DASH] = ACTIONS(3806),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3808),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3810),
    [sym_number] = ACTIONS(3812),
    [sym_this] = ACTIONS(4008),
    [sym_true] = ACTIONS(3812),
    [sym_false] = ACTIONS(3812),
    [sym_null] = ACTIONS(3812),
    [sym_undefined] = ACTIONS(3812),
    [anon_sym_readonly] = ACTIONS(3816),
    [anon_sym_QMARK] = ACTIONS(3818),
    [anon_sym_any] = ACTIONS(3808),
    [anon_sym_number] = ACTIONS(3808),
    [anon_sym_boolean] = ACTIONS(3808),
    [anon_sym_string] = ACTIONS(3808),
    [anon_sym_symbol] = ACTIONS(3808),
    [anon_sym_object] = ACTIONS(3808),
    [anon_sym_abstract] = ACTIONS(3820),
    [anon_sym_infer] = ACTIONS(3824),
    [anon_sym_keyof] = ACTIONS(3826),
    [anon_sym_unique] = ACTIONS(3828),
    [anon_sym_unknown] = ACTIONS(3808),
    [anon_sym_never] = ACTIONS(3808),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3790),
    [sym_html_comment] = ACTIONS(5),
  },
  [1921] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1921),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(5230),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1922] = {
    [sym_nested_identifier] = STATE(7269),
    [sym_string] = STATE(2907),
    [sym_comment] = STATE(1922),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(2737),
    [sym__type] = STATE(6282),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(2961),
    [sym_template_literal_type] = STATE(2903),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(2903),
    [sym_generic_type] = STATE(2903),
    [sym_type_query] = STATE(2903),
    [sym_index_type_query] = STATE(2903),
    [sym_lookup_type] = STATE(2903),
    [sym_literal_type] = STATE(2903),
    [sym__number] = STATE(2916),
    [sym_existential_type] = STATE(2903),
    [sym_flow_maybe_type] = STATE(2903),
    [sym_parenthesized_type] = STATE(2903),
    [sym_predefined_type] = STATE(2903),
    [sym_object_type] = STATE(2903),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(2903),
    [sym_tuple_type] = STATE(2903),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(2903),
    [sym_intersection_type] = STATE(2903),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(4002),
    [anon_sym_STAR] = ACTIONS(3744),
    [anon_sym_LBRACE] = ACTIONS(3746),
    [anon_sym_typeof] = ACTIONS(3748),
    [anon_sym_const] = ACTIONS(3750),
    [anon_sym_LPAREN] = ACTIONS(3752),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(3758),
    [anon_sym_PIPE] = ACTIONS(3760),
    [anon_sym_PLUS] = ACTIONS(3762),
    [anon_sym_DASH] = ACTIONS(3762),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(3764),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3766),
    [sym_number] = ACTIONS(3768),
    [sym_this] = ACTIONS(4004),
    [sym_true] = ACTIONS(3768),
    [sym_false] = ACTIONS(3768),
    [sym_null] = ACTIONS(3768),
    [sym_undefined] = ACTIONS(3768),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(3774),
    [anon_sym_any] = ACTIONS(3764),
    [anon_sym_number] = ACTIONS(3764),
    [anon_sym_boolean] = ACTIONS(3764),
    [anon_sym_string] = ACTIONS(3764),
    [anon_sym_symbol] = ACTIONS(3764),
    [anon_sym_object] = ACTIONS(3764),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(3782),
    [anon_sym_unique] = ACTIONS(3784),
    [anon_sym_unknown] = ACTIONS(3764),
    [anon_sym_never] = ACTIONS(3764),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3746),
    [sym_html_comment] = ACTIONS(5),
  },
  [1923] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1923),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(5531),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1924] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4104),
    [sym_comment] = STATE(1924),
    [sym_formal_parameters] = STATE(7432),
    [sym_nested_type_identifier] = STATE(3989),
    [sym__type] = STATE(4119),
    [sym_constructor_type] = STATE(4101),
    [sym__primary_type] = STATE(4067),
    [sym_template_literal_type] = STATE(4110),
    [sym_infer_type] = STATE(4101),
    [sym_conditional_type] = STATE(4110),
    [sym_generic_type] = STATE(4110),
    [sym_type_query] = STATE(4110),
    [sym_index_type_query] = STATE(4110),
    [sym_lookup_type] = STATE(4110),
    [sym_literal_type] = STATE(4110),
    [sym__number] = STATE(4068),
    [sym_existential_type] = STATE(4110),
    [sym_flow_maybe_type] = STATE(4110),
    [sym_parenthesized_type] = STATE(4110),
    [sym_predefined_type] = STATE(4110),
    [sym_object_type] = STATE(4110),
    [sym_type_parameters] = STATE(7009),
    [sym_array_type] = STATE(4110),
    [sym_tuple_type] = STATE(4110),
    [sym_readonly_type] = STATE(4101),
    [sym_union_type] = STATE(4110),
    [sym_intersection_type] = STATE(4110),
    [sym_function_type] = STATE(4101),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_typeof] = ACTIONS(1914),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1928),
    [sym_number] = ACTIONS(1930),
    [sym_this] = ACTIONS(1932),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [sym_null] = ACTIONS(1930),
    [sym_undefined] = ACTIONS(1930),
    [anon_sym_readonly] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_abstract] = ACTIONS(1342),
    [anon_sym_infer] = ACTIONS(1344),
    [anon_sym_keyof] = ACTIONS(1346),
    [anon_sym_unique] = ACTIONS(1348),
    [anon_sym_unknown] = ACTIONS(1350),
    [anon_sym_never] = ACTIONS(1350),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1925] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1925),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(3875),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1926] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1926),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(5264),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1927] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4104),
    [sym_comment] = STATE(1927),
    [sym_formal_parameters] = STATE(7432),
    [sym_nested_type_identifier] = STATE(3989),
    [sym__type] = STATE(4122),
    [sym_constructor_type] = STATE(4101),
    [sym__primary_type] = STATE(4067),
    [sym_template_literal_type] = STATE(4110),
    [sym_infer_type] = STATE(4101),
    [sym_conditional_type] = STATE(4110),
    [sym_generic_type] = STATE(4110),
    [sym_type_query] = STATE(4110),
    [sym_index_type_query] = STATE(4110),
    [sym_lookup_type] = STATE(4110),
    [sym_literal_type] = STATE(4110),
    [sym__number] = STATE(4068),
    [sym_existential_type] = STATE(4110),
    [sym_flow_maybe_type] = STATE(4110),
    [sym_parenthesized_type] = STATE(4110),
    [sym_predefined_type] = STATE(4110),
    [sym_object_type] = STATE(4110),
    [sym_type_parameters] = STATE(7009),
    [sym_array_type] = STATE(4110),
    [sym_tuple_type] = STATE(4110),
    [sym_readonly_type] = STATE(4101),
    [sym_union_type] = STATE(4110),
    [sym_intersection_type] = STATE(4110),
    [sym_function_type] = STATE(4101),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_typeof] = ACTIONS(1914),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_new] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1928),
    [sym_number] = ACTIONS(1930),
    [sym_this] = ACTIONS(1932),
    [sym_true] = ACTIONS(1930),
    [sym_false] = ACTIONS(1930),
    [sym_null] = ACTIONS(1930),
    [sym_undefined] = ACTIONS(1930),
    [anon_sym_readonly] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_any] = ACTIONS(1350),
    [anon_sym_number] = ACTIONS(1350),
    [anon_sym_boolean] = ACTIONS(1350),
    [anon_sym_string] = ACTIONS(1350),
    [anon_sym_symbol] = ACTIONS(1350),
    [anon_sym_object] = ACTIONS(1350),
    [anon_sym_abstract] = ACTIONS(1342),
    [anon_sym_infer] = ACTIONS(1344),
    [anon_sym_keyof] = ACTIONS(1346),
    [anon_sym_unique] = ACTIONS(1348),
    [anon_sym_unknown] = ACTIONS(1350),
    [anon_sym_never] = ACTIONS(1350),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1928] = {
    [sym_nested_identifier] = STATE(7154),
    [sym_string] = STATE(3877),
    [sym_comment] = STATE(1928),
    [sym_formal_parameters] = STATE(7155),
    [sym_nested_type_identifier] = STATE(3759),
    [sym__type] = STATE(5673),
    [sym_constructor_type] = STATE(3814),
    [sym__primary_type] = STATE(3854),
    [sym_template_literal_type] = STATE(3891),
    [sym_infer_type] = STATE(3814),
    [sym_conditional_type] = STATE(3891),
    [sym_generic_type] = STATE(3891),
    [sym_type_query] = STATE(3891),
    [sym_index_type_query] = STATE(3891),
    [sym_lookup_type] = STATE(3891),
    [sym_literal_type] = STATE(3891),
    [sym__number] = STATE(3832),
    [sym_existential_type] = STATE(3891),
    [sym_flow_maybe_type] = STATE(3891),
    [sym_parenthesized_type] = STATE(3891),
    [sym_predefined_type] = STATE(3891),
    [sym_object_type] = STATE(3891),
    [sym_type_parameters] = STATE(6652),
    [sym_array_type] = STATE(3891),
    [sym_tuple_type] = STATE(3891),
    [sym_readonly_type] = STATE(3814),
    [sym_union_type] = STATE(3891),
    [sym_intersection_type] = STATE(3891),
    [sym_function_type] = STATE(3814),
    [sym_identifier] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_typeof] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(130),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_new] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1904),
    [sym_number] = ACTIONS(1906),
    [sym_this] = ACTIONS(1908),
    [sym_true] = ACTIONS(1906),
    [sym_false] = ACTIONS(1906),
    [sym_null] = ACTIONS(1906),
    [sym_undefined] = ACTIONS(1906),
    [anon_sym_readonly] = ACTIONS(1910),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(199),
    [anon_sym_infer] = ACTIONS(201),
    [anon_sym_keyof] = ACTIONS(203),
    [anon_sym_unique] = ACTIONS(205),
    [anon_sym_unknown] = ACTIONS(207),
    [anon_sym_never] = ACTIONS(207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1929] = {
    [sym_nested_identifier] = STATE(2490),
    [sym_string] = STATE(2491),
    [sym_comment] = STATE(1929),
    [sym__module] = STATE(2548),
    [sym_identifier] = ACTIONS(4014),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_RBRACE] = ACTIONS(124),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(124),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1930] = {
    [sym_nested_identifier] = STATE(2490),
    [sym_string] = STATE(2491),
    [sym_comment] = STATE(1930),
    [sym__module] = STATE(2548),
    [sym_identifier] = ACTIONS(4014),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(1133),
    [anon_sym_RBRACE] = ACTIONS(1133),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_RPAREN] = ACTIONS(1133),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(1133),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(149),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1133),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1931] = {
    [sym_nested_identifier] = STATE(2490),
    [sym_string] = STATE(2491),
    [sym_comment] = STATE(1931),
    [sym__module] = STATE(2548),
    [sym_identifier] = ACTIONS(4014),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(216),
    [anon_sym_RBRACE] = ACTIONS(216),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_RPAREN] = ACTIONS(216),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(216),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(216),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(124),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1932] = {
    [sym_export_statement] = STATE(4891),
    [sym_object_pattern] = STATE(4292),
    [sym_object_assignment_pattern] = STATE(6617),
    [sym_array_pattern] = STATE(4292),
    [sym__call_signature] = STATE(5323),
    [sym__destructuring_pattern] = STATE(7405),
    [sym_spread_element] = STATE(6608),
    [sym_string] = STATE(4111),
    [sym_comment] = STATE(1932),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4148),
    [sym_rest_pattern] = STATE(6617),
    [sym_method_definition] = STATE(6608),
    [sym_pair] = STATE(6608),
    [sym_pair_pattern] = STATE(6617),
    [sym__property_name] = STATE(3945),
    [sym_computed_property_name] = STATE(4111),
    [sym_method_signature] = STATE(4891),
    [sym_accessibility_modifier] = STATE(3596),
    [sym_override_modifier] = STATE(3625),
    [sym_call_signature] = STATE(4891),
    [sym_property_signature] = STATE(4891),
    [sym_type_parameters] = STATE(6912),
    [sym_construct_signature] = STATE(4891),
    [sym_index_signature] = STATE(4891),
    [aux_sym_export_statement_repeat1] = STATE(5613),
    [sym_identifier] = ACTIONS(4016),
    [anon_sym_export] = ACTIONS(4018),
    [anon_sym_STAR] = ACTIONS(3834),
    [anon_sym_type] = ACTIONS(4016),
    [anon_sym_namespace] = ACTIONS(4016),
    [anon_sym_LBRACE] = ACTIONS(3836),
    [anon_sym_COMMA] = ACTIONS(4020),
    [anon_sym_RBRACE] = ACTIONS(4020),
    [anon_sym_let] = ACTIONS(4016),
    [anon_sym_LPAREN] = ACTIONS(3842),
    [anon_sym_LBRACK] = ACTIONS(3846),
    [anon_sym_async] = ACTIONS(4023),
    [anon_sym_new] = ACTIONS(4025),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(3852),
    [anon_sym_DASH] = ACTIONS(3852),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3854),
    [sym_private_property_identifier] = ACTIONS(3854),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(4027),
    [anon_sym_readonly] = ACTIONS(4029),
    [anon_sym_get] = ACTIONS(4031),
    [anon_sym_set] = ACTIONS(4031),
    [anon_sym_declare] = ACTIONS(4016),
    [anon_sym_public] = ACTIONS(4033),
    [anon_sym_private] = ACTIONS(4033),
    [anon_sym_protected] = ACTIONS(4033),
    [anon_sym_override] = ACTIONS(4035),
    [anon_sym_module] = ACTIONS(4016),
    [anon_sym_any] = ACTIONS(4016),
    [anon_sym_number] = ACTIONS(4016),
    [anon_sym_boolean] = ACTIONS(4016),
    [anon_sym_string] = ACTIONS(4016),
    [anon_sym_symbol] = ACTIONS(4016),
    [anon_sym_object] = ACTIONS(4016),
    [anon_sym_abstract] = ACTIONS(3866),
    [sym_html_comment] = ACTIONS(5),
  },
  [1933] = {
    [sym_nested_identifier] = STATE(2490),
    [sym_string] = STATE(2491),
    [sym_comment] = STATE(1933),
    [sym__module] = STATE(2548),
    [sym_identifier] = ACTIONS(4014),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1934] = {
    [sym_nested_identifier] = STATE(2490),
    [sym_string] = STATE(2491),
    [sym_comment] = STATE(1934),
    [sym__module] = STATE(2548),
    [sym_identifier] = ACTIONS(4014),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1135),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1935] = {
    [sym_export_statement] = STATE(4884),
    [sym_object_pattern] = STATE(4292),
    [sym_object_assignment_pattern] = STATE(6617),
    [sym_array_pattern] = STATE(4292),
    [sym__call_signature] = STATE(5323),
    [sym__destructuring_pattern] = STATE(7405),
    [sym_spread_element] = STATE(6608),
    [sym_string] = STATE(4111),
    [sym_comment] = STATE(1935),
    [sym_decorator] = STATE(5685),
    [sym_formal_parameters] = STATE(4148),
    [sym_rest_pattern] = STATE(6617),
    [sym_method_definition] = STATE(6608),
    [sym_pair] = STATE(6608),
    [sym_pair_pattern] = STATE(6617),
    [sym__property_name] = STATE(3945),
    [sym_computed_property_name] = STATE(4111),
    [sym_method_signature] = STATE(4884),
    [sym_accessibility_modifier] = STATE(3596),
    [sym_override_modifier] = STATE(3625),
    [sym_call_signature] = STATE(4884),
    [sym_property_signature] = STATE(4884),
    [sym_type_parameters] = STATE(6912),
    [sym_construct_signature] = STATE(4884),
    [sym_index_signature] = STATE(4884),
    [aux_sym_export_statement_repeat1] = STATE(5613),
    [sym_identifier] = ACTIONS(4016),
    [anon_sym_export] = ACTIONS(4018),
    [anon_sym_STAR] = ACTIONS(3834),
    [anon_sym_type] = ACTIONS(4016),
    [anon_sym_namespace] = ACTIONS(4016),
    [anon_sym_LBRACE] = ACTIONS(3836),
    [anon_sym_COMMA] = ACTIONS(4020),
    [anon_sym_RBRACE] = ACTIONS(4020),
    [anon_sym_let] = ACTIONS(4016),
    [anon_sym_LPAREN] = ACTIONS(3842),
    [anon_sym_LBRACK] = ACTIONS(3846),
    [anon_sym_async] = ACTIONS(4023),
    [anon_sym_new] = ACTIONS(4025),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(3852),
    [anon_sym_DASH] = ACTIONS(3852),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_DQUOTE] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3854),
    [sym_private_property_identifier] = ACTIONS(3854),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(4027),
    [anon_sym_readonly] = ACTIONS(4029),
    [anon_sym_get] = ACTIONS(4031),
    [anon_sym_set] = ACTIONS(4031),
    [anon_sym_declare] = ACTIONS(4016),
    [anon_sym_public] = ACTIONS(4033),
    [anon_sym_private] = ACTIONS(4033),
    [anon_sym_protected] = ACTIONS(4033),
    [anon_sym_override] = ACTIONS(4035),
    [anon_sym_module] = ACTIONS(4016),
    [anon_sym_any] = ACTIONS(4016),
    [anon_sym_number] = ACTIONS(4016),
    [anon_sym_boolean] = ACTIONS(4016),
    [anon_sym_string] = ACTIONS(4016),
    [anon_sym_symbol] = ACTIONS(4016),
    [anon_sym_object] = ACTIONS(4016),
    [anon_sym_abstract] = ACTIONS(3866),
    [sym_html_comment] = ACTIONS(5),
  },
  [1936] = {
    [sym_nested_identifier] = STATE(2332),
    [sym_string] = STATE(2330),
    [sym_comment] = STATE(1936),
    [sym__module] = STATE(2501),
    [sym_identifier] = ACTIONS(4037),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1175),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(1201),
    [anon_sym_of] = ACTIONS(1204),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1937] = {
    [sym_variable_declarator] = STATE(5635),
    [sym_object_pattern] = STATE(4490),
    [sym_array_pattern] = STATE(4490),
    [sym__destructuring_pattern] = STATE(4290),
    [sym_comment] = STATE(1937),
    [sym_identifier] = ACTIONS(4039),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1175),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(3984),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(1201),
    [anon_sym_of] = ACTIONS(1204),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(3986),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1938] = {
    [sym_nested_identifier] = STATE(951),
    [sym_string] = STATE(1125),
    [sym_comment] = STATE(1938),
    [sym__module] = STATE(1224),
    [sym_identifier] = ACTIONS(4041),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1175),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4043),
    [anon_sym_SQUOTE] = ACTIONS(4045),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1939] = {
    [sym_variable_declarator] = STATE(5675),
    [sym_object_pattern] = STATE(4490),
    [sym_array_pattern] = STATE(4490),
    [sym__destructuring_pattern] = STATE(4698),
    [sym_comment] = STATE(1939),
    [sym_identifier] = ACTIONS(3982),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1175),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(3984),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(3986),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1940] = {
    [sym_nested_identifier] = STATE(345),
    [sym_string] = STATE(381),
    [sym_comment] = STATE(1940),
    [sym__module] = STATE(456),
    [sym_identifier] = ACTIONS(3976),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1175),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1177),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(3978),
    [anon_sym_SQUOTE] = ACTIONS(3980),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1941] = {
    [sym_nested_identifier] = STATE(299),
    [sym_string] = STATE(304),
    [sym_comment] = STATE(1941),
    [sym__module] = STATE(354),
    [sym_identifier] = ACTIONS(4047),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1175),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4049),
    [anon_sym_SQUOTE] = ACTIONS(4051),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1942] = {
    [sym_nested_identifier] = STATE(2332),
    [sym_string] = STATE(2330),
    [sym_comment] = STATE(1942),
    [sym__module] = STATE(2501),
    [sym_identifier] = ACTIONS(4037),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1175),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1195),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1943] = {
    [sym_nested_identifier] = STATE(2332),
    [sym_string] = STATE(2330),
    [sym_comment] = STATE(1943),
    [sym__module] = STATE(2501),
    [sym_identifier] = ACTIONS(4037),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1175),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1944] = {
    [sym_nested_identifier] = STATE(959),
    [sym_string] = STATE(1191),
    [sym_comment] = STATE(1944),
    [sym__module] = STATE(1620),
    [sym_identifier] = ACTIONS(3966),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1175),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1177),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(3968),
    [anon_sym_SQUOTE] = ACTIONS(3970),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1945] = {
    [sym_nested_identifier] = STATE(2490),
    [sym_string] = STATE(2491),
    [sym_comment] = STATE(1945),
    [sym__module] = STATE(2548),
    [sym_identifier] = ACTIONS(4014),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1189),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1946] = {
    [sym_variable_declarator] = STATE(5629),
    [sym_object_pattern] = STATE(4490),
    [sym_array_pattern] = STATE(4490),
    [sym__destructuring_pattern] = STATE(4698),
    [sym_comment] = STATE(1946),
    [sym_identifier] = ACTIONS(3982),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1175),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(3984),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1195),
    [anon_sym_LBRACK] = ACTIONS(3986),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1947] = {
    [sym_nested_identifier] = STATE(336),
    [sym_string] = STATE(335),
    [sym_comment] = STATE(1947),
    [sym__module] = STATE(404),
    [sym_identifier] = ACTIONS(4053),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1175),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1197),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4055),
    [anon_sym_SQUOTE] = ACTIONS(4057),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1948] = {
    [sym_nested_identifier] = STATE(290),
    [sym_string] = STATE(292),
    [sym_comment] = STATE(1948),
    [sym__module] = STATE(298),
    [sym_identifier] = ACTIONS(4059),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1175),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1199),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4061),
    [anon_sym_SQUOTE] = ACTIONS(4063),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1949] = {
    [sym_variable_declarator] = STATE(5647),
    [sym_object_pattern] = STATE(4490),
    [sym_array_pattern] = STATE(4490),
    [sym__destructuring_pattern] = STATE(4698),
    [sym_comment] = STATE(1949),
    [sym_identifier] = ACTIONS(3982),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1175),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(3984),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1177),
    [anon_sym_LBRACK] = ACTIONS(3986),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1950] = {
    [sym_nested_identifier] = STATE(2332),
    [sym_string] = STATE(2330),
    [sym_comment] = STATE(1950),
    [sym__module] = STATE(2501),
    [sym_identifier] = ACTIONS(4037),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1183),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1189),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1951] = {
    [sym_nested_identifier] = STATE(2490),
    [sym_string] = STATE(2491),
    [sym_comment] = STATE(1951),
    [sym__module] = STATE(2548),
    [sym_identifier] = ACTIONS(4014),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1952] = {
    [sym_nested_identifier] = STATE(2490),
    [sym_string] = STATE(2491),
    [sym_comment] = STATE(1952),
    [sym__module] = STATE(2548),
    [sym_identifier] = ACTIONS(4014),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1135),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(1208),
    [anon_sym_RBRACE] = ACTIONS(1208),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(1208),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(219),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1953] = {
    [sym_nested_identifier] = STATE(5403),
    [sym_string] = STATE(5554),
    [sym_comment] = STATE(1953),
    [sym__module] = STATE(6591),
    [sym_identifier] = ACTIONS(4065),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1175),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1195),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_SQUOTE] = ACTIONS(1902),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1954] = {
    [sym_variable_declarator] = STATE(5536),
    [sym_object_pattern] = STATE(4490),
    [sym_array_pattern] = STATE(4490),
    [sym__destructuring_pattern] = STATE(4698),
    [sym_comment] = STATE(1954),
    [sym_identifier] = ACTIONS(3982),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1175),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(3984),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1199),
    [anon_sym_LBRACK] = ACTIONS(3986),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1955] = {
    [sym_variable_declarator] = STATE(5519),
    [sym_object_pattern] = STATE(4490),
    [sym_array_pattern] = STATE(4490),
    [sym__destructuring_pattern] = STATE(4698),
    [sym_comment] = STATE(1955),
    [sym_identifier] = ACTIONS(3982),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1175),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(3984),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1197),
    [anon_sym_LBRACK] = ACTIONS(3986),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1956] = {
    [sym_nested_identifier] = STATE(939),
    [sym_string] = STATE(1072),
    [sym_comment] = STATE(1956),
    [sym__module] = STATE(1219),
    [sym_identifier] = ACTIONS(4067),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1175),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1197),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4069),
    [anon_sym_SQUOTE] = ACTIONS(4071),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1957] = {
    [sym_nested_identifier] = STATE(893),
    [sym_string] = STATE(924),
    [sym_comment] = STATE(1957),
    [sym__module] = STATE(992),
    [sym_identifier] = ACTIONS(4073),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1175),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1199),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4075),
    [anon_sym_SQUOTE] = ACTIONS(4077),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1958] = {
    [sym_nested_identifier] = STATE(2490),
    [sym_string] = STATE(2491),
    [sym_comment] = STATE(1958),
    [sym__module] = STATE(2548),
    [sym_identifier] = ACTIONS(4014),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1131),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1238),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1959] = {
    [sym_nested_identifier] = STATE(2490),
    [sym_string] = STATE(2491),
    [sym_comment] = STATE(1959),
    [sym__module] = STATE(2548),
    [sym_identifier] = ACTIONS(4014),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1232),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1238),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1960] = {
    [sym_comment] = STATE(1960),
    [aux_sym_object_repeat1] = STATE(6170),
    [aux_sym_object_pattern_repeat1] = STATE(6263),
    [sym_identifier] = ACTIONS(4079),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1045),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1016),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1035),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1961] = {
    [sym_comment] = STATE(1961),
    [aux_sym_object_repeat1] = STATE(6170),
    [aux_sym_object_pattern_repeat1] = STATE(6263),
    [sym_identifier] = ACTIONS(4079),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1016),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1035),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1962] = {
    [sym_comment] = STATE(1962),
    [aux_sym_object_repeat1] = STATE(6262),
    [aux_sym_object_pattern_repeat1] = STATE(6263),
    [sym_identifier] = ACTIONS(4079),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1008),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1014),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1016),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1027),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1035),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(211),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1963] = {
    [sym_nested_identifier] = STATE(2490),
    [sym_string] = STATE(2491),
    [sym_comment] = STATE(1963),
    [sym__module] = STATE(2548),
    [sym_identifier] = ACTIONS(4014),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1215),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1220),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(216),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1224),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(211),
    [sym_html_comment] = ACTIONS(5),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1266), 1,
      anon_sym_EQ,
    ACTIONS(1272), 1,
      anon_sym_EQ_GT,
    ACTIONS(4053), 1,
      sym_identifier,
    ACTIONS(4055), 1,
      anon_sym_DQUOTE,
    ACTIONS(4057), 1,
      anon_sym_SQUOTE,
    STATE(335), 1,
      sym_string,
    STATE(336), 1,
      sym_nested_identifier,
    STATE(404), 1,
      sym__module,
    STATE(1964), 1,
      sym_comment,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(124), 1,
      anon_sym_COMMA,
    ACTIONS(177), 1,
      anon_sym_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_SQUOTE,
    ACTIONS(211), 1,
      sym__ternary_qmark,
    ACTIONS(216), 1,
      anon_sym_RBRACK,
    ACTIONS(1215), 1,
      anon_sym_EQ,
    ACTIONS(1224), 1,
      anon_sym_EQ_GT,
    ACTIONS(4014), 1,
      sym_identifier,
    STATE(1965), 1,
      sym_comment,
    STATE(2490), 1,
      sym_nested_identifier,
    STATE(2491), 1,
      sym_string,
    STATE(2548), 1,
      sym__module,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [190] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1266), 1,
      anon_sym_EQ,
    ACTIONS(1272), 1,
      anon_sym_EQ_GT,
    ACTIONS(4067), 1,
      sym_identifier,
    ACTIONS(4069), 1,
      anon_sym_DQUOTE,
    ACTIONS(4071), 1,
      anon_sym_SQUOTE,
    STATE(939), 1,
      sym_nested_identifier,
    STATE(1072), 1,
      sym_string,
    STATE(1219), 1,
      sym__module,
    STATE(1966), 1,
      sym_comment,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [283] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1035), 1,
      anon_sym_QMARK,
    ACTIONS(2667), 1,
      anon_sym_RBRACE,
    ACTIONS(2680), 1,
      anon_sym_COLON,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4083), 1,
      anon_sym_EQ,
    ACTIONS(4087), 1,
      anon_sym_LPAREN,
    ACTIONS(4090), 1,
      anon_sym_EQ_GT,
    ACTIONS(4094), 1,
      anon_sym_LT,
    STATE(1967), 1,
      sym_comment,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4085), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4081), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [378] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1266), 1,
      anon_sym_EQ,
    ACTIONS(1272), 1,
      anon_sym_EQ_GT,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4065), 1,
      sym_identifier,
    STATE(1968), 1,
      sym_comment,
    STATE(5403), 1,
      sym_nested_identifier,
    STATE(5554), 1,
      sym_string,
    STATE(6591), 1,
      sym__module,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [471] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1008), 1,
      anon_sym_EQ,
    ACTIONS(1035), 1,
      anon_sym_QMARK,
    ACTIONS(2667), 1,
      anon_sym_RBRACE,
    ACTIONS(2677), 1,
      anon_sym_LPAREN,
    ACTIONS(2680), 1,
      anon_sym_COLON,
    ACTIONS(2689), 1,
      anon_sym_EQ_GT,
    ACTIONS(2693), 1,
      anon_sym_LT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(1969), 1,
      sym_comment,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [566] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1266), 1,
      anon_sym_EQ,
    ACTIONS(1272), 1,
      anon_sym_EQ_GT,
    ACTIONS(4047), 1,
      sym_identifier,
    ACTIONS(4049), 1,
      anon_sym_DQUOTE,
    ACTIONS(4051), 1,
      anon_sym_SQUOTE,
    STATE(299), 1,
      sym_nested_identifier,
    STATE(304), 1,
      sym_string,
    STATE(354), 1,
      sym__module,
    STATE(1970), 1,
      sym_comment,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [659] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1266), 1,
      anon_sym_EQ,
    ACTIONS(1272), 1,
      anon_sym_EQ_GT,
    ACTIONS(4041), 1,
      sym_identifier,
    ACTIONS(4043), 1,
      anon_sym_DQUOTE,
    ACTIONS(4045), 1,
      anon_sym_SQUOTE,
    STATE(951), 1,
      sym_nested_identifier,
    STATE(1125), 1,
      sym_string,
    STATE(1224), 1,
      sym__module,
    STATE(1971), 1,
      sym_comment,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [752] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1008), 1,
      anon_sym_EQ,
    ACTIONS(1035), 1,
      anon_sym_QMARK,
    ACTIONS(2677), 1,
      anon_sym_LPAREN,
    ACTIONS(2680), 1,
      anon_sym_COLON,
    ACTIONS(2689), 1,
      anon_sym_EQ_GT,
    ACTIONS(2693), 1,
      anon_sym_LT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2710), 1,
      anon_sym_RBRACE,
    STATE(1972), 1,
      sym_comment,
    STATE(6262), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [847] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1266), 1,
      anon_sym_EQ,
    ACTIONS(1272), 1,
      anon_sym_EQ_GT,
    ACTIONS(4073), 1,
      sym_identifier,
    ACTIONS(4075), 1,
      anon_sym_DQUOTE,
    ACTIONS(4077), 1,
      anon_sym_SQUOTE,
    STATE(893), 1,
      sym_nested_identifier,
    STATE(924), 1,
      sym_string,
    STATE(992), 1,
      sym__module,
    STATE(1973), 1,
      sym_comment,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [940] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4097), 1,
      anon_sym_EQ,
    ACTIONS(4101), 1,
      anon_sym_LPAREN,
    ACTIONS(4103), 1,
      anon_sym_DOT,
    ACTIONS(4105), 1,
      anon_sym_EQ_GT,
    ACTIONS(4107), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4111), 1,
      anon_sym_LT,
    STATE(1974), 1,
      sym_comment,
    STATE(3975), 1,
      sym_arguments,
    STATE(4082), 1,
      sym_type_arguments,
    ACTIONS(4109), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4099), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4085), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [1037] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1266), 1,
      anon_sym_EQ,
    ACTIONS(1272), 1,
      anon_sym_EQ_GT,
    ACTIONS(4059), 1,
      sym_identifier,
    ACTIONS(4061), 1,
      anon_sym_DQUOTE,
    ACTIONS(4063), 1,
      anon_sym_SQUOTE,
    STATE(290), 1,
      sym_nested_identifier,
    STATE(292), 1,
      sym_string,
    STATE(298), 1,
      sym__module,
    STATE(1975), 1,
      sym_comment,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1130] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(177), 1,
      anon_sym_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_SQUOTE,
    ACTIONS(211), 1,
      sym__ternary_qmark,
    ACTIONS(1244), 1,
      anon_sym_EQ_GT,
    ACTIONS(1250), 1,
      anon_sym_EQ,
    ACTIONS(4014), 1,
      sym_identifier,
    STATE(1976), 1,
      sym_comment,
    STATE(2490), 1,
      sym_nested_identifier,
    STATE(2491), 1,
      sym_string,
    STATE(2548), 1,
      sym__module,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 37,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1223] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1266), 1,
      anon_sym_EQ,
    ACTIONS(1272), 1,
      anon_sym_EQ_GT,
    ACTIONS(3982), 1,
      sym_identifier,
    ACTIONS(3984), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_LBRACK,
    STATE(1977), 1,
      sym_comment,
    STATE(4698), 1,
      sym__destructuring_pattern,
    STATE(5675), 1,
      sym_variable_declarator,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(4490), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1316] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4097), 1,
      anon_sym_EQ,
    ACTIONS(4105), 1,
      anon_sym_EQ_GT,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(4115), 1,
      anon_sym_DOT,
    ACTIONS(4117), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4119), 1,
      anon_sym_LT,
    STATE(1978), 1,
      sym_comment,
    STATE(3769), 1,
      sym_arguments,
    STATE(3852), 1,
      sym_type_arguments,
    ACTIONS(4099), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4109), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4085), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [1413] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1266), 1,
      anon_sym_EQ,
    ACTIONS(1272), 1,
      anon_sym_EQ_GT,
    ACTIONS(3982), 1,
      sym_identifier,
    ACTIONS(3984), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_LBRACK,
    STATE(1979), 1,
      sym_comment,
    STATE(4698), 1,
      sym__destructuring_pattern,
    STATE(5519), 1,
      sym_variable_declarator,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(4490), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1506] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(177), 1,
      anon_sym_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_SQUOTE,
    ACTIONS(211), 1,
      sym__ternary_qmark,
    ACTIONS(1224), 1,
      anon_sym_EQ_GT,
    ACTIONS(1258), 1,
      anon_sym_EQ,
    ACTIONS(1260), 1,
      anon_sym_COLON,
    ACTIONS(4014), 1,
      sym_identifier,
    STATE(1980), 1,
      sym_comment,
    STATE(2490), 1,
      sym_nested_identifier,
    STATE(2491), 1,
      sym_string,
    STATE(2548), 1,
      sym__module,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1601] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1266), 1,
      anon_sym_EQ,
    ACTIONS(1272), 1,
      anon_sym_EQ_GT,
    ACTIONS(3982), 1,
      sym_identifier,
    ACTIONS(3984), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_LBRACK,
    STATE(1981), 1,
      sym_comment,
    STATE(4698), 1,
      sym__destructuring_pattern,
    STATE(5629), 1,
      sym_variable_declarator,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(4490), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1694] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(1982), 1,
      sym_comment,
    ACTIONS(4121), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4123), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [1769] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1008), 1,
      anon_sym_EQ,
    ACTIONS(1035), 1,
      anon_sym_QMARK,
    ACTIONS(2677), 1,
      anon_sym_LPAREN,
    ACTIONS(2680), 1,
      anon_sym_COLON,
    ACTIONS(2689), 1,
      anon_sym_EQ_GT,
    ACTIONS(2693), 1,
      anon_sym_LT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2712), 1,
      anon_sym_RBRACE,
    STATE(1983), 1,
      sym_comment,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [1864] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1266), 1,
      anon_sym_EQ,
    ACTIONS(1272), 1,
      anon_sym_EQ_GT,
    ACTIONS(3982), 1,
      sym_identifier,
    ACTIONS(3984), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_LBRACK,
    STATE(1984), 1,
      sym_comment,
    STATE(4698), 1,
      sym__destructuring_pattern,
    STATE(5536), 1,
      sym_variable_declarator,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(4490), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1957] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(1985), 1,
      sym_comment,
    ACTIONS(4125), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4127), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [2032] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1266), 1,
      anon_sym_EQ,
    ACTIONS(1272), 1,
      anon_sym_EQ_GT,
    ACTIONS(3982), 1,
      sym_identifier,
    ACTIONS(3984), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_LBRACK,
    STATE(1986), 1,
      sym_comment,
    STATE(4698), 1,
      sym__destructuring_pattern,
    STATE(5544), 1,
      sym_variable_declarator,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(4490), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [2125] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(1987), 1,
      sym_comment,
    ACTIONS(4129), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4131), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [2200] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(1988), 1,
      sym_comment,
    ACTIONS(4133), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4135), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [2275] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(1989), 1,
      sym_comment,
    ACTIONS(4137), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4139), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [2350] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(1990), 1,
      sym_comment,
    ACTIONS(4141), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4143), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [2425] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(177), 1,
      anon_sym_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_SQUOTE,
    ACTIONS(211), 1,
      sym__ternary_qmark,
    ACTIONS(1220), 1,
      anon_sym_COLON,
    ACTIONS(1224), 1,
      anon_sym_EQ_GT,
    ACTIONS(1258), 1,
      anon_sym_EQ,
    ACTIONS(4014), 1,
      sym_identifier,
    STATE(1991), 1,
      sym_comment,
    STATE(2490), 1,
      sym_nested_identifier,
    STATE(2491), 1,
      sym_string,
    STATE(2548), 1,
      sym__module,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [2520] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1035), 1,
      anon_sym_QMARK,
    ACTIONS(2680), 1,
      anon_sym_COLON,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2712), 1,
      anon_sym_RBRACE,
    ACTIONS(4083), 1,
      anon_sym_EQ,
    ACTIONS(4087), 1,
      anon_sym_LPAREN,
    ACTIONS(4090), 1,
      anon_sym_EQ_GT,
    ACTIONS(4094), 1,
      anon_sym_LT,
    STATE(1992), 1,
      sym_comment,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4085), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4081), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [2615] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1266), 1,
      anon_sym_EQ,
    ACTIONS(1272), 1,
      anon_sym_EQ_GT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4145), 1,
      sym_identifier,
    STATE(1993), 1,
      sym_comment,
    STATE(4421), 1,
      sym_nested_identifier,
    STATE(4466), 1,
      sym_string,
    STATE(4921), 1,
      sym__module,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [2708] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(1994), 1,
      sym_comment,
    ACTIONS(4147), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4149), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [2783] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(1266), 1,
      anon_sym_EQ,
    ACTIONS(1272), 1,
      anon_sym_EQ_GT,
    ACTIONS(4037), 1,
      sym_identifier,
    STATE(1995), 1,
      sym_comment,
    STATE(2330), 1,
      sym_string,
    STATE(2332), 1,
      sym_nested_identifier,
    STATE(2501), 1,
      sym__module,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [2876] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1035), 1,
      anon_sym_QMARK,
    ACTIONS(2680), 1,
      anon_sym_COLON,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2710), 1,
      anon_sym_RBRACE,
    ACTIONS(4083), 1,
      anon_sym_EQ,
    ACTIONS(4087), 1,
      anon_sym_LPAREN,
    ACTIONS(4090), 1,
      anon_sym_EQ_GT,
    ACTIONS(4094), 1,
      anon_sym_LT,
    STATE(1996), 1,
      sym_comment,
    STATE(6262), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4085), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4081), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [2971] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1266), 1,
      anon_sym_EQ,
    ACTIONS(1272), 1,
      anon_sym_EQ_GT,
    ACTIONS(3982), 1,
      sym_identifier,
    ACTIONS(3984), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_LBRACK,
    STATE(1997), 1,
      sym_comment,
    STATE(4698), 1,
      sym__destructuring_pattern,
    STATE(5647), 1,
      sym_variable_declarator,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(4490), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3064] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(177), 1,
      anon_sym_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_SQUOTE,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(1272), 1,
      anon_sym_EQ_GT,
    ACTIONS(4014), 1,
      sym_identifier,
    STATE(1998), 1,
      sym_comment,
    STATE(2490), 1,
      sym_nested_identifier,
    STATE(2491), 1,
      sym_string,
    STATE(2548), 1,
      sym__module,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3157] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1266), 1,
      anon_sym_EQ,
    ACTIONS(1272), 1,
      anon_sym_EQ_GT,
    ACTIONS(3966), 1,
      sym_identifier,
    ACTIONS(3968), 1,
      anon_sym_DQUOTE,
    ACTIONS(3970), 1,
      anon_sym_SQUOTE,
    STATE(959), 1,
      sym_nested_identifier,
    STATE(1191), 1,
      sym_string,
    STATE(1620), 1,
      sym__module,
    STATE(1999), 1,
      sym_comment,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3250] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(177), 1,
      anon_sym_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_SQUOTE,
    ACTIONS(211), 1,
      sym__ternary_qmark,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(1244), 1,
      anon_sym_EQ_GT,
    ACTIONS(4014), 1,
      sym_identifier,
    STATE(2000), 1,
      sym_comment,
    STATE(2490), 1,
      sym_nested_identifier,
    STATE(2491), 1,
      sym_string,
    STATE(2548), 1,
      sym__module,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 37,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3343] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1266), 1,
      anon_sym_EQ,
    ACTIONS(1272), 1,
      anon_sym_EQ_GT,
    ACTIONS(3976), 1,
      sym_identifier,
    ACTIONS(3978), 1,
      anon_sym_DQUOTE,
    ACTIONS(3980), 1,
      anon_sym_SQUOTE,
    STATE(345), 1,
      sym_nested_identifier,
    STATE(381), 1,
      sym_string,
    STATE(456), 1,
      sym__module,
    STATE(2001), 1,
      sym_comment,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3436] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(177), 1,
      anon_sym_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_SQUOTE,
    ACTIONS(211), 1,
      sym__ternary_qmark,
    ACTIONS(1224), 1,
      anon_sym_EQ_GT,
    ACTIONS(1258), 1,
      anon_sym_EQ,
    ACTIONS(4014), 1,
      sym_identifier,
    STATE(2002), 1,
      sym_comment,
    STATE(2490), 1,
      sym_nested_identifier,
    STATE(2491), 1,
      sym_string,
    STATE(2548), 1,
      sym__module,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3528] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4097), 1,
      anon_sym_EQ,
    ACTIONS(4105), 1,
      anon_sym_EQ_GT,
    ACTIONS(4157), 1,
      anon_sym_DOT,
    ACTIONS(4160), 1,
      anon_sym_LT,
    ACTIONS(4163), 1,
      anon_sym_extends,
    STATE(2003), 1,
      sym_comment,
    STATE(3853), 1,
      sym_type_arguments,
    ACTIONS(4151), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4154), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4085), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3620] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(149), 1,
      anon_sym_EQ_GT,
    ACTIONS(177), 1,
      anon_sym_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_SQUOTE,
    ACTIONS(211), 1,
      sym__ternary_qmark,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(1133), 1,
      anon_sym_COLON,
    ACTIONS(4014), 1,
      sym_identifier,
    STATE(2004), 1,
      sym_comment,
    STATE(2490), 1,
      sym_nested_identifier,
    STATE(2491), 1,
      sym_string,
    STATE(2548), 1,
      sym__module,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3714] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4105), 1,
      anon_sym_EQ_GT,
    ACTIONS(4151), 1,
      anon_sym_LBRACK,
    ACTIONS(4165), 1,
      anon_sym_EQ,
    ACTIONS(4172), 1,
      anon_sym_DOT,
    ACTIONS(4175), 1,
      anon_sym_LT,
    STATE(2005), 1,
      sym_comment,
    STATE(4109), 1,
      sym_type_arguments,
    ACTIONS(4154), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4168), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4163), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4085), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [3808] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(177), 1,
      anon_sym_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_SQUOTE,
    ACTIONS(211), 1,
      sym__ternary_qmark,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(1286), 1,
      anon_sym_EQ_GT,
    ACTIONS(4014), 1,
      sym_identifier,
    STATE(2006), 1,
      sym_comment,
    STATE(2490), 1,
      sym_nested_identifier,
    STATE(2491), 1,
      sym_string,
    STATE(2548), 1,
      sym__module,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3900] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(149), 1,
      anon_sym_EQ_GT,
    ACTIONS(177), 1,
      anon_sym_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_SQUOTE,
    ACTIONS(211), 1,
      sym__ternary_qmark,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(1201), 1,
      anon_sym_in,
    ACTIONS(1204), 1,
      anon_sym_of,
    ACTIONS(4014), 1,
      sym_identifier,
    STATE(2007), 1,
      sym_comment,
    STATE(2490), 1,
      sym_nested_identifier,
    STATE(2491), 1,
      sym_string,
    STATE(2548), 1,
      sym__module,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 34,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3996] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(177), 1,
      anon_sym_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_SQUOTE,
    ACTIONS(211), 1,
      sym__ternary_qmark,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(1224), 1,
      anon_sym_EQ_GT,
    ACTIONS(4014), 1,
      sym_identifier,
    STATE(2008), 1,
      sym_comment,
    STATE(2490), 1,
      sym_nested_identifier,
    STATE(2491), 1,
      sym_string,
    STATE(2548), 1,
      sym__module,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [4088] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4105), 1,
      anon_sym_EQ_GT,
    ACTIONS(4151), 1,
      anon_sym_LBRACK,
    ACTIONS(4157), 1,
      anon_sym_DOT,
    ACTIONS(4160), 1,
      anon_sym_LT,
    ACTIONS(4163), 1,
      anon_sym_extends,
    ACTIONS(4165), 1,
      anon_sym_EQ,
    ACTIONS(4178), 1,
      anon_sym_COLON,
    ACTIONS(4180), 1,
      anon_sym_QMARK,
    STATE(2009), 1,
      sym_comment,
    STATE(3853), 1,
      sym_type_arguments,
    STATE(6465), 1,
      sym_type_annotation,
    ACTIONS(4154), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4168), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(4085), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4188] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(177), 1,
      anon_sym_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_SQUOTE,
    ACTIONS(211), 1,
      sym__ternary_qmark,
    ACTIONS(1280), 1,
      anon_sym_EQ,
    ACTIONS(1286), 1,
      anon_sym_EQ_GT,
    ACTIONS(4014), 1,
      sym_identifier,
    STATE(2010), 1,
      sym_comment,
    STATE(2490), 1,
      sym_nested_identifier,
    STATE(2491), 1,
      sym_string,
    STATE(2548), 1,
      sym__module,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [4280] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4090), 1,
      anon_sym_EQ_GT,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(4115), 1,
      anon_sym_DOT,
    ACTIONS(4117), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4119), 1,
      anon_sym_LT,
    ACTIONS(4183), 1,
      anon_sym_EQ,
    STATE(2011), 1,
      sym_comment,
    STATE(3769), 1,
      sym_arguments,
    STATE(3852), 1,
      sym_type_arguments,
    ACTIONS(4099), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4109), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4085), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4376] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4097), 1,
      anon_sym_EQ,
    ACTIONS(4105), 1,
      anon_sym_EQ_GT,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(4115), 1,
      anon_sym_DOT,
    ACTIONS(4117), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4119), 1,
      anon_sym_LT,
    STATE(2012), 1,
      sym_comment,
    STATE(3769), 1,
      sym_arguments,
    STATE(3852), 1,
      sym_type_arguments,
    ACTIONS(4109), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4099), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4085), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4472] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2013), 1,
      sym_comment,
    ACTIONS(3308), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3344), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [4546] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2014), 1,
      sym_comment,
    ACTIONS(3316), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3358), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [4620] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4185), 1,
      anon_sym_EQ,
    STATE(2015), 1,
      sym_comment,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4085), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [4698] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(4115), 1,
      anon_sym_DOT,
    ACTIONS(4117), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4119), 1,
      anon_sym_LT,
    ACTIONS(4187), 1,
      anon_sym_EQ,
    ACTIONS(4189), 1,
      anon_sym_EQ_GT,
    STATE(2016), 1,
      sym_comment,
    STATE(3769), 1,
      sym_arguments,
    STATE(3852), 1,
      sym_type_arguments,
    ACTIONS(4099), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4109), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4085), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4794] = 17,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4105), 1,
      anon_sym_EQ_GT,
    ACTIONS(4151), 1,
      anon_sym_LBRACK,
    ACTIONS(4157), 1,
      anon_sym_DOT,
    ACTIONS(4160), 1,
      anon_sym_LT,
    ACTIONS(4163), 1,
      anon_sym_extends,
    ACTIONS(4165), 1,
      anon_sym_EQ,
    ACTIONS(4168), 1,
      anon_sym_RPAREN,
    ACTIONS(4194), 1,
      anon_sym_QMARK,
    STATE(2017), 1,
      sym_comment,
    STATE(3853), 1,
      sym_type_arguments,
    ACTIONS(4154), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4191), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4085), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4891] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4097), 1,
      anon_sym_EQ,
    ACTIONS(4105), 1,
      anon_sym_EQ_GT,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(4115), 1,
      anon_sym_DOT,
    ACTIONS(4117), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4119), 1,
      anon_sym_LT,
    STATE(2018), 1,
      sym_comment,
    STATE(3769), 1,
      sym_arguments,
    STATE(3852), 1,
      sym_type_arguments,
    ACTIONS(4109), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
    ACTIONS(4099), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4085), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4986] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(4115), 1,
      anon_sym_DOT,
    ACTIONS(4117), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4119), 1,
      anon_sym_LT,
    ACTIONS(4196), 1,
      anon_sym_EQ,
    ACTIONS(4198), 1,
      anon_sym_EQ_GT,
    STATE(2019), 1,
      sym_comment,
    STATE(3769), 1,
      sym_arguments,
    STATE(3852), 1,
      sym_type_arguments,
    ACTIONS(4099), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4109), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4085), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5081] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4194), 1,
      anon_sym_QMARK,
    ACTIONS(4200), 1,
      anon_sym_EQ,
    ACTIONS(4205), 1,
      anon_sym_EQ_GT,
    STATE(2020), 1,
      sym_comment,
    ACTIONS(4203), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4085), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5164] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(149), 1,
      anon_sym_EQ_GT,
    ACTIONS(177), 1,
      anon_sym_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_SQUOTE,
    ACTIONS(211), 1,
      sym__ternary_qmark,
    ACTIONS(1354), 1,
      anon_sym_EQ,
    ACTIONS(4014), 1,
      sym_identifier,
    STATE(2021), 1,
      sym_comment,
    STATE(2490), 1,
      sym_nested_identifier,
    STATE(2491), 1,
      sym_string,
    STATE(2548), 1,
      sym__module,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [5255] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(4115), 1,
      anon_sym_DOT,
    ACTIONS(4117), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4119), 1,
      anon_sym_LT,
    ACTIONS(4207), 1,
      anon_sym_EQ,
    ACTIONS(4209), 1,
      anon_sym_EQ_GT,
    STATE(2022), 1,
      sym_comment,
    STATE(3769), 1,
      sym_arguments,
    STATE(3852), 1,
      sym_type_arguments,
    ACTIONS(4099), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4109), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4085), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5350] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(1133), 1,
      anon_sym_QMARK,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4213), 1,
      anon_sym_EQ_GT,
    STATE(2023), 1,
      sym_comment,
    ACTIONS(4211), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(211), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5433] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(115), 1,
      anon_sym_EQ,
    ACTIONS(124), 1,
      anon_sym_QMARK,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4213), 1,
      anon_sym_EQ_GT,
    STATE(2024), 1,
      sym_comment,
    ACTIONS(4215), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(211), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5516] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(4115), 1,
      anon_sym_DOT,
    ACTIONS(4117), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4119), 1,
      anon_sym_LT,
    ACTIONS(4217), 1,
      anon_sym_EQ,
    ACTIONS(4219), 1,
      anon_sym_EQ_GT,
    STATE(2025), 1,
      sym_comment,
    STATE(3769), 1,
      sym_arguments,
    STATE(3852), 1,
      sym_type_arguments,
    ACTIONS(4099), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4109), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4085), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5611] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1135), 1,
      anon_sym_EQ,
    ACTIONS(2030), 1,
      anon_sym_extends,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4227), 1,
      anon_sym_EQ_GT,
    STATE(2026), 1,
      sym_comment,
    ACTIONS(4221), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4224), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(211), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [5696] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2027), 1,
      sym_comment,
    ACTIONS(4129), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4131), 37,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [5769] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(149), 1,
      anon_sym_EQ_GT,
    ACTIONS(177), 1,
      anon_sym_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_SQUOTE,
    ACTIONS(211), 1,
      sym__ternary_qmark,
    ACTIONS(1302), 1,
      anon_sym_EQ,
    ACTIONS(4014), 1,
      sym_identifier,
    STATE(2028), 1,
      sym_comment,
    STATE(2490), 1,
      sym_nested_identifier,
    STATE(2491), 1,
      sym_string,
    STATE(2548), 1,
      sym__module,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [5860] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(149), 1,
      anon_sym_EQ_GT,
    ACTIONS(177), 1,
      anon_sym_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_SQUOTE,
    ACTIONS(211), 1,
      sym__ternary_qmark,
    ACTIONS(1292), 1,
      anon_sym_EQ,
    ACTIONS(4014), 1,
      sym_identifier,
    STATE(2029), 1,
      sym_comment,
    STATE(2490), 1,
      sym_nested_identifier,
    STATE(2491), 1,
      sym_string,
    STATE(2548), 1,
      sym__module,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [5951] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4185), 1,
      anon_sym_EQ,
    ACTIONS(4205), 1,
      anon_sym_EQ_GT,
    ACTIONS(4231), 1,
      anon_sym_QMARK,
    STATE(2030), 1,
      sym_comment,
    ACTIONS(4229), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4085), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6034] = 17,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4151), 1,
      anon_sym_LBRACK,
    ACTIONS(4157), 1,
      anon_sym_DOT,
    ACTIONS(4160), 1,
      anon_sym_LT,
    ACTIONS(4163), 1,
      anon_sym_extends,
    ACTIONS(4194), 1,
      anon_sym_QMARK,
    ACTIONS(4200), 1,
      anon_sym_EQ,
    ACTIONS(4205), 1,
      anon_sym_EQ_GT,
    ACTIONS(4233), 1,
      anon_sym_RPAREN,
    STATE(2031), 1,
      sym_comment,
    STATE(3853), 1,
      sym_type_arguments,
    ACTIONS(4154), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4203), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4085), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6131] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4105), 1,
      anon_sym_EQ_GT,
    ACTIONS(4165), 1,
      anon_sym_EQ,
    ACTIONS(4194), 1,
      anon_sym_QMARK,
    STATE(2032), 1,
      sym_comment,
    ACTIONS(4191), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4085), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6214] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4238), 1,
      anon_sym_AT,
    STATE(2088), 1,
      sym_decorator,
    STATE(2033), 2,
      sym_comment,
      aux_sym_export_statement_repeat1,
    ACTIONS(4236), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [6289] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4157), 1,
      anon_sym_DOT,
    ACTIONS(4160), 1,
      anon_sym_LT,
    ACTIONS(4163), 1,
      anon_sym_extends,
    ACTIONS(4187), 1,
      anon_sym_EQ,
    ACTIONS(4189), 1,
      anon_sym_EQ_GT,
    STATE(2034), 1,
      sym_comment,
    STATE(3853), 1,
      sym_type_arguments,
    ACTIONS(4151), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4154), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4085), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4081), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6380] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2035), 1,
      sym_comment,
    ACTIONS(4137), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4139), 37,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [6453] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(149), 1,
      anon_sym_EQ_GT,
    ACTIONS(211), 1,
      sym__ternary_qmark,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(1201), 1,
      anon_sym_in,
    ACTIONS(1204), 1,
      anon_sym_of,
    ACTIONS(3836), 1,
      anon_sym_LBRACE,
    ACTIONS(4241), 1,
      sym_identifier,
    ACTIONS(4243), 1,
      anon_sym_LBRACK,
    STATE(2036), 1,
      sym_comment,
    STATE(6836), 1,
      sym__destructuring_pattern,
    STATE(4292), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 33,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [6546] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(149), 1,
      anon_sym_EQ_GT,
    ACTIONS(177), 1,
      anon_sym_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_SQUOTE,
    ACTIONS(211), 1,
      sym__ternary_qmark,
    ACTIONS(1300), 1,
      anon_sym_EQ,
    ACTIONS(4014), 1,
      sym_identifier,
    STATE(2037), 1,
      sym_comment,
    STATE(2490), 1,
      sym_nested_identifier,
    STATE(2491), 1,
      sym_string,
    STATE(2548), 1,
      sym__module,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [6637] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4248), 1,
      anon_sym_LPAREN,
    ACTIONS(4250), 1,
      anon_sym_DOT,
    STATE(2038), 1,
      sym_comment,
    STATE(2098), 1,
      sym_arguments,
    ACTIONS(4246), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [6714] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(124), 1,
      anon_sym_QMARK,
    ACTIONS(213), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4227), 1,
      anon_sym_EQ_GT,
    STATE(2039), 1,
      sym_comment,
    ACTIONS(4252), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(211), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6797] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(213), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4221), 1,
      anon_sym_LBRACK,
    ACTIONS(4227), 1,
      anon_sym_EQ_GT,
    STATE(2040), 1,
      sym_comment,
    ACTIONS(4224), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2030), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(211), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6882] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(149), 1,
      anon_sym_EQ_GT,
    ACTIONS(177), 1,
      anon_sym_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_SQUOTE,
    ACTIONS(211), 1,
      sym__ternary_qmark,
    ACTIONS(1356), 1,
      anon_sym_EQ,
    ACTIONS(4014), 1,
      sym_identifier,
    STATE(2041), 1,
      sym_comment,
    STATE(2490), 1,
      sym_nested_identifier,
    STATE(2491), 1,
      sym_string,
    STATE(2548), 1,
      sym__module,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [6973] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4238), 1,
      anon_sym_AT,
    ACTIONS(4255), 1,
      anon_sym_class,
    STATE(2033), 1,
      aux_sym_export_statement_repeat1,
    STATE(2042), 1,
      sym_comment,
    STATE(2088), 1,
      sym_decorator,
    ACTIONS(4236), 55,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [7052] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4090), 1,
      anon_sym_EQ_GT,
    ACTIONS(4157), 1,
      anon_sym_DOT,
    ACTIONS(4160), 1,
      anon_sym_LT,
    ACTIONS(4163), 1,
      anon_sym_extends,
    ACTIONS(4183), 1,
      anon_sym_EQ,
    STATE(2043), 1,
      sym_comment,
    STATE(3853), 1,
      sym_type_arguments,
    ACTIONS(4151), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4154), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4085), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4081), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7143] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(149), 1,
      anon_sym_EQ_GT,
    ACTIONS(177), 1,
      anon_sym_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_SQUOTE,
    ACTIONS(211), 1,
      sym__ternary_qmark,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(4014), 1,
      sym_identifier,
    STATE(2044), 1,
      sym_comment,
    STATE(2490), 1,
      sym_nested_identifier,
    STATE(2491), 1,
      sym_string,
    STATE(2548), 1,
      sym__module,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [7234] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(149), 1,
      anon_sym_EQ_GT,
    ACTIONS(177), 1,
      anon_sym_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_SQUOTE,
    ACTIONS(211), 1,
      sym__ternary_qmark,
    ACTIONS(1296), 1,
      anon_sym_EQ,
    ACTIONS(4014), 1,
      sym_identifier,
    STATE(2045), 1,
      sym_comment,
    STATE(2490), 1,
      sym_nested_identifier,
    STATE(2491), 1,
      sym_string,
    STATE(2548), 1,
      sym__module,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [7325] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(149), 1,
      anon_sym_EQ_GT,
    ACTIONS(177), 1,
      anon_sym_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_SQUOTE,
    ACTIONS(211), 1,
      sym__ternary_qmark,
    ACTIONS(1294), 1,
      anon_sym_EQ,
    ACTIONS(4014), 1,
      sym_identifier,
    STATE(2046), 1,
      sym_comment,
    STATE(2490), 1,
      sym_nested_identifier,
    STATE(2491), 1,
      sym_string,
    STATE(2548), 1,
      sym__module,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [7416] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(149), 1,
      anon_sym_EQ_GT,
    ACTIONS(177), 1,
      anon_sym_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_SQUOTE,
    ACTIONS(211), 1,
      sym__ternary_qmark,
    ACTIONS(1298), 1,
      anon_sym_EQ,
    ACTIONS(4014), 1,
      sym_identifier,
    STATE(2047), 1,
      sym_comment,
    STATE(2490), 1,
      sym_nested_identifier,
    STATE(2491), 1,
      sym_string,
    STATE(2548), 1,
      sym__module,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [7507] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(149), 1,
      anon_sym_EQ_GT,
    ACTIONS(177), 1,
      anon_sym_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_SQUOTE,
    ACTIONS(211), 1,
      sym__ternary_qmark,
    ACTIONS(1358), 1,
      anon_sym_EQ,
    ACTIONS(4014), 1,
      sym_identifier,
    STATE(2048), 1,
      sym_comment,
    STATE(2490), 1,
      sym_nested_identifier,
    STATE(2491), 1,
      sym_string,
    STATE(2548), 1,
      sym__module,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [7598] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1027), 1,
      anon_sym_EQ_GT,
    ACTIONS(1175), 1,
      anon_sym_EQ,
    ACTIONS(1199), 1,
      anon_sym_COLON,
    ACTIONS(4258), 1,
      sym_identifier,
    STATE(2049), 1,
      sym_comment,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 37,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [7680] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1027), 1,
      anon_sym_EQ_GT,
    ACTIONS(1175), 1,
      anon_sym_EQ,
    ACTIONS(1195), 1,
      anon_sym_COLON,
    ACTIONS(4260), 1,
      sym_identifier,
    STATE(2050), 1,
      sym_comment,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 37,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [7762] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(4115), 1,
      anon_sym_DOT,
    ACTIONS(4117), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4119), 1,
      anon_sym_LT,
    ACTIONS(4185), 1,
      anon_sym_EQ,
    ACTIONS(4205), 1,
      anon_sym_EQ_GT,
    STATE(2051), 1,
      sym_comment,
    STATE(3769), 1,
      sym_arguments,
    STATE(3852), 1,
      sym_type_arguments,
    ACTIONS(4109), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4099), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4085), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7856] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(124), 1,
      anon_sym_QMARK,
    ACTIONS(213), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4221), 1,
      anon_sym_LBRACK,
    ACTIONS(4227), 1,
      anon_sym_EQ_GT,
    STATE(2052), 1,
      sym_comment,
    ACTIONS(2030), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(4224), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4252), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(211), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7944] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1175), 1,
      anon_sym_EQ,
    ACTIONS(2030), 1,
      anon_sym_extends,
    ACTIONS(2689), 1,
      anon_sym_EQ_GT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2053), 1,
      sym_comment,
    ACTIONS(4221), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4224), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8028] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2054), 1,
      sym_comment,
    ACTIONS(3110), 58,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [8098] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4097), 1,
      anon_sym_EQ,
    ACTIONS(4105), 1,
      anon_sym_EQ_GT,
    STATE(2055), 1,
      sym_comment,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4085), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8176] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1027), 1,
      anon_sym_EQ_GT,
    ACTIONS(1175), 1,
      anon_sym_EQ,
    ACTIONS(1197), 1,
      anon_sym_COLON,
    ACTIONS(4262), 1,
      sym_identifier,
    STATE(2056), 1,
      sym_comment,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 37,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [8258] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1135), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4227), 1,
      anon_sym_EQ_GT,
    STATE(2057), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8336] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(4115), 1,
      anon_sym_DOT,
    ACTIONS(4117), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4119), 1,
      anon_sym_LT,
    ACTIONS(4264), 1,
      anon_sym_EQ,
    ACTIONS(4266), 1,
      anon_sym_EQ_GT,
    STATE(2058), 1,
      sym_comment,
    STATE(3769), 1,
      sym_arguments,
    STATE(3852), 1,
      sym_type_arguments,
    ACTIONS(4099), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4109), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4085), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8430] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4227), 1,
      anon_sym_EQ_GT,
    STATE(2059), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8508] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1027), 1,
      anon_sym_EQ_GT,
    ACTIONS(1175), 1,
      anon_sym_EQ,
    ACTIONS(1177), 1,
      anon_sym_COLON,
    ACTIONS(4079), 1,
      sym_identifier,
    STATE(2060), 1,
      sym_comment,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 37,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [8590] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(115), 1,
      anon_sym_EQ,
    ACTIONS(124), 1,
      anon_sym_QMARK,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4213), 1,
      anon_sym_EQ_GT,
    ACTIONS(4221), 1,
      anon_sym_LBRACK,
    STATE(2061), 1,
      sym_comment,
    ACTIONS(2030), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(4215), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4224), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(211), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8678] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1183), 1,
      anon_sym_EQ,
    ACTIONS(2030), 1,
      anon_sym_extends,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4268), 1,
      anon_sym_EQ_GT,
    STATE(2062), 1,
      sym_comment,
    ACTIONS(4221), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4224), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8762] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2063), 1,
      sym_comment,
    ACTIONS(4270), 58,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [8832] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4185), 1,
      anon_sym_EQ,
    ACTIONS(4231), 1,
      anon_sym_QMARK,
    STATE(2064), 1,
      sym_comment,
    ACTIONS(4229), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4085), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8912] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4151), 1,
      anon_sym_LBRACK,
    ACTIONS(4157), 1,
      anon_sym_DOT,
    ACTIONS(4160), 1,
      anon_sym_LT,
    ACTIONS(4185), 1,
      anon_sym_EQ,
    ACTIONS(4205), 1,
      anon_sym_EQ_GT,
    ACTIONS(4229), 1,
      anon_sym_COLON,
    STATE(2065), 1,
      sym_comment,
    STATE(3853), 1,
      sym_type_arguments,
    ACTIONS(4154), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4163), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4085), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9004] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(4115), 1,
      anon_sym_DOT,
    ACTIONS(4117), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4119), 1,
      anon_sym_LT,
    ACTIONS(4272), 1,
      anon_sym_EQ,
    ACTIONS(4274), 1,
      anon_sym_EQ_GT,
    STATE(2066), 1,
      sym_comment,
    STATE(3769), 1,
      sym_arguments,
    STATE(3852), 1,
      sym_type_arguments,
    ACTIONS(4099), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4109), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4085), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9098] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4194), 1,
      anon_sym_QMARK,
    ACTIONS(4200), 1,
      anon_sym_EQ,
    STATE(2067), 1,
      sym_comment,
    ACTIONS(4203), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4085), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9178] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2068), 1,
      sym_comment,
    ACTIONS(3172), 58,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [9248] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4165), 1,
      anon_sym_EQ,
    ACTIONS(4194), 1,
      anon_sym_QMARK,
    STATE(2069), 1,
      sym_comment,
    ACTIONS(4191), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4085), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9328] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1027), 1,
      anon_sym_EQ_GT,
    ACTIONS(1175), 1,
      anon_sym_EQ,
    ACTIONS(1206), 1,
      anon_sym_COLON,
    ACTIONS(4276), 1,
      sym_identifier,
    STATE(2070), 1,
      sym_comment,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 37,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [9410] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4097), 1,
      anon_sym_EQ,
    ACTIONS(4105), 1,
      anon_sym_EQ_GT,
    ACTIONS(4151), 1,
      anon_sym_LBRACK,
    ACTIONS(4157), 1,
      anon_sym_DOT,
    ACTIONS(4160), 1,
      anon_sym_LT,
    ACTIONS(4163), 1,
      anon_sym_extends,
    ACTIONS(4229), 1,
      anon_sym_COLON,
    STATE(2071), 1,
      sym_comment,
    STATE(3853), 1,
      sym_type_arguments,
    ACTIONS(4154), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4278), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(4085), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9504] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4151), 1,
      anon_sym_LBRACK,
    ACTIONS(4157), 1,
      anon_sym_DOT,
    ACTIONS(4160), 1,
      anon_sym_LT,
    ACTIONS(4196), 1,
      anon_sym_EQ,
    ACTIONS(4198), 1,
      anon_sym_EQ_GT,
    STATE(2072), 1,
      sym_comment,
    STATE(3853), 1,
      sym_type_arguments,
    ACTIONS(4163), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4154), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4085), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9594] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4151), 1,
      anon_sym_LBRACK,
    ACTIONS(4157), 1,
      anon_sym_DOT,
    ACTIONS(4160), 1,
      anon_sym_LT,
    ACTIONS(4207), 1,
      anon_sym_EQ,
    ACTIONS(4209), 1,
      anon_sym_EQ_GT,
    STATE(2073), 1,
      sym_comment,
    STATE(3853), 1,
      sym_type_arguments,
    ACTIONS(4163), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4154), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4085), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9684] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4105), 1,
      anon_sym_EQ_GT,
    ACTIONS(4185), 1,
      anon_sym_EQ,
    STATE(2074), 1,
      sym_comment,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4085), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9762] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4157), 1,
      anon_sym_DOT,
    ACTIONS(4160), 1,
      anon_sym_LT,
    ACTIONS(4163), 1,
      anon_sym_extends,
    ACTIONS(4217), 1,
      anon_sym_EQ,
    ACTIONS(4219), 1,
      anon_sym_EQ_GT,
    STATE(2075), 1,
      sym_comment,
    STATE(3853), 1,
      sym_type_arguments,
    ACTIONS(4151), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4154), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4085), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9852] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4185), 1,
      anon_sym_EQ,
    STATE(2076), 1,
      sym_comment,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4085), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9927] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4187), 1,
      anon_sym_EQ,
    ACTIONS(4189), 1,
      anon_sym_EQ_GT,
    STATE(2077), 1,
      sym_comment,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4085), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10004] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2078), 1,
      sym_comment,
    ACTIONS(3316), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3358), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [10075] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2079), 1,
      sym_comment,
    ACTIONS(4129), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4131), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [10146] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4090), 1,
      anon_sym_EQ_GT,
    ACTIONS(4185), 1,
      anon_sym_EQ,
    STATE(2080), 1,
      sym_comment,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4085), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10223] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2081), 1,
      sym_comment,
    ACTIONS(4282), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4137), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4139), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [10296] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2082), 1,
      sym_comment,
    ACTIONS(4284), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4129), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4131), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [10369] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2083), 1,
      sym_comment,
    ACTIONS(4121), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4123), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [10440] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2764), 1,
      anon_sym_COLON,
    ACTIONS(4090), 1,
      anon_sym_EQ_GT,
    ACTIONS(4183), 1,
      anon_sym_EQ,
    STATE(2084), 1,
      sym_comment,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4085), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10519] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1183), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4268), 1,
      anon_sym_EQ_GT,
    STATE(2085), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10596] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4097), 1,
      anon_sym_EQ,
    STATE(2086), 1,
      sym_comment,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4085), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10671] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2087), 1,
      sym_comment,
    ACTIONS(4125), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4127), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [10742] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2088), 1,
      sym_comment,
    ACTIONS(4286), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [10811] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2089), 1,
      sym_comment,
    ACTIONS(3308), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3344), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [10882] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4185), 1,
      anon_sym_EQ,
    ACTIONS(4189), 1,
      anon_sym_EQ_GT,
    STATE(2090), 1,
      sym_comment,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4085), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10959] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1266), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2934), 1,
      anon_sym_EQ_GT,
    ACTIONS(4221), 1,
      anon_sym_LBRACK,
    STATE(2091), 1,
      sym_comment,
    ACTIONS(2030), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4224), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11042] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2092), 1,
      sym_comment,
    ACTIONS(4141), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4143), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11113] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4151), 1,
      anon_sym_LBRACK,
    ACTIONS(4157), 1,
      anon_sym_DOT,
    ACTIONS(4160), 1,
      anon_sym_LT,
    ACTIONS(4264), 1,
      anon_sym_EQ,
    ACTIONS(4266), 1,
      anon_sym_EQ_GT,
    STATE(2093), 1,
      sym_comment,
    STATE(3853), 1,
      sym_type_arguments,
    ACTIONS(4163), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4154), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4085), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11202] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1175), 1,
      anon_sym_EQ,
    ACTIONS(2689), 1,
      anon_sym_EQ_GT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2844), 1,
      anon_sym_COLON,
    STATE(2094), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11281] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2802), 1,
      anon_sym_COLON,
    ACTIONS(4090), 1,
      anon_sym_EQ_GT,
    ACTIONS(4183), 1,
      anon_sym_EQ,
    STATE(2095), 1,
      sym_comment,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4085), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11360] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2844), 1,
      anon_sym_COLON,
    ACTIONS(4090), 1,
      anon_sym_EQ_GT,
    ACTIONS(4183), 1,
      anon_sym_EQ,
    STATE(2096), 1,
      sym_comment,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4085), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11439] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1175), 1,
      anon_sym_EQ,
    ACTIONS(2689), 1,
      anon_sym_EQ_GT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2802), 1,
      anon_sym_COLON,
    STATE(2097), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11518] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2098), 1,
      sym_comment,
    ACTIONS(4288), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [11587] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1175), 1,
      anon_sym_EQ,
    ACTIONS(2689), 1,
      anon_sym_EQ_GT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2764), 1,
      anon_sym_COLON,
    STATE(2099), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11666] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(2689), 1,
      anon_sym_EQ_GT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2100), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11743] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(4115), 1,
      anon_sym_DOT,
    ACTIONS(4117), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4119), 1,
      anon_sym_LT,
    ACTIONS(4185), 1,
      anon_sym_EQ,
    ACTIONS(4205), 1,
      anon_sym_EQ_GT,
    STATE(2101), 1,
      sym_comment,
    STATE(3769), 1,
      sym_arguments,
    STATE(3852), 1,
      sym_type_arguments,
    ACTIONS(4099), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4109), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4085), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11836] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4268), 1,
      anon_sym_EQ_GT,
    STATE(2102), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11913] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4090), 1,
      anon_sym_EQ_GT,
    ACTIONS(4183), 1,
      anon_sym_EQ,
    ACTIONS(4290), 1,
      anon_sym_in,
    ACTIONS(4293), 1,
      anon_sym_of,
    STATE(2103), 1,
      sym_comment,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4085), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4081), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11994] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(4115), 1,
      anon_sym_DOT,
    ACTIONS(4117), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4119), 1,
      anon_sym_LT,
    ACTIONS(4185), 1,
      anon_sym_EQ,
    ACTIONS(4205), 1,
      anon_sym_EQ_GT,
    STATE(2104), 1,
      sym_comment,
    STATE(3769), 1,
      sym_arguments,
    STATE(3852), 1,
      sym_type_arguments,
    ACTIONS(4109), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4099), 3,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4085), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12087] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2105), 1,
      sym_comment,
    ACTIONS(4137), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4139), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [12158] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4097), 1,
      anon_sym_EQ,
    ACTIONS(4105), 1,
      anon_sym_EQ_GT,
    ACTIONS(4157), 1,
      anon_sym_DOT,
    ACTIONS(4160), 1,
      anon_sym_LT,
    ACTIONS(4163), 1,
      anon_sym_extends,
    STATE(2106), 1,
      sym_comment,
    STATE(3853), 1,
      sym_type_arguments,
    ACTIONS(4151), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4154), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4085), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12247] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1135), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4211), 1,
      anon_sym_COLON,
    ACTIONS(4227), 1,
      anon_sym_EQ_GT,
    STATE(2107), 1,
      sym_comment,
    ACTIONS(4295), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(211), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12328] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2108), 1,
      sym_comment,
    ACTIONS(4298), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [12397] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2109), 1,
      sym_comment,
    ACTIONS(4137), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4139), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [12468] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2110), 1,
      sym_comment,
    ACTIONS(3302), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [12537] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2111), 1,
      sym_comment,
    ACTIONS(4133), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4135), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [12608] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2112), 1,
      sym_comment,
    ACTIONS(3300), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [12677] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2822), 1,
      anon_sym_COLON,
    ACTIONS(4090), 1,
      anon_sym_EQ_GT,
    ACTIONS(4183), 1,
      anon_sym_EQ,
    STATE(2113), 1,
      sym_comment,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4085), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12756] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(2030), 1,
      anon_sym_extends,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4300), 1,
      anon_sym_EQ_GT,
    STATE(2114), 1,
      sym_comment,
    ACTIONS(4221), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4224), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12839] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2115), 1,
      sym_comment,
    ACTIONS(4129), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4131), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [12910] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4284), 1,
      anon_sym_COMMA,
    STATE(2116), 1,
      sym_comment,
    ACTIONS(4129), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4131), 34,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [12983] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1175), 1,
      anon_sym_EQ,
    ACTIONS(2689), 1,
      anon_sym_EQ_GT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2822), 1,
      anon_sym_COLON,
    STATE(2117), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13062] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2118), 1,
      sym_comment,
    ACTIONS(4147), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4149), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [13133] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1175), 1,
      anon_sym_EQ,
    ACTIONS(2689), 1,
      anon_sym_EQ_GT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2882), 1,
      anon_sym_COLON,
    STATE(2119), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13212] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4151), 1,
      anon_sym_LBRACK,
    ACTIONS(4157), 1,
      anon_sym_DOT,
    ACTIONS(4160), 1,
      anon_sym_LT,
    ACTIONS(4272), 1,
      anon_sym_EQ,
    ACTIONS(4274), 1,
      anon_sym_EQ_GT,
    STATE(2120), 1,
      sym_comment,
    STATE(3853), 1,
      sym_type_arguments,
    ACTIONS(4163), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4154), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4085), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13301] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1175), 1,
      anon_sym_EQ,
    ACTIONS(2689), 1,
      anon_sym_EQ_GT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2121), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13378] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2122), 1,
      sym_comment,
    ACTIONS(3312), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [13447] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2123), 1,
      sym_comment,
    ACTIONS(3314), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [13516] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(213), 1,
      anon_sym_EQ,
    ACTIONS(1974), 1,
      anon_sym_QMARK,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4221), 1,
      anon_sym_LBRACK,
    ACTIONS(4227), 1,
      anon_sym_EQ_GT,
    STATE(2124), 1,
      sym_comment,
    ACTIONS(4224), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2030), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(211), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13601] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4211), 1,
      anon_sym_COLON,
    ACTIONS(4213), 1,
      anon_sym_EQ_GT,
    ACTIONS(4221), 1,
      anon_sym_LBRACK,
    STATE(2125), 1,
      sym_comment,
    ACTIONS(4224), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2030), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(211), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13686] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1175), 1,
      anon_sym_EQ,
    ACTIONS(1201), 1,
      anon_sym_in,
    ACTIONS(2689), 1,
      anon_sym_EQ_GT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4302), 1,
      anon_sym_of,
    STATE(2126), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13767] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4282), 1,
      anon_sym_COMMA,
    STATE(2127), 1,
      sym_comment,
    ACTIONS(4137), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4139), 34,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [13840] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1250), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4221), 1,
      anon_sym_LBRACK,
    ACTIONS(4304), 1,
      anon_sym_EQ_GT,
    STATE(2128), 1,
      sym_comment,
    ACTIONS(2030), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4224), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13923] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2129), 1,
      sym_comment,
    ACTIONS(4306), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [13992] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2130), 1,
      sym_comment,
    ACTIONS(4246), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [14061] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2882), 1,
      anon_sym_COLON,
    ACTIONS(4090), 1,
      anon_sym_EQ_GT,
    ACTIONS(4183), 1,
      anon_sym_EQ,
    STATE(2131), 1,
      sym_comment,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4085), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14140] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4090), 1,
      anon_sym_EQ_GT,
    ACTIONS(4183), 1,
      anon_sym_EQ,
    STATE(2132), 1,
      sym_comment,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4085), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14217] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2133), 1,
      sym_comment,
    ACTIONS(4308), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [14286] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1135), 1,
      anon_sym_EQ,
    ACTIONS(2030), 1,
      anon_sym_extends,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4211), 1,
      anon_sym_COLON,
    ACTIONS(4221), 1,
      anon_sym_LBRACK,
    ACTIONS(4227), 1,
      anon_sym_EQ_GT,
    STATE(2134), 1,
      sym_comment,
    ACTIONS(4224), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4310), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(211), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14373] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1280), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4221), 1,
      anon_sym_LBRACK,
    ACTIONS(4314), 1,
      anon_sym_EQ_GT,
    STATE(2135), 1,
      sym_comment,
    ACTIONS(2030), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4224), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(211), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14455] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1232), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4300), 1,
      anon_sym_EQ_GT,
    STATE(2136), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14531] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4183), 1,
      anon_sym_EQ,
    ACTIONS(4290), 1,
      anon_sym_in,
    ACTIONS(4293), 1,
      anon_sym_of,
    STATE(2137), 1,
      sym_comment,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4085), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4081), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14609] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4151), 1,
      anon_sym_LBRACK,
    ACTIONS(4157), 1,
      anon_sym_DOT,
    ACTIONS(4160), 1,
      anon_sym_LT,
    ACTIONS(4185), 1,
      anon_sym_EQ,
    ACTIONS(4205), 1,
      anon_sym_EQ_GT,
    STATE(2138), 1,
      sym_comment,
    STATE(3853), 1,
      sym_type_arguments,
    ACTIONS(4163), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4154), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4085), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14697] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1215), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4215), 1,
      anon_sym_COMMA,
    ACTIONS(4252), 1,
      anon_sym_RBRACK,
    ACTIONS(4316), 1,
      anon_sym_COLON,
    ACTIONS(4318), 1,
      anon_sym_EQ_GT,
    STATE(2139), 1,
      sym_comment,
    ACTIONS(211), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14779] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4183), 1,
      anon_sym_EQ,
    STATE(2140), 1,
      sym_comment,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4085), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14853] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4191), 1,
      anon_sym_RBRACK,
    ACTIONS(4203), 1,
      anon_sym_COMMA,
    ACTIONS(4266), 1,
      anon_sym_EQ_GT,
    ACTIONS(4320), 1,
      anon_sym_EQ,
    ACTIONS(4323), 1,
      anon_sym_in,
    ACTIONS(4325), 1,
      anon_sym_COLON,
    STATE(2141), 1,
      sym_comment,
    ACTIONS(4085), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14937] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1135), 1,
      anon_sym_EQ,
    ACTIONS(2030), 1,
      anon_sym_extends,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4227), 1,
      anon_sym_EQ_GT,
    STATE(2142), 1,
      sym_comment,
    ACTIONS(4221), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4224), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(211), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15019] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4187), 1,
      anon_sym_EQ,
    STATE(2143), 1,
      sym_comment,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4085), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15093] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4097), 1,
      anon_sym_EQ,
    ACTIONS(4105), 1,
      anon_sym_EQ_GT,
    STATE(2144), 1,
      sym_comment,
    ACTIONS(4327), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(4085), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15171] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4097), 1,
      anon_sym_EQ,
    ACTIONS(4229), 1,
      anon_sym_COLON,
    STATE(2145), 1,
      sym_comment,
    ACTIONS(4327), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(4085), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15249] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1266), 1,
      anon_sym_EQ,
    ACTIONS(1272), 1,
      anon_sym_EQ_GT,
    ACTIONS(4276), 1,
      sym_identifier,
    STATE(2146), 1,
      sym_comment,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [15327] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1266), 1,
      anon_sym_EQ,
    ACTIONS(1272), 1,
      anon_sym_EQ_GT,
    ACTIONS(4079), 1,
      sym_identifier,
    STATE(2147), 1,
      sym_comment,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [15405] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1266), 1,
      anon_sym_EQ,
    ACTIONS(1272), 1,
      anon_sym_EQ_GT,
    ACTIONS(4260), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_comment,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [15483] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1258), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4221), 1,
      anon_sym_LBRACK,
    ACTIONS(4318), 1,
      anon_sym_EQ_GT,
    STATE(2149), 1,
      sym_comment,
    ACTIONS(2030), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4224), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(211), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15565] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1266), 1,
      anon_sym_EQ,
    ACTIONS(1272), 1,
      anon_sym_EQ_GT,
    ACTIONS(4330), 1,
      sym_identifier,
    STATE(2150), 1,
      sym_comment,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [15643] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4185), 1,
      anon_sym_EQ,
    ACTIONS(4219), 1,
      anon_sym_EQ_GT,
    STATE(2151), 1,
      sym_comment,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4085), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15719] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4217), 1,
      anon_sym_EQ,
    ACTIONS(4219), 1,
      anon_sym_EQ_GT,
    STATE(2152), 1,
      sym_comment,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4085), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15795] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1266), 1,
      anon_sym_EQ,
    ACTIONS(1272), 1,
      anon_sym_EQ_GT,
    ACTIONS(4262), 1,
      sym_identifier,
    STATE(2153), 1,
      sym_comment,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [15873] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4300), 1,
      anon_sym_EQ_GT,
    STATE(2154), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15949] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1266), 1,
      anon_sym_EQ,
    ACTIONS(1272), 1,
      anon_sym_EQ_GT,
    ACTIONS(4258), 1,
      sym_identifier,
    STATE(2155), 1,
      sym_comment,
    ACTIONS(211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [16027] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1266), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2934), 1,
      anon_sym_EQ_GT,
    STATE(2156), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16102] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2157), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4338), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4340), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4871), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [16229] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4185), 1,
      anon_sym_EQ,
    ACTIONS(4198), 1,
      anon_sym_EQ_GT,
    STATE(2158), 1,
      sym_comment,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4085), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16304] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2159), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4358), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4360), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4745), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [16431] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4304), 1,
      anon_sym_EQ_GT,
    STATE(2160), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16506] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2161), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4362), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4364), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4803), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [16633] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4196), 1,
      anon_sym_EQ,
    ACTIONS(4198), 1,
      anon_sym_EQ_GT,
    STATE(2162), 1,
      sym_comment,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4085), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16708] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4207), 1,
      anon_sym_EQ,
    ACTIONS(4209), 1,
      anon_sym_EQ_GT,
    STATE(2163), 1,
      sym_comment,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4085), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16783] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2164), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4366), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4368), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4841), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [16910] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4185), 1,
      anon_sym_EQ,
    ACTIONS(4209), 1,
      anon_sym_EQ_GT,
    STATE(2165), 1,
      sym_comment,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4085), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16985] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4282), 1,
      anon_sym_COMMA,
    STATE(2166), 1,
      sym_comment,
    ACTIONS(4137), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4139), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [17056] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2167), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3876), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3878), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4878), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [17183] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2168), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4370), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4372), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4818), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [17310] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4284), 1,
      anon_sym_COMMA,
    STATE(2169), 1,
      sym_comment,
    ACTIONS(4129), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4131), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [17381] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1258), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4316), 1,
      anon_sym_COLON,
    ACTIONS(4318), 1,
      anon_sym_EQ_GT,
    STATE(2170), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17458] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2171), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4374), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4376), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4810), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [17585] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4264), 1,
      anon_sym_EQ,
    ACTIONS(4266), 1,
      anon_sym_EQ_GT,
    ACTIONS(4323), 1,
      anon_sym_in,
    ACTIONS(4325), 1,
      anon_sym_COLON,
    STATE(2172), 1,
      sym_comment,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4085), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4081), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17664] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4213), 1,
      anon_sym_EQ_GT,
    ACTIONS(4221), 1,
      anon_sym_LBRACK,
    STATE(2173), 1,
      sym_comment,
    ACTIONS(2030), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4224), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(211), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17745] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4191), 1,
      anon_sym_RBRACK,
    ACTIONS(4203), 1,
      anon_sym_COMMA,
    ACTIONS(4266), 1,
      anon_sym_EQ_GT,
    ACTIONS(4320), 1,
      anon_sym_EQ,
    STATE(2174), 1,
      sym_comment,
    ACTIONS(4085), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17824] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4217), 1,
      anon_sym_EQ,
    STATE(2175), 1,
      sym_comment,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4085), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17897] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2176), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4378), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4380), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4797), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18024] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1250), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4304), 1,
      anon_sym_EQ_GT,
    STATE(2177), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18099] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4264), 1,
      anon_sym_EQ,
    ACTIONS(4266), 1,
      anon_sym_EQ_GT,
    ACTIONS(4323), 1,
      anon_sym_in,
    ACTIONS(4382), 1,
      anon_sym_COLON,
    STATE(2178), 1,
      sym_comment,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4085), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4081), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18178] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2179), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3844), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3868), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4715), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18305] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1215), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4215), 1,
      anon_sym_COMMA,
    ACTIONS(4252), 1,
      anon_sym_RBRACK,
    ACTIONS(4318), 1,
      anon_sym_EQ_GT,
    STATE(2180), 1,
      sym_comment,
    ACTIONS(211), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18384] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2934), 1,
      anon_sym_EQ_GT,
    STATE(2181), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18459] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1258), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4318), 1,
      anon_sym_EQ_GT,
    ACTIONS(4384), 1,
      anon_sym_COLON,
    STATE(2182), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18536] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4272), 1,
      anon_sym_EQ,
    ACTIONS(4274), 1,
      anon_sym_EQ_GT,
    STATE(2183), 1,
      sym_comment,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4085), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18610] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4211), 1,
      anon_sym_COLON,
    ACTIONS(4213), 1,
      anon_sym_EQ_GT,
    STATE(2184), 1,
      sym_comment,
    ACTIONS(211), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18686] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4185), 1,
      anon_sym_EQ,
    ACTIONS(4274), 1,
      anon_sym_EQ_GT,
    STATE(2185), 1,
      sym_comment,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4085), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18760] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4185), 1,
      anon_sym_EQ,
    ACTIONS(4266), 1,
      anon_sym_EQ_GT,
    STATE(2186), 1,
      sym_comment,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4085), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18834] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1280), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4314), 1,
      anon_sym_EQ_GT,
    STATE(2187), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18908] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(1201), 1,
      anon_sym_in,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4213), 1,
      anon_sym_EQ_GT,
    ACTIONS(4302), 1,
      anon_sym_of,
    STATE(2188), 1,
      sym_comment,
    ACTIONS(211), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18986] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4264), 1,
      anon_sym_EQ,
    ACTIONS(4266), 1,
      anon_sym_EQ_GT,
    STATE(2189), 1,
      sym_comment,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4085), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19060] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4207), 1,
      anon_sym_EQ,
    STATE(2190), 1,
      sym_comment,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4085), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19132] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4185), 1,
      anon_sym_EQ,
    ACTIONS(4205), 1,
      anon_sym_EQ_GT,
    ACTIONS(4290), 1,
      anon_sym_in,
    ACTIONS(4293), 1,
      anon_sym_of,
    STATE(2191), 1,
      sym_comment,
    ACTIONS(4085), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19210] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4314), 1,
      anon_sym_EQ_GT,
    STATE(2192), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19284] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4196), 1,
      anon_sym_EQ,
    STATE(2193), 1,
      sym_comment,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4085), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19356] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4318), 1,
      anon_sym_EQ_GT,
    STATE(2194), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19430] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4191), 1,
      anon_sym_RBRACK,
    ACTIONS(4203), 1,
      anon_sym_COMMA,
    ACTIONS(4320), 1,
      anon_sym_EQ,
    STATE(2195), 1,
      sym_comment,
    ACTIONS(4085), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19506] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1258), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4318), 1,
      anon_sym_EQ_GT,
    STATE(2196), 1,
      sym_comment,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(211), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19580] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2197), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4386), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5314), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [19703] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2198), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4388), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5314), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [19826] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2199), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4390), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5314), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [19949] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1294), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4213), 1,
      anon_sym_EQ_GT,
    STATE(2200), 1,
      sym_comment,
    ACTIONS(211), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20022] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1296), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4213), 1,
      anon_sym_EQ_GT,
    STATE(2201), 1,
      sym_comment,
    ACTIONS(211), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20095] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2202), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4392), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5314), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [20218] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4205), 1,
      anon_sym_EQ_GT,
    ACTIONS(4394), 1,
      anon_sym_EQ,
    STATE(2203), 1,
      sym_comment,
    ACTIONS(4085), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20291] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2204), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4396), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5314), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [20414] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2205), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4398), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5314), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [20537] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2206), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4400), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5314), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [20660] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2207), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4402), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5314), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [20783] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2208), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4404), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5314), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [20906] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2209), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4406), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5314), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21029] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1356), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4213), 1,
      anon_sym_EQ_GT,
    STATE(2210), 1,
      sym_comment,
    ACTIONS(211), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21102] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4185), 1,
      anon_sym_EQ,
    ACTIONS(4229), 1,
      anon_sym_COLON,
    STATE(2211), 1,
      sym_comment,
    ACTIONS(4085), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21175] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4205), 1,
      anon_sym_EQ_GT,
    ACTIONS(4408), 1,
      anon_sym_EQ,
    STATE(2212), 1,
      sym_comment,
    ACTIONS(4085), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21248] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2213), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4410), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5314), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21371] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2214), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4412), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5314), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21494] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2215), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4414), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5314), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21617] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2216), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4416), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5314), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21740] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2217), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4418), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5314), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21863] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2218), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4420), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5314), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21986] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4205), 1,
      anon_sym_EQ_GT,
    ACTIONS(4422), 1,
      anon_sym_EQ,
    STATE(2219), 1,
      sym_comment,
    ACTIONS(4085), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22059] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4205), 1,
      anon_sym_EQ_GT,
    ACTIONS(4424), 1,
      anon_sym_EQ,
    STATE(2220), 1,
      sym_comment,
    ACTIONS(4085), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22132] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2221), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4426), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5314), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22255] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1292), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4213), 1,
      anon_sym_EQ_GT,
    STATE(2222), 1,
      sym_comment,
    ACTIONS(211), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22328] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2223), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4428), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5314), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22451] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2224), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4430), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5314), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22574] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2225), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4432), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5314), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22697] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2226), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4434), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5314), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22820] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2227), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4436), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5314), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22943] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1131), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4213), 1,
      anon_sym_EQ_GT,
    STATE(2228), 1,
      sym_comment,
    ACTIONS(211), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23016] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2229), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4438), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5314), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23139] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1298), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4213), 1,
      anon_sym_EQ_GT,
    STATE(2230), 1,
      sym_comment,
    ACTIONS(211), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23212] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4185), 1,
      anon_sym_EQ,
    ACTIONS(4290), 1,
      anon_sym_in,
    ACTIONS(4293), 1,
      anon_sym_of,
    STATE(2231), 1,
      sym_comment,
    ACTIONS(4085), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23287] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2232), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4440), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5314), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23410] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4185), 1,
      anon_sym_EQ,
    ACTIONS(4205), 1,
      anon_sym_EQ_GT,
    STATE(2233), 1,
      sym_comment,
    ACTIONS(4085), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23483] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2234), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4442), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5314), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23606] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4205), 1,
      anon_sym_EQ_GT,
    ACTIONS(4444), 1,
      anon_sym_EQ,
    STATE(2235), 1,
      sym_comment,
    ACTIONS(4085), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23679] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1358), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4213), 1,
      anon_sym_EQ_GT,
    STATE(2236), 1,
      sym_comment,
    ACTIONS(211), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23752] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1300), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4213), 1,
      anon_sym_EQ_GT,
    STATE(2237), 1,
      sym_comment,
    ACTIONS(211), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23825] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2238), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4446), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5314), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23948] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4205), 1,
      anon_sym_EQ_GT,
    ACTIONS(4448), 1,
      anon_sym_EQ,
    STATE(2239), 1,
      sym_comment,
    ACTIONS(4085), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24021] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2240), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4450), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5314), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24144] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4264), 1,
      anon_sym_EQ,
    STATE(2241), 1,
      sym_comment,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4085), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24215] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4205), 1,
      anon_sym_EQ_GT,
    ACTIONS(4452), 1,
      anon_sym_EQ,
    STATE(2242), 1,
      sym_comment,
    ACTIONS(4085), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24288] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1354), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4213), 1,
      anon_sym_EQ_GT,
    STATE(2243), 1,
      sym_comment,
    ACTIONS(211), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24361] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1302), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4213), 1,
      anon_sym_EQ_GT,
    STATE(2244), 1,
      sym_comment,
    ACTIONS(211), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2691), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24434] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4205), 1,
      anon_sym_EQ_GT,
    ACTIONS(4454), 1,
      anon_sym_EQ,
    STATE(2245), 1,
      sym_comment,
    ACTIONS(4085), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24507] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4205), 1,
      anon_sym_EQ_GT,
    ACTIONS(4456), 1,
      anon_sym_EQ,
    STATE(2246), 1,
      sym_comment,
    ACTIONS(4085), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24580] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4272), 1,
      anon_sym_EQ,
    STATE(2247), 1,
      sym_comment,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4085), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24651] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4448), 1,
      anon_sym_EQ,
    STATE(2248), 1,
      sym_comment,
    ACTIONS(4085), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24721] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4454), 1,
      anon_sym_EQ,
    STATE(2249), 1,
      sym_comment,
    ACTIONS(4085), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24791] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4452), 1,
      anon_sym_EQ,
    STATE(2250), 1,
      sym_comment,
    ACTIONS(4085), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24861] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4456), 1,
      anon_sym_EQ,
    STATE(2251), 1,
      sym_comment,
    ACTIONS(4085), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24931] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4394), 1,
      anon_sym_EQ,
    STATE(2252), 1,
      sym_comment,
    ACTIONS(4085), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25001] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4408), 1,
      anon_sym_EQ,
    STATE(2253), 1,
      sym_comment,
    ACTIONS(4085), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25071] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4422), 1,
      anon_sym_EQ,
    STATE(2254), 1,
      sym_comment,
    ACTIONS(4085), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25141] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4424), 1,
      anon_sym_EQ,
    STATE(2255), 1,
      sym_comment,
    ACTIONS(4085), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25211] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4444), 1,
      anon_sym_EQ,
    STATE(2256), 1,
      sym_comment,
    ACTIONS(4085), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4092), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4081), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25281] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2257), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4809), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25400] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2258), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4729), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25519] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2259), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4796), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25638] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2260), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4884), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25757] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2261), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4836), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25876] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2262), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4864), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25995] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2263), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4891), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [26114] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2264), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5314), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [26233] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2265), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4811), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [26352] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(3842), 1,
      anon_sym_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_abstract,
    ACTIONS(4334), 1,
      anon_sym_export,
    ACTIONS(4336), 1,
      anon_sym_STAR,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_async,
    ACTIONS(4346), 1,
      anon_sym_new,
    ACTIONS(4348), 1,
      anon_sym_static,
    ACTIONS(4350), 1,
      anon_sym_readonly,
    ACTIONS(4356), 1,
      anon_sym_override,
    STATE(2266), 1,
      sym_comment,
    STATE(3568), 1,
      sym_accessibility_modifier,
    STATE(3636), 1,
      sym_override_modifier,
    STATE(3942), 1,
      sym__property_name,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5323), 1,
      sym__call_signature,
    STATE(5613), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4352), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4354), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4816), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4332), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [26471] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2665), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2938), 1,
      anon_sym_namespace,
    ACTIONS(2940), 1,
      anon_sym_import,
    ACTIONS(2942), 1,
      anon_sym_var,
    ACTIONS(2944), 1,
      anon_sym_let,
    ACTIONS(2946), 1,
      anon_sym_const,
    ACTIONS(2948), 1,
      anon_sym_class,
    ACTIONS(2950), 1,
      anon_sym_async,
    ACTIONS(2952), 1,
      anon_sym_function,
    ACTIONS(2954), 1,
      anon_sym_declare,
    ACTIONS(2958), 1,
      anon_sym_abstract,
    ACTIONS(2962), 1,
      anon_sym_interface,
    ACTIONS(2964), 1,
      anon_sym_enum,
    ACTIONS(4458), 1,
      anon_sym_STAR,
    ACTIONS(4460), 1,
      anon_sym_default,
    ACTIONS(4462), 1,
      anon_sym_type,
    ACTIONS(4464), 1,
      anon_sym_EQ,
    ACTIONS(4466), 1,
      anon_sym_as,
    ACTIONS(4468), 1,
      anon_sym_COMMA,
    ACTIONS(4471), 1,
      anon_sym_RBRACE,
    ACTIONS(4476), 1,
      anon_sym_module,
    STATE(2267), 1,
      sym_comment,
    STATE(4930), 1,
      sym_internal_module,
    STATE(4934), 1,
      sym_declaration,
    STATE(4938), 1,
      aux_sym_export_statement_repeat1,
    STATE(5639), 1,
      sym_export_clause,
    STATE(5685), 1,
      sym_decorator,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7033), 1,
      sym_namespace_export,
    ACTIONS(4474), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(4937), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [26595] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2665), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2938), 1,
      anon_sym_namespace,
    ACTIONS(2940), 1,
      anon_sym_import,
    ACTIONS(2942), 1,
      anon_sym_var,
    ACTIONS(2944), 1,
      anon_sym_let,
    ACTIONS(2946), 1,
      anon_sym_const,
    ACTIONS(2948), 1,
      anon_sym_class,
    ACTIONS(2950), 1,
      anon_sym_async,
    ACTIONS(2952), 1,
      anon_sym_function,
    ACTIONS(2954), 1,
      anon_sym_declare,
    ACTIONS(2958), 1,
      anon_sym_abstract,
    ACTIONS(2962), 1,
      anon_sym_interface,
    ACTIONS(2964), 1,
      anon_sym_enum,
    ACTIONS(4458), 1,
      anon_sym_STAR,
    ACTIONS(4460), 1,
      anon_sym_default,
    ACTIONS(4462), 1,
      anon_sym_type,
    ACTIONS(4464), 1,
      anon_sym_EQ,
    ACTIONS(4466), 1,
      anon_sym_as,
    ACTIONS(4468), 1,
      anon_sym_COMMA,
    ACTIONS(4476), 1,
      anon_sym_module,
    ACTIONS(4478), 1,
      anon_sym_RBRACE,
    STATE(2268), 1,
      sym_comment,
    STATE(4930), 1,
      sym_internal_module,
    STATE(4934), 1,
      sym_declaration,
    STATE(4938), 1,
      aux_sym_export_statement_repeat1,
    STATE(5639), 1,
      sym_export_clause,
    STATE(5685), 1,
      sym_decorator,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7033), 1,
      sym_namespace_export,
    ACTIONS(4474), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(4937), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [26719] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2665), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2938), 1,
      anon_sym_namespace,
    ACTIONS(2940), 1,
      anon_sym_import,
    ACTIONS(2942), 1,
      anon_sym_var,
    ACTIONS(2944), 1,
      anon_sym_let,
    ACTIONS(2946), 1,
      anon_sym_const,
    ACTIONS(2948), 1,
      anon_sym_class,
    ACTIONS(2950), 1,
      anon_sym_async,
    ACTIONS(2952), 1,
      anon_sym_function,
    ACTIONS(2954), 1,
      anon_sym_declare,
    ACTIONS(2958), 1,
      anon_sym_abstract,
    ACTIONS(2962), 1,
      anon_sym_interface,
    ACTIONS(2964), 1,
      anon_sym_enum,
    ACTIONS(4458), 1,
      anon_sym_STAR,
    ACTIONS(4460), 1,
      anon_sym_default,
    ACTIONS(4462), 1,
      anon_sym_type,
    ACTIONS(4464), 1,
      anon_sym_EQ,
    ACTIONS(4466), 1,
      anon_sym_as,
    ACTIONS(4468), 1,
      anon_sym_COMMA,
    ACTIONS(4476), 1,
      anon_sym_module,
    ACTIONS(4481), 1,
      anon_sym_RBRACE,
    STATE(2269), 1,
      sym_comment,
    STATE(4930), 1,
      sym_internal_module,
    STATE(4934), 1,
      sym_declaration,
    STATE(4938), 1,
      aux_sym_export_statement_repeat1,
    STATE(5639), 1,
      sym_export_clause,
    STATE(5685), 1,
      sym_decorator,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7033), 1,
      sym_namespace_export,
    ACTIONS(4474), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(4937), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [26843] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2665), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2938), 1,
      anon_sym_namespace,
    ACTIONS(2940), 1,
      anon_sym_import,
    ACTIONS(2942), 1,
      anon_sym_var,
    ACTIONS(2944), 1,
      anon_sym_let,
    ACTIONS(2946), 1,
      anon_sym_const,
    ACTIONS(2948), 1,
      anon_sym_class,
    ACTIONS(2950), 1,
      anon_sym_async,
    ACTIONS(2952), 1,
      anon_sym_function,
    ACTIONS(2954), 1,
      anon_sym_declare,
    ACTIONS(2958), 1,
      anon_sym_abstract,
    ACTIONS(2962), 1,
      anon_sym_interface,
    ACTIONS(2964), 1,
      anon_sym_enum,
    ACTIONS(4458), 1,
      anon_sym_STAR,
    ACTIONS(4460), 1,
      anon_sym_default,
    ACTIONS(4462), 1,
      anon_sym_type,
    ACTIONS(4464), 1,
      anon_sym_EQ,
    ACTIONS(4466), 1,
      anon_sym_as,
    ACTIONS(4468), 1,
      anon_sym_COMMA,
    ACTIONS(4476), 1,
      anon_sym_module,
    ACTIONS(4484), 1,
      anon_sym_RBRACE,
    STATE(2270), 1,
      sym_comment,
    STATE(4930), 1,
      sym_internal_module,
    STATE(4934), 1,
      sym_declaration,
    STATE(4938), 1,
      aux_sym_export_statement_repeat1,
    STATE(5639), 1,
      sym_export_clause,
    STATE(5685), 1,
      sym_decorator,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7033), 1,
      sym_namespace_export,
    ACTIONS(4474), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(4937), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [26967] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2665), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2938), 1,
      anon_sym_namespace,
    ACTIONS(2940), 1,
      anon_sym_import,
    ACTIONS(2942), 1,
      anon_sym_var,
    ACTIONS(2944), 1,
      anon_sym_let,
    ACTIONS(2946), 1,
      anon_sym_const,
    ACTIONS(2948), 1,
      anon_sym_class,
    ACTIONS(2950), 1,
      anon_sym_async,
    ACTIONS(2952), 1,
      anon_sym_function,
    ACTIONS(2954), 1,
      anon_sym_declare,
    ACTIONS(2958), 1,
      anon_sym_abstract,
    ACTIONS(2962), 1,
      anon_sym_interface,
    ACTIONS(2964), 1,
      anon_sym_enum,
    ACTIONS(4458), 1,
      anon_sym_STAR,
    ACTIONS(4460), 1,
      anon_sym_default,
    ACTIONS(4462), 1,
      anon_sym_type,
    ACTIONS(4464), 1,
      anon_sym_EQ,
    ACTIONS(4466), 1,
      anon_sym_as,
    ACTIONS(4468), 1,
      anon_sym_COMMA,
    ACTIONS(4476), 1,
      anon_sym_module,
    ACTIONS(4487), 1,
      anon_sym_RBRACE,
    STATE(2271), 1,
      sym_comment,
    STATE(4930), 1,
      sym_internal_module,
    STATE(4934), 1,
      sym_declaration,
    STATE(4938), 1,
      aux_sym_export_statement_repeat1,
    STATE(5639), 1,
      sym_export_clause,
    STATE(5685), 1,
      sym_decorator,
    STATE(6262), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7033), 1,
      sym_namespace_export,
    ACTIONS(4474), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(4937), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [27091] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4490), 1,
      anon_sym_STAR,
    ACTIONS(4492), 1,
      anon_sym_RBRACE,
    ACTIONS(4494), 1,
      anon_sym_SEMI,
    ACTIONS(4496), 1,
      anon_sym_async,
    ACTIONS(4498), 1,
      anon_sym_AT,
    ACTIONS(4500), 1,
      anon_sym_static,
    ACTIONS(4502), 1,
      anon_sym_readonly,
    ACTIONS(4506), 1,
      anon_sym_declare,
    ACTIONS(4510), 1,
      anon_sym_abstract,
    STATE(2272), 1,
      sym_comment,
    STATE(2290), 1,
      aux_sym_class_body_repeat1,
    STATE(3401), 1,
      aux_sym_export_statement_repeat1,
    STATE(3496), 1,
      sym_method_definition,
    STATE(3527), 1,
      sym_class_static_block,
    STATE(3541), 1,
      sym_accessibility_modifier,
    STATE(3624), 1,
      sym_override_modifier,
    STATE(3696), 1,
      sym_decorator,
    STATE(3925), 1,
      sym__property_name,
    STATE(5665), 1,
      sym_method_signature,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4504), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4508), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5889), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4332), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [27208] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4490), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_SEMI,
    ACTIONS(4496), 1,
      anon_sym_async,
    ACTIONS(4498), 1,
      anon_sym_AT,
    ACTIONS(4500), 1,
      anon_sym_static,
    ACTIONS(4502), 1,
      anon_sym_readonly,
    ACTIONS(4506), 1,
      anon_sym_declare,
    ACTIONS(4510), 1,
      anon_sym_abstract,
    ACTIONS(4512), 1,
      anon_sym_RBRACE,
    STATE(2273), 1,
      sym_comment,
    STATE(2295), 1,
      aux_sym_class_body_repeat1,
    STATE(3401), 1,
      aux_sym_export_statement_repeat1,
    STATE(3496), 1,
      sym_method_definition,
    STATE(3527), 1,
      sym_class_static_block,
    STATE(3541), 1,
      sym_accessibility_modifier,
    STATE(3624), 1,
      sym_override_modifier,
    STATE(3696), 1,
      sym_decorator,
    STATE(3925), 1,
      sym__property_name,
    STATE(5665), 1,
      sym_method_signature,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4504), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4508), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5889), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4332), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [27325] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4490), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_SEMI,
    ACTIONS(4496), 1,
      anon_sym_async,
    ACTIONS(4498), 1,
      anon_sym_AT,
    ACTIONS(4500), 1,
      anon_sym_static,
    ACTIONS(4502), 1,
      anon_sym_readonly,
    ACTIONS(4506), 1,
      anon_sym_declare,
    ACTIONS(4510), 1,
      anon_sym_abstract,
    ACTIONS(4514), 1,
      anon_sym_RBRACE,
    STATE(2274), 1,
      sym_comment,
    STATE(2283), 1,
      aux_sym_class_body_repeat1,
    STATE(3401), 1,
      aux_sym_export_statement_repeat1,
    STATE(3496), 1,
      sym_method_definition,
    STATE(3527), 1,
      sym_class_static_block,
    STATE(3541), 1,
      sym_accessibility_modifier,
    STATE(3624), 1,
      sym_override_modifier,
    STATE(3696), 1,
      sym_decorator,
    STATE(3925), 1,
      sym__property_name,
    STATE(5665), 1,
      sym_method_signature,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4504), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4508), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5889), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4332), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [27442] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4490), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_SEMI,
    ACTIONS(4496), 1,
      anon_sym_async,
    ACTIONS(4498), 1,
      anon_sym_AT,
    ACTIONS(4500), 1,
      anon_sym_static,
    ACTIONS(4502), 1,
      anon_sym_readonly,
    ACTIONS(4506), 1,
      anon_sym_declare,
    ACTIONS(4510), 1,
      anon_sym_abstract,
    ACTIONS(4516), 1,
      anon_sym_RBRACE,
    STATE(2275), 1,
      sym_comment,
    STATE(2276), 1,
      aux_sym_class_body_repeat1,
    STATE(3401), 1,
      aux_sym_export_statement_repeat1,
    STATE(3496), 1,
      sym_method_definition,
    STATE(3527), 1,
      sym_class_static_block,
    STATE(3541), 1,
      sym_accessibility_modifier,
    STATE(3624), 1,
      sym_override_modifier,
    STATE(3696), 1,
      sym_decorator,
    STATE(3925), 1,
      sym__property_name,
    STATE(5665), 1,
      sym_method_signature,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4504), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4508), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5889), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4332), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [27559] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4490), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_SEMI,
    ACTIONS(4496), 1,
      anon_sym_async,
    ACTIONS(4498), 1,
      anon_sym_AT,
    ACTIONS(4500), 1,
      anon_sym_static,
    ACTIONS(4502), 1,
      anon_sym_readonly,
    ACTIONS(4506), 1,
      anon_sym_declare,
    ACTIONS(4510), 1,
      anon_sym_abstract,
    ACTIONS(4518), 1,
      anon_sym_RBRACE,
    STATE(2276), 1,
      sym_comment,
    STATE(2290), 1,
      aux_sym_class_body_repeat1,
    STATE(3401), 1,
      aux_sym_export_statement_repeat1,
    STATE(3496), 1,
      sym_method_definition,
    STATE(3527), 1,
      sym_class_static_block,
    STATE(3541), 1,
      sym_accessibility_modifier,
    STATE(3624), 1,
      sym_override_modifier,
    STATE(3696), 1,
      sym_decorator,
    STATE(3925), 1,
      sym__property_name,
    STATE(5665), 1,
      sym_method_signature,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4504), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4508), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5889), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4332), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [27676] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4490), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_SEMI,
    ACTIONS(4496), 1,
      anon_sym_async,
    ACTIONS(4498), 1,
      anon_sym_AT,
    ACTIONS(4500), 1,
      anon_sym_static,
    ACTIONS(4502), 1,
      anon_sym_readonly,
    ACTIONS(4506), 1,
      anon_sym_declare,
    ACTIONS(4510), 1,
      anon_sym_abstract,
    ACTIONS(4520), 1,
      anon_sym_RBRACE,
    STATE(2277), 1,
      sym_comment,
    STATE(2278), 1,
      aux_sym_class_body_repeat1,
    STATE(3401), 1,
      aux_sym_export_statement_repeat1,
    STATE(3496), 1,
      sym_method_definition,
    STATE(3527), 1,
      sym_class_static_block,
    STATE(3541), 1,
      sym_accessibility_modifier,
    STATE(3624), 1,
      sym_override_modifier,
    STATE(3696), 1,
      sym_decorator,
    STATE(3925), 1,
      sym__property_name,
    STATE(5665), 1,
      sym_method_signature,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4504), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4508), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5889), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4332), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [27793] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4490), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_SEMI,
    ACTIONS(4496), 1,
      anon_sym_async,
    ACTIONS(4498), 1,
      anon_sym_AT,
    ACTIONS(4500), 1,
      anon_sym_static,
    ACTIONS(4502), 1,
      anon_sym_readonly,
    ACTIONS(4506), 1,
      anon_sym_declare,
    ACTIONS(4510), 1,
      anon_sym_abstract,
    ACTIONS(4522), 1,
      anon_sym_RBRACE,
    STATE(2278), 1,
      sym_comment,
    STATE(2290), 1,
      aux_sym_class_body_repeat1,
    STATE(3401), 1,
      aux_sym_export_statement_repeat1,
    STATE(3496), 1,
      sym_method_definition,
    STATE(3527), 1,
      sym_class_static_block,
    STATE(3541), 1,
      sym_accessibility_modifier,
    STATE(3624), 1,
      sym_override_modifier,
    STATE(3696), 1,
      sym_decorator,
    STATE(3925), 1,
      sym__property_name,
    STATE(5665), 1,
      sym_method_signature,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4504), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4508), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5889), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4332), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [27910] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4490), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_SEMI,
    ACTIONS(4496), 1,
      anon_sym_async,
    ACTIONS(4498), 1,
      anon_sym_AT,
    ACTIONS(4500), 1,
      anon_sym_static,
    ACTIONS(4502), 1,
      anon_sym_readonly,
    ACTIONS(4506), 1,
      anon_sym_declare,
    ACTIONS(4510), 1,
      anon_sym_abstract,
    ACTIONS(4524), 1,
      anon_sym_RBRACE,
    STATE(2279), 1,
      sym_comment,
    STATE(2280), 1,
      aux_sym_class_body_repeat1,
    STATE(3401), 1,
      aux_sym_export_statement_repeat1,
    STATE(3496), 1,
      sym_method_definition,
    STATE(3527), 1,
      sym_class_static_block,
    STATE(3541), 1,
      sym_accessibility_modifier,
    STATE(3624), 1,
      sym_override_modifier,
    STATE(3696), 1,
      sym_decorator,
    STATE(3925), 1,
      sym__property_name,
    STATE(5665), 1,
      sym_method_signature,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4504), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4508), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5889), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4332), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [28027] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4490), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_SEMI,
    ACTIONS(4496), 1,
      anon_sym_async,
    ACTIONS(4498), 1,
      anon_sym_AT,
    ACTIONS(4500), 1,
      anon_sym_static,
    ACTIONS(4502), 1,
      anon_sym_readonly,
    ACTIONS(4506), 1,
      anon_sym_declare,
    ACTIONS(4510), 1,
      anon_sym_abstract,
    ACTIONS(4526), 1,
      anon_sym_RBRACE,
    STATE(2280), 1,
      sym_comment,
    STATE(2290), 1,
      aux_sym_class_body_repeat1,
    STATE(3401), 1,
      aux_sym_export_statement_repeat1,
    STATE(3496), 1,
      sym_method_definition,
    STATE(3527), 1,
      sym_class_static_block,
    STATE(3541), 1,
      sym_accessibility_modifier,
    STATE(3624), 1,
      sym_override_modifier,
    STATE(3696), 1,
      sym_decorator,
    STATE(3925), 1,
      sym__property_name,
    STATE(5665), 1,
      sym_method_signature,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4504), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4508), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5889), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4332), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [28144] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4490), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_SEMI,
    ACTIONS(4496), 1,
      anon_sym_async,
    ACTIONS(4498), 1,
      anon_sym_AT,
    ACTIONS(4500), 1,
      anon_sym_static,
    ACTIONS(4502), 1,
      anon_sym_readonly,
    ACTIONS(4506), 1,
      anon_sym_declare,
    ACTIONS(4510), 1,
      anon_sym_abstract,
    ACTIONS(4528), 1,
      anon_sym_RBRACE,
    STATE(2281), 1,
      sym_comment,
    STATE(2282), 1,
      aux_sym_class_body_repeat1,
    STATE(3401), 1,
      aux_sym_export_statement_repeat1,
    STATE(3496), 1,
      sym_method_definition,
    STATE(3527), 1,
      sym_class_static_block,
    STATE(3541), 1,
      sym_accessibility_modifier,
    STATE(3624), 1,
      sym_override_modifier,
    STATE(3696), 1,
      sym_decorator,
    STATE(3925), 1,
      sym__property_name,
    STATE(5665), 1,
      sym_method_signature,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4504), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4508), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5889), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4332), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [28261] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4490), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_SEMI,
    ACTIONS(4496), 1,
      anon_sym_async,
    ACTIONS(4498), 1,
      anon_sym_AT,
    ACTIONS(4500), 1,
      anon_sym_static,
    ACTIONS(4502), 1,
      anon_sym_readonly,
    ACTIONS(4506), 1,
      anon_sym_declare,
    ACTIONS(4510), 1,
      anon_sym_abstract,
    ACTIONS(4530), 1,
      anon_sym_RBRACE,
    STATE(2282), 1,
      sym_comment,
    STATE(2290), 1,
      aux_sym_class_body_repeat1,
    STATE(3401), 1,
      aux_sym_export_statement_repeat1,
    STATE(3496), 1,
      sym_method_definition,
    STATE(3527), 1,
      sym_class_static_block,
    STATE(3541), 1,
      sym_accessibility_modifier,
    STATE(3624), 1,
      sym_override_modifier,
    STATE(3696), 1,
      sym_decorator,
    STATE(3925), 1,
      sym__property_name,
    STATE(5665), 1,
      sym_method_signature,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4504), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4508), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5889), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4332), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [28378] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4490), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_SEMI,
    ACTIONS(4496), 1,
      anon_sym_async,
    ACTIONS(4498), 1,
      anon_sym_AT,
    ACTIONS(4500), 1,
      anon_sym_static,
    ACTIONS(4502), 1,
      anon_sym_readonly,
    ACTIONS(4506), 1,
      anon_sym_declare,
    ACTIONS(4510), 1,
      anon_sym_abstract,
    ACTIONS(4532), 1,
      anon_sym_RBRACE,
    STATE(2283), 1,
      sym_comment,
    STATE(2290), 1,
      aux_sym_class_body_repeat1,
    STATE(3401), 1,
      aux_sym_export_statement_repeat1,
    STATE(3496), 1,
      sym_method_definition,
    STATE(3527), 1,
      sym_class_static_block,
    STATE(3541), 1,
      sym_accessibility_modifier,
    STATE(3624), 1,
      sym_override_modifier,
    STATE(3696), 1,
      sym_decorator,
    STATE(3925), 1,
      sym__property_name,
    STATE(5665), 1,
      sym_method_signature,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4504), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4508), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5889), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4332), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [28495] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4490), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_SEMI,
    ACTIONS(4496), 1,
      anon_sym_async,
    ACTIONS(4498), 1,
      anon_sym_AT,
    ACTIONS(4500), 1,
      anon_sym_static,
    ACTIONS(4502), 1,
      anon_sym_readonly,
    ACTIONS(4506), 1,
      anon_sym_declare,
    ACTIONS(4510), 1,
      anon_sym_abstract,
    ACTIONS(4534), 1,
      anon_sym_RBRACE,
    STATE(2284), 1,
      sym_comment,
    STATE(2285), 1,
      aux_sym_class_body_repeat1,
    STATE(3401), 1,
      aux_sym_export_statement_repeat1,
    STATE(3496), 1,
      sym_method_definition,
    STATE(3527), 1,
      sym_class_static_block,
    STATE(3541), 1,
      sym_accessibility_modifier,
    STATE(3624), 1,
      sym_override_modifier,
    STATE(3696), 1,
      sym_decorator,
    STATE(3925), 1,
      sym__property_name,
    STATE(5665), 1,
      sym_method_signature,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4504), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4508), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5889), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4332), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [28612] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4490), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_SEMI,
    ACTIONS(4496), 1,
      anon_sym_async,
    ACTIONS(4498), 1,
      anon_sym_AT,
    ACTIONS(4500), 1,
      anon_sym_static,
    ACTIONS(4502), 1,
      anon_sym_readonly,
    ACTIONS(4506), 1,
      anon_sym_declare,
    ACTIONS(4510), 1,
      anon_sym_abstract,
    ACTIONS(4536), 1,
      anon_sym_RBRACE,
    STATE(2285), 1,
      sym_comment,
    STATE(2290), 1,
      aux_sym_class_body_repeat1,
    STATE(3401), 1,
      aux_sym_export_statement_repeat1,
    STATE(3496), 1,
      sym_method_definition,
    STATE(3527), 1,
      sym_class_static_block,
    STATE(3541), 1,
      sym_accessibility_modifier,
    STATE(3624), 1,
      sym_override_modifier,
    STATE(3696), 1,
      sym_decorator,
    STATE(3925), 1,
      sym__property_name,
    STATE(5665), 1,
      sym_method_signature,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4504), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4508), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5889), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4332), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [28729] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4490), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_SEMI,
    ACTIONS(4496), 1,
      anon_sym_async,
    ACTIONS(4498), 1,
      anon_sym_AT,
    ACTIONS(4500), 1,
      anon_sym_static,
    ACTIONS(4502), 1,
      anon_sym_readonly,
    ACTIONS(4506), 1,
      anon_sym_declare,
    ACTIONS(4510), 1,
      anon_sym_abstract,
    ACTIONS(4538), 1,
      anon_sym_RBRACE,
    STATE(2286), 1,
      sym_comment,
    STATE(2287), 1,
      aux_sym_class_body_repeat1,
    STATE(3401), 1,
      aux_sym_export_statement_repeat1,
    STATE(3496), 1,
      sym_method_definition,
    STATE(3527), 1,
      sym_class_static_block,
    STATE(3541), 1,
      sym_accessibility_modifier,
    STATE(3624), 1,
      sym_override_modifier,
    STATE(3696), 1,
      sym_decorator,
    STATE(3925), 1,
      sym__property_name,
    STATE(5665), 1,
      sym_method_signature,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4504), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4508), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5889), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4332), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [28846] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4490), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_SEMI,
    ACTIONS(4496), 1,
      anon_sym_async,
    ACTIONS(4498), 1,
      anon_sym_AT,
    ACTIONS(4500), 1,
      anon_sym_static,
    ACTIONS(4502), 1,
      anon_sym_readonly,
    ACTIONS(4506), 1,
      anon_sym_declare,
    ACTIONS(4510), 1,
      anon_sym_abstract,
    ACTIONS(4540), 1,
      anon_sym_RBRACE,
    STATE(2287), 1,
      sym_comment,
    STATE(2290), 1,
      aux_sym_class_body_repeat1,
    STATE(3401), 1,
      aux_sym_export_statement_repeat1,
    STATE(3496), 1,
      sym_method_definition,
    STATE(3527), 1,
      sym_class_static_block,
    STATE(3541), 1,
      sym_accessibility_modifier,
    STATE(3624), 1,
      sym_override_modifier,
    STATE(3696), 1,
      sym_decorator,
    STATE(3925), 1,
      sym__property_name,
    STATE(5665), 1,
      sym_method_signature,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4504), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4508), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5889), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4332), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [28963] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4490), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_SEMI,
    ACTIONS(4496), 1,
      anon_sym_async,
    ACTIONS(4498), 1,
      anon_sym_AT,
    ACTIONS(4500), 1,
      anon_sym_static,
    ACTIONS(4502), 1,
      anon_sym_readonly,
    ACTIONS(4506), 1,
      anon_sym_declare,
    ACTIONS(4510), 1,
      anon_sym_abstract,
    ACTIONS(4542), 1,
      anon_sym_RBRACE,
    STATE(2288), 1,
      sym_comment,
    STATE(2289), 1,
      aux_sym_class_body_repeat1,
    STATE(3401), 1,
      aux_sym_export_statement_repeat1,
    STATE(3496), 1,
      sym_method_definition,
    STATE(3527), 1,
      sym_class_static_block,
    STATE(3541), 1,
      sym_accessibility_modifier,
    STATE(3624), 1,
      sym_override_modifier,
    STATE(3696), 1,
      sym_decorator,
    STATE(3925), 1,
      sym__property_name,
    STATE(5665), 1,
      sym_method_signature,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4504), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4508), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5889), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4332), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29080] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4490), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_SEMI,
    ACTIONS(4496), 1,
      anon_sym_async,
    ACTIONS(4498), 1,
      anon_sym_AT,
    ACTIONS(4500), 1,
      anon_sym_static,
    ACTIONS(4502), 1,
      anon_sym_readonly,
    ACTIONS(4506), 1,
      anon_sym_declare,
    ACTIONS(4510), 1,
      anon_sym_abstract,
    ACTIONS(4544), 1,
      anon_sym_RBRACE,
    STATE(2289), 1,
      sym_comment,
    STATE(2290), 1,
      aux_sym_class_body_repeat1,
    STATE(3401), 1,
      aux_sym_export_statement_repeat1,
    STATE(3496), 1,
      sym_method_definition,
    STATE(3527), 1,
      sym_class_static_block,
    STATE(3541), 1,
      sym_accessibility_modifier,
    STATE(3624), 1,
      sym_override_modifier,
    STATE(3696), 1,
      sym_decorator,
    STATE(3925), 1,
      sym__property_name,
    STATE(5665), 1,
      sym_method_signature,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4504), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4508), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5889), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4332), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29197] = 31,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4549), 1,
      anon_sym_STAR,
    ACTIONS(4552), 1,
      anon_sym_RBRACE,
    ACTIONS(4554), 1,
      anon_sym_SEMI,
    ACTIONS(4557), 1,
      anon_sym_LBRACK,
    ACTIONS(4560), 1,
      anon_sym_async,
    ACTIONS(4566), 1,
      anon_sym_DQUOTE,
    ACTIONS(4569), 1,
      anon_sym_SQUOTE,
    ACTIONS(4575), 1,
      anon_sym_AT,
    ACTIONS(4578), 1,
      anon_sym_static,
    ACTIONS(4581), 1,
      anon_sym_readonly,
    ACTIONS(4587), 1,
      anon_sym_declare,
    ACTIONS(4593), 1,
      anon_sym_override,
    ACTIONS(4596), 1,
      anon_sym_abstract,
    STATE(3401), 1,
      aux_sym_export_statement_repeat1,
    STATE(3496), 1,
      sym_method_definition,
    STATE(3527), 1,
      sym_class_static_block,
    STATE(3541), 1,
      sym_accessibility_modifier,
    STATE(3624), 1,
      sym_override_modifier,
    STATE(3696), 1,
      sym_decorator,
    STATE(3925), 1,
      sym__property_name,
    STATE(5665), 1,
      sym_method_signature,
    ACTIONS(4563), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4572), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4584), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2290), 2,
      sym_comment,
      aux_sym_class_body_repeat1,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4590), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5889), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4546), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29312] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4490), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_SEMI,
    ACTIONS(4496), 1,
      anon_sym_async,
    ACTIONS(4498), 1,
      anon_sym_AT,
    ACTIONS(4500), 1,
      anon_sym_static,
    ACTIONS(4502), 1,
      anon_sym_readonly,
    ACTIONS(4506), 1,
      anon_sym_declare,
    ACTIONS(4510), 1,
      anon_sym_abstract,
    ACTIONS(4599), 1,
      anon_sym_RBRACE,
    STATE(2290), 1,
      aux_sym_class_body_repeat1,
    STATE(2291), 1,
      sym_comment,
    STATE(3401), 1,
      aux_sym_export_statement_repeat1,
    STATE(3496), 1,
      sym_method_definition,
    STATE(3527), 1,
      sym_class_static_block,
    STATE(3541), 1,
      sym_accessibility_modifier,
    STATE(3624), 1,
      sym_override_modifier,
    STATE(3696), 1,
      sym_decorator,
    STATE(3925), 1,
      sym__property_name,
    STATE(5665), 1,
      sym_method_signature,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4504), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4508), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5889), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4332), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29429] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4490), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_SEMI,
    ACTIONS(4496), 1,
      anon_sym_async,
    ACTIONS(4498), 1,
      anon_sym_AT,
    ACTIONS(4500), 1,
      anon_sym_static,
    ACTIONS(4502), 1,
      anon_sym_readonly,
    ACTIONS(4506), 1,
      anon_sym_declare,
    ACTIONS(4510), 1,
      anon_sym_abstract,
    ACTIONS(4601), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      sym_comment,
    STATE(2298), 1,
      aux_sym_class_body_repeat1,
    STATE(3401), 1,
      aux_sym_export_statement_repeat1,
    STATE(3496), 1,
      sym_method_definition,
    STATE(3527), 1,
      sym_class_static_block,
    STATE(3541), 1,
      sym_accessibility_modifier,
    STATE(3624), 1,
      sym_override_modifier,
    STATE(3696), 1,
      sym_decorator,
    STATE(3925), 1,
      sym__property_name,
    STATE(5665), 1,
      sym_method_signature,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4504), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4508), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5889), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4332), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29546] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4490), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_SEMI,
    ACTIONS(4496), 1,
      anon_sym_async,
    ACTIONS(4498), 1,
      anon_sym_AT,
    ACTIONS(4500), 1,
      anon_sym_static,
    ACTIONS(4502), 1,
      anon_sym_readonly,
    ACTIONS(4506), 1,
      anon_sym_declare,
    ACTIONS(4510), 1,
      anon_sym_abstract,
    ACTIONS(4603), 1,
      anon_sym_RBRACE,
    STATE(2290), 1,
      aux_sym_class_body_repeat1,
    STATE(2293), 1,
      sym_comment,
    STATE(3401), 1,
      aux_sym_export_statement_repeat1,
    STATE(3496), 1,
      sym_method_definition,
    STATE(3527), 1,
      sym_class_static_block,
    STATE(3541), 1,
      sym_accessibility_modifier,
    STATE(3624), 1,
      sym_override_modifier,
    STATE(3696), 1,
      sym_decorator,
    STATE(3925), 1,
      sym__property_name,
    STATE(5665), 1,
      sym_method_signature,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4504), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4508), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5889), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4332), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29663] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(225), 1,
      anon_sym_STAR,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(243), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(3836), 1,
      anon_sym_LBRACE,
    ACTIONS(4607), 1,
      anon_sym_RBRACE,
    ACTIONS(4609), 1,
      anon_sym_LBRACK,
    ACTIONS(4611), 1,
      anon_sym_async,
    ACTIONS(4613), 1,
      anon_sym_static,
    ACTIONS(4615), 1,
      anon_sym_readonly,
    ACTIONS(4621), 1,
      anon_sym_override,
    STATE(2294), 1,
      sym_comment,
    STATE(3599), 1,
      sym_accessibility_modifier,
    STATE(3635), 1,
      sym_override_modifier,
    STATE(4649), 1,
      sym__property_name,
    STATE(5951), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6031), 1,
      aux_sym_object_repeat1,
    STATE(7405), 1,
      sym__destructuring_pattern,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4617), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4292), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4619), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5918), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6030), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4605), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29774] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4490), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_SEMI,
    ACTIONS(4496), 1,
      anon_sym_async,
    ACTIONS(4498), 1,
      anon_sym_AT,
    ACTIONS(4500), 1,
      anon_sym_static,
    ACTIONS(4502), 1,
      anon_sym_readonly,
    ACTIONS(4506), 1,
      anon_sym_declare,
    ACTIONS(4510), 1,
      anon_sym_abstract,
    ACTIONS(4623), 1,
      anon_sym_RBRACE,
    STATE(2290), 1,
      aux_sym_class_body_repeat1,
    STATE(2295), 1,
      sym_comment,
    STATE(3401), 1,
      aux_sym_export_statement_repeat1,
    STATE(3496), 1,
      sym_method_definition,
    STATE(3527), 1,
      sym_class_static_block,
    STATE(3541), 1,
      sym_accessibility_modifier,
    STATE(3624), 1,
      sym_override_modifier,
    STATE(3696), 1,
      sym_decorator,
    STATE(3925), 1,
      sym__property_name,
    STATE(5665), 1,
      sym_method_signature,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4504), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4508), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5889), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4332), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29891] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4490), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_SEMI,
    ACTIONS(4496), 1,
      anon_sym_async,
    ACTIONS(4498), 1,
      anon_sym_AT,
    ACTIONS(4500), 1,
      anon_sym_static,
    ACTIONS(4502), 1,
      anon_sym_readonly,
    ACTIONS(4506), 1,
      anon_sym_declare,
    ACTIONS(4510), 1,
      anon_sym_abstract,
    ACTIONS(4625), 1,
      anon_sym_RBRACE,
    STATE(2296), 1,
      sym_comment,
    STATE(2301), 1,
      aux_sym_class_body_repeat1,
    STATE(3401), 1,
      aux_sym_export_statement_repeat1,
    STATE(3496), 1,
      sym_method_definition,
    STATE(3527), 1,
      sym_class_static_block,
    STATE(3541), 1,
      sym_accessibility_modifier,
    STATE(3624), 1,
      sym_override_modifier,
    STATE(3696), 1,
      sym_decorator,
    STATE(3925), 1,
      sym__property_name,
    STATE(5665), 1,
      sym_method_signature,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4504), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4508), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5889), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4332), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30008] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4490), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_SEMI,
    ACTIONS(4496), 1,
      anon_sym_async,
    ACTIONS(4498), 1,
      anon_sym_AT,
    ACTIONS(4500), 1,
      anon_sym_static,
    ACTIONS(4502), 1,
      anon_sym_readonly,
    ACTIONS(4506), 1,
      anon_sym_declare,
    ACTIONS(4510), 1,
      anon_sym_abstract,
    ACTIONS(4627), 1,
      anon_sym_RBRACE,
    STATE(2297), 1,
      sym_comment,
    STATE(2304), 1,
      aux_sym_class_body_repeat1,
    STATE(3401), 1,
      aux_sym_export_statement_repeat1,
    STATE(3496), 1,
      sym_method_definition,
    STATE(3527), 1,
      sym_class_static_block,
    STATE(3541), 1,
      sym_accessibility_modifier,
    STATE(3624), 1,
      sym_override_modifier,
    STATE(3696), 1,
      sym_decorator,
    STATE(3925), 1,
      sym__property_name,
    STATE(5665), 1,
      sym_method_signature,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4504), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4508), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5889), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4332), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30125] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4490), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_SEMI,
    ACTIONS(4496), 1,
      anon_sym_async,
    ACTIONS(4498), 1,
      anon_sym_AT,
    ACTIONS(4500), 1,
      anon_sym_static,
    ACTIONS(4502), 1,
      anon_sym_readonly,
    ACTIONS(4506), 1,
      anon_sym_declare,
    ACTIONS(4510), 1,
      anon_sym_abstract,
    ACTIONS(4629), 1,
      anon_sym_RBRACE,
    STATE(2290), 1,
      aux_sym_class_body_repeat1,
    STATE(2298), 1,
      sym_comment,
    STATE(3401), 1,
      aux_sym_export_statement_repeat1,
    STATE(3496), 1,
      sym_method_definition,
    STATE(3527), 1,
      sym_class_static_block,
    STATE(3541), 1,
      sym_accessibility_modifier,
    STATE(3624), 1,
      sym_override_modifier,
    STATE(3696), 1,
      sym_decorator,
    STATE(3925), 1,
      sym__property_name,
    STATE(5665), 1,
      sym_method_signature,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4504), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4508), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5889), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4332), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30242] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(225), 1,
      anon_sym_STAR,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(243), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(3836), 1,
      anon_sym_LBRACE,
    ACTIONS(4609), 1,
      anon_sym_LBRACK,
    ACTIONS(4633), 1,
      anon_sym_RBRACE,
    ACTIONS(4635), 1,
      anon_sym_async,
    ACTIONS(4637), 1,
      anon_sym_static,
    ACTIONS(4639), 1,
      anon_sym_readonly,
    ACTIONS(4645), 1,
      anon_sym_override,
    STATE(2299), 1,
      sym_comment,
    STATE(3599), 1,
      sym_accessibility_modifier,
    STATE(3635), 1,
      sym_override_modifier,
    STATE(4649), 1,
      sym__property_name,
    STATE(5951), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6031), 1,
      aux_sym_object_repeat1,
    STATE(7405), 1,
      sym__destructuring_pattern,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4641), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4292), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4643), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5918), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6030), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4631), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30353] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4490), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_SEMI,
    ACTIONS(4496), 1,
      anon_sym_async,
    ACTIONS(4498), 1,
      anon_sym_AT,
    ACTIONS(4500), 1,
      anon_sym_static,
    ACTIONS(4502), 1,
      anon_sym_readonly,
    ACTIONS(4506), 1,
      anon_sym_declare,
    ACTIONS(4510), 1,
      anon_sym_abstract,
    ACTIONS(4647), 1,
      anon_sym_RBRACE,
    STATE(2293), 1,
      aux_sym_class_body_repeat1,
    STATE(2300), 1,
      sym_comment,
    STATE(3401), 1,
      aux_sym_export_statement_repeat1,
    STATE(3496), 1,
      sym_method_definition,
    STATE(3527), 1,
      sym_class_static_block,
    STATE(3541), 1,
      sym_accessibility_modifier,
    STATE(3624), 1,
      sym_override_modifier,
    STATE(3696), 1,
      sym_decorator,
    STATE(3925), 1,
      sym__property_name,
    STATE(5665), 1,
      sym_method_signature,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4504), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4508), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5889), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4332), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30470] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4490), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_SEMI,
    ACTIONS(4496), 1,
      anon_sym_async,
    ACTIONS(4498), 1,
      anon_sym_AT,
    ACTIONS(4500), 1,
      anon_sym_static,
    ACTIONS(4502), 1,
      anon_sym_readonly,
    ACTIONS(4506), 1,
      anon_sym_declare,
    ACTIONS(4510), 1,
      anon_sym_abstract,
    ACTIONS(4649), 1,
      anon_sym_RBRACE,
    STATE(2290), 1,
      aux_sym_class_body_repeat1,
    STATE(2301), 1,
      sym_comment,
    STATE(3401), 1,
      aux_sym_export_statement_repeat1,
    STATE(3496), 1,
      sym_method_definition,
    STATE(3527), 1,
      sym_class_static_block,
    STATE(3541), 1,
      sym_accessibility_modifier,
    STATE(3624), 1,
      sym_override_modifier,
    STATE(3696), 1,
      sym_decorator,
    STATE(3925), 1,
      sym__property_name,
    STATE(5665), 1,
      sym_method_signature,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4504), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4508), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5889), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4332), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30587] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4490), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_SEMI,
    ACTIONS(4496), 1,
      anon_sym_async,
    ACTIONS(4498), 1,
      anon_sym_AT,
    ACTIONS(4500), 1,
      anon_sym_static,
    ACTIONS(4502), 1,
      anon_sym_readonly,
    ACTIONS(4506), 1,
      anon_sym_declare,
    ACTIONS(4510), 1,
      anon_sym_abstract,
    ACTIONS(4651), 1,
      anon_sym_RBRACE,
    STATE(2290), 1,
      aux_sym_class_body_repeat1,
    STATE(2302), 1,
      sym_comment,
    STATE(3401), 1,
      aux_sym_export_statement_repeat1,
    STATE(3496), 1,
      sym_method_definition,
    STATE(3527), 1,
      sym_class_static_block,
    STATE(3541), 1,
      sym_accessibility_modifier,
    STATE(3624), 1,
      sym_override_modifier,
    STATE(3696), 1,
      sym_decorator,
    STATE(3925), 1,
      sym__property_name,
    STATE(5665), 1,
      sym_method_signature,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4504), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4508), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5889), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4332), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30704] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4490), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_SEMI,
    ACTIONS(4496), 1,
      anon_sym_async,
    ACTIONS(4498), 1,
      anon_sym_AT,
    ACTIONS(4500), 1,
      anon_sym_static,
    ACTIONS(4502), 1,
      anon_sym_readonly,
    ACTIONS(4506), 1,
      anon_sym_declare,
    ACTIONS(4510), 1,
      anon_sym_abstract,
    ACTIONS(4653), 1,
      anon_sym_RBRACE,
    STATE(2272), 1,
      aux_sym_class_body_repeat1,
    STATE(2303), 1,
      sym_comment,
    STATE(3401), 1,
      aux_sym_export_statement_repeat1,
    STATE(3496), 1,
      sym_method_definition,
    STATE(3527), 1,
      sym_class_static_block,
    STATE(3541), 1,
      sym_accessibility_modifier,
    STATE(3624), 1,
      sym_override_modifier,
    STATE(3696), 1,
      sym_decorator,
    STATE(3925), 1,
      sym__property_name,
    STATE(5665), 1,
      sym_method_signature,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4504), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4508), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5889), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4332), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30821] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4490), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_SEMI,
    ACTIONS(4496), 1,
      anon_sym_async,
    ACTIONS(4498), 1,
      anon_sym_AT,
    ACTIONS(4500), 1,
      anon_sym_static,
    ACTIONS(4502), 1,
      anon_sym_readonly,
    ACTIONS(4506), 1,
      anon_sym_declare,
    ACTIONS(4510), 1,
      anon_sym_abstract,
    ACTIONS(4655), 1,
      anon_sym_RBRACE,
    STATE(2290), 1,
      aux_sym_class_body_repeat1,
    STATE(2304), 1,
      sym_comment,
    STATE(3401), 1,
      aux_sym_export_statement_repeat1,
    STATE(3496), 1,
      sym_method_definition,
    STATE(3527), 1,
      sym_class_static_block,
    STATE(3541), 1,
      sym_accessibility_modifier,
    STATE(3624), 1,
      sym_override_modifier,
    STATE(3696), 1,
      sym_decorator,
    STATE(3925), 1,
      sym__property_name,
    STATE(5665), 1,
      sym_method_signature,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4504), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4508), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5889), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4332), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30938] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4490), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_SEMI,
    ACTIONS(4496), 1,
      anon_sym_async,
    ACTIONS(4498), 1,
      anon_sym_AT,
    ACTIONS(4500), 1,
      anon_sym_static,
    ACTIONS(4502), 1,
      anon_sym_readonly,
    ACTIONS(4506), 1,
      anon_sym_declare,
    ACTIONS(4510), 1,
      anon_sym_abstract,
    ACTIONS(4657), 1,
      anon_sym_RBRACE,
    STATE(2302), 1,
      aux_sym_class_body_repeat1,
    STATE(2305), 1,
      sym_comment,
    STATE(3401), 1,
      aux_sym_export_statement_repeat1,
    STATE(3496), 1,
      sym_method_definition,
    STATE(3527), 1,
      sym_class_static_block,
    STATE(3541), 1,
      sym_accessibility_modifier,
    STATE(3624), 1,
      sym_override_modifier,
    STATE(3696), 1,
      sym_decorator,
    STATE(3925), 1,
      sym__property_name,
    STATE(5665), 1,
      sym_method_signature,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4504), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4508), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5889), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4332), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31055] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(225), 1,
      anon_sym_STAR,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(243), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(3836), 1,
      anon_sym_LBRACE,
    ACTIONS(4609), 1,
      anon_sym_LBRACK,
    ACTIONS(4661), 1,
      anon_sym_RBRACE,
    ACTIONS(4663), 1,
      anon_sym_async,
    ACTIONS(4665), 1,
      anon_sym_static,
    ACTIONS(4667), 1,
      anon_sym_readonly,
    ACTIONS(4673), 1,
      anon_sym_override,
    STATE(2306), 1,
      sym_comment,
    STATE(3599), 1,
      sym_accessibility_modifier,
    STATE(3635), 1,
      sym_override_modifier,
    STATE(4649), 1,
      sym__property_name,
    STATE(5951), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6031), 1,
      aux_sym_object_repeat1,
    STATE(7405), 1,
      sym__destructuring_pattern,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4669), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4292), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5918), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6030), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4659), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31166] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(225), 1,
      anon_sym_STAR,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(243), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(3836), 1,
      anon_sym_LBRACE,
    ACTIONS(4609), 1,
      anon_sym_LBRACK,
    ACTIONS(4677), 1,
      anon_sym_RBRACE,
    ACTIONS(4679), 1,
      anon_sym_async,
    ACTIONS(4681), 1,
      anon_sym_static,
    ACTIONS(4683), 1,
      anon_sym_readonly,
    ACTIONS(4689), 1,
      anon_sym_override,
    STATE(2307), 1,
      sym_comment,
    STATE(3599), 1,
      sym_accessibility_modifier,
    STATE(3635), 1,
      sym_override_modifier,
    STATE(4649), 1,
      sym__property_name,
    STATE(5950), 1,
      aux_sym_object_repeat1,
    STATE(5951), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7405), 1,
      sym__destructuring_pattern,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4685), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4292), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5918), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5929), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4675), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31277] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(225), 1,
      anon_sym_STAR,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(243), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(3836), 1,
      anon_sym_LBRACE,
    ACTIONS(4609), 1,
      anon_sym_LBRACK,
    ACTIONS(4693), 1,
      anon_sym_RBRACE,
    ACTIONS(4695), 1,
      anon_sym_async,
    ACTIONS(4697), 1,
      anon_sym_static,
    ACTIONS(4699), 1,
      anon_sym_readonly,
    ACTIONS(4705), 1,
      anon_sym_override,
    STATE(2308), 1,
      sym_comment,
    STATE(3599), 1,
      sym_accessibility_modifier,
    STATE(3635), 1,
      sym_override_modifier,
    STATE(4649), 1,
      sym__property_name,
    STATE(5950), 1,
      aux_sym_object_repeat1,
    STATE(5951), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7405), 1,
      sym__destructuring_pattern,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4701), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4292), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4703), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5918), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5929), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4691), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31388] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(225), 1,
      anon_sym_STAR,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(243), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(3836), 1,
      anon_sym_LBRACE,
    ACTIONS(4609), 1,
      anon_sym_LBRACK,
    ACTIONS(4709), 1,
      anon_sym_RBRACE,
    ACTIONS(4711), 1,
      anon_sym_async,
    ACTIONS(4713), 1,
      anon_sym_static,
    ACTIONS(4715), 1,
      anon_sym_readonly,
    ACTIONS(4721), 1,
      anon_sym_override,
    STATE(2309), 1,
      sym_comment,
    STATE(3599), 1,
      sym_accessibility_modifier,
    STATE(3635), 1,
      sym_override_modifier,
    STATE(4649), 1,
      sym__property_name,
    STATE(5951), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6031), 1,
      aux_sym_object_repeat1,
    STATE(7405), 1,
      sym__destructuring_pattern,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4717), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4292), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4719), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5918), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6030), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4707), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31499] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4490), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_SEMI,
    ACTIONS(4496), 1,
      anon_sym_async,
    ACTIONS(4498), 1,
      anon_sym_AT,
    ACTIONS(4500), 1,
      anon_sym_static,
    ACTIONS(4502), 1,
      anon_sym_readonly,
    ACTIONS(4506), 1,
      anon_sym_declare,
    ACTIONS(4510), 1,
      anon_sym_abstract,
    ACTIONS(4723), 1,
      anon_sym_RBRACE,
    STATE(2291), 1,
      aux_sym_class_body_repeat1,
    STATE(2310), 1,
      sym_comment,
    STATE(3401), 1,
      aux_sym_export_statement_repeat1,
    STATE(3496), 1,
      sym_method_definition,
    STATE(3527), 1,
      sym_class_static_block,
    STATE(3541), 1,
      sym_accessibility_modifier,
    STATE(3624), 1,
      sym_override_modifier,
    STATE(3696), 1,
      sym_decorator,
    STATE(3925), 1,
      sym__property_name,
    STATE(5665), 1,
      sym_method_signature,
    ACTIONS(3852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4504), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4508), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5889), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4332), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31616] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(225), 1,
      anon_sym_STAR,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(243), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(3836), 1,
      anon_sym_LBRACE,
    ACTIONS(4609), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      anon_sym_RBRACE,
    ACTIONS(4729), 1,
      anon_sym_async,
    ACTIONS(4731), 1,
      anon_sym_static,
    ACTIONS(4733), 1,
      anon_sym_readonly,
    ACTIONS(4739), 1,
      anon_sym_override,
    STATE(2311), 1,
      sym_comment,
    STATE(3599), 1,
      sym_accessibility_modifier,
    STATE(3635), 1,
      sym_override_modifier,
    STATE(4649), 1,
      sym__property_name,
    STATE(5951), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6031), 1,
      aux_sym_object_repeat1,
    STATE(7405), 1,
      sym__destructuring_pattern,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4735), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4292), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4737), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5918), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6030), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4725), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31727] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2312), 1,
      sym_comment,
    ACTIONS(2135), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(2137), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [31789] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2313), 1,
      sym_comment,
    ACTIONS(2085), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(2087), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [31851] = 32,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2665), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2938), 1,
      anon_sym_namespace,
    ACTIONS(2940), 1,
      anon_sym_import,
    ACTIONS(2942), 1,
      anon_sym_var,
    ACTIONS(2944), 1,
      anon_sym_let,
    ACTIONS(2946), 1,
      anon_sym_const,
    ACTIONS(2948), 1,
      anon_sym_class,
    ACTIONS(2950), 1,
      anon_sym_async,
    ACTIONS(2952), 1,
      anon_sym_function,
    ACTIONS(2954), 1,
      anon_sym_declare,
    ACTIONS(2958), 1,
      anon_sym_abstract,
    ACTIONS(2962), 1,
      anon_sym_interface,
    ACTIONS(2964), 1,
      anon_sym_enum,
    ACTIONS(4458), 1,
      anon_sym_STAR,
    ACTIONS(4460), 1,
      anon_sym_default,
    ACTIONS(4462), 1,
      anon_sym_type,
    ACTIONS(4464), 1,
      anon_sym_EQ,
    ACTIONS(4466), 1,
      anon_sym_as,
    ACTIONS(4476), 1,
      anon_sym_module,
    STATE(2314), 1,
      sym_comment,
    STATE(4930), 1,
      sym_internal_module,
    STATE(4934), 1,
      sym_declaration,
    STATE(4938), 1,
      aux_sym_export_statement_repeat1,
    STATE(5639), 1,
      sym_export_clause,
    STATE(5685), 1,
      sym_decorator,
    STATE(7033), 1,
      sym_namespace_export,
    ACTIONS(4741), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4474), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(4937), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [31967] = 31,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2665), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2938), 1,
      anon_sym_namespace,
    ACTIONS(2940), 1,
      anon_sym_import,
    ACTIONS(2942), 1,
      anon_sym_var,
    ACTIONS(2944), 1,
      anon_sym_let,
    ACTIONS(2946), 1,
      anon_sym_const,
    ACTIONS(2948), 1,
      anon_sym_class,
    ACTIONS(2950), 1,
      anon_sym_async,
    ACTIONS(2952), 1,
      anon_sym_function,
    ACTIONS(2954), 1,
      anon_sym_declare,
    ACTIONS(2958), 1,
      anon_sym_abstract,
    ACTIONS(2962), 1,
      anon_sym_interface,
    ACTIONS(2964), 1,
      anon_sym_enum,
    ACTIONS(4458), 1,
      anon_sym_STAR,
    ACTIONS(4460), 1,
      anon_sym_default,
    ACTIONS(4462), 1,
      anon_sym_type,
    ACTIONS(4466), 1,
      anon_sym_as,
    ACTIONS(4476), 1,
      anon_sym_module,
    ACTIONS(4745), 1,
      anon_sym_EQ,
    STATE(2315), 1,
      sym_comment,
    STATE(4930), 1,
      sym_internal_module,
    STATE(4934), 1,
      sym_declaration,
    STATE(4938), 1,
      aux_sym_export_statement_repeat1,
    STATE(5639), 1,
      sym_export_clause,
    STATE(5685), 1,
      sym_decorator,
    STATE(7033), 1,
      sym_namespace_export,
    ACTIONS(4474), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(4937), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [32081] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4749), 1,
      anon_sym_DOT,
    ACTIONS(4751), 1,
      anon_sym_LT,
    STATE(2316), 1,
      sym_comment,
    STATE(2411), 1,
      sym_type_arguments,
    STATE(2412), 1,
      sym_arguments,
    ACTIONS(4109), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4099), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32152] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4751), 1,
      anon_sym_LT,
    ACTIONS(4757), 1,
      anon_sym_DOT,
    STATE(2317), 1,
      sym_comment,
    STATE(2402), 1,
      sym_type_arguments,
    STATE(2405), 1,
      sym_arguments,
    ACTIONS(4753), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4755), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32223] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4751), 1,
      anon_sym_LT,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_is,
    STATE(2318), 1,
      sym_comment,
    STATE(2422), 1,
      sym_type_arguments,
    ACTIONS(4759), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4163), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32292] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4751), 1,
      anon_sym_LT,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4773), 1,
      anon_sym_QMARK_DOT,
    STATE(2319), 1,
      sym_comment,
    STATE(2451), 1,
      sym_type_arguments,
    STATE(2598), 1,
      sym_arguments,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4765), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4767), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [32369] = 26,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(225), 1,
      anon_sym_STAR,
    ACTIONS(243), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(3836), 1,
      anon_sym_LBRACE,
    ACTIONS(4609), 1,
      anon_sym_LBRACK,
    ACTIONS(4777), 1,
      anon_sym_async,
    ACTIONS(4779), 1,
      anon_sym_static,
    ACTIONS(4781), 1,
      anon_sym_readonly,
    ACTIONS(4787), 1,
      anon_sym_override,
    STATE(2320), 1,
      sym_comment,
    STATE(3599), 1,
      sym_accessibility_modifier,
    STATE(3635), 1,
      sym_override_modifier,
    STATE(4649), 1,
      sym__property_name,
    STATE(7405), 1,
      sym__destructuring_pattern,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4020), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4783), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4292), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4785), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6608), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(6617), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(4775), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [32472] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4751), 1,
      anon_sym_LT,
    ACTIONS(4793), 1,
      anon_sym_DOT,
    STATE(2321), 1,
      sym_comment,
    STATE(2409), 1,
      sym_type_arguments,
    STATE(2410), 1,
      sym_arguments,
    ACTIONS(4789), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4791), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32543] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2322), 1,
      sym_comment,
    ACTIONS(4298), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(4795), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32603] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4763), 1,
      anon_sym_is,
    STATE(2323), 1,
      sym_comment,
    ACTIONS(4797), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4799), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32665] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4805), 1,
      anon_sym_is,
    STATE(2324), 1,
      sym_comment,
    ACTIONS(4801), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4803), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32727] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    STATE(2325), 1,
      sym_comment,
    STATE(2578), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4807), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4809), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [32793] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2326), 1,
      sym_comment,
    ACTIONS(4306), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(4813), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32853] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2327), 1,
      sym_comment,
    ACTIONS(2085), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(2087), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32913] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2328), 1,
      sym_comment,
    ACTIONS(4815), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4817), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
      anon_sym_is,
  [32973] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4751), 1,
      anon_sym_LT,
    STATE(2329), 1,
      sym_comment,
    STATE(2415), 1,
      sym_type_arguments,
    ACTIONS(4801), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4803), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33037] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4819), 1,
      anon_sym_LBRACE,
    STATE(2330), 1,
      sym_comment,
    STATE(2556), 1,
      sym_statement_block,
    ACTIONS(2055), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2061), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [33101] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4751), 1,
      anon_sym_LT,
    ACTIONS(4761), 1,
      anon_sym_DOT,
    STATE(2331), 1,
      sym_comment,
    STATE(2422), 1,
      sym_type_arguments,
    ACTIONS(4759), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4163), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33167] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4819), 1,
      anon_sym_LBRACE,
    ACTIONS(4821), 1,
      anon_sym_DOT,
    STATE(2332), 1,
      sym_comment,
    STATE(2556), 1,
      sym_statement_block,
    ACTIONS(2055), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2061), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [33233] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2333), 1,
      sym_comment,
    ACTIONS(1974), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2030), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
      anon_sym_is,
  [33293] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2069), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4823), 1,
      sym__automatic_semicolon,
    STATE(2334), 1,
      sym_comment,
    ACTIONS(2065), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2125), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [33357] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4819), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_DOT,
    STATE(2335), 1,
      sym_comment,
    STATE(2556), 1,
      sym_statement_block,
    ACTIONS(2055), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2061), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [33423] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2336), 1,
      sym_comment,
    ACTIONS(2135), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(2137), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33483] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2337), 1,
      sym_comment,
    ACTIONS(4308), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(4827), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33543] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4763), 1,
      anon_sym_is,
    STATE(2338), 1,
      sym_comment,
    ACTIONS(4829), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4831), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33605] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4839), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2339), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4833), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4835), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [33682] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2340), 1,
      sym_comment,
    ACTIONS(4842), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4844), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33741] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2341), 1,
      sym_comment,
    ACTIONS(4846), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4848), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33800] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4178), 1,
      anon_sym_COLON,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4854), 1,
      anon_sym_COMMA,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4858), 1,
      anon_sym_RPAREN,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2342), 1,
      sym_comment,
    STATE(4909), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6155), 1,
      sym_optional_chain,
    STATE(7370), 1,
      sym_type_annotation,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33925] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2343), 1,
      sym_comment,
    ACTIONS(4842), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4844), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33984] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2344), 1,
      sym_comment,
    ACTIONS(4898), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4900), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34043] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2345), 1,
      sym_comment,
    ACTIONS(4898), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4900), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34102] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2346), 1,
      sym_comment,
    ACTIONS(4898), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4900), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34161] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2347), 1,
      sym_comment,
    ACTIONS(4842), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4844), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34220] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4773), 1,
      anon_sym_QMARK_DOT,
    STATE(2348), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(2109), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2111), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [34287] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2349), 1,
      sym_comment,
    ACTIONS(4902), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4904), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34346] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2350), 1,
      sym_comment,
    ACTIONS(4902), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4904), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34405] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4910), 1,
      anon_sym_AMP,
    ACTIONS(4912), 1,
      anon_sym_PIPE,
    ACTIONS(4914), 1,
      anon_sym_extends,
    STATE(2351), 1,
      sym_comment,
    ACTIONS(4906), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4908), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [34470] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2352), 1,
      sym_comment,
    ACTIONS(4906), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4908), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34529] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2353), 1,
      sym_comment,
    ACTIONS(4916), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34588] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4910), 1,
      anon_sym_AMP,
    ACTIONS(4912), 1,
      anon_sym_PIPE,
    ACTIONS(4914), 1,
      anon_sym_extends,
    STATE(2354), 1,
      sym_comment,
    ACTIONS(4920), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4922), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [34653] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2355), 1,
      sym_comment,
    ACTIONS(4924), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4926), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34712] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2356), 1,
      sym_comment,
    ACTIONS(4928), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4930), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34771] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2357), 1,
      sym_comment,
    ACTIONS(3310), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3388), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34830] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2358), 1,
      sym_comment,
    ACTIONS(4902), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4904), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34889] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2359), 1,
      sym_comment,
    ACTIONS(4932), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34948] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2360), 1,
      sym_comment,
    ACTIONS(4936), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4938), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35007] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2361), 1,
      sym_comment,
    ACTIONS(4932), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35066] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2362), 1,
      sym_comment,
    ACTIONS(4936), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4938), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35125] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2363), 1,
      sym_comment,
    ACTIONS(4940), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4942), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35184] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4948), 1,
      anon_sym_QMARK,
    ACTIONS(4950), 1,
      anon_sym_extends,
    STATE(2364), 1,
      sym_comment,
    ACTIONS(4944), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4946), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35247] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2365), 1,
      sym_comment,
    ACTIONS(4952), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4954), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35306] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2366), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4956), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [35423] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4178), 1,
      anon_sym_COLON,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4854), 1,
      anon_sym_COMMA,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    ACTIONS(4958), 1,
      anon_sym_RPAREN,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2367), 1,
      sym_comment,
    STATE(4909), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6155), 1,
      sym_optional_chain,
    STATE(7271), 1,
      sym_type_annotation,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35548] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4178), 1,
      anon_sym_COLON,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4854), 1,
      anon_sym_COMMA,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    ACTIONS(4960), 1,
      anon_sym_RPAREN,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2368), 1,
      sym_comment,
    STATE(4909), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6155), 1,
      sym_optional_chain,
    STATE(7471), 1,
      sym_type_annotation,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35673] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4178), 1,
      anon_sym_COLON,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4854), 1,
      anon_sym_COMMA,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    ACTIONS(4962), 1,
      anon_sym_RPAREN,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2369), 1,
      sym_comment,
    STATE(4909), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6155), 1,
      sym_optional_chain,
    STATE(7110), 1,
      sym_type_annotation,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35798] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4968), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2370), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4964), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4966), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [35877] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2371), 1,
      sym_comment,
    ACTIONS(4971), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4973), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35936] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2372), 1,
      sym_comment,
    ACTIONS(4952), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4954), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35995] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2373), 1,
      sym_comment,
    ACTIONS(4971), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4973), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36054] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2374), 1,
      sym_comment,
    ACTIONS(4975), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4977), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36113] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2375), 1,
      sym_comment,
    ACTIONS(4979), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4981), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36172] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2376), 1,
      sym_comment,
    ACTIONS(4983), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4985), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36231] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2377), 1,
      sym_comment,
    ACTIONS(4829), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4831), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36290] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2378), 1,
      sym_comment,
    ACTIONS(4975), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4977), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36349] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2379), 1,
      sym_comment,
    ACTIONS(4979), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4981), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36408] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2380), 1,
      sym_comment,
    ACTIONS(4987), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4989), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36467] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2381), 1,
      sym_comment,
    ACTIONS(4991), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4993), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36526] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2382), 1,
      sym_comment,
    ACTIONS(4995), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4997), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36585] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4178), 1,
      anon_sym_COLON,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4854), 1,
      anon_sym_COMMA,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    ACTIONS(4999), 1,
      anon_sym_RPAREN,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2383), 1,
      sym_comment,
    STATE(4909), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6155), 1,
      sym_optional_chain,
    STATE(7418), 1,
      sym_type_annotation,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36710] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2384), 1,
      sym_comment,
    ACTIONS(5001), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5003), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36769] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4910), 1,
      anon_sym_AMP,
    STATE(2385), 1,
      sym_comment,
    ACTIONS(5005), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5007), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36830] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2386), 1,
      sym_comment,
    ACTIONS(5009), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5011), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36889] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4910), 1,
      anon_sym_AMP,
    ACTIONS(4912), 1,
      anon_sym_PIPE,
    ACTIONS(4914), 1,
      anon_sym_extends,
    STATE(2387), 1,
      sym_comment,
    ACTIONS(5013), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5015), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36954] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2388), 1,
      sym_comment,
    ACTIONS(5013), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5015), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37013] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2389), 1,
      sym_comment,
    ACTIONS(5017), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37072] = 23,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5021), 1,
      anon_sym_STAR,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5025), 1,
      anon_sym_COMMA,
    ACTIONS(5028), 1,
      anon_sym_RBRACE,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(5033), 1,
      anon_sym_async,
    ACTIONS(5035), 1,
      anon_sym_readonly,
    STATE(2390), 1,
      sym_comment,
    STATE(3619), 1,
      sym_override_modifier,
    STATE(3967), 1,
      sym__property_name,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5037), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4332), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [37167] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5043), 1,
      anon_sym_DOT,
    STATE(2391), 1,
      sym_comment,
    ACTIONS(5039), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5041), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37228] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5046), 1,
      anon_sym_DOT,
    STATE(2392), 1,
      sym_comment,
    ACTIONS(5039), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5041), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37289] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2393), 1,
      sym_comment,
    ACTIONS(5049), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5051), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37348] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5057), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2394), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5053), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5055), 19,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [37433] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2395), 1,
      sym_comment,
    ACTIONS(5060), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5062), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37492] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2396), 1,
      sym_comment,
    ACTIONS(5064), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5066), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37551] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2397), 1,
      sym_comment,
    ACTIONS(5064), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5066), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37610] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2398), 1,
      sym_comment,
    ACTIONS(5064), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5066), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37669] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2399), 1,
      sym_comment,
    ACTIONS(5068), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5070), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37728] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2400), 1,
      sym_comment,
    ACTIONS(5072), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5074), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37787] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2401), 1,
      sym_comment,
    ACTIONS(5076), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5078), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37846] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2402), 1,
      sym_comment,
    ACTIONS(5080), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5082), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37905] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2403), 1,
      sym_comment,
    ACTIONS(5076), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5078), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37964] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2404), 1,
      sym_comment,
    ACTIONS(5076), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5078), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38023] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2405), 1,
      sym_comment,
    ACTIONS(5084), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5086), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38082] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2406), 1,
      sym_comment,
    ACTIONS(5088), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5090), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38141] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2407), 1,
      sym_comment,
    ACTIONS(5088), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5090), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38200] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2408), 1,
      sym_comment,
    ACTIONS(5088), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5090), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38259] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2409), 1,
      sym_comment,
    ACTIONS(5092), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5094), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38318] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2410), 1,
      sym_comment,
    ACTIONS(5096), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5098), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38377] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2411), 1,
      sym_comment,
    ACTIONS(5100), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5102), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38436] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2412), 1,
      sym_comment,
    ACTIONS(4948), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4950), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38495] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2413), 1,
      sym_comment,
    ACTIONS(5104), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5106), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38554] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2414), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5108), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [38671] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2415), 1,
      sym_comment,
    ACTIONS(5110), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5112), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38730] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5118), 1,
      anon_sym_LBRACK,
    STATE(2416), 1,
      sym_comment,
    ACTIONS(5114), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38791] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4910), 1,
      anon_sym_AMP,
    ACTIONS(4912), 1,
      anon_sym_PIPE,
    ACTIONS(4914), 1,
      anon_sym_extends,
    STATE(2417), 1,
      sym_comment,
    ACTIONS(5120), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5122), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38856] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5128), 1,
      anon_sym_extends,
    STATE(2418), 1,
      sym_comment,
    ACTIONS(5124), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5126), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38917] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2419), 1,
      sym_comment,
    ACTIONS(3304), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38976] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5118), 1,
      anon_sym_LBRACK,
    ACTIONS(5136), 1,
      anon_sym_extends,
    STATE(2420), 1,
      sym_comment,
    ACTIONS(5134), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5130), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5132), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39041] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4910), 1,
      anon_sym_AMP,
    ACTIONS(4912), 1,
      anon_sym_PIPE,
    ACTIONS(4914), 1,
      anon_sym_extends,
    STATE(2421), 1,
      sym_comment,
    ACTIONS(5138), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5140), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39106] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2422), 1,
      sym_comment,
    ACTIONS(5142), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5144), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39165] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2423), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5146), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [39282] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2424), 1,
      sym_comment,
    ACTIONS(5148), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5150), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39341] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2425), 1,
      sym_comment,
    ACTIONS(5152), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5154), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39400] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2426), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5156), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [39517] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4910), 1,
      anon_sym_AMP,
    STATE(2427), 1,
      sym_comment,
    ACTIONS(5158), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5160), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39578] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4910), 1,
      anon_sym_AMP,
    ACTIONS(4912), 1,
      anon_sym_PIPE,
    ACTIONS(4914), 1,
      anon_sym_extends,
    STATE(2428), 1,
      sym_comment,
    ACTIONS(5162), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5164), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39643] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2429), 1,
      sym_comment,
    ACTIONS(5152), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5154), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4081), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39706] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4823), 1,
      sym__automatic_semicolon,
    STATE(2430), 1,
      sym_comment,
    ACTIONS(2065), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2125), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39767] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4910), 1,
      anon_sym_AMP,
    ACTIONS(4912), 1,
      anon_sym_PIPE,
    ACTIONS(4914), 1,
      anon_sym_extends,
    STATE(2431), 1,
      sym_comment,
    ACTIONS(5166), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5168), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39832] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5019), 1,
      anon_sym_extends,
    ACTIONS(5172), 1,
      anon_sym_EQ,
    STATE(2432), 1,
      sym_comment,
    ACTIONS(5176), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5179), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5170), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5174), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39899] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2433), 1,
      sym_comment,
    ACTIONS(5182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5184), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39958] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2434), 1,
      sym_comment,
    ACTIONS(5186), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5188), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40017] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2435), 1,
      sym_comment,
    ACTIONS(5190), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5192), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40076] = 23,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5021), 1,
      anon_sym_STAR,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5025), 1,
      anon_sym_COMMA,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(5033), 1,
      anon_sym_async,
    ACTIONS(5035), 1,
      anon_sym_readonly,
    ACTIONS(5194), 1,
      anon_sym_RBRACE,
    STATE(2436), 1,
      sym_comment,
    STATE(3619), 1,
      sym_override_modifier,
    STATE(3967), 1,
      sym__property_name,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5037), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4332), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [40171] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2069), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3388), 1,
      anon_sym_extends,
    STATE(2437), 1,
      sym_comment,
    ACTIONS(5197), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5200), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2067), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2073), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40238] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2438), 1,
      sym_comment,
    ACTIONS(5203), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5205), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40297] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2439), 1,
      sym_comment,
    ACTIONS(5207), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5209), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40356] = 23,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5021), 1,
      anon_sym_STAR,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5025), 1,
      anon_sym_COMMA,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(5033), 1,
      anon_sym_async,
    ACTIONS(5035), 1,
      anon_sym_readonly,
    ACTIONS(5211), 1,
      anon_sym_RBRACE,
    STATE(2440), 1,
      sym_comment,
    STATE(3619), 1,
      sym_override_modifier,
    STATE(3967), 1,
      sym__property_name,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5037), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4332), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [40451] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2441), 1,
      sym_comment,
    ACTIONS(5214), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5216), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40510] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5222), 1,
      anon_sym_DOT,
    STATE(2442), 1,
      sym_comment,
    ACTIONS(5218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5220), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40571] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2443), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5224), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [40688] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4178), 1,
      anon_sym_COLON,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4854), 1,
      anon_sym_COMMA,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    ACTIONS(5226), 1,
      anon_sym_RPAREN,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2444), 1,
      sym_comment,
    STATE(4909), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6155), 1,
      sym_optional_chain,
    STATE(7468), 1,
      sym_type_annotation,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [40813] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2445), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5228), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [40930] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2446), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5230), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [41047] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4178), 1,
      anon_sym_COLON,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4854), 1,
      anon_sym_COMMA,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    ACTIONS(5232), 1,
      anon_sym_RPAREN,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2447), 1,
      sym_comment,
    STATE(4909), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6155), 1,
      sym_optional_chain,
    STATE(7226), 1,
      sym_type_annotation,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [41172] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2448), 1,
      sym_comment,
    ACTIONS(3296), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3408), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41231] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2449), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5234), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [41348] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2450), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5236), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [41465] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    STATE(2451), 1,
      sym_comment,
    STATE(2652), 1,
      sym_arguments,
    ACTIONS(5238), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5240), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [41528] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2452), 1,
      sym_comment,
    ACTIONS(2131), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2133), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [41587] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2453), 1,
      sym_comment,
    ACTIONS(2119), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2121), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [41646] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2454), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5242), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [41763] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2455), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5244), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [41880] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2456), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5246), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [41997] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2457), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [42088] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2458), 1,
      sym_comment,
    ACTIONS(5252), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5254), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42147] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2459), 1,
      sym_comment,
    ACTIONS(5252), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5254), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42206] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2460), 1,
      sym_comment,
    ACTIONS(5256), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5258), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42265] = 23,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5021), 1,
      anon_sym_STAR,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5025), 1,
      anon_sym_COMMA,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(5033), 1,
      anon_sym_async,
    ACTIONS(5035), 1,
      anon_sym_readonly,
    ACTIONS(5260), 1,
      anon_sym_RBRACE,
    STATE(2461), 1,
      sym_comment,
    STATE(3619), 1,
      sym_override_modifier,
    STATE(3967), 1,
      sym__property_name,
    STATE(6262), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5037), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4332), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [42360] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2462), 1,
      sym_comment,
    ACTIONS(5256), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5258), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42419] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2463), 1,
      sym_comment,
    ACTIONS(3292), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3436), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42478] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5263), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2464), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [42559] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4803), 1,
      anon_sym_extends,
    STATE(2465), 1,
      sym_comment,
    ACTIONS(5266), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5268), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [42620] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4910), 1,
      anon_sym_AMP,
    ACTIONS(4912), 1,
      anon_sym_PIPE,
    ACTIONS(4914), 1,
      anon_sym_extends,
    STATE(2466), 1,
      sym_comment,
    ACTIONS(5266), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5268), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [42685] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2467), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5270), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [42802] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(5250), 1,
      anon_sym_BANG,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2468), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [42907] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(5250), 1,
      anon_sym_BANG,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2469), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [43014] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5263), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2470), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [43101] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2471), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5250), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5248), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [43200] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2472), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5250), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [43301] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2473), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5250), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [43404] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5263), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2474), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [43489] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4185), 1,
      anon_sym_EQ,
    STATE(2475), 1,
      sym_comment,
    ACTIONS(4081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [43550] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2476), 1,
      sym_comment,
    ACTIONS(5272), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5274), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43609] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5118), 1,
      anon_sym_LBRACK,
    STATE(2477), 1,
      sym_comment,
    ACTIONS(5134), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5136), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43670] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2478), 1,
      sym_comment,
    ACTIONS(5276), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5278), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43729] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2479), 1,
      sym_comment,
    ACTIONS(5280), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5282), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43788] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2480), 1,
      sym_comment,
    ACTIONS(5284), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5286), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43847] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2481), 1,
      sym_comment,
    ACTIONS(5134), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5136), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43906] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5263), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2482), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [43993] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2483), 1,
      sym_comment,
    ACTIONS(4797), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4799), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [44052] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2484), 1,
      sym_comment,
    ACTIONS(5288), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5290), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [44111] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2485), 1,
      sym_comment,
    ACTIONS(4801), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4803), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [44170] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5292), 1,
      sym__automatic_semicolon,
    STATE(2486), 1,
      sym_comment,
    ACTIONS(2141), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2143), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [44231] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2487), 1,
      sym_comment,
    ACTIONS(5294), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5296), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [44290] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2488), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5250), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [44385] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5298), 1,
      anon_sym_LBRACE,
    ACTIONS(5300), 1,
      anon_sym_DOT,
    STATE(2489), 1,
      sym_comment,
    STATE(2515), 1,
      sym_statement_block,
    ACTIONS(2055), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2061), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [44450] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5298), 1,
      anon_sym_LBRACE,
    ACTIONS(5302), 1,
      anon_sym_DOT,
    STATE(2490), 1,
      sym_comment,
    STATE(2515), 1,
      sym_statement_block,
    ACTIONS(2055), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2061), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [44515] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5298), 1,
      anon_sym_LBRACE,
    STATE(2491), 1,
      sym_comment,
    STATE(2515), 1,
      sym_statement_block,
    ACTIONS(2055), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2061), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [44578] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(5250), 1,
      anon_sym_BANG,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2492), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [44687] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4910), 1,
      anon_sym_AMP,
    ACTIONS(4912), 1,
      anon_sym_PIPE,
    ACTIONS(4914), 1,
      anon_sym_extends,
    STATE(2493), 1,
      sym_comment,
    ACTIONS(5304), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5306), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [44752] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2494), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5308), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [44869] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2495), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5310), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [44986] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2496), 1,
      sym_comment,
    ACTIONS(3294), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3434), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [45045] = 23,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5021), 1,
      anon_sym_STAR,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5025), 1,
      anon_sym_COMMA,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(5033), 1,
      anon_sym_async,
    ACTIONS(5035), 1,
      anon_sym_readonly,
    ACTIONS(5312), 1,
      anon_sym_RBRACE,
    STATE(2497), 1,
      sym_comment,
    STATE(3619), 1,
      sym_override_modifier,
    STATE(3967), 1,
      sym__property_name,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5037), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4332), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [45140] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5319), 1,
      anon_sym_COMMA,
    ACTIONS(5322), 1,
      anon_sym_RBRACE,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5372), 1,
      sym__ternary_qmark,
    STATE(2498), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5330), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [45260] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2499), 1,
      sym_comment,
    ACTIONS(5374), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5376), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [45318] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2069), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2500), 1,
      sym_comment,
    ACTIONS(2067), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2073), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [45378] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2501), 1,
      sym_comment,
    ACTIONS(2093), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2095), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [45436] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2502), 1,
      sym_comment,
    ACTIONS(5378), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5380), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [45494] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2503), 1,
      sym_comment,
    ACTIONS(5382), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5384), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [45552] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2504), 1,
      sym_comment,
    ACTIONS(5386), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5388), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [45610] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5021), 1,
      anon_sym_STAR,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5025), 1,
      anon_sym_COMMA,
    ACTIONS(5033), 1,
      anon_sym_async,
    ACTIONS(5312), 1,
      anon_sym_RBRACE,
    ACTIONS(5390), 1,
      anon_sym_LBRACK,
    STATE(2505), 1,
      sym_comment,
    STATE(3967), 1,
      sym__property_name,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5037), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4332), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [45698] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5021), 1,
      anon_sym_STAR,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5025), 1,
      anon_sym_COMMA,
    ACTIONS(5312), 1,
      anon_sym_RBRACE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(2506), 1,
      sym_comment,
    STATE(4746), 1,
      sym__property_name,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5394), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [45784] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5396), 1,
      anon_sym_LT,
    STATE(2507), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4833), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4835), 22,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [45860] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5372), 1,
      sym__ternary_qmark,
    STATE(2508), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5242), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [45976] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5372), 1,
      sym__ternary_qmark,
    STATE(2509), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5236), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [46092] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5372), 1,
      sym__ternary_qmark,
    STATE(2510), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5234), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [46208] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5399), 1,
      sym__automatic_semicolon,
    STATE(2511), 1,
      sym_comment,
    ACTIONS(2141), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2143), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [46268] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2512), 1,
      sym_comment,
    ACTIONS(2141), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2143), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [46326] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5403), 1,
      anon_sym_EQ,
    STATE(2513), 1,
      sym_comment,
    ACTIONS(5401), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [46386] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2514), 1,
      sym_comment,
    ACTIONS(2149), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2153), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [46444] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2515), 1,
      sym_comment,
    ACTIONS(2127), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2129), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [46502] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2516), 1,
      sym_comment,
    ACTIONS(5407), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5409), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [46560] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2517), 1,
      sym_comment,
    ACTIONS(5411), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5413), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [46618] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2518), 1,
      sym_comment,
    ACTIONS(2101), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [46676] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5415), 1,
      anon_sym_DOT,
    ACTIONS(5417), 1,
      anon_sym_LT,
    STATE(2519), 1,
      sym_comment,
    STATE(2793), 1,
      sym_arguments,
    STATE(2805), 1,
      sym_type_arguments,
    ACTIONS(4109), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4099), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [46744] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5423), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5427), 1,
      anon_sym_GT_GT,
    ACTIONS(5431), 1,
      anon_sym_AMP,
    ACTIONS(5433), 1,
      anon_sym_CARET,
    ACTIONS(5435), 1,
      anon_sym_PIPE,
    ACTIONS(5439), 1,
      anon_sym_PERCENT,
    ACTIONS(5441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5443), 1,
      anon_sym_LT,
    ACTIONS(5451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5453), 1,
      sym__ternary_qmark,
    STATE(2520), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5242), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [46860] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5021), 1,
      anon_sym_STAR,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5025), 1,
      anon_sym_COMMA,
    ACTIONS(5033), 1,
      anon_sym_async,
    ACTIONS(5260), 1,
      anon_sym_RBRACE,
    ACTIONS(5390), 1,
      anon_sym_LBRACK,
    STATE(2521), 1,
      sym_comment,
    STATE(3967), 1,
      sym__property_name,
    STATE(6262), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5037), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4332), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [46948] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5423), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5427), 1,
      anon_sym_GT_GT,
    ACTIONS(5431), 1,
      anon_sym_AMP,
    ACTIONS(5433), 1,
      anon_sym_CARET,
    ACTIONS(5435), 1,
      anon_sym_PIPE,
    ACTIONS(5439), 1,
      anon_sym_PERCENT,
    ACTIONS(5441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5443), 1,
      anon_sym_LT,
    ACTIONS(5451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5453), 1,
      sym__ternary_qmark,
    STATE(2522), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5236), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [47064] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5417), 1,
      anon_sym_LT,
    ACTIONS(5455), 1,
      anon_sym_DOT,
    STATE(2523), 1,
      sym_comment,
    STATE(2803), 1,
      sym_type_arguments,
    STATE(2804), 1,
      sym_arguments,
    ACTIONS(4789), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4791), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [47132] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5417), 1,
      anon_sym_LT,
    ACTIONS(5457), 1,
      anon_sym_DOT,
    STATE(2524), 1,
      sym_comment,
    STATE(2798), 1,
      sym_type_arguments,
    STATE(2800), 1,
      sym_arguments,
    ACTIONS(4753), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4755), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [47200] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2525), 1,
      sym_comment,
    ACTIONS(5459), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5461), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [47258] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5423), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5427), 1,
      anon_sym_GT_GT,
    ACTIONS(5431), 1,
      anon_sym_AMP,
    ACTIONS(5433), 1,
      anon_sym_CARET,
    ACTIONS(5435), 1,
      anon_sym_PIPE,
    ACTIONS(5439), 1,
      anon_sym_PERCENT,
    ACTIONS(5441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5443), 1,
      anon_sym_LT,
    ACTIONS(5451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5453), 1,
      sym__ternary_qmark,
    STATE(2526), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5156), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [47374] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2527), 1,
      sym_comment,
    ACTIONS(2101), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [47432] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5423), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5427), 1,
      anon_sym_GT_GT,
    ACTIONS(5431), 1,
      anon_sym_AMP,
    ACTIONS(5433), 1,
      anon_sym_CARET,
    ACTIONS(5435), 1,
      anon_sym_PIPE,
    ACTIONS(5439), 1,
      anon_sym_PERCENT,
    ACTIONS(5441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5443), 1,
      anon_sym_LT,
    ACTIONS(5451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5453), 1,
      sym__ternary_qmark,
    STATE(2528), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5146), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [47548] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5463), 1,
      sym__automatic_semicolon,
    STATE(2529), 1,
      sym_comment,
    ACTIONS(2065), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2125), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [47608] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5423), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5427), 1,
      anon_sym_GT_GT,
    ACTIONS(5431), 1,
      anon_sym_AMP,
    ACTIONS(5433), 1,
      anon_sym_CARET,
    ACTIONS(5435), 1,
      anon_sym_PIPE,
    ACTIONS(5439), 1,
      anon_sym_PERCENT,
    ACTIONS(5441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5443), 1,
      anon_sym_LT,
    ACTIONS(5451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5453), 1,
      sym__ternary_qmark,
    STATE(2530), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5234), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [47724] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2531), 1,
      sym_comment,
    ACTIONS(5465), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5467), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [47782] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5172), 1,
      anon_sym_EQ,
    STATE(2532), 1,
      sym_comment,
    ACTIONS(5170), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5174), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [47842] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5372), 1,
      sym__ternary_qmark,
    ACTIONS(5469), 1,
      anon_sym_COMMA,
    STATE(2533), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(5599), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5471), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [47962] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2534), 1,
      sym_comment,
    ACTIONS(5473), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5308), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48020] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2535), 1,
      sym_comment,
    ACTIONS(5475), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5477), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48078] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2536), 1,
      sym_comment,
    ACTIONS(4944), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4946), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48136] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2537), 1,
      sym_comment,
    ACTIONS(2165), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2167), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48194] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5423), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5427), 1,
      anon_sym_GT_GT,
    ACTIONS(5431), 1,
      anon_sym_AMP,
    ACTIONS(5433), 1,
      anon_sym_CARET,
    ACTIONS(5435), 1,
      anon_sym_PIPE,
    ACTIONS(5439), 1,
      anon_sym_PERCENT,
    ACTIONS(5441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5443), 1,
      anon_sym_LT,
    ACTIONS(5451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5453), 1,
      sym__ternary_qmark,
    STATE(2538), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5228), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [48310] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5372), 1,
      sym__ternary_qmark,
    ACTIONS(5469), 1,
      anon_sym_COMMA,
    STATE(2539), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(5599), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5479), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [48430] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5423), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5427), 1,
      anon_sym_GT_GT,
    ACTIONS(5431), 1,
      anon_sym_AMP,
    ACTIONS(5433), 1,
      anon_sym_CARET,
    ACTIONS(5435), 1,
      anon_sym_PIPE,
    ACTIONS(5439), 1,
      anon_sym_PERCENT,
    ACTIONS(5441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5443), 1,
      anon_sym_LT,
    ACTIONS(5451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5453), 1,
      sym__ternary_qmark,
    STATE(2540), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5224), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [48546] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2541), 1,
      sym_comment,
    ACTIONS(5481), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5483), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48604] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2542), 1,
      sym_comment,
    ACTIONS(5485), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5487), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48662] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5021), 1,
      anon_sym_STAR,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5025), 1,
      anon_sym_COMMA,
    ACTIONS(5260), 1,
      anon_sym_RBRACE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(2543), 1,
      sym_comment,
    STATE(4746), 1,
      sym__property_name,
    STATE(6262), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5394), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [48748] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2544), 1,
      sym_comment,
    ACTIONS(5489), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5491), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48806] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2545), 1,
      sym_comment,
    ACTIONS(5493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5495), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48864] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2546), 1,
      sym_comment,
    ACTIONS(5497), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5499), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48922] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2547), 1,
      sym_comment,
    ACTIONS(5501), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5503), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48980] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2548), 1,
      sym_comment,
    ACTIONS(2093), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2095), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [49038] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2549), 1,
      sym_comment,
    ACTIONS(2261), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2265), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [49096] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5423), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5427), 1,
      anon_sym_GT_GT,
    ACTIONS(5431), 1,
      anon_sym_AMP,
    ACTIONS(5433), 1,
      anon_sym_CARET,
    ACTIONS(5435), 1,
      anon_sym_PIPE,
    ACTIONS(5439), 1,
      anon_sym_PERCENT,
    ACTIONS(5441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5443), 1,
      anon_sym_LT,
    ACTIONS(5451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5453), 1,
      sym__ternary_qmark,
    STATE(2550), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5230), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [49212] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2551), 1,
      sym_comment,
    ACTIONS(2251), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [49270] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2552), 1,
      sym_comment,
    ACTIONS(5505), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5507), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [49328] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2553), 1,
      sym_comment,
    ACTIONS(5172), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5509), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(5170), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5174), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [49390] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2554), 1,
      sym_comment,
    ACTIONS(2187), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2191), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [49448] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4799), 1,
      anon_sym_extends,
    STATE(2555), 1,
      sym_comment,
    ACTIONS(5512), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5515), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4081), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [49512] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2556), 1,
      sym_comment,
    ACTIONS(2127), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2129), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [49570] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2557), 1,
      sym_comment,
    ACTIONS(2179), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [49628] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5290), 1,
      anon_sym_extends,
    STATE(2558), 1,
      sym_comment,
    ACTIONS(5518), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5521), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4081), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [49692] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2559), 1,
      sym_comment,
    ACTIONS(2171), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2175), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [49750] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2560), 1,
      sym_comment,
    ACTIONS(2157), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2161), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [49808] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5423), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5427), 1,
      anon_sym_GT_GT,
    ACTIONS(5431), 1,
      anon_sym_AMP,
    ACTIONS(5433), 1,
      anon_sym_CARET,
    ACTIONS(5435), 1,
      anon_sym_PIPE,
    ACTIONS(5439), 1,
      anon_sym_PERCENT,
    ACTIONS(5441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5443), 1,
      anon_sym_LT,
    ACTIONS(5451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5453), 1,
      sym__ternary_qmark,
    STATE(2561), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5244), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [49924] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5423), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5427), 1,
      anon_sym_GT_GT,
    ACTIONS(5431), 1,
      anon_sym_AMP,
    ACTIONS(5433), 1,
      anon_sym_CARET,
    ACTIONS(5435), 1,
      anon_sym_PIPE,
    ACTIONS(5439), 1,
      anon_sym_PERCENT,
    ACTIONS(5441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5443), 1,
      anon_sym_LT,
    ACTIONS(5451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5453), 1,
      sym__ternary_qmark,
    STATE(2562), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5246), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [50040] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5427), 1,
      anon_sym_GT_GT,
    ACTIONS(5439), 1,
      anon_sym_PERCENT,
    ACTIONS(5441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5443), 1,
      anon_sym_LT,
    STATE(2563), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [50130] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5524), 1,
      anon_sym_LT,
    STATE(2564), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [50210] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5372), 1,
      sym__ternary_qmark,
    ACTIONS(5469), 1,
      anon_sym_COMMA,
    STATE(2565), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(5599), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5527), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [50330] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5250), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5427), 1,
      anon_sym_GT_GT,
    ACTIONS(5431), 1,
      anon_sym_AMP,
    ACTIONS(5433), 1,
      anon_sym_CARET,
    ACTIONS(5435), 1,
      anon_sym_PIPE,
    ACTIONS(5439), 1,
      anon_sym_PERCENT,
    ACTIONS(5441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5443), 1,
      anon_sym_LT,
    STATE(2566), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [50434] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5372), 1,
      sym__ternary_qmark,
    ACTIONS(5529), 1,
      anon_sym_COMMA,
    ACTIONS(5532), 1,
      anon_sym_RBRACE,
    STATE(2567), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5244), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [50554] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5250), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5423), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5427), 1,
      anon_sym_GT_GT,
    ACTIONS(5431), 1,
      anon_sym_AMP,
    ACTIONS(5433), 1,
      anon_sym_CARET,
    ACTIONS(5435), 1,
      anon_sym_PIPE,
    ACTIONS(5439), 1,
      anon_sym_PERCENT,
    ACTIONS(5441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5443), 1,
      anon_sym_LT,
    STATE(2568), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [50660] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5439), 1,
      anon_sym_PERCENT,
    ACTIONS(5441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5524), 1,
      anon_sym_LT,
    STATE(2569), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [50746] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5417), 1,
      anon_sym_LT,
    ACTIONS(5534), 1,
      anon_sym_QMARK_DOT,
    STATE(2570), 1,
      sym_comment,
    STATE(2931), 1,
      sym_type_arguments,
    STATE(3273), 1,
      sym_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(4765), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4767), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [50820] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5427), 1,
      anon_sym_GT_GT,
    ACTIONS(5439), 1,
      anon_sym_PERCENT,
    ACTIONS(5441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5443), 1,
      anon_sym_LT,
    STATE(2571), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [50918] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5427), 1,
      anon_sym_GT_GT,
    ACTIONS(5431), 1,
      anon_sym_AMP,
    ACTIONS(5439), 1,
      anon_sym_PERCENT,
    ACTIONS(5441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5443), 1,
      anon_sym_LT,
    STATE(2572), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5250), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [51018] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5372), 1,
      sym__ternary_qmark,
    ACTIONS(5469), 1,
      anon_sym_COMMA,
    STATE(2573), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(5599), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5536), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [51138] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2574), 1,
      sym_comment,
    ACTIONS(2141), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2143), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [51196] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2575), 1,
      sym_comment,
    ACTIONS(5538), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5146), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [51254] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5427), 1,
      anon_sym_GT_GT,
    ACTIONS(5431), 1,
      anon_sym_AMP,
    ACTIONS(5433), 1,
      anon_sym_CARET,
    ACTIONS(5439), 1,
      anon_sym_PERCENT,
    ACTIONS(5441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5443), 1,
      anon_sym_LT,
    STATE(2576), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5250), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [51356] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5439), 1,
      anon_sym_PERCENT,
    ACTIONS(5441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5524), 1,
      anon_sym_LT,
    STATE(2577), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [51440] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2578), 1,
      sym_comment,
    ACTIONS(5540), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5542), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [51498] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2579), 1,
      sym_comment,
    ACTIONS(5403), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5544), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(5401), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [51560] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2580), 1,
      sym_comment,
    ACTIONS(5547), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5549), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [51618] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5427), 1,
      anon_sym_GT_GT,
    ACTIONS(5439), 1,
      anon_sym_PERCENT,
    ACTIONS(5441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5443), 1,
      anon_sym_LT,
    STATE(2581), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5250), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [51712] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5250), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5423), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5427), 1,
      anon_sym_GT_GT,
    ACTIONS(5431), 1,
      anon_sym_AMP,
    ACTIONS(5433), 1,
      anon_sym_CARET,
    ACTIONS(5435), 1,
      anon_sym_PIPE,
    ACTIONS(5439), 1,
      anon_sym_PERCENT,
    ACTIONS(5441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5443), 1,
      anon_sym_LT,
    STATE(2582), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [51820] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5423), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5427), 1,
      anon_sym_GT_GT,
    ACTIONS(5431), 1,
      anon_sym_AMP,
    ACTIONS(5433), 1,
      anon_sym_CARET,
    ACTIONS(5435), 1,
      anon_sym_PIPE,
    ACTIONS(5439), 1,
      anon_sym_PERCENT,
    ACTIONS(5441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5443), 1,
      anon_sym_LT,
    ACTIONS(5451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5453), 1,
      sym__ternary_qmark,
    STATE(2583), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5308), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [51936] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2584), 1,
      sym_comment,
    ACTIONS(5551), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5553), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [51994] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5372), 1,
      sym__ternary_qmark,
    STATE(2585), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5228), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [52110] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2586), 1,
      sym_comment,
    ACTIONS(5555), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5246), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [52168] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2587), 1,
      sym_comment,
    ACTIONS(5557), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5559), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [52226] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5423), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5427), 1,
      anon_sym_GT_GT,
    ACTIONS(5431), 1,
      anon_sym_AMP,
    ACTIONS(5433), 1,
      anon_sym_CARET,
    ACTIONS(5435), 1,
      anon_sym_PIPE,
    ACTIONS(5439), 1,
      anon_sym_PERCENT,
    ACTIONS(5441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5443), 1,
      anon_sym_LT,
    ACTIONS(5451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5453), 1,
      sym__ternary_qmark,
    STATE(2588), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5310), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [52342] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2589), 1,
      sym_comment,
    ACTIONS(5561), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5563), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [52400] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2590), 1,
      sym_comment,
    ACTIONS(5565), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5567), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [52458] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2591), 1,
      sym_comment,
    ACTIONS(5569), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5242), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [52516] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2592), 1,
      sym_comment,
    ACTIONS(5571), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [52574] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2593), 1,
      sym_comment,
    ACTIONS(5575), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5577), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [52632] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(5579), 1,
      anon_sym_STAR,
    ACTIONS(5581), 1,
      anon_sym_LBRACE,
    ACTIONS(5583), 1,
      anon_sym_async,
    ACTIONS(5585), 1,
      anon_sym_readonly,
    STATE(2594), 1,
      sym_comment,
    STATE(3524), 1,
      sym_statement_block,
    STATE(3630), 1,
      sym_override_modifier,
    STATE(3905), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5587), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4332), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [52720] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2595), 1,
      sym_comment,
    ACTIONS(2165), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2167), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [52778] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2596), 1,
      sym_comment,
    ACTIONS(5589), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5591), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [52836] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5593), 1,
      anon_sym_LT,
    STATE(2597), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4964), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4966), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [52914] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2598), 1,
      sym_comment,
    ACTIONS(5596), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5598), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [52972] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5372), 1,
      sym__ternary_qmark,
    STATE(2599), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5224), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [53088] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2600), 1,
      sym_comment,
    ACTIONS(5600), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5602), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [53146] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2601), 1,
      sym_comment,
    ACTIONS(5604), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5606), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [53204] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5372), 1,
      sym__ternary_qmark,
    STATE(2602), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5156), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [53320] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2603), 1,
      sym_comment,
    ACTIONS(5608), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5236), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [53378] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2604), 1,
      sym_comment,
    ACTIONS(5610), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5234), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [53436] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5421), 1,
      anon_sym_GT,
    ACTIONS(5423), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5427), 1,
      anon_sym_GT_GT,
    ACTIONS(5431), 1,
      anon_sym_AMP,
    ACTIONS(5433), 1,
      anon_sym_CARET,
    ACTIONS(5435), 1,
      anon_sym_PIPE,
    ACTIONS(5439), 1,
      anon_sym_PERCENT,
    ACTIONS(5441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5443), 1,
      anon_sym_LT,
    ACTIONS(5451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5453), 1,
      sym__ternary_qmark,
    ACTIONS(5614), 1,
      anon_sym_in,
    STATE(2605), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5612), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [53554] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2606), 1,
      sym_comment,
    ACTIONS(5617), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5619), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [53612] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5621), 1,
      anon_sym_LT,
    STATE(2607), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4833), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4835), 22,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [53688] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5423), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5427), 1,
      anon_sym_GT_GT,
    ACTIONS(5431), 1,
      anon_sym_AMP,
    ACTIONS(5433), 1,
      anon_sym_CARET,
    ACTIONS(5435), 1,
      anon_sym_PIPE,
    ACTIONS(5439), 1,
      anon_sym_PERCENT,
    ACTIONS(5441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5443), 1,
      anon_sym_LT,
    ACTIONS(5451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5453), 1,
      sym__ternary_qmark,
    STATE(2608), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4956), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [53804] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2609), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5624), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [53920] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2610), 1,
      sym_comment,
    ACTIONS(2089), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2091), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [53978] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2611), 1,
      sym_comment,
    ACTIONS(5626), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5628), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [54036] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2612), 1,
      sym_comment,
    ACTIONS(5630), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5632), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [54094] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2613), 1,
      sym_comment,
    ACTIONS(5634), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5636), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [54152] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5372), 1,
      sym__ternary_qmark,
    STATE(2614), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5230), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [54268] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5021), 1,
      anon_sym_STAR,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5025), 1,
      anon_sym_COMMA,
    ACTIONS(5028), 1,
      anon_sym_RBRACE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(2615), 1,
      sym_comment,
    STATE(4746), 1,
      sym__property_name,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5394), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [54354] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5021), 1,
      anon_sym_STAR,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5025), 1,
      anon_sym_COMMA,
    ACTIONS(5028), 1,
      anon_sym_RBRACE,
    ACTIONS(5033), 1,
      anon_sym_async,
    ACTIONS(5390), 1,
      anon_sym_LBRACK,
    STATE(2616), 1,
      sym_comment,
    STATE(3967), 1,
      sym__property_name,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5037), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4332), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [54442] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2617), 1,
      sym_comment,
    ACTIONS(5638), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5640), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [54500] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5372), 1,
      sym__ternary_qmark,
    STATE(2618), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4956), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [54616] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2619), 1,
      sym_comment,
    ACTIONS(2069), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5642), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(2067), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2073), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [54678] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5322), 1,
      anon_sym_RBRACE,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5372), 1,
      sym__ternary_qmark,
    ACTIONS(5645), 1,
      anon_sym_COMMA,
    STATE(2620), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5244), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54798] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5423), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5427), 1,
      anon_sym_GT_GT,
    ACTIONS(5431), 1,
      anon_sym_AMP,
    ACTIONS(5433), 1,
      anon_sym_CARET,
    ACTIONS(5435), 1,
      anon_sym_PIPE,
    ACTIONS(5439), 1,
      anon_sym_PERCENT,
    ACTIONS(5441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5443), 1,
      anon_sym_LT,
    ACTIONS(5451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5453), 1,
      sym__ternary_qmark,
    STATE(2621), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5429), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5437), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5108), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [54914] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5372), 1,
      sym__ternary_qmark,
    ACTIONS(5469), 1,
      anon_sym_COMMA,
    STATE(2622), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(5599), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5648), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55034] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5372), 1,
      sym__ternary_qmark,
    ACTIONS(5469), 1,
      anon_sym_COMMA,
    STATE(2623), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(5599), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5650), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55154] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5372), 1,
      sym__ternary_qmark,
    ACTIONS(5469), 1,
      anon_sym_COMMA,
    STATE(2624), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(5599), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5652), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55274] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5654), 1,
      anon_sym_LT,
    STATE(2625), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5053), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5055), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [55358] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5372), 1,
      sym__ternary_qmark,
    ACTIONS(5469), 1,
      anon_sym_COMMA,
    STATE(2626), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(5599), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5657), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55478] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2627), 1,
      sym_comment,
    ACTIONS(5659), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5661), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [55536] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5663), 1,
      anon_sym_LT,
    STATE(2628), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4964), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4966), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [55614] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5372), 1,
      sym__ternary_qmark,
    ACTIONS(5469), 1,
      anon_sym_COMMA,
    STATE(2629), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(5599), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5666), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55734] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5319), 1,
      anon_sym_COMMA,
    ACTIONS(5322), 1,
      anon_sym_RBRACE,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5372), 1,
      sym__ternary_qmark,
    STATE(2630), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5156), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55854] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2631), 1,
      sym_comment,
    ACTIONS(5668), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5670), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [55912] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2632), 1,
      sym_comment,
    ACTIONS(5672), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5674), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [55970] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5150), 1,
      anon_sym_extends,
    STATE(2633), 1,
      sym_comment,
    ACTIONS(5676), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5679), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5481), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5483), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56034] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5417), 1,
      anon_sym_LT,
    ACTIONS(5682), 1,
      anon_sym_DOT,
    ACTIONS(5684), 1,
      anon_sym_is,
    STATE(2634), 1,
      sym_comment,
    STATE(2983), 1,
      sym_type_arguments,
    ACTIONS(4759), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4163), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [56100] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5441), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5524), 1,
      anon_sym_LT,
    STATE(2635), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [56186] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2636), 1,
      sym_comment,
    ACTIONS(2109), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2111), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56244] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5372), 1,
      sym__ternary_qmark,
    ACTIONS(5469), 1,
      anon_sym_COMMA,
    STATE(2637), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(5599), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5686), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56364] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5372), 1,
      sym__ternary_qmark,
    ACTIONS(5469), 1,
      anon_sym_COMMA,
    STATE(2638), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(5599), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5688), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56484] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2639), 1,
      sym_comment,
    ACTIONS(5690), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5692), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56542] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5372), 1,
      sym__ternary_qmark,
    ACTIONS(5469), 1,
      anon_sym_COMMA,
    STATE(2640), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(5599), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5694), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56662] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2641), 1,
      sym_comment,
    ACTIONS(2089), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2091), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56720] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5372), 1,
      sym__ternary_qmark,
    ACTIONS(5469), 1,
      anon_sym_COMMA,
    STATE(2642), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(5599), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5696), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56840] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5021), 1,
      anon_sym_STAR,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5025), 1,
      anon_sym_COMMA,
    ACTIONS(5033), 1,
      anon_sym_async,
    ACTIONS(5194), 1,
      anon_sym_RBRACE,
    ACTIONS(5390), 1,
      anon_sym_LBRACK,
    STATE(2643), 1,
      sym_comment,
    STATE(3967), 1,
      sym__property_name,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5037), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4332), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [56928] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5372), 1,
      sym__ternary_qmark,
    STATE(2644), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5146), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [57044] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5372), 1,
      sym__ternary_qmark,
    ACTIONS(5469), 1,
      anon_sym_COMMA,
    STATE(2645), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(5599), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5698), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57164] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5372), 1,
      sym__ternary_qmark,
    STATE(2646), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5322), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5700), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57282] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2647), 1,
      sym_comment,
    ACTIONS(4081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [57340] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5021), 1,
      anon_sym_STAR,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5025), 1,
      anon_sym_COMMA,
    ACTIONS(5194), 1,
      anon_sym_RBRACE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(2648), 1,
      sym_comment,
    STATE(4746), 1,
      sym__property_name,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5394), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [57426] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5702), 1,
      anon_sym_LT,
    STATE(2649), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5053), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5055), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [57510] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2650), 1,
      sym_comment,
    ACTIONS(5705), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5707), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [57568] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5372), 1,
      sym__ternary_qmark,
    STATE(2651), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5244), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [57684] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2652), 1,
      sym_comment,
    ACTIONS(5709), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5711), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [57742] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5372), 1,
      sym__ternary_qmark,
    STATE(2653), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5108), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [57858] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2654), 1,
      sym_comment,
    ACTIONS(2195), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [57916] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5372), 1,
      sym__ternary_qmark,
    STATE(2655), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5246), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [58032] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    STATE(2656), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [58122] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2657), 1,
      sym_comment,
    ACTIONS(5713), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5715), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [58180] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2658), 1,
      sym_comment,
    ACTIONS(2079), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2083), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [58238] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2659), 1,
      sym_comment,
    ACTIONS(2207), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2211), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [58296] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2660), 1,
      sym_comment,
    ACTIONS(2215), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [58354] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5372), 1,
      sym__ternary_qmark,
    STATE(2661), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5310), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [58470] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2662), 1,
      sym_comment,
    ACTIONS(5717), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5719), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [58528] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5372), 1,
      sym__ternary_qmark,
    STATE(2663), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5308), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [58644] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2664), 1,
      sym_comment,
    ACTIONS(2225), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2229), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [58702] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2665), 1,
      sym_comment,
    ACTIONS(5721), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5723), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [58760] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2666), 1,
      sym_comment,
    ACTIONS(2131), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2133), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [58818] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5725), 1,
      anon_sym_LT,
    STATE(2667), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [58898] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2668), 1,
      sym_comment,
    ACTIONS(2119), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2121), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [58956] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2669), 1,
      sym_comment,
    ACTIONS(5717), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5719), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [59014] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5372), 1,
      sym__ternary_qmark,
    ACTIONS(5469), 1,
      anon_sym_COMMA,
    STATE(2670), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(5599), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5728), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59134] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5372), 1,
      sym__ternary_qmark,
    ACTIONS(5469), 1,
      anon_sym_COMMA,
    STATE(2671), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(5599), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5730), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59254] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5250), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    STATE(2672), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [59358] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5250), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    STATE(2673), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [59464] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5725), 1,
      anon_sym_LT,
    STATE(2674), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [59550] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    STATE(2675), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [59648] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    STATE(2676), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5250), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [59748] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    STATE(2677), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5250), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [59850] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5725), 1,
      anon_sym_LT,
    STATE(2678), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [59934] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5725), 1,
      anon_sym_LT,
    STATE(2679), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [60020] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2680), 1,
      sym_comment,
    ACTIONS(5732), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5734), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [60078] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5021), 1,
      anon_sym_STAR,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5025), 1,
      anon_sym_COMMA,
    ACTIONS(5211), 1,
      anon_sym_RBRACE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(2681), 1,
      sym_comment,
    STATE(4746), 1,
      sym__property_name,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5394), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [60164] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2682), 1,
      sym_comment,
    ACTIONS(5736), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5738), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [60222] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2683), 1,
      sym_comment,
    ACTIONS(5717), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5719), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [60280] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5021), 1,
      anon_sym_STAR,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5025), 1,
      anon_sym_COMMA,
    ACTIONS(5033), 1,
      anon_sym_async,
    ACTIONS(5211), 1,
      anon_sym_RBRACE,
    ACTIONS(5390), 1,
      anon_sym_LBRACK,
    STATE(2684), 1,
      sym_comment,
    STATE(3967), 1,
      sym__property_name,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5037), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4332), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [60368] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    STATE(2685), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5250), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [60462] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5250), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    STATE(2686), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [60570] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5740), 1,
      anon_sym_is,
    STATE(2687), 1,
      sym_comment,
    ACTIONS(4801), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4803), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [60629] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(5742), 1,
      anon_sym_static,
    ACTIONS(5744), 1,
      anon_sym_readonly,
    ACTIONS(5746), 1,
      anon_sym_abstract,
    STATE(2688), 1,
      sym_comment,
    STATE(3591), 1,
      sym_accessibility_modifier,
    STATE(3688), 1,
      sym_override_modifier,
    STATE(4343), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4508), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4332), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [60714] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5372), 1,
      sym__ternary_qmark,
    STATE(2689), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5612), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [60829] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4854), 1,
      anon_sym_COMMA,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    ACTIONS(5748), 1,
      anon_sym_RBRACK,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2690), 1,
      sym_comment,
    STATE(4909), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60948] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4854), 1,
      anon_sym_COMMA,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    ACTIONS(5750), 1,
      anon_sym_RBRACE,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2691), 1,
      sym_comment,
    STATE(4909), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61067] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5372), 1,
      sym__ternary_qmark,
    STATE(2692), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5270), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61182] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2693), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5752), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [61297] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5025), 1,
      anon_sym_COMMA,
    ACTIONS(5211), 1,
      anon_sym_RBRACE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(2694), 1,
      sym_comment,
    STATE(4746), 1,
      sym__property_name,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [61378] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5758), 1,
      anon_sym_GT_GT,
    ACTIONS(5762), 1,
      anon_sym_AMP,
    ACTIONS(5766), 1,
      anon_sym_PERCENT,
    ACTIONS(5768), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5770), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2695), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5250), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5754), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5756), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5760), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5764), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5774), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5776), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5772), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [61477] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2696), 1,
      sym_comment,
    ACTIONS(4308), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4827), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [61534] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5250), 1,
      anon_sym_BANG,
    ACTIONS(5758), 1,
      anon_sym_GT_GT,
    ACTIONS(5762), 1,
      anon_sym_AMP,
    ACTIONS(5766), 1,
      anon_sym_PERCENT,
    ACTIONS(5768), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5770), 1,
      anon_sym_LT,
    ACTIONS(5778), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5780), 1,
      anon_sym_CARET,
    ACTIONS(5782), 1,
      anon_sym_PIPE,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2697), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5754), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5756), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5760), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5764), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5774), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5776), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5772), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [61639] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    ACTIONS(5784), 1,
      anon_sym_COMMA,
    ACTIONS(5786), 1,
      anon_sym_RPAREN,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2698), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    STATE(6344), 1,
      aux_sym_array_repeat1,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61758] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5250), 1,
      anon_sym_BANG,
    ACTIONS(5758), 1,
      anon_sym_GT_GT,
    ACTIONS(5762), 1,
      anon_sym_AMP,
    ACTIONS(5766), 1,
      anon_sym_PERCENT,
    ACTIONS(5768), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5770), 1,
      anon_sym_LT,
    ACTIONS(5780), 1,
      anon_sym_CARET,
    ACTIONS(5782), 1,
      anon_sym_PIPE,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2699), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5754), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5756), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5760), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5764), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5774), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5776), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5772), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [61861] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5156), 1,
      anon_sym_COMMA,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5372), 1,
      sym__ternary_qmark,
    STATE(2700), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5788), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61978] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    ACTIONS(5784), 1,
      anon_sym_COMMA,
    ACTIONS(5790), 1,
      anon_sym_RPAREN,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2701), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    STATE(6362), 1,
      aux_sym_array_repeat1,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62097] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2702), 1,
      sym_comment,
    ACTIONS(4306), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4813), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [62154] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5768), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5792), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2703), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [62233] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5684), 1,
      anon_sym_is,
    STATE(2704), 1,
      sym_comment,
    ACTIONS(4829), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4831), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [62292] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5758), 1,
      anon_sym_GT_GT,
    ACTIONS(5766), 1,
      anon_sym_PERCENT,
    ACTIONS(5768), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5770), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2705), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5754), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5760), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5764), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [62381] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5758), 1,
      anon_sym_GT_GT,
    ACTIONS(5762), 1,
      anon_sym_AMP,
    ACTIONS(5766), 1,
      anon_sym_PERCENT,
    ACTIONS(5768), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5770), 1,
      anon_sym_LT,
    ACTIONS(5780), 1,
      anon_sym_CARET,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2706), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5250), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5754), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5756), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5760), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5764), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5774), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5776), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5772), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [62482] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5172), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    STATE(2707), 1,
      sym_comment,
    ACTIONS(5179), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5795), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(5019), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5170), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5174), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [62549] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2069), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5197), 1,
      anon_sym_LBRACK,
    STATE(2708), 1,
      sym_comment,
    ACTIONS(5200), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5799), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3388), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2067), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2073), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [62616] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4854), 1,
      anon_sym_COMMA,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    ACTIONS(5803), 1,
      anon_sym_RPAREN,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2709), 1,
      sym_comment,
    STATE(4909), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62735] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5766), 1,
      anon_sym_PERCENT,
    ACTIONS(5768), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5792), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2710), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5754), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [62818] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5768), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5792), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2711), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 16,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [62903] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4165), 1,
      anon_sym_EQ,
    ACTIONS(4194), 1,
      anon_sym_QMARK,
    STATE(2712), 1,
      sym_comment,
    ACTIONS(4191), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [62966] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5758), 1,
      anon_sym_GT_GT,
    ACTIONS(5766), 1,
      anon_sym_PERCENT,
    ACTIONS(5768), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5770), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2713), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5754), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5756), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5760), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5764), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5772), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5250), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [63059] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5250), 1,
      anon_sym_BANG,
    ACTIONS(5758), 1,
      anon_sym_GT_GT,
    ACTIONS(5762), 1,
      anon_sym_AMP,
    ACTIONS(5766), 1,
      anon_sym_PERCENT,
    ACTIONS(5768), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5770), 1,
      anon_sym_LT,
    ACTIONS(5778), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5780), 1,
      anon_sym_CARET,
    ACTIONS(5782), 1,
      anon_sym_PIPE,
    ACTIONS(5805), 1,
      anon_sym_PIPE_PIPE,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2714), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5754), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5756), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5760), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5764), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5774), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5776), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5772), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [63166] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    ACTIONS(5784), 1,
      anon_sym_COMMA,
    ACTIONS(5807), 1,
      anon_sym_RBRACK,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2715), 1,
      sym_comment,
    STATE(5827), 1,
      aux_sym_array_repeat1,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63285] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4854), 1,
      anon_sym_COMMA,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    ACTIONS(5809), 1,
      anon_sym_RBRACE,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2716), 1,
      sym_comment,
    STATE(4909), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63404] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4165), 1,
      anon_sym_EQ,
    ACTIONS(5518), 1,
      anon_sym_LBRACK,
    STATE(2717), 1,
      sym_comment,
    ACTIONS(5521), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5290), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4081), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [63469] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5758), 1,
      anon_sym_GT_GT,
    ACTIONS(5762), 1,
      anon_sym_AMP,
    ACTIONS(5766), 1,
      anon_sym_PERCENT,
    ACTIONS(5768), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5770), 1,
      anon_sym_LT,
    ACTIONS(5778), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5780), 1,
      anon_sym_CARET,
    ACTIONS(5782), 1,
      anon_sym_PIPE,
    ACTIONS(5805), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5811), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5813), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2718), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5754), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5756), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5760), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5764), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5774), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5776), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5246), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5772), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63584] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5758), 1,
      anon_sym_GT_GT,
    ACTIONS(5762), 1,
      anon_sym_AMP,
    ACTIONS(5766), 1,
      anon_sym_PERCENT,
    ACTIONS(5768), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5770), 1,
      anon_sym_LT,
    ACTIONS(5778), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5780), 1,
      anon_sym_CARET,
    ACTIONS(5782), 1,
      anon_sym_PIPE,
    ACTIONS(5805), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5811), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5813), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2719), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5754), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5756), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5760), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5764), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5774), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5776), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5234), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5772), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63699] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5758), 1,
      anon_sym_GT_GT,
    ACTIONS(5762), 1,
      anon_sym_AMP,
    ACTIONS(5766), 1,
      anon_sym_PERCENT,
    ACTIONS(5768), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5770), 1,
      anon_sym_LT,
    ACTIONS(5778), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5780), 1,
      anon_sym_CARET,
    ACTIONS(5782), 1,
      anon_sym_PIPE,
    ACTIONS(5805), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5811), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5813), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2720), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5754), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5756), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5760), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5764), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5774), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5776), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5244), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5772), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63814] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4854), 1,
      anon_sym_COMMA,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    ACTIONS(5815), 1,
      anon_sym_RPAREN,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2721), 1,
      sym_comment,
    STATE(4909), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63933] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5758), 1,
      anon_sym_GT_GT,
    ACTIONS(5762), 1,
      anon_sym_AMP,
    ACTIONS(5766), 1,
      anon_sym_PERCENT,
    ACTIONS(5768), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5770), 1,
      anon_sym_LT,
    ACTIONS(5778), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5780), 1,
      anon_sym_CARET,
    ACTIONS(5782), 1,
      anon_sym_PIPE,
    ACTIONS(5805), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5811), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5813), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2722), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5754), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5756), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5760), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5764), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5774), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5776), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5308), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5772), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64048] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5758), 1,
      anon_sym_GT_GT,
    ACTIONS(5762), 1,
      anon_sym_AMP,
    ACTIONS(5766), 1,
      anon_sym_PERCENT,
    ACTIONS(5768), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5770), 1,
      anon_sym_LT,
    ACTIONS(5778), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5780), 1,
      anon_sym_CARET,
    ACTIONS(5782), 1,
      anon_sym_PIPE,
    ACTIONS(5805), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5811), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5813), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2723), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5754), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5756), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5760), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5764), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5774), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5776), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5310), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5772), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64163] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4854), 1,
      anon_sym_COMMA,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    ACTIONS(5817), 1,
      anon_sym_RPAREN,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2724), 1,
      sym_comment,
    STATE(4909), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64282] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5025), 1,
      anon_sym_COMMA,
    ACTIONS(5194), 1,
      anon_sym_RBRACE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(2725), 1,
      sym_comment,
    STATE(4746), 1,
      sym__property_name,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [64363] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5021), 1,
      anon_sym_STAR,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(5033), 1,
      anon_sym_async,
    ACTIONS(5035), 1,
      anon_sym_readonly,
    STATE(2726), 1,
      sym_comment,
    STATE(3619), 1,
      sym_override_modifier,
    STATE(3967), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5037), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5819), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4332), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [64450] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    ACTIONS(5784), 1,
      anon_sym_COMMA,
    ACTIONS(5823), 1,
      anon_sym_RPAREN,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2727), 1,
      sym_comment,
    STATE(6103), 1,
      aux_sym_array_repeat1,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64569] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    ACTIONS(5784), 1,
      anon_sym_COMMA,
    ACTIONS(5825), 1,
      anon_sym_RPAREN,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2728), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    STATE(6304), 1,
      aux_sym_array_repeat1,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64688] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5156), 1,
      anon_sym_COMMA,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5372), 1,
      sym__ternary_qmark,
    STATE(2729), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5827), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64805] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2730), 1,
      sym_comment,
    ACTIONS(1974), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2030), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_is,
  [64862] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5684), 1,
      anon_sym_is,
    STATE(2731), 1,
      sym_comment,
    ACTIONS(4797), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4799), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [64921] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5758), 1,
      anon_sym_GT_GT,
    ACTIONS(5762), 1,
      anon_sym_AMP,
    ACTIONS(5766), 1,
      anon_sym_PERCENT,
    ACTIONS(5768), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5770), 1,
      anon_sym_LT,
    ACTIONS(5778), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5780), 1,
      anon_sym_CARET,
    ACTIONS(5782), 1,
      anon_sym_PIPE,
    ACTIONS(5805), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5811), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5813), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2732), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5754), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5756), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5760), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5764), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5774), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5776), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5230), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5772), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65036] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5417), 1,
      anon_sym_LT,
    ACTIONS(5682), 1,
      anon_sym_DOT,
    STATE(2733), 1,
      sym_comment,
    STATE(2983), 1,
      sym_type_arguments,
    ACTIONS(4759), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4163), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [65099] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    ACTIONS(5784), 1,
      anon_sym_COMMA,
    ACTIONS(5829), 1,
      anon_sym_RBRACK,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2734), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    STATE(6186), 1,
      aux_sym_array_repeat1,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65218] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    ACTIONS(5784), 1,
      anon_sym_COMMA,
    ACTIONS(5831), 1,
      anon_sym_RPAREN,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2735), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    STATE(6339), 1,
      aux_sym_array_repeat1,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65337] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5025), 1,
      anon_sym_COMMA,
    ACTIONS(5028), 1,
      anon_sym_RBRACE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(2736), 1,
      sym_comment,
    STATE(4746), 1,
      sym__property_name,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [65418] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5417), 1,
      anon_sym_LT,
    STATE(2737), 1,
      sym_comment,
    STATE(2941), 1,
      sym_type_arguments,
    ACTIONS(4801), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4803), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [65479] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4854), 1,
      anon_sym_COMMA,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    ACTIONS(5833), 1,
      anon_sym_RPAREN,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2738), 1,
      sym_comment,
    STATE(4909), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65598] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5766), 1,
      anon_sym_PERCENT,
    ACTIONS(5768), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5792), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2739), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5754), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5764), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [65683] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5758), 1,
      anon_sym_GT_GT,
    ACTIONS(5766), 1,
      anon_sym_PERCENT,
    ACTIONS(5768), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5770), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2740), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5754), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5756), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5760), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5764), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5774), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5776), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5772), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [65780] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2741), 1,
      sym_comment,
    ACTIONS(4944), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4946), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [65837] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    ACTIONS(5784), 1,
      anon_sym_COMMA,
    ACTIONS(5835), 1,
      anon_sym_RPAREN,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2742), 1,
      sym_comment,
    STATE(5819), 1,
      aux_sym_array_repeat1,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65956] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4854), 1,
      anon_sym_COMMA,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    ACTIONS(5837), 1,
      anon_sym_RPAREN,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2743), 1,
      sym_comment,
    STATE(4909), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66075] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    ACTIONS(5784), 1,
      anon_sym_COMMA,
    ACTIONS(5839), 1,
      anon_sym_RBRACK,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2744), 1,
      sym_comment,
    STATE(5827), 1,
      aux_sym_array_repeat1,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66194] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4854), 1,
      anon_sym_COMMA,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    ACTIONS(5841), 1,
      anon_sym_COLON,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2745), 1,
      sym_comment,
    STATE(4909), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66313] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4854), 1,
      anon_sym_COMMA,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    ACTIONS(5843), 1,
      anon_sym_RPAREN,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2746), 1,
      sym_comment,
    STATE(4909), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66432] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4185), 1,
      anon_sym_EQ,
    ACTIONS(4231), 1,
      anon_sym_QMARK,
    STATE(2747), 1,
      sym_comment,
    ACTIONS(4229), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66495] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5156), 1,
      anon_sym_COMMA,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5372), 1,
      sym__ternary_qmark,
    STATE(2748), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5845), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66612] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5156), 1,
      anon_sym_COMMA,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5372), 1,
      sym__ternary_qmark,
    STATE(2749), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5847), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66729] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    ACTIONS(5784), 1,
      anon_sym_COMMA,
    ACTIONS(5849), 1,
      anon_sym_RPAREN,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2750), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    STATE(6309), 1,
      aux_sym_array_repeat1,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66848] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2751), 1,
      sym_comment,
    ACTIONS(4298), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4795), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [66905] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5156), 1,
      anon_sym_COMMA,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5340), 1,
      anon_sym_GT_GT,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_CARET,
    ACTIONS(5348), 1,
      anon_sym_PIPE,
    ACTIONS(5352), 1,
      anon_sym_PERCENT,
    ACTIONS(5354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5356), 1,
      anon_sym_LT,
    ACTIONS(5364), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5372), 1,
      sym__ternary_qmark,
    STATE(2752), 1,
      sym_comment,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5315), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5330), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5362), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5358), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67022] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4854), 1,
      anon_sym_COMMA,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    ACTIONS(5851), 1,
      anon_sym_RBRACK,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2753), 1,
      sym_comment,
    STATE(4909), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67141] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4194), 1,
      anon_sym_QMARK,
    ACTIONS(4200), 1,
      anon_sym_EQ,
    STATE(2754), 1,
      sym_comment,
    ACTIONS(4203), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67204] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5758), 1,
      anon_sym_GT_GT,
    ACTIONS(5762), 1,
      anon_sym_AMP,
    ACTIONS(5766), 1,
      anon_sym_PERCENT,
    ACTIONS(5768), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5770), 1,
      anon_sym_LT,
    ACTIONS(5778), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5780), 1,
      anon_sym_CARET,
    ACTIONS(5782), 1,
      anon_sym_PIPE,
    ACTIONS(5805), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5811), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5813), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2755), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5754), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5756), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5760), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5764), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5774), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5776), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4956), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5772), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67319] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2756), 1,
      sym_comment,
    ACTIONS(4950), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4944), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4946), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67378] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4854), 1,
      anon_sym_COMMA,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    ACTIONS(5853), 1,
      anon_sym_RPAREN,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2757), 1,
      sym_comment,
    STATE(4909), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67497] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5758), 1,
      anon_sym_GT_GT,
    ACTIONS(5762), 1,
      anon_sym_AMP,
    ACTIONS(5766), 1,
      anon_sym_PERCENT,
    ACTIONS(5768), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5770), 1,
      anon_sym_LT,
    ACTIONS(5778), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5780), 1,
      anon_sym_CARET,
    ACTIONS(5782), 1,
      anon_sym_PIPE,
    ACTIONS(5805), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5811), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5813), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2758), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5754), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5756), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5760), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5764), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5774), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5776), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5224), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5772), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67612] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2759), 1,
      sym_comment,
    ACTIONS(2069), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5855), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(2067), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2073), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67673] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4854), 1,
      anon_sym_COMMA,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    ACTIONS(5857), 1,
      anon_sym_RBRACE,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2760), 1,
      sym_comment,
    STATE(4909), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67792] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2761), 1,
      sym_comment,
    ACTIONS(5403), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5859), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(5401), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67853] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5758), 1,
      anon_sym_GT_GT,
    ACTIONS(5762), 1,
      anon_sym_AMP,
    ACTIONS(5766), 1,
      anon_sym_PERCENT,
    ACTIONS(5768), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5770), 1,
      anon_sym_LT,
    ACTIONS(5778), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5780), 1,
      anon_sym_CARET,
    ACTIONS(5782), 1,
      anon_sym_PIPE,
    ACTIONS(5805), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5811), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5813), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2762), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5754), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5756), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5760), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5764), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5774), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5776), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5228), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5772), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67968] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4854), 1,
      anon_sym_COMMA,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    ACTIONS(5861), 1,
      anon_sym_RBRACK,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2763), 1,
      sym_comment,
    STATE(4909), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68087] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2764), 1,
      sym_comment,
    ACTIONS(4815), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4817), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_is,
  [68144] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4854), 1,
      anon_sym_COMMA,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    ACTIONS(5863), 1,
      anon_sym_RBRACK,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2765), 1,
      sym_comment,
    STATE(4909), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68263] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4854), 1,
      anon_sym_COMMA,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    ACTIONS(5865), 1,
      anon_sym_RPAREN,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2766), 1,
      sym_comment,
    STATE(4909), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68382] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4097), 1,
      anon_sym_EQ,
    ACTIONS(5290), 1,
      anon_sym_extends,
    STATE(2767), 1,
      sym_comment,
    ACTIONS(5518), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5521), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4081), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68447] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    STATE(2768), 1,
      sym_comment,
    STATE(3280), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4807), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4809), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [68510] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5758), 1,
      anon_sym_GT_GT,
    ACTIONS(5762), 1,
      anon_sym_AMP,
    ACTIONS(5766), 1,
      anon_sym_PERCENT,
    ACTIONS(5768), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5770), 1,
      anon_sym_LT,
    ACTIONS(5778), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5780), 1,
      anon_sym_CARET,
    ACTIONS(5782), 1,
      anon_sym_PIPE,
    ACTIONS(5805), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5811), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5813), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2769), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5754), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5756), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5760), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5764), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5774), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5776), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5156), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5772), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68625] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5758), 1,
      anon_sym_GT_GT,
    ACTIONS(5762), 1,
      anon_sym_AMP,
    ACTIONS(5766), 1,
      anon_sym_PERCENT,
    ACTIONS(5768), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5770), 1,
      anon_sym_LT,
    ACTIONS(5778), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5780), 1,
      anon_sym_CARET,
    ACTIONS(5782), 1,
      anon_sym_PIPE,
    ACTIONS(5805), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5811), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5813), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2770), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5754), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5756), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5760), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5764), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5774), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5776), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5146), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5772), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68740] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2069), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3388), 1,
      anon_sym_extends,
    STATE(2771), 1,
      sym_comment,
    ACTIONS(5197), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5200), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2067), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2073), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68805] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5758), 1,
      anon_sym_GT_GT,
    ACTIONS(5762), 1,
      anon_sym_AMP,
    ACTIONS(5766), 1,
      anon_sym_PERCENT,
    ACTIONS(5768), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5770), 1,
      anon_sym_LT,
    ACTIONS(5778), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5780), 1,
      anon_sym_CARET,
    ACTIONS(5782), 1,
      anon_sym_PIPE,
    ACTIONS(5805), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5811), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5813), 1,
      sym__ternary_qmark,
    STATE(2772), 1,
      sym_comment,
    STATE(3065), 1,
      sym_type_arguments,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5754), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5756), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5760), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5764), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5774), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5776), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5772), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5867), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
  [68920] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2773), 1,
      sym_comment,
    ACTIONS(5172), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5869), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(5170), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5174), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68981] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5172), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    STATE(2774), 1,
      sym_comment,
    ACTIONS(5019), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5179), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5170), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5174), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [69046] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2069), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5197), 1,
      anon_sym_LBRACK,
    STATE(2775), 1,
      sym_comment,
    ACTIONS(3388), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5200), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2067), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2073), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [69111] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5871), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2776), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4964), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4966), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [69188] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5874), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2777), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5053), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5055), 17,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [69271] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5758), 1,
      anon_sym_GT_GT,
    ACTIONS(5762), 1,
      anon_sym_AMP,
    ACTIONS(5766), 1,
      anon_sym_PERCENT,
    ACTIONS(5768), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5770), 1,
      anon_sym_LT,
    ACTIONS(5778), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5780), 1,
      anon_sym_CARET,
    ACTIONS(5782), 1,
      anon_sym_PIPE,
    ACTIONS(5805), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5811), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5813), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2778), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5754), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5756), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5760), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5764), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5774), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5776), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5108), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5772), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69386] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5877), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2779), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4833), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4835), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [69461] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2780), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5880), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [69576] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(5882), 1,
      anon_sym_static,
    ACTIONS(5884), 1,
      anon_sym_readonly,
    ACTIONS(5886), 1,
      anon_sym_abstract,
    STATE(2781), 1,
      sym_comment,
    STATE(3570), 1,
      sym_accessibility_modifier,
    STATE(3695), 1,
      sym_override_modifier,
    STATE(4216), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4508), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4332), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [69661] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5025), 1,
      anon_sym_COMMA,
    ACTIONS(5260), 1,
      anon_sym_RBRACE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(2782), 1,
      sym_comment,
    STATE(4746), 1,
      sym__property_name,
    STATE(6262), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [69742] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2783), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5612), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
  [69857] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4854), 1,
      anon_sym_COMMA,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    ACTIONS(5888), 1,
      anon_sym_RPAREN,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2784), 1,
      sym_comment,
    STATE(4909), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69976] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5019), 1,
      anon_sym_extends,
    ACTIONS(5172), 1,
      anon_sym_EQ,
    STATE(2785), 1,
      sym_comment,
    ACTIONS(5176), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5179), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5170), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5174), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [70041] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4854), 1,
      anon_sym_COMMA,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    ACTIONS(5890), 1,
      anon_sym_RPAREN,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2786), 1,
      sym_comment,
    STATE(4909), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70160] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5025), 1,
      anon_sym_COMMA,
    ACTIONS(5312), 1,
      anon_sym_RBRACE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(2787), 1,
      sym_comment,
    STATE(4746), 1,
      sym__property_name,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [70241] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5758), 1,
      anon_sym_GT_GT,
    ACTIONS(5762), 1,
      anon_sym_AMP,
    ACTIONS(5766), 1,
      anon_sym_PERCENT,
    ACTIONS(5768), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5770), 1,
      anon_sym_LT,
    ACTIONS(5778), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5780), 1,
      anon_sym_CARET,
    ACTIONS(5782), 1,
      anon_sym_PIPE,
    ACTIONS(5805), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5811), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5813), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2788), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5754), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5756), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5760), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5764), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5774), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5776), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5242), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5772), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70356] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5758), 1,
      anon_sym_GT_GT,
    ACTIONS(5762), 1,
      anon_sym_AMP,
    ACTIONS(5766), 1,
      anon_sym_PERCENT,
    ACTIONS(5768), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5770), 1,
      anon_sym_LT,
    ACTIONS(5778), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5780), 1,
      anon_sym_CARET,
    ACTIONS(5782), 1,
      anon_sym_PIPE,
    ACTIONS(5805), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5811), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5813), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2789), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5754), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5756), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5760), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5764), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5774), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5776), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5236), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5772), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70471] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4854), 1,
      anon_sym_COMMA,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    ACTIONS(5892), 1,
      anon_sym_RPAREN,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2790), 1,
      sym_comment,
    STATE(4909), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70590] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4854), 1,
      anon_sym_COMMA,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    ACTIONS(5894), 1,
      anon_sym_RPAREN,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2791), 1,
      sym_comment,
    STATE(4909), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70709] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2792), 1,
      sym_comment,
    ACTIONS(5013), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5015), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [70765] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2793), 1,
      sym_comment,
    ACTIONS(4948), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4950), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [70821] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5902), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5904), 1,
      anon_sym_GT_GT,
    ACTIONS(5908), 1,
      anon_sym_AMP,
    ACTIONS(5910), 1,
      anon_sym_CARET,
    ACTIONS(5912), 1,
      anon_sym_PIPE,
    ACTIONS(5916), 1,
      anon_sym_PERCENT,
    ACTIONS(5918), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5920), 1,
      anon_sym_LT,
    ACTIONS(5928), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5930), 1,
      sym__ternary_qmark,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(2794), 1,
      sym_comment,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5700), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5896), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5898), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5906), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5914), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5924), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5926), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5922), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70935] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2795), 1,
      sym_comment,
    ACTIONS(3310), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3388), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [70991] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2796), 1,
      sym_comment,
    ACTIONS(5072), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5074), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71047] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2797), 1,
      sym_comment,
    ACTIONS(5068), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5070), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71103] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2798), 1,
      sym_comment,
    ACTIONS(5080), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5082), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71159] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5172), 1,
      anon_sym_EQ,
    STATE(2799), 1,
      sym_comment,
    ACTIONS(5170), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5174), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [71217] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2800), 1,
      sym_comment,
    ACTIONS(5084), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5086), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71273] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2801), 1,
      sym_comment,
    ACTIONS(5152), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5154), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4081), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [71333] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2802), 1,
      sym_comment,
    ACTIONS(5515), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5512), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4799), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4081), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [71395] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2803), 1,
      sym_comment,
    ACTIONS(5092), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5094), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71451] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2804), 1,
      sym_comment,
    ACTIONS(5096), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5098), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71507] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2805), 1,
      sym_comment,
    ACTIONS(5100), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5102), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71563] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2806), 1,
      sym_comment,
    ACTIONS(5001), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5003), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71619] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2807), 1,
      sym_comment,
    ACTIONS(5049), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5051), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71675] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5046), 1,
      anon_sym_DOT,
    STATE(2808), 1,
      sym_comment,
    ACTIONS(5039), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5041), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71733] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5932), 1,
      anon_sym_LT,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(2809), 1,
      sym_comment,
    STATE(6200), 1,
      sym_optional_chain,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4833), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4835), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [71807] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5902), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5904), 1,
      anon_sym_GT_GT,
    ACTIONS(5908), 1,
      anon_sym_AMP,
    ACTIONS(5910), 1,
      anon_sym_CARET,
    ACTIONS(5912), 1,
      anon_sym_PIPE,
    ACTIONS(5916), 1,
      anon_sym_PERCENT,
    ACTIONS(5918), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5920), 1,
      anon_sym_LT,
    ACTIONS(5928), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5930), 1,
      sym__ternary_qmark,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(2810), 1,
      sym_comment,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5108), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5896), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5898), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5906), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5914), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5924), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5926), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5922), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71921] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5043), 1,
      anon_sym_DOT,
    STATE(2811), 1,
      sym_comment,
    ACTIONS(5039), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5041), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71979] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5935), 1,
      anon_sym_AMP,
    ACTIONS(5937), 1,
      anon_sym_PIPE,
    ACTIONS(5939), 1,
      anon_sym_extends,
    STATE(2812), 1,
      sym_comment,
    ACTIONS(5013), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5015), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [72041] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2813), 1,
      sym_comment,
    ACTIONS(5009), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5011), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [72097] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5941), 1,
      anon_sym_LT,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(2814), 1,
      sym_comment,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5053), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5055), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [72179] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5944), 1,
      anon_sym_LT,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(2815), 1,
      sym_comment,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4964), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4966), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [72255] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5951), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5953), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5955), 1,
      anon_sym_GT_GT,
    ACTIONS(5959), 1,
      anon_sym_AMP,
    ACTIONS(5961), 1,
      anon_sym_CARET,
    ACTIONS(5963), 1,
      anon_sym_PIPE,
    ACTIONS(5967), 1,
      anon_sym_PERCENT,
    ACTIONS(5969), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5971), 1,
      anon_sym_LT,
    ACTIONS(5979), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5981), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2816), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5146), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(5947), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5949), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5957), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5965), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5975), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5977), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5973), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72369] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5951), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5953), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5955), 1,
      anon_sym_GT_GT,
    ACTIONS(5959), 1,
      anon_sym_AMP,
    ACTIONS(5961), 1,
      anon_sym_CARET,
    ACTIONS(5963), 1,
      anon_sym_PIPE,
    ACTIONS(5967), 1,
      anon_sym_PERCENT,
    ACTIONS(5969), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5971), 1,
      anon_sym_LT,
    ACTIONS(5979), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5981), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2817), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5156), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(5947), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5949), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5957), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5965), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5975), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5977), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5973), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72483] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5951), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5953), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5955), 1,
      anon_sym_GT_GT,
    ACTIONS(5959), 1,
      anon_sym_AMP,
    ACTIONS(5961), 1,
      anon_sym_CARET,
    ACTIONS(5963), 1,
      anon_sym_PIPE,
    ACTIONS(5967), 1,
      anon_sym_PERCENT,
    ACTIONS(5969), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5971), 1,
      anon_sym_LT,
    ACTIONS(5979), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5981), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2818), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5230), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(5947), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5949), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5957), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5965), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5975), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5977), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5973), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72597] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2819), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5983), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72711] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5935), 1,
      anon_sym_AMP,
    STATE(2820), 1,
      sym_comment,
    ACTIONS(5005), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5007), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [72769] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5951), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5953), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5955), 1,
      anon_sym_GT_GT,
    ACTIONS(5959), 1,
      anon_sym_AMP,
    ACTIONS(5961), 1,
      anon_sym_CARET,
    ACTIONS(5963), 1,
      anon_sym_PIPE,
    ACTIONS(5967), 1,
      anon_sym_PERCENT,
    ACTIONS(5969), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5971), 1,
      anon_sym_LT,
    ACTIONS(5979), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5981), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2821), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5244), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(5947), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5949), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5957), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5965), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5975), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5977), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5973), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72883] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5951), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5953), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5955), 1,
      anon_sym_GT_GT,
    ACTIONS(5959), 1,
      anon_sym_AMP,
    ACTIONS(5961), 1,
      anon_sym_CARET,
    ACTIONS(5963), 1,
      anon_sym_PIPE,
    ACTIONS(5967), 1,
      anon_sym_PERCENT,
    ACTIONS(5969), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5971), 1,
      anon_sym_LT,
    ACTIONS(5979), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5981), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2822), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5246), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(5947), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5949), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5957), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5965), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5975), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5977), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5973), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72997] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5955), 1,
      anon_sym_GT_GT,
    ACTIONS(5967), 1,
      anon_sym_PERCENT,
    ACTIONS(5969), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5971), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2823), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5947), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5957), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5965), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [73085] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2824), 1,
      sym_comment,
    ACTIONS(4936), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4938), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [73141] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2825), 1,
      sym_comment,
    ACTIONS(5679), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5676), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5150), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5481), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5483), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73203] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5969), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5985), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2826), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [73281] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5250), 1,
      anon_sym_BANG,
    ACTIONS(5955), 1,
      anon_sym_GT_GT,
    ACTIONS(5959), 1,
      anon_sym_AMP,
    ACTIONS(5961), 1,
      anon_sym_CARET,
    ACTIONS(5963), 1,
      anon_sym_PIPE,
    ACTIONS(5967), 1,
      anon_sym_PERCENT,
    ACTIONS(5969), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5971), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2827), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5947), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5949), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5957), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5965), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5975), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5977), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5973), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [73383] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5902), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5904), 1,
      anon_sym_GT_GT,
    ACTIONS(5908), 1,
      anon_sym_AMP,
    ACTIONS(5910), 1,
      anon_sym_CARET,
    ACTIONS(5912), 1,
      anon_sym_PIPE,
    ACTIONS(5916), 1,
      anon_sym_PERCENT,
    ACTIONS(5918), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5920), 1,
      anon_sym_LT,
    ACTIONS(5928), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5930), 1,
      sym__ternary_qmark,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(2828), 1,
      sym_comment,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5896), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5898), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5906), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5914), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5924), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5926), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5988), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5922), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73497] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5250), 1,
      anon_sym_BANG,
    ACTIONS(5951), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5955), 1,
      anon_sym_GT_GT,
    ACTIONS(5959), 1,
      anon_sym_AMP,
    ACTIONS(5961), 1,
      anon_sym_CARET,
    ACTIONS(5963), 1,
      anon_sym_PIPE,
    ACTIONS(5967), 1,
      anon_sym_PERCENT,
    ACTIONS(5969), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5971), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2829), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5947), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5949), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5957), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5965), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5975), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5977), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5973), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [73601] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5967), 1,
      anon_sym_PERCENT,
    ACTIONS(5969), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5985), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2830), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5947), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5965), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [73685] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5676), 1,
      anon_sym_LBRACK,
    STATE(2831), 1,
      sym_comment,
    ACTIONS(5150), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5679), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5481), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5483), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73747] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5955), 1,
      anon_sym_GT_GT,
    ACTIONS(5967), 1,
      anon_sym_PERCENT,
    ACTIONS(5969), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5971), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2832), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5947), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5949), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5957), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5965), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5975), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5977), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5973), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [73843] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2833), 1,
      sym_comment,
    ACTIONS(4950), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4944), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4946), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73901] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5955), 1,
      anon_sym_GT_GT,
    ACTIONS(5959), 1,
      anon_sym_AMP,
    ACTIONS(5967), 1,
      anon_sym_PERCENT,
    ACTIONS(5969), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5971), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2834), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5250), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5947), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5949), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5957), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5965), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5975), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5977), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5973), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [73999] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5955), 1,
      anon_sym_GT_GT,
    ACTIONS(5959), 1,
      anon_sym_AMP,
    ACTIONS(5961), 1,
      anon_sym_CARET,
    ACTIONS(5967), 1,
      anon_sym_PERCENT,
    ACTIONS(5969), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5971), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2835), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5250), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5947), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5949), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5957), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5965), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5975), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5977), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5973), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [74099] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5967), 1,
      anon_sym_PERCENT,
    ACTIONS(5969), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5985), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2836), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5947), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [74181] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5403), 1,
      anon_sym_EQ,
    STATE(2837), 1,
      sym_comment,
    ACTIONS(5401), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [74239] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5969), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5985), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2838), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 15,
      sym__ternary_qmark,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [74323] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4187), 1,
      anon_sym_EQ,
    ACTIONS(5290), 1,
      anon_sym_extends,
    STATE(2839), 1,
      sym_comment,
    ACTIONS(5518), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5521), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4081), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [74387] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2069), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5990), 1,
      sym__automatic_semicolon,
    STATE(2840), 1,
      sym_comment,
    ACTIONS(2125), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2067), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2073), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [74449] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5955), 1,
      anon_sym_GT_GT,
    ACTIONS(5967), 1,
      anon_sym_PERCENT,
    ACTIONS(5969), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5971), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2841), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5947), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5949), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5957), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5965), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5973), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5250), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [74541] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1055), 1,
      anon_sym_RBRACE,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(2904), 1,
      anon_sym_readonly,
    ACTIONS(2908), 1,
      anon_sym_override,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(5992), 1,
      anon_sym_STAR,
    STATE(2842), 1,
      sym_comment,
    STATE(3628), 1,
      sym_override_modifier,
    STATE(4787), 1,
      sym__property_name,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [74631] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5902), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5904), 1,
      anon_sym_GT_GT,
    ACTIONS(5908), 1,
      anon_sym_AMP,
    ACTIONS(5910), 1,
      anon_sym_CARET,
    ACTIONS(5912), 1,
      anon_sym_PIPE,
    ACTIONS(5916), 1,
      anon_sym_PERCENT,
    ACTIONS(5918), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5920), 1,
      anon_sym_LT,
    ACTIONS(5928), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5930), 1,
      sym__ternary_qmark,
    ACTIONS(5994), 1,
      anon_sym_SEMI,
    ACTIONS(5996), 1,
      sym__automatic_semicolon,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(2843), 1,
      sym_comment,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5896), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5898), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5906), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5914), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5924), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5926), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5922), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74747] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5019), 1,
      anon_sym_extends,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5795), 1,
      anon_sym_RPAREN,
    STATE(2844), 1,
      sym_comment,
    ACTIONS(5172), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5179), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5509), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(5170), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5174), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [74815] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5250), 1,
      anon_sym_BANG,
    ACTIONS(5951), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5953), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5955), 1,
      anon_sym_GT_GT,
    ACTIONS(5959), 1,
      anon_sym_AMP,
    ACTIONS(5961), 1,
      anon_sym_CARET,
    ACTIONS(5963), 1,
      anon_sym_PIPE,
    ACTIONS(5967), 1,
      anon_sym_PERCENT,
    ACTIONS(5969), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5971), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2845), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5947), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5949), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5957), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5965), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5975), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5977), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5973), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [74921] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5902), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5904), 1,
      anon_sym_GT_GT,
    ACTIONS(5908), 1,
      anon_sym_AMP,
    ACTIONS(5910), 1,
      anon_sym_CARET,
    ACTIONS(5912), 1,
      anon_sym_PIPE,
    ACTIONS(5916), 1,
      anon_sym_PERCENT,
    ACTIONS(5918), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5920), 1,
      anon_sym_LT,
    ACTIONS(5928), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5930), 1,
      sym__ternary_qmark,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(2846), 1,
      sym_comment,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5896), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5898), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5906), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5914), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5924), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5926), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5998), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5922), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [75035] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3388), 1,
      anon_sym_extends,
    ACTIONS(5197), 1,
      anon_sym_LBRACK,
    ACTIONS(5799), 1,
      anon_sym_RPAREN,
    STATE(2847), 1,
      sym_comment,
    ACTIONS(2069), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5200), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5642), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(2067), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2073), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75103] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5951), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5953), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5955), 1,
      anon_sym_GT_GT,
    ACTIONS(5959), 1,
      anon_sym_AMP,
    ACTIONS(5961), 1,
      anon_sym_CARET,
    ACTIONS(5963), 1,
      anon_sym_PIPE,
    ACTIONS(5967), 1,
      anon_sym_PERCENT,
    ACTIONS(5969), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5971), 1,
      anon_sym_LT,
    ACTIONS(5979), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5981), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2848), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5308), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(5947), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5949), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5957), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5965), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5975), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5977), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5973), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [75217] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2849), 1,
      sym_comment,
    ACTIONS(5521), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5518), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5290), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4081), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75279] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2850), 1,
      sym_comment,
    ACTIONS(5252), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5254), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [75335] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5951), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5953), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5955), 1,
      anon_sym_GT_GT,
    ACTIONS(5959), 1,
      anon_sym_AMP,
    ACTIONS(5961), 1,
      anon_sym_CARET,
    ACTIONS(5963), 1,
      anon_sym_PIPE,
    ACTIONS(5967), 1,
      anon_sym_PERCENT,
    ACTIONS(5969), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5971), 1,
      anon_sym_LT,
    ACTIONS(5979), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5981), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2851), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5310), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(5947), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5949), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5957), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5965), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5975), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5977), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5973), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [75449] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5951), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5953), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5955), 1,
      anon_sym_GT_GT,
    ACTIONS(5959), 1,
      anon_sym_AMP,
    ACTIONS(5961), 1,
      anon_sym_CARET,
    ACTIONS(5963), 1,
      anon_sym_PIPE,
    ACTIONS(5967), 1,
      anon_sym_PERCENT,
    ACTIONS(5969), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5971), 1,
      anon_sym_LT,
    ACTIONS(5979), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5981), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2852), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5242), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(5947), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5949), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5957), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5965), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5975), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5977), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5973), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [75563] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5951), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5953), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5955), 1,
      anon_sym_GT_GT,
    ACTIONS(5959), 1,
      anon_sym_AMP,
    ACTIONS(5961), 1,
      anon_sym_CARET,
    ACTIONS(5963), 1,
      anon_sym_PIPE,
    ACTIONS(5967), 1,
      anon_sym_PERCENT,
    ACTIONS(5969), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5971), 1,
      anon_sym_LT,
    ACTIONS(5979), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5981), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2853), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5236), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(5947), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5949), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5957), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5965), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5975), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5977), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5973), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [75677] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5951), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5953), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5955), 1,
      anon_sym_GT_GT,
    ACTIONS(5959), 1,
      anon_sym_AMP,
    ACTIONS(5961), 1,
      anon_sym_CARET,
    ACTIONS(5963), 1,
      anon_sym_PIPE,
    ACTIONS(5967), 1,
      anon_sym_PERCENT,
    ACTIONS(5969), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5971), 1,
      anon_sym_LT,
    ACTIONS(5979), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5981), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2854), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5234), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(5947), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5949), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5957), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5965), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5975), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5977), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5973), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [75791] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5951), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5953), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5955), 1,
      anon_sym_GT_GT,
    ACTIONS(5959), 1,
      anon_sym_AMP,
    ACTIONS(5961), 1,
      anon_sym_CARET,
    ACTIONS(5963), 1,
      anon_sym_PIPE,
    ACTIONS(5967), 1,
      anon_sym_PERCENT,
    ACTIONS(5969), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5971), 1,
      anon_sym_LT,
    ACTIONS(5979), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5981), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2855), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5228), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(5947), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5949), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5957), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5965), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5975), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5977), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5973), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [75905] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5951), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5953), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5955), 1,
      anon_sym_GT_GT,
    ACTIONS(5959), 1,
      anon_sym_AMP,
    ACTIONS(5961), 1,
      anon_sym_CARET,
    ACTIONS(5963), 1,
      anon_sym_PIPE,
    ACTIONS(5967), 1,
      anon_sym_PERCENT,
    ACTIONS(5969), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5971), 1,
      anon_sym_LT,
    ACTIONS(5979), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5981), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2856), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5224), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(5947), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5949), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5957), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5965), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5975), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5977), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5973), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [76019] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5951), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5953), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5955), 1,
      anon_sym_GT_GT,
    ACTIONS(5959), 1,
      anon_sym_AMP,
    ACTIONS(5961), 1,
      anon_sym_CARET,
    ACTIONS(5963), 1,
      anon_sym_PIPE,
    ACTIONS(5967), 1,
      anon_sym_PERCENT,
    ACTIONS(5969), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5971), 1,
      anon_sym_LT,
    ACTIONS(5979), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5981), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2857), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4956), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(5947), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5949), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5957), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5965), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5975), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5977), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5973), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [76133] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2858), 1,
      sym_comment,
    ACTIONS(5252), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5254), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [76189] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2859), 1,
      sym_comment,
    ACTIONS(5256), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5258), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [76245] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4950), 1,
      anon_sym_extends,
    STATE(2860), 1,
      sym_comment,
    ACTIONS(4944), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4946), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76303] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2861), 1,
      sym_comment,
    ACTIONS(5256), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5258), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [76359] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4097), 1,
      anon_sym_EQ,
    STATE(2862), 1,
      sym_comment,
    ACTIONS(4081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76417] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2863), 1,
      sym_comment,
    ACTIONS(5186), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5188), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [76473] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2069), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2864), 1,
      sym_comment,
    ACTIONS(2067), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2073), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76531] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(2904), 1,
      anon_sym_readonly,
    ACTIONS(2908), 1,
      anon_sym_override,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(5992), 1,
      anon_sym_STAR,
    ACTIONS(6000), 1,
      anon_sym_RBRACE,
    STATE(2865), 1,
      sym_comment,
    STATE(3628), 1,
      sym_override_modifier,
    STATE(4787), 1,
      sym__property_name,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [76621] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1014), 1,
      anon_sym_RBRACE,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(2904), 1,
      anon_sym_readonly,
    ACTIONS(2908), 1,
      anon_sym_override,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(5992), 1,
      anon_sym_STAR,
    STATE(2866), 1,
      sym_comment,
    STATE(3628), 1,
      sym_override_modifier,
    STATE(4787), 1,
      sym__property_name,
    STATE(6262), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [76711] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5512), 1,
      anon_sym_LBRACK,
    STATE(2867), 1,
      sym_comment,
    ACTIONS(4799), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5515), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4081), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76773] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5902), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5904), 1,
      anon_sym_GT_GT,
    ACTIONS(5908), 1,
      anon_sym_AMP,
    ACTIONS(5910), 1,
      anon_sym_CARET,
    ACTIONS(5912), 1,
      anon_sym_PIPE,
    ACTIONS(5916), 1,
      anon_sym_PERCENT,
    ACTIONS(5918), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5920), 1,
      anon_sym_LT,
    ACTIONS(5928), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5930), 1,
      sym__ternary_qmark,
    ACTIONS(6002), 1,
      anon_sym_SEMI,
    ACTIONS(6004), 1,
      sym__automatic_semicolon,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(2868), 1,
      sym_comment,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5896), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5898), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5906), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5914), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5924), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5926), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5922), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [76889] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2869), 1,
      sym_comment,
    ACTIONS(5207), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5209), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [76945] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2870), 1,
      sym_comment,
    ACTIONS(4995), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4997), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [77001] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6006), 1,
      anon_sym_STAR,
    ACTIONS(6008), 1,
      anon_sym_async,
    ACTIONS(6010), 1,
      anon_sym_readonly,
    STATE(2871), 1,
      sym_comment,
    STATE(3626), 1,
      sym_override_modifier,
    STATE(3958), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6012), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4332), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [77083] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2872), 1,
      sym_comment,
    ACTIONS(4987), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4989), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [77139] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3388), 1,
      anon_sym_extends,
    ACTIONS(5197), 1,
      anon_sym_LBRACK,
    ACTIONS(6014), 1,
      anon_sym_RPAREN,
    STATE(2873), 1,
      sym_comment,
    ACTIONS(2069), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5200), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5855), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(2067), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2073), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77207] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2874), 1,
      sym_comment,
    ACTIONS(5203), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5205), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [77263] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2875), 1,
      sym_comment,
    ACTIONS(5190), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5192), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [77319] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2876), 1,
      sym_comment,
    ACTIONS(4979), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4981), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [77375] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2877), 1,
      sym_comment,
    ACTIONS(4975), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4977), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [77431] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5935), 1,
      anon_sym_AMP,
    ACTIONS(5937), 1,
      anon_sym_PIPE,
    ACTIONS(5939), 1,
      anon_sym_extends,
    STATE(2878), 1,
      sym_comment,
    ACTIONS(5304), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5306), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77493] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4183), 1,
      anon_sym_EQ,
    ACTIONS(5290), 1,
      anon_sym_extends,
    STATE(2879), 1,
      sym_comment,
    ACTIONS(5518), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5521), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4081), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77557] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4799), 1,
      anon_sym_extends,
    STATE(2880), 1,
      sym_comment,
    ACTIONS(5512), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5515), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4081), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77619] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5290), 1,
      anon_sym_extends,
    STATE(2881), 1,
      sym_comment,
    ACTIONS(5518), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5521), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4081), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77681] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5935), 1,
      anon_sym_AMP,
    ACTIONS(5937), 1,
      anon_sym_PIPE,
    ACTIONS(5939), 1,
      anon_sym_extends,
    STATE(2882), 1,
      sym_comment,
    ACTIONS(5266), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5268), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77743] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4803), 1,
      anon_sym_extends,
    STATE(2883), 1,
      sym_comment,
    ACTIONS(5266), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5268), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77801] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5019), 1,
      anon_sym_extends,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(6017), 1,
      anon_sym_RPAREN,
    STATE(2884), 1,
      sym_comment,
    ACTIONS(5172), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5179), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5869), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(5170), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5174), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77869] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2885), 1,
      sym_comment,
    ACTIONS(4979), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4981), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [77925] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6020), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2886), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4964), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4966), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [78001] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2887), 1,
      sym_comment,
    ACTIONS(4975), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4977), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [78057] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2888), 1,
      sym_comment,
    ACTIONS(4971), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4973), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [78113] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(6023), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2889), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5053), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5055), 16,
      sym__ternary_qmark,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [78195] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2890), 1,
      sym_comment,
    ACTIONS(4952), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4954), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [78251] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5902), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5904), 1,
      anon_sym_GT_GT,
    ACTIONS(5908), 1,
      anon_sym_AMP,
    ACTIONS(5910), 1,
      anon_sym_CARET,
    ACTIONS(5912), 1,
      anon_sym_PIPE,
    ACTIONS(5916), 1,
      anon_sym_PERCENT,
    ACTIONS(5918), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5920), 1,
      anon_sym_LT,
    ACTIONS(5928), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5930), 1,
      sym__ternary_qmark,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(2891), 1,
      sym_comment,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5896), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5898), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5906), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5914), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5924), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5926), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6026), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5922), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [78365] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5017), 1,
      anon_sym_QMARK,
    ACTIONS(5019), 1,
      anon_sym_extends,
    ACTIONS(5172), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5869), 1,
      anon_sym_COLON,
    STATE(2892), 1,
      sym_comment,
    ACTIONS(5179), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5795), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(5170), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5174), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78435] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2893), 1,
      sym_comment,
    ACTIONS(4971), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4973), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [78491] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2069), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3310), 1,
      anon_sym_QMARK,
    ACTIONS(3388), 1,
      anon_sym_extends,
    ACTIONS(5197), 1,
      anon_sym_LBRACK,
    ACTIONS(5855), 1,
      anon_sym_COLON,
    STATE(2894), 1,
      sym_comment,
    ACTIONS(5200), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5799), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2067), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2073), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78561] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5951), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5953), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5955), 1,
      anon_sym_GT_GT,
    ACTIONS(5959), 1,
      anon_sym_AMP,
    ACTIONS(5961), 1,
      anon_sym_CARET,
    ACTIONS(5963), 1,
      anon_sym_PIPE,
    ACTIONS(5967), 1,
      anon_sym_PERCENT,
    ACTIONS(5969), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5971), 1,
      anon_sym_LT,
    ACTIONS(5979), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5981), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2895), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5108), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(5947), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5949), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5957), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5965), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5975), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5977), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5973), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [78675] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6028), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2896), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4833), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4835), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [78749] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2897), 1,
      sym_comment,
    ACTIONS(4952), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4954), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [78805] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2898), 1,
      sym_comment,
    ACTIONS(4829), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4831), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [78861] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4185), 1,
      anon_sym_EQ,
    STATE(2899), 1,
      sym_comment,
    ACTIONS(4081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78919] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5902), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5904), 1,
      anon_sym_GT_GT,
    ACTIONS(5908), 1,
      anon_sym_AMP,
    ACTIONS(5910), 1,
      anon_sym_CARET,
    ACTIONS(5912), 1,
      anon_sym_PIPE,
    ACTIONS(5916), 1,
      anon_sym_PERCENT,
    ACTIONS(5918), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5920), 1,
      anon_sym_LT,
    ACTIONS(5928), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5930), 1,
      sym__ternary_qmark,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(2900), 1,
      sym_comment,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5896), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5898), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5906), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5914), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5924), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5926), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6031), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5922), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [79033] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2901), 1,
      sym_comment,
    ACTIONS(4932), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79089] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2902), 1,
      sym_comment,
    ACTIONS(5294), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5296), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79145] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2903), 1,
      sym_comment,
    ACTIONS(4801), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4803), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79201] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5021), 1,
      anon_sym_STAR,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5033), 1,
      anon_sym_async,
    ACTIONS(5390), 1,
      anon_sym_LBRACK,
    STATE(2904), 1,
      sym_comment,
    STATE(3967), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5037), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5819), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4332), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [79281] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5902), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5904), 1,
      anon_sym_GT_GT,
    ACTIONS(5908), 1,
      anon_sym_AMP,
    ACTIONS(5910), 1,
      anon_sym_CARET,
    ACTIONS(5912), 1,
      anon_sym_PIPE,
    ACTIONS(5916), 1,
      anon_sym_PERCENT,
    ACTIONS(5918), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5920), 1,
      anon_sym_LT,
    ACTIONS(5928), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5930), 1,
      sym__ternary_qmark,
    ACTIONS(6033), 1,
      anon_sym_SEMI,
    ACTIONS(6035), 1,
      sym__automatic_semicolon,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(2905), 1,
      sym_comment,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5896), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5898), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5906), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5914), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5924), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5926), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5922), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [79397] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2906), 1,
      sym_comment,
    ACTIONS(4936), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4938), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79453] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2907), 1,
      sym_comment,
    ACTIONS(5288), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5290), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79509] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2069), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5463), 1,
      sym__automatic_semicolon,
    STATE(2908), 1,
      sym_comment,
    ACTIONS(2065), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2125), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79569] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2909), 1,
      sym_comment,
    ACTIONS(4797), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4799), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79625] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5021), 1,
      anon_sym_STAR,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(2910), 1,
      sym_comment,
    STATE(4746), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5394), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5819), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [79703] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(157), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(3836), 1,
      anon_sym_LBRACE,
    ACTIONS(4609), 1,
      anon_sym_LBRACK,
    ACTIONS(6039), 1,
      anon_sym_COMMA,
    ACTIONS(6041), 1,
      anon_sym_RBRACE,
    STATE(2911), 1,
      sym_comment,
    STATE(6032), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7286), 1,
      sym__property_name,
    STATE(7405), 1,
      sym__destructuring_pattern,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4292), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    STATE(6029), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(6037), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [79785] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(157), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(3836), 1,
      anon_sym_LBRACE,
    ACTIONS(4609), 1,
      anon_sym_LBRACK,
    ACTIONS(6039), 1,
      anon_sym_COMMA,
    ACTIONS(6045), 1,
      anon_sym_RBRACE,
    STATE(2912), 1,
      sym_comment,
    STATE(5951), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7286), 1,
      sym__property_name,
    STATE(7405), 1,
      sym__destructuring_pattern,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4292), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    STATE(5918), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(6043), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [79867] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2913), 1,
      sym_comment,
    ACTIONS(4932), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4934), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79923] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2914), 1,
      sym_comment,
    ACTIONS(5134), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5136), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [79979] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6047), 1,
      anon_sym_LBRACK,
    STATE(2915), 1,
      sym_comment,
    ACTIONS(5134), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5136), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [80037] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2916), 1,
      sym_comment,
    ACTIONS(5272), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5274), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [80093] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2917), 1,
      sym_comment,
    ACTIONS(4928), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4930), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [80149] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5902), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5904), 1,
      anon_sym_GT_GT,
    ACTIONS(5908), 1,
      anon_sym_AMP,
    ACTIONS(5910), 1,
      anon_sym_CARET,
    ACTIONS(5912), 1,
      anon_sym_PIPE,
    ACTIONS(5916), 1,
      anon_sym_PERCENT,
    ACTIONS(5918), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5920), 1,
      anon_sym_LT,
    ACTIONS(5928), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5930), 1,
      sym__ternary_qmark,
    ACTIONS(6049), 1,
      anon_sym_SEMI,
    ACTIONS(6051), 1,
      sym__automatic_semicolon,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(2918), 1,
      sym_comment,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5896), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5898), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5906), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5914), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5924), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5926), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5922), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [80265] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2919), 1,
      sym_comment,
    ACTIONS(4924), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4926), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [80321] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2920), 1,
      sym_comment,
    ACTIONS(3304), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [80377] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5935), 1,
      anon_sym_AMP,
    ACTIONS(5937), 1,
      anon_sym_PIPE,
    ACTIONS(5939), 1,
      anon_sym_extends,
    STATE(2921), 1,
      sym_comment,
    ACTIONS(4920), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4922), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80439] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2922), 1,
      sym_comment,
    ACTIONS(4916), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4918), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [80495] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5902), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5904), 1,
      anon_sym_GT_GT,
    ACTIONS(5908), 1,
      anon_sym_AMP,
    ACTIONS(5910), 1,
      anon_sym_CARET,
    ACTIONS(5912), 1,
      anon_sym_PIPE,
    ACTIONS(5916), 1,
      anon_sym_PERCENT,
    ACTIONS(5918), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5920), 1,
      anon_sym_LT,
    ACTIONS(5928), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5930), 1,
      sym__ternary_qmark,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(2923), 1,
      sym_comment,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5896), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5898), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5906), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5914), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5924), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5926), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6053), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5922), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [80609] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5902), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5904), 1,
      anon_sym_GT_GT,
    ACTIONS(5908), 1,
      anon_sym_AMP,
    ACTIONS(5910), 1,
      anon_sym_CARET,
    ACTIONS(5912), 1,
      anon_sym_PIPE,
    ACTIONS(5916), 1,
      anon_sym_PERCENT,
    ACTIONS(5918), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5920), 1,
      anon_sym_LT,
    ACTIONS(5928), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5930), 1,
      sym__ternary_qmark,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(2924), 1,
      sym_comment,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5896), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5898), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5906), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5914), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5924), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5926), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6055), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5922), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [80723] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5902), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5904), 1,
      anon_sym_GT_GT,
    ACTIONS(5908), 1,
      anon_sym_AMP,
    ACTIONS(5910), 1,
      anon_sym_CARET,
    ACTIONS(5912), 1,
      anon_sym_PIPE,
    ACTIONS(5916), 1,
      anon_sym_PERCENT,
    ACTIONS(5918), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5920), 1,
      anon_sym_LT,
    ACTIONS(5928), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5930), 1,
      sym__ternary_qmark,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(2925), 1,
      sym_comment,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5146), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5896), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5898), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5906), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5914), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5924), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5926), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5922), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [80837] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5902), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5904), 1,
      anon_sym_GT_GT,
    ACTIONS(5908), 1,
      anon_sym_AMP,
    ACTIONS(5910), 1,
      anon_sym_CARET,
    ACTIONS(5912), 1,
      anon_sym_PIPE,
    ACTIONS(5916), 1,
      anon_sym_PERCENT,
    ACTIONS(5918), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5920), 1,
      anon_sym_LT,
    ACTIONS(5928), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5930), 1,
      sym__ternary_qmark,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(2926), 1,
      sym_comment,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5156), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5896), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5898), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5906), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5914), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5924), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5926), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5922), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [80951] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2927), 1,
      sym_comment,
    ACTIONS(4906), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4908), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [81007] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6061), 1,
      sym_regex_flags,
    STATE(2928), 1,
      sym_comment,
    ACTIONS(6057), 16,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(6059), 25,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [81065] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5902), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5904), 1,
      anon_sym_GT_GT,
    ACTIONS(5908), 1,
      anon_sym_AMP,
    ACTIONS(5910), 1,
      anon_sym_CARET,
    ACTIONS(5912), 1,
      anon_sym_PIPE,
    ACTIONS(5916), 1,
      anon_sym_PERCENT,
    ACTIONS(5918), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5920), 1,
      anon_sym_LT,
    ACTIONS(5928), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5930), 1,
      sym__ternary_qmark,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(2929), 1,
      sym_comment,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5230), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5896), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5898), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5906), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5914), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5924), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5926), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5922), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [81179] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5390), 1,
      anon_sym_LBRACK,
    ACTIONS(5579), 1,
      anon_sym_STAR,
    ACTIONS(5583), 1,
      anon_sym_async,
    ACTIONS(6063), 1,
      anon_sym_abstract,
    STATE(2930), 1,
      sym_comment,
    STATE(3905), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5587), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4332), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [81257] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    STATE(2931), 1,
      sym_comment,
    STATE(3205), 1,
      sym_arguments,
    ACTIONS(5238), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5240), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [81317] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5902), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5904), 1,
      anon_sym_GT_GT,
    ACTIONS(5908), 1,
      anon_sym_AMP,
    ACTIONS(5910), 1,
      anon_sym_CARET,
    ACTIONS(5912), 1,
      anon_sym_PIPE,
    ACTIONS(5916), 1,
      anon_sym_PERCENT,
    ACTIONS(5918), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5920), 1,
      anon_sym_LT,
    ACTIONS(5928), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5930), 1,
      sym__ternary_qmark,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(2932), 1,
      sym_comment,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5244), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5896), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5898), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5906), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5914), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5924), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5926), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5922), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [81431] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5902), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5904), 1,
      anon_sym_GT_GT,
    ACTIONS(5908), 1,
      anon_sym_AMP,
    ACTIONS(5910), 1,
      anon_sym_CARET,
    ACTIONS(5912), 1,
      anon_sym_PIPE,
    ACTIONS(5916), 1,
      anon_sym_PERCENT,
    ACTIONS(5918), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5920), 1,
      anon_sym_LT,
    ACTIONS(5928), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5930), 1,
      sym__ternary_qmark,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(2933), 1,
      sym_comment,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5246), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5896), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5898), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5906), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5914), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5924), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5926), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5922), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [81545] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5904), 1,
      anon_sym_GT_GT,
    ACTIONS(5916), 1,
      anon_sym_PERCENT,
    ACTIONS(5918), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5920), 1,
      anon_sym_LT,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(2934), 1,
      sym_comment,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5896), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5906), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5914), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [81633] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5935), 1,
      anon_sym_AMP,
    ACTIONS(5937), 1,
      anon_sym_PIPE,
    ACTIONS(5939), 1,
      anon_sym_extends,
    STATE(2935), 1,
      sym_comment,
    ACTIONS(4906), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4908), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [81695] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(2904), 1,
      anon_sym_readonly,
    ACTIONS(2908), 1,
      anon_sym_override,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(5992), 1,
      anon_sym_STAR,
    ACTIONS(6065), 1,
      anon_sym_RBRACE,
    STATE(2936), 1,
      sym_comment,
    STATE(3628), 1,
      sym_override_modifier,
    STATE(4787), 1,
      sym__property_name,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [81785] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5918), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6067), 1,
      anon_sym_LT,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(2937), 1,
      sym_comment,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [81863] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5250), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5904), 1,
      anon_sym_GT_GT,
    ACTIONS(5908), 1,
      anon_sym_AMP,
    ACTIONS(5910), 1,
      anon_sym_CARET,
    ACTIONS(5912), 1,
      anon_sym_PIPE,
    ACTIONS(5916), 1,
      anon_sym_PERCENT,
    ACTIONS(5918), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5920), 1,
      anon_sym_LT,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(2938), 1,
      sym_comment,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5896), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5898), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5906), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5914), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5924), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5926), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5922), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [81965] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5250), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5904), 1,
      anon_sym_GT_GT,
    ACTIONS(5908), 1,
      anon_sym_AMP,
    ACTIONS(5910), 1,
      anon_sym_CARET,
    ACTIONS(5912), 1,
      anon_sym_PIPE,
    ACTIONS(5916), 1,
      anon_sym_PERCENT,
    ACTIONS(5918), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5920), 1,
      anon_sym_LT,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(2939), 1,
      sym_comment,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5896), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5898), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5906), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5914), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5924), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5926), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5922), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 7,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [82069] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5916), 1,
      anon_sym_PERCENT,
    ACTIONS(5918), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6067), 1,
      anon_sym_LT,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(2940), 1,
      sym_comment,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5896), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5914), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [82153] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2941), 1,
      sym_comment,
    ACTIONS(5110), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5112), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [82209] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5904), 1,
      anon_sym_GT_GT,
    ACTIONS(5916), 1,
      anon_sym_PERCENT,
    ACTIONS(5918), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5920), 1,
      anon_sym_LT,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(2942), 1,
      sym_comment,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5896), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5898), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5906), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5914), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5924), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5926), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5922), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [82305] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5935), 1,
      anon_sym_AMP,
    ACTIONS(5937), 1,
      anon_sym_PIPE,
    ACTIONS(5939), 1,
      anon_sym_extends,
    STATE(2943), 1,
      sym_comment,
    ACTIONS(5162), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5164), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [82367] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5935), 1,
      anon_sym_AMP,
    ACTIONS(5937), 1,
      anon_sym_PIPE,
    ACTIONS(5939), 1,
      anon_sym_extends,
    STATE(2944), 1,
      sym_comment,
    ACTIONS(5166), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5168), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [82429] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5518), 1,
      anon_sym_LBRACK,
    STATE(2945), 1,
      sym_comment,
    ACTIONS(5290), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5521), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4081), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [82491] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1045), 1,
      anon_sym_RBRACE,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(2904), 1,
      anon_sym_readonly,
    ACTIONS(2908), 1,
      anon_sym_override,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(5992), 1,
      anon_sym_STAR,
    STATE(2946), 1,
      sym_comment,
    STATE(3628), 1,
      sym_override_modifier,
    STATE(4787), 1,
      sym__property_name,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [82581] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5904), 1,
      anon_sym_GT_GT,
    ACTIONS(5908), 1,
      anon_sym_AMP,
    ACTIONS(5916), 1,
      anon_sym_PERCENT,
    ACTIONS(5918), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5920), 1,
      anon_sym_LT,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(2947), 1,
      sym_comment,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5250), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5896), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5898), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5906), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5914), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5924), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5926), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5922), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [82679] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5904), 1,
      anon_sym_GT_GT,
    ACTIONS(5908), 1,
      anon_sym_AMP,
    ACTIONS(5910), 1,
      anon_sym_CARET,
    ACTIONS(5916), 1,
      anon_sym_PERCENT,
    ACTIONS(5918), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5920), 1,
      anon_sym_LT,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(2948), 1,
      sym_comment,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5250), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5896), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5898), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5906), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5914), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5924), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5926), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5922), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [82779] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5916), 1,
      anon_sym_PERCENT,
    ACTIONS(5918), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6067), 1,
      anon_sym_LT,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(2949), 1,
      sym_comment,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5896), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [82861] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5918), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6067), 1,
      anon_sym_LT,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(2950), 1,
      sym_comment,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [82945] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5904), 1,
      anon_sym_GT_GT,
    ACTIONS(5916), 1,
      anon_sym_PERCENT,
    ACTIONS(5918), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5920), 1,
      anon_sym_LT,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(2951), 1,
      sym_comment,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5896), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5898), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5906), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5914), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5922), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5250), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [83037] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5250), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5902), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5904), 1,
      anon_sym_GT_GT,
    ACTIONS(5908), 1,
      anon_sym_AMP,
    ACTIONS(5910), 1,
      anon_sym_CARET,
    ACTIONS(5912), 1,
      anon_sym_PIPE,
    ACTIONS(5916), 1,
      anon_sym_PERCENT,
    ACTIONS(5918), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5920), 1,
      anon_sym_LT,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(2952), 1,
      sym_comment,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5896), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5898), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5906), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5914), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5924), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5926), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5922), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 6,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [83143] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5902), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5904), 1,
      anon_sym_GT_GT,
    ACTIONS(5908), 1,
      anon_sym_AMP,
    ACTIONS(5910), 1,
      anon_sym_CARET,
    ACTIONS(5912), 1,
      anon_sym_PIPE,
    ACTIONS(5916), 1,
      anon_sym_PERCENT,
    ACTIONS(5918), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5920), 1,
      anon_sym_LT,
    ACTIONS(5928), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5930), 1,
      sym__ternary_qmark,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(2953), 1,
      sym_comment,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5308), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5896), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5898), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5906), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5914), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5924), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5926), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5922), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83257] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5902), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5904), 1,
      anon_sym_GT_GT,
    ACTIONS(5908), 1,
      anon_sym_AMP,
    ACTIONS(5910), 1,
      anon_sym_CARET,
    ACTIONS(5912), 1,
      anon_sym_PIPE,
    ACTIONS(5916), 1,
      anon_sym_PERCENT,
    ACTIONS(5918), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5920), 1,
      anon_sym_LT,
    ACTIONS(5928), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5930), 1,
      sym__ternary_qmark,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(2954), 1,
      sym_comment,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5310), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5896), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5898), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5906), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5914), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5924), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5926), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5922), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83371] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2955), 1,
      sym_comment,
    ACTIONS(5276), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5278), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [83427] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2956), 1,
      sym_comment,
    ACTIONS(3296), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3408), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [83483] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5902), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5904), 1,
      anon_sym_GT_GT,
    ACTIONS(5908), 1,
      anon_sym_AMP,
    ACTIONS(5910), 1,
      anon_sym_CARET,
    ACTIONS(5912), 1,
      anon_sym_PIPE,
    ACTIONS(5916), 1,
      anon_sym_PERCENT,
    ACTIONS(5918), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5920), 1,
      anon_sym_LT,
    ACTIONS(5928), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5930), 1,
      sym__ternary_qmark,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(2957), 1,
      sym_comment,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5242), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5896), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5898), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5906), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5914), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5924), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5926), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5922), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83597] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5902), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5904), 1,
      anon_sym_GT_GT,
    ACTIONS(5908), 1,
      anon_sym_AMP,
    ACTIONS(5910), 1,
      anon_sym_CARET,
    ACTIONS(5912), 1,
      anon_sym_PIPE,
    ACTIONS(5916), 1,
      anon_sym_PERCENT,
    ACTIONS(5918), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5920), 1,
      anon_sym_LT,
    ACTIONS(5928), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5930), 1,
      sym__ternary_qmark,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(2958), 1,
      sym_comment,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5236), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5896), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5898), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5906), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5914), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5924), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5926), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5922), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83711] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5902), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5904), 1,
      anon_sym_GT_GT,
    ACTIONS(5908), 1,
      anon_sym_AMP,
    ACTIONS(5910), 1,
      anon_sym_CARET,
    ACTIONS(5912), 1,
      anon_sym_PIPE,
    ACTIONS(5916), 1,
      anon_sym_PERCENT,
    ACTIONS(5918), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5920), 1,
      anon_sym_LT,
    ACTIONS(5928), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5930), 1,
      sym__ternary_qmark,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(2959), 1,
      sym_comment,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5234), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5896), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5898), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5906), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5914), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5924), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5926), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5922), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83825] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5902), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5904), 1,
      anon_sym_GT_GT,
    ACTIONS(5908), 1,
      anon_sym_AMP,
    ACTIONS(5910), 1,
      anon_sym_CARET,
    ACTIONS(5912), 1,
      anon_sym_PIPE,
    ACTIONS(5916), 1,
      anon_sym_PERCENT,
    ACTIONS(5918), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5920), 1,
      anon_sym_LT,
    ACTIONS(5928), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5930), 1,
      sym__ternary_qmark,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(2960), 1,
      sym_comment,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5228), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5896), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5898), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5906), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5914), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5924), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5926), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5922), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83939] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6047), 1,
      anon_sym_LBRACK,
    STATE(2961), 1,
      sym_comment,
    ACTIONS(5114), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5116), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [83997] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6070), 1,
      anon_sym_extends,
    STATE(2962), 1,
      sym_comment,
    ACTIONS(5124), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5126), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [84055] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6072), 1,
      anon_sym_STAR,
    ACTIONS(6074), 1,
      anon_sym_async,
    ACTIONS(6076), 1,
      anon_sym_readonly,
    STATE(2963), 1,
      sym_comment,
    STATE(3631), 1,
      sym_override_modifier,
    STATE(3902), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6078), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4332), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [84137] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5902), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5904), 1,
      anon_sym_GT_GT,
    ACTIONS(5908), 1,
      anon_sym_AMP,
    ACTIONS(5910), 1,
      anon_sym_CARET,
    ACTIONS(5912), 1,
      anon_sym_PIPE,
    ACTIONS(5916), 1,
      anon_sym_PERCENT,
    ACTIONS(5918), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5920), 1,
      anon_sym_LT,
    ACTIONS(5928), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5930), 1,
      sym__ternary_qmark,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(2964), 1,
      sym_comment,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5224), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5896), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5898), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5906), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5914), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5924), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5926), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5922), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [84251] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2965), 1,
      sym_comment,
    ACTIONS(3294), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3434), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [84307] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5902), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5904), 1,
      anon_sym_GT_GT,
    ACTIONS(5908), 1,
      anon_sym_AMP,
    ACTIONS(5910), 1,
      anon_sym_CARET,
    ACTIONS(5912), 1,
      anon_sym_PIPE,
    ACTIONS(5916), 1,
      anon_sym_PERCENT,
    ACTIONS(5918), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5920), 1,
      anon_sym_LT,
    ACTIONS(5928), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5930), 1,
      sym__ternary_qmark,
    ACTIONS(6080), 1,
      anon_sym_SEMI,
    ACTIONS(6082), 1,
      sym__automatic_semicolon,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(2966), 1,
      sym_comment,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5896), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5898), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5906), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5914), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5924), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5926), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5922), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [84423] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2967), 1,
      sym_comment,
    ACTIONS(5280), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5282), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [84479] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5136), 1,
      anon_sym_extends,
    ACTIONS(6047), 1,
      anon_sym_LBRACK,
    STATE(2968), 1,
      sym_comment,
    ACTIONS(5134), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5130), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5132), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [84541] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6084), 1,
      anon_sym_STAR,
    ACTIONS(6086), 1,
      anon_sym_async,
    ACTIONS(6090), 1,
      anon_sym_abstract,
    STATE(2969), 1,
      sym_comment,
    STATE(3917), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6088), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4332), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [84619] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2970), 1,
      sym_comment,
    ACTIONS(3292), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3436), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [84675] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2971), 1,
      sym_comment,
    ACTIONS(5284), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5286), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [84731] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5902), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5904), 1,
      anon_sym_GT_GT,
    ACTIONS(5908), 1,
      anon_sym_AMP,
    ACTIONS(5910), 1,
      anon_sym_CARET,
    ACTIONS(5912), 1,
      anon_sym_PIPE,
    ACTIONS(5916), 1,
      anon_sym_PERCENT,
    ACTIONS(5918), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5920), 1,
      anon_sym_LT,
    ACTIONS(5928), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5930), 1,
      sym__ternary_qmark,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(2972), 1,
      sym_comment,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(4956), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5896), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5898), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5906), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5914), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5924), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5926), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5922), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [84845] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6072), 1,
      anon_sym_STAR,
    ACTIONS(6074), 1,
      anon_sym_async,
    ACTIONS(6092), 1,
      anon_sym_abstract,
    STATE(2973), 1,
      sym_comment,
    STATE(3902), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6078), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4332), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [84923] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2974), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5532), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [85037] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4862), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4864), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4866), 1,
      anon_sym_GT_GT,
    ACTIONS(4870), 1,
      anon_sym_AMP,
    ACTIONS(4872), 1,
      anon_sym_CARET,
    ACTIONS(4874), 1,
      anon_sym_PIPE,
    ACTIONS(4878), 1,
      anon_sym_PERCENT,
    ACTIONS(4880), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4882), 1,
      anon_sym_LT,
    ACTIONS(4890), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4896), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(2975), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4850), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4860), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4868), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4886), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5322), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4884), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [85151] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6094), 1,
      anon_sym_static,
    ACTIONS(6096), 1,
      anon_sym_readonly,
    ACTIONS(6098), 1,
      anon_sym_abstract,
    STATE(2976), 1,
      sym_comment,
    STATE(3693), 1,
      sym_override_modifier,
    STATE(4188), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4332), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [85231] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(2904), 1,
      anon_sym_readonly,
    ACTIONS(2908), 1,
      anon_sym_override,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(5992), 1,
      anon_sym_STAR,
    ACTIONS(6100), 1,
      anon_sym_RBRACE,
    STATE(2977), 1,
      sym_comment,
    STATE(3628), 1,
      sym_override_modifier,
    STATE(4787), 1,
      sym__property_name,
    STATE(6262), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [85321] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5317), 1,
      anon_sym_as,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(5370), 1,
      anon_sym_satisfies,
    ACTIONS(5900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5902), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5904), 1,
      anon_sym_GT_GT,
    ACTIONS(5908), 1,
      anon_sym_AMP,
    ACTIONS(5910), 1,
      anon_sym_CARET,
    ACTIONS(5912), 1,
      anon_sym_PIPE,
    ACTIONS(5916), 1,
      anon_sym_PERCENT,
    ACTIONS(5918), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5920), 1,
      anon_sym_LT,
    ACTIONS(5928), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5930), 1,
      sym__ternary_qmark,
    ACTIONS(6102), 1,
      anon_sym_SEMI,
    ACTIONS(6104), 1,
      sym__automatic_semicolon,
    STATE(2768), 1,
      sym_type_arguments,
    STATE(2978), 1,
      sym_comment,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(5366), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5896), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5898), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5906), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5914), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5924), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5926), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5922), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [85437] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2979), 1,
      sym_comment,
    ACTIONS(4846), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4848), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [85493] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5534), 1,
      anon_sym_QMARK_DOT,
    STATE(2980), 1,
      sym_comment,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(2109), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2111), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85557] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2981), 1,
      sym_comment,
    ACTIONS(4842), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4844), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [85613] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5935), 1,
      anon_sym_AMP,
    ACTIONS(5937), 1,
      anon_sym_PIPE,
    ACTIONS(5939), 1,
      anon_sym_extends,
    STATE(2982), 1,
      sym_comment,
    ACTIONS(5138), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5140), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85675] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2983), 1,
      sym_comment,
    ACTIONS(5142), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5144), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [85731] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_async,
    ACTIONS(6110), 1,
      anon_sym_readonly,
    STATE(2984), 1,
      sym_comment,
    STATE(3634), 1,
      sym_override_modifier,
    STATE(3922), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6112), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4332), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [85813] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_async,
    ACTIONS(6114), 1,
      anon_sym_abstract,
    STATE(2985), 1,
      sym_comment,
    STATE(3900), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6112), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4332), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [85891] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2986), 1,
      sym_comment,
    ACTIONS(5148), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5150), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [85947] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4799), 1,
      anon_sym_extends,
    ACTIONS(5512), 1,
      anon_sym_LBRACK,
    ACTIONS(6120), 1,
      anon_sym_RPAREN,
    STATE(2987), 1,
      sym_comment,
    ACTIONS(5515), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6116), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6118), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4081), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86015] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2988), 1,
      sym_comment,
    ACTIONS(5152), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5154), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86071] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5935), 1,
      anon_sym_AMP,
    STATE(2989), 1,
      sym_comment,
    ACTIONS(5158), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5160), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86129] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2990), 1,
      sym_comment,
    ACTIONS(4842), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4844), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86185] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2991), 1,
      sym_comment,
    ACTIONS(5182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5184), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86241] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2992), 1,
      sym_comment,
    ACTIONS(5017), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86297] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2993), 1,
      sym_comment,
    ACTIONS(4842), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4844), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86353] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2994), 1,
      sym_comment,
    ACTIONS(4898), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4900), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86409] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(2995), 1,
      sym_comment,
    ACTIONS(4898), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4900), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86465] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6123), 1,
      anon_sym_STAR,
    ACTIONS(6125), 1,
      anon_sym_async,
    ACTIONS(6127), 1,
      anon_sym_readonly,
    STATE(2996), 1,
      sym_comment,
    STATE(3620), 1,
      sym_override_modifier,
    STATE(3962), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6129), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4332), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [86547] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4165), 1,
      anon_sym_EQ,
    ACTIONS(4194), 1,
      anon_sym_QMARK,
    ACTIONS(5518), 1,
      anon_sym_LBRACK,
    STATE(2997), 1,
      sym_comment,
    ACTIONS(4191), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(5290), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(5521), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4081), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86615] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4799), 1,
      anon_sym_extends,
    ACTIONS(5512), 1,
      anon_sym_LBRACK,
    ACTIONS(6136), 1,
      anon_sym_RPAREN,
    STATE(2998), 1,
      sym_comment,
    ACTIONS(5515), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6131), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6133), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4081), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86683] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6140), 1,
      anon_sym_static,
    ACTIONS(6142), 1,
      anon_sym_readonly,
    ACTIONS(6144), 1,
      anon_sym_abstract,
    STATE(2999), 1,
      sym_comment,
    STATE(3663), 1,
      sym_override_modifier,
    STATE(4386), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4332), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [86763] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3000), 1,
      sym_comment,
    ACTIONS(4898), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4900), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86819] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3001), 1,
      sym_comment,
    ACTIONS(5214), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5216), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86875] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3002), 1,
      sym_comment,
    ACTIONS(4902), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4904), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86931] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3003), 1,
      sym_comment,
    ACTIONS(4902), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4904), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86987] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6146), 1,
      anon_sym_DOT,
    STATE(3004), 1,
      sym_comment,
    ACTIONS(5218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5220), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87045] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3005), 1,
      sym_comment,
    ACTIONS(4902), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4904), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87101] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3006), 1,
      sym_comment,
    ACTIONS(4940), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4942), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87157] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3007), 1,
      sym_comment,
    ACTIONS(4983), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4985), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87213] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3008), 1,
      sym_comment,
    ACTIONS(4991), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4993), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87269] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3009), 1,
      sym_comment,
    ACTIONS(5060), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5062), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87325] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3010), 1,
      sym_comment,
    ACTIONS(5064), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5066), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87381] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3011), 1,
      sym_comment,
    ACTIONS(5064), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5066), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87437] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3012), 1,
      sym_comment,
    ACTIONS(5064), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5066), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87493] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3013), 1,
      sym_comment,
    ACTIONS(5076), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5078), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87549] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3014), 1,
      sym_comment,
    ACTIONS(5076), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5078), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87605] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(2904), 1,
      anon_sym_readonly,
    ACTIONS(2908), 1,
      anon_sym_override,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(5992), 1,
      anon_sym_STAR,
    ACTIONS(6148), 1,
      anon_sym_RBRACE,
    STATE(3015), 1,
      sym_comment,
    STATE(3628), 1,
      sym_override_modifier,
    STATE(4787), 1,
      sym__property_name,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [87695] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3016), 1,
      sym_comment,
    ACTIONS(5076), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5078), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87751] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4194), 1,
      anon_sym_QMARK,
    ACTIONS(4200), 1,
      anon_sym_EQ,
    ACTIONS(5518), 1,
      anon_sym_LBRACK,
    STATE(3017), 1,
      sym_comment,
    ACTIONS(4203), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(5290), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(5521), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4081), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87819] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3018), 1,
      sym_comment,
    ACTIONS(5088), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5090), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87875] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3019), 1,
      sym_comment,
    ACTIONS(5088), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5090), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87931] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4799), 1,
      anon_sym_extends,
    ACTIONS(5512), 1,
      anon_sym_LBRACK,
    ACTIONS(6152), 1,
      anon_sym_RPAREN,
    STATE(3020), 1,
      sym_comment,
    ACTIONS(5515), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6131), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6150), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4081), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87999] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3021), 1,
      sym_comment,
    ACTIONS(5088), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5090), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [88055] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3022), 1,
      sym_comment,
    ACTIONS(5104), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5106), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [88111] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5935), 1,
      anon_sym_AMP,
    ACTIONS(5937), 1,
      anon_sym_PIPE,
    ACTIONS(5939), 1,
      anon_sym_extends,
    STATE(3023), 1,
      sym_comment,
    ACTIONS(5120), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5122), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88173] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3024), 1,
      sym_comment,
    ACTIONS(5152), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5154), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4081), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88233] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6084), 1,
      anon_sym_STAR,
    ACTIONS(6086), 1,
      anon_sym_async,
    ACTIONS(6155), 1,
      anon_sym_readonly,
    STATE(3025), 1,
      sym_comment,
    STATE(3623), 1,
      sym_override_modifier,
    STATE(3918), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6088), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4332), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [88315] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6157), 1,
      anon_sym_STAR,
    ACTIONS(6159), 1,
      anon_sym_async,
    ACTIONS(6161), 1,
      anon_sym_readonly,
    STATE(3026), 1,
      sym_comment,
    STATE(3621), 1,
      sym_override_modifier,
    STATE(3955), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6163), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4332), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [88397] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5150), 1,
      anon_sym_extends,
    STATE(3027), 1,
      sym_comment,
    ACTIONS(5676), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5679), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5481), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5483), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88459] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3028), 1,
      sym_comment,
    ACTIONS(4944), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4946), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88514] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6165), 1,
      sym__automatic_semicolon,
    STATE(3029), 1,
      sym_comment,
    ACTIONS(2371), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2225), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2229), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88573] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6157), 1,
      anon_sym_STAR,
    STATE(3030), 1,
      sym_comment,
    STATE(4882), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6167), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [88646] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1045), 1,
      anon_sym_RBRACE,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(5992), 1,
      anon_sym_STAR,
    STATE(3031), 1,
      sym_comment,
    STATE(4787), 1,
      sym__property_name,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [88729] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5390), 1,
      anon_sym_LBRACK,
    ACTIONS(6157), 1,
      anon_sym_STAR,
    ACTIONS(6159), 1,
      anon_sym_async,
    STATE(3032), 1,
      sym_comment,
    STATE(3955), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6163), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4332), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [88804] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3033), 1,
      sym_comment,
    ACTIONS(2261), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2265), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88859] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1045), 1,
      anon_sym_RBRACE,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(5992), 1,
      anon_sym_STAR,
    STATE(3034), 1,
      sym_comment,
    STATE(4787), 1,
      sym__property_name,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [88940] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5108), 1,
      anon_sym_of,
    ACTIONS(6173), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6175), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6177), 1,
      anon_sym_GT_GT,
    ACTIONS(6181), 1,
      anon_sym_AMP,
    ACTIONS(6183), 1,
      anon_sym_CARET,
    ACTIONS(6185), 1,
      anon_sym_PIPE,
    ACTIONS(6189), 1,
      anon_sym_PERCENT,
    ACTIONS(6191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6193), 1,
      anon_sym_LT,
    ACTIONS(6201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6203), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3035), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6169), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6171), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6179), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6197), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6199), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6195), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [89053] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(6205), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3036), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5053), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5055), 15,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [89134] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6208), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3037), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4964), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4966), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [89209] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3038), 1,
      sym_comment,
    ACTIONS(5374), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5376), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89264] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6211), 1,
      anon_sym_STAR,
    ACTIONS(6213), 1,
      anon_sym_async,
    STATE(3039), 1,
      sym_comment,
    STATE(3897), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6215), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4332), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [89339] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5951), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5953), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5955), 1,
      anon_sym_GT_GT,
    ACTIONS(5959), 1,
      anon_sym_AMP,
    ACTIONS(5961), 1,
      anon_sym_CARET,
    ACTIONS(5963), 1,
      anon_sym_PIPE,
    ACTIONS(5967), 1,
      anon_sym_PERCENT,
    ACTIONS(5969), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5971), 1,
      anon_sym_LT,
    ACTIONS(5979), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5981), 1,
      sym__ternary_qmark,
    ACTIONS(6217), 1,
      anon_sym_COLON,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3040), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5947), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5949), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5957), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5965), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5975), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5977), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5973), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [89452] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6084), 1,
      anon_sym_STAR,
    ACTIONS(6086), 1,
      anon_sym_async,
    STATE(3041), 1,
      sym_comment,
    STATE(3904), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6088), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4332), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [89527] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5951), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5953), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5955), 1,
      anon_sym_GT_GT,
    ACTIONS(5959), 1,
      anon_sym_AMP,
    ACTIONS(5961), 1,
      anon_sym_CARET,
    ACTIONS(5963), 1,
      anon_sym_PIPE,
    ACTIONS(5967), 1,
      anon_sym_PERCENT,
    ACTIONS(5969), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5971), 1,
      anon_sym_LT,
    ACTIONS(5979), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5981), 1,
      sym__ternary_qmark,
    ACTIONS(6219), 1,
      anon_sym_COLON,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3042), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5947), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5949), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5957), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5965), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5975), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5977), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5973), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [89640] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(5579), 1,
      anon_sym_STAR,
    STATE(3043), 1,
      sym_comment,
    STATE(4804), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6221), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [89713] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3044), 1,
      sym_comment,
    ACTIONS(2341), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2109), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2111), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89770] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6223), 1,
      anon_sym_STAR,
    ACTIONS(6225), 1,
      anon_sym_async,
    STATE(3045), 1,
      sym_comment,
    STATE(3898), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6227), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4332), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [89845] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3046), 1,
      sym_comment,
    ACTIONS(2187), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2191), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89900] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(5992), 1,
      anon_sym_STAR,
    ACTIONS(6148), 1,
      anon_sym_RBRACE,
    STATE(3047), 1,
      sym_comment,
    STATE(4787), 1,
      sym__property_name,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [89981] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(5992), 1,
      anon_sym_STAR,
    ACTIONS(6148), 1,
      anon_sym_RBRACE,
    STATE(3048), 1,
      sym_comment,
    STATE(4787), 1,
      sym__property_name,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [90064] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5172), 1,
      anon_sym_EQ,
    ACTIONS(5869), 1,
      anon_sym_of,
    ACTIONS(6229), 1,
      anon_sym_in,
    STATE(3049), 1,
      sym_comment,
    ACTIONS(5170), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5174), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90125] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3050), 1,
      sym_comment,
    ACTIONS(2393), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2261), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2265), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90182] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3051), 1,
      sym_comment,
    ACTIONS(4081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90237] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3052), 1,
      sym_comment,
    ACTIONS(2179), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90292] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6232), 1,
      anon_sym_STAR,
    STATE(3053), 1,
      sym_comment,
    STATE(4735), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6234), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [90365] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3054), 1,
      sym_comment,
    ACTIONS(2171), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2175), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90420] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4183), 1,
      anon_sym_EQ,
    STATE(3055), 1,
      sym_comment,
    ACTIONS(4081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90477] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6123), 1,
      anon_sym_STAR,
    STATE(3056), 1,
      sym_comment,
    STATE(4760), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6236), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [90550] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6238), 1,
      sym__automatic_semicolon,
    STATE(3057), 1,
      sym_comment,
    ACTIONS(2295), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2157), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2161), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90609] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6123), 1,
      anon_sym_STAR,
    ACTIONS(6125), 1,
      anon_sym_async,
    STATE(3058), 1,
      sym_comment,
    STATE(3962), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6129), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4332), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [90684] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6240), 1,
      sym__automatic_semicolon,
    STATE(3059), 1,
      sym_comment,
    ACTIONS(2275), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2171), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2175), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90743] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6242), 1,
      sym__automatic_semicolon,
    STATE(3060), 1,
      sym_comment,
    ACTIONS(2389), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2251), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90802] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5025), 1,
      anon_sym_COMMA,
    ACTIONS(5260), 1,
      anon_sym_RBRACE,
    STATE(3061), 1,
      sym_comment,
    STATE(6262), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1035), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2439), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [90869] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6223), 1,
      anon_sym_STAR,
    STATE(3062), 1,
      sym_comment,
    STATE(4752), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6244), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [90942] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(5992), 1,
      anon_sym_STAR,
    ACTIONS(6065), 1,
      anon_sym_RBRACE,
    STATE(3063), 1,
      sym_comment,
    STATE(4787), 1,
      sym__property_name,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [91025] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5025), 1,
      anon_sym_COMMA,
    ACTIONS(5260), 1,
      anon_sym_RBRACE,
    STATE(3064), 1,
      sym_comment,
    STATE(6262), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1035), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2433), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [91092] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    STATE(3065), 1,
      sym_comment,
    STATE(2578), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6246), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4807), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4809), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [91155] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(5992), 1,
      anon_sym_STAR,
    ACTIONS(6065), 1,
      anon_sym_RBRACE,
    STATE(3066), 1,
      sym_comment,
    STATE(4787), 1,
      sym__property_name,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [91236] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3067), 1,
      sym_comment,
    ACTIONS(2109), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2111), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91291] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4185), 1,
      anon_sym_EQ,
    ACTIONS(4229), 1,
      anon_sym_COLON,
    ACTIONS(5518), 1,
      anon_sym_LBRACK,
    STATE(3068), 1,
      sym_comment,
    ACTIONS(5521), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5290), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4081), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91356] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6248), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3069), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4833), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4835), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [91429] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5108), 1,
      anon_sym_RBRACK,
    ACTIONS(6255), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6257), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6259), 1,
      anon_sym_GT_GT,
    ACTIONS(6263), 1,
      anon_sym_AMP,
    ACTIONS(6265), 1,
      anon_sym_CARET,
    ACTIONS(6267), 1,
      anon_sym_PIPE,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    ACTIONS(6283), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6285), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3070), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6251), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6253), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6261), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [91542] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(6287), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3071), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5053), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5055), 15,
      sym__ternary_qmark,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [91623] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6290), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3072), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4964), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4966), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [91698] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3073), 1,
      sym_comment,
    ACTIONS(2157), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2161), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91753] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4956), 1,
      anon_sym_RBRACK,
    ACTIONS(6255), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6257), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6259), 1,
      anon_sym_GT_GT,
    ACTIONS(6263), 1,
      anon_sym_AMP,
    ACTIONS(6265), 1,
      anon_sym_CARET,
    ACTIONS(6267), 1,
      anon_sym_PIPE,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    ACTIONS(6283), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6285), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3074), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6251), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6253), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6261), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [91866] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5146), 1,
      anon_sym_of,
    ACTIONS(6173), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6175), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6177), 1,
      anon_sym_GT_GT,
    ACTIONS(6181), 1,
      anon_sym_AMP,
    ACTIONS(6183), 1,
      anon_sym_CARET,
    ACTIONS(6185), 1,
      anon_sym_PIPE,
    ACTIONS(6189), 1,
      anon_sym_PERCENT,
    ACTIONS(6191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6193), 1,
      anon_sym_LT,
    ACTIONS(6201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6203), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3075), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6169), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6171), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6179), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6197), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6199), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6195), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [91979] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5156), 1,
      anon_sym_of,
    ACTIONS(6173), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6175), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6177), 1,
      anon_sym_GT_GT,
    ACTIONS(6181), 1,
      anon_sym_AMP,
    ACTIONS(6183), 1,
      anon_sym_CARET,
    ACTIONS(6185), 1,
      anon_sym_PIPE,
    ACTIONS(6189), 1,
      anon_sym_PERCENT,
    ACTIONS(6191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6193), 1,
      anon_sym_LT,
    ACTIONS(6201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6203), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3076), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6169), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6171), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6179), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6197), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6199), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6195), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92092] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5403), 1,
      anon_sym_EQ,
    ACTIONS(5859), 1,
      anon_sym_of,
    ACTIONS(6293), 1,
      anon_sym_in,
    STATE(3077), 1,
      sym_comment,
    ACTIONS(5401), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92153] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    STATE(3078), 1,
      sym_comment,
    STATE(4768), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6296), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [92226] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5224), 1,
      anon_sym_RBRACK,
    ACTIONS(6255), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6257), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6259), 1,
      anon_sym_GT_GT,
    ACTIONS(6263), 1,
      anon_sym_AMP,
    ACTIONS(6265), 1,
      anon_sym_CARET,
    ACTIONS(6267), 1,
      anon_sym_PIPE,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    ACTIONS(6283), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6285), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3079), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6251), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6253), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6261), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92339] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6298), 1,
      anon_sym_STAR,
    STATE(3080), 1,
      sym_comment,
    STATE(4734), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6300), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [92412] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2069), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5855), 1,
      anon_sym_of,
    ACTIONS(6302), 1,
      anon_sym_in,
    STATE(3081), 1,
      sym_comment,
    ACTIONS(2067), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2073), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92473] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(5992), 1,
      anon_sym_STAR,
    ACTIONS(6100), 1,
      anon_sym_RBRACE,
    STATE(3082), 1,
      sym_comment,
    STATE(4787), 1,
      sym__property_name,
    STATE(6262), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [92554] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(5992), 1,
      anon_sym_STAR,
    ACTIONS(6100), 1,
      anon_sym_RBRACE,
    STATE(3083), 1,
      sym_comment,
    STATE(4787), 1,
      sym__property_name,
    STATE(6262), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [92637] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3084), 1,
      sym_comment,
    ACTIONS(5411), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5413), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92692] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3085), 1,
      sym_comment,
    ACTIONS(5547), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5549), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92747] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3086), 1,
      sym_comment,
    ACTIONS(5557), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5559), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92802] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5228), 1,
      anon_sym_RBRACK,
    ACTIONS(6255), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6257), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6259), 1,
      anon_sym_GT_GT,
    ACTIONS(6263), 1,
      anon_sym_AMP,
    ACTIONS(6265), 1,
      anon_sym_CARET,
    ACTIONS(6267), 1,
      anon_sym_PIPE,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    ACTIONS(6283), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6285), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3087), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6251), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6253), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6261), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92915] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5234), 1,
      anon_sym_RBRACK,
    ACTIONS(6255), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6257), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6259), 1,
      anon_sym_GT_GT,
    ACTIONS(6263), 1,
      anon_sym_AMP,
    ACTIONS(6265), 1,
      anon_sym_CARET,
    ACTIONS(6267), 1,
      anon_sym_PIPE,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    ACTIONS(6283), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6285), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3088), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6251), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6253), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6261), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [93028] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5236), 1,
      anon_sym_RBRACK,
    ACTIONS(6255), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6257), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6259), 1,
      anon_sym_GT_GT,
    ACTIONS(6263), 1,
      anon_sym_AMP,
    ACTIONS(6265), 1,
      anon_sym_CARET,
    ACTIONS(6267), 1,
      anon_sym_PIPE,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    ACTIONS(6283), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6285), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3089), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6251), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6253), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6261), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [93141] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3090), 1,
      sym_comment,
    ACTIONS(5659), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5661), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93196] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6223), 1,
      anon_sym_STAR,
    ACTIONS(6225), 1,
      anon_sym_async,
    STATE(3091), 1,
      sym_comment,
    STATE(3932), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6227), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4332), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [93271] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5242), 1,
      anon_sym_RBRACK,
    ACTIONS(6255), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6257), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6259), 1,
      anon_sym_GT_GT,
    ACTIONS(6263), 1,
      anon_sym_AMP,
    ACTIONS(6265), 1,
      anon_sym_CARET,
    ACTIONS(6267), 1,
      anon_sym_PIPE,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    ACTIONS(6283), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6285), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3092), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6251), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6253), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6261), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [93384] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5310), 1,
      anon_sym_RBRACK,
    ACTIONS(6255), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6257), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6259), 1,
      anon_sym_GT_GT,
    ACTIONS(6263), 1,
      anon_sym_AMP,
    ACTIONS(6265), 1,
      anon_sym_CARET,
    ACTIONS(6267), 1,
      anon_sym_PIPE,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    ACTIONS(6283), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6285), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3093), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6251), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6253), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6261), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [93497] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5308), 1,
      anon_sym_RBRACK,
    ACTIONS(6255), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6257), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6259), 1,
      anon_sym_GT_GT,
    ACTIONS(6263), 1,
      anon_sym_AMP,
    ACTIONS(6265), 1,
      anon_sym_CARET,
    ACTIONS(6267), 1,
      anon_sym_PIPE,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    ACTIONS(6283), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6285), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3094), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6251), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6253), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6261), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [93610] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6305), 1,
      sym__automatic_semicolon,
    STATE(3095), 1,
      sym_comment,
    ACTIONS(2271), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2149), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2153), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93669] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3096), 1,
      sym_comment,
    ACTIONS(6307), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6309), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93728] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5250), 1,
      anon_sym_BANG,
    ACTIONS(6255), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6257), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6259), 1,
      anon_sym_GT_GT,
    ACTIONS(6263), 1,
      anon_sym_AMP,
    ACTIONS(6265), 1,
      anon_sym_CARET,
    ACTIONS(6267), 1,
      anon_sym_PIPE,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3097), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6251), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6253), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6261), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 5,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [93833] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6259), 1,
      anon_sym_GT_GT,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3098), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6251), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6253), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6261), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5250), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [93924] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6311), 1,
      sym__automatic_semicolon,
    STATE(3099), 1,
      sym_comment,
    ACTIONS(2323), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2179), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93983] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6313), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3100), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 14,
      sym__ternary_qmark,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [94066] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6211), 1,
      anon_sym_STAR,
    STATE(3101), 1,
      sym_comment,
    STATE(4866), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6316), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [94139] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6072), 1,
      anon_sym_STAR,
    ACTIONS(6074), 1,
      anon_sym_async,
    STATE(3102), 1,
      sym_comment,
    STATE(3902), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6078), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4332), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [94214] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6072), 1,
      anon_sym_STAR,
    STATE(3103), 1,
      sym_comment,
    STATE(4780), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6318), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [94287] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6313), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3104), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6251), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [94368] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6259), 1,
      anon_sym_GT_GT,
    ACTIONS(6263), 1,
      anon_sym_AMP,
    ACTIONS(6265), 1,
      anon_sym_CARET,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3105), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5250), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6251), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6253), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6261), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [94467] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6259), 1,
      anon_sym_GT_GT,
    ACTIONS(6263), 1,
      anon_sym_AMP,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3106), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5250), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6251), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6253), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6261), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [94564] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6259), 1,
      anon_sym_GT_GT,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3107), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6251), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6253), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6261), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [94659] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3108), 1,
      sym_comment,
    ACTIONS(5407), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5409), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94714] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3109), 1,
      sym_comment,
    ACTIONS(6320), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6322), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94773] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3110), 1,
      sym_comment,
    ACTIONS(6320), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6322), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94832] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6313), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3111), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6251), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [94915] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3112), 1,
      sym_comment,
    ACTIONS(6320), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6322), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94974] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5250), 1,
      anon_sym_BANG,
    ACTIONS(6255), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6259), 1,
      anon_sym_GT_GT,
    ACTIONS(6263), 1,
      anon_sym_AMP,
    ACTIONS(6265), 1,
      anon_sym_CARET,
    ACTIONS(6267), 1,
      anon_sym_PIPE,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3113), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6251), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6253), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6261), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [95077] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3114), 1,
      sym_comment,
    ACTIONS(2371), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2225), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2229), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95134] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5250), 1,
      anon_sym_BANG,
    ACTIONS(6259), 1,
      anon_sym_GT_GT,
    ACTIONS(6263), 1,
      anon_sym_AMP,
    ACTIONS(6265), 1,
      anon_sym_CARET,
    ACTIONS(6267), 1,
      anon_sym_PIPE,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3115), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6251), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6253), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6261), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [95235] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3116), 1,
      sym_comment,
    ACTIONS(2367), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2215), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95292] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4183), 1,
      anon_sym_EQ,
    ACTIONS(4290), 1,
      anon_sym_in,
    ACTIONS(4293), 1,
      anon_sym_of,
    STATE(3117), 1,
      sym_comment,
    ACTIONS(4081), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95353] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6313), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3118), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [95430] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6259), 1,
      anon_sym_GT_GT,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3119), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6251), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6261), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [95517] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5246), 1,
      anon_sym_RBRACK,
    ACTIONS(6255), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6257), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6259), 1,
      anon_sym_GT_GT,
    ACTIONS(6263), 1,
      anon_sym_AMP,
    ACTIONS(6265), 1,
      anon_sym_CARET,
    ACTIONS(6267), 1,
      anon_sym_PIPE,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    ACTIONS(6283), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6285), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3120), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6251), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6253), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6261), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [95630] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3121), 1,
      sym_comment,
    ACTIONS(6116), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6118), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95689] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3122), 1,
      sym_comment,
    ACTIONS(6324), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6326), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95748] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4187), 1,
      anon_sym_EQ,
    STATE(3123), 1,
      sym_comment,
    ACTIONS(4081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95805] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3124), 1,
      sym_comment,
    ACTIONS(5668), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5670), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95860] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5951), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5953), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5955), 1,
      anon_sym_GT_GT,
    ACTIONS(5959), 1,
      anon_sym_AMP,
    ACTIONS(5961), 1,
      anon_sym_CARET,
    ACTIONS(5963), 1,
      anon_sym_PIPE,
    ACTIONS(5967), 1,
      anon_sym_PERCENT,
    ACTIONS(5969), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5971), 1,
      anon_sym_LT,
    ACTIONS(5979), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5981), 1,
      sym__ternary_qmark,
    ACTIONS(6328), 1,
      anon_sym_COLON,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3125), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5947), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5949), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5957), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5965), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5975), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5977), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5973), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [95973] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(5992), 1,
      anon_sym_STAR,
    ACTIONS(6000), 1,
      anon_sym_RBRACE,
    STATE(3126), 1,
      sym_comment,
    STATE(4787), 1,
      sym__property_name,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [96054] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(5992), 1,
      anon_sym_STAR,
    ACTIONS(6000), 1,
      anon_sym_RBRACE,
    STATE(3127), 1,
      sym_comment,
    STATE(4787), 1,
      sym__property_name,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [96137] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5244), 1,
      anon_sym_RBRACK,
    ACTIONS(6255), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6257), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6259), 1,
      anon_sym_GT_GT,
    ACTIONS(6263), 1,
      anon_sym_AMP,
    ACTIONS(6265), 1,
      anon_sym_CARET,
    ACTIONS(6267), 1,
      anon_sym_PIPE,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    ACTIONS(6283), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6285), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3128), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6251), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6253), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6261), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [96250] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3129), 1,
      sym_comment,
    ACTIONS(5672), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5674), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96305] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6330), 1,
      anon_sym_STAR,
    STATE(3130), 1,
      sym_comment,
    STATE(4716), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6332), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [96378] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5951), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5953), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5955), 1,
      anon_sym_GT_GT,
    ACTIONS(5959), 1,
      anon_sym_AMP,
    ACTIONS(5961), 1,
      anon_sym_CARET,
    ACTIONS(5963), 1,
      anon_sym_PIPE,
    ACTIONS(5967), 1,
      anon_sym_PERCENT,
    ACTIONS(5969), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5971), 1,
      anon_sym_LT,
    ACTIONS(5979), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5981), 1,
      sym__ternary_qmark,
    ACTIONS(6334), 1,
      anon_sym_COLON,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3131), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5947), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5949), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5957), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5965), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5975), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5977), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5973), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [96491] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5230), 1,
      anon_sym_RBRACK,
    ACTIONS(6255), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6257), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6259), 1,
      anon_sym_GT_GT,
    ACTIONS(6263), 1,
      anon_sym_AMP,
    ACTIONS(6265), 1,
      anon_sym_CARET,
    ACTIONS(6267), 1,
      anon_sym_PIPE,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    ACTIONS(6283), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6285), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3132), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6251), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6253), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6261), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [96604] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3133), 1,
      sym_comment,
    ACTIONS(5538), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5146), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96659] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5288), 1,
      anon_sym_QMARK,
    STATE(3134), 1,
      sym_comment,
    ACTIONS(5290), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(5521), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5518), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(4081), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96722] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3135), 1,
      sym_comment,
    ACTIONS(2149), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2153), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96777] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5156), 1,
      anon_sym_RBRACK,
    ACTIONS(6255), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6257), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6259), 1,
      anon_sym_GT_GT,
    ACTIONS(6263), 1,
      anon_sym_AMP,
    ACTIONS(6265), 1,
      anon_sym_CARET,
    ACTIONS(6267), 1,
      anon_sym_PIPE,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    ACTIONS(6283), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6285), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3136), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6251), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6253), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6261), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [96890] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5146), 1,
      anon_sym_RBRACK,
    ACTIONS(6255), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6257), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6259), 1,
      anon_sym_GT_GT,
    ACTIONS(6263), 1,
      anon_sym_AMP,
    ACTIONS(6265), 1,
      anon_sym_CARET,
    ACTIONS(6267), 1,
      anon_sym_PIPE,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    ACTIONS(6283), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6285), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3137), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6251), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6253), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6261), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [97003] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5230), 1,
      anon_sym_of,
    ACTIONS(6173), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6175), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6177), 1,
      anon_sym_GT_GT,
    ACTIONS(6181), 1,
      anon_sym_AMP,
    ACTIONS(6183), 1,
      anon_sym_CARET,
    ACTIONS(6185), 1,
      anon_sym_PIPE,
    ACTIONS(6189), 1,
      anon_sym_PERCENT,
    ACTIONS(6191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6193), 1,
      anon_sym_LT,
    ACTIONS(6201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6203), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3138), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6169), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6171), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6179), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6197), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6199), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6195), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [97116] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3139), 1,
      sym_comment,
    ACTIONS(2271), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2149), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2153), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97173] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6223), 1,
      anon_sym_STAR,
    ACTIONS(6225), 1,
      anon_sym_async,
    STATE(3140), 1,
      sym_comment,
    STATE(3906), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6227), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4332), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [97248] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1014), 1,
      anon_sym_RBRACE,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(5992), 1,
      anon_sym_STAR,
    STATE(3141), 1,
      sym_comment,
    STATE(4787), 1,
      sym__property_name,
    STATE(6262), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [97331] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1055), 1,
      anon_sym_RBRACE,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(5992), 1,
      anon_sym_STAR,
    STATE(3142), 1,
      sym_comment,
    STATE(4787), 1,
      sym__property_name,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [97414] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1055), 1,
      anon_sym_RBRACE,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(5992), 1,
      anon_sym_STAR,
    STATE(3143), 1,
      sym_comment,
    STATE(4787), 1,
      sym__property_name,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [97495] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2069), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5197), 1,
      anon_sym_LBRACK,
    STATE(3144), 1,
      sym_comment,
    ACTIONS(3388), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5200), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2067), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2073), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97558] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1014), 1,
      anon_sym_RBRACE,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(5992), 1,
      anon_sym_STAR,
    STATE(3145), 1,
      sym_comment,
    STATE(4787), 1,
      sym__property_name,
    STATE(6262), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [97639] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3146), 1,
      sym_comment,
    ACTIONS(5634), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5636), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97694] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6336), 1,
      sym__automatic_semicolon,
    STATE(3147), 1,
      sym_comment,
    ACTIONS(2337), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2187), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2191), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97753] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6084), 1,
      anon_sym_STAR,
    STATE(3148), 1,
      sym_comment,
    STATE(4755), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6338), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [97826] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5172), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    STATE(3149), 1,
      sym_comment,
    ACTIONS(5019), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5179), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5170), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5174), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97889] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(4956), 1,
      anon_sym_of,
    ACTIONS(6173), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6175), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6177), 1,
      anon_sym_GT_GT,
    ACTIONS(6181), 1,
      anon_sym_AMP,
    ACTIONS(6183), 1,
      anon_sym_CARET,
    ACTIONS(6185), 1,
      anon_sym_PIPE,
    ACTIONS(6189), 1,
      anon_sym_PERCENT,
    ACTIONS(6191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6193), 1,
      anon_sym_LT,
    ACTIONS(6201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6203), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3150), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6169), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6171), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6179), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6197), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6199), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6195), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [98002] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4196), 1,
      anon_sym_EQ,
    ACTIONS(5518), 1,
      anon_sym_LBRACK,
    STATE(3151), 1,
      sym_comment,
    ACTIONS(5290), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5521), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4081), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98065] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(157), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(3836), 1,
      anon_sym_LBRACE,
    ACTIONS(4609), 1,
      anon_sym_LBRACK,
    STATE(3152), 1,
      sym_comment,
    STATE(7286), 1,
      sym__property_name,
    STATE(7405), 1,
      sym__destructuring_pattern,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6342), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4292), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    STATE(6617), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(6340), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [98142] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3153), 1,
      sym_comment,
    ACTIONS(6344), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6346), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98201] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3154), 1,
      sym_comment,
    ACTIONS(5551), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5553), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98256] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6348), 1,
      sym__automatic_semicolon,
    STATE(3155), 1,
      sym_comment,
    ACTIONS(2363), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2207), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2211), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98315] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6350), 1,
      sym__automatic_semicolon,
    STATE(3156), 1,
      sym_comment,
    ACTIONS(2355), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2079), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2083), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98374] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5244), 1,
      anon_sym_of,
    ACTIONS(6173), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6175), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6177), 1,
      anon_sym_GT_GT,
    ACTIONS(6181), 1,
      anon_sym_AMP,
    ACTIONS(6183), 1,
      anon_sym_CARET,
    ACTIONS(6185), 1,
      anon_sym_PIPE,
    ACTIONS(6189), 1,
      anon_sym_PERCENT,
    ACTIONS(6191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6193), 1,
      anon_sym_LT,
    ACTIONS(6201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6203), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3157), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6169), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6171), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6179), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6197), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6199), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6195), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [98487] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3158), 1,
      sym_comment,
    ACTIONS(5565), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5567), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98542] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6084), 1,
      anon_sym_STAR,
    ACTIONS(6086), 1,
      anon_sym_async,
    STATE(3159), 1,
      sym_comment,
    STATE(3929), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6088), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4332), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [98617] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5246), 1,
      anon_sym_of,
    ACTIONS(6173), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6175), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6177), 1,
      anon_sym_GT_GT,
    ACTIONS(6181), 1,
      anon_sym_AMP,
    ACTIONS(6183), 1,
      anon_sym_CARET,
    ACTIONS(6185), 1,
      anon_sym_PIPE,
    ACTIONS(6189), 1,
      anon_sym_PERCENT,
    ACTIONS(6191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6193), 1,
      anon_sym_LT,
    ACTIONS(6201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6203), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3160), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6169), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6171), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6179), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6197), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6199), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6195), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [98730] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6352), 1,
      anon_sym_STAR,
    STATE(3161), 1,
      sym_comment,
    STATE(4751), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6354), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [98803] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6356), 1,
      sym_regex_flags,
    STATE(3162), 1,
      sym_comment,
    ACTIONS(6057), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(6059), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [98860] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3163), 1,
      sym_comment,
    ACTIONS(2251), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98915] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6177), 1,
      anon_sym_GT_GT,
    ACTIONS(6189), 1,
      anon_sym_PERCENT,
    ACTIONS(6191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6193), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3164), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6169), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6179), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [99002] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6358), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3165), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [99079] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3166), 1,
      sym_comment,
    ACTIONS(5501), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5503), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99134] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6298), 1,
      anon_sym_STAR,
    ACTIONS(6361), 1,
      anon_sym_async,
    STATE(3167), 1,
      sym_comment,
    STATE(3947), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6363), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4332), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [99209] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5250), 1,
      anon_sym_BANG,
    ACTIONS(6177), 1,
      anon_sym_GT_GT,
    ACTIONS(6181), 1,
      anon_sym_AMP,
    ACTIONS(6183), 1,
      anon_sym_CARET,
    ACTIONS(6185), 1,
      anon_sym_PIPE,
    ACTIONS(6189), 1,
      anon_sym_PERCENT,
    ACTIONS(6191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6193), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3168), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6169), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6171), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6179), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6197), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6199), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6195), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [99310] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3169), 1,
      sym_comment,
    ACTIONS(5617), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5619), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99365] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3170), 1,
      sym_comment,
    ACTIONS(5569), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5242), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99420] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3171), 1,
      sym_comment,
    ACTIONS(2351), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2195), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99477] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3172), 1,
      sym_comment,
    ACTIONS(5638), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5640), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99532] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3173), 1,
      sym_comment,
    ACTIONS(5589), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5591), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99587] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3174), 1,
      sym_comment,
    ACTIONS(5608), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5236), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99642] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5250), 1,
      anon_sym_BANG,
    ACTIONS(6173), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6177), 1,
      anon_sym_GT_GT,
    ACTIONS(6181), 1,
      anon_sym_AMP,
    ACTIONS(6183), 1,
      anon_sym_CARET,
    ACTIONS(6185), 1,
      anon_sym_PIPE,
    ACTIONS(6189), 1,
      anon_sym_PERCENT,
    ACTIONS(6191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6193), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3175), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6169), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6171), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6179), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6197), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6199), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6195), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [99745] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5951), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5953), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5955), 1,
      anon_sym_GT_GT,
    ACTIONS(5959), 1,
      anon_sym_AMP,
    ACTIONS(5961), 1,
      anon_sym_CARET,
    ACTIONS(5963), 1,
      anon_sym_PIPE,
    ACTIONS(5967), 1,
      anon_sym_PERCENT,
    ACTIONS(5969), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5971), 1,
      anon_sym_LT,
    ACTIONS(5979), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5981), 1,
      sym__ternary_qmark,
    ACTIONS(6365), 1,
      anon_sym_COLON,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3176), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5947), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5949), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5957), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5965), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5975), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5977), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5973), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [99858] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6189), 1,
      anon_sym_PERCENT,
    ACTIONS(6191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6358), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3177), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6169), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [99941] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3178), 1,
      sym_comment,
    ACTIONS(5610), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5234), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99996] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6177), 1,
      anon_sym_GT_GT,
    ACTIONS(6189), 1,
      anon_sym_PERCENT,
    ACTIONS(6191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6193), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3179), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6169), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6171), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6179), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6197), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6199), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6195), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [100091] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6367), 1,
      sym__automatic_semicolon,
    STATE(3180), 1,
      sym_comment,
    ACTIONS(2351), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2195), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100150] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3181), 1,
      sym_comment,
    ACTIONS(5690), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5692), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100205] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6177), 1,
      anon_sym_GT_GT,
    ACTIONS(6181), 1,
      anon_sym_AMP,
    ACTIONS(6189), 1,
      anon_sym_PERCENT,
    ACTIONS(6191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6193), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3182), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5250), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6169), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6171), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6179), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6197), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6199), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6195), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [100302] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6177), 1,
      anon_sym_GT_GT,
    ACTIONS(6181), 1,
      anon_sym_AMP,
    ACTIONS(6183), 1,
      anon_sym_CARET,
    ACTIONS(6189), 1,
      anon_sym_PERCENT,
    ACTIONS(6191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6193), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3183), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5250), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6169), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6171), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6179), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6197), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6199), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6195), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [100401] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6189), 1,
      anon_sym_PERCENT,
    ACTIONS(6191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6358), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3184), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6169), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [100482] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(6191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6358), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3185), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 14,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [100565] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3186), 1,
      sym_comment,
    ACTIONS(2225), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2229), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100620] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3187), 1,
      sym_comment,
    ACTIONS(2215), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100675] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6352), 1,
      anon_sym_STAR,
    ACTIONS(6369), 1,
      anon_sym_async,
    STATE(3188), 1,
      sym_comment,
    STATE(3907), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6371), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4332), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [100750] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3189), 1,
      sym_comment,
    ACTIONS(2207), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2211), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100805] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3190), 1,
      sym_comment,
    ACTIONS(2079), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2083), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100860] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3191), 1,
      sym_comment,
    ACTIONS(5493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5495), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100915] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6373), 1,
      anon_sym_LPAREN,
    ACTIONS(6376), 1,
      anon_sym_COLON,
    ACTIONS(6378), 1,
      anon_sym_LT,
    ACTIONS(6381), 1,
      anon_sym_QMARK,
    STATE(3192), 1,
      sym_comment,
    ACTIONS(4081), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100978] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4097), 1,
      anon_sym_EQ,
    ACTIONS(4229), 1,
      anon_sym_COLON,
    ACTIONS(5290), 1,
      anon_sym_extends,
    ACTIONS(5518), 1,
      anon_sym_LBRACK,
    STATE(3193), 1,
      sym_comment,
    ACTIONS(5521), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6383), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(4081), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101045] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3194), 1,
      sym_comment,
    ACTIONS(2195), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101100] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3195), 1,
      sym_comment,
    ACTIONS(5378), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5380), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101155] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5290), 1,
      anon_sym_extends,
    STATE(3196), 1,
      sym_comment,
    ACTIONS(5521), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5518), 3,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(4081), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101216] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4207), 1,
      anon_sym_EQ,
    ACTIONS(5518), 1,
      anon_sym_LBRACK,
    STATE(3197), 1,
      sym_comment,
    ACTIONS(5290), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5521), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4081), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101279] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3198), 1,
      sym_comment,
    ACTIONS(5382), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5384), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101334] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2069), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5197), 1,
      anon_sym_LBRACK,
    ACTIONS(5855), 1,
      anon_sym_COLON,
    STATE(3199), 1,
      sym_comment,
    ACTIONS(5200), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3388), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(2067), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2073), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101399] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5172), 1,
      anon_sym_EQ,
    ACTIONS(5176), 1,
      anon_sym_LBRACK,
    ACTIONS(5869), 1,
      anon_sym_COLON,
    STATE(3200), 1,
      sym_comment,
    ACTIONS(5179), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5019), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(5170), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5174), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101464] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4217), 1,
      anon_sym_EQ,
    ACTIONS(5290), 1,
      anon_sym_extends,
    STATE(3201), 1,
      sym_comment,
    ACTIONS(5518), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5521), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4081), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [101527] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3202), 1,
      sym_comment,
    ACTIONS(5630), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5632), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101582] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5612), 1,
      anon_sym_of,
    ACTIONS(6171), 1,
      anon_sym_GT,
    ACTIONS(6173), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6175), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6177), 1,
      anon_sym_GT_GT,
    ACTIONS(6181), 1,
      anon_sym_AMP,
    ACTIONS(6183), 1,
      anon_sym_CARET,
    ACTIONS(6185), 1,
      anon_sym_PIPE,
    ACTIONS(6189), 1,
      anon_sym_PERCENT,
    ACTIONS(6191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6193), 1,
      anon_sym_LT,
    ACTIONS(6201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6203), 1,
      sym__ternary_qmark,
    ACTIONS(6387), 1,
      anon_sym_in,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3203), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6169), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6179), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6197), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6199), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6195), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [101697] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3204), 1,
      sym_comment,
    ACTIONS(5386), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5388), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101752] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3205), 1,
      sym_comment,
    ACTIONS(5709), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5711), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101807] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3206), 1,
      sym_comment,
    ACTIONS(4944), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4946), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101862] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3207), 1,
      sym_comment,
    ACTIONS(6131), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6150), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101921] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5624), 1,
      anon_sym_RBRACE,
    ACTIONS(5951), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5953), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5955), 1,
      anon_sym_GT_GT,
    ACTIONS(5959), 1,
      anon_sym_AMP,
    ACTIONS(5961), 1,
      anon_sym_CARET,
    ACTIONS(5963), 1,
      anon_sym_PIPE,
    ACTIONS(5967), 1,
      anon_sym_PERCENT,
    ACTIONS(5969), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5971), 1,
      anon_sym_LT,
    ACTIONS(5979), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5981), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3208), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5947), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5949), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5957), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5965), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5975), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5977), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5973), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [102034] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3209), 1,
      sym_comment,
    ACTIONS(2337), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2187), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2191), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102091] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6390), 1,
      sym__automatic_semicolon,
    STATE(3210), 1,
      sym_comment,
    ACTIONS(2355), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2079), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2083), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102150] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6392), 1,
      sym__automatic_semicolon,
    STATE(3211), 1,
      sym_comment,
    ACTIONS(2363), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2207), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2211), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102209] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3212), 1,
      sym_comment,
    ACTIONS(5713), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5715), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102264] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5951), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5953), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5955), 1,
      anon_sym_GT_GT,
    ACTIONS(5959), 1,
      anon_sym_AMP,
    ACTIONS(5961), 1,
      anon_sym_CARET,
    ACTIONS(5963), 1,
      anon_sym_PIPE,
    ACTIONS(5967), 1,
      anon_sym_PERCENT,
    ACTIONS(5969), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5971), 1,
      anon_sym_LT,
    ACTIONS(5979), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5981), 1,
      sym__ternary_qmark,
    ACTIONS(6394), 1,
      anon_sym_COLON,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3213), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5947), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5949), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5957), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5965), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5975), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5977), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5973), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [102377] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6396), 1,
      anon_sym_STAR,
    ACTIONS(6398), 1,
      anon_sym_async,
    STATE(3214), 1,
      sym_comment,
    STATE(3920), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6400), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4332), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [102452] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6396), 1,
      anon_sym_STAR,
    STATE(3215), 1,
      sym_comment,
    STATE(4769), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6402), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [102525] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6177), 1,
      anon_sym_GT_GT,
    ACTIONS(6189), 1,
      anon_sym_PERCENT,
    ACTIONS(6191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6193), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3216), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6169), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6171), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6179), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6195), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5250), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [102616] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3217), 1,
      sym_comment,
    ACTIONS(6404), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4944), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4946), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102673] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5150), 1,
      anon_sym_extends,
    STATE(3218), 1,
      sym_comment,
    ACTIONS(5679), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5676), 3,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(5481), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5483), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102734] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5250), 1,
      anon_sym_BANG,
    ACTIONS(6173), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6175), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6177), 1,
      anon_sym_GT_GT,
    ACTIONS(6181), 1,
      anon_sym_AMP,
    ACTIONS(6183), 1,
      anon_sym_CARET,
    ACTIONS(6185), 1,
      anon_sym_PIPE,
    ACTIONS(6189), 1,
      anon_sym_PERCENT,
    ACTIONS(6191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6193), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3219), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6169), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6171), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6179), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6197), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6199), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6195), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 5,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [102839] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3220), 1,
      sym_comment,
    ACTIONS(6406), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6408), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102898] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6410), 1,
      anon_sym_LPAREN,
    ACTIONS(6413), 1,
      anon_sym_COLON,
    ACTIONS(6415), 1,
      anon_sym_LT,
    ACTIONS(6418), 1,
      anon_sym_QMARK,
    STATE(3221), 1,
      sym_comment,
    ACTIONS(5374), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5376), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102961] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6420), 1,
      anon_sym_STAR,
    STATE(3222), 1,
      sym_comment,
    STATE(4913), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6422), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103034] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5025), 1,
      anon_sym_COMMA,
    ACTIONS(5194), 1,
      anon_sym_RBRACE,
    STATE(3223), 1,
      sym_comment,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1035), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2439), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103101] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5025), 1,
      anon_sym_COMMA,
    ACTIONS(5194), 1,
      anon_sym_RBRACE,
    STATE(3224), 1,
      sym_comment,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1035), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2433), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103168] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5224), 1,
      anon_sym_of,
    ACTIONS(6173), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6175), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6177), 1,
      anon_sym_GT_GT,
    ACTIONS(6181), 1,
      anon_sym_AMP,
    ACTIONS(6183), 1,
      anon_sym_CARET,
    ACTIONS(6185), 1,
      anon_sym_PIPE,
    ACTIONS(6189), 1,
      anon_sym_PERCENT,
    ACTIONS(6191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6193), 1,
      anon_sym_LT,
    ACTIONS(6201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6203), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3225), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6169), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6171), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6179), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6197), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6199), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6195), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [103281] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5228), 1,
      anon_sym_of,
    ACTIONS(6173), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6175), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6177), 1,
      anon_sym_GT_GT,
    ACTIONS(6181), 1,
      anon_sym_AMP,
    ACTIONS(6183), 1,
      anon_sym_CARET,
    ACTIONS(6185), 1,
      anon_sym_PIPE,
    ACTIONS(6189), 1,
      anon_sym_PERCENT,
    ACTIONS(6191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6193), 1,
      anon_sym_LT,
    ACTIONS(6201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6203), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3226), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6169), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6171), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6179), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6197), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6199), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6195), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [103394] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3227), 1,
      sym_comment,
    ACTIONS(2341), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2109), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2111), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103451] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6420), 1,
      anon_sym_STAR,
    ACTIONS(6424), 1,
      anon_sym_async,
    STATE(3228), 1,
      sym_comment,
    STATE(3940), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6426), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4332), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103526] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6428), 1,
      sym__automatic_semicolon,
    STATE(3229), 1,
      sym_comment,
    ACTIONS(2323), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2179), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2183), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103585] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3230), 1,
      sym_comment,
    ACTIONS(5717), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5719), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103640] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(6255), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6257), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6259), 1,
      anon_sym_GT_GT,
    ACTIONS(6263), 1,
      anon_sym_AMP,
    ACTIONS(6265), 1,
      anon_sym_CARET,
    ACTIONS(6267), 1,
      anon_sym_PIPE,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    ACTIONS(6283), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6285), 1,
      sym__ternary_qmark,
    ACTIONS(6430), 1,
      anon_sym_RBRACK,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3231), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6251), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6253), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6261), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [103753] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3232), 1,
      sym_comment,
    ACTIONS(5459), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5461), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103808] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5308), 1,
      anon_sym_of,
    ACTIONS(6173), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6175), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6177), 1,
      anon_sym_GT_GT,
    ACTIONS(6181), 1,
      anon_sym_AMP,
    ACTIONS(6183), 1,
      anon_sym_CARET,
    ACTIONS(6185), 1,
      anon_sym_PIPE,
    ACTIONS(6189), 1,
      anon_sym_PERCENT,
    ACTIONS(6191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6193), 1,
      anon_sym_LT,
    ACTIONS(6201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6203), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3233), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6169), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6171), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6179), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6197), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6199), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6195), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [103921] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3234), 1,
      sym_comment,
    ACTIONS(6131), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6133), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103980] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5234), 1,
      anon_sym_of,
    ACTIONS(6173), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6175), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6177), 1,
      anon_sym_GT_GT,
    ACTIONS(6181), 1,
      anon_sym_AMP,
    ACTIONS(6183), 1,
      anon_sym_CARET,
    ACTIONS(6185), 1,
      anon_sym_PIPE,
    ACTIONS(6189), 1,
      anon_sym_PERCENT,
    ACTIONS(6191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6193), 1,
      anon_sym_LT,
    ACTIONS(6201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6203), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3235), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6169), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6171), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6179), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6197), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6199), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6195), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [104093] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6432), 1,
      sym__automatic_semicolon,
    STATE(3236), 1,
      sym_comment,
    ACTIONS(2393), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2261), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2265), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104152] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3237), 1,
      sym_comment,
    STATE(4746), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5819), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [104225] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5025), 1,
      anon_sym_COMMA,
    ACTIONS(5312), 1,
      anon_sym_RBRACE,
    STATE(3238), 1,
      sym_comment,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1035), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2439), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [104292] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5236), 1,
      anon_sym_of,
    ACTIONS(6173), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6175), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6177), 1,
      anon_sym_GT_GT,
    ACTIONS(6181), 1,
      anon_sym_AMP,
    ACTIONS(6183), 1,
      anon_sym_CARET,
    ACTIONS(6185), 1,
      anon_sym_PIPE,
    ACTIONS(6189), 1,
      anon_sym_PERCENT,
    ACTIONS(6191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6193), 1,
      anon_sym_LT,
    ACTIONS(6201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6203), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3239), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6169), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6171), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6179), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6197), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6199), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6195), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [104405] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5242), 1,
      anon_sym_of,
    ACTIONS(6173), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6175), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6177), 1,
      anon_sym_GT_GT,
    ACTIONS(6181), 1,
      anon_sym_AMP,
    ACTIONS(6183), 1,
      anon_sym_CARET,
    ACTIONS(6185), 1,
      anon_sym_PIPE,
    ACTIONS(6189), 1,
      anon_sym_PERCENT,
    ACTIONS(6191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6193), 1,
      anon_sym_LT,
    ACTIONS(6201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6203), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3240), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6169), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6171), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6179), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6197), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6199), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6195), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [104518] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5025), 1,
      anon_sym_COMMA,
    ACTIONS(5312), 1,
      anon_sym_RBRACE,
    STATE(3241), 1,
      sym_comment,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1035), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2433), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [104585] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6006), 1,
      anon_sym_STAR,
    ACTIONS(6008), 1,
      anon_sym_async,
    STATE(3242), 1,
      sym_comment,
    STATE(3958), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6012), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4332), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [104660] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6434), 1,
      sym__automatic_semicolon,
    STATE(3243), 1,
      sym_comment,
    ACTIONS(2367), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2215), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2219), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104719] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6404), 1,
      anon_sym_COMMA,
    STATE(3244), 1,
      sym_comment,
    ACTIONS(4944), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4946), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104776] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6436), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3245), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4833), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4835), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [104849] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3246), 1,
      sym_comment,
    ACTIONS(5465), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5467), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104904] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5148), 1,
      anon_sym_QMARK,
    STATE(3247), 1,
      sym_comment,
    ACTIONS(5150), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(5679), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5676), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(5481), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5483), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104967] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3248), 1,
      sym_comment,
    ACTIONS(5152), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5154), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4081), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [105026] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5025), 1,
      anon_sym_COMMA,
    ACTIONS(5211), 1,
      anon_sym_RBRACE,
    STATE(3249), 1,
      sym_comment,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1035), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2439), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105093] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3250), 1,
      sym_comment,
    ACTIONS(2275), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2171), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2175), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [105150] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6439), 1,
      anon_sym_STAR,
    ACTIONS(6441), 1,
      anon_sym_async,
    STATE(3251), 1,
      sym_comment,
    STATE(3941), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6443), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4332), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105225] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3252), 1,
      sym_comment,
    ACTIONS(2295), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2157), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2161), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [105282] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3253), 1,
      sym_comment,
    ACTIONS(5721), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5723), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [105337] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6445), 1,
      anon_sym_STAR,
    ACTIONS(6447), 1,
      anon_sym_async,
    STATE(3254), 1,
      sym_comment,
    STATE(3937), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6449), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4332), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105412] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5951), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5953), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5955), 1,
      anon_sym_GT_GT,
    ACTIONS(5959), 1,
      anon_sym_AMP,
    ACTIONS(5961), 1,
      anon_sym_CARET,
    ACTIONS(5963), 1,
      anon_sym_PIPE,
    ACTIONS(5967), 1,
      anon_sym_PERCENT,
    ACTIONS(5969), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5971), 1,
      anon_sym_LT,
    ACTIONS(5979), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5981), 1,
      sym__ternary_qmark,
    ACTIONS(6451), 1,
      anon_sym_COLON,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3255), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5947), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5949), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5957), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5965), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5975), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5977), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5973), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [105525] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5310), 1,
      anon_sym_of,
    ACTIONS(6173), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6175), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6177), 1,
      anon_sym_GT_GT,
    ACTIONS(6181), 1,
      anon_sym_AMP,
    ACTIONS(6183), 1,
      anon_sym_CARET,
    ACTIONS(6185), 1,
      anon_sym_PIPE,
    ACTIONS(6189), 1,
      anon_sym_PERCENT,
    ACTIONS(6191), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6193), 1,
      anon_sym_LT,
    ACTIONS(6201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6203), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3256), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6169), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6171), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6179), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6197), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6199), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6195), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [105638] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6453), 1,
      anon_sym_STAR,
    STATE(3257), 1,
      sym_comment,
    STATE(4749), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6455), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105711] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5025), 1,
      anon_sym_COMMA,
    ACTIONS(5211), 1,
      anon_sym_RBRACE,
    STATE(3258), 1,
      sym_comment,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1035), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2433), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105778] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3259), 1,
      sym_comment,
    ACTIONS(5626), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5628), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [105833] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3260), 1,
      sym_comment,
    ACTIONS(5505), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5507), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [105888] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3261), 1,
      sym_comment,
    ACTIONS(6457), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6459), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [105947] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3262), 1,
      sym_comment,
    ACTIONS(6457), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6459), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106006] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3263), 1,
      sym_comment,
    ACTIONS(5717), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5719), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106061] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3264), 1,
      sym_comment,
    ACTIONS(5732), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5734), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106116] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3265), 1,
      sym_comment,
    ACTIONS(5736), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5738), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106171] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3266), 1,
      sym_comment,
    ACTIONS(5717), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5719), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106226] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3267), 1,
      sym_comment,
    ACTIONS(5604), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5606), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106281] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3268), 1,
      sym_comment,
    ACTIONS(5473), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5308), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106336] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5025), 1,
      anon_sym_COMMA,
    ACTIONS(5028), 1,
      anon_sym_RBRACE,
    STATE(3269), 1,
      sym_comment,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1035), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2439), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [106403] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3270), 1,
      sym_comment,
    ACTIONS(5600), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5602), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106458] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5025), 1,
      anon_sym_COMMA,
    ACTIONS(5028), 1,
      anon_sym_RBRACE,
    STATE(3271), 1,
      sym_comment,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1035), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2433), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [106525] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3272), 1,
      sym_comment,
    ACTIONS(5475), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5477), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106580] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3273), 1,
      sym_comment,
    ACTIONS(5596), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5598), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106635] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3274), 1,
      sym_comment,
    ACTIONS(5489), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5491), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106690] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3275), 1,
      sym_comment,
    ACTIONS(5485), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5487), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106745] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3276), 1,
      sym_comment,
    ACTIONS(5497), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5499), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106800] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5951), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5953), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5955), 1,
      anon_sym_GT_GT,
    ACTIONS(5959), 1,
      anon_sym_AMP,
    ACTIONS(5961), 1,
      anon_sym_CARET,
    ACTIONS(5963), 1,
      anon_sym_PIPE,
    ACTIONS(5967), 1,
      anon_sym_PERCENT,
    ACTIONS(5969), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5971), 1,
      anon_sym_LT,
    ACTIONS(5979), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5981), 1,
      sym__ternary_qmark,
    ACTIONS(6461), 1,
      anon_sym_COLON,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3277), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5947), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5949), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5957), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5965), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5975), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5977), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5973), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [106913] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3278), 1,
      sym_comment,
    ACTIONS(6457), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6459), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106972] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5951), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5953), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5955), 1,
      anon_sym_GT_GT,
    ACTIONS(5959), 1,
      anon_sym_AMP,
    ACTIONS(5961), 1,
      anon_sym_CARET,
    ACTIONS(5963), 1,
      anon_sym_PIPE,
    ACTIONS(5967), 1,
      anon_sym_PERCENT,
    ACTIONS(5969), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5971), 1,
      anon_sym_LT,
    ACTIONS(5979), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5981), 1,
      sym__ternary_qmark,
    ACTIONS(6463), 1,
      anon_sym_COLON,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3279), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5947), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5949), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5957), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5965), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5975), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5977), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5973), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [107085] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3280), 1,
      sym_comment,
    ACTIONS(5540), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5542), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107140] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6465), 1,
      anon_sym_STAR,
    STATE(3281), 1,
      sym_comment,
    STATE(4720), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6467), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107213] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6439), 1,
      anon_sym_STAR,
    STATE(3282), 1,
      sym_comment,
    STATE(4721), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6469), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107286] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3283), 1,
      sym_comment,
    ACTIONS(5555), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5246), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107341] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3284), 1,
      sym_comment,
    ACTIONS(5561), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5563), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107396] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3285), 1,
      sym_comment,
    ACTIONS(5481), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5483), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107451] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6445), 1,
      anon_sym_STAR,
    STATE(3286), 1,
      sym_comment,
    STATE(4725), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6471), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107524] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3287), 1,
      sym_comment,
    ACTIONS(5571), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107579] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4165), 1,
      anon_sym_EQ,
    ACTIONS(5288), 1,
      anon_sym_QMARK,
    ACTIONS(5518), 1,
      anon_sym_LBRACK,
    STATE(3288), 1,
      sym_comment,
    ACTIONS(5521), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5290), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4081), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107644] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6473), 1,
      sym__automatic_semicolon,
    STATE(3289), 1,
      sym_comment,
    ACTIONS(2389), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2251), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107703] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6356), 1,
      sym_regex_flags,
    STATE(3290), 1,
      sym_comment,
    ACTIONS(6057), 16,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(6059), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [107760] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6006), 1,
      anon_sym_STAR,
    STATE(3291), 1,
      sym_comment,
    STATE(4731), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6475), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107833] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3292), 1,
      sym_comment,
    ACTIONS(5705), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5707), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107888] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3293), 1,
      sym_comment,
    ACTIONS(5575), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5577), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107943] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(6255), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6257), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6259), 1,
      anon_sym_GT_GT,
    ACTIONS(6263), 1,
      anon_sym_AMP,
    ACTIONS(6265), 1,
      anon_sym_CARET,
    ACTIONS(6267), 1,
      anon_sym_PIPE,
    ACTIONS(6271), 1,
      anon_sym_PERCENT,
    ACTIONS(6273), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_LT,
    ACTIONS(6283), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6285), 1,
      sym__ternary_qmark,
    ACTIONS(6477), 1,
      anon_sym_RBRACK,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3294), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6251), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6253), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6261), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6269), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6279), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6281), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6277), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [108056] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4097), 1,
      anon_sym_EQ,
    STATE(3295), 1,
      sym_comment,
    ACTIONS(4327), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(4081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [108114] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(6483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6485), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6487), 1,
      anon_sym_GT_GT,
    ACTIONS(6491), 1,
      anon_sym_AMP,
    ACTIONS(6493), 1,
      anon_sym_CARET,
    ACTIONS(6495), 1,
      anon_sym_PIPE,
    ACTIONS(6499), 1,
      anon_sym_PERCENT,
    ACTIONS(6501), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6503), 1,
      anon_sym_LT,
    ACTIONS(6511), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6513), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3296), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6479), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6481), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6489), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6507), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6509), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6505), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [108224] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(5324), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5332), 1,
      anon_sym_LBRACK,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(6483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6485), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6487), 1,
      anon_sym_GT_GT,
    ACTIONS(6491), 1,
      anon_sym_AMP,
    ACTIONS(6493), 1,
      anon_sym_CARET,
    ACTIONS(6495), 1,
      anon_sym_PIPE,
    ACTIONS(6499), 1,
      anon_sym_PERCENT,
    ACTIONS(6501), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6503), 1,
      anon_sym_LT,
    ACTIONS(6511), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6513), 1,
      sym__ternary_qmark,
    STATE(3297), 1,
      sym_comment,
    STATE(3433), 1,
      sym_type_arguments,
    STATE(6200), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6479), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6481), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6489), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6507), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6509), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6505), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [108334] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3298), 1,
      sym_comment,
    STATE(4882), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108402] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6515), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3299), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4964), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4966), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [108476] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(6518), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3300), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5053), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5055), 14,
      sym__ternary_qmark,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [108556] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3301), 1,
      sym_comment,
    STATE(4734), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108624] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(6483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6485), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6487), 1,
      anon_sym_GT_GT,
    ACTIONS(6491), 1,
      anon_sym_AMP,
    ACTIONS(6493), 1,
      anon_sym_CARET,
    ACTIONS(6495), 1,
      anon_sym_PIPE,
    ACTIONS(6499), 1,
      anon_sym_PERCENT,
    ACTIONS(6501), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6503), 1,
      anon_sym_LT,
    ACTIONS(6511), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6513), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3302), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6479), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6481), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6489), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6507), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6509), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6505), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [108734] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3303), 1,
      sym_comment,
    STATE(4866), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108802] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6521), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3304), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4833), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4835), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [108874] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4264), 1,
      anon_sym_EQ,
    ACTIONS(5518), 1,
      anon_sym_LBRACK,
    STATE(3305), 1,
      sym_comment,
    ACTIONS(5290), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5521), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4081), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [108936] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3306), 1,
      sym_comment,
    STATE(4804), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109004] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3307), 1,
      sym_comment,
    STATE(4749), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109072] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5019), 1,
      anon_sym_extends,
    ACTIONS(5172), 1,
      anon_sym_EQ,
    STATE(3308), 1,
      sym_comment,
    ACTIONS(5176), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5179), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5170), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5174), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [109134] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2069), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3388), 1,
      anon_sym_extends,
    STATE(3309), 1,
      sym_comment,
    ACTIONS(5197), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5200), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2067), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2073), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [109196] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3310), 1,
      sym_comment,
    ACTIONS(5152), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
    ACTIONS(5154), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4081), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [109254] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6148), 1,
      anon_sym_RBRACE,
    STATE(3311), 1,
      sym_comment,
    STATE(4787), 1,
      sym__property_name,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109330] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3312), 1,
      sym_comment,
    STATE(4780), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109398] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6065), 1,
      anon_sym_RBRACE,
    STATE(3313), 1,
      sym_comment,
    STATE(4787), 1,
      sym__property_name,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109474] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    STATE(3314), 1,
      sym_comment,
    STATE(4285), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4332), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109542] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3315), 1,
      sym_comment,
    STATE(4752), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109610] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5518), 1,
      anon_sym_LBRACK,
    STATE(3316), 1,
      sym_comment,
    ACTIONS(5290), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5521), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4081), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [109670] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4097), 1,
      anon_sym_EQ,
    ACTIONS(5290), 1,
      anon_sym_extends,
    STATE(3317), 1,
      sym_comment,
    ACTIONS(5518), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5521), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4081), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [109732] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3318), 1,
      sym_comment,
    STATE(4768), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109800] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5512), 1,
      anon_sym_LBRACK,
    STATE(3319), 1,
      sym_comment,
    ACTIONS(4799), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5515), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4081), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [109860] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6100), 1,
      anon_sym_RBRACE,
    STATE(3320), 1,
      sym_comment,
    STATE(4787), 1,
      sym__property_name,
    STATE(6262), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109936] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3321), 1,
      sym_comment,
    STATE(4793), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110004] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    STATE(3322), 1,
      sym_comment,
    STATE(4188), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4332), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110072] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4797), 1,
      anon_sym_QMARK,
    ACTIONS(4799), 1,
      anon_sym_extends,
    STATE(3323), 1,
      sym_comment,
    ACTIONS(5515), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5512), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(4081), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [110134] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5676), 1,
      anon_sym_LBRACK,
    STATE(3324), 1,
      sym_comment,
    ACTIONS(5150), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5679), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5481), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5483), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [110194] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3325), 1,
      sym_comment,
    STATE(4735), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110262] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4217), 1,
      anon_sym_EQ,
    STATE(3326), 1,
      sym_comment,
    ACTIONS(4081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [110318] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6061), 1,
      sym_regex_flags,
    STATE(3327), 1,
      sym_comment,
    ACTIONS(6057), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(6059), 22,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [110374] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3328), 1,
      sym_comment,
    STATE(4913), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110442] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6000), 1,
      anon_sym_RBRACE,
    STATE(3329), 1,
      sym_comment,
    STATE(4787), 1,
      sym__property_name,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110518] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4272), 1,
      anon_sym_EQ,
    ACTIONS(5518), 1,
      anon_sym_LBRACK,
    STATE(3330), 1,
      sym_comment,
    ACTIONS(5290), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5521), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4081), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [110580] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(225), 1,
      anon_sym_STAR,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(2117), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6528), 1,
      anon_sym_async,
    ACTIONS(6530), 1,
      anon_sym_static,
    ACTIONS(6532), 1,
      anon_sym_readonly,
    ACTIONS(6538), 1,
      anon_sym_override,
    STATE(3331), 1,
      sym_comment,
    STATE(3599), 1,
      sym_accessibility_modifier,
    STATE(3635), 1,
      sym_override_modifier,
    STATE(4458), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6526), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(6534), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(6536), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6608), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(6524), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110668] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3332), 1,
      sym_comment,
    STATE(4720), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110736] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3333), 1,
      sym_comment,
    STATE(4721), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110804] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(6483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6485), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6487), 1,
      anon_sym_GT_GT,
    ACTIONS(6491), 1,
      anon_sym_AMP,
    ACTIONS(6493), 1,
      anon_sym_CARET,
    ACTIONS(6495), 1,
      anon_sym_PIPE,
    ACTIONS(6499), 1,
      anon_sym_PERCENT,
    ACTIONS(6501), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6503), 1,
      anon_sym_LT,
    ACTIONS(6511), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6513), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3334), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6479), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6481), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6489), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6507), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6509), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6505), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [110914] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(6483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6485), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6487), 1,
      anon_sym_GT_GT,
    ACTIONS(6491), 1,
      anon_sym_AMP,
    ACTIONS(6493), 1,
      anon_sym_CARET,
    ACTIONS(6495), 1,
      anon_sym_PIPE,
    ACTIONS(6499), 1,
      anon_sym_PERCENT,
    ACTIONS(6501), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6503), 1,
      anon_sym_LT,
    ACTIONS(6511), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6513), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3335), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6479), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6481), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6489), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6507), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6509), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6505), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [111024] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(6483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6485), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6487), 1,
      anon_sym_GT_GT,
    ACTIONS(6491), 1,
      anon_sym_AMP,
    ACTIONS(6493), 1,
      anon_sym_CARET,
    ACTIONS(6495), 1,
      anon_sym_PIPE,
    ACTIONS(6499), 1,
      anon_sym_PERCENT,
    ACTIONS(6501), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6503), 1,
      anon_sym_LT,
    ACTIONS(6511), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6513), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3336), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6479), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6481), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6489), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6507), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6509), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6505), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [111134] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(6483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6485), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6487), 1,
      anon_sym_GT_GT,
    ACTIONS(6491), 1,
      anon_sym_AMP,
    ACTIONS(6493), 1,
      anon_sym_CARET,
    ACTIONS(6495), 1,
      anon_sym_PIPE,
    ACTIONS(6499), 1,
      anon_sym_PERCENT,
    ACTIONS(6501), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6503), 1,
      anon_sym_LT,
    ACTIONS(6511), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6513), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3337), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6479), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6481), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6489), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6507), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6509), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6505), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [111244] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(6483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6485), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6487), 1,
      anon_sym_GT_GT,
    ACTIONS(6491), 1,
      anon_sym_AMP,
    ACTIONS(6493), 1,
      anon_sym_CARET,
    ACTIONS(6495), 1,
      anon_sym_PIPE,
    ACTIONS(6499), 1,
      anon_sym_PERCENT,
    ACTIONS(6501), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6503), 1,
      anon_sym_LT,
    ACTIONS(6511), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6513), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3338), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6479), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6481), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6489), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6507), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6509), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6505), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [111354] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(2904), 1,
      anon_sym_readonly,
    ACTIONS(2908), 1,
      anon_sym_override,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(5992), 1,
      anon_sym_STAR,
    STATE(3339), 1,
      sym_comment,
    STATE(3628), 1,
      sym_override_modifier,
    STATE(4787), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6540), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111436] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6487), 1,
      anon_sym_GT_GT,
    ACTIONS(6499), 1,
      anon_sym_PERCENT,
    ACTIONS(6501), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6503), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3340), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6479), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6489), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [111522] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6501), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6543), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3341), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [111598] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1045), 1,
      anon_sym_RBRACE,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3342), 1,
      sym_comment,
    STATE(4787), 1,
      sym__property_name,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111674] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(6483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6485), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6487), 1,
      anon_sym_GT_GT,
    ACTIONS(6491), 1,
      anon_sym_AMP,
    ACTIONS(6493), 1,
      anon_sym_CARET,
    ACTIONS(6495), 1,
      anon_sym_PIPE,
    ACTIONS(6499), 1,
      anon_sym_PERCENT,
    ACTIONS(6501), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6503), 1,
      anon_sym_LT,
    ACTIONS(6511), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6513), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3343), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6479), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6481), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6489), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6507), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6509), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6505), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [111784] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3344), 1,
      sym_comment,
    STATE(4725), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111852] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(6483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6485), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6487), 1,
      anon_sym_GT_GT,
    ACTIONS(6491), 1,
      anon_sym_AMP,
    ACTIONS(6493), 1,
      anon_sym_CARET,
    ACTIONS(6495), 1,
      anon_sym_PIPE,
    ACTIONS(6499), 1,
      anon_sym_PERCENT,
    ACTIONS(6501), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6503), 1,
      anon_sym_LT,
    ACTIONS(6511), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6513), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3345), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6479), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6481), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6489), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6507), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6509), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6505), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [111962] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3346), 1,
      sym_comment,
    STATE(4760), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112030] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1014), 1,
      anon_sym_RBRACE,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3347), 1,
      sym_comment,
    STATE(4787), 1,
      sym__property_name,
    STATE(6262), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112106] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3348), 1,
      sym_comment,
    STATE(4794), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112174] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1055), 1,
      anon_sym_RBRACE,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3349), 1,
      sym_comment,
    STATE(4787), 1,
      sym__property_name,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112250] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(6483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6485), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6487), 1,
      anon_sym_GT_GT,
    ACTIONS(6491), 1,
      anon_sym_AMP,
    ACTIONS(6493), 1,
      anon_sym_CARET,
    ACTIONS(6495), 1,
      anon_sym_PIPE,
    ACTIONS(6499), 1,
      anon_sym_PERCENT,
    ACTIONS(6501), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6503), 1,
      anon_sym_LT,
    ACTIONS(6511), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6513), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3350), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6479), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6481), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6489), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6507), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6509), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6505), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [112360] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3351), 1,
      sym_comment,
    STATE(4769), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112428] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    STATE(3352), 1,
      sym_comment,
    ACTIONS(1035), 10,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2433), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112484] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(6483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6485), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6487), 1,
      anon_sym_GT_GT,
    ACTIONS(6491), 1,
      anon_sym_AMP,
    ACTIONS(6493), 1,
      anon_sym_CARET,
    ACTIONS(6495), 1,
      anon_sym_PIPE,
    ACTIONS(6499), 1,
      anon_sym_PERCENT,
    ACTIONS(6501), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6503), 1,
      anon_sym_LT,
    ACTIONS(6511), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6513), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3353), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6479), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6481), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6489), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6507), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6509), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6505), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [112594] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5250), 1,
      anon_sym_BANG,
    ACTIONS(6487), 1,
      anon_sym_GT_GT,
    ACTIONS(6491), 1,
      anon_sym_AMP,
    ACTIONS(6493), 1,
      anon_sym_CARET,
    ACTIONS(6495), 1,
      anon_sym_PIPE,
    ACTIONS(6499), 1,
      anon_sym_PERCENT,
    ACTIONS(6501), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6503), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3354), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6479), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6481), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6489), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6507), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6509), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6505), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [112694] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5250), 1,
      anon_sym_BANG,
    ACTIONS(6483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6487), 1,
      anon_sym_GT_GT,
    ACTIONS(6491), 1,
      anon_sym_AMP,
    ACTIONS(6493), 1,
      anon_sym_CARET,
    ACTIONS(6495), 1,
      anon_sym_PIPE,
    ACTIONS(6499), 1,
      anon_sym_PERCENT,
    ACTIONS(6501), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6503), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3355), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6479), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6481), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6489), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6507), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6509), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6505), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 5,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [112796] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(6483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6485), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6487), 1,
      anon_sym_GT_GT,
    ACTIONS(6491), 1,
      anon_sym_AMP,
    ACTIONS(6493), 1,
      anon_sym_CARET,
    ACTIONS(6495), 1,
      anon_sym_PIPE,
    ACTIONS(6499), 1,
      anon_sym_PERCENT,
    ACTIONS(6501), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6503), 1,
      anon_sym_LT,
    ACTIONS(6511), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6513), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3356), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6479), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6481), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6489), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6507), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6509), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6505), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [112906] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3357), 1,
      sym_comment,
    STATE(4751), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112974] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5403), 1,
      anon_sym_EQ,
    ACTIONS(5859), 1,
      anon_sym_COLON,
    STATE(3358), 1,
      sym_comment,
    ACTIONS(5544), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(5401), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [113034] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3359), 1,
      sym_comment,
    STATE(4716), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113102] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(6483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6485), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6487), 1,
      anon_sym_GT_GT,
    ACTIONS(6491), 1,
      anon_sym_AMP,
    ACTIONS(6493), 1,
      anon_sym_CARET,
    ACTIONS(6495), 1,
      anon_sym_PIPE,
    ACTIONS(6499), 1,
      anon_sym_PERCENT,
    ACTIONS(6501), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6503), 1,
      anon_sym_LT,
    ACTIONS(6511), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6513), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3360), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6479), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6481), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6489), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6507), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6509), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6505), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [113212] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6499), 1,
      anon_sym_PERCENT,
    ACTIONS(6501), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6543), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3361), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6479), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [113294] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6487), 1,
      anon_sym_GT_GT,
    ACTIONS(6499), 1,
      anon_sym_PERCENT,
    ACTIONS(6501), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6503), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3362), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6479), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6481), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6489), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6507), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6509), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6505), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [113388] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6487), 1,
      anon_sym_GT_GT,
    ACTIONS(6491), 1,
      anon_sym_AMP,
    ACTIONS(6499), 1,
      anon_sym_PERCENT,
    ACTIONS(6501), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6503), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3363), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5250), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6479), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6481), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6489), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6507), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6509), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6505), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [113484] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6487), 1,
      anon_sym_GT_GT,
    ACTIONS(6491), 1,
      anon_sym_AMP,
    ACTIONS(6493), 1,
      anon_sym_CARET,
    ACTIONS(6499), 1,
      anon_sym_PERCENT,
    ACTIONS(6501), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6503), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3364), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5250), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6479), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6481), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6489), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6507), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6509), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6505), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [113582] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6499), 1,
      anon_sym_PERCENT,
    ACTIONS(6501), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6543), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3365), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6479), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [113662] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(6501), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6543), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3366), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5250), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 13,
      sym__ternary_qmark,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [113744] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3367), 1,
      sym_comment,
    STATE(4755), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113812] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3368), 1,
      sym_comment,
    STATE(4731), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113880] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6487), 1,
      anon_sym_GT_GT,
    ACTIONS(6499), 1,
      anon_sym_PERCENT,
    ACTIONS(6501), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6503), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3369), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6479), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6481), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6489), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6505), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5250), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [113970] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5250), 1,
      anon_sym_BANG,
    ACTIONS(6483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6485), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6487), 1,
      anon_sym_GT_GT,
    ACTIONS(6491), 1,
      anon_sym_AMP,
    ACTIONS(6493), 1,
      anon_sym_CARET,
    ACTIONS(6495), 1,
      anon_sym_PIPE,
    ACTIONS(6499), 1,
      anon_sym_PERCENT,
    ACTIONS(6501), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6503), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3370), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6479), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6481), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6489), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6507), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6509), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6505), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5248), 4,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [114074] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(6483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6485), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6487), 1,
      anon_sym_GT_GT,
    ACTIONS(6491), 1,
      anon_sym_AMP,
    ACTIONS(6493), 1,
      anon_sym_CARET,
    ACTIONS(6495), 1,
      anon_sym_PIPE,
    ACTIONS(6499), 1,
      anon_sym_PERCENT,
    ACTIONS(6501), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6503), 1,
      anon_sym_LT,
    ACTIONS(6511), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6513), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3371), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6479), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6481), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6489), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6507), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6509), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6505), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [114184] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3372), 1,
      sym_comment,
    ACTIONS(4950), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4944), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4946), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [114240] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4769), 1,
      anon_sym_LBRACK,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4852), 1,
      anon_sym_as,
    ACTIONS(4856), 1,
      anon_sym_BANG,
    ACTIONS(4894), 1,
      anon_sym_satisfies,
    ACTIONS(6483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6485), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6487), 1,
      anon_sym_GT_GT,
    ACTIONS(6491), 1,
      anon_sym_AMP,
    ACTIONS(6493), 1,
      anon_sym_CARET,
    ACTIONS(6495), 1,
      anon_sym_PIPE,
    ACTIONS(6499), 1,
      anon_sym_PERCENT,
    ACTIONS(6501), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6503), 1,
      anon_sym_LT,
    ACTIONS(6511), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6513), 1,
      sym__ternary_qmark,
    STATE(2325), 1,
      sym_type_arguments,
    STATE(3373), 1,
      sym_comment,
    STATE(6155), 1,
      sym_optional_chain,
    ACTIONS(4892), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6479), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6481), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6489), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6507), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6509), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6505), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [114350] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    STATE(3374), 1,
      sym_comment,
    ACTIONS(5819), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1035), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2433), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114409] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6546), 1,
      anon_sym_abstract,
    STATE(3375), 1,
      sym_comment,
    STATE(4202), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4332), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114478] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(5992), 1,
      anon_sym_STAR,
    STATE(3376), 1,
      sym_comment,
    STATE(4787), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6540), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114551] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3377), 1,
      sym_comment,
    ACTIONS(2191), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6548), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6551), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [114606] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5172), 1,
      anon_sym_EQ,
    ACTIONS(5509), 1,
      anon_sym_RBRACK,
    ACTIONS(5869), 1,
      anon_sym_COMMA,
    STATE(3378), 1,
      sym_comment,
    ACTIONS(5170), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5174), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [114665] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3379), 1,
      sym_comment,
    ACTIONS(2265), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6554), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6557), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [114720] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4196), 1,
      anon_sym_EQ,
    STATE(3380), 1,
      sym_comment,
    ACTIONS(4081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [114775] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6404), 1,
      anon_sym_COMMA,
    STATE(3381), 1,
      sym_comment,
    ACTIONS(4944), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4946), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [114830] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3382), 1,
      sym_comment,
    ACTIONS(5707), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6560), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6563), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [114885] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3383), 1,
      sym_comment,
    ACTIONS(2229), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6566), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6569), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [114940] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5403), 1,
      anon_sym_EQ,
    ACTIONS(5544), 1,
      anon_sym_RBRACK,
    ACTIONS(5859), 1,
      anon_sym_COMMA,
    STATE(3384), 1,
      sym_comment,
    ACTIONS(5401), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [114999] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2069), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5642), 1,
      anon_sym_RBRACK,
    ACTIONS(5855), 1,
      anon_sym_COMMA,
    STATE(3385), 1,
      sym_comment,
    ACTIONS(2067), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2073), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [115058] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3386), 1,
      sym_comment,
    ACTIONS(5549), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6572), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6575), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [115113] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3387), 1,
      sym_comment,
    ACTIONS(2219), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6578), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6581), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [115168] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3388), 1,
      sym_comment,
    ACTIONS(5559), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6584), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6587), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [115223] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6590), 1,
      anon_sym_readonly,
    STATE(3389), 1,
      sym_comment,
    STATE(3673), 1,
      sym_override_modifier,
    STATE(4285), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4332), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115296] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6592), 1,
      anon_sym_abstract,
    STATE(3390), 1,
      sym_comment,
    STATE(4285), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4332), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115365] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5512), 1,
      anon_sym_LBRACK,
    STATE(3391), 1,
      sym_comment,
    ACTIONS(5515), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4799), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4081), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [115424] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4185), 1,
      anon_sym_EQ,
    ACTIONS(5518), 1,
      anon_sym_LBRACK,
    STATE(3392), 1,
      sym_comment,
    ACTIONS(5290), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5521), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4081), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [115485] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5676), 1,
      anon_sym_LBRACK,
    STATE(3393), 1,
      sym_comment,
    ACTIONS(5679), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5150), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(5481), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5483), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [115544] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4799), 1,
      anon_sym_extends,
    STATE(3394), 1,
      sym_comment,
    ACTIONS(5512), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5515), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4081), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [115603] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5518), 1,
      anon_sym_LBRACK,
    STATE(3395), 1,
      sym_comment,
    ACTIONS(5521), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5290), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4081), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [115662] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6594), 1,
      anon_sym_abstract,
    STATE(3396), 1,
      sym_comment,
    STATE(4338), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4332), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115731] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    STATE(3397), 1,
      sym_comment,
    ACTIONS(5819), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1035), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2439), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115790] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6596), 1,
      anon_sym_readonly,
    STATE(3398), 1,
      sym_comment,
    STATE(3650), 1,
      sym_override_modifier,
    STATE(4249), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4332), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115863] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(5992), 1,
      anon_sym_STAR,
    STATE(3399), 1,
      sym_comment,
    STATE(4787), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6540), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115938] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6598), 1,
      anon_sym_abstract,
    STATE(3400), 1,
      sym_comment,
    STATE(4248), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4332), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116007] = 25,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4498), 1,
      anon_sym_AT,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6600), 1,
      anon_sym_STAR,
    ACTIONS(6602), 1,
      anon_sym_async,
    ACTIONS(6604), 1,
      anon_sym_static,
    ACTIONS(6606), 1,
      anon_sym_readonly,
    ACTIONS(6610), 1,
      anon_sym_declare,
    ACTIONS(6612), 1,
      anon_sym_abstract,
    STATE(3401), 1,
      sym_comment,
    STATE(3469), 1,
      sym_method_definition,
    STATE(3547), 1,
      sym_accessibility_modifier,
    STATE(3614), 1,
      aux_sym_export_statement_repeat1,
    STATE(3617), 1,
      sym_override_modifier,
    STATE(3696), 1,
      sym_decorator,
    STATE(3914), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6608), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4508), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(4332), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116100] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6614), 1,
      anon_sym_readonly,
    STATE(3402), 1,
      sym_comment,
    STATE(3648), 1,
      sym_override_modifier,
    STATE(4332), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4332), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116173] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    STATE(3403), 1,
      sym_comment,
    ACTIONS(1035), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2439), 30,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [116228] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6092), 1,
      anon_sym_abstract,
    STATE(3404), 1,
      sym_comment,
    STATE(4188), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4332), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116297] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6616), 1,
      anon_sym_readonly,
    STATE(3405), 1,
      sym_comment,
    STATE(3693), 1,
      sym_override_modifier,
    STATE(4188), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4332), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116370] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6618), 1,
      anon_sym_readonly,
    STATE(3406), 1,
      sym_comment,
    STATE(3668), 1,
      sym_override_modifier,
    STATE(4203), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4332), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116443] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4207), 1,
      anon_sym_EQ,
    STATE(3407), 1,
      sym_comment,
    ACTIONS(4081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [116498] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3408), 1,
      sym_comment,
    ACTIONS(5467), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6620), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6623), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [116553] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4191), 1,
      anon_sym_RBRACK,
    ACTIONS(4203), 1,
      anon_sym_COMMA,
    ACTIONS(4320), 1,
      anon_sym_EQ,
    STATE(3409), 1,
      sym_comment,
    ACTIONS(4081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [116612] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(2904), 1,
      anon_sym_readonly,
    ACTIONS(2908), 1,
      anon_sym_override,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(5992), 1,
      anon_sym_STAR,
    STATE(3410), 1,
      sym_comment,
    STATE(3628), 1,
      sym_override_modifier,
    STATE(4787), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6626), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116691] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3411), 1,
      sym_comment,
    ACTIONS(4950), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4944), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4946), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [116746] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    STATE(3412), 1,
      sym_comment,
    STATE(4276), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4332), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116812] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    STATE(3413), 1,
      sym_comment,
    STATE(4251), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4332), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116878] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    STATE(3414), 1,
      sym_comment,
    STATE(4191), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4332), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116944] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(5992), 1,
      anon_sym_STAR,
    STATE(3415), 1,
      sym_comment,
    STATE(4787), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6626), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117016] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2069), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5855), 1,
      anon_sym_of,
    ACTIONS(6302), 1,
      anon_sym_in,
    STATE(3416), 1,
      sym_comment,
    ACTIONS(2067), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2073), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [117074] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5403), 1,
      anon_sym_EQ,
    ACTIONS(5859), 1,
      anon_sym_of,
    ACTIONS(6293), 1,
      anon_sym_in,
    STATE(3417), 1,
      sym_comment,
    ACTIONS(5401), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [117132] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5172), 1,
      anon_sym_EQ,
    ACTIONS(5869), 1,
      anon_sym_of,
    ACTIONS(6229), 1,
      anon_sym_in,
    STATE(3418), 1,
      sym_comment,
    ACTIONS(5170), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5174), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [117190] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    STATE(3419), 1,
      sym_comment,
    STATE(4296), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4332), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117256] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    STATE(3420), 1,
      sym_comment,
    ACTIONS(1035), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2439), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117310] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6061), 1,
      sym_regex_flags,
    STATE(3421), 1,
      sym_comment,
    ACTIONS(6057), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(6059), 20,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [117364] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    STATE(3422), 1,
      sym_comment,
    STATE(4210), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4332), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117430] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(6148), 1,
      anon_sym_RBRACE,
    STATE(3423), 1,
      sym_comment,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2439), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117492] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    STATE(3424), 1,
      sym_comment,
    STATE(4317), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4332), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117558] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    STATE(3425), 1,
      sym_comment,
    STATE(4327), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4332), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117624] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(6100), 1,
      anon_sym_RBRACE,
    STATE(3426), 1,
      sym_comment,
    STATE(6262), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2433), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117686] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(6100), 1,
      anon_sym_RBRACE,
    STATE(3427), 1,
      sym_comment,
    STATE(6262), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2439), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117748] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    STATE(3428), 1,
      sym_comment,
    STATE(4328), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4332), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117814] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4272), 1,
      anon_sym_EQ,
    STATE(3429), 1,
      sym_comment,
    ACTIONS(4081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [117868] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    STATE(3430), 1,
      sym_comment,
    STATE(4242), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4332), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117934] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(6148), 1,
      anon_sym_RBRACE,
    STATE(3431), 1,
      sym_comment,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2433), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117996] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1014), 1,
      anon_sym_RBRACE,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    STATE(3432), 1,
      sym_comment,
    STATE(6262), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2433), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118058] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    STATE(3433), 1,
      sym_comment,
    STATE(3280), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4807), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4809), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [118116] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    STATE(3434), 1,
      sym_comment,
    STATE(4193), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4332), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118182] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1045), 1,
      anon_sym_RBRACE,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    STATE(3435), 1,
      sym_comment,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2439), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118244] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(5992), 1,
      anon_sym_STAR,
    STATE(3436), 1,
      sym_comment,
    STATE(4787), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6626), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118314] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4185), 1,
      anon_sym_EQ,
    ACTIONS(4290), 1,
      anon_sym_in,
    ACTIONS(4293), 1,
      anon_sym_of,
    STATE(3437), 1,
      sym_comment,
    ACTIONS(4081), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [118372] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1055), 1,
      anon_sym_RBRACE,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    STATE(3438), 1,
      sym_comment,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2433), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118434] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    STATE(3439), 1,
      sym_comment,
    STATE(4256), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4332), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118500] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    STATE(3440), 1,
      sym_comment,
    STATE(4283), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4332), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118566] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    STATE(3441), 1,
      sym_comment,
    STATE(4348), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4332), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118632] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1045), 1,
      anon_sym_RBRACE,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    STATE(3442), 1,
      sym_comment,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2433), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118694] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1014), 1,
      anon_sym_RBRACE,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    STATE(3443), 1,
      sym_comment,
    STATE(6262), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2439), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118756] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4264), 1,
      anon_sym_EQ,
    STATE(3444), 1,
      sym_comment,
    ACTIONS(4081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [118810] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(6065), 1,
      anon_sym_RBRACE,
    STATE(3445), 1,
      sym_comment,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2439), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118872] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(6065), 1,
      anon_sym_RBRACE,
    STATE(3446), 1,
      sym_comment,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2433), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118934] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(1055), 1,
      anon_sym_RBRACE,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    STATE(3447), 1,
      sym_comment,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2439), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118996] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3448), 1,
      sym_comment,
    STATE(4787), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6540), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119064] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    STATE(3449), 1,
      sym_comment,
    STATE(4170), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4332), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119130] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    STATE(3450), 1,
      sym_comment,
    STATE(4358), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4332), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119196] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    STATE(3451), 1,
      sym_comment,
    STATE(4240), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4332), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119262] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(6000), 1,
      anon_sym_RBRACE,
    STATE(3452), 1,
      sym_comment,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2433), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119324] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(231), 1,
      anon_sym_COMMA,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    ACTIONS(6000), 1,
      anon_sym_RBRACE,
    STATE(3453), 1,
      sym_comment,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2439), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119386] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4454), 1,
      anon_sym_EQ,
    STATE(3454), 1,
      sym_comment,
    ACTIONS(4081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [119439] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4408), 1,
      anon_sym_EQ,
    STATE(3455), 1,
      sym_comment,
    ACTIONS(4081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [119492] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4456), 1,
      anon_sym_EQ,
    STATE(3456), 1,
      sym_comment,
    ACTIONS(4081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [119545] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3457), 1,
      sym_comment,
    STATE(4787), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6626), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119610] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4424), 1,
      anon_sym_EQ,
    STATE(3458), 1,
      sym_comment,
    ACTIONS(4081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [119663] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4452), 1,
      anon_sym_EQ,
    STATE(3459), 1,
      sym_comment,
    ACTIONS(4081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [119716] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4444), 1,
      anon_sym_EQ,
    STATE(3460), 1,
      sym_comment,
    ACTIONS(4081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [119769] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4394), 1,
      anon_sym_EQ,
    STATE(3461), 1,
      sym_comment,
    ACTIONS(4081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [119822] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4448), 1,
      anon_sym_EQ,
    STATE(3462), 1,
      sym_comment,
    ACTIONS(4081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [119875] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4422), 1,
      anon_sym_EQ,
    STATE(3463), 1,
      sym_comment,
    ACTIONS(4081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [119928] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6630), 1,
      sym__automatic_semicolon,
    STATE(3464), 1,
      sym_comment,
    ACTIONS(6628), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [119978] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6634), 1,
      sym__automatic_semicolon,
    STATE(3465), 1,
      sym_comment,
    ACTIONS(6632), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [120028] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6636), 1,
      sym__automatic_semicolon,
    STATE(3466), 1,
      sym_comment,
    ACTIONS(2141), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [120078] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6638), 1,
      sym__automatic_semicolon,
    STATE(3467), 1,
      sym_comment,
    ACTIONS(2065), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [120128] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6640), 1,
      sym__automatic_semicolon,
    STATE(3468), 1,
      sym_comment,
    ACTIONS(2141), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [120178] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6644), 1,
      anon_sym_SEMI,
    ACTIONS(6647), 1,
      sym__automatic_semicolon,
    STATE(3469), 1,
      sym_comment,
    ACTIONS(6642), 34,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [120230] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6651), 1,
      sym__automatic_semicolon,
    STATE(3470), 1,
      sym_comment,
    ACTIONS(6649), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [120280] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6655), 1,
      sym__automatic_semicolon,
    STATE(3471), 1,
      sym_comment,
    ACTIONS(6653), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [120330] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6659), 1,
      sym__automatic_semicolon,
    STATE(3472), 1,
      sym_comment,
    ACTIONS(6657), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [120380] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6651), 1,
      sym__automatic_semicolon,
    STATE(3473), 1,
      sym_comment,
    ACTIONS(6649), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [120430] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6634), 1,
      sym__automatic_semicolon,
    STATE(3474), 1,
      sym_comment,
    ACTIONS(6632), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [120480] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6659), 1,
      sym__automatic_semicolon,
    STATE(3475), 1,
      sym_comment,
    ACTIONS(6657), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [120530] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6663), 1,
      sym__automatic_semicolon,
    STATE(3476), 1,
      sym_comment,
    ACTIONS(6661), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [120580] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6667), 1,
      sym__automatic_semicolon,
    STATE(3477), 1,
      sym_comment,
    ACTIONS(6665), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [120630] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2143), 1,
      sym__automatic_semicolon,
    STATE(3478), 1,
      sym_comment,
    ACTIONS(2141), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [120680] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2167), 1,
      sym__automatic_semicolon,
    STATE(3479), 1,
      sym_comment,
    ACTIONS(2165), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [120730] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6655), 1,
      sym__automatic_semicolon,
    STATE(3480), 1,
      sym_comment,
    ACTIONS(6653), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [120780] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6630), 1,
      sym__automatic_semicolon,
    STATE(3481), 1,
      sym_comment,
    ACTIONS(6628), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [120830] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6671), 1,
      sym__automatic_semicolon,
    STATE(3482), 1,
      sym_comment,
    ACTIONS(6669), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [120880] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(2908), 1,
      anon_sym_override,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6673), 1,
      anon_sym_STAR,
    ACTIONS(6675), 1,
      anon_sym_async,
    ACTIONS(6677), 1,
      anon_sym_readonly,
    STATE(3483), 1,
      sym_comment,
    STATE(3618), 1,
      sym_override_modifier,
    STATE(4883), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6679), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120954] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6667), 1,
      sym__automatic_semicolon,
    STATE(3484), 1,
      sym_comment,
    ACTIONS(6665), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121004] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6655), 1,
      sym__automatic_semicolon,
    STATE(3485), 1,
      sym_comment,
    ACTIONS(6653), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121054] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6651), 1,
      sym__automatic_semicolon,
    STATE(3486), 1,
      sym_comment,
    ACTIONS(6649), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121104] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6634), 1,
      sym__automatic_semicolon,
    STATE(3487), 1,
      sym_comment,
    ACTIONS(6632), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121154] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6683), 1,
      sym__automatic_semicolon,
    STATE(3488), 1,
      sym_comment,
    ACTIONS(6681), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121204] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6667), 1,
      sym__automatic_semicolon,
    STATE(3489), 1,
      sym_comment,
    ACTIONS(6665), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121254] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6634), 1,
      sym__automatic_semicolon,
    STATE(3490), 1,
      sym_comment,
    ACTIONS(6632), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121304] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    STATE(3491), 1,
      sym_comment,
    ACTIONS(6540), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2433), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [121358] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6659), 1,
      sym__automatic_semicolon,
    STATE(3492), 1,
      sym_comment,
    ACTIONS(6657), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121408] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6687), 1,
      sym__automatic_semicolon,
    STATE(3493), 1,
      sym_comment,
    ACTIONS(6685), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121458] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6659), 1,
      sym__automatic_semicolon,
    STATE(3494), 1,
      sym_comment,
    ACTIONS(6657), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121508] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6630), 1,
      sym__automatic_semicolon,
    STATE(3495), 1,
      sym_comment,
    ACTIONS(6628), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121558] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6691), 1,
      anon_sym_SEMI,
    ACTIONS(6694), 1,
      sym__automatic_semicolon,
    STATE(3496), 1,
      sym_comment,
    ACTIONS(6689), 34,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121610] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6634), 1,
      sym__automatic_semicolon,
    STATE(3497), 1,
      sym_comment,
    ACTIONS(6632), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121660] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6651), 1,
      sym__automatic_semicolon,
    STATE(3498), 1,
      sym_comment,
    ACTIONS(6649), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121710] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6634), 1,
      sym__automatic_semicolon,
    STATE(3499), 1,
      sym_comment,
    ACTIONS(6632), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121760] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6634), 1,
      sym__automatic_semicolon,
    STATE(3500), 1,
      sym_comment,
    ACTIONS(6632), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121810] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6630), 1,
      sym__automatic_semicolon,
    STATE(3501), 1,
      sym_comment,
    ACTIONS(6628), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121860] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6667), 1,
      sym__automatic_semicolon,
    STATE(3502), 1,
      sym_comment,
    ACTIONS(6665), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121910] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6655), 1,
      sym__automatic_semicolon,
    STATE(3503), 1,
      sym_comment,
    ACTIONS(6653), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [121960] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6698), 1,
      sym__automatic_semicolon,
    STATE(3504), 1,
      sym_comment,
    ACTIONS(6696), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122010] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(5023), 1,
      anon_sym_EQ,
    STATE(3505), 1,
      sym_comment,
    ACTIONS(6540), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2439), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122064] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6659), 1,
      sym__automatic_semicolon,
    STATE(3506), 1,
      sym_comment,
    ACTIONS(6657), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122114] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6667), 1,
      sym__automatic_semicolon,
    STATE(3507), 1,
      sym_comment,
    ACTIONS(6665), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122164] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6683), 1,
      sym__automatic_semicolon,
    STATE(3508), 1,
      sym_comment,
    ACTIONS(6681), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122214] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6702), 1,
      sym__automatic_semicolon,
    STATE(3509), 1,
      sym_comment,
    ACTIONS(6700), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122264] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6655), 1,
      sym__automatic_semicolon,
    STATE(3510), 1,
      sym_comment,
    ACTIONS(6653), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122314] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6630), 1,
      sym__automatic_semicolon,
    STATE(3511), 1,
      sym_comment,
    ACTIONS(6628), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122364] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6651), 1,
      sym__automatic_semicolon,
    STATE(3512), 1,
      sym_comment,
    ACTIONS(6649), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122414] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6706), 1,
      sym__automatic_semicolon,
    STATE(3513), 1,
      sym_comment,
    ACTIONS(6704), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122464] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6667), 1,
      sym__automatic_semicolon,
    STATE(3514), 1,
      sym_comment,
    ACTIONS(6665), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122514] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6710), 1,
      sym__automatic_semicolon,
    STATE(3515), 1,
      sym_comment,
    ACTIONS(6708), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122564] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6667), 1,
      sym__automatic_semicolon,
    STATE(3516), 1,
      sym_comment,
    ACTIONS(6665), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122614] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6712), 1,
      sym__automatic_semicolon,
    STATE(3517), 1,
      sym_comment,
    ACTIONS(2065), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122664] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6698), 1,
      sym__automatic_semicolon,
    STATE(3518), 1,
      sym_comment,
    ACTIONS(6696), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122714] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3519), 1,
      sym_comment,
    ACTIONS(6714), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122761] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6673), 1,
      anon_sym_STAR,
    STATE(3520), 1,
      sym_comment,
    STATE(4883), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6679), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122826] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6673), 1,
      anon_sym_STAR,
    ACTIONS(6675), 1,
      anon_sym_async,
    STATE(3521), 1,
      sym_comment,
    STATE(4883), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6679), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122893] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3522), 1,
      sym_comment,
    ACTIONS(6714), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122940] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3523), 1,
      sym_comment,
    ACTIONS(6716), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [122987] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3524), 1,
      sym_comment,
    ACTIONS(6718), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [123034] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6720), 1,
      anon_sym_EQ_GT,
    STATE(3525), 1,
      sym_comment,
    STATE(4883), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123097] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6722), 1,
      anon_sym_STAR,
    ACTIONS(6724), 1,
      anon_sym_async,
    STATE(3526), 1,
      sym_comment,
    STATE(4722), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6726), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123164] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3527), 1,
      sym_comment,
    ACTIONS(6689), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [123211] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6728), 1,
      anon_sym_STAR,
    STATE(3528), 1,
      sym_comment,
    STATE(4904), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6730), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123276] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6722), 1,
      anon_sym_STAR,
    STATE(3529), 1,
      sym_comment,
    STATE(4722), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6726), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123341] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3530), 1,
      sym_comment,
    ACTIONS(6626), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2433), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123392] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3531), 1,
      sym_comment,
    ACTIONS(6626), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1035), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2439), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123443] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6732), 1,
      anon_sym_STAR,
    ACTIONS(6734), 1,
      anon_sym_async,
    STATE(3532), 1,
      sym_comment,
    STATE(4826), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6736), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123510] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6732), 1,
      anon_sym_STAR,
    STATE(3533), 1,
      sym_comment,
    STATE(4826), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6736), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123575] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3534), 1,
      sym_comment,
    ACTIONS(2141), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [123622] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3535), 1,
      sym_comment,
    ACTIONS(2165), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [123669] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3536), 1,
      sym_comment,
    STATE(4721), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123729] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3537), 1,
      sym_comment,
    STATE(4848), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123789] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3538), 1,
      sym_comment,
    STATE(4769), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123849] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3539), 1,
      sym_comment,
    STATE(4826), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123909] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3540), 1,
      sym_comment,
    STATE(4794), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123969] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(5579), 1,
      anon_sym_STAR,
    ACTIONS(5583), 1,
      anon_sym_async,
    ACTIONS(6738), 1,
      anon_sym_static,
    ACTIONS(6740), 1,
      anon_sym_readonly,
    ACTIONS(6742), 1,
      anon_sym_declare,
    ACTIONS(6744), 1,
      anon_sym_abstract,
    STATE(3541), 1,
      sym_comment,
    STATE(3630), 1,
      sym_override_modifier,
    STATE(3905), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5587), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4332), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124045] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3542), 1,
      sym_comment,
    STATE(4899), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124105] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3543), 1,
      sym_comment,
    STATE(4726), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124165] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3544), 1,
      sym_comment,
    STATE(4722), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124225] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3545), 1,
      sym_comment,
    STATE(4760), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124285] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3546), 1,
      sym_comment,
    STATE(4755), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124345] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_async,
    ACTIONS(6746), 1,
      anon_sym_static,
    ACTIONS(6748), 1,
      anon_sym_readonly,
    ACTIONS(6750), 1,
      anon_sym_declare,
    ACTIONS(6752), 1,
      anon_sym_abstract,
    STATE(3547), 1,
      sym_comment,
    STATE(3622), 1,
      sym_override_modifier,
    STATE(3919), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6112), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4332), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124421] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3548), 1,
      sym_comment,
    STATE(4719), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124481] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3549), 1,
      sym_comment,
    STATE(4720), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124541] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3550), 1,
      sym_comment,
    STATE(4734), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124601] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3551), 1,
      sym_comment,
    STATE(4752), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124661] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3552), 1,
      sym_comment,
    STATE(4913), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124721] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3553), 1,
      sym_comment,
    STATE(4849), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124781] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3554), 1,
      sym_comment,
    STATE(4725), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124841] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3555), 1,
      sym_comment,
    STATE(4751), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124901] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3556), 1,
      sym_comment,
    STATE(4749), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124961] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3557), 1,
      sym_comment,
    STATE(4716), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125021] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3558), 1,
      sym_comment,
    STATE(4731), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125081] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3559), 1,
      sym_comment,
    STATE(4714), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125141] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3560), 1,
      sym_comment,
    STATE(4735), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125201] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3561), 1,
      sym_comment,
    STATE(4904), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125261] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3562), 1,
      sym_comment,
    STATE(4883), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125321] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6754), 1,
      anon_sym_LPAREN,
    ACTIONS(6756), 1,
      anon_sym_DOT,
    STATE(3563), 1,
      sym_comment,
    STATE(3645), 1,
      sym_arguments,
    ACTIONS(4246), 31,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125373] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3564), 1,
      sym_comment,
    STATE(4866), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125433] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3565), 1,
      sym_comment,
    STATE(4780), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1035), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125493] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6758), 1,
      anon_sym_RBRACE,
    STATE(3566), 1,
      sym_comment,
    STATE(5676), 1,
      sym__property_name,
    STATE(7027), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125554] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2936), 1,
      anon_sym_type,
    ACTIONS(2938), 1,
      anon_sym_namespace,
    ACTIONS(2940), 1,
      anon_sym_import,
    ACTIONS(2942), 1,
      anon_sym_var,
    ACTIONS(2944), 1,
      anon_sym_let,
    ACTIONS(2946), 1,
      anon_sym_const,
    ACTIONS(2948), 1,
      anon_sym_class,
    ACTIONS(2950), 1,
      anon_sym_async,
    ACTIONS(2952), 1,
      anon_sym_function,
    ACTIONS(2954), 1,
      anon_sym_declare,
    ACTIONS(2956), 1,
      anon_sym_module,
    ACTIONS(2958), 1,
      anon_sym_abstract,
    ACTIONS(2960), 1,
      anon_sym_global,
    ACTIONS(2962), 1,
      anon_sym_interface,
    ACTIONS(2964), 1,
      anon_sym_enum,
    STATE(3567), 1,
      sym_comment,
    STATE(4920), 1,
      sym_declaration,
    STATE(4930), 1,
      sym_internal_module,
    STATE(4938), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(4937), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [125639] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6157), 1,
      anon_sym_STAR,
    ACTIONS(6159), 1,
      anon_sym_async,
    ACTIONS(6161), 1,
      anon_sym_readonly,
    ACTIONS(6760), 1,
      anon_sym_static,
    STATE(3568), 1,
      sym_comment,
    STATE(3621), 1,
      sym_override_modifier,
    STATE(3955), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6163), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4332), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125710] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2834), 1,
      anon_sym_namespace,
    ACTIONS(2836), 1,
      anon_sym_import,
    ACTIONS(2838), 1,
      anon_sym_var,
    ACTIONS(2840), 1,
      anon_sym_let,
    ACTIONS(2842), 1,
      anon_sym_const,
    ACTIONS(2846), 1,
      anon_sym_class,
    ACTIONS(2848), 1,
      anon_sym_async,
    ACTIONS(2850), 1,
      anon_sym_function,
    ACTIONS(2852), 1,
      anon_sym_declare,
    ACTIONS(2854), 1,
      anon_sym_module,
    ACTIONS(2856), 1,
      anon_sym_abstract,
    ACTIONS(2858), 1,
      anon_sym_interface,
    ACTIONS(2860), 1,
      anon_sym_enum,
    ACTIONS(2928), 1,
      anon_sym_type,
    ACTIONS(6762), 1,
      anon_sym_default,
    STATE(1194), 1,
      sym_declaration,
    STATE(1238), 1,
      sym_internal_module,
    STATE(3569), 1,
      sym_comment,
    STATE(4929), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(1244), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [125795] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6094), 1,
      anon_sym_static,
    ACTIONS(6096), 1,
      anon_sym_readonly,
    ACTIONS(6098), 1,
      anon_sym_abstract,
    STATE(3570), 1,
      sym_comment,
    STATE(3693), 1,
      sym_override_modifier,
    STATE(4188), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4332), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125862] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6764), 1,
      anon_sym_RBRACE,
    STATE(3571), 1,
      sym_comment,
    STATE(5676), 1,
      sym__property_name,
    STATE(7027), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [125923] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2872), 1,
      anon_sym_namespace,
    ACTIONS(2874), 1,
      anon_sym_import,
    ACTIONS(2876), 1,
      anon_sym_var,
    ACTIONS(2878), 1,
      anon_sym_let,
    ACTIONS(2880), 1,
      anon_sym_const,
    ACTIONS(2884), 1,
      anon_sym_class,
    ACTIONS(2886), 1,
      anon_sym_async,
    ACTIONS(2888), 1,
      anon_sym_function,
    ACTIONS(2890), 1,
      anon_sym_declare,
    ACTIONS(2894), 1,
      anon_sym_abstract,
    ACTIONS(2896), 1,
      anon_sym_interface,
    ACTIONS(2898), 1,
      anon_sym_enum,
    ACTIONS(2922), 1,
      anon_sym_type,
    ACTIONS(2924), 1,
      anon_sym_module,
    ACTIONS(2926), 1,
      anon_sym_global,
    STATE(1213), 1,
      sym_internal_module,
    STATE(1223), 1,
      sym_declaration,
    STATE(3572), 1,
      sym_comment,
    STATE(4950), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(1206), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [126008] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6766), 1,
      anon_sym_RBRACE,
    STATE(3573), 1,
      sym_comment,
    STATE(5676), 1,
      sym__property_name,
    STATE(7027), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [126069] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6768), 1,
      anon_sym_RBRACE,
    STATE(3574), 1,
      sym_comment,
    STATE(5508), 1,
      sym__property_name,
    STATE(6343), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [126130] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6770), 1,
      anon_sym_RBRACE,
    STATE(3575), 1,
      sym_comment,
    STATE(5676), 1,
      sym__property_name,
    STATE(7027), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [126191] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6772), 1,
      anon_sym_RBRACE,
    STATE(3576), 1,
      sym_comment,
    STATE(5676), 1,
      sym__property_name,
    STATE(7027), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [126252] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6774), 1,
      anon_sym_RBRACE,
    STATE(3577), 1,
      sym_comment,
    STATE(5676), 1,
      sym__property_name,
    STATE(7027), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [126313] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6776), 1,
      anon_sym_RBRACE,
    STATE(3578), 1,
      sym_comment,
    STATE(5676), 1,
      sym__property_name,
    STATE(7027), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [126374] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6778), 1,
      anon_sym_RBRACE,
    STATE(3579), 1,
      sym_comment,
    STATE(5676), 1,
      sym__property_name,
    STATE(7027), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [126435] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6780), 1,
      anon_sym_RBRACE,
    STATE(3580), 1,
      sym_comment,
    STATE(4989), 1,
      sym__property_name,
    STATE(5818), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [126496] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6782), 1,
      anon_sym_RBRACE,
    STATE(3581), 1,
      sym_comment,
    STATE(5419), 1,
      sym__property_name,
    STATE(6306), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [126557] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2754), 1,
      anon_sym_namespace,
    ACTIONS(2756), 1,
      anon_sym_import,
    ACTIONS(2758), 1,
      anon_sym_var,
    ACTIONS(2760), 1,
      anon_sym_let,
    ACTIONS(2762), 1,
      anon_sym_const,
    ACTIONS(2766), 1,
      anon_sym_class,
    ACTIONS(2768), 1,
      anon_sym_async,
    ACTIONS(2770), 1,
      anon_sym_function,
    ACTIONS(2772), 1,
      anon_sym_declare,
    ACTIONS(2776), 1,
      anon_sym_abstract,
    ACTIONS(2778), 1,
      anon_sym_interface,
    ACTIONS(2780), 1,
      anon_sym_enum,
    ACTIONS(2910), 1,
      anon_sym_type,
    ACTIONS(2912), 1,
      anon_sym_module,
    ACTIONS(2914), 1,
      anon_sym_global,
    STATE(993), 1,
      sym_declaration,
    STATE(1000), 1,
      sym_internal_module,
    STATE(3582), 1,
      sym_comment,
    STATE(4923), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(1003), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [126642] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2754), 1,
      anon_sym_namespace,
    ACTIONS(2756), 1,
      anon_sym_import,
    ACTIONS(2758), 1,
      anon_sym_var,
    ACTIONS(2760), 1,
      anon_sym_let,
    ACTIONS(2762), 1,
      anon_sym_const,
    ACTIONS(2766), 1,
      anon_sym_class,
    ACTIONS(2768), 1,
      anon_sym_async,
    ACTIONS(2770), 1,
      anon_sym_function,
    ACTIONS(2772), 1,
      anon_sym_declare,
    ACTIONS(2774), 1,
      anon_sym_module,
    ACTIONS(2776), 1,
      anon_sym_abstract,
    ACTIONS(2778), 1,
      anon_sym_interface,
    ACTIONS(2780), 1,
      anon_sym_enum,
    ACTIONS(2910), 1,
      anon_sym_type,
    ACTIONS(6784), 1,
      anon_sym_default,
    STATE(971), 1,
      sym_declaration,
    STATE(1000), 1,
      sym_internal_module,
    STATE(3583), 1,
      sym_comment,
    STATE(4923), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(1003), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [126727] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6786), 1,
      anon_sym_RBRACE,
    STATE(3584), 1,
      sym_comment,
    STATE(5454), 1,
      sym__property_name,
    STATE(6340), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [126788] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6788), 1,
      anon_sym_RBRACE,
    STATE(3585), 1,
      sym_comment,
    STATE(5676), 1,
      sym__property_name,
    STATE(7027), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [126849] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6790), 1,
      anon_sym_RBRACE,
    STATE(3586), 1,
      sym_comment,
    STATE(5676), 1,
      sym__property_name,
    STATE(7027), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [126910] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6616), 1,
      anon_sym_readonly,
    ACTIONS(6792), 1,
      anon_sym_STAR,
    STATE(3587), 1,
      sym_comment,
    STATE(3629), 1,
      sym_override_modifier,
    STATE(3930), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6794), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4332), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [126977] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6796), 1,
      anon_sym_RBRACE,
    STATE(3588), 1,
      sym_comment,
    STATE(5676), 1,
      sym__property_name,
    STATE(7027), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127038] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6798), 1,
      anon_sym_RBRACE,
    STATE(3589), 1,
      sym_comment,
    STATE(5676), 1,
      sym__property_name,
    STATE(7027), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127099] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6800), 1,
      anon_sym_RBRACE,
    STATE(3590), 1,
      sym_comment,
    STATE(5676), 1,
      sym__property_name,
    STATE(7027), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127160] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6802), 1,
      anon_sym_static,
    ACTIONS(6804), 1,
      anon_sym_readonly,
    ACTIONS(6806), 1,
      anon_sym_abstract,
    STATE(3591), 1,
      sym_comment,
    STATE(3675), 1,
      sym_override_modifier,
    STATE(4356), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4332), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127227] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6808), 1,
      anon_sym_RBRACE,
    STATE(3592), 1,
      sym_comment,
    STATE(5372), 1,
      sym__property_name,
    STATE(6102), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127288] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2936), 1,
      anon_sym_type,
    ACTIONS(2938), 1,
      anon_sym_namespace,
    ACTIONS(2940), 1,
      anon_sym_import,
    ACTIONS(2942), 1,
      anon_sym_var,
    ACTIONS(2944), 1,
      anon_sym_let,
    ACTIONS(2946), 1,
      anon_sym_const,
    ACTIONS(2948), 1,
      anon_sym_class,
    ACTIONS(2950), 1,
      anon_sym_async,
    ACTIONS(2952), 1,
      anon_sym_function,
    ACTIONS(2954), 1,
      anon_sym_declare,
    ACTIONS(2958), 1,
      anon_sym_abstract,
    ACTIONS(2962), 1,
      anon_sym_interface,
    ACTIONS(2964), 1,
      anon_sym_enum,
    ACTIONS(4476), 1,
      anon_sym_module,
    ACTIONS(6810), 1,
      anon_sym_default,
    STATE(3593), 1,
      sym_comment,
    STATE(4930), 1,
      sym_internal_module,
    STATE(4938), 1,
      aux_sym_export_statement_repeat1,
    STATE(5001), 1,
      sym_declaration,
    STATE(5685), 1,
      sym_decorator,
    STATE(4937), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [127373] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6812), 1,
      anon_sym_RBRACE,
    STATE(3594), 1,
      sym_comment,
    STATE(5676), 1,
      sym__property_name,
    STATE(7027), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127434] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6814), 1,
      anon_sym_RBRACE,
    STATE(3595), 1,
      sym_comment,
    STATE(5384), 1,
      sym__property_name,
    STATE(6148), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127495] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(5021), 1,
      anon_sym_STAR,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(5033), 1,
      anon_sym_async,
    ACTIONS(5035), 1,
      anon_sym_readonly,
    ACTIONS(6816), 1,
      anon_sym_static,
    STATE(3596), 1,
      sym_comment,
    STATE(3619), 1,
      sym_override_modifier,
    STATE(3967), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5037), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4332), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127566] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2663), 1,
      anon_sym_namespace,
    ACTIONS(2669), 1,
      anon_sym_import,
    ACTIONS(2671), 1,
      anon_sym_var,
    ACTIONS(2673), 1,
      anon_sym_let,
    ACTIONS(2675), 1,
      anon_sym_const,
    ACTIONS(2683), 1,
      anon_sym_class,
    ACTIONS(2685), 1,
      anon_sym_async,
    ACTIONS(2687), 1,
      anon_sym_function,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2700), 1,
      anon_sym_declare,
    ACTIONS(2704), 1,
      anon_sym_abstract,
    ACTIONS(2706), 1,
      anon_sym_interface,
    ACTIONS(2708), 1,
      anon_sym_enum,
    ACTIONS(2738), 1,
      anon_sym_type,
    ACTIONS(2740), 1,
      anon_sym_module,
    ACTIONS(2742), 1,
      anon_sym_global,
    STATE(1554), 1,
      sym_internal_module,
    STATE(1619), 1,
      sym_declaration,
    STATE(3597), 1,
      sym_comment,
    STATE(5034), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(1623), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [127651] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_RBRACE,
    STATE(3598), 1,
      sym_comment,
    STATE(5676), 1,
      sym__property_name,
    STATE(7027), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127712] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(2904), 1,
      anon_sym_readonly,
    ACTIONS(2908), 1,
      anon_sym_override,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(5992), 1,
      anon_sym_STAR,
    ACTIONS(6820), 1,
      anon_sym_static,
    STATE(3599), 1,
      sym_comment,
    STATE(3628), 1,
      sym_override_modifier,
    STATE(4787), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127783] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6822), 1,
      anon_sym_RBRACE,
    STATE(3600), 1,
      sym_comment,
    STATE(5676), 1,
      sym__property_name,
    STATE(7027), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127844] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6824), 1,
      anon_sym_RBRACE,
    STATE(3601), 1,
      sym_comment,
    STATE(5676), 1,
      sym__property_name,
    STATE(7027), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127905] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2792), 1,
      anon_sym_namespace,
    ACTIONS(2794), 1,
      anon_sym_import,
    ACTIONS(2796), 1,
      anon_sym_var,
    ACTIONS(2798), 1,
      anon_sym_let,
    ACTIONS(2800), 1,
      anon_sym_const,
    ACTIONS(2804), 1,
      anon_sym_class,
    ACTIONS(2806), 1,
      anon_sym_async,
    ACTIONS(2808), 1,
      anon_sym_function,
    ACTIONS(2810), 1,
      anon_sym_declare,
    ACTIONS(2814), 1,
      anon_sym_abstract,
    ACTIONS(2816), 1,
      anon_sym_interface,
    ACTIONS(2818), 1,
      anon_sym_enum,
    ACTIONS(2916), 1,
      anon_sym_type,
    ACTIONS(2918), 1,
      anon_sym_module,
    ACTIONS(2920), 1,
      anon_sym_global,
    STATE(3602), 1,
      sym_comment,
    STATE(5030), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6597), 1,
      sym_declaration,
    STATE(6655), 1,
      sym_internal_module,
    STATE(6698), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [127990] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6826), 1,
      anon_sym_RBRACE,
    STATE(3603), 1,
      sym_comment,
    STATE(5676), 1,
      sym__property_name,
    STATE(7027), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128051] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6828), 1,
      anon_sym_RBRACE,
    STATE(3604), 1,
      sym_comment,
    STATE(5676), 1,
      sym__property_name,
    STATE(7027), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128112] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6830), 1,
      anon_sym_RBRACE,
    STATE(3605), 1,
      sym_comment,
    STATE(5676), 1,
      sym__property_name,
    STATE(7027), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128173] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2834), 1,
      anon_sym_namespace,
    ACTIONS(2836), 1,
      anon_sym_import,
    ACTIONS(2838), 1,
      anon_sym_var,
    ACTIONS(2840), 1,
      anon_sym_let,
    ACTIONS(2842), 1,
      anon_sym_const,
    ACTIONS(2846), 1,
      anon_sym_class,
    ACTIONS(2848), 1,
      anon_sym_async,
    ACTIONS(2850), 1,
      anon_sym_function,
    ACTIONS(2852), 1,
      anon_sym_declare,
    ACTIONS(2856), 1,
      anon_sym_abstract,
    ACTIONS(2858), 1,
      anon_sym_interface,
    ACTIONS(2860), 1,
      anon_sym_enum,
    ACTIONS(2928), 1,
      anon_sym_type,
    ACTIONS(2930), 1,
      anon_sym_module,
    ACTIONS(2932), 1,
      anon_sym_global,
    STATE(1220), 1,
      sym_declaration,
    STATE(1238), 1,
      sym_internal_module,
    STATE(3606), 1,
      sym_comment,
    STATE(4929), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(1244), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [128258] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6832), 1,
      anon_sym_RBRACE,
    STATE(3607), 1,
      sym_comment,
    STATE(5676), 1,
      sym__property_name,
    STATE(7027), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128319] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(4356), 1,
      anon_sym_override,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6834), 1,
      anon_sym_STAR,
    ACTIONS(6836), 1,
      anon_sym_readonly,
    STATE(3608), 1,
      sym_comment,
    STATE(3633), 1,
      sym_override_modifier,
    STATE(3895), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6838), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4332), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128386] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2663), 1,
      anon_sym_namespace,
    ACTIONS(2669), 1,
      anon_sym_import,
    ACTIONS(2671), 1,
      anon_sym_var,
    ACTIONS(2673), 1,
      anon_sym_let,
    ACTIONS(2675), 1,
      anon_sym_const,
    ACTIONS(2683), 1,
      anon_sym_class,
    ACTIONS(2685), 1,
      anon_sym_async,
    ACTIONS(2687), 1,
      anon_sym_function,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2700), 1,
      anon_sym_declare,
    ACTIONS(2702), 1,
      anon_sym_module,
    ACTIONS(2704), 1,
      anon_sym_abstract,
    ACTIONS(2706), 1,
      anon_sym_interface,
    ACTIONS(2708), 1,
      anon_sym_enum,
    ACTIONS(2738), 1,
      anon_sym_type,
    ACTIONS(6840), 1,
      anon_sym_default,
    STATE(1529), 1,
      sym_declaration,
    STATE(1554), 1,
      sym_internal_module,
    STATE(3609), 1,
      sym_comment,
    STATE(5034), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(1623), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [128471] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3610), 1,
      sym_comment,
    ACTIONS(4270), 33,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [128516] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6842), 1,
      anon_sym_RBRACE,
    STATE(3611), 1,
      sym_comment,
    STATE(5676), 1,
      sym__property_name,
    STATE(7027), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128577] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6844), 1,
      anon_sym_RBRACE,
    STATE(3612), 1,
      sym_comment,
    STATE(5676), 1,
      sym__property_name,
    STATE(7027), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128638] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6846), 1,
      anon_sym_RBRACE,
    STATE(3613), 1,
      sym_comment,
    STATE(5676), 1,
      sym__property_name,
    STATE(7027), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128699] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6848), 1,
      anon_sym_AT,
    STATE(3696), 1,
      sym_decorator,
    STATE(3614), 2,
      sym_comment,
      aux_sym_export_statement_repeat1,
    ACTIONS(4236), 30,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [128748] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2792), 1,
      anon_sym_namespace,
    ACTIONS(2794), 1,
      anon_sym_import,
    ACTIONS(2796), 1,
      anon_sym_var,
    ACTIONS(2798), 1,
      anon_sym_let,
    ACTIONS(2800), 1,
      anon_sym_const,
    ACTIONS(2804), 1,
      anon_sym_class,
    ACTIONS(2806), 1,
      anon_sym_async,
    ACTIONS(2808), 1,
      anon_sym_function,
    ACTIONS(2810), 1,
      anon_sym_declare,
    ACTIONS(2812), 1,
      anon_sym_module,
    ACTIONS(2814), 1,
      anon_sym_abstract,
    ACTIONS(2816), 1,
      anon_sym_interface,
    ACTIONS(2818), 1,
      anon_sym_enum,
    ACTIONS(2916), 1,
      anon_sym_type,
    ACTIONS(6851), 1,
      anon_sym_default,
    STATE(3615), 1,
      sym_comment,
    STATE(5030), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(6655), 1,
      sym_internal_module,
    STATE(6676), 1,
      sym_declaration,
    STATE(6698), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [128833] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(2872), 1,
      anon_sym_namespace,
    ACTIONS(2874), 1,
      anon_sym_import,
    ACTIONS(2876), 1,
      anon_sym_var,
    ACTIONS(2878), 1,
      anon_sym_let,
    ACTIONS(2880), 1,
      anon_sym_const,
    ACTIONS(2884), 1,
      anon_sym_class,
    ACTIONS(2886), 1,
      anon_sym_async,
    ACTIONS(2888), 1,
      anon_sym_function,
    ACTIONS(2890), 1,
      anon_sym_declare,
    ACTIONS(2892), 1,
      anon_sym_module,
    ACTIONS(2894), 1,
      anon_sym_abstract,
    ACTIONS(2896), 1,
      anon_sym_interface,
    ACTIONS(2898), 1,
      anon_sym_enum,
    ACTIONS(2922), 1,
      anon_sym_type,
    ACTIONS(6853), 1,
      anon_sym_default,
    STATE(1213), 1,
      sym_internal_module,
    STATE(1398), 1,
      sym_declaration,
    STATE(3616), 1,
      sym_comment,
    STATE(4950), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
    STATE(1206), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [128918] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_async,
    ACTIONS(6855), 1,
      anon_sym_readonly,
    STATE(3617), 1,
      sym_comment,
    STATE(3894), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6112), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4332), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128982] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6732), 1,
      anon_sym_STAR,
    ACTIONS(6734), 1,
      anon_sym_async,
    ACTIONS(6857), 1,
      anon_sym_readonly,
    STATE(3618), 1,
      sym_comment,
    STATE(4826), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6736), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129046] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6006), 1,
      anon_sym_STAR,
    ACTIONS(6008), 1,
      anon_sym_async,
    ACTIONS(6010), 1,
      anon_sym_readonly,
    STATE(3619), 1,
      sym_comment,
    STATE(3958), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6012), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4332), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129110] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6298), 1,
      anon_sym_STAR,
    ACTIONS(6361), 1,
      anon_sym_async,
    ACTIONS(6859), 1,
      anon_sym_readonly,
    STATE(3620), 1,
      sym_comment,
    STATE(3947), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6363), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4332), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129174] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6123), 1,
      anon_sym_STAR,
    ACTIONS(6125), 1,
      anon_sym_async,
    ACTIONS(6127), 1,
      anon_sym_readonly,
    STATE(3621), 1,
      sym_comment,
    STATE(3962), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6129), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4332), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129238] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6084), 1,
      anon_sym_STAR,
    ACTIONS(6086), 1,
      anon_sym_async,
    ACTIONS(6861), 1,
      anon_sym_readonly,
    STATE(3622), 1,
      sym_comment,
    STATE(3903), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6088), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4332), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129302] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6223), 1,
      anon_sym_STAR,
    ACTIONS(6225), 1,
      anon_sym_async,
    ACTIONS(6863), 1,
      anon_sym_readonly,
    STATE(3623), 1,
      sym_comment,
    STATE(3933), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6227), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4332), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129366] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(5579), 1,
      anon_sym_STAR,
    ACTIONS(5583), 1,
      anon_sym_async,
    ACTIONS(5585), 1,
      anon_sym_readonly,
    STATE(3624), 1,
      sym_comment,
    STATE(3905), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5587), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4332), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129430] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(5021), 1,
      anon_sym_STAR,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(5033), 1,
      anon_sym_async,
    ACTIONS(5035), 1,
      anon_sym_readonly,
    STATE(3625), 1,
      sym_comment,
    STATE(3967), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5037), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4332), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129494] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6445), 1,
      anon_sym_STAR,
    ACTIONS(6447), 1,
      anon_sym_async,
    ACTIONS(6865), 1,
      anon_sym_readonly,
    STATE(3626), 1,
      sym_comment,
    STATE(3937), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6449), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4332), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129558] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3627), 1,
      sym_comment,
    ACTIONS(1035), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2433), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129604] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6673), 1,
      anon_sym_STAR,
    ACTIONS(6675), 1,
      anon_sym_async,
    ACTIONS(6677), 1,
      anon_sym_readonly,
    STATE(3628), 1,
      sym_comment,
    STATE(4883), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6679), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129668] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6867), 1,
      anon_sym_STAR,
    STATE(3629), 1,
      sym_comment,
    STATE(4794), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6869), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129728] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6072), 1,
      anon_sym_STAR,
    ACTIONS(6074), 1,
      anon_sym_async,
    ACTIONS(6076), 1,
      anon_sym_readonly,
    STATE(3630), 1,
      sym_comment,
    STATE(3902), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6078), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4332), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129792] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6396), 1,
      anon_sym_STAR,
    ACTIONS(6398), 1,
      anon_sym_async,
    ACTIONS(6871), 1,
      anon_sym_readonly,
    STATE(3631), 1,
      sym_comment,
    STATE(3920), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6400), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4332), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129856] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3632), 1,
      sym_comment,
    STATE(5676), 1,
      sym__property_name,
    STATE(7027), 1,
      sym_enum_assignment,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129914] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(6792), 1,
      anon_sym_STAR,
    STATE(3633), 1,
      sym_comment,
    STATE(4793), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6873), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129974] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6084), 1,
      anon_sym_STAR,
    ACTIONS(6086), 1,
      anon_sym_async,
    ACTIONS(6875), 1,
      anon_sym_readonly,
    STATE(3634), 1,
      sym_comment,
    STATE(3931), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6088), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4332), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130038] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(2902), 1,
      anon_sym_async,
    ACTIONS(2904), 1,
      anon_sym_readonly,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    ACTIONS(5992), 1,
      anon_sym_STAR,
    STATE(3635), 1,
      sym_comment,
    STATE(4787), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2906), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130102] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6157), 1,
      anon_sym_STAR,
    ACTIONS(6159), 1,
      anon_sym_async,
    ACTIONS(6161), 1,
      anon_sym_readonly,
    STATE(3636), 1,
      sym_comment,
    STATE(3955), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6163), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4332), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130166] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3637), 1,
      sym_comment,
    STATE(4714), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130221] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3638), 1,
      sym_comment,
    STATE(4760), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130276] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3639), 1,
      sym_comment,
    STATE(4725), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130331] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3640), 1,
      sym_comment,
    STATE(4716), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130386] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3641), 1,
      sym_comment,
    STATE(4849), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130441] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6877), 1,
      anon_sym_readonly,
    STATE(3642), 1,
      sym_comment,
    STATE(4201), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4332), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130498] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3643), 1,
      sym_comment,
    STATE(4749), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130553] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3644), 1,
      sym_comment,
    STATE(4721), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130608] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3645), 1,
      sym_comment,
    ACTIONS(4288), 31,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [130651] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3646), 1,
      sym_comment,
    STATE(4793), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130706] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6879), 1,
      anon_sym_readonly,
    STATE(3647), 1,
      sym_comment,
    STATE(4347), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4332), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130763] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6881), 1,
      anon_sym_readonly,
    STATE(3648), 1,
      sym_comment,
    STATE(4270), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4332), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130820] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3649), 1,
      sym_comment,
    STATE(4752), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130875] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_readonly,
    STATE(3650), 1,
      sym_comment,
    STATE(4244), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4332), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130932] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3651), 1,
      sym_comment,
    STATE(4720), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130987] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3652), 1,
      sym_comment,
    STATE(4731), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131042] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3653), 1,
      sym_comment,
    STATE(4804), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131097] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3654), 1,
      sym_comment,
    STATE(4719), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131152] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3655), 1,
      sym_comment,
    ACTIONS(4306), 31,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [131195] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    STATE(3656), 1,
      sym_comment,
    STATE(4269), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4332), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131250] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    STATE(3657), 1,
      sym_comment,
    STATE(4245), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4332), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131305] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3658), 1,
      sym_comment,
    STATE(4746), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131360] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3659), 1,
      sym_comment,
    STATE(4904), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131415] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    STATE(3660), 1,
      sym_comment,
    STATE(4296), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4332), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131470] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6885), 1,
      anon_sym_readonly,
    STATE(3661), 1,
      sym_comment,
    STATE(4344), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4332), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131527] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3662), 1,
      sym_comment,
    STATE(4755), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131582] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6887), 1,
      anon_sym_readonly,
    STATE(3663), 1,
      sym_comment,
    STATE(4194), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4332), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131639] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3664), 1,
      sym_comment,
    STATE(4751), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131694] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3665), 1,
      sym_comment,
    STATE(4722), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131749] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3666), 1,
      sym_comment,
    STATE(4848), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131804] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3667), 1,
      sym_comment,
    STATE(4787), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131859] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6889), 1,
      anon_sym_readonly,
    STATE(3668), 1,
      sym_comment,
    STATE(4324), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4332), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131916] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    STATE(3669), 1,
      sym_comment,
    STATE(4325), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4332), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131971] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3670), 1,
      sym_comment,
    ACTIONS(4246), 31,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [132014] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3671), 1,
      sym_comment,
    STATE(4913), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132069] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3672), 1,
      sym_comment,
    STATE(4899), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132124] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6891), 1,
      anon_sym_readonly,
    STATE(3673), 1,
      sym_comment,
    STATE(4296), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4332), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132181] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3674), 1,
      sym_comment,
    ACTIONS(4298), 31,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [132224] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6893), 1,
      anon_sym_readonly,
    STATE(3675), 1,
      sym_comment,
    STATE(4220), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4332), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132281] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6895), 1,
      anon_sym_readonly,
    STATE(3676), 1,
      sym_comment,
    STATE(4247), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4332), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132338] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3677), 1,
      sym_comment,
    STATE(4735), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132393] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3678), 1,
      sym_comment,
    STATE(4866), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132448] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    STATE(3679), 1,
      sym_comment,
    STATE(4319), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4332), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132503] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_readonly,
    STATE(3680), 1,
      sym_comment,
    STATE(4390), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4332), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132560] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3681), 1,
      sym_comment,
    STATE(4780), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132615] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3682), 1,
      sym_comment,
    STATE(4768), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132670] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3683), 1,
      sym_comment,
    ACTIONS(4308), 31,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [132713] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3684), 1,
      sym_comment,
    STATE(4883), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132768] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    STATE(3685), 1,
      sym_comment,
    STATE(4208), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4332), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132823] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3686), 1,
      sym_comment,
    STATE(4734), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132878] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3687), 1,
      sym_comment,
    STATE(4882), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132933] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6899), 1,
      anon_sym_readonly,
    STATE(3688), 1,
      sym_comment,
    STATE(4357), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4332), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132990] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3689), 1,
      sym_comment,
    STATE(4794), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133045] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3690), 1,
      sym_comment,
    STATE(4726), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133100] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    STATE(3691), 1,
      sym_comment,
    STATE(4188), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4332), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133155] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    STATE(3692), 1,
      sym_comment,
    STATE(4285), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4332), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133210] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6590), 1,
      anon_sym_readonly,
    STATE(3693), 1,
      sym_comment,
    STATE(4285), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4332), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133267] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3694), 1,
      sym_comment,
    STATE(4826), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133322] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(5031), 1,
      anon_sym_LBRACK,
    ACTIONS(6616), 1,
      anon_sym_readonly,
    STATE(3695), 1,
      sym_comment,
    STATE(4188), 1,
      sym__property_name,
    ACTIONS(3854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4111), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4332), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133379] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3696), 1,
      sym_comment,
    ACTIONS(4286), 31,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [133422] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_LBRACK,
    STATE(3697), 1,
      sym_comment,
    STATE(4769), 1,
      sym__property_name,
    ACTIONS(2734), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4652), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2900), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133477] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6901), 1,
      sym_identifier,
    STATE(3698), 1,
      sym_comment,
    STATE(7348), 1,
      sym_mapped_type_clause,
    ACTIONS(6903), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133517] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(4115), 1,
      anon_sym_DOT,
    ACTIONS(4117), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6905), 1,
      anon_sym_LT,
    STATE(3699), 1,
      sym_comment,
    STATE(3769), 1,
      sym_arguments,
    STATE(3852), 1,
      sym_type_arguments,
    ACTIONS(4109), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4099), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [133564] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3700), 1,
      sym_comment,
    ACTIONS(4298), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4795), 19,
      anon_sym_export,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_AT,
      anon_sym_abstract,
      anon_sym_extends,
  [133599] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3701), 1,
      sym_comment,
    ACTIONS(4308), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4827), 19,
      anon_sym_export,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_AT,
      anon_sym_abstract,
      anon_sym_extends,
  [133634] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3702), 1,
      sym_comment,
    ACTIONS(4306), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4813), 19,
      anon_sym_export,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_AT,
      anon_sym_abstract,
      anon_sym_extends,
  [133669] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(6905), 1,
      anon_sym_LT,
    ACTIONS(6907), 1,
      anon_sym_DOT,
    ACTIONS(6909), 1,
      anon_sym_QMARK_DOT,
    STATE(3703), 1,
      sym_comment,
    STATE(3767), 1,
      sym_arguments,
    STATE(3874), 1,
      sym_type_arguments,
    ACTIONS(4789), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4791), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [133716] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(6905), 1,
      anon_sym_LT,
    ACTIONS(6911), 1,
      anon_sym_DOT,
    ACTIONS(6913), 1,
      anon_sym_QMARK_DOT,
    STATE(3704), 1,
      sym_comment,
    STATE(3766), 1,
      sym_arguments,
    STATE(3893), 1,
      sym_type_arguments,
    ACTIONS(4753), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4755), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [133763] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2135), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3705), 1,
      sym_comment,
    ACTIONS(2137), 19,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
  [133797] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2085), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3706), 1,
      sym_comment,
    ACTIONS(2087), 19,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
  [133831] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3707), 1,
      sym_comment,
    ACTIONS(5088), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5090), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [133864] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3708), 1,
      sym_comment,
    ACTIONS(4995), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4997), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [133897] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3709), 1,
      sym_comment,
    ACTIONS(4898), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4900), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [133930] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3710), 1,
      sym_comment,
    ACTIONS(4979), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4981), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [133963] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3711), 1,
      sym_comment,
    ACTIONS(4898), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4900), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [133996] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3712), 1,
      sym_comment,
    ACTIONS(4971), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4973), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134029] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3713), 1,
      sym_comment,
    ACTIONS(4898), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4900), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134062] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3714), 1,
      sym_comment,
    ACTIONS(4842), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4844), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134095] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3715), 1,
      sym_comment,
    ACTIONS(4842), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4844), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134128] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3716), 1,
      sym_comment,
    ACTIONS(4842), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4844), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134161] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3717), 1,
      sym_comment,
    ACTIONS(4846), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4848), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134194] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3718), 1,
      sym_comment,
    ACTIONS(5088), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5090), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134227] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4759), 1,
      anon_sym_EQ,
    ACTIONS(6905), 1,
      anon_sym_LT,
    ACTIONS(6915), 1,
      anon_sym_DOT,
    ACTIONS(6917), 1,
      anon_sym_is,
    STATE(3719), 1,
      sym_comment,
    STATE(3853), 1,
      sym_type_arguments,
    ACTIONS(4163), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [134268] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3720), 1,
      sym_comment,
    ACTIONS(4975), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4977), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134301] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3721), 1,
      sym_comment,
    ACTIONS(4952), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4954), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134334] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3722), 1,
      sym_comment,
    ACTIONS(4936), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4938), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134367] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3723), 1,
      sym_comment,
    ACTIONS(4932), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4934), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134400] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3724), 1,
      sym_comment,
    ACTIONS(4987), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4989), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134433] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3725), 1,
      sym_comment,
    ACTIONS(5088), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5090), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134466] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3726), 1,
      sym_comment,
    ACTIONS(4979), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4981), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134499] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3727), 1,
      sym_comment,
    ACTIONS(4902), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4904), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134532] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3728), 1,
      sym_comment,
    ACTIONS(5076), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5078), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134565] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3729), 1,
      sym_comment,
    ACTIONS(4952), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4954), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134598] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3730), 1,
      sym_comment,
    ACTIONS(4975), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4977), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134631] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3731), 1,
      sym_comment,
    ACTIONS(5076), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5078), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134664] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3732), 1,
      sym_comment,
    ACTIONS(4936), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4938), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134697] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3733), 1,
      sym_comment,
    ACTIONS(5076), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5078), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134730] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3734), 1,
      sym_comment,
    ACTIONS(4902), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4904), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134763] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3735), 1,
      sym_comment,
    ACTIONS(4932), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4934), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134796] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3736), 1,
      sym_comment,
    ACTIONS(5064), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5066), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134829] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3737), 1,
      sym_comment,
    ACTIONS(4902), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4904), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134862] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3738), 1,
      sym_comment,
    ACTIONS(5064), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5066), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134895] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3739), 1,
      sym_comment,
    ACTIONS(5064), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5066), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134928] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3740), 1,
      sym_comment,
    ACTIONS(5060), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5062), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134961] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3741), 1,
      sym_comment,
    ACTIONS(4971), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4973), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [134994] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(6919), 1,
      sym_identifier,
    ACTIONS(6921), 1,
      anon_sym_STAR,
    ACTIONS(6923), 1,
      anon_sym_type,
    ACTIONS(6925), 1,
      anon_sym_LBRACE,
    ACTIONS(6927), 1,
      anon_sym_typeof,
    STATE(3742), 1,
      sym_comment,
    STATE(7061), 1,
      sym_import_require_clause,
    STATE(7062), 1,
      sym__import_identifier,
    STATE(7063), 1,
      sym_string,
    STATE(7067), 1,
      sym_import_clause,
    STATE(7083), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(6929), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [135048] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(6921), 1,
      anon_sym_STAR,
    ACTIONS(6925), 1,
      anon_sym_LBRACE,
    ACTIONS(6931), 1,
      sym_identifier,
    ACTIONS(6933), 1,
      anon_sym_type,
    ACTIONS(6935), 1,
      anon_sym_typeof,
    STATE(3743), 1,
      sym_comment,
    STATE(6969), 1,
      sym_string,
    STATE(6970), 1,
      sym_import_require_clause,
    STATE(7025), 1,
      sym_import_clause,
    STATE(7062), 1,
      sym__import_identifier,
    STATE(7083), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(6929), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [135102] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(6921), 1,
      anon_sym_STAR,
    ACTIONS(6925), 1,
      anon_sym_LBRACE,
    ACTIONS(6937), 1,
      sym_identifier,
    ACTIONS(6939), 1,
      anon_sym_type,
    ACTIONS(6941), 1,
      anon_sym_typeof,
    STATE(3744), 1,
      sym_comment,
    STATE(6776), 1,
      sym_import_require_clause,
    STATE(6803), 1,
      sym_string,
    STATE(6989), 1,
      sym_import_clause,
    STATE(7062), 1,
      sym__import_identifier,
    STATE(7083), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(6929), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [135156] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4759), 1,
      anon_sym_EQ,
    ACTIONS(6905), 1,
      anon_sym_LT,
    ACTIONS(6915), 1,
      anon_sym_DOT,
    STATE(3745), 1,
      sym_comment,
    STATE(3853), 1,
      sym_type_arguments,
    ACTIONS(4163), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [135194] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6945), 1,
      anon_sym_EQ,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(6949), 1,
      anon_sym_COMMA,
    ACTIONS(6951), 1,
      anon_sym_COLON,
    ACTIONS(6953), 1,
      anon_sym_GT,
    ACTIONS(6956), 1,
      anon_sym_DOT,
    ACTIONS(6958), 1,
      anon_sym_SLASH_GT,
    ACTIONS(6960), 1,
      anon_sym_LT,
    ACTIONS(6962), 1,
      anon_sym_extends,
    STATE(3746), 1,
      sym_comment,
    STATE(4217), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4218), 1,
      sym_type_arguments,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    STATE(5637), 1,
      sym_constraint,
    STATE(6978), 1,
      sym_default_type,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [135254] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(6921), 1,
      anon_sym_STAR,
    ACTIONS(6925), 1,
      anon_sym_LBRACE,
    ACTIONS(6964), 1,
      sym_identifier,
    ACTIONS(6966), 1,
      anon_sym_type,
    ACTIONS(6968), 1,
      anon_sym_typeof,
    STATE(3747), 1,
      sym_comment,
    STATE(6757), 1,
      sym_import_clause,
    STATE(6993), 1,
      sym_import_require_clause,
    STATE(6995), 1,
      sym_string,
    STATE(7062), 1,
      sym__import_identifier,
    STATE(7083), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(6929), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [135308] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(6921), 1,
      anon_sym_STAR,
    ACTIONS(6925), 1,
      anon_sym_LBRACE,
    ACTIONS(6970), 1,
      sym_identifier,
    ACTIONS(6972), 1,
      anon_sym_type,
    ACTIONS(6974), 1,
      anon_sym_typeof,
    STATE(3748), 1,
      sym_comment,
    STATE(6657), 1,
      sym_string,
    STATE(6740), 1,
      sym_import_require_clause,
    STATE(6925), 1,
      sym_import_clause,
    STATE(7062), 1,
      sym__import_identifier,
    STATE(7083), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(6929), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [135362] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6945), 1,
      anon_sym_EQ,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(6949), 1,
      anon_sym_COMMA,
    ACTIONS(6951), 1,
      anon_sym_COLON,
    ACTIONS(6953), 1,
      anon_sym_GT,
    ACTIONS(6956), 1,
      anon_sym_DOT,
    ACTIONS(6960), 1,
      anon_sym_LT,
    ACTIONS(6962), 1,
      anon_sym_extends,
    ACTIONS(6976), 1,
      anon_sym_SLASH_GT,
    STATE(3749), 1,
      sym_comment,
    STATE(4252), 1,
      sym_type_arguments,
    STATE(4260), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    STATE(5637), 1,
      sym_constraint,
    STATE(6978), 1,
      sym_default_type,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [135422] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3294), 1,
      anon_sym_EQ,
    STATE(3750), 1,
      sym_comment,
    ACTIONS(3434), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [135453] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4101), 1,
      anon_sym_LPAREN,
    ACTIONS(4753), 1,
      anon_sym_PIPE,
    ACTIONS(6978), 1,
      anon_sym_DOT,
    ACTIONS(6980), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6982), 1,
      anon_sym_LT,
    STATE(3751), 1,
      sym_comment,
    STATE(3977), 1,
      sym_arguments,
    STATE(4078), 1,
      sym_type_arguments,
    ACTIONS(4755), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [135496] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5190), 1,
      anon_sym_EQ,
    STATE(3752), 1,
      sym_comment,
    ACTIONS(5192), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [135527] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5276), 1,
      anon_sym_EQ,
    STATE(3753), 1,
      sym_comment,
    ACTIONS(5278), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [135558] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5252), 1,
      anon_sym_EQ,
    STATE(3754), 1,
      sym_comment,
    ACTIONS(5254), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [135589] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2133), 1,
      anon_sym_DOT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5039), 1,
      anon_sym_EQ,
    STATE(3755), 1,
      sym_comment,
    ACTIONS(5041), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
  [135622] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5284), 1,
      anon_sym_EQ,
    STATE(3756), 1,
      sym_comment,
    ACTIONS(5286), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [135653] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5280), 1,
      anon_sym_EQ,
    STATE(3757), 1,
      sym_comment,
    ACTIONS(5282), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [135684] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2121), 1,
      anon_sym_DOT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5039), 1,
      anon_sym_EQ,
    STATE(3758), 1,
      sym_comment,
    ACTIONS(5041), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
  [135717] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4801), 1,
      anon_sym_EQ,
    ACTIONS(6905), 1,
      anon_sym_LT,
    STATE(3759), 1,
      sym_comment,
    STATE(3821), 1,
      sym_type_arguments,
    ACTIONS(4803), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [135752] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3296), 1,
      anon_sym_EQ,
    STATE(3760), 1,
      sym_comment,
    ACTIONS(3408), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [135783] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5252), 1,
      anon_sym_EQ,
    STATE(3761), 1,
      sym_comment,
    ACTIONS(5254), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [135814] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5207), 1,
      anon_sym_EQ,
    STATE(3762), 1,
      sym_comment,
    ACTIONS(5209), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [135845] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5186), 1,
      anon_sym_EQ,
    STATE(3763), 1,
      sym_comment,
    ACTIONS(5188), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [135876] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6984), 1,
      anon_sym_DOT,
    ACTIONS(6986), 1,
      anon_sym_QMARK_DOT,
    STATE(3764), 1,
      sym_comment,
    ACTIONS(5218), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5220), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [135911] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3292), 1,
      anon_sym_EQ,
    STATE(3765), 1,
      sym_comment,
    ACTIONS(3436), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [135942] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3766), 1,
      sym_comment,
    ACTIONS(5084), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5086), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [135973] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3767), 1,
      sym_comment,
    ACTIONS(5096), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5098), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136004] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3310), 1,
      anon_sym_EQ,
    STATE(3768), 1,
      sym_comment,
    ACTIONS(3388), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [136035] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3769), 1,
      sym_comment,
    ACTIONS(4948), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4950), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136066] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4101), 1,
      anon_sym_LPAREN,
    ACTIONS(4789), 1,
      anon_sym_PIPE,
    ACTIONS(6982), 1,
      anon_sym_LT,
    ACTIONS(6988), 1,
      anon_sym_DOT,
    ACTIONS(6990), 1,
      anon_sym_QMARK_DOT,
    STATE(3770), 1,
      sym_comment,
    STATE(3976), 1,
      sym_arguments,
    STATE(4080), 1,
      sym_type_arguments,
    ACTIONS(4791), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [136109] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3304), 1,
      anon_sym_EQ,
    STATE(3771), 1,
      sym_comment,
    ACTIONS(3386), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [136140] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4101), 1,
      anon_sym_LPAREN,
    ACTIONS(4103), 1,
      anon_sym_DOT,
    ACTIONS(4107), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4109), 1,
      anon_sym_PIPE,
    ACTIONS(6982), 1,
      anon_sym_LT,
    STATE(3772), 1,
      sym_comment,
    STATE(3975), 1,
      sym_arguments,
    STATE(4082), 1,
      sym_type_arguments,
    ACTIONS(4099), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [136183] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5203), 1,
      anon_sym_EQ,
    STATE(3773), 1,
      sym_comment,
    ACTIONS(5205), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [136214] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5256), 1,
      anon_sym_EQ,
    STATE(3774), 1,
      sym_comment,
    ACTIONS(5258), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [136245] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5256), 1,
      anon_sym_EQ,
    STATE(3775), 1,
      sym_comment,
    ACTIONS(5258), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [136276] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2135), 1,
      anon_sym_PIPE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3776), 1,
      sym_comment,
    ACTIONS(2137), 15,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [136306] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4797), 1,
      anon_sym_EQ,
    ACTIONS(6917), 1,
      anon_sym_is,
    STATE(3777), 1,
      sym_comment,
    ACTIONS(4799), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [136338] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4801), 1,
      anon_sym_EQ,
    ACTIONS(6992), 1,
      anon_sym_is,
    STATE(3778), 1,
      sym_comment,
    ACTIONS(4803), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [136370] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4815), 1,
      anon_sym_EQ,
    STATE(3779), 1,
      sym_comment,
    ACTIONS(4817), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_is,
  [136400] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2085), 1,
      anon_sym_PIPE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3780), 1,
      sym_comment,
    ACTIONS(2087), 15,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [136430] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1974), 1,
      anon_sym_EQ,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3781), 1,
      sym_comment,
    ACTIONS(2030), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_is,
  [136460] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4829), 1,
      anon_sym_EQ,
    ACTIONS(6917), 1,
      anon_sym_is,
    STATE(3782), 1,
      sym_comment,
    ACTIONS(4831), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [136492] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4928), 1,
      anon_sym_EQ,
    STATE(3783), 1,
      sym_comment,
    ACTIONS(4930), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [136521] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5064), 1,
      anon_sym_PIPE,
    STATE(3784), 1,
      sym_comment,
    ACTIONS(5066), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [136550] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6996), 1,
      anon_sym_DQUOTE,
    ACTIONS(6998), 1,
      anon_sym_SQUOTE,
    ACTIONS(7000), 1,
      sym_number,
    ACTIONS(7002), 1,
      anon_sym_unique,
    STATE(3785), 1,
      sym_comment,
    STATE(7508), 1,
      sym_predefined_type,
    STATE(7510), 1,
      sym_string,
    ACTIONS(6994), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [136589] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6996), 1,
      anon_sym_DQUOTE,
    ACTIONS(6998), 1,
      anon_sym_SQUOTE,
    ACTIONS(7002), 1,
      anon_sym_unique,
    ACTIONS(7004), 1,
      sym_number,
    STATE(3786), 1,
      sym_comment,
    STATE(7496), 1,
      sym_predefined_type,
    STATE(7499), 1,
      sym_string,
    ACTIONS(6994), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [136628] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4829), 1,
      anon_sym_EQ,
    STATE(3787), 1,
      sym_comment,
    ACTIONS(4831), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [136657] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6996), 1,
      anon_sym_DQUOTE,
    ACTIONS(6998), 1,
      anon_sym_SQUOTE,
    ACTIONS(7002), 1,
      anon_sym_unique,
    ACTIONS(7006), 1,
      sym_number,
    STATE(3788), 1,
      sym_comment,
    STATE(7103), 1,
      sym_string,
    STATE(7105), 1,
      sym_predefined_type,
    ACTIONS(6994), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [136696] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7008), 1,
      anon_sym_LPAREN,
    ACTIONS(7010), 1,
      anon_sym_DOT,
    ACTIONS(7012), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7014), 1,
      anon_sym_LT,
    STATE(3789), 1,
      sym_comment,
    STATE(4083), 1,
      sym_arguments,
    STATE(4316), 1,
      sym_type_arguments,
    ACTIONS(4755), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136735] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6996), 1,
      anon_sym_DQUOTE,
    ACTIONS(6998), 1,
      anon_sym_SQUOTE,
    ACTIONS(7002), 1,
      anon_sym_unique,
    ACTIONS(7016), 1,
      sym_number,
    STATE(3790), 1,
      sym_comment,
    STATE(7091), 1,
      sym_string,
    STATE(7092), 1,
      sym_predefined_type,
    ACTIONS(6994), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [136774] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3791), 1,
      sym_comment,
    ACTIONS(7018), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [136801] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3792), 1,
      sym_comment,
    ACTIONS(7020), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [136828] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6996), 1,
      anon_sym_DQUOTE,
    ACTIONS(6998), 1,
      anon_sym_SQUOTE,
    ACTIONS(7002), 1,
      anon_sym_unique,
    ACTIONS(7022), 1,
      sym_number,
    STATE(3793), 1,
      sym_comment,
    STATE(7094), 1,
      sym_string,
    STATE(7100), 1,
      sym_predefined_type,
    ACTIONS(6994), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [136867] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5162), 1,
      anon_sym_EQ,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    STATE(3794), 1,
      sym_comment,
    ACTIONS(5164), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [136902] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5166), 1,
      anon_sym_EQ,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    STATE(3795), 1,
      sym_comment,
    ACTIONS(5168), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [136937] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6996), 1,
      anon_sym_DQUOTE,
    ACTIONS(6998), 1,
      anon_sym_SQUOTE,
    ACTIONS(7002), 1,
      anon_sym_unique,
    ACTIONS(7030), 1,
      sym_number,
    STATE(3796), 1,
      sym_comment,
    STATE(7367), 1,
      sym_predefined_type,
    STATE(7381), 1,
      sym_string,
    ACTIONS(6994), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [136976] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6996), 1,
      anon_sym_DQUOTE,
    ACTIONS(6998), 1,
      anon_sym_SQUOTE,
    ACTIONS(7002), 1,
      anon_sym_unique,
    ACTIONS(7032), 1,
      sym_number,
    STATE(3797), 1,
      sym_comment,
    STATE(7391), 1,
      sym_predefined_type,
    STATE(7408), 1,
      sym_string,
    ACTIONS(6994), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [137015] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4995), 1,
      anon_sym_PIPE,
    STATE(3798), 1,
      sym_comment,
    ACTIONS(4997), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [137044] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4987), 1,
      anon_sym_PIPE,
    STATE(3799), 1,
      sym_comment,
    ACTIONS(4989), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [137073] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4979), 1,
      anon_sym_PIPE,
    STATE(3800), 1,
      sym_comment,
    ACTIONS(4981), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [137102] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4975), 1,
      anon_sym_PIPE,
    STATE(3801), 1,
      sym_comment,
    ACTIONS(4977), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [137131] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4979), 1,
      anon_sym_PIPE,
    STATE(3802), 1,
      sym_comment,
    ACTIONS(4981), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [137160] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4975), 1,
      anon_sym_PIPE,
    STATE(3803), 1,
      sym_comment,
    ACTIONS(4977), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [137189] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4971), 1,
      anon_sym_PIPE,
    STATE(3804), 1,
      sym_comment,
    ACTIONS(4973), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [137218] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4952), 1,
      anon_sym_PIPE,
    STATE(3805), 1,
      sym_comment,
    ACTIONS(4954), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [137247] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4971), 1,
      anon_sym_PIPE,
    STATE(3806), 1,
      sym_comment,
    ACTIONS(4973), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [137276] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4952), 1,
      anon_sym_PIPE,
    STATE(3807), 1,
      sym_comment,
    ACTIONS(4954), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [137305] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4936), 1,
      anon_sym_PIPE,
    STATE(3808), 1,
      sym_comment,
    ACTIONS(4938), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [137334] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4932), 1,
      anon_sym_PIPE,
    STATE(3809), 1,
      sym_comment,
    ACTIONS(4934), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [137363] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4936), 1,
      anon_sym_PIPE,
    STATE(3810), 1,
      sym_comment,
    ACTIONS(4938), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [137392] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4932), 1,
      anon_sym_PIPE,
    STATE(3811), 1,
      sym_comment,
    ACTIONS(4934), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [137421] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6996), 1,
      anon_sym_DQUOTE,
    ACTIONS(6998), 1,
      anon_sym_SQUOTE,
    ACTIONS(7002), 1,
      anon_sym_unique,
    ACTIONS(7034), 1,
      sym_number,
    STATE(3812), 1,
      sym_comment,
    STATE(7411), 1,
      sym_predefined_type,
    STATE(7412), 1,
      sym_string,
    ACTIONS(6994), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [137460] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6996), 1,
      anon_sym_DQUOTE,
    ACTIONS(6998), 1,
      anon_sym_SQUOTE,
    ACTIONS(7002), 1,
      anon_sym_unique,
    ACTIONS(7036), 1,
      sym_number,
    STATE(3813), 1,
      sym_comment,
    STATE(7416), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(6994), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [137497] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5134), 1,
      anon_sym_EQ,
    STATE(3814), 1,
      sym_comment,
    ACTIONS(5136), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [137526] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3815), 1,
      sym_comment,
    ACTIONS(7038), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [137553] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5214), 1,
      anon_sym_EQ,
    STATE(3816), 1,
      sym_comment,
    ACTIONS(5216), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [137582] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3817), 1,
      sym_comment,
    ACTIONS(7040), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [137609] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5294), 1,
      anon_sym_EQ,
    STATE(3818), 1,
      sym_comment,
    ACTIONS(5296), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [137638] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3819), 1,
      sym_comment,
    ACTIONS(7042), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [137665] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5001), 1,
      anon_sym_EQ,
    STATE(3820), 1,
      sym_comment,
    ACTIONS(5003), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [137694] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5110), 1,
      anon_sym_EQ,
    STATE(3821), 1,
      sym_comment,
    ACTIONS(5112), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [137723] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5120), 1,
      anon_sym_EQ,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    STATE(3822), 1,
      sym_comment,
    ACTIONS(5122), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [137758] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6996), 1,
      anon_sym_DQUOTE,
    ACTIONS(6998), 1,
      anon_sym_SQUOTE,
    ACTIONS(7002), 1,
      anon_sym_unique,
    ACTIONS(7044), 1,
      sym_number,
    STATE(3823), 1,
      sym_comment,
    STATE(7088), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(6994), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [137795] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5013), 1,
      anon_sym_EQ,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    STATE(3824), 1,
      sym_comment,
    ACTIONS(5015), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [137830] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5005), 1,
      anon_sym_EQ,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    STATE(3825), 1,
      sym_comment,
    ACTIONS(5007), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [137861] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5009), 1,
      anon_sym_EQ,
    STATE(3826), 1,
      sym_comment,
    ACTIONS(5011), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [137890] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6996), 1,
      anon_sym_DQUOTE,
    ACTIONS(6998), 1,
      anon_sym_SQUOTE,
    ACTIONS(7002), 1,
      anon_sym_unique,
    ACTIONS(7046), 1,
      sym_number,
    STATE(3827), 1,
      sym_comment,
    STATE(7517), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(6994), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [137927] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3828), 1,
      sym_comment,
    ACTIONS(7048), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [137954] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5013), 1,
      anon_sym_EQ,
    STATE(3829), 1,
      sym_comment,
    ACTIONS(5015), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [137983] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3830), 1,
      sym_comment,
    ACTIONS(7050), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [138010] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5104), 1,
      anon_sym_EQ,
    STATE(3831), 1,
      sym_comment,
    ACTIONS(5106), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [138039] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5272), 1,
      anon_sym_EQ,
    STATE(3832), 1,
      sym_comment,
    ACTIONS(5274), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [138068] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5114), 1,
      anon_sym_EQ,
    ACTIONS(7052), 1,
      anon_sym_LBRACK,
    STATE(3833), 1,
      sym_comment,
    ACTIONS(5116), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [138099] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4846), 1,
      anon_sym_PIPE,
    STATE(3834), 1,
      sym_comment,
    ACTIONS(4848), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [138128] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4842), 1,
      anon_sym_PIPE,
    STATE(3835), 1,
      sym_comment,
    ACTIONS(4844), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [138157] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4842), 1,
      anon_sym_PIPE,
    STATE(3836), 1,
      sym_comment,
    ACTIONS(4844), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [138186] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4842), 1,
      anon_sym_PIPE,
    STATE(3837), 1,
      sym_comment,
    ACTIONS(4844), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [138215] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4898), 1,
      anon_sym_PIPE,
    STATE(3838), 1,
      sym_comment,
    ACTIONS(4900), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [138244] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4898), 1,
      anon_sym_PIPE,
    STATE(3839), 1,
      sym_comment,
    ACTIONS(4900), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [138273] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4898), 1,
      anon_sym_PIPE,
    STATE(3840), 1,
      sym_comment,
    ACTIONS(4900), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [138302] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4902), 1,
      anon_sym_PIPE,
    STATE(3841), 1,
      sym_comment,
    ACTIONS(4904), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [138331] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4902), 1,
      anon_sym_PIPE,
    STATE(3842), 1,
      sym_comment,
    ACTIONS(4904), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [138360] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4902), 1,
      anon_sym_PIPE,
    STATE(3843), 1,
      sym_comment,
    ACTIONS(4904), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [138389] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5124), 1,
      anon_sym_EQ,
    ACTIONS(7054), 1,
      anon_sym_extends,
    STATE(3844), 1,
      sym_comment,
    ACTIONS(5126), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
  [138420] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4906), 1,
      anon_sym_EQ,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    STATE(3845), 1,
      sym_comment,
    ACTIONS(4908), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [138455] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5130), 1,
      anon_sym_EQ,
    ACTIONS(7052), 1,
      anon_sym_LBRACK,
    STATE(3846), 1,
      sym_comment,
    ACTIONS(5136), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(5132), 10,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [138488] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5138), 1,
      anon_sym_EQ,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    STATE(3847), 1,
      sym_comment,
    ACTIONS(5140), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [138523] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4759), 1,
      anon_sym_PIPE,
    ACTIONS(6982), 1,
      anon_sym_LT,
    ACTIONS(7056), 1,
      anon_sym_DOT,
    ACTIONS(7058), 1,
      anon_sym_is,
    STATE(3848), 1,
      sym_comment,
    STATE(4109), 1,
      sym_type_arguments,
    ACTIONS(4163), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [138560] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4940), 1,
      anon_sym_EQ,
    STATE(3849), 1,
      sym_comment,
    ACTIONS(4942), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [138589] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6996), 1,
      anon_sym_DQUOTE,
    ACTIONS(6998), 1,
      anon_sym_SQUOTE,
    ACTIONS(7002), 1,
      anon_sym_unique,
    ACTIONS(7060), 1,
      sym_number,
    STATE(3850), 1,
      sym_comment,
    STATE(7278), 1,
      sym_string,
    STATE(7279), 1,
      sym_predefined_type,
    ACTIONS(6994), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [138628] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5049), 1,
      anon_sym_EQ,
    STATE(3851), 1,
      sym_comment,
    ACTIONS(5051), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [138657] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5100), 1,
      anon_sym_EQ,
    STATE(3852), 1,
      sym_comment,
    ACTIONS(5102), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [138686] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5142), 1,
      anon_sym_EQ,
    STATE(3853), 1,
      sym_comment,
    ACTIONS(5144), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [138715] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5134), 1,
      anon_sym_EQ,
    ACTIONS(7052), 1,
      anon_sym_LBRACK,
    STATE(3854), 1,
      sym_comment,
    ACTIONS(5136), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [138746] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7008), 1,
      anon_sym_LPAREN,
    ACTIONS(7014), 1,
      anon_sym_LT,
    ACTIONS(7062), 1,
      anon_sym_DOT,
    ACTIONS(7064), 1,
      anon_sym_QMARK_DOT,
    STATE(3855), 1,
      sym_comment,
    STATE(4074), 1,
      sym_arguments,
    STATE(4320), 1,
      sym_type_arguments,
    ACTIONS(4791), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [138785] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5060), 1,
      anon_sym_PIPE,
    STATE(3856), 1,
      sym_comment,
    ACTIONS(5062), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [138814] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5064), 1,
      anon_sym_PIPE,
    STATE(3857), 1,
      sym_comment,
    ACTIONS(5066), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [138843] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6996), 1,
      anon_sym_DQUOTE,
    ACTIONS(6998), 1,
      anon_sym_SQUOTE,
    ACTIONS(7002), 1,
      anon_sym_unique,
    ACTIONS(7066), 1,
      sym_number,
    STATE(3858), 1,
      sym_comment,
    STATE(7512), 1,
      sym_predefined_type,
    STATE(7515), 1,
      sym_string,
    ACTIONS(6994), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [138882] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5064), 1,
      anon_sym_PIPE,
    STATE(3859), 1,
      sym_comment,
    ACTIONS(5066), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [138911] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5076), 1,
      anon_sym_PIPE,
    STATE(3860), 1,
      sym_comment,
    ACTIONS(5078), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [138940] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5076), 1,
      anon_sym_PIPE,
    STATE(3861), 1,
      sym_comment,
    ACTIONS(5078), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [138969] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5076), 1,
      anon_sym_PIPE,
    STATE(3862), 1,
      sym_comment,
    ACTIONS(5078), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [138998] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_PIPE,
    STATE(3863), 1,
      sym_comment,
    ACTIONS(5090), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [139027] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_PIPE,
    STATE(3864), 1,
      sym_comment,
    ACTIONS(5090), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [139056] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5088), 1,
      anon_sym_PIPE,
    STATE(3865), 1,
      sym_comment,
    ACTIONS(5090), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [139085] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5148), 1,
      anon_sym_EQ,
    STATE(3866), 1,
      sym_comment,
    ACTIONS(5150), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [139114] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3867), 1,
      sym_comment,
    ACTIONS(7068), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [139141] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6996), 1,
      anon_sym_DQUOTE,
    ACTIONS(6998), 1,
      anon_sym_SQUOTE,
    ACTIONS(7002), 1,
      anon_sym_unique,
    ACTIONS(7070), 1,
      sym_number,
    STATE(3868), 1,
      sym_comment,
    STATE(7216), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(6994), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [139178] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4906), 1,
      anon_sym_EQ,
    STATE(3869), 1,
      sym_comment,
    ACTIONS(4908), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [139207] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5017), 1,
      anon_sym_EQ,
    STATE(3870), 1,
      sym_comment,
    ACTIONS(5019), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [139236] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4916), 1,
      anon_sym_EQ,
    STATE(3871), 1,
      sym_comment,
    ACTIONS(4918), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [139265] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4797), 1,
      anon_sym_EQ,
    STATE(3872), 1,
      sym_comment,
    ACTIONS(4799), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [139294] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6996), 1,
      anon_sym_DQUOTE,
    ACTIONS(6998), 1,
      anon_sym_SQUOTE,
    ACTIONS(7002), 1,
      anon_sym_unique,
    ACTIONS(7072), 1,
      sym_number,
    STATE(3873), 1,
      sym_comment,
    STATE(7213), 1,
      sym_predefined_type,
    STATE(7214), 1,
      sym_string,
    ACTIONS(6994), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [139333] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5092), 1,
      anon_sym_EQ,
    STATE(3874), 1,
      sym_comment,
    ACTIONS(5094), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [139362] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5182), 1,
      anon_sym_EQ,
    STATE(3875), 1,
      sym_comment,
    ACTIONS(5184), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [139391] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6996), 1,
      anon_sym_DQUOTE,
    ACTIONS(6998), 1,
      anon_sym_SQUOTE,
    ACTIONS(7002), 1,
      anon_sym_unique,
    ACTIONS(7074), 1,
      sym_number,
    STATE(3876), 1,
      sym_comment,
    STATE(7209), 1,
      sym_predefined_type,
    STATE(7211), 1,
      sym_string,
    ACTIONS(6994), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [139430] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5288), 1,
      anon_sym_EQ,
    STATE(3877), 1,
      sym_comment,
    ACTIONS(5290), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [139459] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6996), 1,
      anon_sym_DQUOTE,
    ACTIONS(6998), 1,
      anon_sym_SQUOTE,
    ACTIONS(7002), 1,
      anon_sym_unique,
    ACTIONS(7076), 1,
      sym_number,
    STATE(3878), 1,
      sym_comment,
    STATE(7263), 1,
      sym_string,
    STATE(7274), 1,
      sym_predefined_type,
    ACTIONS(6994), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [139498] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5158), 1,
      anon_sym_EQ,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    STATE(3879), 1,
      sym_comment,
    ACTIONS(5160), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [139529] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6996), 1,
      anon_sym_DQUOTE,
    ACTIONS(6998), 1,
      anon_sym_SQUOTE,
    ACTIONS(7002), 1,
      anon_sym_unique,
    ACTIONS(7078), 1,
      sym_number,
    STATE(3880), 1,
      sym_comment,
    STATE(7259), 1,
      sym_string,
    STATE(7260), 1,
      sym_predefined_type,
    ACTIONS(6994), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [139568] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4924), 1,
      anon_sym_EQ,
    STATE(3881), 1,
      sym_comment,
    ACTIONS(4926), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [139597] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6996), 1,
      anon_sym_DQUOTE,
    ACTIONS(6998), 1,
      anon_sym_SQUOTE,
    ACTIONS(7002), 1,
      anon_sym_unique,
    ACTIONS(7080), 1,
      sym_number,
    STATE(3882), 1,
      sym_comment,
    STATE(7202), 1,
      sym_predefined_type,
    STATE(7204), 1,
      sym_string,
    ACTIONS(6994), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [139636] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_EQ,
    STATE(3883), 1,
      sym_comment,
    ACTIONS(4993), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [139665] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4983), 1,
      anon_sym_EQ,
    STATE(3884), 1,
      sym_comment,
    ACTIONS(4985), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [139694] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7008), 1,
      anon_sym_LPAREN,
    ACTIONS(7014), 1,
      anon_sym_LT,
    ACTIONS(7082), 1,
      anon_sym_DOT,
    ACTIONS(7084), 1,
      anon_sym_QMARK_DOT,
    STATE(3885), 1,
      sym_comment,
    STATE(4081), 1,
      sym_arguments,
    STATE(4323), 1,
      sym_type_arguments,
    ACTIONS(4099), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [139733] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5152), 1,
      anon_sym_EQ,
    STATE(3886), 1,
      sym_comment,
    ACTIONS(5154), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [139762] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3887), 1,
      sym_comment,
    ACTIONS(7086), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [139789] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5068), 1,
      anon_sym_EQ,
    STATE(3888), 1,
      sym_comment,
    ACTIONS(5070), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [139818] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5072), 1,
      anon_sym_EQ,
    STATE(3889), 1,
      sym_comment,
    ACTIONS(5074), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [139847] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6996), 1,
      anon_sym_DQUOTE,
    ACTIONS(6998), 1,
      anon_sym_SQUOTE,
    ACTIONS(7002), 1,
      anon_sym_unique,
    ACTIONS(7088), 1,
      sym_number,
    STATE(3890), 1,
      sym_comment,
    STATE(7257), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(6994), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [139884] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4801), 1,
      anon_sym_EQ,
    STATE(3891), 1,
      sym_comment,
    ACTIONS(4803), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [139913] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4920), 1,
      anon_sym_EQ,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    STATE(3892), 1,
      sym_comment,
    ACTIONS(4922), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [139948] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5080), 1,
      anon_sym_EQ,
    STATE(3893), 1,
      sym_comment,
    ACTIONS(5082), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [139977] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7094), 1,
      anon_sym_BANG,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7102), 1,
      anon_sym_QMARK,
    STATE(3894), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(4933), 1,
      sym_type_annotation,
    STATE(6074), 1,
      sym__initializer,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6789), 1,
      sym__call_signature,
    ACTIONS(7092), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140025] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7106), 1,
      anon_sym_BANG,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    ACTIONS(7110), 1,
      anon_sym_QMARK,
    STATE(3895), 1,
      sym_comment,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5029), 1,
      sym_type_annotation,
    STATE(5839), 1,
      sym__initializer,
    STATE(5842), 1,
      sym__call_signature,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(7104), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140073] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4119), 1,
      anon_sym_LT,
    ACTIONS(7114), 1,
      anon_sym_GT,
    ACTIONS(7117), 1,
      anon_sym_DOT,
    STATE(3853), 1,
      sym_type_arguments,
    STATE(3896), 1,
      sym_comment,
    ACTIONS(7112), 4,
      anon_sym_LBRACE,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
    ACTIONS(4759), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [140109] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7121), 1,
      anon_sym_BANG,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    ACTIONS(7125), 1,
      anon_sym_QMARK,
    STATE(3897), 1,
      sym_comment,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(4738), 1,
      sym__call_signature,
    STATE(5202), 1,
      sym_type_annotation,
    STATE(6076), 1,
      sym__initializer,
    STATE(7065), 1,
      sym_type_parameters,
    ACTIONS(7119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140157] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7129), 1,
      anon_sym_BANG,
    ACTIONS(7131), 1,
      anon_sym_QMARK,
    STATE(3898), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5214), 1,
      sym_type_annotation,
    STATE(6183), 1,
      sym__initializer,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6917), 1,
      sym__call_signature,
    ACTIONS(7127), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140205] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(205), 1,
      anon_sym_unique,
    STATE(2377), 1,
      sym_type_predicate,
    STATE(3899), 1,
      sym_comment,
    STATE(7458), 1,
      sym_predefined_type,
    ACTIONS(7133), 2,
      sym_identifier,
      sym_this,
    ACTIONS(207), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [140239] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7135), 1,
      anon_sym_BANG,
    ACTIONS(7137), 1,
      anon_sym_QMARK,
    STATE(3900), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5286), 1,
      sym_type_annotation,
    STATE(6319), 1,
      sym__initializer,
    STATE(6565), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
    ACTIONS(7092), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140287] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4468), 1,
      anon_sym_COMMA,
    ACTIONS(4471), 1,
      anon_sym_RBRACE,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    ACTIONS(7139), 1,
      anon_sym_EQ,
    STATE(3901), 1,
      sym_comment,
    STATE(4476), 1,
      sym_formal_parameters,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6425), 1,
      sym_type_parameters,
    ACTIONS(4474), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [140331] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    ACTIONS(7143), 1,
      anon_sym_BANG,
    ACTIONS(7145), 1,
      anon_sym_QMARK,
    STATE(3902), 1,
      sym_comment,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(4770), 1,
      sym__call_signature,
    STATE(5300), 1,
      sym_type_annotation,
    STATE(6195), 1,
      sym__initializer,
    STATE(7065), 1,
      sym_type_parameters,
    ACTIONS(7141), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140379] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7149), 1,
      anon_sym_BANG,
    ACTIONS(7151), 1,
      anon_sym_QMARK,
    STATE(3903), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5103), 1,
      sym_type_annotation,
    STATE(5958), 1,
      sym__initializer,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6962), 1,
      sym__call_signature,
    ACTIONS(7147), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140427] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7153), 1,
      anon_sym_BANG,
    ACTIONS(7155), 1,
      anon_sym_QMARK,
    STATE(3904), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5118), 1,
      sym_type_annotation,
    STATE(5977), 1,
      sym__initializer,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6990), 1,
      sym__call_signature,
    ACTIONS(7147), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140475] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7106), 1,
      anon_sym_BANG,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    ACTIONS(7157), 1,
      anon_sym_QMARK,
    STATE(3905), 1,
      sym_comment,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(4783), 1,
      sym__call_signature,
    STATE(5029), 1,
      sym_type_annotation,
    STATE(5851), 1,
      sym__initializer,
    STATE(7065), 1,
      sym_type_parameters,
    ACTIONS(7104), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140523] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7159), 1,
      anon_sym_BANG,
    ACTIONS(7161), 1,
      anon_sym_QMARK,
    STATE(3906), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5491), 1,
      sym_type_annotation,
    STATE(6391), 1,
      sym__initializer,
    STATE(6431), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
    ACTIONS(7127), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140571] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7165), 1,
      anon_sym_BANG,
    ACTIONS(7167), 1,
      anon_sym_QMARK,
    STATE(3907), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5033), 1,
      sym_type_annotation,
    STATE(5864), 1,
      sym__initializer,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6805), 1,
      sym__call_signature,
    ACTIONS(7163), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140619] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4468), 1,
      anon_sym_COMMA,
    ACTIONS(4478), 1,
      anon_sym_RBRACE,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    ACTIONS(7139), 1,
      anon_sym_EQ,
    STATE(3908), 1,
      sym_comment,
    STATE(4476), 1,
      sym_formal_parameters,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6425), 1,
      sym_type_parameters,
    ACTIONS(4474), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [140663] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(6921), 1,
      anon_sym_STAR,
    ACTIONS(6925), 1,
      anon_sym_LBRACE,
    ACTIONS(7169), 1,
      sym_identifier,
    ACTIONS(7171), 1,
      anon_sym_type,
    STATE(3909), 1,
      sym_comment,
    STATE(6800), 1,
      sym_import_clause,
    STATE(6818), 1,
      sym_import_require_clause,
    STATE(6819), 1,
      sym_string,
    STATE(7062), 1,
      sym__import_identifier,
    ACTIONS(7173), 2,
      anon_sym_COMMA,
      anon_sym_from,
    STATE(7083), 2,
      sym_namespace_import,
      sym_named_imports,
  [140711] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(6921), 1,
      anon_sym_STAR,
    ACTIONS(6925), 1,
      anon_sym_LBRACE,
    ACTIONS(7169), 1,
      sym_identifier,
    ACTIONS(7171), 1,
      anon_sym_type,
    STATE(3910), 1,
      sym_comment,
    STATE(6449), 1,
      sym_string,
    STATE(6450), 1,
      sym_import_require_clause,
    STATE(7003), 1,
      sym_import_clause,
    STATE(7062), 1,
      sym__import_identifier,
    ACTIONS(7173), 2,
      anon_sym_COMMA,
      anon_sym_from,
    STATE(7083), 2,
      sym_namespace_import,
      sym_named_imports,
  [140759] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(6921), 1,
      anon_sym_STAR,
    ACTIONS(6925), 1,
      anon_sym_LBRACE,
    ACTIONS(7169), 1,
      sym_identifier,
    ACTIONS(7171), 1,
      anon_sym_type,
    STATE(3911), 1,
      sym_comment,
    STATE(6644), 1,
      sym_import_require_clause,
    STATE(6645), 1,
      sym_string,
    STATE(6908), 1,
      sym_import_clause,
    STATE(7062), 1,
      sym__import_identifier,
    ACTIONS(7173), 2,
      anon_sym_COMMA,
      anon_sym_from,
    STATE(7083), 2,
      sym_namespace_import,
      sym_named_imports,
  [140807] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4759), 1,
      anon_sym_PIPE,
    ACTIONS(6982), 1,
      anon_sym_LT,
    ACTIONS(7056), 1,
      anon_sym_DOT,
    STATE(3912), 1,
      sym_comment,
    STATE(4109), 1,
      sym_type_arguments,
    ACTIONS(4163), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [140841] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(205), 1,
      anon_sym_unique,
    STATE(3913), 1,
      sym_comment,
    STATE(4130), 1,
      sym_type_predicate,
    STATE(7183), 1,
      sym_predefined_type,
    ACTIONS(7175), 2,
      sym_identifier,
      sym_this,
    ACTIONS(207), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [140875] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7179), 1,
      anon_sym_BANG,
    ACTIONS(7181), 1,
      anon_sym_QMARK,
    STATE(3914), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(4928), 1,
      sym_type_annotation,
    STATE(5734), 1,
      sym__initializer,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6826), 1,
      sym__call_signature,
    ACTIONS(7177), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140923] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4468), 1,
      anon_sym_COMMA,
    ACTIONS(4481), 1,
      anon_sym_RBRACE,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    ACTIONS(7139), 1,
      anon_sym_EQ,
    STATE(3915), 1,
      sym_comment,
    STATE(4476), 1,
      sym_formal_parameters,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6425), 1,
      sym_type_parameters,
    ACTIONS(4474), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [140967] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(6921), 1,
      anon_sym_STAR,
    ACTIONS(6925), 1,
      anon_sym_LBRACE,
    ACTIONS(7169), 1,
      sym_identifier,
    ACTIONS(7171), 1,
      anon_sym_type,
    STATE(3916), 1,
      sym_comment,
    STATE(6999), 1,
      sym_import_clause,
    STATE(7050), 1,
      sym_import_require_clause,
    STATE(7051), 1,
      sym_string,
    STATE(7062), 1,
      sym__import_identifier,
    ACTIONS(7173), 2,
      anon_sym_COMMA,
      anon_sym_from,
    STATE(7083), 2,
      sym_namespace_import,
      sym_named_imports,
  [141015] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7183), 1,
      anon_sym_BANG,
    ACTIONS(7185), 1,
      anon_sym_QMARK,
    STATE(3917), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5058), 1,
      sym_type_annotation,
    STATE(5891), 1,
      sym__initializer,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6852), 1,
      sym__call_signature,
    ACTIONS(7147), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141063] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7187), 1,
      anon_sym_BANG,
    ACTIONS(7189), 1,
      anon_sym_QMARK,
    STATE(3918), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5040), 1,
      sym_type_annotation,
    STATE(5878), 1,
      sym__initializer,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6845), 1,
      sym__call_signature,
    ACTIONS(7147), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141111] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7191), 1,
      anon_sym_BANG,
    ACTIONS(7193), 1,
      anon_sym_QMARK,
    STATE(3919), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5506), 1,
      sym_type_annotation,
    STATE(6356), 1,
      sym__initializer,
    STATE(6488), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
    ACTIONS(7092), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141159] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    ACTIONS(7197), 1,
      anon_sym_BANG,
    ACTIONS(7199), 1,
      anon_sym_QMARK,
    STATE(3920), 1,
      sym_comment,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(4851), 1,
      sym__call_signature,
    STATE(4955), 1,
      sym_type_annotation,
    STATE(5760), 1,
      sym__initializer,
    STATE(7065), 1,
      sym_type_parameters,
    ACTIONS(7195), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141207] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4468), 1,
      anon_sym_COMMA,
    ACTIONS(4487), 1,
      anon_sym_RBRACE,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    ACTIONS(7139), 1,
      anon_sym_EQ,
    STATE(3921), 1,
      sym_comment,
    STATE(4476), 1,
      sym_formal_parameters,
    STATE(6262), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6425), 1,
      sym_type_parameters,
    ACTIONS(4474), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [141251] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7201), 1,
      anon_sym_BANG,
    ACTIONS(7203), 1,
      anon_sym_QMARK,
    STATE(3922), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5416), 1,
      sym_type_annotation,
    STATE(6293), 1,
      sym__initializer,
    STATE(6623), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
    ACTIONS(7092), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141299] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4468), 1,
      anon_sym_COMMA,
    ACTIONS(4484), 1,
      anon_sym_RBRACE,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    ACTIONS(7139), 1,
      anon_sym_EQ,
    STATE(3923), 1,
      sym_comment,
    STATE(4476), 1,
      sym_formal_parameters,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6425), 1,
      sym_type_parameters,
    ACTIONS(4474), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [141343] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    STATE(3924), 1,
      sym_comment,
    STATE(2578), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5102), 10,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [141375] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    ACTIONS(7207), 1,
      anon_sym_BANG,
    ACTIONS(7209), 1,
      anon_sym_QMARK,
    STATE(3925), 1,
      sym_comment,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(4767), 1,
      sym__call_signature,
    STATE(5353), 1,
      sym_type_annotation,
    STATE(6246), 1,
      sym__initializer,
    STATE(7065), 1,
      sym_type_parameters,
    ACTIONS(7205), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141423] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(205), 1,
      anon_sym_unique,
    STATE(3926), 1,
      sym_comment,
    STATE(4286), 1,
      sym_type_predicate,
    STATE(7428), 1,
      sym_predefined_type,
    ACTIONS(7211), 2,
      sym_identifier,
      sym_this,
    ACTIONS(207), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [141457] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(6921), 1,
      anon_sym_STAR,
    ACTIONS(6925), 1,
      anon_sym_LBRACE,
    ACTIONS(7169), 1,
      sym_identifier,
    ACTIONS(7171), 1,
      anon_sym_type,
    STATE(3927), 1,
      sym_comment,
    STATE(6588), 1,
      sym_import_clause,
    STATE(6620), 1,
      sym_string,
    STATE(6883), 1,
      sym_import_require_clause,
    STATE(7062), 1,
      sym__import_identifier,
    ACTIONS(7173), 2,
      anon_sym_COMMA,
      anon_sym_from,
    STATE(7083), 2,
      sym_namespace_import,
      sym_named_imports,
  [141505] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(205), 1,
      anon_sym_unique,
    STATE(2898), 1,
      sym_type_predicate,
    STATE(3928), 1,
      sym_comment,
    STATE(7319), 1,
      sym_predefined_type,
    ACTIONS(7213), 2,
      sym_identifier,
      sym_this,
    ACTIONS(207), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [141539] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7215), 1,
      anon_sym_BANG,
    ACTIONS(7217), 1,
      anon_sym_QMARK,
    STATE(3929), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(4969), 1,
      sym_type_annotation,
    STATE(5778), 1,
      sym__initializer,
    STATE(6627), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
    ACTIONS(7147), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141587] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    ACTIONS(7143), 1,
      anon_sym_BANG,
    ACTIONS(7219), 1,
      anon_sym_QMARK,
    STATE(3930), 1,
      sym_comment,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5300), 1,
      sym_type_annotation,
    STATE(6274), 1,
      sym__call_signature,
    STATE(6275), 1,
      sym__initializer,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(7141), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141635] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7221), 1,
      anon_sym_BANG,
    ACTIONS(7223), 1,
      anon_sym_QMARK,
    STATE(3931), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(4979), 1,
      sym_type_annotation,
    STATE(5788), 1,
      sym__initializer,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6677), 1,
      sym__call_signature,
    ACTIONS(7147), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141683] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7225), 1,
      anon_sym_BANG,
    ACTIONS(7227), 1,
      anon_sym_QMARK,
    STATE(3932), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5392), 1,
      sym_type_annotation,
    STATE(6276), 1,
      sym__initializer,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6639), 1,
      sym__call_signature,
    ACTIONS(7127), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141731] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7229), 1,
      anon_sym_BANG,
    ACTIONS(7231), 1,
      anon_sym_QMARK,
    STATE(3933), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5408), 1,
      sym_type_annotation,
    STATE(6289), 1,
      sym__initializer,
    STATE(6616), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
    ACTIONS(7127), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141779] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(205), 1,
      anon_sym_unique,
    STATE(3787), 1,
      sym_type_predicate,
    STATE(3934), 1,
      sym_comment,
    STATE(7482), 1,
      sym_predefined_type,
    ACTIONS(7233), 2,
      sym_identifier,
      sym_this,
    ACTIONS(207), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [141813] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3935), 1,
      sym_comment,
    ACTIONS(4900), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [141838] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3936), 1,
      sym_comment,
    ACTIONS(4989), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [141863] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    ACTIONS(7237), 1,
      anon_sym_QMARK,
    STATE(3937), 1,
      sym_comment,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(4453), 1,
      sym__call_signature,
    STATE(5431), 1,
      sym_type_annotation,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(7235), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [141904] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3938), 1,
      sym_comment,
    ACTIONS(5078), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [141929] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3939), 1,
      sym_comment,
    ACTIONS(5078), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [141954] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    ACTIONS(7241), 1,
      anon_sym_QMARK,
    STATE(3940), 1,
      sym_comment,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5414), 1,
      sym__call_signature,
    STATE(5415), 1,
      sym_type_annotation,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(7239), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [141995] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    ACTIONS(7243), 1,
      anon_sym_QMARK,
    STATE(3941), 1,
      sym_comment,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(4485), 1,
      sym__call_signature,
    STATE(5415), 1,
      sym_type_annotation,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(7239), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [142036] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    ACTIONS(7247), 1,
      anon_sym_QMARK,
    STATE(3942), 1,
      sym_comment,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(4922), 1,
      sym_type_annotation,
    STATE(4924), 1,
      sym__call_signature,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(7245), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [142077] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4306), 1,
      anon_sym_PIPE,
    STATE(3943), 1,
      sym_comment,
    ACTIONS(4813), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142104] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3944), 1,
      sym_comment,
    ACTIONS(5066), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [142129] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    ACTIONS(7249), 1,
      anon_sym_COLON,
    ACTIONS(7251), 1,
      anon_sym_QMARK,
    STATE(3945), 1,
      sym_comment,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(4653), 1,
      sym__call_signature,
    STATE(4922), 1,
      sym_type_annotation,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(7245), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [142170] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3946), 1,
      sym_comment,
    ACTIONS(5066), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [142195] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    ACTIONS(7253), 1,
      anon_sym_QMARK,
    STATE(3947), 1,
      sym_comment,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5431), 1,
      sym_type_annotation,
    STATE(5437), 1,
      sym__call_signature,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(7235), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [142236] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3948), 1,
      sym_comment,
    ACTIONS(5066), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [142261] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3949), 1,
      sym_comment,
    ACTIONS(5078), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [142286] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3950), 1,
      sym_comment,
    ACTIONS(5090), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [142311] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3951), 1,
      sym_comment,
    ACTIONS(5090), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [142336] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5218), 1,
      anon_sym_PIPE,
    ACTIONS(7255), 1,
      anon_sym_DOT,
    ACTIONS(7257), 1,
      anon_sym_QMARK_DOT,
    STATE(3952), 1,
      sym_comment,
    ACTIONS(5220), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142367] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3953), 1,
      sym_comment,
    ACTIONS(5090), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [142392] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3954), 1,
      sym_comment,
    ACTIONS(5062), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [142417] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    ACTIONS(7261), 1,
      anon_sym_QMARK,
    STATE(3955), 1,
      sym_comment,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5336), 1,
      sym__call_signature,
    STATE(5432), 1,
      sym_type_annotation,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(7259), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [142458] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(6956), 1,
      anon_sym_DOT,
    ACTIONS(6960), 1,
      anon_sym_LT,
    ACTIONS(7263), 1,
      anon_sym_COLON,
    ACTIONS(7265), 1,
      anon_sym_GT,
    ACTIONS(7267), 1,
      anon_sym_SLASH_GT,
    STATE(3956), 1,
      sym_comment,
    STATE(4380), 1,
      sym_type_arguments,
    STATE(4393), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [142503] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7014), 1,
      anon_sym_LT,
    ACTIONS(7269), 1,
      anon_sym_DOT,
    ACTIONS(7271), 1,
      anon_sym_is,
    STATE(3957), 1,
      sym_comment,
    STATE(4212), 1,
      sym_type_arguments,
    ACTIONS(4163), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [142536] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    ACTIONS(7275), 1,
      anon_sym_QMARK,
    STATE(3958), 1,
      sym_comment,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(4455), 1,
      sym__call_signature,
    STATE(5149), 1,
      sym_type_annotation,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(7273), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [142577] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3959), 1,
      sym_comment,
    ACTIONS(4904), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [142602] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3960), 1,
      sym_comment,
    ACTIONS(4904), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [142627] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3961), 1,
      sym_comment,
    ACTIONS(4904), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [142652] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    ACTIONS(7277), 1,
      anon_sym_QMARK,
    STATE(3962), 1,
      sym_comment,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5145), 1,
      sym__call_signature,
    STATE(5149), 1,
      sym_type_annotation,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(7273), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [142693] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(5100), 1,
      anon_sym_PIPE,
    STATE(3963), 1,
      sym_comment,
    STATE(2578), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5102), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142726] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3964), 1,
      sym_comment,
    ACTIONS(4900), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [142751] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4308), 1,
      anon_sym_PIPE,
    STATE(3965), 1,
      sym_comment,
    ACTIONS(4827), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142778] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5190), 1,
      anon_sym_PIPE,
    STATE(3966), 1,
      sym_comment,
    ACTIONS(5192), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142805] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    ACTIONS(7279), 1,
      anon_sym_QMARK,
    STATE(3967), 1,
      sym_comment,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(4561), 1,
      sym__call_signature,
    STATE(5432), 1,
      sym_type_annotation,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(7259), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [142846] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5203), 1,
      anon_sym_PIPE,
    STATE(3968), 1,
      sym_comment,
    ACTIONS(5205), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142873] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5207), 1,
      anon_sym_PIPE,
    STATE(3969), 1,
      sym_comment,
    ACTIONS(5209), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142900] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3970), 1,
      sym_comment,
    ACTIONS(4900), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [142925] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3971), 1,
      sym_comment,
    ACTIONS(4844), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [142950] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3972), 1,
      sym_comment,
    ACTIONS(4844), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [142975] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3973), 1,
      sym_comment,
    ACTIONS(4844), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [143000] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3974), 1,
      sym_comment,
    ACTIONS(4848), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [143025] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4948), 1,
      anon_sym_PIPE,
    STATE(3975), 1,
      sym_comment,
    ACTIONS(4950), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143052] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5096), 1,
      anon_sym_PIPE,
    STATE(3976), 1,
      sym_comment,
    ACTIONS(5098), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143079] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5084), 1,
      anon_sym_PIPE,
    STATE(3977), 1,
      sym_comment,
    ACTIONS(5086), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143106] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5284), 1,
      anon_sym_PIPE,
    STATE(3978), 1,
      sym_comment,
    ACTIONS(5286), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143133] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2121), 1,
      anon_sym_DOT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5039), 1,
      anon_sym_PIPE,
    STATE(3979), 1,
      sym_comment,
    ACTIONS(5041), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143162] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2133), 1,
      anon_sym_DOT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5039), 1,
      anon_sym_PIPE,
    STATE(3980), 1,
      sym_comment,
    ACTIONS(5041), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143191] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5280), 1,
      anon_sym_PIPE,
    STATE(3981), 1,
      sym_comment,
    ACTIONS(5282), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143218] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5276), 1,
      anon_sym_PIPE,
    STATE(3982), 1,
      sym_comment,
    ACTIONS(5278), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143245] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3983), 1,
      sym_comment,
    ACTIONS(4934), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [143270] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3984), 1,
      sym_comment,
    ACTIONS(4938), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [143295] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3985), 1,
      sym_comment,
    ACTIONS(4934), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [143320] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3986), 1,
      sym_comment,
    ACTIONS(4981), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [143345] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5252), 1,
      anon_sym_PIPE,
    STATE(3987), 1,
      sym_comment,
    ACTIONS(5254), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143372] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3988), 1,
      sym_comment,
    ACTIONS(4977), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [143397] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4801), 1,
      anon_sym_PIPE,
    ACTIONS(6982), 1,
      anon_sym_LT,
    STATE(3989), 1,
      sym_comment,
    STATE(4102), 1,
      sym_type_arguments,
    ACTIONS(4803), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143428] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(6956), 1,
      anon_sym_DOT,
    ACTIONS(6960), 1,
      anon_sym_LT,
    ACTIONS(7263), 1,
      anon_sym_COLON,
    ACTIONS(7265), 1,
      anon_sym_GT,
    ACTIONS(7281), 1,
      anon_sym_SLASH_GT,
    STATE(3990), 1,
      sym_comment,
    STATE(4258), 1,
      sym_type_arguments,
    STATE(4259), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [143473] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5256), 1,
      anon_sym_PIPE,
    STATE(3991), 1,
      sym_comment,
    ACTIONS(5258), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143500] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3992), 1,
      sym_comment,
    ACTIONS(4977), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [143525] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5256), 1,
      anon_sym_PIPE,
    STATE(3993), 1,
      sym_comment,
    ACTIONS(5258), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143552] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3994), 1,
      sym_comment,
    ACTIONS(4973), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [143577] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5186), 1,
      anon_sym_PIPE,
    STATE(3995), 1,
      sym_comment,
    ACTIONS(5188), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143604] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4298), 1,
      anon_sym_PIPE,
    STATE(3996), 1,
      sym_comment,
    ACTIONS(4795), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143631] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5252), 1,
      anon_sym_PIPE,
    STATE(3997), 1,
      sym_comment,
    ACTIONS(5254), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143658] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3998), 1,
      sym_comment,
    ACTIONS(4973), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [143683] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(3999), 1,
      sym_comment,
    ACTIONS(4954), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [143708] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4000), 1,
      sym_comment,
    ACTIONS(4938), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [143733] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4001), 1,
      sym_comment,
    ACTIONS(4954), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [143758] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4002), 1,
      sym_comment,
    ACTIONS(4981), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [143783] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4003), 1,
      sym_comment,
    ACTIONS(4997), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [143808] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7283), 1,
      anon_sym_LBRACE,
    ACTIONS(7287), 1,
      anon_sym_LT_SLASH,
    ACTIONS(7289), 1,
      anon_sym_LT,
    STATE(2535), 1,
      sym_jsx_closing_element,
    STATE(4004), 1,
      sym_comment,
    STATE(4025), 1,
      sym_jsx_opening_element,
    STATE(4086), 1,
      aux_sym_jsx_element_repeat1,
    ACTIONS(7285), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(5316), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [143846] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4005), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(4988), 1,
      sym_type_annotation,
    STATE(5797), 1,
      sym__initializer,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6700), 1,
      sym__call_signature,
    ACTIONS(7291), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143888] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4006), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5097), 1,
      sym_type_annotation,
    STATE(5905), 1,
      sym__initializer,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6691), 1,
      sym__call_signature,
    ACTIONS(7293), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143930] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    STATE(4007), 1,
      sym_comment,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5409), 1,
      sym__call_signature,
    STATE(5410), 1,
      sym_type_annotation,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(7295), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [143968] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4468), 1,
      anon_sym_COMMA,
    ACTIONS(4484), 1,
      anon_sym_RBRACE,
    ACTIONS(7139), 1,
      anon_sym_EQ,
    STATE(4008), 1,
      sym_comment,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4474), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [144002] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    STATE(4009), 1,
      sym_comment,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(4676), 1,
      sym__call_signature,
    STATE(5425), 1,
      sym_type_annotation,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(7297), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [144040] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4829), 1,
      anon_sym_PIPE,
    ACTIONS(7058), 1,
      anon_sym_is,
    STATE(4010), 1,
      sym_comment,
    ACTIONS(4831), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144068] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    STATE(4011), 1,
      sym_comment,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(4737), 1,
      sym__call_signature,
    STATE(5198), 1,
      sym_type_annotation,
    STATE(6065), 1,
      sym__initializer,
    STATE(7065), 1,
      sym_type_parameters,
    ACTIONS(7299), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144110] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4012), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5502), 1,
      sym_type_annotation,
    STATE(6384), 1,
      sym__initializer,
    STATE(6441), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144152] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4013), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(4976), 1,
      sym_type_annotation,
    STATE(5785), 1,
      sym__initializer,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6646), 1,
      sym__call_signature,
    ACTIONS(7291), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144194] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(6921), 1,
      anon_sym_STAR,
    ACTIONS(6925), 1,
      anon_sym_LBRACE,
    ACTIONS(7169), 1,
      sym_identifier,
    ACTIONS(7171), 1,
      anon_sym_type,
    STATE(4014), 1,
      sym_comment,
    STATE(6449), 1,
      sym_string,
    STATE(6450), 1,
      sym_import_require_clause,
    STATE(7003), 1,
      sym_import_clause,
    STATE(7062), 1,
      sym__import_identifier,
    STATE(7083), 2,
      sym_namespace_import,
      sym_named_imports,
  [144238] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    STATE(4015), 1,
      sym_comment,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(4944), 1,
      sym_type_annotation,
    STATE(5770), 1,
      sym__call_signature,
    STATE(5771), 1,
      sym__initializer,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(7303), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144280] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4016), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(4965), 1,
      sym_type_annotation,
    STATE(5710), 1,
      sym__initializer,
    STATE(6554), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
    ACTIONS(7293), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144322] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7014), 1,
      anon_sym_LT,
    ACTIONS(7269), 1,
      anon_sym_DOT,
    STATE(4017), 1,
      sym_comment,
    STATE(4212), 1,
      sym_type_arguments,
    ACTIONS(4163), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [144352] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4018), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5463), 1,
      sym_type_annotation,
    STATE(6393), 1,
      sym__initializer,
    STATE(6413), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144394] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4019), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5101), 1,
      sym_type_annotation,
    STATE(5952), 1,
      sym__initializer,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6939), 1,
      sym__call_signature,
    ACTIONS(7291), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144436] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    STATE(4020), 1,
      sym_comment,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(4855), 1,
      sym__call_signature,
    STATE(5395), 1,
      sym_type_annotation,
    STATE(6141), 1,
      sym__initializer,
    STATE(7065), 1,
      sym_type_parameters,
    ACTIONS(7305), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144478] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    STATE(4021), 1,
      sym_comment,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(4484), 1,
      sym__call_signature,
    STATE(5410), 1,
      sym_type_annotation,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(7295), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [144516] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4022), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5210), 1,
      sym_type_annotation,
    STATE(6089), 1,
      sym__initializer,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6934), 1,
      sym__call_signature,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144558] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(6921), 1,
      anon_sym_STAR,
    ACTIONS(6925), 1,
      anon_sym_LBRACE,
    ACTIONS(7169), 1,
      sym_identifier,
    ACTIONS(7171), 1,
      anon_sym_type,
    STATE(4023), 1,
      sym_comment,
    STATE(6644), 1,
      sym_import_require_clause,
    STATE(6645), 1,
      sym_string,
    STATE(6908), 1,
      sym_import_clause,
    STATE(7062), 1,
      sym__import_identifier,
    STATE(7083), 2,
      sym_namespace_import,
      sym_named_imports,
  [144602] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7283), 1,
      anon_sym_LBRACE,
    ACTIONS(7289), 1,
      anon_sym_LT,
    ACTIONS(7307), 1,
      anon_sym_LT_SLASH,
    STATE(3191), 1,
      sym_jsx_closing_element,
    STATE(4024), 1,
      sym_comment,
    STATE(4025), 1,
      sym_jsx_opening_element,
    STATE(4046), 1,
      aux_sym_jsx_element_repeat1,
    ACTIONS(7285), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(5316), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [144640] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7283), 1,
      anon_sym_LBRACE,
    ACTIONS(7289), 1,
      anon_sym_LT,
    ACTIONS(7309), 1,
      anon_sym_LT_SLASH,
    STATE(4059), 1,
      aux_sym_jsx_element_repeat1,
    STATE(5450), 1,
      sym_jsx_closing_element,
    ACTIONS(7285), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(4025), 2,
      sym_jsx_opening_element,
      sym_comment,
    STATE(5316), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [144676] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4026), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5220), 1,
      sym_type_annotation,
    STATE(5708), 1,
      sym__initializer,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6898), 1,
      sym__call_signature,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144718] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    STATE(4027), 1,
      sym_comment,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5089), 1,
      sym_type_annotation,
    STATE(5090), 1,
      sym__call_signature,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(7311), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [144756] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4028), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5281), 1,
      sym_type_annotation,
    STATE(6092), 1,
      sym__initializer,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6921), 1,
      sym__call_signature,
    ACTIONS(7293), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144798] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(6960), 1,
      anon_sym_LT,
    ACTIONS(7313), 1,
      anon_sym_GT,
    ACTIONS(7315), 1,
      anon_sym_DOT,
    ACTIONS(7317), 1,
      anon_sym_SLASH_GT,
    STATE(4029), 1,
      sym_comment,
    STATE(4268), 1,
      sym_type_arguments,
    STATE(4271), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [144840] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7283), 1,
      anon_sym_LBRACE,
    ACTIONS(7287), 1,
      anon_sym_LT_SLASH,
    ACTIONS(7289), 1,
      anon_sym_LT,
    STATE(2545), 1,
      sym_jsx_closing_element,
    STATE(4004), 1,
      aux_sym_jsx_element_repeat1,
    STATE(4025), 1,
      sym_jsx_opening_element,
    STATE(4030), 1,
      sym_comment,
    ACTIONS(7285), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(5316), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [144878] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4815), 1,
      anon_sym_PIPE,
    STATE(4031), 1,
      sym_comment,
    ACTIONS(4817), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_is,
      anon_sym_PIPE_RBRACE,
  [144904] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1974), 1,
      anon_sym_PIPE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4032), 1,
      sym_comment,
    ACTIONS(2030), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_is,
      anon_sym_PIPE_RBRACE,
  [144930] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4033), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5394), 1,
      sym_type_annotation,
    STATE(6189), 1,
      sym__initializer,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6793), 1,
      sym__call_signature,
    ACTIONS(7293), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144972] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    STATE(4034), 1,
      sym_comment,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(4830), 1,
      sym__call_signature,
    STATE(4991), 1,
      sym_type_annotation,
    STATE(5801), 1,
      sym__initializer,
    STATE(7065), 1,
      sym_type_parameters,
    ACTIONS(7319), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145014] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4468), 1,
      anon_sym_COMMA,
    ACTIONS(4481), 1,
      anon_sym_RBRACE,
    ACTIONS(7139), 1,
      anon_sym_EQ,
    STATE(4035), 1,
      sym_comment,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4474), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [145048] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(6921), 1,
      anon_sym_STAR,
    ACTIONS(6925), 1,
      anon_sym_LBRACE,
    ACTIONS(7169), 1,
      sym_identifier,
    ACTIONS(7171), 1,
      anon_sym_type,
    STATE(4036), 1,
      sym_comment,
    STATE(6999), 1,
      sym_import_clause,
    STATE(7050), 1,
      sym_import_require_clause,
    STATE(7051), 1,
      sym_string,
    STATE(7062), 1,
      sym__import_identifier,
    STATE(7083), 2,
      sym_namespace_import,
      sym_named_imports,
  [145092] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7283), 1,
      anon_sym_LBRACE,
    ACTIONS(7289), 1,
      anon_sym_LT,
    ACTIONS(7321), 1,
      anon_sym_LT_SLASH,
    STATE(4025), 1,
      sym_jsx_opening_element,
    STATE(4037), 1,
      sym_comment,
    STATE(4086), 1,
      aux_sym_jsx_element_repeat1,
    STATE(4998), 1,
      sym_jsx_closing_element,
    ACTIONS(7285), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(5316), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [145130] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4038), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5418), 1,
      sym_type_annotation,
    STATE(6303), 1,
      sym__initializer,
    STATE(6592), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145172] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    STATE(4039), 1,
      sym_comment,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5150), 1,
      sym__call_signature,
    STATE(5151), 1,
      sym_type_annotation,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(7323), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145210] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    STATE(4040), 1,
      sym_comment,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(4496), 1,
      sym__call_signature,
    STATE(5089), 1,
      sym_type_annotation,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(7311), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145248] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4041), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5486), 1,
      sym_type_annotation,
    STATE(6383), 1,
      sym__initializer,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6670), 1,
      sym__call_signature,
    ACTIONS(7325), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145290] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4797), 1,
      anon_sym_PIPE,
    ACTIONS(7058), 1,
      anon_sym_is,
    STATE(4042), 1,
      sym_comment,
    ACTIONS(4799), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [145318] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4801), 1,
      anon_sym_PIPE,
    ACTIONS(7327), 1,
      anon_sym_is,
    STATE(4043), 1,
      sym_comment,
    ACTIONS(4803), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [145346] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(6921), 1,
      anon_sym_STAR,
    ACTIONS(6925), 1,
      anon_sym_LBRACE,
    ACTIONS(7169), 1,
      sym_identifier,
    ACTIONS(7171), 1,
      anon_sym_type,
    STATE(4044), 1,
      sym_comment,
    STATE(6800), 1,
      sym_import_clause,
    STATE(6818), 1,
      sym_import_require_clause,
    STATE(6819), 1,
      sym_string,
    STATE(7062), 1,
      sym__import_identifier,
    STATE(7083), 2,
      sym_namespace_import,
      sym_named_imports,
  [145390] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    STATE(4045), 1,
      sym_comment,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(4560), 1,
      sym__call_signature,
    STATE(5253), 1,
      sym_type_annotation,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(7329), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145428] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7283), 1,
      anon_sym_LBRACE,
    ACTIONS(7289), 1,
      anon_sym_LT,
    ACTIONS(7307), 1,
      anon_sym_LT_SLASH,
    STATE(3272), 1,
      sym_jsx_closing_element,
    STATE(4025), 1,
      sym_jsx_opening_element,
    STATE(4046), 1,
      sym_comment,
    STATE(4086), 1,
      aux_sym_jsx_element_repeat1,
    ACTIONS(7285), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(5316), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [145466] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4047), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5137), 1,
      sym_type_annotation,
    STATE(6000), 1,
      sym__initializer,
    STATE(6395), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
    ACTIONS(7291), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145508] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(6960), 1,
      anon_sym_LT,
    ACTIONS(7313), 1,
      anon_sym_GT,
    ACTIONS(7315), 1,
      anon_sym_DOT,
    ACTIONS(7331), 1,
      anon_sym_SLASH_GT,
    STATE(4048), 1,
      sym_comment,
    STATE(4209), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4211), 1,
      sym_type_arguments,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [145550] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4049), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5401), 1,
      sym_type_annotation,
    STATE(6280), 1,
      sym__initializer,
    STATE(6630), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145592] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(6960), 1,
      anon_sym_LT,
    ACTIONS(7313), 1,
      anon_sym_GT,
    ACTIONS(7315), 1,
      anon_sym_DOT,
    ACTIONS(7333), 1,
      anon_sym_SLASH_GT,
    STATE(4050), 1,
      sym_comment,
    STATE(4394), 1,
      sym_type_arguments,
    STATE(4397), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [145634] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    ACTIONS(7139), 1,
      anon_sym_EQ,
    STATE(4051), 1,
      sym_comment,
    STATE(4476), 1,
      sym_formal_parameters,
    STATE(6425), 1,
      sym_type_parameters,
    ACTIONS(4741), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4474), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [145670] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    STATE(4052), 1,
      sym_comment,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(4865), 1,
      sym__call_signature,
    STATE(4944), 1,
      sym_type_annotation,
    STATE(5748), 1,
      sym__initializer,
    STATE(7065), 1,
      sym_type_parameters,
    ACTIONS(7303), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145712] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(6921), 1,
      anon_sym_STAR,
    ACTIONS(6925), 1,
      anon_sym_LBRACE,
    ACTIONS(7169), 1,
      sym_identifier,
    ACTIONS(7171), 1,
      anon_sym_type,
    STATE(4053), 1,
      sym_comment,
    STATE(6588), 1,
      sym_import_clause,
    STATE(6620), 1,
      sym_string,
    STATE(6883), 1,
      sym_import_require_clause,
    STATE(7062), 1,
      sym__import_identifier,
    STATE(7083), 2,
      sym_namespace_import,
      sym_named_imports,
  [145756] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    STATE(4054), 1,
      sym_comment,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5253), 1,
      sym_type_annotation,
    STATE(5302), 1,
      sym__call_signature,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(7329), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145794] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7283), 1,
      anon_sym_LBRACE,
    ACTIONS(7289), 1,
      anon_sym_LT,
    ACTIONS(7321), 1,
      anon_sym_LT_SLASH,
    STATE(4025), 1,
      sym_jsx_opening_element,
    STATE(4037), 1,
      aux_sym_jsx_element_repeat1,
    STATE(4055), 1,
      sym_comment,
    STATE(4925), 1,
      sym_jsx_closing_element,
    ACTIONS(7285), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(5316), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [145832] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    STATE(4056), 1,
      sym_comment,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(4469), 1,
      sym__call_signature,
    STATE(5151), 1,
      sym_type_annotation,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(7323), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145870] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    STATE(4057), 1,
      sym_comment,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5425), 1,
      sym_type_annotation,
    STATE(5464), 1,
      sym__call_signature,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(7297), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145908] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    STATE(4058), 1,
      sym_comment,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5332), 1,
      sym_type_annotation,
    STATE(6271), 1,
      sym__call_signature,
    STATE(6272), 1,
      sym__initializer,
    STATE(6912), 1,
      sym_type_parameters,
    ACTIONS(7335), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145950] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7283), 1,
      anon_sym_LBRACE,
    ACTIONS(7289), 1,
      anon_sym_LT,
    ACTIONS(7309), 1,
      anon_sym_LT_SLASH,
    STATE(4025), 1,
      sym_jsx_opening_element,
    STATE(4059), 1,
      sym_comment,
    STATE(4086), 1,
      aux_sym_jsx_element_repeat1,
    STATE(5289), 1,
      sym_jsx_closing_element,
    ACTIONS(7285), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(5316), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [145988] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4468), 1,
      anon_sym_COMMA,
    ACTIONS(4471), 1,
      anon_sym_RBRACE,
    ACTIONS(7139), 1,
      anon_sym_EQ,
    STATE(4060), 1,
      sym_comment,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4474), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [146022] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4061), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5222), 1,
      sym_type_annotation,
    STATE(6120), 1,
      sym__initializer,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6889), 1,
      sym__call_signature,
    ACTIONS(7337), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146064] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4468), 1,
      anon_sym_COMMA,
    ACTIONS(4478), 1,
      anon_sym_RBRACE,
    ACTIONS(7139), 1,
      anon_sym_EQ,
    STATE(4062), 1,
      sym_comment,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4474), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [146098] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4468), 1,
      anon_sym_COMMA,
    ACTIONS(4487), 1,
      anon_sym_RBRACE,
    ACTIONS(7139), 1,
      anon_sym_EQ,
    STATE(4063), 1,
      sym_comment,
    STATE(6262), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4474), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [146132] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    STATE(4064), 1,
      sym_comment,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(4779), 1,
      sym__call_signature,
    STATE(5332), 1,
      sym_type_annotation,
    STATE(6229), 1,
      sym__initializer,
    STATE(7065), 1,
      sym_type_parameters,
    ACTIONS(7335), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146174] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4178), 1,
      anon_sym_COLON,
    ACTIONS(6905), 1,
      anon_sym_LT,
    ACTIONS(6915), 1,
      anon_sym_DOT,
    ACTIONS(7339), 1,
      anon_sym_QMARK,
    STATE(3853), 1,
      sym_type_arguments,
    STATE(4065), 1,
      sym_comment,
    STATE(6465), 1,
      sym_type_annotation,
    ACTIONS(4163), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [146210] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(6960), 1,
      anon_sym_LT,
    ACTIONS(7313), 1,
      anon_sym_GT,
    ACTIONS(7315), 1,
      anon_sym_DOT,
    ACTIONS(7342), 1,
      anon_sym_SLASH_GT,
    STATE(4066), 1,
      sym_comment,
    STATE(4263), 1,
      sym_type_arguments,
    STATE(4273), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [146252] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5134), 1,
      anon_sym_PIPE,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    STATE(4067), 1,
      sym_comment,
    ACTIONS(5136), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [146279] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5272), 1,
      anon_sym_PIPE,
    STATE(4068), 1,
      sym_comment,
    ACTIONS(5274), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [146304] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5104), 1,
      anon_sym_PIPE,
    STATE(4069), 1,
      sym_comment,
    ACTIONS(5106), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [146329] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5049), 1,
      anon_sym_PIPE,
    STATE(4070), 1,
      sym_comment,
    ACTIONS(5051), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [146354] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5068), 1,
      anon_sym_PIPE,
    STATE(4071), 1,
      sym_comment,
    ACTIONS(5070), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [146379] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7348), 1,
      anon_sym_PIPE,
    ACTIONS(7350), 1,
      anon_sym_extends,
    STATE(4072), 1,
      sym_comment,
    ACTIONS(5122), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [146408] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4073), 1,
      sym_comment,
    ACTIONS(6413), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [146431] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4074), 1,
      sym_comment,
    ACTIONS(5098), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [146454] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5013), 1,
      anon_sym_PIPE,
    STATE(4075), 1,
      sym_comment,
    ACTIONS(5015), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [146479] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7348), 1,
      anon_sym_PIPE,
    ACTIONS(7350), 1,
      anon_sym_extends,
    STATE(4076), 1,
      sym_comment,
    ACTIONS(5015), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [146508] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5072), 1,
      anon_sym_PIPE,
    STATE(4077), 1,
      sym_comment,
    ACTIONS(5074), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [146533] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5080), 1,
      anon_sym_PIPE,
    STATE(4078), 1,
      sym_comment,
    ACTIONS(5082), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [146558] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5009), 1,
      anon_sym_PIPE,
    STATE(4079), 1,
      sym_comment,
    ACTIONS(5011), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [146583] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5092), 1,
      anon_sym_PIPE,
    STATE(4080), 1,
      sym_comment,
    ACTIONS(5094), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [146608] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4081), 1,
      sym_comment,
    ACTIONS(4950), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [146631] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5100), 1,
      anon_sym_PIPE,
    STATE(4082), 1,
      sym_comment,
    ACTIONS(5102), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [146656] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4083), 1,
      sym_comment,
    ACTIONS(5086), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [146679] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    STATE(4084), 1,
      sym_comment,
    ACTIONS(5007), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [146706] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5001), 1,
      anon_sym_PIPE,
    STATE(4085), 1,
      sym_comment,
    ACTIONS(5003), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [146731] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7352), 1,
      anon_sym_LBRACE,
    ACTIONS(7358), 1,
      anon_sym_LT_SLASH,
    ACTIONS(7360), 1,
      anon_sym_LT,
    STATE(4025), 1,
      sym_jsx_opening_element,
    ACTIONS(7355), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(4086), 2,
      sym_comment,
      aux_sym_jsx_element_repeat1,
    STATE(5316), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [146764] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(7363), 1,
      sym_identifier,
    ACTIONS(7365), 1,
      anon_sym_type,
    ACTIONS(7367), 1,
      anon_sym_COMMA,
    ACTIONS(7369), 1,
      anon_sym_RBRACE,
    ACTIONS(7371), 1,
      anon_sym_typeof,
    STATE(4087), 1,
      sym_comment,
    STATE(5593), 1,
      sym_string,
    STATE(6210), 1,
      sym_import_specifier,
    STATE(6772), 1,
      sym__import_identifier,
    STATE(7350), 1,
      sym__module_export_name,
  [146807] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3310), 1,
      anon_sym_PIPE,
    STATE(4088), 1,
      sym_comment,
    ACTIONS(3388), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [146832] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4940), 1,
      anon_sym_PIPE,
    STATE(4089), 1,
      sym_comment,
    ACTIONS(4942), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [146857] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_PIPE,
    STATE(4090), 1,
      sym_comment,
    ACTIONS(4993), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [146882] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7014), 1,
      anon_sym_LT,
    STATE(4091), 1,
      sym_comment,
    STATE(4214), 1,
      sym_type_arguments,
    ACTIONS(4803), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [146909] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2121), 1,
      anon_sym_DOT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4092), 1,
      sym_comment,
    ACTIONS(5041), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [146934] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7348), 1,
      anon_sym_PIPE,
    ACTIONS(7350), 1,
      anon_sym_extends,
    STATE(4093), 1,
      sym_comment,
    ACTIONS(5168), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [146963] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2133), 1,
      anon_sym_DOT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4094), 1,
      sym_comment,
    ACTIONS(5041), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [146988] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7348), 1,
      anon_sym_PIPE,
    ACTIONS(7350), 1,
      anon_sym_extends,
    STATE(4095), 1,
      sym_comment,
    ACTIONS(5164), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [147017] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4983), 1,
      anon_sym_PIPE,
    STATE(4096), 1,
      sym_comment,
    ACTIONS(4985), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147042] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    STATE(4097), 1,
      sym_comment,
    STATE(4476), 1,
      sym_formal_parameters,
    STATE(6425), 1,
      sym_type_parameters,
    ACTIONS(4474), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [147073] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3304), 1,
      anon_sym_PIPE,
    STATE(4098), 1,
      sym_comment,
    ACTIONS(3386), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147098] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3294), 1,
      anon_sym_PIPE,
    STATE(4099), 1,
      sym_comment,
    ACTIONS(3434), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147123] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3296), 1,
      anon_sym_PIPE,
    STATE(4100), 1,
      sym_comment,
    ACTIONS(3408), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147148] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5134), 1,
      anon_sym_PIPE,
    STATE(4101), 1,
      sym_comment,
    ACTIONS(5136), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147173] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5110), 1,
      anon_sym_PIPE,
    STATE(4102), 1,
      sym_comment,
    ACTIONS(5112), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147198] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4797), 1,
      anon_sym_PIPE,
    STATE(4103), 1,
      sym_comment,
    ACTIONS(4799), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147223] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5288), 1,
      anon_sym_PIPE,
    STATE(4104), 1,
      sym_comment,
    ACTIONS(5290), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147248] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5114), 1,
      anon_sym_PIPE,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    STATE(4105), 1,
      sym_comment,
    ACTIONS(5116), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147275] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5124), 1,
      anon_sym_PIPE,
    ACTIONS(7373), 1,
      anon_sym_extends,
    STATE(4106), 1,
      sym_comment,
    ACTIONS(5126), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE_RBRACE,
  [147302] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5134), 1,
      anon_sym_PIPE,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    STATE(4107), 1,
      sym_comment,
    ACTIONS(5136), 2,
      anon_sym_AMP,
      anon_sym_extends,
    ACTIONS(5132), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [147331] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7348), 1,
      anon_sym_PIPE,
    ACTIONS(7350), 1,
      anon_sym_extends,
    STATE(4108), 1,
      sym_comment,
    ACTIONS(5140), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [147360] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5142), 1,
      anon_sym_PIPE,
    STATE(4109), 1,
      sym_comment,
    ACTIONS(5144), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147385] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4801), 1,
      anon_sym_PIPE,
    STATE(4110), 1,
      sym_comment,
    ACTIONS(4803), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147410] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4111), 1,
      sym_comment,
    ACTIONS(6376), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [147433] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5294), 1,
      anon_sym_PIPE,
    STATE(4112), 1,
      sym_comment,
    ACTIONS(5296), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147458] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5148), 1,
      anon_sym_PIPE,
    STATE(4113), 1,
      sym_comment,
    ACTIONS(5150), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147483] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5152), 1,
      anon_sym_PIPE,
    STATE(4114), 1,
      sym_comment,
    ACTIONS(5154), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147508] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3292), 1,
      anon_sym_PIPE,
    STATE(4115), 1,
      sym_comment,
    ACTIONS(3436), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147533] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7375), 1,
      anon_sym_DOT,
    ACTIONS(7377), 1,
      anon_sym_QMARK_DOT,
    STATE(4116), 1,
      sym_comment,
    ACTIONS(5220), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [147560] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4117), 1,
      sym_comment,
    ACTIONS(4474), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [147583] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4928), 1,
      anon_sym_PIPE,
    STATE(4118), 1,
      sym_comment,
    ACTIONS(4930), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147608] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4924), 1,
      anon_sym_PIPE,
    STATE(4119), 1,
      sym_comment,
    ACTIONS(4926), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147633] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5158), 1,
      anon_sym_PIPE,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    STATE(4120), 1,
      sym_comment,
    ACTIONS(5160), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147660] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7348), 1,
      anon_sym_PIPE,
    ACTIONS(7350), 1,
      anon_sym_extends,
    STATE(4121), 1,
      sym_comment,
    ACTIONS(4922), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [147689] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5182), 1,
      anon_sym_PIPE,
    STATE(4122), 1,
      sym_comment,
    ACTIONS(5184), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147714] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5017), 1,
      anon_sym_PIPE,
    STATE(4123), 1,
      sym_comment,
    ACTIONS(5019), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147739] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5214), 1,
      anon_sym_PIPE,
    STATE(4124), 1,
      sym_comment,
    ACTIONS(5216), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147764] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4916), 1,
      anon_sym_PIPE,
    STATE(4125), 1,
      sym_comment,
    ACTIONS(4918), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147789] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4906), 1,
      anon_sym_PIPE,
    STATE(4126), 1,
      sym_comment,
    ACTIONS(4908), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147814] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4127), 1,
      sym_comment,
    ACTIONS(4795), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [147837] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7348), 1,
      anon_sym_PIPE,
    ACTIONS(7350), 1,
      anon_sym_extends,
    STATE(4128), 1,
      sym_comment,
    ACTIONS(4908), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [147866] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4129), 1,
      sym_comment,
    ACTIONS(4827), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [147889] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4829), 1,
      anon_sym_PIPE,
    STATE(4130), 1,
      sym_comment,
    ACTIONS(4831), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147914] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4131), 1,
      sym_comment,
    ACTIONS(4813), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [147937] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(7379), 1,
      sym_identifier,
    ACTIONS(7383), 1,
      anon_sym_COMMA,
    ACTIONS(7385), 1,
      anon_sym_RBRACE,
    STATE(4132), 1,
      sym_comment,
    STATE(5593), 1,
      sym_string,
    STATE(6243), 1,
      sym_export_specifier,
    STATE(6244), 1,
      sym__module_export_name,
    ACTIONS(7381), 2,
      anon_sym_type,
      anon_sym_typeof,
  [147975] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4133), 1,
      sym_comment,
    ACTIONS(2030), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_is,
  [147997] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7387), 1,
      anon_sym_is,
    STATE(4134), 1,
      sym_comment,
    ACTIONS(4803), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [148021] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    STATE(4135), 1,
      sym_comment,
    STATE(3280), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5102), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [148049] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(6976), 1,
      anon_sym_SLASH_GT,
    ACTIONS(7263), 1,
      anon_sym_COLON,
    ACTIONS(7265), 1,
      anon_sym_GT,
    STATE(4136), 1,
      sym_comment,
    STATE(4254), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [148085] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7271), 1,
      anon_sym_is,
    STATE(4137), 1,
      sym_comment,
    ACTIONS(4799), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [148109] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7389), 1,
      sym_identifier,
    ACTIONS(7391), 1,
      anon_sym_LBRACE,
    ACTIONS(7393), 1,
      anon_sym_extends,
    ACTIONS(7395), 1,
      anon_sym_implements,
    STATE(3246), 1,
      sym_class_body,
    STATE(4138), 1,
      sym_comment,
    STATE(4500), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6758), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [148149] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4101), 1,
      anon_sym_LPAREN,
    ACTIONS(7399), 1,
      anon_sym_DOT,
    STATE(4139), 1,
      sym_comment,
    STATE(4417), 1,
      sym_arguments,
    ACTIONS(7397), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148177] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7391), 1,
      anon_sym_LBRACE,
    ACTIONS(7393), 1,
      anon_sym_extends,
    ACTIONS(7395), 1,
      anon_sym_implements,
    ACTIONS(7401), 1,
      sym_identifier,
    STATE(3246), 1,
      sym_class_body,
    STATE(4140), 1,
      sym_comment,
    STATE(4500), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6758), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [148217] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4141), 1,
      sym_comment,
    ACTIONS(4817), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_is,
  [148239] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7391), 1,
      anon_sym_LBRACE,
    ACTIONS(7393), 1,
      anon_sym_extends,
    ACTIONS(7395), 1,
      anon_sym_implements,
    ACTIONS(7403), 1,
      sym_identifier,
    STATE(3260), 1,
      sym_class_body,
    STATE(4142), 1,
      sym_comment,
    STATE(4657), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6913), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [148279] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7391), 1,
      anon_sym_LBRACE,
    ACTIONS(7393), 1,
      anon_sym_extends,
    ACTIONS(7395), 1,
      anon_sym_implements,
    ACTIONS(7405), 1,
      sym_identifier,
    STATE(3246), 1,
      sym_class_body,
    STATE(4143), 1,
      sym_comment,
    STATE(4500), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6758), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [148319] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7348), 1,
      anon_sym_PIPE,
    ACTIONS(7350), 1,
      anon_sym_extends,
    STATE(4144), 1,
      sym_comment,
    ACTIONS(7407), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148347] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7391), 1,
      anon_sym_LBRACE,
    ACTIONS(7393), 1,
      anon_sym_extends,
    ACTIONS(7395), 1,
      anon_sym_implements,
    ACTIONS(7409), 1,
      sym_identifier,
    STATE(3260), 1,
      sym_class_body,
    STATE(4145), 1,
      sym_comment,
    STATE(4657), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6913), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [148387] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7391), 1,
      anon_sym_LBRACE,
    ACTIONS(7393), 1,
      anon_sym_extends,
    ACTIONS(7395), 1,
      anon_sym_implements,
    ACTIONS(7411), 1,
      sym_identifier,
    STATE(3260), 1,
      sym_class_body,
    STATE(4146), 1,
      sym_comment,
    STATE(4657), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6913), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [148427] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(7263), 1,
      anon_sym_COLON,
    ACTIONS(7265), 1,
      anon_sym_GT,
    ACTIONS(7267), 1,
      anon_sym_SLASH_GT,
    STATE(4147), 1,
      sym_comment,
    STATE(4171), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [148463] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7415), 1,
      anon_sym_COLON,
    STATE(4148), 1,
      sym_comment,
    STATE(4833), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(7413), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148489] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(7363), 1,
      sym_identifier,
    ACTIONS(7365), 1,
      anon_sym_type,
    ACTIONS(7371), 1,
      anon_sym_typeof,
    ACTIONS(7417), 1,
      anon_sym_RBRACE,
    STATE(4149), 1,
      sym_comment,
    STATE(5593), 1,
      sym_string,
    STATE(6605), 1,
      sym_import_specifier,
    STATE(6772), 1,
      sym__import_identifier,
    STATE(7350), 1,
      sym__module_export_name,
  [148529] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7391), 1,
      anon_sym_LBRACE,
    ACTIONS(7393), 1,
      anon_sym_extends,
    ACTIONS(7395), 1,
      anon_sym_implements,
    ACTIONS(7419), 1,
      sym_identifier,
    STATE(3246), 1,
      sym_class_body,
    STATE(4150), 1,
      sym_comment,
    STATE(4500), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6758), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [148569] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7391), 1,
      anon_sym_LBRACE,
    ACTIONS(7393), 1,
      anon_sym_extends,
    ACTIONS(7395), 1,
      anon_sym_implements,
    ACTIONS(7421), 1,
      sym_identifier,
    STATE(3260), 1,
      sym_class_body,
    STATE(4151), 1,
      sym_comment,
    STATE(4657), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6913), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [148609] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7415), 1,
      anon_sym_COLON,
    STATE(4152), 1,
      sym_comment,
    STATE(4758), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(7423), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148635] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7391), 1,
      anon_sym_LBRACE,
    ACTIONS(7393), 1,
      anon_sym_extends,
    ACTIONS(7395), 1,
      anon_sym_implements,
    ACTIONS(7425), 1,
      sym_identifier,
    STATE(3260), 1,
      sym_class_body,
    STATE(4153), 1,
      sym_comment,
    STATE(4657), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6913), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [148675] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7393), 1,
      anon_sym_extends,
    ACTIONS(7395), 1,
      anon_sym_implements,
    ACTIONS(7427), 1,
      sym_identifier,
    ACTIONS(7429), 1,
      anon_sym_LBRACE,
    STATE(3408), 1,
      sym_class_body,
    STATE(4154), 1,
      sym_comment,
    STATE(4579), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6998), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [148715] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(7263), 1,
      anon_sym_COLON,
    ACTIONS(7265), 1,
      anon_sym_GT,
    ACTIONS(7281), 1,
      anon_sym_SLASH_GT,
    STATE(4155), 1,
      sym_comment,
    STATE(4257), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [148751] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7393), 1,
      anon_sym_extends,
    ACTIONS(7395), 1,
      anon_sym_implements,
    ACTIONS(7429), 1,
      anon_sym_LBRACE,
    ACTIONS(7431), 1,
      sym_identifier,
    STATE(2531), 1,
      sym_class_body,
    STATE(4156), 1,
      sym_comment,
    STATE(4663), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6685), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [148791] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7391), 1,
      anon_sym_LBRACE,
    ACTIONS(7393), 1,
      anon_sym_extends,
    ACTIONS(7395), 1,
      anon_sym_implements,
    ACTIONS(7433), 1,
      sym_identifier,
    STATE(3246), 1,
      sym_class_body,
    STATE(4157), 1,
      sym_comment,
    STATE(4500), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6758), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [148831] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(7363), 1,
      sym_identifier,
    ACTIONS(7435), 1,
      anon_sym_type,
    ACTIONS(7437), 1,
      anon_sym_as,
    STATE(4158), 1,
      sym_comment,
    STATE(5593), 1,
      sym_string,
    STATE(6817), 1,
      sym__import_identifier,
    STATE(7264), 1,
      sym__module_export_name,
    ACTIONS(7173), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [148869] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7139), 1,
      anon_sym_EQ,
    STATE(4159), 1,
      sym_comment,
    ACTIONS(4741), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4474), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [148895] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7391), 1,
      anon_sym_LBRACE,
    ACTIONS(7393), 1,
      anon_sym_extends,
    ACTIONS(7395), 1,
      anon_sym_implements,
    ACTIONS(7439), 1,
      sym_identifier,
    STATE(3246), 1,
      sym_class_body,
    STATE(4160), 1,
      sym_comment,
    STATE(4500), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6758), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [148935] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(6958), 1,
      anon_sym_SLASH_GT,
    ACTIONS(7263), 1,
      anon_sym_COLON,
    ACTIONS(7265), 1,
      anon_sym_GT,
    STATE(4161), 1,
      sym_comment,
    STATE(4221), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [148971] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7393), 1,
      anon_sym_extends,
    ACTIONS(7395), 1,
      anon_sym_implements,
    ACTIONS(7429), 1,
      anon_sym_LBRACE,
    ACTIONS(7441), 1,
      sym_identifier,
    STATE(2552), 1,
      sym_class_body,
    STATE(4162), 1,
      sym_comment,
    STATE(4584), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6929), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [149011] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7391), 1,
      anon_sym_LBRACE,
    ACTIONS(7393), 1,
      anon_sym_extends,
    ACTIONS(7395), 1,
      anon_sym_implements,
    ACTIONS(7443), 1,
      sym_identifier,
    STATE(3246), 1,
      sym_class_body,
    STATE(4163), 1,
      sym_comment,
    STATE(4500), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6758), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [149051] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7391), 1,
      anon_sym_LBRACE,
    ACTIONS(7393), 1,
      anon_sym_extends,
    ACTIONS(7395), 1,
      anon_sym_implements,
    ACTIONS(7445), 1,
      sym_identifier,
    STATE(3260), 1,
      sym_class_body,
    STATE(4164), 1,
      sym_comment,
    STATE(4657), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6913), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [149091] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7271), 1,
      anon_sym_is,
    STATE(4165), 1,
      sym_comment,
    ACTIONS(4831), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [149115] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7449), 1,
      anon_sym_BANG,
    STATE(4166), 1,
      sym_comment,
    STATE(5393), 1,
      sym_type_annotation,
    STATE(6185), 1,
      sym__initializer,
    ACTIONS(7451), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(7447), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149149] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7449), 1,
      anon_sym_BANG,
    ACTIONS(7453), 1,
      anon_sym_EQ,
    STATE(4167), 1,
      sym_comment,
    STATE(5393), 1,
      sym_type_annotation,
    STATE(5421), 1,
      sym__initializer,
    ACTIONS(7451), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(7447), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149183] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7391), 1,
      anon_sym_LBRACE,
    ACTIONS(7393), 1,
      anon_sym_extends,
    ACTIONS(7395), 1,
      anon_sym_implements,
    ACTIONS(7455), 1,
      sym_identifier,
    STATE(3260), 1,
      sym_class_body,
    STATE(4168), 1,
      sym_comment,
    STATE(4657), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6913), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [149223] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(7363), 1,
      sym_identifier,
    ACTIONS(7365), 1,
      anon_sym_type,
    ACTIONS(7371), 1,
      anon_sym_typeof,
    ACTIONS(7457), 1,
      anon_sym_RBRACE,
    STATE(4169), 1,
      sym_comment,
    STATE(5593), 1,
      sym_string,
    STATE(6605), 1,
      sym_import_specifier,
    STATE(6772), 1,
      sym__import_identifier,
    STATE(7350), 1,
      sym__module_export_name,
  [149263] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4170), 1,
      sym_comment,
    STATE(5390), 1,
      sym_type_annotation,
    STATE(6171), 1,
      sym__initializer,
    ACTIONS(7461), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(7459), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149294] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(7463), 1,
      anon_sym_GT,
    ACTIONS(7465), 1,
      anon_sym_SLASH_GT,
    STATE(4171), 1,
      sym_comment,
    STATE(4367), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [149327] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7467), 1,
      anon_sym_LBRACE,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    STATE(4172), 1,
      sym_comment,
    STATE(4695), 1,
      sym_type_parameters,
    STATE(5834), 1,
      sym_class_body,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6533), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [149364] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7473), 1,
      anon_sym_LBRACE,
    STATE(2554), 1,
      sym_class_body,
    STATE(4173), 1,
      sym_comment,
    STATE(4696), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6511), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [149401] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(7475), 1,
      anon_sym_GT,
    ACTIONS(7477), 1,
      anon_sym_SLASH_GT,
    STATE(4174), 1,
      sym_comment,
    STATE(4367), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [149434] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(7479), 1,
      anon_sym_GT,
    ACTIONS(7481), 1,
      anon_sym_SLASH_GT,
    STATE(4175), 1,
      sym_comment,
    STATE(4367), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [149467] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6905), 1,
      anon_sym_LT,
    STATE(2364), 1,
      sym_arguments,
    STATE(2536), 1,
      sym_template_string,
    STATE(3924), 1,
      sym_type_arguments,
    STATE(4176), 1,
      sym_comment,
    STATE(6865), 1,
      sym_optional_chain,
  [149504] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4177), 1,
      sym_comment,
    ACTIONS(3434), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [149525] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7483), 1,
      anon_sym_LBRACE,
    STATE(4178), 1,
      sym_comment,
    STATE(4699), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6442), 1,
      sym_class_heritage,
    STATE(6964), 1,
      sym_class_body,
    STATE(7185), 1,
      sym_implements_clause,
  [149562] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4179), 1,
      sym_comment,
    ACTIONS(3388), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [149583] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7485), 1,
      anon_sym_COLON,
    STATE(4180), 1,
      sym_comment,
    STATE(5374), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(7423), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149608] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7487), 1,
      anon_sym_AMP,
    ACTIONS(7489), 1,
      anon_sym_PIPE,
    ACTIONS(7491), 1,
      anon_sym_extends,
    STATE(4181), 1,
      sym_comment,
    ACTIONS(5122), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [149635] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4182), 1,
      sym_comment,
    ACTIONS(5106), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [149656] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(7363), 1,
      sym_identifier,
    ACTIONS(7365), 1,
      anon_sym_type,
    ACTIONS(7371), 1,
      anon_sym_typeof,
    STATE(4183), 1,
      sym_comment,
    STATE(5593), 1,
      sym_string,
    STATE(6605), 1,
      sym_import_specifier,
    STATE(6772), 1,
      sym__import_identifier,
    STATE(7350), 1,
      sym__module_export_name,
  [149693] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7493), 1,
      anon_sym_LBRACE,
    STATE(1228), 1,
      sym_class_body,
    STATE(4184), 1,
      sym_comment,
    STATE(4504), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6515), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [149730] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4185), 1,
      sym_comment,
    ACTIONS(3408), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [149751] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7495), 1,
      anon_sym_LBRACE,
    STATE(3139), 1,
      sym_class_body,
    STATE(4186), 1,
      sym_comment,
    STATE(4446), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6624), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [149788] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(6905), 1,
      anon_sym_LT,
    ACTIONS(7497), 1,
      anon_sym_DOT,
    STATE(2536), 1,
      sym_template_string,
    STATE(3217), 1,
      sym_arguments,
    STATE(4187), 1,
      sym_comment,
    STATE(5614), 1,
      sym_type_arguments,
    STATE(6865), 1,
      sym_optional_chain,
  [149825] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4188), 1,
      sym_comment,
    STATE(5300), 1,
      sym_type_annotation,
    STATE(6234), 1,
      sym__initializer,
    ACTIONS(7143), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(7141), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149856] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    STATE(1127), 1,
      sym_class_body,
    STATE(4189), 1,
      sym_comment,
    STATE(4480), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6574), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [149893] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7495), 1,
      anon_sym_LBRACE,
    STATE(3209), 1,
      sym_class_body,
    STATE(4190), 1,
      sym_comment,
    STATE(4506), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6490), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [149930] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7503), 1,
      anon_sym_BANG,
    ACTIONS(7505), 1,
      anon_sym_QMARK,
    STATE(4191), 1,
      sym_comment,
    STATE(5178), 1,
      sym_type_annotation,
    STATE(6034), 1,
      sym__initializer,
    ACTIONS(7501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149963] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7467), 1,
      anon_sym_LBRACE,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    STATE(4192), 1,
      sym_comment,
    STATE(4471), 1,
      sym_type_parameters,
    STATE(5244), 1,
      sym_class_body,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6870), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [150000] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7507), 1,
      anon_sym_BANG,
    ACTIONS(7509), 1,
      anon_sym_QMARK,
    STATE(4193), 1,
      sym_comment,
    STATE(5474), 1,
      sym_type_annotation,
    STATE(6367), 1,
      sym__initializer,
    ACTIONS(7127), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150033] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7511), 1,
      anon_sym_BANG,
    ACTIONS(7513), 1,
      anon_sym_QMARK,
    STATE(4194), 1,
      sym_comment,
    STATE(5466), 1,
      sym_type_annotation,
    STATE(6359), 1,
      sym__initializer,
    ACTIONS(7127), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150066] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7515), 1,
      anon_sym_LBRACE,
    STATE(440), 1,
      sym_class_body,
    STATE(4195), 1,
      sym_comment,
    STATE(4684), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6891), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [150103] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4196), 1,
      sym_comment,
    ACTIONS(4993), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [150124] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4197), 1,
      sym_comment,
    ACTIONS(4985), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [150145] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4198), 1,
      sym_comment,
    ACTIONS(4942), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [150166] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6905), 1,
      anon_sym_LT,
    ACTIONS(7517), 1,
      anon_sym_DOT,
    STATE(2536), 1,
      sym_template_string,
    STATE(2741), 1,
      sym_arguments,
    STATE(4199), 1,
      sym_comment,
    STATE(5614), 1,
      sym_type_arguments,
    STATE(6865), 1,
      sym_optional_chain,
  [150203] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(6905), 1,
      anon_sym_LT,
    STATE(3206), 1,
      sym_template_string,
    STATE(3372), 1,
      sym_arguments,
    STATE(4135), 1,
      sym_type_arguments,
    STATE(4200), 1,
      sym_comment,
    STATE(6786), 1,
      sym_optional_chain,
  [150240] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7519), 1,
      anon_sym_BANG,
    ACTIONS(7521), 1,
      anon_sym_QMARK,
    STATE(4201), 1,
      sym_comment,
    STATE(5442), 1,
      sym_type_annotation,
    STATE(6324), 1,
      sym__initializer,
    ACTIONS(7127), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150273] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7523), 1,
      anon_sym_BANG,
    ACTIONS(7525), 1,
      anon_sym_QMARK,
    STATE(4202), 1,
      sym_comment,
    STATE(5438), 1,
      sym_type_annotation,
    STATE(6322), 1,
      sym__initializer,
    ACTIONS(7127), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150306] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7527), 1,
      anon_sym_BANG,
    ACTIONS(7529), 1,
      anon_sym_QMARK,
    STATE(4203), 1,
      sym_comment,
    STATE(5427), 1,
      sym_type_annotation,
    STATE(6314), 1,
      sym__initializer,
    ACTIONS(7127), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150339] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(6976), 1,
      anon_sym_SLASH_GT,
    ACTIONS(7265), 1,
      anon_sym_GT,
    STATE(4204), 1,
      sym_comment,
    STATE(4272), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [150372] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    STATE(1061), 1,
      sym_class_body,
    STATE(4205), 1,
      sym_comment,
    STATE(4507), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6481), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [150409] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7483), 1,
      anon_sym_LBRACE,
    STATE(4206), 1,
      sym_comment,
    STATE(4679), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6589), 1,
      sym_class_body,
    STATE(6599), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [150446] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(7531), 1,
      anon_sym_GT,
    ACTIONS(7533), 1,
      anon_sym_SLASH_GT,
    STATE(4207), 1,
      sym_comment,
    STATE(4367), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [150479] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7535), 1,
      anon_sym_BANG,
    ACTIONS(7537), 1,
      anon_sym_QMARK,
    STATE(4208), 1,
      sym_comment,
    STATE(5413), 1,
      sym_type_annotation,
    STATE(6294), 1,
      sym__initializer,
    ACTIONS(7127), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150512] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(7539), 1,
      anon_sym_GT,
    ACTIONS(7541), 1,
      anon_sym_SLASH_GT,
    STATE(4209), 1,
      sym_comment,
    STATE(4367), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [150545] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7543), 1,
      anon_sym_BANG,
    ACTIONS(7545), 1,
      anon_sym_QMARK,
    STATE(4210), 1,
      sym_comment,
    STATE(5191), 1,
      sym_type_annotation,
    STATE(5990), 1,
      sym__initializer,
    ACTIONS(7163), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150578] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(7547), 1,
      anon_sym_GT,
    ACTIONS(7549), 1,
      anon_sym_SLASH_GT,
    STATE(4175), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4211), 1,
      sym_comment,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [150611] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4212), 1,
      sym_comment,
    ACTIONS(5144), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [150632] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7551), 1,
      anon_sym_EQ,
    STATE(4213), 1,
      sym_comment,
    ACTIONS(7553), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [150655] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4214), 1,
      sym_comment,
    ACTIONS(5112), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [150676] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7555), 1,
      anon_sym_LBRACE,
    STATE(346), 1,
      sym_class_body,
    STATE(4215), 1,
      sym_comment,
    STATE(4650), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6500), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [150713] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4216), 1,
      sym_comment,
    STATE(5029), 1,
      sym_type_annotation,
    STATE(5846), 1,
      sym__initializer,
    ACTIONS(7106), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(7104), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150744] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(7557), 1,
      anon_sym_GT,
    ACTIONS(7559), 1,
      anon_sym_SLASH_GT,
    STATE(4217), 1,
      sym_comment,
    STATE(4367), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [150777] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(7561), 1,
      anon_sym_GT,
    ACTIONS(7563), 1,
      anon_sym_SLASH_GT,
    STATE(4174), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4218), 1,
      sym_comment,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [150810] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_GT,
    ACTIONS(7281), 1,
      anon_sym_SLASH_GT,
    STATE(4219), 1,
      sym_comment,
    STATE(4274), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [150843] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7565), 1,
      anon_sym_BANG,
    ACTIONS(7567), 1,
      anon_sym_QMARK,
    STATE(4220), 1,
      sym_comment,
    STATE(5383), 1,
      sym_type_annotation,
    STATE(6248), 1,
      sym__initializer,
    ACTIONS(7127), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150876] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(7463), 1,
      anon_sym_GT,
    ACTIONS(7569), 1,
      anon_sym_SLASH_GT,
    STATE(4221), 1,
      sym_comment,
    STATE(4367), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [150909] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4222), 1,
      sym_comment,
    ACTIONS(5192), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [150930] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7571), 1,
      anon_sym_EQ,
    STATE(4223), 1,
      sym_comment,
    ACTIONS(7573), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [150953] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4224), 1,
      sym_comment,
    ACTIONS(5205), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [150974] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7575), 1,
      anon_sym_LBRACE,
    STATE(1060), 1,
      sym_class_body,
    STATE(4225), 1,
      sym_comment,
    STATE(4607), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6654), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [151011] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7487), 1,
      anon_sym_AMP,
    ACTIONS(7489), 1,
      anon_sym_PIPE,
    ACTIONS(7491), 1,
      anon_sym_extends,
    STATE(4226), 1,
      sym_comment,
    ACTIONS(4908), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [151038] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4227), 1,
      sym_comment,
    ACTIONS(4908), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151059] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2667), 1,
      anon_sym_RBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7139), 1,
      anon_sym_EQ,
    ACTIONS(7577), 1,
      anon_sym_COMMA,
    STATE(4228), 1,
      sym_comment,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4474), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [151090] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4229), 1,
      sym_comment,
    ACTIONS(4918), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151111] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7487), 1,
      anon_sym_AMP,
    ACTIONS(7489), 1,
      anon_sym_PIPE,
    ACTIONS(7491), 1,
      anon_sym_extends,
    STATE(4230), 1,
      sym_comment,
    ACTIONS(4922), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [151138] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(7479), 1,
      anon_sym_GT,
    ACTIONS(7579), 1,
      anon_sym_SLASH_GT,
    STATE(4231), 1,
      sym_comment,
    STATE(4367), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [151171] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4232), 1,
      sym_comment,
    ACTIONS(4926), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151192] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4233), 1,
      sym_comment,
    ACTIONS(4930), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151213] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4234), 1,
      sym_comment,
    ACTIONS(5209), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151234] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7581), 1,
      anon_sym_EQ,
    STATE(4235), 1,
      sym_comment,
    ACTIONS(7583), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [151257] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7585), 1,
      anon_sym_EQ,
    STATE(4236), 1,
      sym_comment,
    ACTIONS(7587), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [151280] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7473), 1,
      anon_sym_LBRACE,
    STATE(2514), 1,
      sym_class_body,
    STATE(4237), 1,
      sym_comment,
    STATE(4674), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6669), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [151317] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7467), 1,
      anon_sym_LBRACE,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    STATE(4238), 1,
      sym_comment,
    STATE(4666), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6277), 1,
      sym_class_body,
    STATE(6681), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [151354] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(7475), 1,
      anon_sym_GT,
    ACTIONS(7589), 1,
      anon_sym_SLASH_GT,
    STATE(4239), 1,
      sym_comment,
    STATE(4367), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [151387] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7591), 1,
      anon_sym_BANG,
    ACTIONS(7593), 1,
      anon_sym_QMARK,
    STATE(4240), 1,
      sym_comment,
    STATE(5154), 1,
      sym_type_annotation,
    STATE(5926), 1,
      sym__initializer,
    ACTIONS(7163), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151420] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4241), 1,
      sym_comment,
    ACTIONS(7595), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [151441] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7597), 1,
      anon_sym_BANG,
    ACTIONS(7599), 1,
      anon_sym_QMARK,
    STATE(4242), 1,
      sym_comment,
    STATE(5360), 1,
      sym_type_annotation,
    STATE(6251), 1,
      sym__initializer,
    ACTIONS(7127), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151474] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(6958), 1,
      anon_sym_SLASH_GT,
    ACTIONS(7265), 1,
      anon_sym_GT,
    STATE(4207), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4243), 1,
      sym_comment,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [151507] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7601), 1,
      anon_sym_BANG,
    ACTIONS(7603), 1,
      anon_sym_QMARK,
    STATE(4244), 1,
      sym_comment,
    STATE(5130), 1,
      sym_type_annotation,
    STATE(5913), 1,
      sym__initializer,
    ACTIONS(7163), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151540] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7605), 1,
      anon_sym_BANG,
    ACTIONS(7607), 1,
      anon_sym_QMARK,
    STATE(4245), 1,
      sym_comment,
    STATE(5111), 1,
      sym_type_annotation,
    STATE(5909), 1,
      sym__initializer,
    ACTIONS(7163), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151573] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7609), 1,
      anon_sym_EQ,
    STATE(4246), 1,
      sym_comment,
    ACTIONS(4282), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [151596] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7611), 1,
      anon_sym_BANG,
    ACTIONS(7613), 1,
      anon_sym_QMARK,
    STATE(4247), 1,
      sym_comment,
    STATE(5327), 1,
      sym_type_annotation,
    STATE(6217), 1,
      sym__initializer,
    ACTIONS(7127), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151629] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7615), 1,
      anon_sym_BANG,
    ACTIONS(7617), 1,
      anon_sym_QMARK,
    STATE(4248), 1,
      sym_comment,
    STATE(5318), 1,
      sym_type_annotation,
    STATE(6208), 1,
      sym__initializer,
    ACTIONS(7127), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151662] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7619), 1,
      anon_sym_BANG,
    ACTIONS(7621), 1,
      anon_sym_QMARK,
    STATE(4249), 1,
      sym_comment,
    STATE(5301), 1,
      sym_type_annotation,
    STATE(6197), 1,
      sym__initializer,
    ACTIONS(7127), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151695] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7495), 1,
      anon_sym_LBRACE,
    STATE(3095), 1,
      sym_class_body,
    STATE(4250), 1,
      sym_comment,
    STATE(4609), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6784), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [151732] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7623), 1,
      anon_sym_BANG,
    ACTIONS(7625), 1,
      anon_sym_QMARK,
    STATE(4251), 1,
      sym_comment,
    STATE(5021), 1,
      sym_type_annotation,
    STATE(5862), 1,
      sym__initializer,
    ACTIONS(7163), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151765] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(7561), 1,
      anon_sym_GT,
    ACTIONS(7627), 1,
      anon_sym_SLASH_GT,
    STATE(4252), 1,
      sym_comment,
    STATE(4305), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [151798] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7629), 1,
      anon_sym_EQ,
    STATE(4253), 1,
      sym_comment,
    ACTIONS(4284), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [151821] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(7463), 1,
      anon_sym_GT,
    ACTIONS(7631), 1,
      anon_sym_SLASH_GT,
    STATE(4254), 1,
      sym_comment,
    STATE(4367), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [151854] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7473), 1,
      anon_sym_LBRACE,
    STATE(3377), 1,
      sym_class_body,
    STATE(4255), 1,
      sym_comment,
    STATE(4697), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6952), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [151891] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7633), 1,
      anon_sym_BANG,
    ACTIONS(7635), 1,
      anon_sym_QMARK,
    STATE(4256), 1,
      sym_comment,
    STATE(5267), 1,
      sym_type_annotation,
    STATE(6165), 1,
      sym__initializer,
    ACTIONS(7127), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151924] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(7463), 1,
      anon_sym_GT,
    ACTIONS(7637), 1,
      anon_sym_SLASH_GT,
    STATE(4257), 1,
      sym_comment,
    STATE(4367), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [151957] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(7561), 1,
      anon_sym_GT,
    ACTIONS(7639), 1,
      anon_sym_SLASH_GT,
    STATE(4258), 1,
      sym_comment,
    STATE(4297), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [151990] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(7557), 1,
      anon_sym_GT,
    ACTIONS(7641), 1,
      anon_sym_SLASH_GT,
    STATE(4259), 1,
      sym_comment,
    STATE(4367), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [152023] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(7557), 1,
      anon_sym_GT,
    ACTIONS(7643), 1,
      anon_sym_SLASH_GT,
    STATE(4260), 1,
      sym_comment,
    STATE(4367), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [152056] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7139), 1,
      anon_sym_EQ,
    ACTIONS(7577), 1,
      anon_sym_COMMA,
    ACTIONS(7645), 1,
      anon_sym_RBRACE,
    STATE(4261), 1,
      sym_comment,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4474), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [152087] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4262), 1,
      sym_comment,
    ACTIONS(5254), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [152108] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(7547), 1,
      anon_sym_GT,
    ACTIONS(7647), 1,
      anon_sym_SLASH_GT,
    STATE(4263), 1,
      sym_comment,
    STATE(4298), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [152141] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4264), 1,
      sym_comment,
    ACTIONS(5254), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [152162] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4265), 1,
      sym_comment,
    ACTIONS(5258), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [152183] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4266), 1,
      sym_comment,
    ACTIONS(5258), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [152204] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4267), 1,
      sym_comment,
    ACTIONS(5188), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [152225] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(7547), 1,
      anon_sym_GT,
    ACTIONS(7649), 1,
      anon_sym_SLASH_GT,
    STATE(4268), 1,
      sym_comment,
    STATE(4275), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [152258] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7651), 1,
      anon_sym_BANG,
    ACTIONS(7653), 1,
      anon_sym_QMARK,
    STATE(4269), 1,
      sym_comment,
    STATE(5250), 1,
      sym_type_annotation,
    STATE(6154), 1,
      sym__initializer,
    ACTIONS(7127), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152291] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7655), 1,
      anon_sym_BANG,
    ACTIONS(7657), 1,
      anon_sym_QMARK,
    STATE(4270), 1,
      sym_comment,
    STATE(5247), 1,
      sym_type_annotation,
    STATE(6150), 1,
      sym__initializer,
    ACTIONS(7127), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152324] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(7539), 1,
      anon_sym_GT,
    ACTIONS(7659), 1,
      anon_sym_SLASH_GT,
    STATE(4271), 1,
      sym_comment,
    STATE(4367), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [152357] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(7531), 1,
      anon_sym_GT,
    ACTIONS(7661), 1,
      anon_sym_SLASH_GT,
    STATE(4272), 1,
      sym_comment,
    STATE(4367), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [152390] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(7539), 1,
      anon_sym_GT,
    ACTIONS(7663), 1,
      anon_sym_SLASH_GT,
    STATE(4273), 1,
      sym_comment,
    STATE(4367), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [152423] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(7531), 1,
      anon_sym_GT,
    ACTIONS(7665), 1,
      anon_sym_SLASH_GT,
    STATE(4274), 1,
      sym_comment,
    STATE(4367), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [152456] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(7479), 1,
      anon_sym_GT,
    ACTIONS(7667), 1,
      anon_sym_SLASH_GT,
    STATE(4275), 1,
      sym_comment,
    STATE(4367), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [152489] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7669), 1,
      anon_sym_BANG,
    ACTIONS(7671), 1,
      anon_sym_QMARK,
    STATE(4276), 1,
      sym_comment,
    STATE(4948), 1,
      sym_type_annotation,
    STATE(5765), 1,
      sym__initializer,
    ACTIONS(7163), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152522] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7673), 1,
      anon_sym_LBRACE,
    STATE(1481), 1,
      sym_class_body,
    STATE(4277), 1,
      sym_comment,
    STATE(4495), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6714), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [152559] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7675), 1,
      anon_sym_LBRACE,
    STATE(1497), 1,
      sym_class_body,
    STATE(4278), 1,
      sym_comment,
    STATE(4595), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6716), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [152596] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7467), 1,
      anon_sym_LBRACE,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    STATE(4279), 1,
      sym_comment,
    STATE(4474), 1,
      sym_type_parameters,
    STATE(5135), 1,
      sym_class_body,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6894), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [152633] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7677), 1,
      anon_sym_LBRACE,
    STATE(371), 1,
      sym_class_body,
    STATE(4280), 1,
      sym_comment,
    STATE(4479), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6911), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [152670] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(6905), 1,
      anon_sym_LT,
    ACTIONS(7679), 1,
      anon_sym_DOT,
    STATE(3206), 1,
      sym_template_string,
    STATE(3381), 1,
      sym_arguments,
    STATE(4281), 1,
      sym_comment,
    STATE(5600), 1,
      sym_type_arguments,
    STATE(6786), 1,
      sym_optional_chain,
  [152707] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6905), 1,
      anon_sym_LT,
    ACTIONS(7681), 1,
      anon_sym_DOT,
    STATE(2536), 1,
      sym_template_string,
    STATE(3244), 1,
      sym_arguments,
    STATE(4282), 1,
      sym_comment,
    STATE(5614), 1,
      sym_type_arguments,
    STATE(6865), 1,
      sym_optional_chain,
  [152744] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7683), 1,
      anon_sym_BANG,
    ACTIONS(7685), 1,
      anon_sym_QMARK,
    STATE(4283), 1,
      sym_comment,
    STATE(5233), 1,
      sym_type_annotation,
    STATE(6137), 1,
      sym__initializer,
    ACTIONS(7127), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152777] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6905), 1,
      anon_sym_LT,
    STATE(4284), 1,
      sym_comment,
    STATE(5614), 1,
      sym_type_arguments,
    STATE(6865), 1,
      sym_optional_chain,
    STATE(2536), 2,
      sym_template_string,
      sym_arguments,
  [152812] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4285), 1,
      sym_comment,
    STATE(4955), 1,
      sym_type_annotation,
    STATE(5761), 1,
      sym__initializer,
    ACTIONS(7197), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(7195), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152843] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4286), 1,
      sym_comment,
    ACTIONS(4831), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [152864] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7555), 1,
      anon_sym_LBRACE,
    STATE(385), 1,
      sym_class_body,
    STATE(4287), 1,
      sym_comment,
    STATE(4592), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6744), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [152901] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7575), 1,
      anon_sym_LBRACE,
    STATE(1070), 1,
      sym_class_body,
    STATE(4288), 1,
      sym_comment,
    STATE(4589), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6928), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [152938] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(6905), 1,
      anon_sym_LT,
    STATE(2860), 1,
      sym_arguments,
    STATE(3206), 1,
      sym_template_string,
    STATE(4135), 1,
      sym_type_arguments,
    STATE(4289), 1,
      sym_comment,
    STATE(6786), 1,
      sym_optional_chain,
  [152975] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4290), 1,
      sym_comment,
    STATE(5393), 1,
      sym_type_annotation,
    STATE(6144), 1,
      sym__initializer,
    ACTIONS(7451), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(7447), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153006] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7453), 1,
      anon_sym_EQ,
    STATE(4291), 1,
      sym_comment,
    STATE(5334), 1,
      sym__initializer,
    STATE(5393), 1,
      sym_type_annotation,
    ACTIONS(7451), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(7447), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153037] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4292), 1,
      sym_comment,
    ACTIONS(7687), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [153058] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5334), 1,
      anon_sym_DOT,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(6905), 1,
      anon_sym_LT,
    STATE(4293), 1,
      sym_comment,
    STATE(5600), 1,
      sym_type_arguments,
    STATE(6786), 1,
      sym_optional_chain,
    STATE(3206), 2,
      sym_template_string,
      sym_arguments,
  [153093] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7689), 1,
      anon_sym_LBRACE,
    STATE(1655), 1,
      sym_class_body,
    STATE(4294), 1,
      sym_comment,
    STATE(4478), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6899), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [153130] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4295), 1,
      sym_comment,
    ACTIONS(5278), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153151] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4296), 1,
      sym_comment,
    STATE(5202), 1,
      sym_type_annotation,
    STATE(6068), 1,
      sym__initializer,
    ACTIONS(7121), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(7119), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153182] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(7475), 1,
      anon_sym_GT,
    ACTIONS(7691), 1,
      anon_sym_SLASH_GT,
    STATE(4297), 1,
      sym_comment,
    STATE(4367), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [153215] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(7479), 1,
      anon_sym_GT,
    ACTIONS(7693), 1,
      anon_sym_SLASH_GT,
    STATE(4298), 1,
      sym_comment,
    STATE(4367), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [153248] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4299), 1,
      sym_comment,
    ACTIONS(7695), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [153269] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6905), 1,
      anon_sym_LT,
    STATE(2536), 1,
      sym_template_string,
    STATE(2756), 1,
      sym_arguments,
    STATE(3924), 1,
      sym_type_arguments,
    STATE(4300), 1,
      sym_comment,
    STATE(6865), 1,
      sym_optional_chain,
  [153306] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4301), 1,
      sym_comment,
    ACTIONS(5282), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153327] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7675), 1,
      anon_sym_LBRACE,
    STATE(1445), 1,
      sym_class_body,
    STATE(4302), 1,
      sym_comment,
    STATE(4580), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6829), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [153364] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4303), 1,
      sym_comment,
    ACTIONS(5286), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153385] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4304), 1,
      sym_comment,
    ACTIONS(5003), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153406] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(7475), 1,
      anon_sym_GT,
    ACTIONS(7697), 1,
      anon_sym_SLASH_GT,
    STATE(4305), 1,
      sym_comment,
    STATE(4367), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [153439] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4306), 1,
      sym_comment,
    ACTIONS(5274), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153460] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    ACTIONS(6905), 1,
      anon_sym_LT,
    ACTIONS(7699), 1,
      anon_sym_DOT,
    STATE(3028), 1,
      sym_arguments,
    STATE(3206), 1,
      sym_template_string,
    STATE(4307), 1,
      sym_comment,
    STATE(5600), 1,
      sym_type_arguments,
    STATE(6786), 1,
      sym_optional_chain,
  [153497] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7487), 1,
      anon_sym_AMP,
    STATE(4308), 1,
      sym_comment,
    ACTIONS(5007), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [153520] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4309), 1,
      sym_comment,
    ACTIONS(5011), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153541] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7487), 1,
      anon_sym_AMP,
    ACTIONS(7489), 1,
      anon_sym_PIPE,
    ACTIONS(7491), 1,
      anon_sym_extends,
    STATE(4310), 1,
      sym_comment,
    ACTIONS(5015), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [153568] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4311), 1,
      sym_comment,
    ACTIONS(5015), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153589] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4312), 1,
      sym_comment,
    ACTIONS(5051), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153610] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4313), 1,
      sym_comment,
    ACTIONS(5070), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153631] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    STATE(4314), 1,
      sym_comment,
    ACTIONS(5136), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153654] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4315), 1,
      sym_comment,
    ACTIONS(5074), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153675] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4316), 1,
      sym_comment,
    ACTIONS(5082), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153696] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7703), 1,
      anon_sym_BANG,
    ACTIONS(7705), 1,
      anon_sym_QMARK,
    STATE(4317), 1,
      sym_comment,
    STATE(5172), 1,
      sym_type_annotation,
    STATE(5963), 1,
      sym__initializer,
    ACTIONS(7163), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153729] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4318), 1,
      sym_comment,
    ACTIONS(3436), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153750] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7707), 1,
      anon_sym_BANG,
    ACTIONS(7709), 1,
      anon_sym_QMARK,
    STATE(4319), 1,
      sym_comment,
    STATE(4985), 1,
      sym_type_annotation,
    STATE(5794), 1,
      sym__initializer,
    ACTIONS(7147), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153783] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4320), 1,
      sym_comment,
    ACTIONS(5094), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153804] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(7711), 1,
      anon_sym_EQ,
    ACTIONS(7713), 1,
      anon_sym_DOT,
    STATE(4321), 1,
      sym_comment,
    STATE(4433), 1,
      sym_arguments,
    ACTIONS(7397), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
  [153833] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    ACTIONS(7715), 1,
      anon_sym_EQ,
    STATE(4322), 1,
      sym_comment,
    ACTIONS(7407), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
  [153862] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4323), 1,
      sym_comment,
    ACTIONS(5102), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153883] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7717), 1,
      anon_sym_BANG,
    ACTIONS(7719), 1,
      anon_sym_QMARK,
    STATE(4324), 1,
      sym_comment,
    STATE(5245), 1,
      sym_type_annotation,
    STATE(6043), 1,
      sym__initializer,
    ACTIONS(7163), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153916] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7721), 1,
      anon_sym_BANG,
    ACTIONS(7723), 1,
      anon_sym_QMARK,
    STATE(4325), 1,
      sym_comment,
    STATE(5270), 1,
      sym_type_annotation,
    STATE(6056), 1,
      sym__initializer,
    ACTIONS(7163), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153949] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7515), 1,
      anon_sym_LBRACE,
    STATE(428), 1,
      sym_class_body,
    STATE(4326), 1,
      sym_comment,
    STATE(4521), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6476), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [153986] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7725), 1,
      anon_sym_BANG,
    ACTIONS(7727), 1,
      anon_sym_QMARK,
    STATE(4327), 1,
      sym_comment,
    STATE(5346), 1,
      sym_type_annotation,
    STATE(6240), 1,
      sym__initializer,
    ACTIONS(7501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154019] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7729), 1,
      anon_sym_BANG,
    ACTIONS(7731), 1,
      anon_sym_QMARK,
    STATE(4328), 1,
      sym_comment,
    STATE(5341), 1,
      sym_type_annotation,
    STATE(6084), 1,
      sym__initializer,
    ACTIONS(7163), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154052] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7139), 1,
      anon_sym_EQ,
    ACTIONS(7577), 1,
      anon_sym_COMMA,
    ACTIONS(7733), 1,
      anon_sym_RBRACE,
    STATE(4329), 1,
      sym_comment,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4474), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [154083] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(7379), 1,
      sym_identifier,
    ACTIONS(7735), 1,
      anon_sym_RBRACE,
    STATE(4330), 1,
      sym_comment,
    STATE(5593), 1,
      sym_string,
    STATE(6244), 1,
      sym__module_export_name,
    STATE(6491), 1,
      sym_export_specifier,
    ACTIONS(7381), 2,
      anon_sym_type,
      anon_sym_typeof,
  [154118] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7673), 1,
      anon_sym_LBRACE,
    STATE(1201), 1,
      sym_class_body,
    STATE(4331), 1,
      sym_comment,
    STATE(4543), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6531), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [154155] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7737), 1,
      anon_sym_BANG,
    ACTIONS(7739), 1,
      anon_sym_QMARK,
    STATE(4332), 1,
      sym_comment,
    STATE(4993), 1,
      sym_type_annotation,
    STATE(5803), 1,
      sym__initializer,
    ACTIONS(7147), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154188] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7495), 1,
      anon_sym_LBRACE,
    STATE(3046), 1,
      sym_class_body,
    STATE(4333), 1,
      sym_comment,
    STATE(4575), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6579), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [154225] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7677), 1,
      anon_sym_LBRACE,
    STATE(389), 1,
      sym_class_body,
    STATE(4334), 1,
      sym_comment,
    STATE(4523), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(7015), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [154262] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4335), 1,
      sym_comment,
    ACTIONS(5136), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154283] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4336), 1,
      sym_comment,
    ACTIONS(7741), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [154304] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_GT,
    ACTIONS(7267), 1,
      anon_sym_SLASH_GT,
    STATE(4337), 1,
      sym_comment,
    STATE(4364), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [154337] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7743), 1,
      anon_sym_BANG,
    ACTIONS(7745), 1,
      anon_sym_QMARK,
    STATE(4338), 1,
      sym_comment,
    STATE(4999), 1,
      sym_type_annotation,
    STATE(5809), 1,
      sym__initializer,
    ACTIONS(7147), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154370] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4339), 1,
      sym_comment,
    ACTIONS(7747), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [154391] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4340), 1,
      sym_comment,
    ACTIONS(4284), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [154412] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4341), 1,
      sym_comment,
    ACTIONS(4282), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [154433] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4342), 1,
      sym_comment,
    ACTIONS(7587), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [154454] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7749), 1,
      anon_sym_BANG,
    ACTIONS(7751), 1,
      anon_sym_QMARK,
    STATE(4343), 1,
      sym_comment,
    STATE(5498), 1,
      sym_type_annotation,
    STATE(6336), 1,
      sym__initializer,
    ACTIONS(7092), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154487] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7753), 1,
      anon_sym_BANG,
    ACTIONS(7755), 1,
      anon_sym_QMARK,
    STATE(4344), 1,
      sym_comment,
    STATE(5469), 1,
      sym_type_annotation,
    STATE(6365), 1,
      sym__initializer,
    ACTIONS(7092), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154520] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7757), 1,
      anon_sym_LBRACE,
    STATE(1028), 1,
      sym_class_body,
    STATE(4345), 1,
      sym_comment,
    STATE(4550), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6544), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [154557] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7485), 1,
      anon_sym_COLON,
    STATE(4346), 1,
      sym_comment,
    STATE(4945), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(7413), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154582] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7759), 1,
      anon_sym_BANG,
    ACTIONS(7761), 1,
      anon_sym_QMARK,
    STATE(4347), 1,
      sym_comment,
    STATE(5004), 1,
      sym_type_annotation,
    STATE(5814), 1,
      sym__initializer,
    ACTIONS(7147), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154615] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7763), 1,
      anon_sym_BANG,
    ACTIONS(7765), 1,
      anon_sym_QMARK,
    STATE(4348), 1,
      sym_comment,
    STATE(5376), 1,
      sym_type_annotation,
    STATE(6118), 1,
      sym__initializer,
    ACTIONS(7163), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154648] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7467), 1,
      anon_sym_LBRACE,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    STATE(4349), 1,
      sym_comment,
    STATE(4483), 1,
      sym_type_parameters,
    STATE(5084), 1,
      sym_class_body,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6922), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [154685] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(6982), 1,
      anon_sym_LT,
    STATE(2536), 1,
      sym_template_string,
    STATE(2833), 1,
      sym_arguments,
    STATE(3963), 1,
      sym_type_arguments,
    STATE(4350), 1,
      sym_comment,
    STATE(6865), 1,
      sym_optional_chain,
  [154722] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4351), 1,
      sym_comment,
    ACTIONS(2087), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154743] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7139), 1,
      anon_sym_EQ,
    ACTIONS(7577), 1,
      anon_sym_COMMA,
    ACTIONS(7767), 1,
      anon_sym_RBRACE,
    STATE(4352), 1,
      sym_comment,
    STATE(6262), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4474), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [154774] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_LBRACE,
    ACTIONS(7771), 1,
      anon_sym_LT,
    ACTIONS(7773), 1,
      anon_sym_DQUOTE,
    ACTIONS(7775), 1,
      anon_sym_SQUOTE,
    STATE(4055), 1,
      sym_jsx_opening_element,
    STATE(4353), 1,
      sym_comment,
    STATE(4952), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym_string,
  [154805] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_LBRACE,
    ACTIONS(7771), 1,
      anon_sym_LT,
    ACTIONS(7773), 1,
      anon_sym_DQUOTE,
    ACTIONS(7775), 1,
      anon_sym_SQUOTE,
    STATE(4055), 1,
      sym_jsx_opening_element,
    STATE(4354), 1,
      sym_comment,
    STATE(4953), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym_string,
  [154836] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4355), 1,
      sym_comment,
    ACTIONS(7583), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [154857] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7777), 1,
      anon_sym_BANG,
    ACTIONS(7779), 1,
      anon_sym_QMARK,
    STATE(4356), 1,
      sym_comment,
    STATE(5023), 1,
      sym_type_annotation,
    STATE(5835), 1,
      sym__initializer,
    ACTIONS(7147), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154890] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7781), 1,
      anon_sym_BANG,
    ACTIONS(7783), 1,
      anon_sym_QMARK,
    STATE(4357), 1,
      sym_comment,
    STATE(5025), 1,
      sym_type_annotation,
    STATE(5841), 1,
      sym__initializer,
    ACTIONS(7147), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154923] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7785), 1,
      anon_sym_BANG,
    ACTIONS(7787), 1,
      anon_sym_QMARK,
    STATE(4358), 1,
      sym_comment,
    STATE(5085), 1,
      sym_type_annotation,
    STATE(5853), 1,
      sym__initializer,
    ACTIONS(7147), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154956] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4359), 1,
      sym_comment,
    ACTIONS(7553), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [154977] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4360), 1,
      sym_comment,
    ACTIONS(7573), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [154998] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7789), 1,
      anon_sym_LBRACE,
    STATE(933), 1,
      sym_class_body,
    STATE(4361), 1,
      sym_comment,
    STATE(4541), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6528), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [155035] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7467), 1,
      anon_sym_LBRACE,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    STATE(4362), 1,
      sym_comment,
    STATE(4494), 1,
      sym_type_parameters,
    STATE(5013), 1,
      sym_class_body,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6947), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [155072] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7791), 1,
      anon_sym_LBRACE,
    STATE(321), 1,
      sym_class_body,
    STATE(4363), 1,
      sym_comment,
    STATE(4540), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6522), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [155109] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(7531), 1,
      anon_sym_GT,
    ACTIONS(7793), 1,
      anon_sym_SLASH_GT,
    STATE(4364), 1,
      sym_comment,
    STATE(4367), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [155142] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(7379), 1,
      sym_identifier,
    ACTIONS(7795), 1,
      anon_sym_RBRACE,
    STATE(4365), 1,
      sym_comment,
    STATE(5593), 1,
      sym_string,
    STATE(6244), 1,
      sym__module_export_name,
    STATE(6491), 1,
      sym_export_specifier,
    ACTIONS(7381), 2,
      anon_sym_type,
      anon_sym_typeof,
  [155177] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4366), 1,
      sym_comment,
    ACTIONS(3386), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [155198] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7800), 1,
      anon_sym_LBRACE,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(7797), 2,
      sym_jsx_identifier,
      sym_identifier,
    ACTIONS(7803), 2,
      anon_sym_GT,
      anon_sym_SLASH_GT,
    STATE(4367), 2,
      sym_comment,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [155227] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7757), 1,
      anon_sym_LBRACE,
    STATE(966), 1,
      sym_class_body,
    STATE(4368), 1,
      sym_comment,
    STATE(4534), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6508), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [155264] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7689), 1,
      anon_sym_LBRACE,
    STATE(1657), 1,
      sym_class_body,
    STATE(4369), 1,
      sym_comment,
    STATE(4668), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6954), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [155301] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7487), 1,
      anon_sym_AMP,
    ACTIONS(7489), 1,
      anon_sym_PIPE,
    ACTIONS(7491), 1,
      anon_sym_extends,
    STATE(4370), 1,
      sym_comment,
    ACTIONS(5164), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [155328] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7487), 1,
      anon_sym_AMP,
    ACTIONS(7489), 1,
      anon_sym_PIPE,
    ACTIONS(7491), 1,
      anon_sym_extends,
    STATE(4371), 1,
      sym_comment,
    ACTIONS(5168), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [155355] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7495), 1,
      anon_sym_LBRACE,
    STATE(3147), 1,
      sym_class_body,
    STATE(4372), 1,
      sym_comment,
    STATE(4694), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6556), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [155392] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4373), 1,
      sym_comment,
    ACTIONS(4799), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [155413] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    STATE(4374), 1,
      sym_comment,
    ACTIONS(5116), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [155436] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7789), 1,
      anon_sym_LBRACE,
    STATE(946), 1,
      sym_class_body,
    STATE(4375), 1,
      sym_comment,
    STATE(4531), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6495), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [155473] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7805), 1,
      anon_sym_extends,
    STATE(4376), 1,
      sym_comment,
    ACTIONS(5126), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
  [155496] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7701), 1,
      anon_sym_LBRACK,
    STATE(4377), 1,
      sym_comment,
    ACTIONS(5136), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(5132), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155521] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7791), 1,
      anon_sym_LBRACE,
    STATE(314), 1,
      sym_class_body,
    STATE(4378), 1,
      sym_comment,
    STATE(4526), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6475), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [155558] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7487), 1,
      anon_sym_AMP,
    ACTIONS(7489), 1,
      anon_sym_PIPE,
    ACTIONS(7491), 1,
      anon_sym_extends,
    STATE(4379), 1,
      sym_comment,
    ACTIONS(5140), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [155585] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(7561), 1,
      anon_sym_GT,
    ACTIONS(7807), 1,
      anon_sym_SLASH_GT,
    STATE(4239), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4380), 1,
      sym_comment,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [155618] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2710), 1,
      anon_sym_RBRACE,
    ACTIONS(7139), 1,
      anon_sym_EQ,
    ACTIONS(7577), 1,
      anon_sym_COMMA,
    STATE(4381), 1,
      sym_comment,
    STATE(6262), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4474), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [155649] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4382), 1,
      sym_comment,
    ACTIONS(5150), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [155670] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7139), 1,
      anon_sym_EQ,
    ACTIONS(7577), 1,
      anon_sym_COMMA,
    ACTIONS(7809), 1,
      anon_sym_RBRACE,
    STATE(4383), 1,
      sym_comment,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4474), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [155701] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4384), 1,
      sym_comment,
    ACTIONS(5154), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [155722] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7487), 1,
      anon_sym_AMP,
    STATE(4385), 1,
      sym_comment,
    ACTIONS(5160), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [155745] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7811), 1,
      anon_sym_BANG,
    ACTIONS(7813), 1,
      anon_sym_QMARK,
    STATE(4386), 1,
      sym_comment,
    STATE(5064), 1,
      sym_type_annotation,
    STATE(5899), 1,
      sym__initializer,
    ACTIONS(7147), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155778] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4387), 1,
      sym_comment,
    ACTIONS(5184), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [155799] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7495), 1,
      anon_sym_LBRACE,
    STATE(3135), 1,
      sym_class_body,
    STATE(4388), 1,
      sym_comment,
    STATE(4473), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6897), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [155836] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4389), 1,
      sym_comment,
    ACTIONS(5019), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [155857] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7815), 1,
      anon_sym_BANG,
    ACTIONS(7817), 1,
      anon_sym_QMARK,
    STATE(4390), 1,
      sym_comment,
    STATE(5091), 1,
      sym_type_annotation,
    STATE(6021), 1,
      sym__initializer,
    ACTIONS(7147), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155890] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4391), 1,
      sym_comment,
    ACTIONS(5216), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [155911] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4392), 1,
      sym_comment,
    ACTIONS(2137), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [155932] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(7557), 1,
      anon_sym_GT,
    ACTIONS(7819), 1,
      anon_sym_SLASH_GT,
    STATE(4367), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4393), 1,
      sym_comment,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [155965] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(7547), 1,
      anon_sym_GT,
    ACTIONS(7821), 1,
      anon_sym_SLASH_GT,
    STATE(4231), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4394), 1,
      sym_comment,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [155998] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4395), 1,
      sym_comment,
    ACTIONS(7823), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [156019] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7493), 1,
      anon_sym_LBRACE,
    STATE(1273), 1,
      sym_class_body,
    STATE(4396), 1,
      sym_comment,
    STATE(4512), 1,
      sym_type_parameters,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6430), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [156056] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6947), 1,
      anon_sym_LBRACE,
    ACTIONS(7539), 1,
      anon_sym_GT,
    ACTIONS(7825), 1,
      anon_sym_SLASH_GT,
    STATE(4367), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4397), 1,
      sym_comment,
    STATE(4800), 1,
      sym_jsx_namespace_name,
    ACTIONS(6943), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(5251), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [156089] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4398), 1,
      sym_comment,
    ACTIONS(5296), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [156110] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4399), 1,
      sym_comment,
    ACTIONS(4803), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [156131] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4771), 1,
      anon_sym_DOT,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    ACTIONS(4837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6905), 1,
      anon_sym_LT,
    STATE(2536), 1,
      sym_template_string,
    STATE(3411), 1,
      sym_arguments,
    STATE(3924), 1,
      sym_type_arguments,
    STATE(4400), 1,
      sym_comment,
    STATE(6865), 1,
      sym_optional_chain,
  [156168] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2712), 1,
      anon_sym_RBRACE,
    ACTIONS(7139), 1,
      anon_sym_EQ,
    ACTIONS(7577), 1,
      anon_sym_COMMA,
    STATE(4401), 1,
      sym_comment,
    STATE(6170), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4474), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [156199] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4402), 1,
      sym_comment,
    ACTIONS(5290), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [156220] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7827), 1,
      sym_identifier,
    ACTIONS(7829), 1,
      anon_sym_const,
    ACTIONS(7831), 1,
      anon_sym_GT,
    ACTIONS(7833), 1,
      sym_jsx_identifier,
    ACTIONS(7835), 1,
      anon_sym_SLASH_GT,
    STATE(4029), 1,
      sym_nested_identifier,
    STATE(4204), 1,
      sym_jsx_namespace_name,
    STATE(4403), 1,
      sym_comment,
    STATE(6135), 1,
      sym_type_parameter,
  [156254] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7837), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7839), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7841), 1,
      anon_sym_QMARK_COLON,
    STATE(4404), 1,
      sym_comment,
    STATE(4958), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [156282] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7348), 1,
      anon_sym_PIPE,
    ACTIONS(7350), 1,
      anon_sym_extends,
    STATE(4405), 1,
      sym_comment,
    ACTIONS(7843), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [156308] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7837), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7839), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7841), 1,
      anon_sym_QMARK_COLON,
    STATE(4406), 1,
      sym_comment,
    STATE(5271), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [156336] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7845), 1,
      sym_escape_sequence,
    ACTIONS(7847), 1,
      anon_sym_BQUOTE,
    ACTIONS(7849), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7851), 1,
      sym__template_chars,
    STATE(4407), 1,
      sym_comment,
    STATE(4757), 1,
      aux_sym_template_string_repeat1,
    STATE(4957), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5605), 1,
      sym_template_substitution,
    STATE(5749), 1,
      sym_template_type,
  [156370] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3982), 1,
      sym_identifier,
    ACTIONS(3984), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_enum,
    STATE(4408), 1,
      sym_comment,
    STATE(4698), 1,
      sym__destructuring_pattern,
    STATE(5647), 1,
      sym_variable_declarator,
    STATE(4490), 2,
      sym_object_pattern,
      sym_array_pattern,
  [156402] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7348), 1,
      anon_sym_PIPE,
    ACTIONS(7350), 1,
      anon_sym_extends,
    STATE(4409), 1,
      sym_comment,
    ACTIONS(7855), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [156428] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7837), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7839), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7841), 1,
      anon_sym_QMARK_COLON,
    STATE(4410), 1,
      sym_comment,
    STATE(5192), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [156456] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7845), 1,
      sym_escape_sequence,
    ACTIONS(7849), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7851), 1,
      sym__template_chars,
    ACTIONS(7857), 1,
      anon_sym_BQUOTE,
    STATE(4411), 1,
      sym_comment,
    STATE(4805), 1,
      aux_sym_template_string_repeat1,
    STATE(4957), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5605), 1,
      sym_template_substitution,
    STATE(5749), 1,
      sym_template_type,
  [156490] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7845), 1,
      sym_escape_sequence,
    ACTIONS(7849), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7851), 1,
      sym__template_chars,
    ACTIONS(7859), 1,
      anon_sym_BQUOTE,
    STATE(4412), 1,
      sym_comment,
    STATE(4805), 1,
      aux_sym_template_string_repeat1,
    STATE(4978), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5605), 1,
      sym_template_substitution,
    STATE(5749), 1,
      sym_template_type,
  [156524] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7845), 1,
      sym_escape_sequence,
    ACTIONS(7849), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7851), 1,
      sym__template_chars,
    ACTIONS(7861), 1,
      anon_sym_BQUOTE,
    STATE(4413), 1,
      sym_comment,
    STATE(4805), 1,
      aux_sym_template_string_repeat1,
    STATE(4957), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5605), 1,
      sym_template_substitution,
    STATE(5749), 1,
      sym_template_type,
  [156558] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7845), 1,
      sym_escape_sequence,
    ACTIONS(7849), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7851), 1,
      sym__template_chars,
    ACTIONS(7863), 1,
      anon_sym_BQUOTE,
    STATE(4414), 1,
      sym_comment,
    STATE(4757), 1,
      aux_sym_template_string_repeat1,
    STATE(4957), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5605), 1,
      sym_template_substitution,
    STATE(5749), 1,
      sym_template_type,
  [156592] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7829), 1,
      anon_sym_const,
    ACTIONS(7831), 1,
      anon_sym_GT,
    ACTIONS(7865), 1,
      sym_identifier,
    ACTIONS(7867), 1,
      sym_jsx_identifier,
    ACTIONS(7869), 1,
      anon_sym_SLASH_GT,
    STATE(4048), 1,
      sym_nested_identifier,
    STATE(4243), 1,
      sym_jsx_namespace_name,
    STATE(4415), 1,
      sym_comment,
    STATE(6135), 1,
      sym_type_parameter,
  [156626] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7845), 1,
      sym_escape_sequence,
    ACTIONS(7849), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7851), 1,
      sym__template_chars,
    ACTIONS(7871), 1,
      anon_sym_BQUOTE,
    STATE(4416), 1,
      sym_comment,
    STATE(4805), 1,
      aux_sym_template_string_repeat1,
    STATE(4957), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5605), 1,
      sym_template_substitution,
    STATE(5749), 1,
      sym_template_type,
  [156660] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4417), 1,
      sym_comment,
    ACTIONS(7873), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [156680] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4418), 1,
      sym_comment,
    ACTIONS(6404), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [156700] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7008), 1,
      anon_sym_LPAREN,
    ACTIONS(7875), 1,
      anon_sym_DOT,
    STATE(4419), 1,
      sym_comment,
    STATE(4775), 1,
      sym_arguments,
    ACTIONS(7397), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156726] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3982), 1,
      sym_identifier,
    ACTIONS(3984), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_LBRACK,
    ACTIONS(7877), 1,
      anon_sym_enum,
    STATE(4420), 1,
      sym_comment,
    STATE(4698), 1,
      sym__destructuring_pattern,
    STATE(5629), 1,
      sym_variable_declarator,
    STATE(4490), 2,
      sym_object_pattern,
      sym_array_pattern,
  [156758] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7879), 1,
      anon_sym_LBRACE,
    ACTIONS(7881), 1,
      anon_sym_DOT,
    STATE(4421), 1,
      sym_comment,
    STATE(4941), 1,
      sym_statement_block,
    ACTIONS(2061), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [156784] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7348), 1,
      anon_sym_PIPE,
    ACTIONS(7350), 1,
      anon_sym_extends,
    STATE(4422), 1,
      sym_comment,
    ACTIONS(7883), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [156810] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7837), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7839), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7841), 1,
      anon_sym_QMARK_COLON,
    STATE(4423), 1,
      sym_comment,
    STATE(5189), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [156838] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3982), 1,
      sym_identifier,
    ACTIONS(3984), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_LBRACK,
    ACTIONS(7885), 1,
      anon_sym_enum,
    STATE(4424), 1,
      sym_comment,
    STATE(4698), 1,
      sym__destructuring_pattern,
    STATE(5536), 1,
      sym_variable_declarator,
    STATE(4490), 2,
      sym_object_pattern,
      sym_array_pattern,
  [156870] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7845), 1,
      sym_escape_sequence,
    ACTIONS(7849), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7851), 1,
      sym__template_chars,
    ACTIONS(7887), 1,
      anon_sym_BQUOTE,
    STATE(4425), 1,
      sym_comment,
    STATE(4805), 1,
      aux_sym_template_string_repeat1,
    STATE(4957), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5605), 1,
      sym_template_substitution,
    STATE(5749), 1,
      sym_template_type,
  [156904] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7487), 1,
      anon_sym_AMP,
    ACTIONS(7489), 1,
      anon_sym_PIPE,
    ACTIONS(7491), 1,
      anon_sym_extends,
    STATE(4426), 1,
      sym_comment,
    ACTIONS(7407), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156930] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7891), 1,
      anon_sym_DOT,
    STATE(4427), 1,
      sym_comment,
    ACTIONS(7889), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [156952] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7837), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7839), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7841), 1,
      anon_sym_QMARK_COLON,
    STATE(4428), 1,
      sym_comment,
    STATE(5185), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [156980] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7893), 1,
      anon_sym_EQ,
    STATE(4429), 1,
      sym_comment,
    ACTIONS(6404), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [157002] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3982), 1,
      sym_identifier,
    ACTIONS(3984), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_LBRACK,
    ACTIONS(7895), 1,
      anon_sym_enum,
    STATE(4430), 1,
      sym_comment,
    STATE(4698), 1,
      sym__destructuring_pattern,
    STATE(5519), 1,
      sym_variable_declarator,
    STATE(4490), 2,
      sym_object_pattern,
      sym_array_pattern,
  [157034] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7837), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7839), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7841), 1,
      anon_sym_QMARK_COLON,
    STATE(4431), 1,
      sym_comment,
    STATE(5405), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [157062] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7845), 1,
      sym_escape_sequence,
    ACTIONS(7849), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7851), 1,
      sym__template_chars,
    ACTIONS(7897), 1,
      anon_sym_BQUOTE,
    STATE(4432), 1,
      sym_comment,
    STATE(4805), 1,
      aux_sym_template_string_repeat1,
    STATE(4957), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5605), 1,
      sym_template_substitution,
    STATE(5749), 1,
      sym_template_type,
  [157096] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7899), 1,
      anon_sym_EQ,
    STATE(4433), 1,
      sym_comment,
    ACTIONS(7873), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [157118] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7837), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7839), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7841), 1,
      anon_sym_QMARK_COLON,
    STATE(4434), 1,
      sym_comment,
    STATE(5478), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [157146] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7837), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7839), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7841), 1,
      anon_sym_QMARK_COLON,
    STATE(4435), 1,
      sym_comment,
    STATE(5422), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [157174] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7837), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7839), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7841), 1,
      anon_sym_QMARK_COLON,
    STATE(4436), 1,
      sym_comment,
    STATE(5406), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [157202] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7879), 1,
      anon_sym_LBRACE,
    ACTIONS(7901), 1,
      anon_sym_DOT,
    STATE(4437), 1,
      sym_comment,
    STATE(4941), 1,
      sym_statement_block,
    ACTIONS(2061), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157228] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3982), 1,
      sym_identifier,
    ACTIONS(3984), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_LBRACK,
    ACTIONS(7903), 1,
      anon_sym_enum,
    STATE(4438), 1,
      sym_comment,
    STATE(4698), 1,
      sym__destructuring_pattern,
    STATE(5675), 1,
      sym_variable_declarator,
    STATE(4490), 2,
      sym_object_pattern,
      sym_array_pattern,
  [157260] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    ACTIONS(7449), 1,
      anon_sym_BANG,
    STATE(4439), 1,
      sym_comment,
    STATE(5393), 1,
      sym_type_annotation,
    STATE(6185), 1,
      sym__initializer,
    ACTIONS(7447), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157290] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(7379), 1,
      sym_identifier,
    STATE(4440), 1,
      sym_comment,
    STATE(5593), 1,
      sym_string,
    STATE(6244), 1,
      sym__module_export_name,
    STATE(6491), 1,
      sym_export_specifier,
    ACTIONS(7381), 2,
      anon_sym_type,
      anon_sym_typeof,
  [157322] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3982), 1,
      sym_identifier,
    ACTIONS(3984), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_LBRACK,
    ACTIONS(7905), 1,
      anon_sym_enum,
    STATE(4441), 1,
      sym_comment,
    STATE(4698), 1,
      sym__destructuring_pattern,
    STATE(5544), 1,
      sym_variable_declarator,
    STATE(4490), 2,
      sym_object_pattern,
      sym_array_pattern,
  [157354] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3984), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_LBRACK,
    ACTIONS(7907), 1,
      sym_identifier,
    STATE(4442), 1,
      sym_comment,
    STATE(4698), 1,
      sym__destructuring_pattern,
    STATE(5674), 1,
      sym_variable_declarator,
    STATE(4490), 2,
      sym_object_pattern,
      sym_array_pattern,
  [157383] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4443), 1,
      sym_comment,
    STATE(5045), 1,
      sym_type_annotation,
    STATE(5882), 1,
      sym__initializer,
    ACTIONS(7909), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157410] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    STATE(4444), 1,
      sym_comment,
    STATE(7029), 1,
      sym_statement_block,
    ACTIONS(7913), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157433] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    STATE(4445), 1,
      sym_comment,
    STATE(7031), 1,
      sym_statement_block,
    ACTIONS(7915), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157456] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7495), 1,
      anon_sym_LBRACE,
    STATE(3250), 1,
      sym_class_body,
    STATE(4446), 1,
      sym_comment,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6557), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [157487] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4447), 1,
      sym_comment,
    ACTIONS(7747), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [157506] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7917), 1,
      sym_identifier,
    ACTIONS(7919), 1,
      anon_sym_STAR,
    ACTIONS(7921), 1,
      anon_sym_LPAREN,
    STATE(4448), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(6570), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
  [157537] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7923), 1,
      anon_sym_LBRACE,
    ACTIONS(7925), 1,
      anon_sym_LT,
    ACTIONS(7927), 1,
      anon_sym_extends,
    ACTIONS(7929), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1182), 1,
      sym_object_type,
    STATE(4449), 1,
      sym_comment,
    STATE(5472), 1,
      sym_type_parameters,
    STATE(6296), 1,
      sym_extends_type_clause,
  [157568] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4069), 1,
      anon_sym_DQUOTE,
    ACTIONS(4071), 1,
      anon_sym_SQUOTE,
    ACTIONS(7931), 1,
      sym_identifier,
    ACTIONS(7933), 1,
      anon_sym_DOT,
    STATE(939), 1,
      sym_nested_identifier,
    STATE(1072), 1,
      sym_string,
    STATE(1219), 1,
      sym__module,
    STATE(4450), 1,
      sym_comment,
  [157599] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4451), 1,
      sym_comment,
    STATE(5035), 1,
      sym_type_annotation,
    STATE(5868), 1,
      sym__initializer,
    ACTIONS(7291), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157626] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(128), 1,
      anon_sym_import,
    ACTIONS(7935), 1,
      sym_identifier,
    STATE(3789), 1,
      sym__type_query_subscript_expression,
    STATE(3855), 1,
      sym__type_query_member_expression,
    STATE(4116), 1,
      sym__type_query_call_expression,
    STATE(4391), 1,
      sym__type_query_instantiation_expression,
    STATE(4452), 1,
      sym_comment,
    STATE(5515), 1,
      sym_import,
  [157657] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    STATE(4453), 1,
      sym_comment,
    STATE(6558), 1,
      sym_statement_block,
    ACTIONS(7913), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157680] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(7363), 1,
      sym_identifier,
    ACTIONS(7435), 1,
      anon_sym_type,
    STATE(4454), 1,
      sym_comment,
    STATE(5593), 1,
      sym_string,
    STATE(6817), 1,
      sym__import_identifier,
    STATE(7264), 1,
      sym__module_export_name,
  [157711] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    STATE(4455), 1,
      sym_comment,
    STATE(6602), 1,
      sym_statement_block,
    ACTIONS(7937), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157734] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7939), 1,
      sym__automatic_semicolon,
    STATE(4456), 1,
      sym_comment,
    ACTIONS(2143), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [157755] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4457), 1,
      sym_comment,
    ACTIONS(2103), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157774] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7941), 1,
      anon_sym_COLON,
    ACTIONS(7943), 1,
      anon_sym_QMARK,
    STATE(4458), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(6461), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
  [157805] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4459), 1,
      sym_comment,
    ACTIONS(2133), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [157824] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4460), 1,
      sym_comment,
    ACTIONS(2121), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [157843] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7921), 1,
      anon_sym_LPAREN,
    ACTIONS(7945), 1,
      sym_identifier,
    ACTIONS(7947), 1,
      anon_sym_STAR,
    STATE(4461), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(6570), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
  [157874] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4462), 1,
      sym_comment,
    ACTIONS(5855), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [157893] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4463), 1,
      sym_comment,
    ACTIONS(5869), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [157912] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4464), 1,
      sym_comment,
    STATE(5497), 1,
      sym_type_annotation,
    STATE(6291), 1,
      sym__initializer,
    ACTIONS(7949), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157939] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7921), 1,
      anon_sym_LPAREN,
    ACTIONS(7951), 1,
      sym_identifier,
    ACTIONS(7953), 1,
      anon_sym_STAR,
    STATE(4465), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6902), 1,
      sym__call_signature,
  [157970] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7879), 1,
      anon_sym_LBRACE,
    STATE(4466), 1,
      sym_comment,
    STATE(4941), 1,
      sym_statement_block,
    ACTIONS(2061), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157993] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3984), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_LBRACK,
    ACTIONS(7907), 1,
      sym_identifier,
    STATE(4467), 1,
      sym_comment,
    STATE(4698), 1,
      sym__destructuring_pattern,
    STATE(5939), 1,
      sym_variable_declarator,
    STATE(4490), 2,
      sym_object_pattern,
      sym_array_pattern,
  [158022] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4468), 1,
      sym_comment,
    ACTIONS(2091), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158041] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    STATE(4469), 1,
      sym_comment,
    STATE(6595), 1,
      sym_statement_block,
    ACTIONS(7955), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158064] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    STATE(4470), 1,
      sym_comment,
    STATE(7016), 1,
      sym_statement_block,
    ACTIONS(7957), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158087] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7467), 1,
      anon_sym_LBRACE,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    STATE(4471), 1,
      sym_comment,
    STATE(5329), 1,
      sym_class_body,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6834), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [158118] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3984), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_LBRACK,
    ACTIONS(7907), 1,
      sym_identifier,
    STATE(4472), 1,
      sym_comment,
    STATE(4698), 1,
      sym__destructuring_pattern,
    STATE(5650), 1,
      sym_variable_declarator,
    STATE(4490), 2,
      sym_object_pattern,
      sym_array_pattern,
  [158147] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7495), 1,
      anon_sym_LBRACE,
    STATE(3054), 1,
      sym_class_body,
    STATE(4473), 1,
      sym_comment,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6562), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [158178] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7467), 1,
      anon_sym_LBRACE,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    STATE(4474), 1,
      sym_comment,
    STATE(5257), 1,
      sym_class_body,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6864), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [158209] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    STATE(4475), 1,
      sym_comment,
    STATE(7002), 1,
      sym_statement_block,
    ACTIONS(7959), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158232] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4476), 1,
      sym_comment,
    STATE(5317), 1,
      sym_type_annotation,
    ACTIONS(7961), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158255] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7963), 1,
      anon_sym_LBRACE,
    ACTIONS(7965), 1,
      anon_sym_COMMA,
    ACTIONS(7967), 1,
      anon_sym_DOT,
    ACTIONS(7969), 1,
      anon_sym_LT,
    ACTIONS(7971), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4477), 1,
      sym_comment,
    STATE(5680), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(6044), 1,
      sym_type_arguments,
  [158286] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7689), 1,
      anon_sym_LBRACE,
    STATE(1558), 1,
      sym_class_body,
    STATE(4478), 1,
      sym_comment,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6640), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [158317] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7677), 1,
      anon_sym_LBRACE,
    STATE(360), 1,
      sym_class_body,
    STATE(4479), 1,
      sym_comment,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6874), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [158348] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    STATE(1063), 1,
      sym_class_body,
    STATE(4480), 1,
      sym_comment,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6485), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [158379] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7921), 1,
      anon_sym_LPAREN,
    ACTIONS(7973), 1,
      sym_identifier,
    ACTIONS(7975), 1,
      anon_sym_STAR,
    STATE(4481), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(6570), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
  [158410] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7921), 1,
      anon_sym_LPAREN,
    ACTIONS(7977), 1,
      sym_identifier,
    ACTIONS(7979), 1,
      anon_sym_STAR,
    STATE(4482), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6902), 1,
      sym__call_signature,
  [158441] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7467), 1,
      anon_sym_LBRACE,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    STATE(4483), 1,
      sym_comment,
    STATE(5205), 1,
      sym_class_body,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6877), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [158472] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    STATE(4484), 1,
      sym_comment,
    STATE(6551), 1,
      sym_statement_block,
    ACTIONS(7957), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158495] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    STATE(4485), 1,
      sym_comment,
    STATE(6513), 1,
      sym_statement_block,
    ACTIONS(7959), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158518] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4486), 1,
      sym_comment,
    STATE(5479), 1,
      sym_type_annotation,
    STATE(6366), 1,
      sym__initializer,
    ACTIONS(7325), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158545] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4487), 1,
      sym_comment,
    STATE(5127), 1,
      sym_type_annotation,
    STATE(5991), 1,
      sym__initializer,
    ACTIONS(7291), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158572] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3984), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      sym_identifier,
    STATE(4291), 1,
      sym__destructuring_pattern,
    STATE(4488), 1,
      sym_comment,
    STATE(5636), 1,
      sym_variable_declarator,
    STATE(4490), 2,
      sym_object_pattern,
      sym_array_pattern,
  [158601] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    STATE(4489), 1,
      sym_comment,
    STATE(7038), 1,
      sym_statement_block,
    ACTIONS(7937), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158624] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4490), 1,
      sym_comment,
    ACTIONS(7687), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [158643] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    STATE(4491), 1,
      sym_comment,
    STATE(6711), 1,
      sym_statement_block,
    ACTIONS(7983), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158666] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    STATE(4492), 1,
      sym_comment,
    STATE(7043), 1,
      sym_statement_block,
    ACTIONS(7955), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158689] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    STATE(4493), 1,
      sym_comment,
    STATE(6719), 1,
      sym_statement_block,
    ACTIONS(7985), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158712] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7467), 1,
      anon_sym_LBRACE,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    STATE(4494), 1,
      sym_comment,
    STATE(5129), 1,
      sym_class_body,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6896), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [158743] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7673), 1,
      anon_sym_LBRACE,
    STATE(1195), 1,
      sym_class_body,
    STATE(4495), 1,
      sym_comment,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6509), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [158774] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    STATE(4496), 1,
      sym_comment,
    STATE(6501), 1,
      sym_statement_block,
    ACTIONS(7983), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158797] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7921), 1,
      anon_sym_LPAREN,
    ACTIONS(7987), 1,
      sym_identifier,
    ACTIONS(7989), 1,
      anon_sym_STAR,
    STATE(4497), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(6570), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
  [158828] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    STATE(4498), 1,
      sym_comment,
    STATE(6738), 1,
      sym_statement_block,
    ACTIONS(7991), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158851] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3984), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_LBRACK,
    ACTIONS(7993), 1,
      sym_identifier,
    STATE(4290), 1,
      sym__destructuring_pattern,
    STATE(4499), 1,
      sym_comment,
    STATE(5635), 1,
      sym_variable_declarator,
    STATE(4490), 2,
      sym_object_pattern,
      sym_array_pattern,
  [158880] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7495), 1,
      anon_sym_LBRACE,
    STATE(3085), 1,
      sym_class_body,
    STATE(4500), 1,
      sym_comment,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6479), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [158911] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7921), 1,
      anon_sym_LPAREN,
    ACTIONS(7995), 1,
      sym_identifier,
    ACTIONS(7997), 1,
      anon_sym_STAR,
    STATE(4501), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6902), 1,
      sym__call_signature,
  [158942] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7999), 1,
      anon_sym_EQ,
    ACTIONS(8001), 1,
      anon_sym_DOT,
    STATE(4502), 1,
      sym_comment,
    ACTIONS(7889), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
  [158965] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    STATE(4503), 1,
      sym_comment,
    STATE(6703), 1,
      sym_statement_block,
    ACTIONS(8003), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158988] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7493), 1,
      anon_sym_LBRACE,
    STATE(1260), 1,
      sym_class_body,
    STATE(4504), 1,
      sym_comment,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6443), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [159019] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    STATE(4505), 1,
      sym_comment,
    STATE(6930), 1,
      sym_statement_block,
    ACTIONS(8005), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159042] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7495), 1,
      anon_sym_LBRACE,
    STATE(3114), 1,
      sym_class_body,
    STATE(4506), 1,
      sym_comment,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6436), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [159073] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    STATE(1033), 1,
      sym_class_body,
    STATE(4507), 1,
      sym_comment,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6808), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [159104] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7921), 1,
      anon_sym_LPAREN,
    ACTIONS(8007), 1,
      sym_identifier,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    STATE(4508), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(6570), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
  [159135] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4509), 1,
      sym_comment,
    STATE(5100), 1,
      sym_type_annotation,
    STATE(5941), 1,
      sym__initializer,
    ACTIONS(7291), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159162] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7921), 1,
      anon_sym_LPAREN,
    ACTIONS(8011), 1,
      sym_identifier,
    ACTIONS(8013), 1,
      anon_sym_STAR,
    STATE(4510), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6902), 1,
      sym__call_signature,
  [159193] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8015), 1,
      sym__automatic_semicolon,
    STATE(4511), 1,
      sym_comment,
    ACTIONS(2125), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159214] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7493), 1,
      anon_sym_LBRACE,
    STATE(1317), 1,
      sym_class_body,
    STATE(4512), 1,
      sym_comment,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6414), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [159245] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4513), 1,
      sym_comment,
    STATE(5198), 1,
      sym_type_annotation,
    STATE(6062), 1,
      sym__initializer,
    ACTIONS(7299), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159272] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4514), 1,
      sym_comment,
    ACTIONS(8017), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [159291] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4515), 1,
      sym_comment,
    STATE(5391), 1,
      sym_type_annotation,
    STATE(6182), 1,
      sym__initializer,
    ACTIONS(7293), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159318] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7921), 1,
      anon_sym_LPAREN,
    ACTIONS(8019), 1,
      sym_identifier,
    ACTIONS(8021), 1,
      anon_sym_STAR,
    STATE(4516), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6902), 1,
      sym__call_signature,
  [159349] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4517), 1,
      sym_comment,
    ACTIONS(5859), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [159368] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4075), 1,
      anon_sym_DQUOTE,
    ACTIONS(4077), 1,
      anon_sym_SQUOTE,
    ACTIONS(8023), 1,
      sym_identifier,
    ACTIONS(8025), 1,
      anon_sym_DOT,
    STATE(893), 1,
      sym_nested_identifier,
    STATE(924), 1,
      sym_string,
    STATE(992), 1,
      sym__module,
    STATE(4518), 1,
      sym_comment,
  [159399] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7925), 1,
      anon_sym_LT,
    ACTIONS(7927), 1,
      anon_sym_extends,
    ACTIONS(8027), 1,
      anon_sym_LBRACE,
    ACTIONS(8029), 1,
      anon_sym_LBRACE_PIPE,
    STATE(974), 1,
      sym_object_type,
    STATE(4519), 1,
      sym_comment,
    STATE(5467), 1,
      sym_type_parameters,
    STATE(6361), 1,
      sym_extends_type_clause,
  [159430] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4520), 1,
      sym_comment,
    STATE(5387), 1,
      sym_type_annotation,
    STATE(6145), 1,
      sym__initializer,
    ACTIONS(7293), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159457] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7515), 1,
      anon_sym_LBRACE,
    STATE(423), 1,
      sym_class_body,
    STATE(4521), 1,
      sym_comment,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6856), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [159488] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(128), 1,
      anon_sym_import,
    ACTIONS(8031), 1,
      sym_identifier,
    STATE(2317), 1,
      sym__type_query_subscript_expression,
    STATE(2321), 1,
      sym__type_query_member_expression,
    STATE(2441), 1,
      sym__type_query_instantiation_expression,
    STATE(2442), 1,
      sym__type_query_call_expression,
    STATE(4522), 1,
      sym_comment,
    STATE(5596), 1,
      sym_import,
  [159519] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7677), 1,
      anon_sym_LBRACE,
    STATE(375), 1,
      sym_class_body,
    STATE(4523), 1,
      sym_comment,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6941), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [159550] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4524), 1,
      sym_comment,
    ACTIONS(2143), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159569] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4525), 1,
      sym_comment,
    ACTIONS(2167), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159588] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7791), 1,
      anon_sym_LBRACE,
    STATE(319), 1,
      sym_class_body,
    STATE(4526), 1,
      sym_comment,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6502), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [159619] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4527), 1,
      sym_comment,
    STATE(5385), 1,
      sym_type_annotation,
    STATE(6136), 1,
      sym__initializer,
    ACTIONS(7293), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159646] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4528), 1,
      sym_comment,
    STATE(4987), 1,
      sym_type_annotation,
    STATE(5796), 1,
      sym__initializer,
    ACTIONS(7291), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159673] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4529), 1,
      sym_comment,
    STATE(5208), 1,
      sym_type_annotation,
    STATE(6082), 1,
      sym__initializer,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159700] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4530), 1,
      sym_comment,
    STATE(5219), 1,
      sym_type_annotation,
    STATE(6111), 1,
      sym__initializer,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159727] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7789), 1,
      anon_sym_LBRACE,
    STATE(934), 1,
      sym_class_body,
    STATE(4531), 1,
      sym_comment,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6525), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [159758] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4532), 1,
      sym_comment,
    STATE(5224), 1,
      sym_type_annotation,
    STATE(6119), 1,
      sym__initializer,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159785] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4533), 1,
      sym_comment,
    STATE(5031), 1,
      sym_type_annotation,
    STATE(5859), 1,
      sym__initializer,
    ACTIONS(7291), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159812] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7757), 1,
      anon_sym_LBRACE,
    STATE(1018), 1,
      sym_class_body,
    STATE(4534), 1,
      sym_comment,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6535), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [159843] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4535), 1,
      sym_comment,
    STATE(5381), 1,
      sym_type_annotation,
    STATE(6122), 1,
      sym__initializer,
    ACTIONS(7293), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159870] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4536), 1,
      sym_comment,
    STATE(5226), 1,
      sym_type_annotation,
    STATE(6128), 1,
      sym__initializer,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159897] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4537), 1,
      sym_comment,
    STATE(5010), 1,
      sym_type_annotation,
    STATE(5822), 1,
      sym__initializer,
    ACTIONS(7291), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159924] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4538), 1,
      sym_comment,
    STATE(5379), 1,
      sym_type_annotation,
    STATE(6121), 1,
      sym__initializer,
    ACTIONS(7293), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159951] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4539), 1,
      sym_comment,
    STATE(5005), 1,
      sym_type_annotation,
    STATE(5817), 1,
      sym__initializer,
    ACTIONS(7291), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159978] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7791), 1,
      anon_sym_LBRACE,
    STATE(333), 1,
      sym_class_body,
    STATE(4540), 1,
      sym_comment,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6543), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [160009] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7789), 1,
      anon_sym_LBRACE,
    STATE(910), 1,
      sym_class_body,
    STATE(4541), 1,
      sym_comment,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6547), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [160040] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4542), 1,
      sym_comment,
    STATE(5439), 1,
      sym_type_annotation,
    STATE(6349), 1,
      sym__initializer,
    ACTIONS(7337), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160067] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7673), 1,
      anon_sym_LBRACE,
    STATE(1522), 1,
      sym_class_body,
    STATE(4543), 1,
      sym_comment,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(7057), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [160098] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4544), 1,
      sym_comment,
    STATE(5237), 1,
      sym_type_annotation,
    STATE(6143), 1,
      sym__initializer,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160125] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4545), 1,
      sym_comment,
    ACTIONS(6413), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [160144] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1352), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7925), 1,
      anon_sym_LT,
    ACTIONS(7927), 1,
      anon_sym_extends,
    ACTIONS(8033), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4546), 1,
      sym_comment,
    STATE(4966), 1,
      sym_object_type,
    STATE(5266), 1,
      sym_type_parameters,
    STATE(6049), 1,
      sym_extends_type_clause,
  [160175] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(8035), 1,
      sym_identifier,
    ACTIONS(8037), 1,
      anon_sym_DOT,
    STATE(4421), 1,
      sym_nested_identifier,
    STATE(4466), 1,
      sym_string,
    STATE(4547), 1,
      sym_comment,
    STATE(4921), 1,
      sym__module,
  [160206] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4548), 1,
      sym_comment,
    STATE(5240), 1,
      sym_type_annotation,
    STATE(6146), 1,
      sym__initializer,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160233] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4549), 1,
      sym_comment,
    STATE(5254), 1,
      sym_type_annotation,
    STATE(6156), 1,
      sym__initializer,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160260] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7757), 1,
      anon_sym_LBRACE,
    STATE(1086), 1,
      sym_class_body,
    STATE(4550), 1,
      sym_comment,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6553), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [160291] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4551), 1,
      sym_comment,
    STATE(5412), 1,
      sym_type_annotation,
    STATE(6318), 1,
      sym__initializer,
    ACTIONS(7337), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160318] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4552), 1,
      sym_comment,
    ACTIONS(7573), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
  [160337] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4553), 1,
      sym_comment,
    ACTIONS(7553), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
  [160356] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4554), 1,
      sym_comment,
    STATE(5255), 1,
      sym_type_annotation,
    STATE(6158), 1,
      sym__initializer,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160383] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4555), 1,
      sym_comment,
    ACTIONS(7583), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
  [160402] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4556), 1,
      sym_comment,
    ACTIONS(7587), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
  [160421] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4557), 1,
      sym_comment,
    STATE(5363), 1,
      sym_type_annotation,
    STATE(6094), 1,
      sym__initializer,
    ACTIONS(7293), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160448] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4558), 1,
      sym_comment,
    STATE(5365), 1,
      sym_type_annotation,
    STATE(6254), 1,
      sym__initializer,
    ACTIONS(7337), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160475] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4559), 1,
      sym_comment,
    STATE(5356), 1,
      sym_type_annotation,
    STATE(6250), 1,
      sym__initializer,
    ACTIONS(7337), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160502] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    STATE(4560), 1,
      sym_comment,
    STATE(6555), 1,
      sym_statement_block,
    ACTIONS(8039), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [160525] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    STATE(4561), 1,
      sym_comment,
    STATE(6842), 1,
      sym_statement_block,
    ACTIONS(8041), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [160548] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    STATE(4562), 1,
      sym_comment,
    STATE(6545), 1,
      sym_statement_block,
    ACTIONS(8041), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [160571] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4563), 1,
      sym_comment,
    STATE(5359), 1,
      sym_type_annotation,
    STATE(6088), 1,
      sym__initializer,
    ACTIONS(7293), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160598] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4564), 1,
      sym_comment,
    STATE(5344), 1,
      sym_type_annotation,
    STATE(6239), 1,
      sym__initializer,
    ACTIONS(7337), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160625] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4565), 1,
      sym_comment,
    STATE(5342), 1,
      sym_type_annotation,
    STATE(6238), 1,
      sym__initializer,
    ACTIONS(7337), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160652] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4566), 1,
      sym_comment,
    ACTIONS(4282), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
  [160671] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4567), 1,
      sym_comment,
    STATE(5338), 1,
      sym_type_annotation,
    STATE(6233), 1,
      sym__initializer,
    ACTIONS(7337), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160698] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4568), 1,
      sym_comment,
    STATE(5330), 1,
      sym_type_annotation,
    STATE(6227), 1,
      sym__initializer,
    ACTIONS(7337), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160725] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4569), 1,
      sym_comment,
    ACTIONS(4284), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
  [160744] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4570), 1,
      sym_comment,
    STATE(5279), 1,
      sym_type_annotation,
    STATE(6067), 1,
      sym__initializer,
    ACTIONS(7293), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160771] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4571), 1,
      sym_comment,
    STATE(5277), 1,
      sym_type_annotation,
    STATE(6061), 1,
      sym__initializer,
    ACTIONS(7293), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160798] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4572), 1,
      sym_comment,
    STATE(5187), 1,
      sym_type_annotation,
    STATE(5980), 1,
      sym__initializer,
    ACTIONS(7293), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160825] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4573), 1,
      sym_comment,
    STATE(5273), 1,
      sym_type_annotation,
    STATE(6169), 1,
      sym__initializer,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160852] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4574), 1,
      sym_comment,
    STATE(5501), 1,
      sym_type_annotation,
    STATE(5966), 1,
      sym__initializer,
    ACTIONS(7293), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160879] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7495), 1,
      anon_sym_LBRACE,
    STATE(3186), 1,
      sym_class_body,
    STATE(4575), 1,
      sym_comment,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6815), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [160910] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4576), 1,
      sym_comment,
    STATE(5043), 1,
      sym_type_annotation,
    STATE(5933), 1,
      sym__initializer,
    ACTIONS(7909), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160937] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8043), 1,
      anon_sym_EQ,
    STATE(4577), 1,
      sym_comment,
    ACTIONS(4203), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [160958] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4578), 1,
      sym_comment,
    STATE(5303), 1,
      sym_type_annotation,
    STATE(6212), 1,
      sym__initializer,
    ACTIONS(7337), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160985] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7473), 1,
      anon_sym_LBRACE,
    STATE(3386), 1,
      sym_class_body,
    STATE(4579), 1,
      sym_comment,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(7059), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [161016] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7675), 1,
      anon_sym_LBRACE,
    STATE(1414), 1,
      sym_class_body,
    STATE(4580), 1,
      sym_comment,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6857), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [161047] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4581), 1,
      sym_comment,
    STATE(5298), 1,
      sym_type_annotation,
    STATE(6196), 1,
      sym__initializer,
    ACTIONS(7337), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161074] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4582), 1,
      sym_comment,
    STATE(5290), 1,
      sym_type_annotation,
    STATE(6176), 1,
      sym__initializer,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161101] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3984), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_LBRACK,
    ACTIONS(7907), 1,
      sym_identifier,
    STATE(4583), 1,
      sym_comment,
    STATE(4698), 1,
      sym__destructuring_pattern,
    STATE(5647), 1,
      sym_variable_declarator,
    STATE(4490), 2,
      sym_object_pattern,
      sym_array_pattern,
  [161130] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7473), 1,
      anon_sym_LBRACE,
    STATE(2611), 1,
      sym_class_body,
    STATE(4584), 1,
      sym_comment,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6770), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [161161] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4585), 1,
      sym_comment,
    STATE(5337), 1,
      sym_type_annotation,
    STATE(6231), 1,
      sym__initializer,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161188] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4586), 1,
      sym_comment,
    STATE(5134), 1,
      sym_type_annotation,
    STATE(5917), 1,
      sym__initializer,
    ACTIONS(7293), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161215] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4587), 1,
      sym_comment,
    STATE(5131), 1,
      sym_type_annotation,
    STATE(5910), 1,
      sym__initializer,
    ACTIONS(7293), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161242] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8046), 1,
      anon_sym_EQ,
    STATE(4588), 1,
      sym_comment,
    ACTIONS(4229), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [161263] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7575), 1,
      anon_sym_LBRACE,
    STATE(1146), 1,
      sym_class_body,
    STATE(4589), 1,
      sym_comment,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6832), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [161294] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4590), 1,
      sym_comment,
    STATE(5339), 1,
      sym_type_annotation,
    STATE(6235), 1,
      sym__initializer,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161321] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4591), 1,
      sym_comment,
    STATE(5367), 1,
      sym_type_annotation,
    STATE(6253), 1,
      sym__initializer,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161348] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7555), 1,
      anon_sym_LBRACE,
    STATE(405), 1,
      sym_class_body,
    STATE(4592), 1,
      sym_comment,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6828), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [161379] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4593), 1,
      sym_comment,
    STATE(5061), 1,
      sym_type_annotation,
    STATE(5875), 1,
      sym__initializer,
    ACTIONS(7293), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161406] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4594), 1,
      sym_comment,
    STATE(5369), 1,
      sym_type_annotation,
    STATE(6256), 1,
      sym__initializer,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161433] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7675), 1,
      anon_sym_LBRACE,
    STATE(1457), 1,
      sym_class_body,
    STATE(4595), 1,
      sym_comment,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6822), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [161464] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(8048), 1,
      sym_identifier,
    ACTIONS(8050), 1,
      anon_sym_DOT,
    STATE(4596), 1,
      sym_comment,
    STATE(5403), 1,
      sym_nested_identifier,
    STATE(5554), 1,
      sym_string,
    STATE(6591), 1,
      sym__module,
  [161495] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4597), 1,
      sym_comment,
    STATE(4974), 1,
      sym_type_annotation,
    STATE(5781), 1,
      sym__initializer,
    ACTIONS(7291), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161522] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7925), 1,
      anon_sym_LT,
    ACTIONS(7927), 1,
      anon_sym_extends,
    ACTIONS(8052), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4598), 1,
      sym_comment,
    STATE(5328), 1,
      sym_type_parameters,
    STATE(6216), 1,
      sym_extends_type_clause,
    STATE(6760), 1,
      sym_object_type,
  [161553] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4119), 1,
      anon_sym_LT,
    ACTIONS(8054), 1,
      sym_identifier,
    ACTIONS(8056), 1,
      anon_sym_LPAREN,
    STATE(2547), 1,
      sym_arguments,
    STATE(4599), 1,
      sym_comment,
    STATE(6704), 1,
      sym_type_arguments,
    ACTIONS(8058), 2,
      anon_sym_LBRACK,
      sym_private_property_identifier,
  [161582] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4600), 1,
      sym_comment,
    STATE(5380), 1,
      sym_type_annotation,
    STATE(6260), 1,
      sym__initializer,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161609] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7263), 1,
      anon_sym_COLON,
    ACTIONS(8062), 1,
      anon_sym_EQ,
    STATE(4601), 1,
      sym_comment,
    ACTIONS(8060), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [161632] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7921), 1,
      anon_sym_LPAREN,
    ACTIONS(8064), 1,
      sym_identifier,
    ACTIONS(8066), 1,
      anon_sym_STAR,
    STATE(4602), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(6570), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
  [161663] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8068), 1,
      anon_sym_EQ,
    STATE(4603), 1,
      sym_comment,
    STATE(5620), 1,
      sym_constraint,
    STATE(7058), 1,
      sym_default_type,
    ACTIONS(8070), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    ACTIONS(8072), 2,
      anon_sym_COLON,
      anon_sym_extends,
  [161690] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8074), 1,
      anon_sym_EQ,
    STATE(4604), 1,
      sym_comment,
    ACTIONS(4203), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [161711] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4605), 1,
      sym_comment,
    STATE(4951), 1,
      sym_type_annotation,
    STATE(5971), 1,
      sym__initializer,
    ACTIONS(7293), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161738] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4606), 1,
      sym_comment,
    ACTIONS(7695), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [161757] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7575), 1,
      anon_sym_LBRACE,
    STATE(1068), 1,
      sym_class_body,
    STATE(4607), 1,
      sym_comment,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6762), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [161788] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7139), 1,
      anon_sym_EQ,
    STATE(4608), 1,
      sym_comment,
    ACTIONS(8077), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4474), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [161811] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7495), 1,
      anon_sym_LBRACE,
    STATE(3059), 1,
      sym_class_body,
    STATE(4609), 1,
      sym_comment,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6647), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [161842] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4610), 1,
      sym_comment,
    ACTIONS(8080), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [161861] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5990), 1,
      sym__automatic_semicolon,
    STATE(4611), 1,
      sym_comment,
    ACTIONS(2125), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [161882] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(128), 1,
      anon_sym_import,
    ACTIONS(8082), 1,
      sym_identifier,
    STATE(2523), 1,
      sym__type_query_member_expression,
    STATE(2524), 1,
      sym__type_query_subscript_expression,
    STATE(3001), 1,
      sym__type_query_instantiation_expression,
    STATE(3004), 1,
      sym__type_query_call_expression,
    STATE(4612), 1,
      sym_comment,
    STATE(5562), 1,
      sym_import,
  [161913] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4613), 1,
      sym_comment,
    STATE(4936), 1,
      sym_type_annotation,
    STATE(5728), 1,
      sym__initializer,
    ACTIONS(7293), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161940] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4614), 1,
      sym_comment,
    STATE(4931), 1,
      sym_type_annotation,
    STATE(5729), 1,
      sym__initializer,
    ACTIONS(7293), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161967] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4615), 1,
      sym_comment,
    STATE(5263), 1,
      sym_type_annotation,
    STATE(6164), 1,
      sym__initializer,
    ACTIONS(7337), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161994] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4616), 1,
      sym_comment,
    STATE(5260), 1,
      sym_type_annotation,
    STATE(6162), 1,
      sym__initializer,
    ACTIONS(7337), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162021] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4617), 1,
      sym_comment,
    STATE(5156), 1,
      sym_type_annotation,
    ACTIONS(8084), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [162044] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4618), 1,
      sym_comment,
    STATE(5332), 1,
      sym_type_annotation,
    STATE(6215), 1,
      sym__initializer,
    ACTIONS(7335), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162071] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4619), 1,
      sym_comment,
    STATE(4956), 1,
      sym_type_annotation,
    STATE(5747), 1,
      sym__initializer,
    ACTIONS(7293), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162098] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4620), 1,
      sym_comment,
    STATE(4914), 1,
      sym_type_annotation,
    STATE(5750), 1,
      sym__initializer,
    ACTIONS(7293), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162125] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7921), 1,
      anon_sym_LPAREN,
    ACTIONS(8086), 1,
      sym_identifier,
    ACTIONS(8088), 1,
      anon_sym_STAR,
    STATE(4621), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6902), 1,
      sym__call_signature,
  [162156] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3984), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_LBRACK,
    ACTIONS(7907), 1,
      sym_identifier,
    STATE(4622), 1,
      sym_comment,
    STATE(4698), 1,
      sym__destructuring_pattern,
    STATE(5630), 1,
      sym_variable_declarator,
    STATE(4490), 2,
      sym_object_pattern,
      sym_array_pattern,
  [162185] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4623), 1,
      sym_comment,
    ACTIONS(8090), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [162204] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4624), 1,
      sym_comment,
    STATE(5397), 1,
      sym_type_annotation,
    STATE(6278), 1,
      sym__initializer,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162231] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4625), 1,
      sym_comment,
    STATE(5417), 1,
      sym_type_annotation,
    STATE(6295), 1,
      sym__initializer,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162258] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(128), 1,
      anon_sym_import,
    ACTIONS(8092), 1,
      sym_identifier,
    STATE(3751), 1,
      sym__type_query_subscript_expression,
    STATE(3770), 1,
      sym__type_query_member_expression,
    STATE(3952), 1,
      sym__type_query_call_expression,
    STATE(4124), 1,
      sym__type_query_instantiation_expression,
    STATE(4626), 1,
      sym_comment,
    STATE(5682), 1,
      sym_import,
  [162289] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3984), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_LBRACK,
    ACTIONS(7907), 1,
      sym_identifier,
    STATE(4627), 1,
      sym_comment,
    STATE(4698), 1,
      sym__destructuring_pattern,
    STATE(5629), 1,
      sym_variable_declarator,
    STATE(4490), 2,
      sym_object_pattern,
      sym_array_pattern,
  [162318] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4628), 1,
      sym_comment,
    STATE(4981), 1,
      sym_type_annotation,
    STATE(5832), 1,
      sym__initializer,
    ACTIONS(7293), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162345] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3984), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_LBRACK,
    ACTIONS(7907), 1,
      sym_identifier,
    STATE(4629), 1,
      sym_comment,
    STATE(4698), 1,
      sym__destructuring_pattern,
    STATE(5536), 1,
      sym_variable_declarator,
    STATE(4490), 2,
      sym_object_pattern,
      sym_array_pattern,
  [162374] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7921), 1,
      anon_sym_LPAREN,
    ACTIONS(8094), 1,
      sym_identifier,
    ACTIONS(8096), 1,
      anon_sym_STAR,
    STATE(4630), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6907), 1,
      sym__call_signature,
  [162405] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4631), 1,
      sym_comment,
    STATE(5011), 1,
      sym_type_annotation,
    STATE(5845), 1,
      sym__initializer,
    ACTIONS(7293), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162432] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4632), 1,
      sym_comment,
    STATE(4960), 1,
      sym_type_annotation,
    STATE(5894), 1,
      sym__initializer,
    ACTIONS(7293), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162459] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4633), 1,
      sym_comment,
    STATE(5107), 1,
      sym_type_annotation,
    STATE(5907), 1,
      sym__initializer,
    ACTIONS(7293), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162486] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3984), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_LBRACK,
    ACTIONS(7907), 1,
      sym_identifier,
    STATE(4634), 1,
      sym_comment,
    STATE(4698), 1,
      sym__destructuring_pattern,
    STATE(5535), 1,
      sym_variable_declarator,
    STATE(4490), 2,
      sym_object_pattern,
      sym_array_pattern,
  [162515] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4119), 1,
      anon_sym_LT,
    ACTIONS(8054), 1,
      sym_identifier,
    ACTIONS(8098), 1,
      anon_sym_LPAREN,
    STATE(3166), 1,
      sym_arguments,
    STATE(4635), 1,
      sym_comment,
    STATE(6858), 1,
      sym_type_arguments,
    ACTIONS(8058), 2,
      anon_sym_LBRACK,
      sym_private_property_identifier,
  [162544] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4636), 1,
      sym_comment,
    STATE(5146), 1,
      sym_type_annotation,
    STATE(5921), 1,
      sym__initializer,
    ACTIONS(7293), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162571] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4637), 1,
      sym_comment,
    STATE(5152), 1,
      sym_type_annotation,
    STATE(5923), 1,
      sym__initializer,
    ACTIONS(7293), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162598] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4638), 1,
      sym_comment,
    STATE(4991), 1,
      sym_type_annotation,
    STATE(5805), 1,
      sym__initializer,
    ACTIONS(7319), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162625] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4639), 1,
      sym_comment,
    STATE(4944), 1,
      sym_type_annotation,
    STATE(5746), 1,
      sym__initializer,
    ACTIONS(7303), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162652] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4640), 1,
      sym_comment,
    STATE(5443), 1,
      sym_type_annotation,
    STATE(6325), 1,
      sym__initializer,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162679] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4641), 1,
      sym_comment,
    STATE(5075), 1,
      sym_type_annotation,
    STATE(5914), 1,
      sym__initializer,
    ACTIONS(7909), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162706] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7921), 1,
      anon_sym_LPAREN,
    ACTIONS(8100), 1,
      sym_identifier,
    ACTIONS(8102), 1,
      anon_sym_STAR,
    STATE(4642), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6769), 1,
      sym__call_signature,
  [162737] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4643), 1,
      sym_comment,
    ACTIONS(2131), 7,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_DOT,
      anon_sym_SLASH_GT,
      anon_sym_LT,
      sym_identifier,
  [162756] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4644), 1,
      sym_comment,
    STATE(5078), 1,
      sym_type_annotation,
    STATE(5916), 1,
      sym__initializer,
    ACTIONS(7909), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162783] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4645), 1,
      sym_comment,
    STATE(5444), 1,
      sym_type_annotation,
    STATE(6327), 1,
      sym__initializer,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162810] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4646), 1,
      sym_comment,
    STATE(5475), 1,
      sym_type_annotation,
    STATE(6369), 1,
      sym__initializer,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162837] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4647), 1,
      sym_comment,
    STATE(5480), 1,
      sym_type_annotation,
    STATE(6377), 1,
      sym__initializer,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162864] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7925), 1,
      anon_sym_LT,
    ACTIONS(7927), 1,
      anon_sym_extends,
    ACTIONS(8104), 1,
      anon_sym_LBRACE,
    ACTIONS(8106), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1552), 1,
      sym_object_type,
    STATE(4648), 1,
      sym_comment,
    STATE(5106), 1,
      sym_type_parameters,
    STATE(5970), 1,
      sym_extends_type_clause,
  [162895] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7943), 1,
      anon_sym_QMARK,
    ACTIONS(8108), 1,
      anon_sym_COLON,
    STATE(4649), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(6461), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
  [162926] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7555), 1,
      anon_sym_LBRACE,
    STATE(347), 1,
      sym_class_body,
    STATE(4650), 1,
      sym_comment,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6697), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [162957] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3984), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_LBRACK,
    ACTIONS(7907), 1,
      sym_identifier,
    STATE(4651), 1,
      sym_comment,
    STATE(4698), 1,
      sym__destructuring_pattern,
    STATE(5519), 1,
      sym_variable_declarator,
    STATE(4490), 2,
      sym_object_pattern,
      sym_array_pattern,
  [162986] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4652), 1,
      sym_comment,
    ACTIONS(6376), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [163005] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    STATE(4653), 1,
      sym_comment,
    STATE(6406), 1,
      sym_statement_block,
    ACTIONS(8110), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [163028] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4654), 1,
      sym_comment,
    ACTIONS(7595), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [163047] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3968), 1,
      anon_sym_DQUOTE,
    ACTIONS(3970), 1,
      anon_sym_SQUOTE,
    ACTIONS(8112), 1,
      sym_identifier,
    ACTIONS(8114), 1,
      anon_sym_DOT,
    STATE(959), 1,
      sym_nested_identifier,
    STATE(1191), 1,
      sym_string,
    STATE(1620), 1,
      sym__module,
    STATE(4655), 1,
      sym_comment,
  [163078] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7925), 1,
      anon_sym_LT,
    ACTIONS(7927), 1,
      anon_sym_extends,
    ACTIONS(8116), 1,
      anon_sym_LBRACE,
    ACTIONS(8118), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1394), 1,
      sym_object_type,
    STATE(4656), 1,
      sym_comment,
    STATE(4959), 1,
      sym_type_parameters,
    STATE(5762), 1,
      sym_extends_type_clause,
  [163109] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7495), 1,
      anon_sym_LBRACE,
    STATE(3259), 1,
      sym_class_body,
    STATE(4657), 1,
      sym_comment,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6452), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [163140] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(8122), 1,
      anon_sym_DOT,
    STATE(4658), 1,
      sym_comment,
    STATE(5659), 1,
      sym_arguments,
    ACTIONS(8120), 4,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
      anon_sym_abstract,
  [163165] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3984), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_LBRACK,
    ACTIONS(7907), 1,
      sym_identifier,
    STATE(4659), 1,
      sym_comment,
    STATE(4698), 1,
      sym__destructuring_pattern,
    STATE(5518), 1,
      sym_variable_declarator,
    STATE(4490), 2,
      sym_object_pattern,
      sym_array_pattern,
  [163194] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4043), 1,
      anon_sym_DQUOTE,
    ACTIONS(4045), 1,
      anon_sym_SQUOTE,
    ACTIONS(8124), 1,
      sym_identifier,
    ACTIONS(8126), 1,
      anon_sym_DOT,
    STATE(951), 1,
      sym_nested_identifier,
    STATE(1125), 1,
      sym_string,
    STATE(1224), 1,
      sym__module,
    STATE(4660), 1,
      sym_comment,
  [163225] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4661), 1,
      sym_comment,
    STATE(5493), 1,
      sym_type_annotation,
    STATE(6392), 1,
      sym__initializer,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163252] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4662), 1,
      sym_comment,
    STATE(5499), 1,
      sym_type_annotation,
    STATE(6390), 1,
      sym__initializer,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163279] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7473), 1,
      anon_sym_LBRACE,
    STATE(2580), 1,
      sym_class_body,
    STATE(4663), 1,
      sym_comment,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6549), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [163310] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4664), 1,
      sym_comment,
    STATE(5161), 1,
      sym_type_annotation,
    STATE(5949), 1,
      sym__initializer,
    ACTIONS(7293), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163337] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4665), 1,
      sym_comment,
    STATE(5167), 1,
      sym_type_annotation,
    STATE(5957), 1,
      sym__initializer,
    ACTIONS(7293), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163364] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7467), 1,
      anon_sym_LBRACE,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    STATE(4666), 1,
      sym_comment,
    STATE(5824), 1,
      sym_class_body,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6541), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [163395] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4667), 1,
      sym_comment,
    STATE(5225), 1,
      sym_type_annotation,
    STATE(6124), 1,
      sym__initializer,
    ACTIONS(7337), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163422] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7689), 1,
      anon_sym_LBRACE,
    STATE(1577), 1,
      sym_class_body,
    STATE(4668), 1,
      sym_comment,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(7026), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [163453] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8068), 1,
      anon_sym_EQ,
    STATE(4669), 1,
      sym_comment,
    STATE(5637), 1,
      sym_constraint,
    STATE(6978), 1,
      sym_default_type,
    ACTIONS(8072), 2,
      anon_sym_COLON,
      anon_sym_extends,
    ACTIONS(8128), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [163480] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4670), 1,
      sym_comment,
    STATE(5175), 1,
      sym_type_annotation,
    STATE(5968), 1,
      sym__initializer,
    ACTIONS(7293), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163507] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4671), 1,
      sym_comment,
    STATE(5179), 1,
      sym_type_annotation,
    STATE(5976), 1,
      sym__initializer,
    ACTIONS(7293), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163534] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4672), 1,
      sym_comment,
    STATE(5188), 1,
      sym_type_annotation,
    STATE(5985), 1,
      sym__initializer,
    ACTIONS(7293), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163561] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4673), 1,
      sym_comment,
    STATE(5190), 1,
      sym_type_annotation,
    STATE(5987), 1,
      sym__initializer,
    ACTIONS(7293), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163588] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7473), 1,
      anon_sym_LBRACE,
    STATE(2559), 1,
      sym_class_body,
    STATE(4674), 1,
      sym_comment,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6526), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [163619] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7921), 1,
      anon_sym_LPAREN,
    ACTIONS(8130), 1,
      sym_identifier,
    ACTIONS(8132), 1,
      anon_sym_STAR,
    STATE(4675), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6902), 1,
      sym__call_signature,
  [163650] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    STATE(4676), 1,
      sym_comment,
    STATE(6568), 1,
      sym_statement_block,
    ACTIONS(7915), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [163673] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3984), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_LBRACK,
    ACTIONS(7907), 1,
      sym_identifier,
    STATE(4677), 1,
      sym_comment,
    STATE(4698), 1,
      sym__destructuring_pattern,
    STATE(5544), 1,
      sym_variable_declarator,
    STATE(4490), 2,
      sym_object_pattern,
      sym_array_pattern,
  [163702] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4678), 1,
      sym_comment,
    STATE(5209), 1,
      sym_type_annotation,
    STATE(6013), 1,
      sym__initializer,
    ACTIONS(7293), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163729] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7483), 1,
      anon_sym_LBRACE,
    STATE(4679), 1,
      sym_comment,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6464), 1,
      sym_class_heritage,
    STATE(7036), 1,
      sym_class_body,
    STATE(7185), 1,
      sym_implements_clause,
  [163760] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4680), 1,
      sym_comment,
    STATE(5096), 1,
      sym_type_annotation,
    STATE(6033), 1,
      sym__initializer,
    ACTIONS(7293), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163787] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4681), 1,
      sym_comment,
    ACTIONS(2119), 7,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_DOT,
      anon_sym_SLASH_GT,
      anon_sym_LT,
      sym_identifier,
  [163806] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7921), 1,
      anon_sym_LPAREN,
    ACTIONS(8134), 1,
      sym_identifier,
    ACTIONS(8136), 1,
      anon_sym_STAR,
    STATE(4682), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(6570), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
  [163837] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4683), 1,
      sym_comment,
    STATE(5143), 1,
      sym_type_annotation,
    ACTIONS(8138), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [163860] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7515), 1,
      anon_sym_LBRACE,
    STATE(459), 1,
      sym_class_body,
    STATE(4684), 1,
      sym_comment,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6550), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [163891] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3984), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_LBRACK,
    ACTIONS(7907), 1,
      sym_identifier,
    STATE(4685), 1,
      sym_comment,
    STATE(4698), 1,
      sym__destructuring_pattern,
    STATE(5545), 1,
      sym_variable_declarator,
    STATE(4490), 2,
      sym_object_pattern,
      sym_array_pattern,
  [163920] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4686), 1,
      sym_comment,
    ACTIONS(7741), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [163939] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4687), 1,
      sym_comment,
    STATE(5447), 1,
      sym_type_annotation,
    STATE(6261), 1,
      sym__initializer,
    ACTIONS(7301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163966] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4688), 1,
      sym_comment,
    STATE(5201), 1,
      sym_type_annotation,
    STATE(6069), 1,
      sym__initializer,
    ACTIONS(7337), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163993] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4689), 1,
      sym_comment,
    STATE(5196), 1,
      sym_type_annotation,
    STATE(6063), 1,
      sym__initializer,
    ACTIONS(7337), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164020] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(128), 1,
      anon_sym_import,
    ACTIONS(8140), 1,
      sym_identifier,
    STATE(3703), 1,
      sym__type_query_member_expression,
    STATE(3704), 1,
      sym__type_query_subscript_expression,
    STATE(3764), 1,
      sym__type_query_call_expression,
    STATE(3816), 1,
      sym__type_query_instantiation_expression,
    STATE(4690), 1,
      sym_comment,
    STATE(5513), 1,
      sym_import,
  [164051] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4691), 1,
      sym_comment,
    STATE(5373), 1,
      sym_type_annotation,
    STATE(6113), 1,
      sym__initializer,
    ACTIONS(7293), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164078] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4692), 1,
      sym_comment,
    ACTIONS(7823), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [164097] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4693), 1,
      sym_comment,
    STATE(5395), 1,
      sym_type_annotation,
    STATE(6192), 1,
      sym__initializer,
    ACTIONS(7305), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164124] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7495), 1,
      anon_sym_LBRACE,
    STATE(3029), 1,
      sym_class_body,
    STATE(4694), 1,
      sym_comment,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6445), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [164155] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7467), 1,
      anon_sym_LBRACE,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    STATE(4695), 1,
      sym_comment,
    STATE(6057), 1,
      sym_class_body,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6434), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [164186] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7473), 1,
      anon_sym_LBRACE,
    STATE(2664), 1,
      sym_class_body,
    STATE(4696), 1,
      sym_comment,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6427), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [164217] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7473), 1,
      anon_sym_LBRACE,
    STATE(3383), 1,
      sym_class_body,
    STATE(4697), 1,
      sym_comment,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6971), 1,
      sym_class_heritage,
    STATE(7185), 1,
      sym_implements_clause,
  [164248] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4698), 1,
      sym_comment,
    STATE(5393), 1,
      sym_type_annotation,
    STATE(6144), 1,
      sym__initializer,
    ACTIONS(7447), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164275] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7469), 1,
      anon_sym_extends,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(7483), 1,
      anon_sym_LBRACE,
    STATE(4699), 1,
      sym_comment,
    STATE(6112), 1,
      sym_extends_clause,
    STATE(6499), 1,
      sym_class_heritage,
    STATE(6532), 1,
      sym_class_body,
    STATE(7185), 1,
      sym_implements_clause,
  [164306] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4700), 1,
      sym_comment,
    STATE(5430), 1,
      sym_type_annotation,
    ACTIONS(8142), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [164329] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3984), 1,
      anon_sym_LBRACE,
    ACTIONS(3986), 1,
      anon_sym_LBRACK,
    ACTIONS(7907), 1,
      sym_identifier,
    STATE(4698), 1,
      sym__destructuring_pattern,
    STATE(4701), 1,
      sym_comment,
    STATE(5675), 1,
      sym_variable_declarator,
    STATE(4490), 2,
      sym_object_pattern,
      sym_array_pattern,
  [164358] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4702), 1,
      sym_comment,
    ACTIONS(8144), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [164377] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4703), 1,
      sym_comment,
    STATE(5171), 1,
      sym_type_annotation,
    STATE(6110), 1,
      sym__initializer,
    ACTIONS(7337), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164404] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4178), 1,
      anon_sym_COLON,
    ACTIONS(8146), 1,
      anon_sym_EQ,
    ACTIONS(8150), 1,
      anon_sym_QMARK,
    STATE(4704), 1,
      sym_comment,
    STATE(5645), 1,
      sym_type_annotation,
    STATE(6935), 1,
      sym__initializer,
    ACTIONS(8148), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [164433] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4705), 1,
      sym_comment,
    STATE(5164), 1,
      sym_type_annotation,
    STATE(6025), 1,
      sym__initializer,
    ACTIONS(7337), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164460] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4706), 1,
      sym_comment,
    STATE(5159), 1,
      sym_type_annotation,
    STATE(6027), 1,
      sym__initializer,
    ACTIONS(7337), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164487] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4707), 1,
      sym_comment,
    STATE(5153), 1,
      sym_type_annotation,
    STATE(6016), 1,
      sym__initializer,
    ACTIONS(7337), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164514] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4708), 1,
      sym_comment,
    STATE(5140), 1,
      sym_type_annotation,
    STATE(6005), 1,
      sym__initializer,
    ACTIONS(7337), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164541] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4709), 1,
      sym_comment,
    STATE(5136), 1,
      sym_type_annotation,
    STATE(6001), 1,
      sym__initializer,
    ACTIONS(7337), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164568] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4710), 1,
      sym_comment,
    ACTIONS(4203), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [164587] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4711), 1,
      sym_comment,
    STATE(5117), 1,
      sym_type_annotation,
    STATE(5975), 1,
      sym__initializer,
    ACTIONS(7337), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164614] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(4712), 1,
      sym_comment,
    STATE(5115), 1,
      sym_type_annotation,
    STATE(5974), 1,
      sym__initializer,
    ACTIONS(7337), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164641] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8152), 1,
      sym__automatic_semicolon,
    STATE(4713), 1,
      sym_comment,
    ACTIONS(2143), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [164662] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(8154), 1,
      anon_sym_QMARK,
    STATE(4714), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6675), 1,
      sym__call_signature,
  [164690] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4715), 1,
      sym_comment,
    STATE(4896), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8158), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8156), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164712] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    ACTIONS(8160), 1,
      anon_sym_QMARK,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(4716), 1,
      sym_comment,
    STATE(5092), 1,
      sym__call_signature,
    STATE(6912), 1,
      sym_type_parameters,
  [164740] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    ACTIONS(8162), 1,
      anon_sym_LBRACE,
    ACTIONS(8164), 1,
      anon_sym_COMMA,
    STATE(4717), 1,
      sym_comment,
    STATE(5840), 1,
      aux_sym_implements_clause_repeat1,
  [164768] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4718), 1,
      sym_comment,
    ACTIONS(4474), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [164786] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    ACTIONS(8166), 1,
      anon_sym_QMARK,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(4503), 1,
      sym__call_signature,
    STATE(4719), 1,
      sym_comment,
    STATE(6912), 1,
      sym_type_parameters,
  [164814] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    ACTIONS(8168), 1,
      anon_sym_QMARK,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(4493), 1,
      sym__call_signature,
    STATE(4720), 1,
      sym_comment,
    STATE(6912), 1,
      sym_type_parameters,
  [164842] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    ACTIONS(8170), 1,
      anon_sym_QMARK,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(4475), 1,
      sym__call_signature,
    STATE(4721), 1,
      sym_comment,
    STATE(6912), 1,
      sym_type_parameters,
  [164870] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(8172), 1,
      anon_sym_QMARK,
    STATE(4722), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(6404), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
  [164898] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3515), 1,
      sym_statement_block,
    STATE(4723), 1,
      sym_comment,
    ACTIONS(7991), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164920] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4724), 1,
      sym_comment,
    STATE(4785), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8178), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8176), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164942] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    ACTIONS(8180), 1,
      anon_sym_QMARK,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(4444), 1,
      sym__call_signature,
    STATE(4725), 1,
      sym_comment,
    STATE(6912), 1,
      sym_type_parameters,
  [164970] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(8182), 1,
      anon_sym_QMARK,
    STATE(4726), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6724), 1,
      sym__call_signature,
  [164998] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3476), 1,
      sym_statement_block,
    STATE(4727), 1,
      sym_comment,
    ACTIONS(8003), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165020] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4728), 1,
      sym_comment,
    STATE(4785), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8186), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8184), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165042] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4724), 1,
      aux_sym_object_type_repeat1,
    STATE(4729), 1,
      sym_comment,
    ACTIONS(8186), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8184), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165064] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8188), 1,
      anon_sym_export,
    ACTIONS(8190), 1,
      anon_sym_class,
    ACTIONS(8192), 1,
      anon_sym_abstract,
    STATE(4730), 1,
      sym_comment,
    STATE(4776), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
  [165092] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    ACTIONS(8194), 1,
      anon_sym_QMARK,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(4489), 1,
      sym__call_signature,
    STATE(4731), 1,
      sym_comment,
    STATE(6912), 1,
      sym_type_parameters,
  [165120] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3503), 1,
      sym_statement_block,
    STATE(4732), 1,
      sym_comment,
    ACTIONS(7957), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165142] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3504), 1,
      sym_statement_block,
    STATE(4733), 1,
      sym_comment,
    ACTIONS(7959), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165164] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    ACTIONS(8196), 1,
      anon_sym_QMARK,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(4734), 1,
      sym_comment,
    STATE(5473), 1,
      sym__call_signature,
    STATE(6912), 1,
      sym_type_parameters,
  [165192] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    ACTIONS(8198), 1,
      anon_sym_QMARK,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(4735), 1,
      sym_comment,
    STATE(4901), 1,
      sym__call_signature,
    STATE(7065), 1,
      sym_type_parameters,
  [165220] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4736), 1,
      sym_comment,
    ACTIONS(2167), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [165238] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3510), 1,
      sym_statement_block,
    STATE(4737), 1,
      sym_comment,
    ACTIONS(7957), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165260] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3518), 1,
      sym_statement_block,
    STATE(4738), 1,
      sym_comment,
    ACTIONS(7959), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165282] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7921), 1,
      anon_sym_LPAREN,
    ACTIONS(8200), 1,
      sym_identifier,
    STATE(4739), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6904), 1,
      sym__call_signature,
  [165310] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4043), 1,
      anon_sym_DQUOTE,
    ACTIONS(4045), 1,
      anon_sym_SQUOTE,
    ACTIONS(8124), 1,
      sym_identifier,
    STATE(951), 1,
      sym_nested_identifier,
    STATE(1125), 1,
      sym_string,
    STATE(1430), 1,
      sym__module,
    STATE(4740), 1,
      sym_comment,
  [165338] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4043), 1,
      anon_sym_DQUOTE,
    ACTIONS(4045), 1,
      anon_sym_SQUOTE,
    ACTIONS(8124), 1,
      sym_identifier,
    STATE(951), 1,
      sym_nested_identifier,
    STATE(1125), 1,
      sym_string,
    STATE(1224), 1,
      sym__module,
    STATE(4741), 1,
      sym_comment,
  [165366] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7921), 1,
      anon_sym_LPAREN,
    ACTIONS(8202), 1,
      sym_identifier,
    STATE(4742), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6649), 1,
      sym__call_signature,
  [165394] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8204), 1,
      anon_sym_export,
    ACTIONS(8206), 1,
      anon_sym_class,
    ACTIONS(8208), 1,
      anon_sym_abstract,
    STATE(4743), 1,
      sym_comment,
    STATE(4776), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
  [165422] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3464), 1,
      sym_statement_block,
    STATE(4744), 1,
      sym_comment,
    ACTIONS(7955), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165444] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4728), 1,
      aux_sym_object_type_repeat1,
    STATE(4745), 1,
      sym_comment,
    ACTIONS(8212), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8210), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165466] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    ACTIONS(8214), 1,
      anon_sym_QMARK,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(4562), 1,
      sym__call_signature,
    STATE(4746), 1,
      sym_comment,
    STATE(6912), 1,
      sym_type_parameters,
  [165494] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8216), 1,
      anon_sym_default,
    ACTIONS(8218), 1,
      anon_sym_RBRACE,
    ACTIONS(8220), 1,
      anon_sym_case,
    STATE(4747), 1,
      sym_comment,
    STATE(4806), 1,
      aux_sym_switch_body_repeat1,
    STATE(5983), 2,
      sym_switch_case,
      sym_switch_default,
  [165520] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4748), 1,
      sym_comment,
    ACTIONS(8222), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [165538] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(8224), 1,
      anon_sym_QMARK,
    STATE(4749), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6658), 1,
      sym__call_signature,
  [165566] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4750), 1,
      sym_comment,
    ACTIONS(8144), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [165584] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(8226), 1,
      anon_sym_QMARK,
    STATE(4751), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(6542), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
  [165612] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(8228), 1,
      anon_sym_QMARK,
    STATE(4752), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(6432), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
  [165640] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7921), 1,
      anon_sym_LPAREN,
    ACTIONS(8230), 1,
      sym_identifier,
    STATE(4753), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(6612), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
  [165668] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    ACTIONS(8234), 1,
      anon_sym_QMARK,
    STATE(4754), 1,
      sym_comment,
    ACTIONS(8232), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [165694] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(8236), 1,
      anon_sym_QMARK,
    STATE(4755), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(6529), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
  [165722] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8238), 1,
      anon_sym_export,
    ACTIONS(8240), 1,
      anon_sym_class,
    ACTIONS(8242), 1,
      anon_sym_abstract,
    STATE(4756), 1,
      sym_comment,
    STATE(4776), 1,
      aux_sym_export_statement_repeat1,
    STATE(5685), 1,
      sym_decorator,
  [165750] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7845), 1,
      sym_escape_sequence,
    ACTIONS(8244), 1,
      anon_sym_BQUOTE,
    ACTIONS(8246), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8248), 1,
      sym__template_chars,
    STATE(4757), 1,
      sym_comment,
    STATE(4838), 1,
      aux_sym_template_string_repeat1,
    STATE(5605), 1,
      sym_template_substitution,
  [165778] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4758), 1,
      sym_comment,
    ACTIONS(8250), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [165796] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8216), 1,
      anon_sym_default,
    ACTIONS(8220), 1,
      anon_sym_case,
    ACTIONS(8252), 1,
      anon_sym_RBRACE,
    STATE(4759), 1,
      sym_comment,
    STATE(4801), 1,
      aux_sym_switch_body_repeat1,
    STATE(5983), 2,
      sym_switch_case,
      sym_switch_default,
  [165822] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    ACTIONS(8254), 1,
      anon_sym_QMARK,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(4760), 1,
      sym_comment,
    STATE(5142), 1,
      sym__call_signature,
    STATE(6912), 1,
      sym_type_parameters,
  [165850] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4761), 1,
      sym_comment,
    ACTIONS(8256), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [165868] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    STATE(4762), 2,
      sym_comment,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5270), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [165888] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8261), 1,
      anon_sym_DOT,
    STATE(4763), 1,
      sym_comment,
    ACTIONS(7889), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165908] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7921), 1,
      anon_sym_LPAREN,
    ACTIONS(8263), 1,
      sym_identifier,
    STATE(4764), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6768), 1,
      sym__call_signature,
  [165936] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4765), 1,
      sym_comment,
    STATE(4785), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8267), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8265), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165958] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    ACTIONS(8269), 1,
      anon_sym_COMMA,
    ACTIONS(8271), 1,
      anon_sym_GT,
    STATE(4766), 1,
      sym_comment,
    STATE(6317), 1,
      aux_sym_type_arguments_repeat1,
  [165986] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3482), 1,
      sym_statement_block,
    STATE(4767), 1,
      sym_comment,
    ACTIONS(8110), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166008] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(8273), 1,
      anon_sym_QMARK,
    STATE(4768), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6671), 1,
      sym__call_signature,
  [166036] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    ACTIONS(8275), 1,
      anon_sym_QMARK,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(4769), 1,
      sym_comment,
    STATE(4872), 1,
      sym__call_signature,
    STATE(7065), 1,
      sym_type_parameters,
  [166064] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3489), 1,
      sym_statement_block,
    STATE(4770), 1,
      sym_comment,
    ACTIONS(7937), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166086] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7831), 1,
      anon_sym_GT,
    ACTIONS(8277), 1,
      sym_identifier,
    ACTIONS(8279), 1,
      sym_jsx_identifier,
    ACTIONS(8281), 1,
      anon_sym_SLASH_GT,
    STATE(4066), 1,
      sym_nested_identifier,
    STATE(4219), 1,
      sym_jsx_namespace_name,
    STATE(4771), 1,
      sym_comment,
  [166114] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(7713), 1,
      anon_sym_DOT,
    ACTIONS(8283), 1,
      anon_sym_COMMA,
    ACTIONS(8285), 1,
      anon_sym_GT,
    STATE(4433), 1,
      sym_arguments,
    STATE(4772), 1,
      sym_comment,
    STATE(6313), 1,
      aux_sym_type_arguments_repeat1,
  [166142] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8287), 1,
      anon_sym_COLON,
    STATE(4773), 1,
      sym_comment,
    ACTIONS(7423), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    STATE(6787), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [166164] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4774), 1,
      sym_comment,
    ACTIONS(6404), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
  [166182] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4775), 1,
      sym_comment,
    ACTIONS(7873), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
  [166200] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8291), 1,
      anon_sym_AT,
    STATE(5685), 1,
      sym_decorator,
    STATE(4776), 2,
      sym_comment,
      aux_sym_export_statement_repeat1,
    ACTIONS(8289), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_abstract,
  [166222] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3486), 1,
      sym_statement_block,
    STATE(4777), 1,
      sym_comment,
    ACTIONS(8041), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166244] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8294), 1,
      anon_sym_export,
    ACTIONS(8296), 1,
      anon_sym_class,
    ACTIONS(8298), 1,
      anon_sym_abstract,
    STATE(4776), 1,
      aux_sym_export_statement_repeat1,
    STATE(4778), 1,
      sym_comment,
    STATE(5685), 1,
      sym_decorator,
  [166272] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3501), 1,
      sym_statement_block,
    STATE(4779), 1,
      sym_comment,
    ACTIONS(7955), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166294] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    ACTIONS(8300), 1,
      anon_sym_QMARK,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(4780), 1,
      sym_comment,
    STATE(4821), 1,
      sym__call_signature,
    STATE(7065), 1,
      sym_type_parameters,
  [166322] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8302), 1,
      sym_identifier,
    STATE(4781), 1,
      sym_comment,
    ACTIONS(6929), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [166342] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(7713), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_COMMA,
    ACTIONS(8306), 1,
      anon_sym_GT,
    STATE(4433), 1,
      sym_arguments,
    STATE(4782), 1,
      sym_comment,
    STATE(5823), 1,
      aux_sym_type_arguments_repeat1,
  [166370] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3512), 1,
      sym_statement_block,
    STATE(4783), 1,
      sym_comment,
    ACTIONS(8041), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166392] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    ACTIONS(8308), 1,
      anon_sym_COMMA,
    ACTIONS(8310), 1,
      anon_sym_GT,
    STATE(4784), 1,
      sym_comment,
    STATE(5828), 1,
      aux_sym_type_arguments_repeat1,
  [166420] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8315), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4785), 2,
      sym_comment,
      aux_sym_object_type_repeat1,
    ACTIONS(8312), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166440] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(7713), 1,
      anon_sym_DOT,
    ACTIONS(8317), 1,
      anon_sym_COMMA,
    ACTIONS(8319), 1,
      anon_sym_GT,
    STATE(4433), 1,
      sym_arguments,
    STATE(4786), 1,
      sym_comment,
    STATE(6302), 1,
      aux_sym_type_arguments_repeat1,
  [166468] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(8321), 1,
      anon_sym_QMARK,
    STATE(4787), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6933), 1,
      sym__call_signature,
  [166496] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3968), 1,
      anon_sym_DQUOTE,
    ACTIONS(3970), 1,
      anon_sym_SQUOTE,
    ACTIONS(8112), 1,
      sym_identifier,
    STATE(959), 1,
      sym_nested_identifier,
    STATE(1191), 1,
      sym_string,
    STATE(1620), 1,
      sym__module,
    STATE(4788), 1,
      sym_comment,
  [166524] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8323), 1,
      sym_identifier,
    STATE(4789), 1,
      sym_comment,
    ACTIONS(6929), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [166544] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4785), 1,
      aux_sym_object_type_repeat1,
    STATE(4790), 1,
      sym_comment,
    ACTIONS(8327), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8325), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166566] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8216), 1,
      anon_sym_default,
    ACTIONS(8220), 1,
      anon_sym_case,
    ACTIONS(8329), 1,
      anon_sym_RBRACE,
    STATE(4747), 1,
      aux_sym_switch_body_repeat1,
    STATE(4791), 1,
      sym_comment,
    STATE(5983), 2,
      sym_switch_case,
      sym_switch_default,
  [166592] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4785), 1,
      aux_sym_object_type_repeat1,
    STATE(4792), 1,
      sym_comment,
    ACTIONS(8333), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8331), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166614] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    ACTIONS(8335), 1,
      anon_sym_QMARK,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(4793), 1,
      sym_comment,
    STATE(6269), 1,
      sym__call_signature,
    STATE(6912), 1,
      sym_type_parameters,
  [166642] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    ACTIONS(8337), 1,
      anon_sym_QMARK,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(4794), 1,
      sym_comment,
    STATE(5769), 1,
      sym__call_signature,
    STATE(6912), 1,
      sym_type_parameters,
  [166670] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7921), 1,
      anon_sym_LPAREN,
    ACTIONS(8339), 1,
      sym_identifier,
    STATE(4795), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6649), 1,
      sym__call_signature,
  [166698] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4790), 1,
      aux_sym_object_type_repeat1,
    STATE(4796), 1,
      sym_comment,
    ACTIONS(8333), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8331), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166720] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4792), 1,
      aux_sym_object_type_repeat1,
    STATE(4797), 1,
      sym_comment,
    ACTIONS(8343), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8341), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166742] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7831), 1,
      anon_sym_GT,
    ACTIONS(8345), 1,
      sym_identifier,
    ACTIONS(8347), 1,
      sym_jsx_identifier,
    ACTIONS(8349), 1,
      anon_sym_SLASH_GT,
    STATE(4050), 1,
      sym_nested_identifier,
    STATE(4337), 1,
      sym_jsx_namespace_name,
    STATE(4798), 1,
      sym_comment,
  [166770] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4785), 1,
      aux_sym_object_type_repeat1,
    STATE(4799), 1,
      sym_comment,
    ACTIONS(8353), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8351), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166792] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8357), 1,
      anon_sym_EQ,
    STATE(4800), 1,
      sym_comment,
    ACTIONS(8355), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [166812] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8216), 1,
      anon_sym_default,
    ACTIONS(8220), 1,
      anon_sym_case,
    ACTIONS(8359), 1,
      anon_sym_RBRACE,
    STATE(4801), 1,
      sym_comment,
    STATE(4806), 1,
      aux_sym_switch_body_repeat1,
    STATE(5983), 2,
      sym_switch_case,
      sym_switch_default,
  [166838] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4802), 1,
      sym_comment,
    ACTIONS(8080), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [166856] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4803), 1,
      sym_comment,
    STATE(4817), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8363), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8361), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166878] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    ACTIONS(8365), 1,
      anon_sym_QMARK,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(4777), 1,
      sym__call_signature,
    STATE(4804), 1,
      sym_comment,
    STATE(7065), 1,
      sym_type_parameters,
  [166906] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7845), 1,
      sym_escape_sequence,
    ACTIONS(8246), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8248), 1,
      sym__template_chars,
    ACTIONS(8367), 1,
      anon_sym_BQUOTE,
    STATE(4805), 1,
      sym_comment,
    STATE(4838), 1,
      aux_sym_template_string_repeat1,
    STATE(5605), 1,
      sym_template_substitution,
  [166934] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8369), 1,
      anon_sym_default,
    ACTIONS(8372), 1,
      anon_sym_RBRACE,
    ACTIONS(8374), 1,
      anon_sym_case,
    STATE(4806), 2,
      sym_comment,
      aux_sym_switch_body_repeat1,
    STATE(5983), 2,
      sym_switch_case,
      sym_switch_default,
  [166958] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4785), 1,
      aux_sym_object_type_repeat1,
    STATE(4807), 1,
      sym_comment,
    ACTIONS(8379), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8377), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166980] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3836), 1,
      anon_sym_LBRACE,
    ACTIONS(8381), 1,
      sym_identifier,
    ACTIONS(8383), 1,
      anon_sym_LBRACK,
    STATE(4808), 1,
      sym_comment,
    STATE(5898), 1,
      sym__destructuring_pattern,
    STATE(4292), 2,
      sym_object_pattern,
      sym_array_pattern,
  [167006] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4799), 1,
      aux_sym_object_type_repeat1,
    STATE(4809), 1,
      sym_comment,
    ACTIONS(8379), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8377), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167028] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4807), 1,
      aux_sym_object_type_repeat1,
    STATE(4810), 1,
      sym_comment,
    ACTIONS(8387), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8385), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167050] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4811), 1,
      sym_comment,
    STATE(4823), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8391), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8389), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167072] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7921), 1,
      anon_sym_LPAREN,
    ACTIONS(8393), 1,
      sym_identifier,
    STATE(4812), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6904), 1,
      sym__call_signature,
  [167100] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4785), 1,
      aux_sym_object_type_repeat1,
    STATE(4813), 1,
      sym_comment,
    ACTIONS(8397), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8395), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167122] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3836), 1,
      anon_sym_LBRACE,
    ACTIONS(8383), 1,
      anon_sym_LBRACK,
    ACTIONS(8399), 1,
      sym_identifier,
    STATE(4814), 1,
      sym_comment,
    STATE(6160), 1,
      sym__destructuring_pattern,
    STATE(4292), 2,
      sym_object_pattern,
      sym_array_pattern,
  [167148] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4785), 1,
      aux_sym_object_type_repeat1,
    STATE(4815), 1,
      sym_comment,
    ACTIONS(8403), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8401), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167170] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4813), 1,
      aux_sym_object_type_repeat1,
    STATE(4816), 1,
      sym_comment,
    ACTIONS(8403), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8401), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167192] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4785), 1,
      aux_sym_object_type_repeat1,
    STATE(4817), 1,
      sym_comment,
    ACTIONS(8391), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8389), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167214] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4815), 1,
      aux_sym_object_type_repeat1,
    STATE(4818), 1,
      sym_comment,
    ACTIONS(8407), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8405), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167236] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    ACTIONS(8409), 1,
      anon_sym_COMMA,
    ACTIONS(8411), 1,
      anon_sym_GT,
    STATE(4819), 1,
      sym_comment,
    STATE(6297), 1,
      aux_sym_type_arguments_repeat1,
  [167264] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8216), 1,
      anon_sym_default,
    ACTIONS(8220), 1,
      anon_sym_case,
    ACTIONS(8413), 1,
      anon_sym_RBRACE,
    STATE(4820), 1,
      sym_comment,
    STATE(4874), 1,
      aux_sym_switch_body_repeat1,
    STATE(5983), 2,
      sym_switch_case,
      sym_switch_default,
  [167290] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3484), 1,
      sym_statement_block,
    STATE(4821), 1,
      sym_comment,
    ACTIONS(7937), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167312] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3968), 1,
      anon_sym_DQUOTE,
    ACTIONS(3970), 1,
      anon_sym_SQUOTE,
    ACTIONS(8112), 1,
      sym_identifier,
    STATE(959), 1,
      sym_nested_identifier,
    STATE(1191), 1,
      sym_string,
    STATE(1589), 1,
      sym__module,
    STATE(4822), 1,
      sym_comment,
  [167340] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4785), 1,
      aux_sym_object_type_repeat1,
    STATE(4823), 1,
      sym_comment,
    ACTIONS(8417), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8415), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167362] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4824), 1,
      sym_comment,
    ACTIONS(8090), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [167380] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4178), 1,
      anon_sym_COLON,
    ACTIONS(8146), 1,
      anon_sym_EQ,
    STATE(4825), 1,
      sym_comment,
    STATE(5640), 1,
      sym_type_annotation,
    STATE(7030), 1,
      sym__initializer,
    ACTIONS(8419), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [167406] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(8421), 1,
      anon_sym_QMARK,
    STATE(4826), 1,
      sym_comment,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(7017), 1,
      sym__call_signature,
  [167434] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(8035), 1,
      sym_identifier,
    STATE(4421), 1,
      sym_nested_identifier,
    STATE(4466), 1,
      sym_string,
    STATE(4827), 1,
      sym_comment,
    STATE(4939), 1,
      sym__module,
  [167462] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1924), 1,
      anon_sym_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE,
    ACTIONS(8035), 1,
      sym_identifier,
    STATE(4421), 1,
      sym_nested_identifier,
    STATE(4466), 1,
      sym_string,
    STATE(4828), 1,
      sym_comment,
    STATE(4921), 1,
      sym__module,
  [167490] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4785), 1,
      aux_sym_object_type_repeat1,
    STATE(4829), 1,
      sym_comment,
    ACTIONS(8425), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8423), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167512] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3493), 1,
      sym_statement_block,
    STATE(4830), 1,
      sym_comment,
    ACTIONS(8039), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167534] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(8048), 1,
      sym_identifier,
    STATE(4831), 1,
      sym_comment,
    STATE(5403), 1,
      sym_nested_identifier,
    STATE(5554), 1,
      sym_string,
    STATE(6591), 1,
      sym__module,
  [167562] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(8048), 1,
      sym_identifier,
    STATE(4832), 1,
      sym_comment,
    STATE(5403), 1,
      sym_nested_identifier,
    STATE(5554), 1,
      sym_string,
    STATE(6920), 1,
      sym__module,
  [167590] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4833), 1,
      sym_comment,
    ACTIONS(8427), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [167608] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4785), 1,
      aux_sym_object_type_repeat1,
    STATE(4834), 1,
      sym_comment,
    ACTIONS(8431), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8429), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167630] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7845), 1,
      sym_escape_sequence,
    ACTIONS(8246), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8248), 1,
      sym__template_chars,
    ACTIONS(8433), 1,
      anon_sym_BQUOTE,
    STATE(4805), 1,
      aux_sym_template_string_repeat1,
    STATE(4835), 1,
      sym_comment,
    STATE(5605), 1,
      sym_template_substitution,
  [167658] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4829), 1,
      aux_sym_object_type_repeat1,
    STATE(4836), 1,
      sym_comment,
    ACTIONS(8431), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8429), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167680] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3836), 1,
      anon_sym_LBRACE,
    ACTIONS(8383), 1,
      anon_sym_LBRACK,
    ACTIONS(8435), 1,
      sym_identifier,
    STATE(4837), 1,
      sym_comment,
    STATE(6836), 1,
      sym__destructuring_pattern,
    STATE(4292), 2,
      sym_object_pattern,
      sym_array_pattern,
  [167706] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8437), 1,
      sym_escape_sequence,
    ACTIONS(8440), 1,
      anon_sym_BQUOTE,
    ACTIONS(8442), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8445), 1,
      sym__template_chars,
    STATE(5605), 1,
      sym_template_substitution,
    STATE(4838), 2,
      sym_comment,
      aux_sym_template_string_repeat1,
  [167732] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3836), 1,
      anon_sym_LBRACE,
    ACTIONS(8383), 1,
      anon_sym_LBRACK,
    ACTIONS(8448), 1,
      sym_identifier,
    STATE(4839), 1,
      sym_comment,
    STATE(5609), 1,
      sym__destructuring_pattern,
    STATE(4292), 2,
      sym_object_pattern,
      sym_array_pattern,
  [167758] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4840), 1,
      sym_comment,
    ACTIONS(7112), 6,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [167776] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4834), 1,
      aux_sym_object_type_repeat1,
    STATE(4841), 1,
      sym_comment,
    ACTIONS(8452), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8450), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167798] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8454), 1,
      anon_sym_export,
    ACTIONS(8456), 1,
      anon_sym_class,
    ACTIONS(8458), 1,
      anon_sym_abstract,
    STATE(4776), 1,
      aux_sym_export_statement_repeat1,
    STATE(4842), 1,
      sym_comment,
    STATE(5685), 1,
      sym_decorator,
  [167826] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8287), 1,
      anon_sym_COLON,
    STATE(4843), 1,
      sym_comment,
    ACTIONS(7413), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    STATE(6752), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [167848] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8216), 1,
      anon_sym_default,
    ACTIONS(8220), 1,
      anon_sym_case,
    ACTIONS(8460), 1,
      anon_sym_RBRACE,
    STATE(4806), 1,
      aux_sym_switch_body_repeat1,
    STATE(4844), 1,
      sym_comment,
    STATE(5983), 2,
      sym_switch_case,
      sym_switch_default,
  [167874] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    ACTIONS(8462), 1,
      anon_sym_COMMA,
    ACTIONS(8464), 1,
      anon_sym_GT,
    STATE(4845), 1,
      sym_comment,
    STATE(6331), 1,
      aux_sym_type_arguments_repeat1,
  [167902] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(7713), 1,
      anon_sym_DOT,
    ACTIONS(8466), 1,
      anon_sym_COMMA,
    ACTIONS(8468), 1,
      anon_sym_GT,
    STATE(4433), 1,
      sym_arguments,
    STATE(4846), 1,
      sym_comment,
    STATE(6218), 1,
      aux_sym_type_arguments_repeat1,
  [167930] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    ACTIONS(8470), 1,
      anon_sym_COMMA,
    ACTIONS(8472), 1,
      anon_sym_GT,
    STATE(4847), 1,
      sym_comment,
    STATE(6232), 1,
      aux_sym_type_arguments_repeat1,
  [167958] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    ACTIONS(8474), 1,
      anon_sym_QMARK,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(4848), 1,
      sym_comment,
    STATE(5014), 1,
      sym__call_signature,
    STATE(6912), 1,
      sym_type_parameters,
  [167986] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    ACTIONS(8476), 1,
      anon_sym_QMARK,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(4849), 1,
      sym_comment,
    STATE(6081), 1,
      sym__call_signature,
    STATE(6912), 1,
      sym_type_parameters,
  [168014] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7845), 1,
      sym_escape_sequence,
    ACTIONS(8246), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8248), 1,
      sym__template_chars,
    ACTIONS(8478), 1,
      anon_sym_BQUOTE,
    STATE(4757), 1,
      aux_sym_template_string_repeat1,
    STATE(4850), 1,
      sym_comment,
    STATE(5605), 1,
      sym_template_substitution,
  [168042] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3475), 1,
      sym_statement_block,
    STATE(4851), 1,
      sym_comment,
    ACTIONS(7913), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168064] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3513), 1,
      sym_statement_block,
    STATE(4852), 1,
      sym_comment,
    ACTIONS(8005), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168086] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(7713), 1,
      anon_sym_DOT,
    ACTIONS(8480), 1,
      anon_sym_COMMA,
    ACTIONS(8482), 1,
      anon_sym_GT,
    STATE(4433), 1,
      sym_arguments,
    STATE(4853), 1,
      sym_comment,
    STATE(6338), 1,
      aux_sym_type_arguments_repeat1,
  [168114] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8216), 1,
      anon_sym_default,
    ACTIONS(8220), 1,
      anon_sym_case,
    ACTIONS(8484), 1,
      anon_sym_RBRACE,
    STATE(4854), 1,
      sym_comment,
    STATE(4877), 1,
      aux_sym_switch_body_repeat1,
    STATE(5983), 2,
      sym_switch_case,
      sym_switch_default,
  [168140] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3488), 1,
      sym_statement_block,
    STATE(4855), 1,
      sym_comment,
    ACTIONS(7983), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168162] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4075), 1,
      anon_sym_DQUOTE,
    ACTIONS(4077), 1,
      anon_sym_SQUOTE,
    ACTIONS(8023), 1,
      sym_identifier,
    STATE(893), 1,
      sym_nested_identifier,
    STATE(924), 1,
      sym_string,
    STATE(992), 1,
      sym__module,
    STATE(4856), 1,
      sym_comment,
  [168190] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4075), 1,
      anon_sym_DQUOTE,
    ACTIONS(4077), 1,
      anon_sym_SQUOTE,
    ACTIONS(8023), 1,
      sym_identifier,
    STATE(893), 1,
      sym_nested_identifier,
    STATE(924), 1,
      sym_string,
    STATE(1042), 1,
      sym__module,
    STATE(4857), 1,
      sym_comment,
  [168218] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4785), 1,
      aux_sym_object_type_repeat1,
    STATE(4858), 1,
      sym_comment,
    ACTIONS(8488), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8486), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168240] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7921), 1,
      anon_sym_LPAREN,
    ACTIONS(8490), 1,
      sym_identifier,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(4859), 1,
      sym_comment,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6649), 1,
      sym__call_signature,
  [168268] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4785), 1,
      aux_sym_object_type_repeat1,
    STATE(4860), 1,
      sym_comment,
    ACTIONS(8494), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8492), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168290] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7921), 1,
      anon_sym_LPAREN,
    ACTIONS(8496), 1,
      sym_identifier,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(4861), 1,
      sym_comment,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6649), 1,
      sym__call_signature,
  [168318] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7921), 1,
      anon_sym_LPAREN,
    ACTIONS(8498), 1,
      sym_identifier,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(4862), 1,
      sym_comment,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6904), 1,
      sym__call_signature,
  [168346] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3836), 1,
      anon_sym_LBRACE,
    ACTIONS(8383), 1,
      anon_sym_LBRACK,
    ACTIONS(8500), 1,
      sym_identifier,
    STATE(4863), 1,
      sym_comment,
    STATE(6026), 1,
      sym__destructuring_pattern,
    STATE(4292), 2,
      sym_object_pattern,
      sym_array_pattern,
  [168372] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4858), 1,
      aux_sym_object_type_repeat1,
    STATE(4864), 1,
      sym_comment,
    ACTIONS(8494), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8492), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168394] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3474), 1,
      sym_statement_block,
    STATE(4865), 1,
      sym_comment,
    ACTIONS(7915), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168416] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    ACTIONS(8502), 1,
      anon_sym_QMARK,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(4733), 1,
      sym__call_signature,
    STATE(4866), 1,
      sym_comment,
    STATE(7065), 1,
      sym_type_parameters,
  [168444] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(7713), 1,
      anon_sym_DOT,
    ACTIONS(8504), 1,
      anon_sym_COMMA,
    ACTIONS(8506), 1,
      anon_sym_GT,
    STATE(4433), 1,
      sym_arguments,
    STATE(4867), 1,
      sym_comment,
    STATE(6105), 1,
      aux_sym_type_arguments_repeat1,
  [168472] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    ACTIONS(8508), 1,
      anon_sym_COMMA,
    ACTIONS(8510), 1,
      anon_sym_GT,
    STATE(4868), 1,
      sym_comment,
    STATE(6109), 1,
      aux_sym_type_arguments_repeat1,
  [168500] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    STATE(4869), 1,
      sym_comment,
    ACTIONS(8512), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_GT,
  [168524] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7921), 1,
      anon_sym_LPAREN,
    ACTIONS(8514), 1,
      sym_identifier,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(4870), 1,
      sym_comment,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6649), 1,
      sym__call_signature,
  [168552] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4860), 1,
      aux_sym_object_type_repeat1,
    STATE(4871), 1,
      sym_comment,
    ACTIONS(8518), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8516), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168574] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3492), 1,
      sym_statement_block,
    STATE(4872), 1,
      sym_comment,
    ACTIONS(7913), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168596] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7921), 1,
      anon_sym_LPAREN,
    ACTIONS(8520), 1,
      sym_identifier,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(4873), 1,
      sym_comment,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6904), 1,
      sym__call_signature,
  [168624] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8216), 1,
      anon_sym_default,
    ACTIONS(8220), 1,
      anon_sym_case,
    ACTIONS(8522), 1,
      anon_sym_RBRACE,
    STATE(4806), 1,
      aux_sym_switch_body_repeat1,
    STATE(4874), 1,
      sym_comment,
    STATE(5983), 2,
      sym_switch_case,
      sym_switch_default,
  [168650] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3836), 1,
      anon_sym_LBRACE,
    ACTIONS(8383), 1,
      anon_sym_LBRACK,
    ACTIONS(8524), 1,
      sym_identifier,
    STATE(4875), 1,
      sym_comment,
    STATE(5965), 1,
      sym__destructuring_pattern,
    STATE(4292), 2,
      sym_object_pattern,
      sym_array_pattern,
  [168676] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3490), 1,
      sym_statement_block,
    STATE(4876), 1,
      sym_comment,
    ACTIONS(7915), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168698] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8216), 1,
      anon_sym_default,
    ACTIONS(8220), 1,
      anon_sym_case,
    ACTIONS(8526), 1,
      anon_sym_RBRACE,
    STATE(4806), 1,
      aux_sym_switch_body_repeat1,
    STATE(4877), 1,
      sym_comment,
    STATE(5983), 2,
      sym_switch_case,
      sym_switch_default,
  [168724] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4878), 1,
      sym_comment,
    STATE(4892), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8530), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8528), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168746] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7921), 1,
      anon_sym_LPAREN,
    ACTIONS(8532), 1,
      sym_identifier,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(4879), 1,
      sym_comment,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6904), 1,
      sym__call_signature,
  [168774] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8216), 1,
      anon_sym_default,
    ACTIONS(8220), 1,
      anon_sym_case,
    ACTIONS(8534), 1,
      anon_sym_RBRACE,
    STATE(4844), 1,
      aux_sym_switch_body_repeat1,
    STATE(4880), 1,
      sym_comment,
    STATE(5983), 2,
      sym_switch_case,
      sym_switch_default,
  [168800] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7967), 1,
      anon_sym_DOT,
    ACTIONS(7969), 1,
      anon_sym_LT,
    ACTIONS(8536), 1,
      anon_sym_LBRACE,
    STATE(4881), 1,
      sym_comment,
    STATE(6044), 1,
      sym_type_arguments,
    ACTIONS(8538), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [168826] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    ACTIONS(8540), 1,
      anon_sym_QMARK,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(4882), 1,
      sym_comment,
    STATE(4971), 1,
      sym__call_signature,
    STATE(6912), 1,
      sym_type_parameters,
  [168854] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(8542), 1,
      anon_sym_QMARK,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(4883), 1,
      sym_comment,
    STATE(6552), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
  [168882] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4765), 1,
      aux_sym_object_type_repeat1,
    STATE(4884), 1,
      sym_comment,
    ACTIONS(8546), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8544), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168904] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4885), 1,
      sym_comment,
    ACTIONS(8017), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [168922] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8548), 1,
      anon_sym_catch,
    ACTIONS(8550), 1,
      anon_sym_finally,
    STATE(4886), 1,
      sym_comment,
    STATE(5649), 1,
      sym_catch_clause,
    STATE(6841), 1,
      sym_finally_clause,
    ACTIONS(3030), 2,
      anon_sym_else,
      anon_sym_while,
  [168948] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4887), 1,
      sym_comment,
    ACTIONS(8552), 6,
      anon_sym_export,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_AT,
      anon_sym_abstract,
  [168966] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7965), 1,
      anon_sym_COMMA,
    ACTIONS(7969), 1,
      anon_sym_LT,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    ACTIONS(8556), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4888), 1,
      sym_comment,
    STATE(5679), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(6042), 1,
      sym_type_arguments,
  [168994] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4889), 1,
      sym_comment,
    ACTIONS(8558), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4474), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [169014] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7921), 1,
      anon_sym_LPAREN,
    ACTIONS(8560), 1,
      sym_identifier,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(4890), 1,
      sym_comment,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6649), 1,
      sym__call_signature,
  [169042] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4891), 1,
      sym_comment,
    STATE(4895), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8564), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8562), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169064] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4785), 1,
      aux_sym_object_type_repeat1,
    STATE(4892), 1,
      sym_comment,
    ACTIONS(8564), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8562), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169086] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7921), 1,
      anon_sym_LPAREN,
    ACTIONS(8566), 1,
      sym_identifier,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(4893), 1,
      sym_comment,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6904), 1,
      sym__call_signature,
  [169114] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3836), 1,
      anon_sym_LBRACE,
    ACTIONS(8383), 1,
      anon_sym_LBRACK,
    ACTIONS(8568), 1,
      sym_identifier,
    STATE(4894), 1,
      sym_comment,
    STATE(5901), 1,
      sym__destructuring_pattern,
    STATE(4292), 2,
      sym_object_pattern,
      sym_array_pattern,
  [169140] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4785), 1,
      aux_sym_object_type_repeat1,
    STATE(4895), 1,
      sym_comment,
    ACTIONS(8572), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8570), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169162] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4785), 1,
      aux_sym_object_type_repeat1,
    STATE(4896), 1,
      sym_comment,
    ACTIONS(8546), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8544), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169184] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4897), 1,
      sym_comment,
    ACTIONS(2143), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [169202] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    ACTIONS(8574), 1,
      anon_sym_COMMA,
    ACTIONS(8576), 1,
      anon_sym_GT,
    STATE(4898), 1,
      sym_comment,
    STATE(6350), 1,
      aux_sym_type_arguments_repeat1,
  [169230] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    ACTIONS(8578), 1,
      anon_sym_QMARK,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(4727), 1,
      sym__call_signature,
    STATE(4899), 1,
      sym_comment,
    STATE(7065), 1,
      sym_type_parameters,
  [169258] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(7713), 1,
      anon_sym_DOT,
    ACTIONS(8580), 1,
      anon_sym_COMMA,
    ACTIONS(8582), 1,
      anon_sym_GT,
    STATE(4433), 1,
      sym_arguments,
    STATE(4900), 1,
      sym_comment,
    STATE(6346), 1,
      aux_sym_type_arguments_repeat1,
  [169286] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3509), 1,
      sym_statement_block,
    STATE(4901), 1,
      sym_comment,
    ACTIONS(7985), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169308] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7921), 1,
      anon_sym_LPAREN,
    ACTIONS(8584), 1,
      sym_identifier,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(4902), 1,
      sym_comment,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6649), 1,
      sym__call_signature,
  [169336] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1898), 1,
      anon_sym_LT,
    ACTIONS(7921), 1,
      anon_sym_LPAREN,
    ACTIONS(8586), 1,
      sym_identifier,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(4903), 1,
      sym_comment,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6904), 1,
      sym__call_signature,
  [169364] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(8588), 1,
      anon_sym_QMARK,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(4904), 1,
      sym_comment,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6987), 1,
      sym__call_signature,
  [169392] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4069), 1,
      anon_sym_DQUOTE,
    ACTIONS(4071), 1,
      anon_sym_SQUOTE,
    ACTIONS(7931), 1,
      sym_identifier,
    STATE(939), 1,
      sym_nested_identifier,
    STATE(1072), 1,
      sym_string,
    STATE(1482), 1,
      sym__module,
    STATE(4905), 1,
      sym_comment,
  [169420] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3508), 1,
      sym_statement_block,
    STATE(4906), 1,
      sym_comment,
    ACTIONS(7983), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169442] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8590), 1,
      sym_identifier,
    STATE(4907), 1,
      sym_comment,
    ACTIONS(6929), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [169462] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8592), 1,
      sym_identifier,
    STATE(4908), 1,
      sym_comment,
    ACTIONS(6929), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [169482] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4854), 1,
      anon_sym_COMMA,
    STATE(4762), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(4909), 1,
      sym_comment,
    ACTIONS(8594), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [169504] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8596), 1,
      sym_identifier,
    STATE(4910), 1,
      sym_comment,
    ACTIONS(6929), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [169524] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8598), 1,
      sym_identifier,
    STATE(4911), 1,
      sym_comment,
    ACTIONS(6929), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [169544] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4069), 1,
      anon_sym_DQUOTE,
    ACTIONS(4071), 1,
      anon_sym_SQUOTE,
    ACTIONS(7931), 1,
      sym_identifier,
    STATE(939), 1,
      sym_nested_identifier,
    STATE(1072), 1,
      sym_string,
    STATE(1219), 1,
      sym__module,
    STATE(4912), 1,
      sym_comment,
  [169572] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    ACTIONS(8600), 1,
      anon_sym_QMARK,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(4913), 1,
      sym_comment,
    STATE(5404), 1,
      sym__call_signature,
    STATE(6912), 1,
      sym_type_parameters,
  [169600] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(4914), 1,
      sym_comment,
    STATE(6159), 1,
      sym__initializer,
    ACTIONS(8602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169621] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4915), 1,
      sym_comment,
    ACTIONS(3452), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [169638] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(4916), 1,
      sym_comment,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(7005), 1,
      sym__call_signature,
  [169663] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4917), 1,
      sym_comment,
    ACTIONS(5485), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [169680] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4918), 1,
      sym_comment,
    ACTIONS(5869), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [169697] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4919), 1,
      sym_comment,
    ACTIONS(5855), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [169714] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4920), 1,
      sym_comment,
    ACTIONS(3362), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [169731] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4921), 1,
      sym_comment,
    ACTIONS(3364), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [169748] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4922), 1,
      sym_comment,
    ACTIONS(8604), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [169765] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8242), 1,
      anon_sym_abstract,
    ACTIONS(8606), 1,
      anon_sym_class,
    STATE(4776), 1,
      aux_sym_export_statement_repeat1,
    STATE(4923), 1,
      sym_comment,
    STATE(5685), 1,
      sym_decorator,
  [169790] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4924), 1,
      sym_comment,
    ACTIONS(8110), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [169807] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4925), 1,
      sym_comment,
    ACTIONS(5493), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [169824] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4926), 1,
      sym_comment,
    ACTIONS(3368), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [169841] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4927), 1,
      sym_comment,
    ACTIONS(3372), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [169858] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(4928), 1,
      sym_comment,
    STATE(6388), 1,
      sym__initializer,
    ACTIONS(8608), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169879] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8208), 1,
      anon_sym_abstract,
    ACTIONS(8610), 1,
      anon_sym_class,
    STATE(4776), 1,
      aux_sym_export_statement_repeat1,
    STATE(4929), 1,
      sym_comment,
    STATE(5685), 1,
      sym_decorator,
  [169904] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4930), 1,
      sym_comment,
    ACTIONS(2341), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [169921] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(4931), 1,
      sym_comment,
    STATE(6151), 1,
      sym__initializer,
    ACTIONS(8602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169942] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    STATE(4932), 1,
      sym_comment,
    ACTIONS(8612), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [169965] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(4933), 1,
      sym_comment,
    STATE(6002), 1,
      sym__initializer,
    ACTIONS(8614), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169986] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4934), 1,
      sym_comment,
    ACTIONS(3350), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [170003] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(4732), 1,
      sym__call_signature,
    STATE(4935), 1,
      sym_comment,
    STATE(7065), 1,
      sym_type_parameters,
  [170028] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(4936), 1,
      sym_comment,
    STATE(6149), 1,
      sym__initializer,
    ACTIONS(8602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170049] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4937), 1,
      sym_comment,
    ACTIONS(2341), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [170066] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8616), 1,
      anon_sym_class,
    ACTIONS(8618), 1,
      anon_sym_abstract,
    STATE(4776), 1,
      aux_sym_export_statement_repeat1,
    STATE(4938), 1,
      sym_comment,
    STATE(5685), 1,
      sym_decorator,
  [170091] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4939), 1,
      sym_comment,
    ACTIONS(2095), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [170108] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4940), 1,
      sym_comment,
    ACTIONS(8005), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [170125] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4941), 1,
      sym_comment,
    ACTIONS(2129), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [170142] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7052), 1,
      anon_sym_LBRACK,
    ACTIONS(8620), 1,
      anon_sym_RBRACE,
    STATE(4942), 1,
      sym_comment,
    ACTIONS(5136), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [170163] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8622), 1,
      sym_identifier,
    ACTIONS(8624), 1,
      anon_sym_GT,
    ACTIONS(8626), 1,
      sym_jsx_identifier,
    STATE(4943), 1,
      sym_comment,
    STATE(6628), 1,
      sym_nested_identifier,
    STATE(7379), 1,
      sym_jsx_namespace_name,
  [170188] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(4944), 1,
      sym_comment,
    STATE(6059), 1,
      sym__initializer,
    ACTIONS(8628), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170209] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4945), 1,
      sym_comment,
    ACTIONS(8427), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170226] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8630), 1,
      anon_sym_LBRACE,
    ACTIONS(8632), 1,
      anon_sym_SEMI,
    ACTIONS(8634), 1,
      sym__automatic_semicolon,
    ACTIONS(8636), 1,
      sym__function_signature_automatic_semicolon,
    STATE(374), 1,
      sym_statement_block,
    STATE(4946), 1,
      sym_comment,
  [170251] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8638), 1,
      anon_sym_BQUOTE,
    ACTIONS(8640), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8643), 1,
      sym__template_chars,
    STATE(5749), 1,
      sym_template_type,
    STATE(4947), 2,
      sym_comment,
      aux_sym_template_literal_type_repeat1,
  [170274] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(4948), 1,
      sym_comment,
    STATE(6161), 1,
      sym__initializer,
    ACTIONS(8646), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170295] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    STATE(4949), 1,
      sym_comment,
    ACTIONS(8648), 2,
      anon_sym_LBRACE,
      anon_sym_COMMA,
  [170318] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8192), 1,
      anon_sym_abstract,
    ACTIONS(8650), 1,
      anon_sym_class,
    STATE(4776), 1,
      aux_sym_export_statement_repeat1,
    STATE(4950), 1,
      sym_comment,
    STATE(5685), 1,
      sym_decorator,
  [170343] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(4951), 1,
      sym_comment,
    STATE(6138), 1,
      sym__initializer,
    ACTIONS(8602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170364] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4952), 1,
      sym_comment,
    ACTIONS(8652), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [170381] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4953), 1,
      sym_comment,
    ACTIONS(8654), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [170398] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8240), 1,
      anon_sym_class,
    ACTIONS(8242), 1,
      anon_sym_abstract,
    STATE(4776), 1,
      aux_sym_export_statement_repeat1,
    STATE(4954), 1,
      sym_comment,
    STATE(5685), 1,
      sym_decorator,
  [170423] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(4955), 1,
      sym_comment,
    STATE(6066), 1,
      sym__initializer,
    ACTIONS(8656), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170444] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(4956), 1,
      sym_comment,
    STATE(5992), 1,
      sym__initializer,
    ACTIONS(8602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170465] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8658), 1,
      anon_sym_BQUOTE,
    ACTIONS(8660), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8662), 1,
      sym__template_chars,
    STATE(4947), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(4957), 1,
      sym_comment,
    STATE(5749), 1,
      sym_template_type,
  [170490] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4958), 1,
      sym_comment,
    ACTIONS(8664), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [170507] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7927), 1,
      anon_sym_extends,
    ACTIONS(8116), 1,
      anon_sym_LBRACE,
    ACTIONS(8118), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1495), 1,
      sym_object_type,
    STATE(4959), 1,
      sym_comment,
    STATE(5816), 1,
      sym_extends_type_clause,
  [170532] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(4960), 1,
      sym_comment,
    STATE(6213), 1,
      sym__initializer,
    ACTIONS(8602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170553] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4961), 1,
      sym_comment,
    ACTIONS(5575), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [170570] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4962), 1,
      sym_comment,
    ACTIONS(5571), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [170587] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(4963), 1,
      sym_comment,
    STATE(6071), 1,
      sym__call_signature,
    STATE(6912), 1,
      sym_type_parameters,
  [170612] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4964), 1,
      sym_comment,
    ACTIONS(3404), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [170629] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(4965), 1,
      sym_comment,
    STATE(6132), 1,
      sym__initializer,
    ACTIONS(8602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170650] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4966), 1,
      sym_comment,
    ACTIONS(3406), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [170667] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4967), 1,
      sym_comment,
    ACTIONS(3410), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [170684] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4968), 1,
      sym_comment,
    ACTIONS(8666), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [170701] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(4969), 1,
      sym_comment,
    STATE(6091), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170722] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4970), 1,
      sym_comment,
    ACTIONS(8670), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [170739] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4971), 1,
      sym_comment,
    ACTIONS(8041), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [170756] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(4972), 1,
      sym_comment,
    ACTIONS(8672), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [170773] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8632), 1,
      anon_sym_SEMI,
    ACTIONS(8634), 1,
      sym__automatic_semicolon,
    ACTIONS(8636), 1,
      sym__function_signature_automatic_semicolon,
    ACTIONS(8674), 1,
      anon_sym_LBRACE,
    STATE(1069), 1,
      sym_statement_block,
    STATE(4973), 1,
      sym_comment,
  [170798] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(4974), 1,
      sym_comment,
    STATE(6097), 1,
      sym__initializer,
    ACTIONS(8676), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170819] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7350), 1,
      anon_sym_extends,
    ACTIONS(8680), 1,
      anon_sym_PIPE,
    STATE(4975), 1,
      sym_comment,
    ACTIONS(8678), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [170842] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(4976), 1,
      sym_comment,
    STATE(6098), 1,
      sym__initializer,
    ACTIONS(8676), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170863] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7350), 1,
      anon_sym_extends,
    ACTIONS(8680), 1,
      anon_sym_PIPE,
    STATE(4977), 1,
      sym_comment,
    ACTIONS(8682), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [170886] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8660), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8662), 1,
      sym__template_chars,
    ACTIONS(8684), 1,
      anon_sym_BQUOTE,
    STATE(4947), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(4978), 1,
      sym_comment,
    STATE(5749), 1,
      sym_template_type,
  [170911] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(4979), 1,
      sym_comment,
    STATE(6117), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170932] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7969), 1,
      anon_sym_LT,
    ACTIONS(8686), 1,
      anon_sym_LBRACE,
    STATE(4980), 1,
      sym_comment,
    STATE(6042), 1,
      sym_type_arguments,
    ACTIONS(8688), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [170955] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(4981), 1,
      sym_comment,
    STATE(6167), 1,
      sym__initializer,
    ACTIONS(8602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170976] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8630), 1,
      anon_sym_LBRACE,
    ACTIONS(8690), 1,
      anon_sym_SEMI,
    ACTIONS(8692), 1,
      sym__automatic_semicolon,
    ACTIONS(8694), 1,
      sym__function_signature_automatic_semicolon,
    STATE(397), 1,
      sym_statement_block,
    STATE(4982), 1,
      sym_comment,
  [171001] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(4983), 1,
      sym_comment,
    STATE(6577), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
  [171026] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(4984), 1,
      sym_comment,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6860), 1,
      sym__call_signature,
  [171051] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(4985), 1,
      sym_comment,
    STATE(6129), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171072] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(4986), 1,
      sym_comment,
    STATE(6540), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
  [171097] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(4987), 1,
      sym_comment,
    STATE(6130), 1,
      sym__initializer,
    ACTIONS(8676), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171118] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(4988), 1,
      sym_comment,
    STATE(6131), 1,
      sym__initializer,
    ACTIONS(8676), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171139] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8146), 1,
      anon_sym_EQ,
    ACTIONS(8696), 1,
      anon_sym_COMMA,
    ACTIONS(8698), 1,
      anon_sym_RBRACE,
    STATE(4989), 1,
      sym_comment,
    STATE(5863), 1,
      aux_sym_enum_body_repeat1,
    STATE(6709), 1,
      sym__initializer,
  [171164] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8674), 1,
      anon_sym_LBRACE,
    ACTIONS(8690), 1,
      anon_sym_SEMI,
    ACTIONS(8692), 1,
      sym__automatic_semicolon,
    ACTIONS(8694), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1170), 1,
      sym_statement_block,
    STATE(4990), 1,
      sym_comment,
  [171189] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(4991), 1,
      sym_comment,
    STATE(6273), 1,
      sym__initializer,
    ACTIONS(8700), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171210] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7350), 1,
      anon_sym_extends,
    ACTIONS(8680), 1,
      anon_sym_PIPE,
    STATE(4992), 1,
      sym_comment,
    ACTIONS(8702), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [171233] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(4993), 1,
      sym_comment,
    STATE(6147), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171254] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8704), 1,
      anon_sym_LBRACE,
    ACTIONS(8706), 1,
      anon_sym_SEMI,
    ACTIONS(8708), 1,
      sym__automatic_semicolon,
    ACTIONS(8710), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1199), 1,
      sym_statement_block,
    STATE(4994), 1,
      sym_comment,
  [171279] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(4995), 1,
      sym_comment,
    STATE(6524), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
  [171304] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(4996), 1,
      sym_comment,
    STATE(5452), 1,
      sym__call_signature,
    STATE(7065), 1,
      sym_type_parameters,
  [171329] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4997), 1,
      sym_comment,
    ACTIONS(5489), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [171346] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4998), 1,
      sym_comment,
    ACTIONS(5475), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [171363] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(4999), 1,
      sym_comment,
    STATE(6163), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171384] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5000), 1,
      sym_comment,
    ACTIONS(2135), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [171401] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5001), 1,
      sym_comment,
    ACTIONS(3412), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171418] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5002), 1,
      sym_comment,
    ACTIONS(3414), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171435] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5003), 1,
      sym_comment,
    ACTIONS(3414), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171452] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5004), 1,
      sym_comment,
    STATE(6181), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171473] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5005), 1,
      sym_comment,
    STATE(6249), 1,
      sym__initializer,
    ACTIONS(8676), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171494] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7350), 1,
      anon_sym_extends,
    ACTIONS(8680), 1,
      anon_sym_PIPE,
    STATE(5006), 1,
      sym_comment,
    ACTIONS(8712), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [171517] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(8714), 1,
      sym_identifier,
    STATE(5007), 1,
      sym_comment,
    STATE(5593), 1,
      sym_string,
    STATE(6503), 1,
      sym__module_export_name,
  [171542] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5008), 1,
      sym_comment,
    ACTIONS(3416), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171559] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5009), 1,
      sym_comment,
    ACTIONS(2085), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [171576] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5010), 1,
      sym_comment,
    STATE(6190), 1,
      sym__initializer,
    ACTIONS(8676), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171597] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5011), 1,
      sym_comment,
    STATE(6177), 1,
      sym__initializer,
    ACTIONS(8602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171618] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5012), 1,
      sym_comment,
    ACTIONS(3418), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171635] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5013), 1,
      sym_comment,
    ACTIONS(2271), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171652] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5014), 1,
      sym_comment,
    ACTIONS(8003), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171669] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(4940), 1,
      sym__call_signature,
    STATE(5015), 1,
      sym_comment,
    STATE(6912), 1,
      sym_type_parameters,
  [171694] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5016), 1,
      sym_comment,
    ACTIONS(3414), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171711] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5017), 1,
      sym_comment,
    ACTIONS(3414), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171728] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5018), 1,
      sym_comment,
    ACTIONS(3414), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171745] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5019), 1,
      sym_comment,
    ACTIONS(3414), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171762] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5020), 1,
      sym_comment,
    ACTIONS(5638), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [171779] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5021), 1,
      sym_comment,
    STATE(6184), 1,
      sym__initializer,
    ACTIONS(8646), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171800] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5022), 1,
      sym_comment,
    ACTIONS(7991), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171817] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5023), 1,
      sym_comment,
    STATE(6236), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171838] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(7713), 1,
      anon_sym_DOT,
    STATE(4433), 1,
      sym_arguments,
    STATE(5024), 1,
      sym_comment,
    ACTIONS(8716), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [171861] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5025), 1,
      sym_comment,
    STATE(6257), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171882] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    STATE(5026), 1,
      sym_comment,
    ACTIONS(8718), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [171905] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5027), 1,
      sym_comment,
    ACTIONS(3488), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171922] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5028), 1,
      sym_comment,
    ACTIONS(5617), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [171939] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5029), 1,
      sym_comment,
    STATE(6230), 1,
      sym__initializer,
    ACTIONS(8720), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171960] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8298), 1,
      anon_sym_abstract,
    ACTIONS(8722), 1,
      anon_sym_class,
    STATE(4776), 1,
      aux_sym_export_statement_repeat1,
    STATE(5030), 1,
      sym_comment,
    STATE(5685), 1,
      sym_decorator,
  [171985] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5031), 1,
      sym_comment,
    STATE(6268), 1,
      sym__initializer,
    ACTIONS(8676), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172006] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8287), 1,
      anon_sym_COLON,
    ACTIONS(8724), 1,
      anon_sym_EQ_GT,
    STATE(5032), 1,
      sym_comment,
    STATE(6787), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [172027] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5033), 1,
      sym_comment,
    STATE(6116), 1,
      sym__initializer,
    ACTIONS(8646), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172048] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8458), 1,
      anon_sym_abstract,
    ACTIONS(8727), 1,
      anon_sym_class,
    STATE(4776), 1,
      aux_sym_export_statement_repeat1,
    STATE(5034), 1,
      sym_comment,
    STATE(5685), 1,
      sym_decorator,
  [172073] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5035), 1,
      sym_comment,
    STATE(6270), 1,
      sym__initializer,
    ACTIONS(8676), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172094] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5036), 1,
      sym_comment,
    ACTIONS(5659), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [172111] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5037), 1,
      sym_comment,
    ACTIONS(5668), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [172128] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5038), 1,
      sym_comment,
    STATE(6546), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
  [172153] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5039), 1,
      sym_comment,
    STATE(6534), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
  [172178] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5040), 1,
      sym_comment,
    STATE(6283), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172199] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5041), 1,
      sym_comment,
    STATE(6527), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
  [172224] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(5042), 1,
      sym_comment,
    STATE(5451), 1,
      sym__call_signature,
    STATE(7065), 1,
      sym_type_parameters,
  [172249] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5043), 1,
      sym_comment,
    STATE(5812), 1,
      sym__initializer,
    ACTIONS(8729), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172270] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5044), 1,
      sym_comment,
    STATE(6507), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
  [172295] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5045), 1,
      sym_comment,
    STATE(5815), 1,
      sym__initializer,
    ACTIONS(8729), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172316] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(5046), 1,
      sym_comment,
    STATE(5455), 1,
      sym__call_signature,
    STATE(7065), 1,
      sym_type_parameters,
  [172341] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2133), 1,
      anon_sym_DOT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5039), 1,
      anon_sym_LBRACE,
    STATE(5047), 1,
      sym_comment,
    ACTIONS(5041), 3,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LBRACE_PIPE,
  [172362] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(5048), 1,
      sym_comment,
    STATE(5458), 1,
      sym__call_signature,
    STATE(7065), 1,
      sym_type_parameters,
  [172387] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5049), 1,
      sym_comment,
    ACTIONS(5717), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [172404] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5050), 1,
      sym_comment,
    ACTIONS(5736), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [172421] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5051), 1,
      sym_comment,
    ACTIONS(5732), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [172438] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(5052), 1,
      sym_comment,
    STATE(5468), 1,
      sym__call_signature,
    STATE(7065), 1,
      sym_type_parameters,
  [172463] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5053), 1,
      sym_comment,
    ACTIONS(5717), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [172480] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5054), 1,
      sym_comment,
    ACTIONS(5721), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [172497] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5055), 1,
      sym_comment,
    ACTIONS(8731), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [172514] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5056), 1,
      sym_comment,
    ACTIONS(5717), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [172531] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5358), 1,
      anon_sym_in,
    STATE(5057), 1,
      sym_comment,
    ACTIONS(6376), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [172550] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5058), 1,
      sym_comment,
    STATE(6308), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172571] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(4744), 1,
      sym__call_signature,
    STATE(5059), 1,
      sym_comment,
    STATE(7065), 1,
      sym_type_parameters,
  [172596] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5060), 1,
      sym_comment,
    ACTIONS(3534), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172613] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5061), 1,
      sym_comment,
    STATE(6115), 1,
      sym__initializer,
    ACTIONS(8602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172634] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5062), 1,
      sym_comment,
    ACTIONS(3534), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172651] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5063), 1,
      sym_comment,
    ACTIONS(3534), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172668] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5064), 1,
      sym_comment,
    STATE(6394), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172689] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5065), 1,
      sym_comment,
    STATE(6412), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
  [172714] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5066), 1,
      sym_comment,
    STATE(6444), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
  [172739] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8287), 1,
      anon_sym_COLON,
    ACTIONS(8733), 1,
      anon_sym_EQ_GT,
    STATE(5067), 1,
      sym_comment,
    STATE(6752), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [172760] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2121), 1,
      anon_sym_DOT,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5039), 1,
      anon_sym_LBRACE,
    STATE(5068), 1,
      sym_comment,
    ACTIONS(5041), 3,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LBRACE_PIPE,
  [172781] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5069), 1,
      sym_comment,
    ACTIONS(5717), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [172798] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5070), 1,
      sym_comment,
    ACTIONS(5721), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [172815] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5071), 1,
      sym_comment,
    STATE(6483), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
  [172840] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(5072), 1,
      sym_comment,
    STATE(5505), 1,
      sym__call_signature,
    STATE(7065), 1,
      sym_type_parameters,
  [172865] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5073), 1,
      sym_comment,
    STATE(6516), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
  [172890] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(5074), 1,
      sym_comment,
    STATE(5500), 1,
      sym__call_signature,
    STATE(7065), 1,
      sym_type_parameters,
  [172915] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5075), 1,
      sym_comment,
    STATE(5820), 1,
      sym__initializer,
    ACTIONS(8729), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172936] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7350), 1,
      anon_sym_extends,
    ACTIONS(8680), 1,
      anon_sym_PIPE,
    STATE(5076), 1,
      sym_comment,
    ACTIONS(8736), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [172959] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5077), 1,
      sym_comment,
    ACTIONS(5717), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [172976] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5078), 1,
      sym_comment,
    STATE(5830), 1,
      sym__initializer,
    ACTIONS(8729), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172997] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5079), 1,
      sym_comment,
    ACTIONS(5732), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [173014] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(5080), 1,
      sym_comment,
    STATE(5485), 1,
      sym__call_signature,
    STATE(7065), 1,
      sym_type_parameters,
  [173039] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8206), 1,
      anon_sym_class,
    ACTIONS(8208), 1,
      anon_sym_abstract,
    STATE(4776), 1,
      aux_sym_export_statement_repeat1,
    STATE(5081), 1,
      sym_comment,
    STATE(5685), 1,
      sym_decorator,
  [173064] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5082), 1,
      sym_comment,
    ACTIONS(5736), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [173081] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(5083), 1,
      sym_comment,
    STATE(5471), 1,
      sym__call_signature,
    STATE(7065), 1,
      sym_type_parameters,
  [173106] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5084), 1,
      sym_comment,
    ACTIONS(3532), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173123] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5085), 1,
      sym_comment,
    STATE(6266), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173144] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5086), 1,
      sym_comment,
    ACTIONS(3530), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173161] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5087), 1,
      sym_comment,
    ACTIONS(3528), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173178] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5088), 1,
      sym_comment,
    ACTIONS(3526), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173195] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5089), 1,
      sym_comment,
    ACTIONS(8738), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173212] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5090), 1,
      sym_comment,
    ACTIONS(7983), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173229] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5091), 1,
      sym_comment,
    STATE(6381), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173250] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5092), 1,
      sym_comment,
    ACTIONS(7985), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173267] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5022), 1,
      sym__call_signature,
    STATE(5093), 1,
      sym_comment,
    STATE(6912), 1,
      sym_type_parameters,
  [173292] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5094), 1,
      sym_comment,
    ACTIONS(7983), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173309] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5095), 1,
      sym_comment,
    ACTIONS(5190), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [173326] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5096), 1,
      sym_comment,
    STATE(6360), 1,
      sym__initializer,
    ACTIONS(8602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173347] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5097), 1,
      sym_comment,
    STATE(6114), 1,
      sym__initializer,
    ACTIONS(8602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173368] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5098), 1,
      sym_comment,
    ACTIONS(5203), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [173385] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5099), 1,
      sym_comment,
    ACTIONS(5207), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [173402] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5100), 1,
      sym_comment,
    STATE(6386), 1,
      sym__initializer,
    ACTIONS(8676), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173423] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5101), 1,
      sym_comment,
    STATE(6389), 1,
      sym__initializer,
    ACTIONS(8676), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173444] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5102), 1,
      sym_comment,
    ACTIONS(6459), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [173461] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5103), 1,
      sym_comment,
    STATE(5709), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173482] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5104), 1,
      sym_comment,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6868), 1,
      sym__call_signature,
  [173507] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5105), 1,
      sym_comment,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6878), 1,
      sym__call_signature,
  [173532] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7927), 1,
      anon_sym_extends,
    ACTIONS(8104), 1,
      anon_sym_LBRACE,
    ACTIONS(8106), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1651), 1,
      sym_object_type,
    STATE(5106), 1,
      sym_comment,
    STATE(6125), 1,
      sym_extends_type_clause,
  [173557] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5107), 1,
      sym_comment,
    STATE(6214), 1,
      sym__initializer,
    ACTIONS(8602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173578] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5108), 1,
      sym_comment,
    ACTIONS(5668), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [173595] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5109), 1,
      sym_comment,
    ACTIONS(5659), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [173612] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5110), 1,
      sym_comment,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6895), 1,
      sym__call_signature,
  [173637] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5111), 1,
      sym_comment,
    STATE(6219), 1,
      sym__initializer,
    ACTIONS(8646), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173658] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(5112), 1,
      sym_comment,
    STATE(5378), 1,
      sym__call_signature,
    STATE(7065), 1,
      sym_type_parameters,
  [173683] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5113), 1,
      sym_comment,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6916), 1,
      sym__call_signature,
  [173708] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(5114), 1,
      sym_comment,
    STATE(5366), 1,
      sym__call_signature,
    STATE(7065), 1,
      sym_type_parameters,
  [173733] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5115), 1,
      sym_comment,
    STATE(5837), 1,
      sym__initializer,
    ACTIONS(8740), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173754] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5116), 1,
      sym_comment,
    ACTIONS(8742), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [173771] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5117), 1,
      sym_comment,
    STATE(5843), 1,
      sym__initializer,
    ACTIONS(8740), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173792] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5118), 1,
      sym_comment,
    STATE(6364), 1,
      sym__initializer,
    ACTIONS(8668), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173813] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(5119), 1,
      sym_comment,
    STATE(5285), 1,
      sym__call_signature,
    STATE(7065), 1,
      sym_type_parameters,
  [173838] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8618), 1,
      anon_sym_abstract,
    ACTIONS(8744), 1,
      anon_sym_class,
    STATE(4776), 1,
      aux_sym_export_statement_repeat1,
    STATE(5120), 1,
      sym_comment,
    STATE(5685), 1,
      sym_decorator,
  [173863] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5121), 1,
      sym_comment,
    ACTIONS(3524), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173880] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5122), 1,
      sym_comment,
    ACTIONS(8746), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [173897] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(5123), 1,
      sym_comment,
    STATE(5236), 1,
      sym__call_signature,
    STATE(7065), 1,
      sym_type_parameters,
  [173922] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5124), 1,
      sym_comment,
    ACTIONS(3340), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173939] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5125), 1,
      sym_comment,
    ACTIONS(3340), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173956] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5126), 1,
      sym_comment,
    ACTIONS(3520), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173973] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5127), 1,
      sym_comment,
    STATE(6354), 1,
      sym__initializer,
    ACTIONS(8676), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173994] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5128), 1,
      sym_comment,
    ACTIONS(2295), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174011] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5129), 1,
      sym_comment,
    ACTIONS(2275), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174028] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5130), 1,
      sym_comment,
    STATE(6237), 1,
      sym__initializer,
    ACTIONS(8646), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174049] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5131), 1,
      sym_comment,
    STATE(6087), 1,
      sym__initializer,
    ACTIONS(8602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174070] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5132), 1,
      sym_comment,
    ACTIONS(6459), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [174087] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5133), 1,
      sym_comment,
    STATE(5138), 1,
      sym__call_signature,
    STATE(6912), 1,
      sym_type_parameters,
  [174112] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5134), 1,
      sym_comment,
    STATE(6070), 1,
      sym__initializer,
    ACTIONS(8602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174133] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5135), 1,
      sym_comment,
    ACTIONS(2337), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174150] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5136), 1,
      sym_comment,
    STATE(5847), 1,
      sym__initializer,
    ACTIONS(8740), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174171] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5137), 1,
      sym_comment,
    STATE(6335), 1,
      sym__initializer,
    ACTIONS(8676), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174192] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5138), 1,
      sym_comment,
    ACTIONS(7955), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174209] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5139), 1,
      sym_comment,
    STATE(5481), 1,
      sym__call_signature,
    STATE(6912), 1,
      sym_type_parameters,
  [174234] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5140), 1,
      sym_comment,
    STATE(5860), 1,
      sym__initializer,
    ACTIONS(8740), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174255] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5141), 1,
      sym_comment,
    STATE(6573), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
  [174280] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5142), 1,
      sym_comment,
    ACTIONS(7937), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174297] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5143), 1,
      sym_comment,
    ACTIONS(8748), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174314] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5144), 1,
      sym_comment,
    ACTIONS(3518), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174331] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5145), 1,
      sym_comment,
    ACTIONS(7937), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174348] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5146), 1,
      sym_comment,
    STATE(6242), 1,
      sym__initializer,
    ACTIONS(8602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174369] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5147), 1,
      sym_comment,
    ACTIONS(6459), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [174386] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5148), 1,
      sym_comment,
    ACTIONS(3514), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174403] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5149), 1,
      sym_comment,
    ACTIONS(8750), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174420] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5150), 1,
      sym_comment,
    ACTIONS(7955), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174437] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5151), 1,
      sym_comment,
    ACTIONS(8752), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174454] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5152), 1,
      sym_comment,
    STATE(6245), 1,
      sym__initializer,
    ACTIONS(8602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174475] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5153), 1,
      sym_comment,
    STATE(5869), 1,
      sym__initializer,
    ACTIONS(8740), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174496] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5154), 1,
      sym_comment,
    STATE(6247), 1,
      sym__initializer,
    ACTIONS(8646), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174517] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8754), 1,
      anon_sym_LBRACE,
    ACTIONS(8756), 1,
      anon_sym_SEMI,
    ACTIONS(8758), 1,
      sym__automatic_semicolon,
    ACTIONS(8760), 1,
      sym__function_signature_automatic_semicolon,
    STATE(443), 1,
      sym_statement_block,
    STATE(5155), 1,
      sym_comment,
  [174542] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5156), 1,
      sym_comment,
    ACTIONS(8762), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174559] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5157), 1,
      sym_comment,
    ACTIONS(6309), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [174576] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5158), 1,
      sym_comment,
    ACTIONS(5717), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [174593] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5159), 1,
      sym_comment,
    STATE(5873), 1,
      sym__initializer,
    ACTIONS(8740), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174614] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5160), 1,
      sym_comment,
    ACTIONS(6150), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [174631] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5161), 1,
      sym_comment,
    STATE(6255), 1,
      sym__initializer,
    ACTIONS(8602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174652] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5162), 1,
      sym_comment,
    ACTIONS(8764), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [174669] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5163), 1,
      sym_comment,
    ACTIONS(8766), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [174686] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5164), 1,
      sym_comment,
    STATE(5874), 1,
      sym__initializer,
    ACTIONS(8740), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174707] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5165), 1,
      sym_comment,
    ACTIONS(6326), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [174724] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5166), 1,
      sym_comment,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(7028), 1,
      sym__call_signature,
  [174749] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5167), 1,
      sym_comment,
    STATE(6258), 1,
      sym__initializer,
    ACTIONS(8602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174770] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5168), 1,
      sym_comment,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6831), 1,
      sym__call_signature,
  [174795] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5169), 1,
      sym_comment,
    ACTIONS(8768), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [174812] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5170), 1,
      sym_comment,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6806), 1,
      sym__call_signature,
  [174837] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5171), 1,
      sym_comment,
    STATE(5876), 1,
      sym__initializer,
    ACTIONS(8740), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174858] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5172), 1,
      sym_comment,
    STATE(6050), 1,
      sym__initializer,
    ACTIONS(8646), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174879] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5173), 1,
      sym_comment,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6773), 1,
      sym__call_signature,
  [174904] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(4990), 1,
      sym__call_signature,
    STATE(5174), 1,
      sym_comment,
    STATE(7065), 1,
      sym_type_parameters,
  [174929] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5175), 1,
      sym_comment,
    STATE(6157), 1,
      sym__initializer,
    ACTIONS(8602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174950] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5176), 1,
      sym_comment,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6713), 1,
      sym__call_signature,
  [174975] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(4982), 1,
      sym__call_signature,
    STATE(5177), 1,
      sym_comment,
    STATE(7065), 1,
      sym_type_parameters,
  [175000] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5178), 1,
      sym_comment,
    STATE(5877), 1,
      sym__initializer,
    ACTIONS(8770), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175021] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5179), 1,
      sym_comment,
    STATE(6288), 1,
      sym__initializer,
    ACTIONS(8602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175042] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(4973), 1,
      sym__call_signature,
    STATE(5180), 1,
      sym_comment,
    STATE(7065), 1,
      sym_type_parameters,
  [175067] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8190), 1,
      anon_sym_class,
    ACTIONS(8192), 1,
      anon_sym_abstract,
    STATE(4776), 1,
      aux_sym_export_statement_repeat1,
    STATE(5181), 1,
      sym_comment,
    STATE(5685), 1,
      sym_decorator,
  [175092] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5182), 1,
      sym_comment,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6712), 1,
      sym__call_signature,
  [175117] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(4946), 1,
      sym__call_signature,
    STATE(5183), 1,
      sym_comment,
    STATE(7065), 1,
      sym_type_parameters,
  [175142] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5184), 1,
      sym_comment,
    ACTIONS(6346), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [175159] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5185), 1,
      sym_comment,
    ACTIONS(8772), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175176] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5186), 1,
      sym_comment,
    ACTIONS(6118), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [175193] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5187), 1,
      sym_comment,
    STATE(6039), 1,
      sym__initializer,
    ACTIONS(8602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175214] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5188), 1,
      sym_comment,
    STATE(6290), 1,
      sym__initializer,
    ACTIONS(8602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175235] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5189), 1,
      sym_comment,
    ACTIONS(8774), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175252] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5190), 1,
      sym_comment,
    STATE(6286), 1,
      sym__initializer,
    ACTIONS(8602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175273] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5191), 1,
      sym_comment,
    STATE(6292), 1,
      sym__initializer,
    ACTIONS(8646), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175294] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5192), 1,
      sym_comment,
    ACTIONS(8776), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175311] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5193), 1,
      sym_comment,
    ACTIONS(3498), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175328] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(4906), 1,
      sym__call_signature,
    STATE(5194), 1,
      sym_comment,
    STATE(7065), 1,
      sym_type_parameters,
  [175353] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5195), 1,
      sym_comment,
    ACTIONS(3498), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175370] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5196), 1,
      sym_comment,
    STATE(5883), 1,
      sym__initializer,
    ACTIONS(8740), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175391] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5197), 1,
      sym_comment,
    ACTIONS(3498), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175408] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5198), 1,
      sym_comment,
    STATE(6211), 1,
      sym__initializer,
    ACTIONS(8778), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175429] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5199), 1,
      sym_comment,
    ACTIONS(3496), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175446] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5200), 1,
      sym_comment,
    ACTIONS(5617), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [175463] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5201), 1,
      sym_comment,
    STATE(5884), 1,
      sym__initializer,
    ACTIONS(8740), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175484] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5202), 1,
      sym_comment,
    STATE(6188), 1,
      sym__initializer,
    ACTIONS(8780), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175505] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5203), 1,
      sym_comment,
    ACTIONS(5638), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [175522] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5204), 1,
      sym_comment,
    ACTIONS(3494), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175539] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5205), 1,
      sym_comment,
    ACTIONS(3492), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175556] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5206), 1,
      sym_comment,
    STATE(6139), 1,
      sym__call_signature,
    STATE(6912), 1,
      sym_type_parameters,
  [175581] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8782), 1,
      sym_identifier,
    ACTIONS(8784), 1,
      anon_sym_GT,
    ACTIONS(8786), 1,
      sym_jsx_identifier,
    STATE(5207), 1,
      sym_comment,
    STATE(6956), 1,
      sym_nested_identifier,
    STATE(7147), 1,
      sym_jsx_namespace_name,
  [175606] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5208), 1,
      sym_comment,
    STATE(6126), 1,
      sym__initializer,
    ACTIONS(8788), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175627] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5209), 1,
      sym_comment,
    STATE(6351), 1,
      sym__initializer,
    ACTIONS(8602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175648] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5210), 1,
      sym_comment,
    STATE(6123), 1,
      sym__initializer,
    ACTIONS(8788), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175669] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5211), 1,
      sym_comment,
    ACTIONS(6322), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [175686] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5212), 1,
      sym_comment,
    ACTIONS(3490), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175703] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5213), 1,
      sym_comment,
    ACTIONS(3484), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175720] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5214), 1,
      sym_comment,
    STATE(6060), 1,
      sym__initializer,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175741] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5215), 1,
      sym_comment,
    ACTIONS(5252), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [175758] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5216), 1,
      sym_comment,
    ACTIONS(5252), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [175775] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5217), 1,
      sym_comment,
    ACTIONS(5256), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [175792] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(5218), 1,
      sym_comment,
    STATE(5242), 1,
      sym__call_signature,
    STATE(7065), 1,
      sym_type_parameters,
  [175817] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5219), 1,
      sym_comment,
    STATE(6058), 1,
      sym__initializer,
    ACTIONS(8788), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175838] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5220), 1,
      sym_comment,
    STATE(6052), 1,
      sym__initializer,
    ACTIONS(8788), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175859] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5221), 1,
      sym_comment,
    ACTIONS(8792), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [175876] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5222), 1,
      sym_comment,
    STATE(5807), 1,
      sym__initializer,
    ACTIONS(8740), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175897] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5223), 1,
      sym_comment,
    ACTIONS(5256), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [175914] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5224), 1,
      sym_comment,
    STATE(6051), 1,
      sym__initializer,
    ACTIONS(8788), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175935] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5225), 1,
      sym_comment,
    STATE(5892), 1,
      sym__initializer,
    ACTIONS(8740), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175956] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5226), 1,
      sym_comment,
    STATE(6035), 1,
      sym__initializer,
    ACTIONS(8788), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175977] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5227), 1,
      sym_comment,
    ACTIONS(5186), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [175994] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5228), 1,
      sym_comment,
    ACTIONS(3480), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176011] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5229), 1,
      sym_comment,
    ACTIONS(6322), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [176028] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    ACTIONS(8794), 1,
      anon_sym_as,
    ACTIONS(8796), 1,
      anon_sym_RBRACK,
    STATE(5230), 1,
      sym_comment,
  [176053] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5231), 1,
      sym_comment,
    ACTIONS(3482), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176070] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5232), 1,
      sym_comment,
    ACTIONS(6322), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [176087] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5233), 1,
      sym_comment,
    STATE(6010), 1,
      sym__initializer,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176108] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5234), 1,
      sym_comment,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6695), 1,
      sym__call_signature,
  [176133] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8660), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8662), 1,
      sym__template_chars,
    ACTIONS(8798), 1,
      anon_sym_BQUOTE,
    STATE(5235), 1,
      sym_comment,
    STATE(5362), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5749), 1,
      sym_template_type,
  [176158] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8800), 1,
      anon_sym_LBRACE,
    ACTIONS(8802), 1,
      anon_sym_SEMI,
    ACTIONS(8804), 1,
      sym__automatic_semicolon,
    ACTIONS(8806), 1,
      sym__function_signature_automatic_semicolon,
    STATE(373), 1,
      sym_statement_block,
    STATE(5236), 1,
      sym_comment,
  [176183] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5237), 1,
      sym_comment,
    STATE(6008), 1,
      sym__initializer,
    ACTIONS(8788), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176204] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5238), 1,
      sym_comment,
    ACTIONS(3482), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176221] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5239), 1,
      sym_comment,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6662), 1,
      sym__call_signature,
  [176246] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5240), 1,
      sym_comment,
    STATE(6006), 1,
      sym__initializer,
    ACTIONS(8788), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176267] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5241), 1,
      sym_comment,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6765), 1,
      sym__call_signature,
  [176292] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8706), 1,
      anon_sym_SEMI,
    ACTIONS(8708), 1,
      sym__automatic_semicolon,
    ACTIONS(8710), 1,
      sym__function_signature_automatic_semicolon,
    ACTIONS(8754), 1,
      anon_sym_LBRACE,
    STATE(437), 1,
      sym_statement_block,
    STATE(5242), 1,
      sym_comment,
  [176317] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5243), 1,
      sym_comment,
    ACTIONS(6408), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [176334] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5244), 1,
      sym_comment,
    ACTIONS(3476), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176351] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5245), 1,
      sym_comment,
    STATE(6024), 1,
      sym__initializer,
    ACTIONS(8646), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176372] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5246), 1,
      sym_comment,
    ACTIONS(2351), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176389] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5247), 1,
      sym_comment,
    STATE(5978), 1,
      sym__initializer,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176410] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5248), 1,
      sym_comment,
    ACTIONS(2367), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176427] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5249), 1,
      sym_comment,
    STATE(6539), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
  [176452] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5250), 1,
      sym_comment,
    STATE(5962), 1,
      sym__initializer,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176473] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5251), 1,
      sym_comment,
    ACTIONS(8808), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [176490] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8810), 1,
      sym_identifier,
    ACTIONS(8812), 1,
      anon_sym_GT,
    ACTIONS(8814), 1,
      sym_jsx_identifier,
    STATE(5252), 1,
      sym_comment,
    STATE(6692), 1,
      sym_nested_identifier,
    STATE(7352), 1,
      sym_jsx_namespace_name,
  [176515] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5253), 1,
      sym_comment,
    ACTIONS(8816), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176532] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5254), 1,
      sym_comment,
    STATE(5961), 1,
      sym__initializer,
    ACTIONS(8788), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176553] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5255), 1,
      sym_comment,
    STATE(5960), 1,
      sym__initializer,
    ACTIONS(8788), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176574] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5256), 1,
      sym_comment,
    STATE(6429), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
  [176599] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5257), 1,
      sym_comment,
    ACTIONS(2371), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176616] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5258), 1,
      sym_comment,
    STATE(6433), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
  [176641] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5259), 1,
      sym_comment,
    STATE(6435), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
  [176666] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5260), 1,
      sym_comment,
    STATE(5893), 1,
      sym__initializer,
    ACTIONS(8740), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176687] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5261), 1,
      sym_comment,
    ACTIONS(3472), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176704] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8660), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8662), 1,
      sym__template_chars,
    ACTIONS(8818), 1,
      anon_sym_BQUOTE,
    STATE(4957), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5262), 1,
      sym_comment,
    STATE(5749), 1,
      sym_template_type,
  [176729] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5263), 1,
      sym_comment,
    STATE(5895), 1,
      sym__initializer,
    ACTIONS(8740), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176750] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    STATE(5264), 1,
      sym_comment,
    ACTIONS(8820), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [176773] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5265), 1,
      sym_comment,
    STATE(6470), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
  [176798] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1352), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7927), 1,
      anon_sym_extends,
    ACTIONS(8033), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5087), 1,
      sym_object_type,
    STATE(5266), 1,
      sym_comment,
    STATE(6100), 1,
      sym_extends_type_clause,
  [176823] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5267), 1,
      sym_comment,
    STATE(5946), 1,
      sym__initializer,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176844] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5268), 1,
      sym_comment,
    STATE(6520), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
  [176869] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5269), 1,
      sym_comment,
    STATE(6521), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
  [176894] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5270), 1,
      sym_comment,
    STATE(6014), 1,
      sym__initializer,
    ACTIONS(8646), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176915] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5271), 1,
      sym_comment,
    ACTIONS(8822), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176932] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5272), 1,
      sym_comment,
    STATE(6530), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
  [176957] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5273), 1,
      sym_comment,
    STATE(5944), 1,
      sym__initializer,
    ACTIONS(8788), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176978] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5274), 1,
      sym_comment,
    STATE(6536), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
  [177003] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(5275), 1,
      sym_comment,
    STATE(5445), 1,
      sym__call_signature,
    STATE(7065), 1,
      sym_type_parameters,
  [177028] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5276), 1,
      sym_comment,
    ACTIONS(8824), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [177045] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5277), 1,
      sym_comment,
    STATE(6011), 1,
      sym__initializer,
    ACTIONS(8602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177066] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5278), 1,
      sym_comment,
    ACTIONS(8826), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [177083] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5279), 1,
      sym_comment,
    STATE(6009), 1,
      sym__initializer,
    ACTIONS(8602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177104] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(4876), 1,
      sym__call_signature,
    STATE(5280), 1,
      sym_comment,
    STATE(7065), 1,
      sym_type_parameters,
  [177129] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5281), 1,
      sym_comment,
    STATE(6368), 1,
      sym__initializer,
    ACTIONS(8602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177150] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4474), 1,
      anon_sym_COLON,
    ACTIONS(7139), 1,
      anon_sym_EQ,
    ACTIONS(8828), 1,
      anon_sym_COMMA,
    ACTIONS(8830), 1,
      anon_sym_RBRACE,
    STATE(5282), 1,
      sym_comment,
    STATE(6263), 1,
      aux_sym_object_pattern_repeat1,
  [177175] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5283), 1,
      sym_comment,
    STATE(6607), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
  [177200] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5284), 1,
      sym_comment,
    ACTIONS(8742), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [177217] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7879), 1,
      anon_sym_LBRACE,
    ACTIONS(8832), 1,
      anon_sym_SEMI,
    ACTIONS(8834), 1,
      sym__automatic_semicolon,
    ACTIONS(8836), 1,
      sym__function_signature_automatic_semicolon,
    STATE(5285), 1,
      sym_comment,
    STATE(5361), 1,
      sym_statement_block,
  [177242] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5286), 1,
      sym_comment,
    STATE(5798), 1,
      sym__initializer,
    ACTIONS(8614), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177263] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(5287), 1,
      sym_comment,
    STATE(5407), 1,
      sym__call_signature,
    STATE(7065), 1,
      sym_type_parameters,
  [177288] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7350), 1,
      anon_sym_extends,
    ACTIONS(8680), 1,
      anon_sym_PIPE,
    STATE(5288), 1,
      sym_comment,
    ACTIONS(8838), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [177311] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5289), 1,
      sym_comment,
    ACTIONS(5475), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [177328] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5290), 1,
      sym_comment,
    STATE(5931), 1,
      sym__initializer,
    ACTIONS(8788), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177349] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym_comment,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6664), 1,
      sym__call_signature,
  [177374] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5292), 1,
      sym_comment,
    ACTIONS(5489), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [177391] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5293), 1,
      sym_comment,
    ACTIONS(3486), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177408] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(5294), 1,
      sym_comment,
    STATE(5375), 1,
      sym__call_signature,
    STATE(7065), 1,
      sym_type_parameters,
  [177433] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8296), 1,
      anon_sym_class,
    ACTIONS(8298), 1,
      anon_sym_abstract,
    STATE(4776), 1,
      aux_sym_export_statement_repeat1,
    STATE(5295), 1,
      sym_comment,
    STATE(5685), 1,
      sym_decorator,
  [177458] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5296), 1,
      sym_comment,
    ACTIONS(5571), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [177475] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5297), 1,
      sym_comment,
    ACTIONS(8840), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [177492] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5298), 1,
      sym_comment,
    STATE(5896), 1,
      sym__initializer,
    ACTIONS(8740), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177513] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5299), 1,
      sym_comment,
    ACTIONS(5575), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [177530] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5300), 1,
      sym_comment,
    STATE(5751), 1,
      sym__initializer,
    ACTIONS(8842), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177551] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5301), 1,
      sym_comment,
    STATE(5919), 1,
      sym__initializer,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177572] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5302), 1,
      sym_comment,
    ACTIONS(8039), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177589] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5303), 1,
      sym_comment,
    STATE(5897), 1,
      sym__initializer,
    ACTIONS(8740), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177610] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5304), 1,
      sym_comment,
    ACTIONS(8844), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [177627] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8660), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8662), 1,
      sym__template_chars,
    ACTIONS(8846), 1,
      anon_sym_BQUOTE,
    STATE(5305), 1,
      sym_comment,
    STATE(5399), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5749), 1,
      sym_template_type,
  [177652] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5306), 1,
      sym_comment,
    ACTIONS(3464), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177669] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5307), 1,
      sym_comment,
    ACTIONS(3456), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177686] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5308), 1,
      sym_comment,
    ACTIONS(8848), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [177703] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8850), 1,
      sym_identifier,
    ACTIONS(8852), 1,
      anon_sym_GT,
    ACTIONS(8854), 1,
      sym_jsx_identifier,
    STATE(5309), 1,
      sym_comment,
    STATE(6849), 1,
      sym_nested_identifier,
    STATE(7242), 1,
      sym_jsx_namespace_name,
  [177728] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5310), 1,
      sym_comment,
    ACTIONS(3454), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177745] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8660), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8662), 1,
      sym__template_chars,
    ACTIONS(8856), 1,
      anon_sym_BQUOTE,
    STATE(4978), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5311), 1,
      sym_comment,
    STATE(5749), 1,
      sym_template_type,
  [177770] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4819), 1,
      anon_sym_LBRACE,
    ACTIONS(8858), 1,
      anon_sym_SEMI,
    ACTIONS(8860), 1,
      sym__automatic_semicolon,
    ACTIONS(8862), 1,
      sym__function_signature_automatic_semicolon,
    STATE(3099), 1,
      sym_statement_block,
    STATE(5312), 1,
      sym_comment,
  [177795] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(5312), 1,
      sym__call_signature,
    STATE(5313), 1,
      sym_comment,
    STATE(7065), 1,
      sym_type_parameters,
  [177820] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5314), 1,
      sym_comment,
    ACTIONS(8315), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177837] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5315), 1,
      sym_comment,
    ACTIONS(3450), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177854] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5316), 1,
      sym_comment,
    ACTIONS(8864), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [177871] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5317), 1,
      sym_comment,
    ACTIONS(8866), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177888] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5318), 1,
      sym_comment,
    STATE(5890), 1,
      sym__initializer,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177909] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5319), 1,
      sym_comment,
    ACTIONS(3448), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177926] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5320), 1,
      sym_comment,
    ACTIONS(8742), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [177943] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5321), 1,
      sym_comment,
    ACTIONS(3446), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177960] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5322), 1,
      sym_comment,
    ACTIONS(5276), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [177977] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5323), 1,
      sym_comment,
    ACTIONS(8868), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177994] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5324), 1,
      sym_comment,
    ACTIONS(5280), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [178011] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5325), 1,
      sym_comment,
    ACTIONS(5284), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [178028] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5326), 1,
      sym_comment,
    ACTIONS(3440), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178045] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5327), 1,
      sym_comment,
    STATE(5782), 1,
      sym__initializer,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178066] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7927), 1,
      anon_sym_extends,
    ACTIONS(8052), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5328), 1,
      sym_comment,
    STATE(6298), 1,
      sym_extends_type_clause,
    STATE(6618), 1,
      sym_object_type,
  [178091] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5329), 1,
      sym_comment,
    ACTIONS(3438), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178108] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5330), 1,
      sym_comment,
    STATE(5902), 1,
      sym__initializer,
    ACTIONS(8740), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178129] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5331), 1,
      sym_comment,
    ACTIONS(2393), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178146] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5332), 1,
      sym_comment,
    STATE(5836), 1,
      sym__initializer,
    ACTIONS(8870), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178167] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(8714), 1,
      sym_identifier,
    STATE(5333), 1,
      sym_comment,
    STATE(5593), 1,
      sym_string,
    STATE(7311), 1,
      sym__module_export_name,
  [178192] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8874), 1,
      anon_sym_in,
    ACTIONS(8876), 1,
      anon_sym_of,
    STATE(5334), 1,
      sym_comment,
    ACTIONS(8872), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178213] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6242), 1,
      sym__automatic_semicolon,
    STATE(5335), 1,
      sym_comment,
    ACTIONS(2389), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178232] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5336), 1,
      sym_comment,
    ACTIONS(8041), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178249] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5337), 1,
      sym_comment,
    STATE(5775), 1,
      sym__initializer,
    ACTIONS(8788), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178270] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5338), 1,
      sym_comment,
    STATE(5903), 1,
      sym__initializer,
    ACTIONS(8740), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178291] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5339), 1,
      sym_comment,
    STATE(5774), 1,
      sym__initializer,
    ACTIONS(8788), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178312] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(8456), 1,
      anon_sym_class,
    ACTIONS(8458), 1,
      anon_sym_abstract,
    STATE(4776), 1,
      aux_sym_export_statement_repeat1,
    STATE(5340), 1,
      sym_comment,
    STATE(5685), 1,
      sym_decorator,
  [178337] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5341), 1,
      sym_comment,
    STATE(5996), 1,
      sym__initializer,
    ACTIONS(8646), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178358] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5342), 1,
      sym_comment,
    STATE(5904), 1,
      sym__initializer,
    ACTIONS(8740), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178379] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5343), 1,
      sym_comment,
    ACTIONS(3430), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178396] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5344), 1,
      sym_comment,
    STATE(5908), 1,
      sym__initializer,
    ACTIONS(8740), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178417] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(8714), 1,
      sym_identifier,
    STATE(5345), 1,
      sym_comment,
    STATE(5593), 1,
      sym_string,
    STATE(5833), 1,
      sym__module_export_name,
  [178442] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5346), 1,
      sym_comment,
    STATE(5911), 1,
      sym__initializer,
    ACTIONS(8770), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178463] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6348), 1,
      sym__automatic_semicolon,
    STATE(5347), 1,
      sym_comment,
    ACTIONS(2363), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178482] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5348), 1,
      sym_comment,
    ACTIONS(2133), 5,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_GT,
      anon_sym_DOT,
  [178499] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5349), 1,
      sym_comment,
    ACTIONS(2121), 5,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_GT,
      anon_sym_DOT,
  [178516] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5350), 1,
      sym_comment,
    ACTIONS(3428), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178533] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5351), 1,
      sym_comment,
    ACTIONS(3426), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178550] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5352), 1,
      sym_comment,
    ACTIONS(3424), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178567] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5353), 1,
      sym_comment,
    STATE(5799), 1,
      sym__initializer,
    ACTIONS(8878), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178588] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8287), 1,
      anon_sym_COLON,
    ACTIONS(8880), 1,
      anon_sym_EQ_GT,
    STATE(5354), 1,
      sym_comment,
    STATE(6752), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [178609] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(4994), 1,
      sym__call_signature,
    STATE(5355), 1,
      sym_comment,
    STATE(7065), 1,
      sym_type_parameters,
  [178634] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5356), 1,
      sym_comment,
    STATE(5924), 1,
      sym__initializer,
    ACTIONS(8740), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178655] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5357), 1,
      sym_comment,
    ACTIONS(3420), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178672] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6350), 1,
      sym__automatic_semicolon,
    STATE(5358), 1,
      sym_comment,
    ACTIONS(2355), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178691] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5359), 1,
      sym_comment,
    STATE(5888), 1,
      sym__initializer,
    ACTIONS(8602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178712] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5360), 1,
      sym_comment,
    STATE(5726), 1,
      sym__initializer,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178733] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6428), 1,
      sym__automatic_semicolon,
    STATE(5361), 1,
      sym_comment,
    ACTIONS(2323), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178752] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8660), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8662), 1,
      sym__template_chars,
    ACTIONS(8883), 1,
      anon_sym_BQUOTE,
    STATE(4947), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5362), 1,
      sym_comment,
    STATE(5749), 1,
      sym_template_type,
  [178777] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5363), 1,
      sym_comment,
    STATE(5981), 1,
      sym__initializer,
    ACTIONS(8602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178798] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5364), 1,
      sym_comment,
    ACTIONS(8731), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [178815] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5365), 1,
      sym_comment,
    STATE(5927), 1,
      sym__initializer,
    ACTIONS(8740), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178836] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8800), 1,
      anon_sym_LBRACE,
    ACTIONS(8885), 1,
      anon_sym_SEMI,
    ACTIONS(8887), 1,
      sym__automatic_semicolon,
    ACTIONS(8889), 1,
      sym__function_signature_automatic_semicolon,
    STATE(367), 1,
      sym_statement_block,
    STATE(5366), 1,
      sym_comment,
  [178861] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5367), 1,
      sym_comment,
    STATE(5724), 1,
      sym__initializer,
    ACTIONS(8788), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178882] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5368), 1,
      sym_comment,
    ACTIONS(8256), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178899] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5369), 1,
      sym_comment,
    STATE(5714), 1,
      sym__initializer,
    ACTIONS(8788), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178920] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5370), 1,
      sym_comment,
    ACTIONS(8222), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178937] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5371), 1,
      sym_comment,
    ACTIONS(8891), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [178954] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8146), 1,
      anon_sym_EQ,
    ACTIONS(8893), 1,
      anon_sym_COMMA,
    ACTIONS(8895), 1,
      anon_sym_RBRACE,
    STATE(5372), 1,
      sym_comment,
    STATE(6140), 1,
      aux_sym_enum_body_repeat1,
    STATE(6709), 1,
      sym__initializer,
  [178979] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5373), 1,
      sym_comment,
    STATE(6373), 1,
      sym__initializer,
    ACTIONS(8602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179000] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5374), 1,
      sym_comment,
    ACTIONS(8250), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179017] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7879), 1,
      anon_sym_LBRACE,
    ACTIONS(8858), 1,
      anon_sym_SEMI,
    ACTIONS(8860), 1,
      sym__automatic_semicolon,
    ACTIONS(8862), 1,
      sym__function_signature_automatic_semicolon,
    STATE(5375), 1,
      sym_comment,
    STATE(5829), 1,
      sym_statement_block,
  [179042] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5376), 1,
      sym_comment,
    STATE(5973), 1,
      sym__initializer,
    ACTIONS(8646), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179063] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7350), 1,
      anon_sym_extends,
    ACTIONS(8680), 1,
      anon_sym_PIPE,
    STATE(5377), 1,
      sym_comment,
    ACTIONS(8897), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [179086] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7879), 1,
      anon_sym_LBRACE,
    ACTIONS(8899), 1,
      anon_sym_SEMI,
    ACTIONS(8901), 1,
      sym__automatic_semicolon,
    ACTIONS(8903), 1,
      sym__function_signature_automatic_semicolon,
    STATE(5358), 1,
      sym_statement_block,
    STATE(5378), 1,
      sym_comment,
  [179111] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5379), 1,
      sym_comment,
    STATE(5972), 1,
      sym__initializer,
    ACTIONS(8602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179132] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5380), 1,
      sym_comment,
    STATE(5713), 1,
      sym__initializer,
    ACTIONS(8788), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179153] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5381), 1,
      sym_comment,
    STATE(5969), 1,
      sym__initializer,
    ACTIONS(8602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179174] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7350), 1,
      anon_sym_extends,
    ACTIONS(8680), 1,
      anon_sym_PIPE,
    STATE(5382), 1,
      sym_comment,
    ACTIONS(8905), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [179197] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5383), 1,
      sym_comment,
    STATE(5730), 1,
      sym__initializer,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179218] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8146), 1,
      anon_sym_EQ,
    ACTIONS(8907), 1,
      anon_sym_COMMA,
    ACTIONS(8909), 1,
      anon_sym_RBRACE,
    STATE(5384), 1,
      sym_comment,
    STATE(5804), 1,
      aux_sym_enum_body_repeat1,
    STATE(6709), 1,
      sym__initializer,
  [179243] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5385), 1,
      sym_comment,
    STATE(5964), 1,
      sym__initializer,
    ACTIONS(8602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179264] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5386), 1,
      sym_comment,
    STATE(5763), 1,
      sym__call_signature,
    STATE(6912), 1,
      sym_type_parameters,
  [179289] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5387), 1,
      sym_comment,
    STATE(5956), 1,
      sym__initializer,
    ACTIONS(8602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179310] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5388), 1,
      sym_comment,
    ACTIONS(3474), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [179327] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7350), 1,
      anon_sym_extends,
    ACTIONS(8680), 1,
      anon_sym_PIPE,
    STATE(5389), 1,
      sym_comment,
    ACTIONS(8911), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [179350] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5390), 1,
      sym_comment,
    STATE(6380), 1,
      sym__initializer,
    ACTIONS(8913), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179371] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5391), 1,
      sym_comment,
    STATE(5945), 1,
      sym__initializer,
    ACTIONS(8602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179392] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5392), 1,
      sym_comment,
    STATE(5777), 1,
      sym__initializer,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179413] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5393), 1,
      sym_comment,
    STATE(5999), 1,
      sym__initializer,
    ACTIONS(8915), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179434] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5394), 1,
      sym_comment,
    STATE(5942), 1,
      sym__initializer,
    ACTIONS(8602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179455] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5395), 1,
      sym_comment,
    STATE(6337), 1,
      sym__initializer,
    ACTIONS(8917), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179476] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4474), 1,
      anon_sym_COLON,
    ACTIONS(7139), 1,
      anon_sym_EQ,
    ACTIONS(8828), 1,
      anon_sym_COMMA,
    ACTIONS(8919), 1,
      anon_sym_RBRACE,
    STATE(5396), 1,
      sym_comment,
    STATE(6172), 1,
      aux_sym_object_pattern_repeat1,
  [179501] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5397), 1,
      sym_comment,
    STATE(5790), 1,
      sym__initializer,
    ACTIONS(8788), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179522] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5398), 1,
      sym_comment,
    ACTIONS(7957), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [179539] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8660), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8662), 1,
      sym__template_chars,
    ACTIONS(8921), 1,
      anon_sym_BQUOTE,
    STATE(4947), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5399), 1,
      sym_comment,
    STATE(5749), 1,
      sym_template_type,
  [179564] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5094), 1,
      sym__call_signature,
    STATE(5400), 1,
      sym_comment,
    STATE(6912), 1,
      sym_type_parameters,
  [179589] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5401), 1,
      sym_comment,
    STATE(5800), 1,
      sym__initializer,
    ACTIONS(8788), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179610] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    ACTIONS(8923), 1,
      anon_sym_DOT,
    STATE(5402), 1,
      sym_comment,
    STATE(6523), 1,
      sym_statement_block,
    ACTIONS(2061), 2,
      anon_sym_else,
      anon_sym_while,
  [179633] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    ACTIONS(8925), 1,
      anon_sym_DOT,
    STATE(5403), 1,
      sym_comment,
    STATE(6523), 1,
      sym_statement_block,
    ACTIONS(2061), 2,
      anon_sym_else,
      anon_sym_while,
  [179656] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5404), 1,
      sym_comment,
    ACTIONS(7959), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [179673] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5405), 1,
      sym_comment,
    ACTIONS(8927), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [179690] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5406), 1,
      sym_comment,
    ACTIONS(8929), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [179707] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4819), 1,
      anon_sym_LBRACE,
    ACTIONS(8931), 1,
      anon_sym_SEMI,
    ACTIONS(8933), 1,
      sym__automatic_semicolon,
    ACTIONS(8935), 1,
      sym__function_signature_automatic_semicolon,
    STATE(3210), 1,
      sym_statement_block,
    STATE(5407), 1,
      sym_comment,
  [179732] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5408), 1,
      sym_comment,
    STATE(5906), 1,
      sym__initializer,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179753] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5409), 1,
      sym_comment,
    ACTIONS(7957), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [179770] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5410), 1,
      sym_comment,
    ACTIONS(8937), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [179787] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(4723), 1,
      sym__call_signature,
    STATE(5411), 1,
      sym_comment,
    STATE(7065), 1,
      sym_type_parameters,
  [179812] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5412), 1,
      sym_comment,
    STATE(5928), 1,
      sym__initializer,
    ACTIONS(8740), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179833] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5413), 1,
      sym_comment,
    STATE(5920), 1,
      sym__initializer,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179854] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5414), 1,
      sym_comment,
    ACTIONS(7959), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [179871] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5415), 1,
      sym_comment,
    ACTIONS(8939), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [179888] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5416), 1,
      sym_comment,
    STATE(5787), 1,
      sym__initializer,
    ACTIONS(8614), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179909] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5417), 1,
      sym_comment,
    STATE(5925), 1,
      sym__initializer,
    ACTIONS(8788), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179930] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5418), 1,
      sym_comment,
    STATE(5943), 1,
      sym__initializer,
    ACTIONS(8788), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179951] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8146), 1,
      anon_sym_EQ,
    ACTIONS(8941), 1,
      anon_sym_COMMA,
    ACTIONS(8943), 1,
      anon_sym_RBRACE,
    STATE(5419), 1,
      sym_comment,
    STATE(6371), 1,
      aux_sym_enum_body_repeat1,
    STATE(6709), 1,
      sym__initializer,
  [179976] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5420), 1,
      sym_comment,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6721), 1,
      sym__call_signature,
  [180001] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8945), 1,
      anon_sym_in,
    ACTIONS(8947), 1,
      anon_sym_of,
    STATE(5421), 1,
      sym_comment,
    ACTIONS(8872), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180022] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5422), 1,
      sym_comment,
    ACTIONS(8949), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [180039] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5423), 1,
      sym_comment,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6936), 1,
      sym__call_signature,
  [180064] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(4505), 1,
      sym__call_signature,
    STATE(5424), 1,
      sym_comment,
    STATE(6912), 1,
      sym_type_parameters,
  [180089] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5425), 1,
      sym_comment,
    ACTIONS(8951), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [180106] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(4498), 1,
      sym__call_signature,
    STATE(5426), 1,
      sym_comment,
    STATE(6912), 1,
      sym_type_parameters,
  [180131] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5427), 1,
      sym_comment,
    STATE(5989), 1,
      sym__initializer,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180152] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5428), 1,
      sym_comment,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6997), 1,
      sym__call_signature,
  [180177] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(5155), 1,
      sym__call_signature,
    STATE(5429), 1,
      sym_comment,
    STATE(7065), 1,
      sym_type_parameters,
  [180202] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5430), 1,
      sym_comment,
    ACTIONS(8953), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [180219] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5431), 1,
      sym_comment,
    ACTIONS(8955), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [180236] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5432), 1,
      sym_comment,
    ACTIONS(8957), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [180253] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8287), 1,
      anon_sym_COLON,
    ACTIONS(8959), 1,
      anon_sym_EQ_GT,
    STATE(5433), 1,
      sym_comment,
    STATE(6752), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [180274] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8962), 1,
      anon_sym_EQ,
    STATE(5434), 1,
      sym_comment,
    ACTIONS(4229), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [180293] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8287), 1,
      anon_sym_COLON,
    ACTIONS(8964), 1,
      anon_sym_EQ_GT,
    STATE(5435), 1,
      sym_comment,
    STATE(6787), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [180314] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(4491), 1,
      sym__call_signature,
    STATE(5436), 1,
      sym_comment,
    STATE(6912), 1,
      sym_type_parameters,
  [180339] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5437), 1,
      sym_comment,
    ACTIONS(7913), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [180356] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5438), 1,
      sym_comment,
    STATE(6073), 1,
      sym__initializer,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180377] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5439), 1,
      sym_comment,
    STATE(5932), 1,
      sym__initializer,
    ACTIONS(8740), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180398] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7350), 1,
      anon_sym_extends,
    ACTIONS(8680), 1,
      anon_sym_PIPE,
    STATE(5440), 1,
      sym_comment,
    ACTIONS(8967), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [180421] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5441), 1,
      sym_comment,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(7040), 1,
      sym__call_signature,
  [180446] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5442), 1,
      sym_comment,
    STATE(6096), 1,
      sym__initializer,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180467] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5443), 1,
      sym_comment,
    STATE(6099), 1,
      sym__initializer,
    ACTIONS(8788), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180488] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5444), 1,
      sym_comment,
    STATE(6101), 1,
      sym__initializer,
    ACTIONS(8788), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180509] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7879), 1,
      anon_sym_LBRACE,
    ACTIONS(8931), 1,
      anon_sym_SEMI,
    ACTIONS(8933), 1,
      sym__automatic_semicolon,
    ACTIONS(8935), 1,
      sym__function_signature_automatic_semicolon,
    STATE(5445), 1,
      sym_comment,
    STATE(6047), 1,
      sym_statement_block,
  [180534] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7350), 1,
      anon_sym_extends,
    ACTIONS(8680), 1,
      anon_sym_PIPE,
    STATE(5446), 1,
      sym_comment,
    ACTIONS(8969), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [180557] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5447), 1,
      sym_comment,
    STATE(5712), 1,
      sym__initializer,
    ACTIONS(8788), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180578] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7350), 1,
      anon_sym_extends,
    ACTIONS(8680), 1,
      anon_sym_PIPE,
    STATE(5448), 1,
      sym_comment,
    ACTIONS(8971), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [180601] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7350), 1,
      anon_sym_extends,
    ACTIONS(8680), 1,
      anon_sym_PIPE,
    STATE(5449), 1,
      sym_comment,
    ACTIONS(8973), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [180624] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5450), 1,
      sym_comment,
    ACTIONS(5493), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [180641] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8975), 1,
      anon_sym_LBRACE,
    ACTIONS(8977), 1,
      anon_sym_SEMI,
    ACTIONS(8979), 1,
      sym__automatic_semicolon,
    ACTIONS(8981), 1,
      sym__function_signature_automatic_semicolon,
    STATE(920), 1,
      sym_statement_block,
    STATE(5451), 1,
      sym_comment,
  [180666] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8704), 1,
      anon_sym_LBRACE,
    ACTIONS(8756), 1,
      anon_sym_SEMI,
    ACTIONS(8758), 1,
      sym__automatic_semicolon,
    ACTIONS(8760), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1518), 1,
      sym_statement_block,
    STATE(5452), 1,
      sym_comment,
  [180691] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5453), 1,
      sym_comment,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(7060), 1,
      sym__call_signature,
  [180716] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8146), 1,
      anon_sym_EQ,
    ACTIONS(8983), 1,
      anon_sym_COMMA,
    ACTIONS(8985), 1,
      anon_sym_RBRACE,
    STATE(5454), 1,
      sym_comment,
    STATE(6328), 1,
      aux_sym_enum_body_repeat1,
    STATE(6709), 1,
      sym__initializer,
  [180741] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8977), 1,
      anon_sym_SEMI,
    ACTIONS(8979), 1,
      sym__automatic_semicolon,
    ACTIONS(8981), 1,
      sym__function_signature_automatic_semicolon,
    ACTIONS(8987), 1,
      anon_sym_LBRACE,
    STATE(295), 1,
      sym_statement_block,
    STATE(5455), 1,
      sym_comment,
  [180766] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7350), 1,
      anon_sym_extends,
    ACTIONS(8680), 1,
      anon_sym_PIPE,
    STATE(5456), 1,
      sym_comment,
    ACTIONS(8989), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [180789] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5457), 1,
      sym_comment,
    ACTIONS(3378), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [180806] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8975), 1,
      anon_sym_LBRACE,
    ACTIONS(8991), 1,
      anon_sym_SEMI,
    ACTIONS(8993), 1,
      sym__automatic_semicolon,
    ACTIONS(8995), 1,
      sym__function_signature_automatic_semicolon,
    STATE(935), 1,
      sym_statement_block,
    STATE(5458), 1,
      sym_comment,
  [180831] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(4492), 1,
      sym__call_signature,
    STATE(5459), 1,
      sym_comment,
    STATE(6912), 1,
      sym_type_parameters,
  [180856] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5460), 1,
      sym_comment,
    ACTIONS(3380), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [180873] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5461), 1,
      sym_comment,
    ACTIONS(5859), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [180890] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5462), 1,
      sym_comment,
    STATE(6410), 1,
      sym__call_signature,
    STATE(6637), 1,
      sym_type_parameters,
  [180915] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5463), 1,
      sym_comment,
    STATE(6205), 1,
      sym__initializer,
    ACTIONS(8788), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180936] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5464), 1,
      sym_comment,
    ACTIONS(7915), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [180953] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1900), 1,
      anon_sym_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_SQUOTE,
    ACTIONS(8714), 1,
      sym_identifier,
    STATE(5465), 1,
      sym_comment,
    STATE(5593), 1,
      sym_string,
    STATE(7010), 1,
      sym__module_export_name,
  [180978] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5466), 1,
      sym_comment,
    STATE(6127), 1,
      sym__initializer,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180999] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7927), 1,
      anon_sym_extends,
    ACTIONS(8027), 1,
      anon_sym_LBRACE,
    ACTIONS(8029), 1,
      anon_sym_LBRACE_PIPE,
    STATE(960), 1,
      sym_object_type,
    STATE(5467), 1,
      sym_comment,
    STATE(6342), 1,
      sym_extends_type_clause,
  [181024] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8987), 1,
      anon_sym_LBRACE,
    ACTIONS(8991), 1,
      anon_sym_SEMI,
    ACTIONS(8993), 1,
      sym__automatic_semicolon,
    ACTIONS(8995), 1,
      sym__function_signature_automatic_semicolon,
    STATE(320), 1,
      sym_statement_block,
    STATE(5468), 1,
      sym_comment,
  [181049] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5469), 1,
      sym_comment,
    STATE(5870), 1,
      sym__initializer,
    ACTIONS(8614), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181070] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8660), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8662), 1,
      sym__template_chars,
    ACTIONS(8997), 1,
      anon_sym_BQUOTE,
    STATE(5470), 1,
      sym_comment,
    STATE(5488), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5749), 1,
      sym_template_type,
  [181095] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4819), 1,
      anon_sym_LBRACE,
    ACTIONS(8832), 1,
      anon_sym_SEMI,
    ACTIONS(8834), 1,
      sym__automatic_semicolon,
    ACTIONS(8836), 1,
      sym__function_signature_automatic_semicolon,
    STATE(3229), 1,
      sym_statement_block,
    STATE(5471), 1,
      sym_comment,
  [181120] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7923), 1,
      anon_sym_LBRACE,
    ACTIONS(7927), 1,
      anon_sym_extends,
    ACTIONS(7929), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1232), 1,
      sym_object_type,
    STATE(5472), 1,
      sym_comment,
    STATE(6341), 1,
      sym_extends_type_clause,
  [181145] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5473), 1,
      sym_comment,
    ACTIONS(7913), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [181162] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5474), 1,
      sym_comment,
    STATE(6022), 1,
      sym__initializer,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181183] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5475), 1,
      sym_comment,
    STATE(6166), 1,
      sym__initializer,
    ACTIONS(8788), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181204] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5476), 1,
      sym_comment,
    ACTIONS(5485), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [181221] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(5398), 1,
      sym__call_signature,
    STATE(5477), 1,
      sym_comment,
    STATE(6912), 1,
      sym_type_parameters,
  [181246] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5478), 1,
      sym_comment,
    ACTIONS(8999), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [181263] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5479), 1,
      sym_comment,
    STATE(5871), 1,
      sym__initializer,
    ACTIONS(9001), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181284] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5480), 1,
      sym_comment,
    STATE(6168), 1,
      sym__initializer,
    ACTIONS(8788), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181305] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5481), 1,
      sym_comment,
    ACTIONS(7915), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [181322] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    STATE(4346), 1,
      sym_formal_parameters,
    STATE(4852), 1,
      sym__call_signature,
    STATE(5482), 1,
      sym_comment,
    STATE(7065), 1,
      sym_type_parameters,
  [181347] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(4470), 1,
      sym__call_signature,
    STATE(5483), 1,
      sym_comment,
    STATE(6912), 1,
      sym_type_parameters,
  [181372] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8287), 1,
      anon_sym_COLON,
    ACTIONS(9003), 1,
      anon_sym_EQ_GT,
    STATE(5484), 1,
      sym_comment,
    STATE(6787), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [181393] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8802), 1,
      anon_sym_SEMI,
    ACTIONS(8804), 1,
      sym__automatic_semicolon,
    ACTIONS(8806), 1,
      sym__function_signature_automatic_semicolon,
    ACTIONS(9006), 1,
      anon_sym_LBRACE,
    STATE(1032), 1,
      sym_statement_block,
    STATE(5485), 1,
      sym_comment,
  [181418] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5486), 1,
      sym_comment,
    STATE(5872), 1,
      sym__initializer,
    ACTIONS(9001), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181439] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7350), 1,
      anon_sym_extends,
    ACTIONS(8680), 1,
      anon_sym_PIPE,
    STATE(5487), 1,
      sym_comment,
    ACTIONS(9008), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [181462] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8660), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8662), 1,
      sym__template_chars,
    ACTIONS(9010), 1,
      anon_sym_BQUOTE,
    STATE(4947), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5488), 1,
      sym_comment,
    STATE(5749), 1,
      sym_template_type,
  [181487] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(5489), 1,
      sym_comment,
    ACTIONS(8766), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [181504] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4178), 1,
      anon_sym_COLON,
    STATE(5490), 1,
      sym_comment,
    STATE(6465), 1,
      sym_type_annotation,
    ACTIONS(4203), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [181525] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5491), 1,
      sym_comment,
    STATE(6194), 1,
      sym__initializer,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181546] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7350), 1,
      anon_sym_extends,
    ACTIONS(8680), 1,
      anon_sym_PIPE,
    STATE(5492), 1,
      sym_comment,
    ACTIONS(9012), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [181569] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5493), 1,
      sym_comment,
    STATE(6201), 1,
      sym__initializer,
    ACTIONS(8788), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181590] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7350), 1,
      anon_sym_extends,
    ACTIONS(8680), 1,
      anon_sym_PIPE,
    STATE(5494), 1,
      sym_comment,
    ACTIONS(9014), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [181613] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    STATE(4148), 1,
      sym_formal_parameters,
    STATE(4445), 1,
      sym__call_signature,
    STATE(5495), 1,
      sym_comment,
    STATE(6912), 1,
      sym_type_parameters,
  [181638] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8287), 1,
      anon_sym_COLON,
    ACTIONS(9016), 1,
      anon_sym_EQ_GT,
    STATE(5496), 1,
      sym_comment,
    STATE(6787), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [181659] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5497), 1,
      sym_comment,
    STATE(5934), 1,
      sym__initializer,
    ACTIONS(9019), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181680] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5498), 1,
      sym_comment,
    STATE(5831), 1,
      sym__initializer,
    ACTIONS(8614), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181701] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5499), 1,
      sym_comment,
    STATE(6206), 1,
      sym__initializer,
    ACTIONS(8788), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181722] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4819), 1,
      anon_sym_LBRACE,
    ACTIONS(8899), 1,
      anon_sym_SEMI,
    ACTIONS(8901), 1,
      sym__automatic_semicolon,
    ACTIONS(8903), 1,
      sym__function_signature_automatic_semicolon,
    STATE(3156), 1,
      sym_statement_block,
    STATE(5500), 1,
      sym_comment,
  [181747] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5501), 1,
      sym_comment,
    STATE(6041), 1,
      sym__initializer,
    ACTIONS(8602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181768] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5502), 1,
      sym_comment,
    STATE(6153), 1,
      sym__initializer,
    ACTIONS(8788), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181789] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8287), 1,
      anon_sym_COLON,
    ACTIONS(9021), 1,
      anon_sym_EQ_GT,
    STATE(5503), 1,
      sym_comment,
    STATE(6752), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [181810] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7350), 1,
      anon_sym_extends,
    ACTIONS(8680), 1,
      anon_sym_PIPE,
    STATE(5504), 1,
      sym_comment,
    ACTIONS(9024), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [181833] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8885), 1,
      anon_sym_SEMI,
    ACTIONS(8887), 1,
      sym__automatic_semicolon,
    ACTIONS(8889), 1,
      sym__function_signature_automatic_semicolon,
    ACTIONS(9006), 1,
      anon_sym_LBRACE,
    STATE(1045), 1,
      sym_statement_block,
    STATE(5505), 1,
      sym_comment,
  [181858] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7090), 1,
      anon_sym_EQ,
    STATE(5506), 1,
      sym_comment,
    STATE(5954), 1,
      sym__initializer,
    ACTIONS(8614), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181879] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(4843), 1,
      sym_formal_parameters,
    STATE(5507), 1,
      sym_comment,
    STATE(6637), 1,
      sym_type_parameters,
    STATE(6693), 1,
      sym__call_signature,
  [181904] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8146), 1,
      anon_sym_EQ,
    ACTIONS(9026), 1,
      anon_sym_COMMA,
    ACTIONS(9028), 1,
      anon_sym_RBRACE,
    STATE(5508), 1,
      sym_comment,
    STATE(6385), 1,
      aux_sym_enum_body_repeat1,
    STATE(6709), 1,
      sym__initializer,
  [181929] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9030), 1,
      sym_escape_sequence,
    STATE(5509), 1,
      sym_comment,
    ACTIONS(9032), 3,
      sym__template_chars,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [181947] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    ACTIONS(9035), 1,
      anon_sym_RBRACK,
    STATE(5510), 1,
      sym_comment,
  [181969] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    ACTIONS(9037), 1,
      anon_sym_COLON,
    STATE(5511), 1,
      sym_comment,
  [181991] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9039), 1,
      anon_sym_DQUOTE,
    STATE(5512), 1,
      sym_comment,
    STATE(5520), 1,
      aux_sym_string_repeat1,
    ACTIONS(9041), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [182011] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(6905), 1,
      anon_sym_LT,
    STATE(3769), 1,
      sym_arguments,
    STATE(3852), 1,
      sym_type_arguments,
    STATE(5513), 1,
      sym_comment,
  [182033] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    ACTIONS(9043), 1,
      anon_sym_RPAREN,
    STATE(5514), 1,
      sym_comment,
  [182055] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7008), 1,
      anon_sym_LPAREN,
    ACTIONS(7014), 1,
      anon_sym_LT,
    STATE(4081), 1,
      sym_arguments,
    STATE(4323), 1,
      sym_type_arguments,
    STATE(5515), 1,
      sym_comment,
  [182077] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9039), 1,
      anon_sym_SQUOTE,
    STATE(5516), 1,
      sym_comment,
    STATE(5521), 1,
      aux_sym_string_repeat2,
    ACTIONS(9045), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [182097] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9047), 1,
      anon_sym_from,
    STATE(5517), 1,
      sym_comment,
    STATE(6467), 1,
      sym__from_clause,
    ACTIONS(9049), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [182117] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9051), 1,
      anon_sym_COMMA,
    STATE(5518), 1,
      sym_comment,
    STATE(5525), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9053), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [182137] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9051), 1,
      anon_sym_COMMA,
    STATE(5519), 1,
      sym_comment,
    STATE(5526), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9055), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [182157] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9057), 1,
      anon_sym_DQUOTE,
    STATE(5520), 1,
      sym_comment,
    STATE(5653), 1,
      aux_sym_string_repeat1,
    ACTIONS(9041), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [182177] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9057), 1,
      anon_sym_SQUOTE,
    STATE(5521), 1,
      sym_comment,
    STATE(5656), 1,
      aux_sym_string_repeat2,
    ACTIONS(9045), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [182197] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8001), 1,
      anon_sym_DOT,
    ACTIONS(9059), 1,
      anon_sym_COMMA,
    ACTIONS(9061), 1,
      anon_sym_GT,
    STATE(5522), 1,
      sym_comment,
    STATE(6348), 1,
      aux_sym_type_arguments_repeat1,
  [182219] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9047), 1,
      anon_sym_from,
    STATE(5523), 1,
      sym_comment,
    STATE(6493), 1,
      sym__from_clause,
    ACTIONS(5788), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [182239] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    ACTIONS(9063), 1,
      anon_sym_RBRACK,
    STATE(5524), 1,
      sym_comment,
  [182261] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9051), 1,
      anon_sym_COMMA,
    STATE(5525), 1,
      sym_comment,
    STATE(5662), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9065), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [182281] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9051), 1,
      anon_sym_COMMA,
    STATE(5526), 1,
      sym_comment,
    STATE(5662), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9067), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [182301] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8001), 1,
      anon_sym_DOT,
    ACTIONS(9069), 1,
      anon_sym_COMMA,
    ACTIONS(9071), 1,
      anon_sym_GT,
    STATE(5527), 1,
      sym_comment,
    STATE(6334), 1,
      aux_sym_type_arguments_repeat1,
  [182323] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9075), 1,
      anon_sym_COMMA,
    STATE(5528), 1,
      sym_comment,
    STATE(5703), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(9073), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [182343] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9051), 1,
      anon_sym_COMMA,
    STATE(5529), 1,
      sym_comment,
    STATE(5662), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9077), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [182363] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9051), 1,
      anon_sym_COMMA,
    STATE(5530), 1,
      sym_comment,
    STATE(5662), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9079), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [182383] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    ACTIONS(9081), 1,
      anon_sym_COLON,
    STATE(5531), 1,
      sym_comment,
  [182405] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9047), 1,
      anon_sym_from,
    STATE(5532), 1,
      sym_comment,
    STATE(6581), 1,
      sym__from_clause,
    ACTIONS(5827), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [182425] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9083), 1,
      anon_sym_DQUOTE,
    STATE(5533), 1,
      sym_comment,
    STATE(5538), 1,
      aux_sym_string_repeat1,
    ACTIONS(9041), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [182445] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9083), 1,
      anon_sym_SQUOTE,
    STATE(5534), 1,
      sym_comment,
    STATE(5540), 1,
      aux_sym_string_repeat2,
    ACTIONS(9045), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [182465] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9051), 1,
      anon_sym_COMMA,
    STATE(5535), 1,
      sym_comment,
    STATE(5541), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9085), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [182485] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9051), 1,
      anon_sym_COMMA,
    STATE(5536), 1,
      sym_comment,
    STATE(5542), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9087), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [182505] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9089), 1,
      anon_sym_SQUOTE,
    STATE(5537), 1,
      sym_comment,
    STATE(5656), 1,
      aux_sym_string_repeat2,
    ACTIONS(9045), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [182525] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9091), 1,
      anon_sym_DQUOTE,
    STATE(5538), 1,
      sym_comment,
    STATE(5653), 1,
      aux_sym_string_repeat1,
    ACTIONS(9041), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [182545] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9089), 1,
      anon_sym_DQUOTE,
    STATE(5539), 1,
      sym_comment,
    STATE(5653), 1,
      aux_sym_string_repeat1,
    ACTIONS(9041), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [182565] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9091), 1,
      anon_sym_SQUOTE,
    STATE(5540), 1,
      sym_comment,
    STATE(5656), 1,
      aux_sym_string_repeat2,
    ACTIONS(9045), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [182585] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9051), 1,
      anon_sym_COMMA,
    STATE(5541), 1,
      sym_comment,
    STATE(5662), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9093), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [182605] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9051), 1,
      anon_sym_COMMA,
    STATE(5542), 1,
      sym_comment,
    STATE(5662), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9095), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [182625] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8001), 1,
      anon_sym_DOT,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(9099), 1,
      anon_sym_GT,
    STATE(5543), 1,
      sym_comment,
    STATE(6299), 1,
      aux_sym_type_arguments_repeat1,
  [182647] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9051), 1,
      anon_sym_COMMA,
    STATE(5529), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5544), 1,
      sym_comment,
    ACTIONS(9101), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [182667] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9051), 1,
      anon_sym_COMMA,
    STATE(5530), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5545), 1,
      sym_comment,
    ACTIONS(9103), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [182687] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9047), 1,
      anon_sym_from,
    STATE(5546), 1,
      sym_comment,
    STATE(6651), 1,
      sym__from_clause,
    ACTIONS(9105), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [182707] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7829), 1,
      anon_sym_const,
    ACTIONS(9107), 1,
      sym_identifier,
    ACTIONS(9109), 1,
      anon_sym_GT,
    STATE(5547), 1,
      sym_comment,
    STATE(6923), 1,
      sym_type_parameter,
  [182729] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9111), 1,
      anon_sym_EQ_GT,
    STATE(5548), 1,
      sym_comment,
    ACTIONS(4474), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [182747] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9113), 1,
      anon_sym_EQ_GT,
    STATE(5549), 1,
      sym_comment,
    ACTIONS(4474), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [182765] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9115), 1,
      anon_sym_DQUOTE,
    STATE(5550), 1,
      sym_comment,
    STATE(5552), 1,
      aux_sym_string_repeat1,
    ACTIONS(9041), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [182785] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9115), 1,
      anon_sym_SQUOTE,
    STATE(5551), 1,
      sym_comment,
    STATE(5553), 1,
      aux_sym_string_repeat2,
    ACTIONS(9045), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [182805] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9117), 1,
      anon_sym_DQUOTE,
    STATE(5552), 1,
      sym_comment,
    STATE(5653), 1,
      aux_sym_string_repeat1,
    ACTIONS(9041), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [182825] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9117), 1,
      anon_sym_SQUOTE,
    STATE(5553), 1,
      sym_comment,
    STATE(5656), 1,
      aux_sym_string_repeat2,
    ACTIONS(9045), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [182845] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    STATE(5554), 1,
      sym_comment,
    STATE(6523), 1,
      sym_statement_block,
    ACTIONS(2061), 2,
      anon_sym_else,
      anon_sym_while,
  [182865] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9119), 1,
      anon_sym_DQUOTE,
    STATE(5555), 1,
      sym_comment,
    STATE(5560), 1,
      aux_sym_string_repeat1,
    ACTIONS(9041), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [182885] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9119), 1,
      anon_sym_SQUOTE,
    STATE(5556), 1,
      sym_comment,
    STATE(5563), 1,
      aux_sym_string_repeat2,
    ACTIONS(9045), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [182905] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9121), 1,
      anon_sym_SQUOTE,
    STATE(5537), 1,
      aux_sym_string_repeat2,
    STATE(5557), 1,
      sym_comment,
    ACTIONS(9045), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [182925] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9121), 1,
      anon_sym_DQUOTE,
    STATE(5539), 1,
      aux_sym_string_repeat1,
    STATE(5558), 1,
      sym_comment,
    ACTIONS(9041), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [182945] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9123), 1,
      anon_sym_STAR,
    ACTIONS(9125), 1,
      anon_sym_LBRACE,
    STATE(5559), 1,
      sym_comment,
    STATE(7195), 2,
      sym_namespace_import,
      sym_named_imports,
  [182965] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9127), 1,
      anon_sym_DQUOTE,
    STATE(5560), 1,
      sym_comment,
    STATE(5653), 1,
      aux_sym_string_repeat1,
    ACTIONS(9041), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [182985] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    ACTIONS(9129), 1,
      anon_sym_RPAREN,
    STATE(5561), 1,
      sym_comment,
  [183007] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(9131), 1,
      anon_sym_LT,
    STATE(2793), 1,
      sym_arguments,
    STATE(2805), 1,
      sym_type_arguments,
    STATE(5562), 1,
      sym_comment,
  [183029] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9127), 1,
      anon_sym_SQUOTE,
    STATE(5563), 1,
      sym_comment,
    STATE(5656), 1,
      aux_sym_string_repeat2,
    ACTIONS(9045), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [183049] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    ACTIONS(9133), 1,
      anon_sym_COLON,
    STATE(5564), 1,
      sym_comment,
  [183071] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9135), 1,
      anon_sym_DQUOTE,
    STATE(5565), 1,
      sym_comment,
    STATE(5568), 1,
      aux_sym_string_repeat1,
    ACTIONS(9041), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [183091] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9135), 1,
      anon_sym_SQUOTE,
    STATE(5566), 1,
      sym_comment,
    STATE(5570), 1,
      aux_sym_string_repeat2,
    ACTIONS(9045), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [183111] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9137), 1,
      sym__glimmer_template_content,
    ACTIONS(9139), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(3276), 1,
      sym_glimmer_closing_tag,
    STATE(5567), 1,
      sym_comment,
    STATE(5887), 1,
      aux_sym_glimmer_template_repeat1,
  [183133] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9141), 1,
      anon_sym_DQUOTE,
    STATE(5568), 1,
      sym_comment,
    STATE(5653), 1,
      aux_sym_string_repeat1,
    ACTIONS(9041), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [183153] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9051), 1,
      anon_sym_COMMA,
    STATE(5569), 1,
      sym_comment,
    STATE(5662), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9143), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183173] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9141), 1,
      anon_sym_SQUOTE,
    STATE(5570), 1,
      sym_comment,
    STATE(5656), 1,
      aux_sym_string_repeat2,
    ACTIONS(9045), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [183193] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9051), 1,
      anon_sym_COMMA,
    STATE(5571), 1,
      sym_comment,
    STATE(5662), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9145), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183213] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9147), 1,
      anon_sym_DQUOTE,
    STATE(5572), 1,
      sym_comment,
    STATE(5575), 1,
      aux_sym_string_repeat1,
    ACTIONS(9041), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [183233] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    ACTIONS(9149), 1,
      anon_sym_RBRACK,
    STATE(5573), 1,
      sym_comment,
  [183255] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9147), 1,
      anon_sym_SQUOTE,
    STATE(5574), 1,
      sym_comment,
    STATE(5576), 1,
      aux_sym_string_repeat2,
    ACTIONS(9045), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [183275] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9151), 1,
      anon_sym_DQUOTE,
    STATE(5575), 1,
      sym_comment,
    STATE(5653), 1,
      aux_sym_string_repeat1,
    ACTIONS(9041), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [183295] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9151), 1,
      anon_sym_SQUOTE,
    STATE(5576), 1,
      sym_comment,
    STATE(5656), 1,
      aux_sym_string_repeat2,
    ACTIONS(9045), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [183315] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7965), 1,
      anon_sym_COMMA,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    ACTIONS(8556), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5577), 1,
      sym_comment,
    STATE(5678), 1,
      aux_sym_extends_type_clause_repeat1,
  [183337] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9153), 1,
      anon_sym_DQUOTE,
    STATE(5578), 1,
      sym_comment,
    STATE(5580), 1,
      aux_sym_string_repeat1,
    ACTIONS(9041), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [183357] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9153), 1,
      anon_sym_SQUOTE,
    STATE(5579), 1,
      sym_comment,
    STATE(5582), 1,
      aux_sym_string_repeat2,
    ACTIONS(9045), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [183377] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9155), 1,
      anon_sym_DQUOTE,
    STATE(5580), 1,
      sym_comment,
    STATE(5653), 1,
      aux_sym_string_repeat1,
    ACTIONS(9041), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [183397] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5581), 1,
      sym_comment,
    ACTIONS(9157), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [183413] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9155), 1,
      anon_sym_SQUOTE,
    STATE(5582), 1,
      sym_comment,
    STATE(5656), 1,
      aux_sym_string_repeat2,
    ACTIONS(9045), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [183433] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9159), 1,
      anon_sym_DQUOTE,
    STATE(5583), 1,
      sym_comment,
    STATE(5586), 1,
      aux_sym_string_repeat1,
    ACTIONS(9041), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [183453] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7829), 1,
      anon_sym_const,
    ACTIONS(9107), 1,
      sym_identifier,
    ACTIONS(9161), 1,
      anon_sym_GT,
    STATE(5584), 1,
      sym_comment,
    STATE(6923), 1,
      sym_type_parameter,
  [183475] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9159), 1,
      anon_sym_SQUOTE,
    STATE(5585), 1,
      sym_comment,
    STATE(5587), 1,
      aux_sym_string_repeat2,
    ACTIONS(9045), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [183495] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9163), 1,
      anon_sym_DQUOTE,
    STATE(5586), 1,
      sym_comment,
    STATE(5653), 1,
      aux_sym_string_repeat1,
    ACTIONS(9041), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [183515] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9163), 1,
      anon_sym_SQUOTE,
    STATE(5587), 1,
      sym_comment,
    STATE(5656), 1,
      aux_sym_string_repeat2,
    ACTIONS(9045), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [183535] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9165), 1,
      anon_sym_DQUOTE,
    STATE(5588), 1,
      sym_comment,
    STATE(5590), 1,
      aux_sym_string_repeat1,
    ACTIONS(9041), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [183555] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9165), 1,
      anon_sym_SQUOTE,
    STATE(5589), 1,
      sym_comment,
    STATE(5592), 1,
      aux_sym_string_repeat2,
    ACTIONS(9045), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [183575] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9167), 1,
      anon_sym_DQUOTE,
    STATE(5590), 1,
      sym_comment,
    STATE(5653), 1,
      aux_sym_string_repeat1,
    ACTIONS(9041), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [183595] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    ACTIONS(9169), 1,
      anon_sym_RPAREN,
    STATE(5591), 1,
      sym_comment,
  [183617] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9167), 1,
      anon_sym_SQUOTE,
    STATE(5592), 1,
      sym_comment,
    STATE(5656), 1,
      aux_sym_string_repeat2,
    ACTIONS(9045), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [183637] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5593), 1,
      sym_comment,
    ACTIONS(9171), 4,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
  [183653] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9047), 1,
      anon_sym_from,
    STATE(5594), 1,
      sym_comment,
    STATE(6754), 1,
      sym__from_clause,
    ACTIONS(5330), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183673] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8001), 1,
      anon_sym_DOT,
    ACTIONS(9173), 1,
      anon_sym_COMMA,
    ACTIONS(9175), 1,
      anon_sym_GT,
    STATE(5595), 1,
      sym_comment,
    STATE(6330), 1,
      aux_sym_type_arguments_repeat1,
  [183695] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(9177), 1,
      anon_sym_LT,
    STATE(2411), 1,
      sym_type_arguments,
    STATE(2412), 1,
      sym_arguments,
    STATE(5596), 1,
      sym_comment,
  [183717] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(9179), 1,
      anon_sym_class,
    STATE(4776), 1,
      aux_sym_export_statement_repeat1,
    STATE(5597), 1,
      sym_comment,
    STATE(5685), 1,
      sym_decorator,
  [183739] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7829), 1,
      anon_sym_const,
    ACTIONS(9107), 1,
      sym_identifier,
    ACTIONS(9181), 1,
      anon_sym_GT,
    STATE(5598), 1,
      sym_comment,
    STATE(6923), 1,
      sym_type_parameter,
  [183761] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5469), 1,
      anon_sym_COMMA,
    STATE(5599), 1,
      sym_comment,
    STATE(5667), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(8594), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183781] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5368), 1,
      anon_sym_BQUOTE,
    STATE(5600), 1,
      sym_comment,
    STATE(3280), 2,
      sym_template_string,
      sym_arguments,
  [183801] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(5601), 1,
      sym_comment,
    STATE(6837), 1,
      sym_type_parameters,
    STATE(7376), 1,
      sym_formal_parameters,
  [183823] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9051), 1,
      anon_sym_COMMA,
    STATE(5602), 1,
      sym_comment,
    STATE(5662), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9183), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183843] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9051), 1,
      anon_sym_COMMA,
    STATE(5603), 1,
      sym_comment,
    STATE(5662), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9185), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183863] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5604), 1,
      sym_comment,
    ACTIONS(8120), 4,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
      anon_sym_abstract,
  [183879] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5605), 1,
      sym_comment,
    ACTIONS(9187), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [183895] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5606), 1,
      sym_comment,
    ACTIONS(9030), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [183911] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9189), 1,
      anon_sym_SQUOTE,
    STATE(5607), 1,
      sym_comment,
    STATE(5656), 1,
      aux_sym_string_repeat2,
    ACTIONS(9045), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [183931] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8001), 1,
      anon_sym_DOT,
    ACTIONS(9191), 1,
      anon_sym_COMMA,
    ACTIONS(9193), 1,
      anon_sym_GT,
    STATE(5608), 1,
      sym_comment,
    STATE(6107), 1,
      aux_sym_type_arguments_repeat1,
  [183953] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9195), 1,
      anon_sym_EQ,
    STATE(5609), 1,
      sym_comment,
    STATE(6975), 1,
      sym__initializer,
    ACTIONS(7451), 2,
      anon_sym_in,
      anon_sym_of,
  [183973] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(5610), 1,
      sym_comment,
    STATE(6853), 1,
      sym_type_parameters,
    STATE(7472), 1,
      sym_formal_parameters,
  [183995] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9189), 1,
      anon_sym_DQUOTE,
    STATE(5611), 1,
      sym_comment,
    STATE(5653), 1,
      aux_sym_string_repeat1,
    ACTIONS(9041), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [184015] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9047), 1,
      anon_sym_from,
    STATE(5612), 1,
      sym_comment,
    STATE(6683), 1,
      sym__from_clause,
    ACTIONS(5847), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184035] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(9197), 1,
      anon_sym_export,
    STATE(4776), 1,
      aux_sym_export_statement_repeat1,
    STATE(5613), 1,
      sym_comment,
    STATE(5685), 1,
      sym_decorator,
  [184057] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      anon_sym_BQUOTE,
    STATE(5614), 1,
      sym_comment,
    STATE(2578), 2,
      sym_template_string,
      sym_arguments,
  [184077] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9199), 1,
      anon_sym_SQUOTE,
    STATE(5615), 1,
      sym_comment,
    STATE(5656), 1,
      aux_sym_string_repeat2,
    ACTIONS(9045), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [184097] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9199), 1,
      anon_sym_DQUOTE,
    STATE(5616), 1,
      sym_comment,
    STATE(5653), 1,
      aux_sym_string_repeat1,
    ACTIONS(9041), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [184117] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    ACTIONS(9201), 1,
      anon_sym_RBRACK,
    STATE(5617), 1,
      sym_comment,
  [184139] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9051), 1,
      anon_sym_COMMA,
    STATE(5618), 1,
      sym_comment,
    STATE(5662), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9203), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184159] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9051), 1,
      anon_sym_COMMA,
    STATE(5619), 1,
      sym_comment,
    STATE(5662), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9205), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184179] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8068), 1,
      anon_sym_EQ,
    STATE(5620), 1,
      sym_comment,
    STATE(6576), 1,
      sym_default_type,
    ACTIONS(9207), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [184199] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9047), 1,
      anon_sym_from,
    STATE(5621), 1,
      sym_comment,
    STATE(6949), 1,
      sym__from_clause,
    ACTIONS(5700), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184219] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9209), 1,
      anon_sym_EQ,
    ACTIONS(9211), 1,
      anon_sym_COMMA,
    ACTIONS(9213), 1,
      anon_sym_RBRACK,
    STATE(5622), 1,
      sym_comment,
    STATE(5821), 1,
      aux_sym_array_pattern_repeat1,
  [184241] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9209), 1,
      anon_sym_EQ,
    ACTIONS(9211), 1,
      anon_sym_COMMA,
    ACTIONS(9215), 1,
      anon_sym_RBRACK,
    STATE(5623), 1,
      sym_comment,
    STATE(6191), 1,
      aux_sym_array_pattern_repeat1,
  [184263] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9217), 1,
      anon_sym_SQUOTE,
    STATE(5624), 1,
      sym_comment,
    STATE(5656), 1,
      aux_sym_string_repeat2,
    ACTIONS(9045), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [184283] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9217), 1,
      anon_sym_DQUOTE,
    STATE(5625), 1,
      sym_comment,
    STATE(5653), 1,
      aux_sym_string_repeat1,
    ACTIONS(9041), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [184303] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    ACTIONS(9219), 1,
      anon_sym_RBRACK,
    STATE(5626), 1,
      sym_comment,
  [184325] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(5627), 1,
      sym_comment,
    STATE(6722), 1,
      sym_type_parameters,
    STATE(7494), 1,
      sym_formal_parameters,
  [184347] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    ACTIONS(9221), 1,
      anon_sym_RBRACK,
    STATE(5628), 1,
      sym_comment,
  [184369] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9051), 1,
      anon_sym_COMMA,
    STATE(5602), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5629), 1,
      sym_comment,
    ACTIONS(9223), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184389] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9051), 1,
      anon_sym_COMMA,
    STATE(5603), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5630), 1,
      sym_comment,
    ACTIONS(9225), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184409] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9227), 1,
      anon_sym_DQUOTE,
    STATE(5631), 1,
      sym_comment,
    STATE(5706), 1,
      aux_sym_string_repeat1,
    ACTIONS(9041), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [184429] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9227), 1,
      anon_sym_SQUOTE,
    STATE(5632), 1,
      sym_comment,
    STATE(5707), 1,
      aux_sym_string_repeat2,
    ACTIONS(9045), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [184449] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    ACTIONS(9229), 1,
      anon_sym_RBRACK,
    STATE(5633), 1,
      sym_comment,
  [184471] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(5634), 1,
      sym_comment,
    STATE(7018), 1,
      sym_type_parameters,
    STATE(7343), 1,
      sym_formal_parameters,
  [184493] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9051), 1,
      anon_sym_COMMA,
    STATE(5618), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5635), 1,
      sym_comment,
    ACTIONS(9231), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184513] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9051), 1,
      anon_sym_COMMA,
    STATE(5619), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5636), 1,
      sym_comment,
    ACTIONS(9233), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184533] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8068), 1,
      anon_sym_EQ,
    STATE(5637), 1,
      sym_comment,
    STATE(6953), 1,
      sym_default_type,
    ACTIONS(9235), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [184553] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(5638), 1,
      sym_comment,
    STATE(7023), 1,
      sym_type_parameters,
    STATE(7275), 1,
      sym_formal_parameters,
  [184575] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9047), 1,
      anon_sym_from,
    STATE(5639), 1,
      sym_comment,
    STATE(7068), 1,
      sym__from_clause,
    ACTIONS(9237), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184595] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8146), 1,
      anon_sym_EQ,
    STATE(5640), 1,
      sym_comment,
    STATE(6867), 1,
      sym__initializer,
    ACTIONS(9239), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [184615] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7829), 1,
      anon_sym_const,
    ACTIONS(9107), 1,
      sym_identifier,
    ACTIONS(9241), 1,
      anon_sym_GT,
    STATE(5641), 1,
      sym_comment,
    STATE(6923), 1,
      sym_type_parameter,
  [184637] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    ACTIONS(9243), 1,
      anon_sym_COLON,
    STATE(5642), 1,
      sym_comment,
  [184659] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9245), 1,
      anon_sym_SQUOTE,
    STATE(5624), 1,
      aux_sym_string_repeat2,
    STATE(5643), 1,
      sym_comment,
    ACTIONS(9045), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [184679] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9245), 1,
      anon_sym_DQUOTE,
    STATE(5625), 1,
      aux_sym_string_repeat1,
    STATE(5644), 1,
      sym_comment,
    ACTIONS(9041), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [184699] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8146), 1,
      anon_sym_EQ,
    STATE(5645), 1,
      sym_comment,
    STATE(7000), 1,
      sym__initializer,
    ACTIONS(9247), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [184719] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9047), 1,
      anon_sym_from,
    STATE(5646), 1,
      sym_comment,
    STATE(6838), 1,
      sym__from_clause,
    ACTIONS(9249), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184739] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9051), 1,
      anon_sym_COMMA,
    STATE(5571), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5647), 1,
      sym_comment,
    ACTIONS(9251), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184759] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9075), 1,
      anon_sym_COMMA,
    STATE(5528), 1,
      aux_sym_extends_clause_repeat1,
    STATE(5648), 1,
      sym_comment,
    ACTIONS(9253), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [184779] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8550), 1,
      anon_sym_finally,
    STATE(5649), 1,
      sym_comment,
    STATE(6421), 1,
      sym_finally_clause,
    ACTIONS(3076), 2,
      anon_sym_else,
      anon_sym_while,
  [184799] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9051), 1,
      anon_sym_COMMA,
    STATE(5569), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5650), 1,
      sym_comment,
    ACTIONS(9255), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184819] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9137), 1,
      sym__glimmer_template_content,
    ACTIONS(9257), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(2502), 1,
      sym_glimmer_closing_tag,
    STATE(5651), 1,
      sym_comment,
    STATE(5698), 1,
      aux_sym_glimmer_template_repeat1,
  [184841] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9047), 1,
      anon_sym_from,
    STATE(5652), 1,
      sym_comment,
    STATE(6446), 1,
      sym__from_clause,
    ACTIONS(9259), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184861] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9261), 1,
      anon_sym_DQUOTE,
    ACTIONS(9263), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
    STATE(5653), 2,
      sym_comment,
      aux_sym_string_repeat1,
  [184879] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9266), 1,
      anon_sym_SQUOTE,
    STATE(5615), 1,
      aux_sym_string_repeat2,
    STATE(5654), 1,
      sym_comment,
    ACTIONS(9045), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [184899] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9266), 1,
      anon_sym_DQUOTE,
    STATE(5616), 1,
      aux_sym_string_repeat1,
    STATE(5655), 1,
      sym_comment,
    ACTIONS(9041), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [184919] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9268), 1,
      anon_sym_SQUOTE,
    ACTIONS(9270), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
    STATE(5656), 2,
      sym_comment,
      aux_sym_string_repeat2,
  [184937] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(2698), 1,
      anon_sym_AT,
    ACTIONS(9273), 1,
      anon_sym_class,
    STATE(4776), 1,
      aux_sym_export_statement_repeat1,
    STATE(5657), 1,
      sym_comment,
    STATE(5685), 1,
      sym_decorator,
  [184959] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(5658), 1,
      sym_comment,
    STATE(6979), 1,
      sym_type_parameters,
    STATE(7160), 1,
      sym_formal_parameters,
  [184981] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5659), 1,
      sym_comment,
    ACTIONS(9275), 4,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
      anon_sym_abstract,
  [184997] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(5660), 1,
      sym_comment,
    STATE(6974), 1,
      sym_type_parameters,
    STATE(7208), 1,
      sym_formal_parameters,
  [185019] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    ACTIONS(9277), 1,
      anon_sym_COLON,
    STATE(5661), 1,
      sym_comment,
  [185041] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9279), 1,
      anon_sym_COMMA,
    ACTIONS(9282), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(5662), 2,
      sym_comment,
      aux_sym_variable_declaration_repeat1,
  [185059] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8001), 1,
      anon_sym_DOT,
    ACTIONS(9284), 1,
      anon_sym_COMMA,
    ACTIONS(9286), 1,
      anon_sym_GT,
    STATE(5663), 1,
      sym_comment,
    STATE(6223), 1,
      aux_sym_type_arguments_repeat1,
  [185081] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(5664), 1,
      sym_comment,
    STATE(6882), 1,
      sym_type_parameters,
    STATE(7431), 1,
      sym_formal_parameters,
  [185103] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5665), 1,
      sym_comment,
    ACTIONS(6694), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [185119] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(5666), 1,
      sym_comment,
    STATE(6879), 1,
      sym_type_parameters,
    STATE(7486), 1,
      sym_formal_parameters,
  [185141] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9288), 1,
      anon_sym_COMMA,
    ACTIONS(5270), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(5667), 2,
      sym_comment,
      aux_sym_sequence_expression_repeat1,
  [185159] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    ACTIONS(9291), 1,
      anon_sym_RBRACK,
    STATE(5668), 1,
      sym_comment,
  [185181] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9047), 1,
      anon_sym_from,
    STATE(5669), 1,
      sym_comment,
    STATE(6694), 1,
      sym__from_clause,
    ACTIONS(9293), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185201] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    ACTIONS(9295), 1,
      anon_sym_RBRACK,
    STATE(5670), 1,
      sym_comment,
  [185223] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    ACTIONS(9297), 1,
      anon_sym_QMARK,
    STATE(5671), 1,
      sym_comment,
  [185245] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9299), 1,
      sym_identifier,
    STATE(4888), 1,
      sym_nested_type_identifier,
    STATE(5577), 1,
      sym_generic_type,
    STATE(5672), 1,
      sym_comment,
    STATE(7193), 1,
      sym_nested_identifier,
  [185267] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    ACTIONS(9301), 1,
      anon_sym_QMARK,
    STATE(5673), 1,
      sym_comment,
  [185289] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9051), 1,
      anon_sym_COMMA,
    STATE(5674), 1,
      sym_comment,
    STATE(5700), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9303), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185309] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9051), 1,
      anon_sym_COMMA,
    STATE(5675), 1,
      sym_comment,
    STATE(5701), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9305), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185329] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8146), 1,
      anon_sym_EQ,
    STATE(5676), 1,
      sym_comment,
    STATE(6709), 1,
      sym__initializer,
    ACTIONS(9307), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [185349] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9309), 1,
      anon_sym_LBRACE,
    ACTIONS(9311), 1,
      anon_sym_COMMA,
    ACTIONS(9314), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5677), 2,
      sym_comment,
      aux_sym_extends_type_clause_repeat1,
  [185369] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7965), 1,
      anon_sym_COMMA,
    ACTIONS(9316), 1,
      anon_sym_LBRACE,
    ACTIONS(9318), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5677), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(5678), 1,
      sym_comment,
  [185391] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7965), 1,
      anon_sym_COMMA,
    ACTIONS(9316), 1,
      anon_sym_LBRACE,
    ACTIONS(9318), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5677), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(5679), 1,
      sym_comment,
  [185413] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7965), 1,
      anon_sym_COMMA,
    ACTIONS(9320), 1,
      anon_sym_LBRACE,
    ACTIONS(9322), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5677), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(5680), 1,
      sym_comment,
  [185435] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    ACTIONS(9324), 1,
      anon_sym_RPAREN,
    STATE(5681), 1,
      sym_comment,
  [185457] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4101), 1,
      anon_sym_LPAREN,
    ACTIONS(6982), 1,
      anon_sym_LT,
    STATE(3975), 1,
      sym_arguments,
    STATE(4082), 1,
      sym_type_arguments,
    STATE(5682), 1,
      sym_comment,
  [185479] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9326), 1,
      anon_sym_COMMA,
    ACTIONS(5880), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(5683), 2,
      sym_comment,
      aux_sym_array_repeat1,
  [185497] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9329), 1,
      sym_identifier,
    STATE(4980), 1,
      sym_nested_type_identifier,
    STATE(5684), 1,
      sym_comment,
    STATE(5789), 1,
      sym_generic_type,
    STATE(7193), 1,
      sym_nested_identifier,
  [185519] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5685), 1,
      sym_comment,
    ACTIONS(9331), 4,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
      anon_sym_abstract,
  [185535] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9137), 1,
      sym__glimmer_template_content,
    ACTIONS(9139), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(3195), 1,
      sym_glimmer_closing_tag,
    STATE(5567), 1,
      aux_sym_glimmer_template_repeat1,
    STATE(5686), 1,
      sym_comment,
  [185557] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_LT,
    STATE(5687), 1,
      sym_comment,
    STATE(6512), 1,
      sym_type_parameters,
    STATE(7444), 1,
      sym_formal_parameters,
  [185579] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8001), 1,
      anon_sym_DOT,
    ACTIONS(9333), 1,
      anon_sym_COMMA,
    ACTIONS(9335), 1,
      anon_sym_GT,
    STATE(5688), 1,
      sym_comment,
    STATE(5826), 1,
      aux_sym_type_arguments_repeat1,
  [185601] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4474), 1,
      anon_sym_COLON,
    ACTIONS(7139), 1,
      anon_sym_EQ,
    STATE(5689), 1,
      sym_comment,
    ACTIONS(9337), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [185621] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    ACTIONS(9339), 1,
      anon_sym_RPAREN,
    STATE(5690), 1,
      sym_comment,
  [185643] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9341), 1,
      anon_sym_SQUOTE,
    STATE(5607), 1,
      aux_sym_string_repeat2,
    STATE(5691), 1,
      sym_comment,
    ACTIONS(9045), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [185663] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9341), 1,
      anon_sym_DQUOTE,
    STATE(5611), 1,
      aux_sym_string_repeat1,
    STATE(5692), 1,
      sym_comment,
    ACTIONS(9041), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [185683] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    ACTIONS(9343), 1,
      anon_sym_RBRACK,
    STATE(5693), 1,
      sym_comment,
  [185705] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9047), 1,
      anon_sym_from,
    STATE(5694), 1,
      sym_comment,
    STATE(6636), 1,
      sym__from_clause,
    ACTIONS(5845), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185725] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    ACTIONS(9345), 1,
      anon_sym_RBRACK,
    STATE(5695), 1,
      sym_comment,
  [185747] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    ACTIONS(9347), 1,
      anon_sym_RBRACK,
    STATE(5696), 1,
      sym_comment,
  [185769] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    ACTIONS(9349), 1,
      anon_sym_QMARK,
    STATE(5697), 1,
      sym_comment,
  [185791] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9137), 1,
      sym__glimmer_template_content,
    ACTIONS(9257), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(2546), 1,
      sym_glimmer_closing_tag,
    STATE(5698), 1,
      sym_comment,
    STATE(5887), 1,
      aux_sym_glimmer_template_repeat1,
  [185813] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8620), 1,
      anon_sym_RBRACE,
    STATE(5699), 1,
      sym_comment,
    ACTIONS(5136), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [185831] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9051), 1,
      anon_sym_COMMA,
    STATE(5662), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5700), 1,
      sym_comment,
    ACTIONS(9351), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185851] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9051), 1,
      anon_sym_COMMA,
    STATE(5662), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5701), 1,
      sym_comment,
    ACTIONS(9353), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185871] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    ACTIONS(9355), 1,
      anon_sym_QMARK,
    STATE(5702), 1,
      sym_comment,
  [185893] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9359), 1,
      anon_sym_COMMA,
    ACTIONS(9357), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
    STATE(5703), 2,
      sym_comment,
      aux_sym_extends_clause_repeat1,
  [185911] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    STATE(4617), 1,
      sym_formal_parameters,
    STATE(5704), 1,
      sym_comment,
    STATE(6766), 1,
      sym_type_parameters,
  [185933] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    STATE(5705), 1,
      sym_comment,
  [185955] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9364), 1,
      anon_sym_DQUOTE,
    STATE(5653), 1,
      aux_sym_string_repeat1,
    STATE(5706), 1,
      sym_comment,
    ACTIONS(9041), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [185975] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9364), 1,
      anon_sym_SQUOTE,
    STATE(5656), 1,
      aux_sym_string_repeat2,
    STATE(5707), 1,
      sym_comment,
    ACTIONS(9045), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [185995] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5708), 1,
      sym_comment,
    ACTIONS(9366), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186010] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5709), 1,
      sym_comment,
    ACTIONS(9368), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186025] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5710), 1,
      sym_comment,
    ACTIONS(9370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186040] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9372), 1,
      sym_identifier,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9376), 1,
      sym_private_property_identifier,
    STATE(5711), 1,
      sym_comment,
  [186059] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5712), 1,
      sym_comment,
    ACTIONS(9378), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186074] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5713), 1,
      sym_comment,
    ACTIONS(9378), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186089] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5714), 1,
      sym_comment,
    ACTIONS(9378), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186104] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9380), 1,
      sym_identifier,
    ACTIONS(9382), 1,
      anon_sym_LBRACK,
    ACTIONS(9384), 1,
      sym_private_property_identifier,
    STATE(5715), 1,
      sym_comment,
  [186123] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9386), 1,
      sym_identifier,
    ACTIONS(9388), 1,
      anon_sym_LBRACK,
    ACTIONS(9390), 1,
      sym_private_property_identifier,
    STATE(5716), 1,
      sym_comment,
  [186142] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(9392), 1,
      anon_sym_EQ,
    STATE(5717), 1,
      sym_comment,
    STATE(7526), 1,
      sym_type_parameters,
  [186161] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9209), 1,
      anon_sym_EQ,
    STATE(5718), 1,
      sym_comment,
    ACTIONS(9394), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [186178] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5190), 1,
      anon_sym_LBRACE,
    STATE(5719), 1,
      sym_comment,
    ACTIONS(5192), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [186195] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5203), 1,
      anon_sym_LBRACE,
    STATE(5720), 1,
      sym_comment,
    ACTIONS(5205), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [186212] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5207), 1,
      anon_sym_LBRACE,
    STATE(5721), 1,
      sym_comment,
    ACTIONS(5209), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [186229] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5252), 1,
      anon_sym_LBRACE,
    STATE(5722), 1,
      sym_comment,
    ACTIONS(5254), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [186246] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5723), 1,
      sym_comment,
    ACTIONS(9396), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
  [186261] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5724), 1,
      sym_comment,
    ACTIONS(9378), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186276] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9398), 1,
      anon_sym_COMMA,
    ACTIONS(9400), 1,
      anon_sym_RBRACK,
    STATE(5725), 1,
      sym_comment,
    STATE(5740), 1,
      aux_sym_tuple_type_repeat1,
  [186295] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5726), 1,
      sym_comment,
    ACTIONS(9402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186310] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5252), 1,
      anon_sym_LBRACE,
    STATE(5727), 1,
      sym_comment,
    ACTIONS(5254), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [186327] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5728), 1,
      sym_comment,
    ACTIONS(9370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186342] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5729), 1,
      sym_comment,
    ACTIONS(9370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186357] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5730), 1,
      sym_comment,
    ACTIONS(9402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186372] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9404), 1,
      anon_sym_EQ,
    STATE(5731), 1,
      sym_comment,
    ACTIONS(9406), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [186389] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(9408), 1,
      anon_sym_EQ,
    STATE(5732), 1,
      sym_comment,
    STATE(7504), 1,
      sym_type_parameters,
  [186408] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5256), 1,
      anon_sym_LBRACE,
    STATE(5733), 1,
      sym_comment,
    ACTIONS(5258), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [186425] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5734), 1,
      sym_comment,
    ACTIONS(9410), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186440] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5256), 1,
      anon_sym_LBRACE,
    STATE(5735), 1,
      sym_comment,
    ACTIONS(5258), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [186457] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5186), 1,
      anon_sym_LBRACE,
    STATE(5736), 1,
      sym_comment,
    ACTIONS(5188), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [186474] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5276), 1,
      anon_sym_LBRACE,
    STATE(5737), 1,
      sym_comment,
    ACTIONS(5278), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [186491] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5280), 1,
      anon_sym_LBRACE,
    STATE(5738), 1,
      sym_comment,
    ACTIONS(5282), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [186508] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5284), 1,
      anon_sym_LBRACE,
    STATE(5739), 1,
      sym_comment,
    ACTIONS(5286), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [186525] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9412), 1,
      anon_sym_COMMA,
    ACTIONS(9414), 1,
      anon_sym_RBRACK,
    STATE(5740), 1,
      sym_comment,
    STATE(5773), 1,
      aux_sym_tuple_type_repeat1,
  [186544] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9416), 1,
      anon_sym_EQ,
    STATE(5741), 1,
      sym_comment,
    ACTIONS(9406), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [186561] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(9418), 1,
      anon_sym_EQ,
    STATE(5742), 1,
      sym_comment,
    STATE(7476), 1,
      sym_type_parameters,
  [186580] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9420), 1,
      anon_sym_COMMA,
    ACTIONS(9422), 1,
      anon_sym_RPAREN,
    STATE(5743), 1,
      sym_comment,
    STATE(5997), 1,
      aux_sym_formal_parameters_repeat1,
  [186599] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9424), 1,
      anon_sym_LPAREN,
    ACTIONS(9426), 1,
      anon_sym_await,
    STATE(93), 1,
      sym__for_header,
    STATE(5744), 1,
      sym_comment,
  [186618] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9428), 1,
      anon_sym_LBRACE,
    ACTIONS(9430), 1,
      anon_sym_LPAREN,
    STATE(1035), 1,
      sym_statement_block,
    STATE(5745), 1,
      sym_comment,
  [186637] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5746), 1,
      sym_comment,
    ACTIONS(9432), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186652] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5747), 1,
      sym_comment,
    ACTIONS(9370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186667] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5748), 1,
      sym_comment,
    ACTIONS(9432), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186682] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5749), 1,
      sym_comment,
    ACTIONS(9434), 3,
      sym__template_chars,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [186697] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5750), 1,
      sym_comment,
    ACTIONS(9370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186712] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5751), 1,
      sym_comment,
    ACTIONS(9436), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186727] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9438), 1,
      sym_identifier,
    ACTIONS(9440), 1,
      anon_sym_LBRACK,
    ACTIONS(9442), 1,
      sym_private_property_identifier,
    STATE(5752), 1,
      sym_comment,
  [186746] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9444), 1,
      anon_sym_EQ,
    STATE(5753), 1,
      sym_comment,
    ACTIONS(4203), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [186763] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9447), 1,
      sym_identifier,
    ACTIONS(9449), 1,
      anon_sym_SEMI,
    ACTIONS(9451), 1,
      sym__automatic_semicolon,
    STATE(5754), 1,
      sym_comment,
  [186782] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9453), 1,
      anon_sym_EQ,
    STATE(5755), 1,
      sym_comment,
    ACTIONS(9406), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [186799] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(9455), 1,
      anon_sym_EQ,
    STATE(5756), 1,
      sym_comment,
    STATE(7442), 1,
      sym_type_parameters,
  [186818] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8648), 1,
      anon_sym_LBRACE,
    ACTIONS(9457), 1,
      anon_sym_COMMA,
    STATE(5757), 2,
      sym_comment,
      aux_sym_implements_clause_repeat1,
  [186835] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9460), 1,
      sym_identifier,
    ACTIONS(9462), 1,
      anon_sym_SEMI,
    ACTIONS(9464), 1,
      sym__automatic_semicolon,
    STATE(5758), 1,
      sym_comment,
  [186854] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9466), 1,
      anon_sym_LBRACE,
    STATE(5759), 1,
      sym_comment,
    ACTIONS(8891), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [186871] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5760), 1,
      sym_comment,
    ACTIONS(9468), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186886] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5761), 1,
      sym_comment,
    ACTIONS(9468), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186901] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8116), 1,
      anon_sym_LBRACE,
    ACTIONS(8118), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1496), 1,
      sym_object_type,
    STATE(5762), 1,
      sym_comment,
  [186920] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5763), 1,
      sym_comment,
    ACTIONS(9470), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186935] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(3218), 1,
      anon_sym_while,
    ACTIONS(9472), 1,
      anon_sym_else,
    STATE(5764), 1,
      sym_comment,
    STATE(6398), 1,
      sym_else_clause,
  [186954] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5765), 1,
      sym_comment,
    ACTIONS(9474), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186969] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5784), 1,
      anon_sym_COMMA,
    ACTIONS(5835), 1,
      anon_sym_RPAREN,
    STATE(5766), 1,
      sym_comment,
    STATE(5819), 1,
      aux_sym_array_repeat1,
  [186988] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5784), 1,
      anon_sym_COMMA,
    ACTIONS(5835), 1,
      anon_sym_RPAREN,
    STATE(5683), 1,
      aux_sym_array_repeat1,
    STATE(5767), 1,
      sym_comment,
  [187007] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7008), 1,
      anon_sym_LPAREN,
    ACTIONS(9476), 1,
      anon_sym_DOT,
    STATE(4774), 1,
      sym_arguments,
    STATE(5768), 1,
      sym_comment,
  [187026] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5769), 1,
      sym_comment,
    ACTIONS(9478), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187041] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5770), 1,
      sym_comment,
    ACTIONS(9470), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187056] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5771), 1,
      sym_comment,
    ACTIONS(9432), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187071] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9480), 1,
      sym_identifier,
    STATE(4658), 1,
      sym_decorator_member_expression,
    STATE(5604), 1,
      sym_decorator_call_expression,
    STATE(5772), 1,
      sym_comment,
  [187090] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9482), 1,
      anon_sym_COMMA,
    ACTIONS(9485), 1,
      anon_sym_RBRACK,
    STATE(5773), 2,
      sym_comment,
      aux_sym_tuple_type_repeat1,
  [187107] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5774), 1,
      sym_comment,
    ACTIONS(9378), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187122] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5775), 1,
      sym_comment,
    ACTIONS(9378), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187137] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5776), 1,
      sym_comment,
    ACTIONS(9487), 3,
      sym__template_chars,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [187152] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5777), 1,
      sym_comment,
    ACTIONS(9402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187167] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5778), 1,
      sym_comment,
    ACTIONS(9489), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187182] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8923), 1,
      anon_sym_DOT,
    ACTIONS(9491), 1,
      anon_sym_COLON,
    ACTIONS(9493), 1,
      anon_sym_GT,
    STATE(5779), 1,
      sym_comment,
  [187201] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8046), 1,
      anon_sym_EQ,
    STATE(5780), 1,
      sym_comment,
    ACTIONS(4293), 2,
      anon_sym_in,
      anon_sym_of,
  [187218] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5781), 1,
      sym_comment,
    ACTIONS(9495), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187233] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5782), 1,
      sym_comment,
    ACTIONS(9402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187248] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7829), 1,
      anon_sym_const,
    ACTIONS(9107), 1,
      sym_identifier,
    STATE(5783), 1,
      sym_comment,
    STATE(6923), 1,
      sym_type_parameter,
  [187267] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9047), 1,
      anon_sym_from,
    ACTIONS(9497), 1,
      anon_sym_as,
    STATE(5784), 1,
      sym_comment,
    STATE(6731), 1,
      sym__from_clause,
  [187286] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5785), 1,
      sym_comment,
    ACTIONS(9495), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187301] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9499), 1,
      sym_identifier,
    ACTIONS(9501), 1,
      anon_sym_LBRACE,
    STATE(5594), 1,
      sym_export_clause,
    STATE(5786), 1,
      sym_comment,
  [187320] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5787), 1,
      sym_comment,
    ACTIONS(9503), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187335] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5788), 1,
      sym_comment,
    ACTIONS(9489), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187350] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8686), 1,
      anon_sym_LBRACE,
    STATE(5789), 1,
      sym_comment,
    ACTIONS(8688), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [187367] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5790), 1,
      sym_comment,
    ACTIONS(9378), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187382] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5791), 1,
      sym_comment,
    ACTIONS(9505), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [187397] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7901), 1,
      anon_sym_DOT,
    STATE(5792), 1,
      sym_comment,
    ACTIONS(9507), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [187414] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7881), 1,
      anon_sym_DOT,
    STATE(5793), 1,
      sym_comment,
    ACTIONS(9507), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [187431] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5794), 1,
      sym_comment,
    ACTIONS(9489), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187446] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9509), 1,
      anon_sym_COMMA,
    ACTIONS(9512), 1,
      anon_sym_RBRACK,
    STATE(5795), 2,
      sym_comment,
      aux_sym_array_pattern_repeat1,
  [187463] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5796), 1,
      sym_comment,
    ACTIONS(9495), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187478] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5797), 1,
      sym_comment,
    ACTIONS(9495), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187493] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5798), 1,
      sym_comment,
    ACTIONS(9503), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187508] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5799), 1,
      sym_comment,
    ACTIONS(9514), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187523] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5800), 1,
      sym_comment,
    ACTIONS(9378), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187538] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5801), 1,
      sym_comment,
    ACTIONS(9516), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187553] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9518), 1,
      anon_sym_COMMA,
    ACTIONS(9520), 1,
      anon_sym_RBRACK,
    STATE(5802), 1,
      sym_comment,
    STATE(5856), 1,
      aux_sym_tuple_type_repeat1,
  [187572] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5803), 1,
      sym_comment,
    ACTIONS(9489), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187587] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9522), 1,
      anon_sym_COMMA,
    ACTIONS(9524), 1,
      anon_sym_RBRACE,
    STATE(5804), 1,
      sym_comment,
    STATE(6040), 1,
      aux_sym_enum_body_repeat1,
  [187606] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5805), 1,
      sym_comment,
    ACTIONS(9516), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187621] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7350), 1,
      anon_sym_extends,
    ACTIONS(8680), 1,
      anon_sym_PIPE,
    STATE(5806), 1,
      sym_comment,
  [187640] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5807), 1,
      sym_comment,
    ACTIONS(9526), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187655] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9528), 1,
      anon_sym_COMMA,
    ACTIONS(9530), 1,
      anon_sym_RPAREN,
    STATE(5743), 1,
      aux_sym_formal_parameters_repeat1,
    STATE(5808), 1,
      sym_comment,
  [187674] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5809), 1,
      sym_comment,
    ACTIONS(9489), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187689] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5810), 1,
      sym_comment,
    ACTIONS(3202), 3,
      anon_sym_else,
      anon_sym_while,
      anon_sym_finally,
  [187704] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9532), 1,
      anon_sym_COMMA,
    ACTIONS(9534), 1,
      anon_sym_RBRACE,
    STATE(5811), 1,
      sym_comment,
    STATE(6040), 1,
      aux_sym_enum_body_repeat1,
  [187723] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5812), 1,
      sym_comment,
    ACTIONS(9536), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187738] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6238), 1,
      sym__automatic_semicolon,
    STATE(5813), 1,
      sym_comment,
    ACTIONS(2295), 2,
      anon_sym_else,
      anon_sym_while,
  [187755] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5814), 1,
      sym_comment,
    ACTIONS(9489), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187770] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5815), 1,
      sym_comment,
    ACTIONS(9536), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187785] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8116), 1,
      anon_sym_LBRACE,
    ACTIONS(8118), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1456), 1,
      sym_object_type,
    STATE(5816), 1,
      sym_comment,
  [187804] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5817), 1,
      sym_comment,
    ACTIONS(9495), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187819] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9538), 1,
      anon_sym_COMMA,
    ACTIONS(9540), 1,
      anon_sym_RBRACE,
    STATE(5818), 1,
      sym_comment,
    STATE(5865), 1,
      aux_sym_enum_body_repeat1,
  [187838] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5784), 1,
      anon_sym_COMMA,
    ACTIONS(9542), 1,
      anon_sym_RPAREN,
    STATE(5683), 1,
      aux_sym_array_repeat1,
    STATE(5819), 1,
      sym_comment,
  [187857] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5820), 1,
      sym_comment,
    ACTIONS(9536), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187872] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9211), 1,
      anon_sym_COMMA,
    ACTIONS(9544), 1,
      anon_sym_RBRACK,
    STATE(5795), 1,
      aux_sym_array_pattern_repeat1,
    STATE(5821), 1,
      sym_comment,
  [187891] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5822), 1,
      sym_comment,
    ACTIONS(9495), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187906] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9546), 1,
      anon_sym_COMMA,
    ACTIONS(9548), 1,
      anon_sym_GT,
    STATE(5823), 1,
      sym_comment,
    STATE(5858), 1,
      aux_sym_type_arguments_repeat1,
  [187925] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6240), 1,
      sym__automatic_semicolon,
    STATE(5824), 1,
      sym_comment,
    ACTIONS(2275), 2,
      anon_sym_else,
      anon_sym_while,
  [187942] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9550), 1,
      anon_sym_COMMA,
    ACTIONS(9552), 1,
      anon_sym_RBRACE,
    STATE(5825), 1,
      sym_comment,
    STATE(6352), 1,
      aux_sym_export_clause_repeat1,
  [187961] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9554), 1,
      anon_sym_COMMA,
    ACTIONS(9556), 1,
      anon_sym_GT,
    STATE(5826), 1,
      sym_comment,
    STATE(5858), 1,
      aux_sym_type_arguments_repeat1,
  [187980] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5784), 1,
      anon_sym_COMMA,
    ACTIONS(9558), 1,
      anon_sym_RBRACK,
    STATE(5683), 1,
      aux_sym_array_repeat1,
    STATE(5827), 1,
      sym_comment,
  [187999] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9560), 1,
      anon_sym_COMMA,
    ACTIONS(9562), 1,
      anon_sym_GT,
    STATE(5828), 1,
      sym_comment,
    STATE(5858), 1,
      aux_sym_type_arguments_repeat1,
  [188018] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6311), 1,
      sym__automatic_semicolon,
    STATE(5829), 1,
      sym_comment,
    ACTIONS(2323), 2,
      anon_sym_else,
      anon_sym_while,
  [188035] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5830), 1,
      sym_comment,
    ACTIONS(9536), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188050] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5831), 1,
      sym_comment,
    ACTIONS(9503), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188065] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5832), 1,
      sym_comment,
    ACTIONS(9370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188080] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9564), 1,
      anon_sym_as,
    STATE(5833), 1,
      sym_comment,
    ACTIONS(9566), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [188097] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6336), 1,
      sym__automatic_semicolon,
    STATE(5834), 1,
      sym_comment,
    ACTIONS(2337), 2,
      anon_sym_else,
      anon_sym_while,
  [188114] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5835), 1,
      sym_comment,
    ACTIONS(9489), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188129] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5836), 1,
      sym_comment,
    ACTIONS(9568), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188144] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5837), 1,
      sym_comment,
    ACTIONS(9526), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188159] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8001), 1,
      anon_sym_DOT,
    STATE(5838), 1,
      sym_comment,
    ACTIONS(9570), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [188176] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5839), 1,
      sym_comment,
    ACTIONS(9572), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188191] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8164), 1,
      anon_sym_COMMA,
    ACTIONS(9574), 1,
      anon_sym_LBRACE,
    STATE(5757), 1,
      aux_sym_implements_clause_repeat1,
    STATE(5840), 1,
      sym_comment,
  [188210] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5841), 1,
      sym_comment,
    ACTIONS(9489), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188225] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5842), 1,
      sym_comment,
    ACTIONS(9576), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188240] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5843), 1,
      sym_comment,
    ACTIONS(9526), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188255] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9578), 1,
      anon_sym_as,
    STATE(5844), 1,
      sym_comment,
    ACTIONS(9580), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [188272] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5845), 1,
      sym_comment,
    ACTIONS(9370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188287] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5846), 1,
      sym_comment,
    ACTIONS(9572), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188302] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5847), 1,
      sym_comment,
    ACTIONS(9526), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188317] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9582), 1,
      sym_identifier,
    ACTIONS(9584), 1,
      anon_sym_LBRACK,
    ACTIONS(9586), 1,
      sym_private_property_identifier,
    STATE(5848), 1,
      sym_comment,
  [188336] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9588), 1,
      anon_sym_EQ,
    STATE(5849), 1,
      sym_comment,
    ACTIONS(9406), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [188353] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9590), 1,
      sym_identifier,
    ACTIONS(9592), 1,
      anon_sym_LBRACK,
    ACTIONS(9594), 1,
      sym_private_property_identifier,
    STATE(5850), 1,
      sym_comment,
  [188372] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5851), 1,
      sym_comment,
    ACTIONS(9572), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188387] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9596), 1,
      sym_identifier,
    ACTIONS(9598), 1,
      anon_sym_LBRACK,
    ACTIONS(9600), 1,
      sym_private_property_identifier,
    STATE(5852), 1,
      sym_comment,
  [188406] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5853), 1,
      sym_comment,
    ACTIONS(9489), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188421] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9602), 1,
      sym_identifier,
    ACTIONS(9604), 1,
      anon_sym_LBRACK,
    ACTIONS(9606), 1,
      sym_private_property_identifier,
    STATE(5854), 1,
      sym_comment,
  [188440] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(9608), 1,
      anon_sym_EQ,
    STATE(5855), 1,
      sym_comment,
    STATE(7302), 1,
      sym_type_parameters,
  [188459] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9610), 1,
      anon_sym_COMMA,
    ACTIONS(9612), 1,
      anon_sym_RBRACK,
    STATE(5773), 1,
      aux_sym_tuple_type_repeat1,
    STATE(5856), 1,
      sym_comment,
  [188478] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7171), 1,
      anon_sym_type,
    ACTIONS(9614), 1,
      sym_identifier,
    STATE(5857), 1,
      sym_comment,
    STATE(6587), 1,
      sym__import_identifier,
  [188497] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8718), 1,
      anon_sym_GT,
    ACTIONS(9616), 1,
      anon_sym_COMMA,
    STATE(5858), 2,
      sym_comment,
      aux_sym_type_arguments_repeat1,
  [188514] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5859), 1,
      sym_comment,
    ACTIONS(9495), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188529] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5860), 1,
      sym_comment,
    ACTIONS(9526), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188544] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7100), 1,
      anon_sym_LT,
    ACTIONS(9619), 1,
      anon_sym_EQ,
    STATE(5861), 1,
      sym_comment,
    STATE(7355), 1,
      sym_type_parameters,
  [188563] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5862), 1,
      sym_comment,
    ACTIONS(9474), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188578] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9621), 1,
      anon_sym_COMMA,
    ACTIONS(9623), 1,
      anon_sym_RBRACE,
    STATE(5863), 1,
      sym_comment,
    STATE(6040), 1,
      aux_sym_enum_body_repeat1,
  [188597] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5864), 1,
      sym_comment,
    ACTIONS(9474), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188612] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9625), 1,
      anon_sym_COMMA,
    ACTIONS(9627), 1,
      anon_sym_RBRACE,
    STATE(5865), 1,
      sym_comment,
    STATE(6040), 1,
      aux_sym_enum_body_repeat1,
  [188631] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9209), 1,
      anon_sym_EQ,
    STATE(5866), 1,
      sym_comment,
    ACTIONS(9512), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [188648] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5867), 1,
      sym_comment,
    ACTIONS(5880), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [188663] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5868), 1,
      sym_comment,
    ACTIONS(9495), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188678] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5869), 1,
      sym_comment,
    ACTIONS(9526), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188693] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5870), 1,
      sym_comment,
    ACTIONS(9503), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188708] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5871), 1,
      sym_comment,
    ACTIONS(9629), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188723] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5872), 1,
      sym_comment,
    ACTIONS(9629), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188738] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5873), 1,
      sym_comment,
    ACTIONS(9526), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188753] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5874), 1,
      sym_comment,
    ACTIONS(9526), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188768] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5875), 1,
      sym_comment,
    ACTIONS(9370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188783] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5876), 1,
      sym_comment,
    ACTIONS(9526), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188798] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5877), 1,
      sym_comment,
    ACTIONS(9631), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188813] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5878), 1,
      sym_comment,
    ACTIONS(9489), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188828] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7171), 1,
      anon_sym_type,
    ACTIONS(9614), 1,
      sym_identifier,
    STATE(5879), 1,
      sym_comment,
    STATE(6596), 1,
      sym__import_identifier,
  [188847] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9633), 1,
      anon_sym_COMMA,
    ACTIONS(9635), 1,
      anon_sym_RBRACE,
    STATE(5880), 1,
      sym_comment,
    STATE(6285), 1,
      aux_sym_named_imports_repeat1,
  [188866] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8923), 1,
      anon_sym_DOT,
    ACTIONS(9491), 1,
      anon_sym_COLON,
    ACTIONS(9637), 1,
      anon_sym_GT,
    STATE(5881), 1,
      sym_comment,
  [188885] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5882), 1,
      sym_comment,
    ACTIONS(9639), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188900] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5883), 1,
      sym_comment,
    ACTIONS(9526), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188915] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5884), 1,
      sym_comment,
    ACTIONS(9526), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188930] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9501), 1,
      anon_sym_LBRACE,
    ACTIONS(9641), 1,
      sym_identifier,
    STATE(5523), 1,
      sym_export_clause,
    STATE(5885), 1,
      sym_comment,
  [188949] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9047), 1,
      anon_sym_from,
    ACTIONS(9497), 1,
      anon_sym_as,
    STATE(5886), 1,
      sym_comment,
    STATE(6460), 1,
      sym__from_clause,
  [188968] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9643), 1,
      sym__glimmer_template_content,
    ACTIONS(9646), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(5887), 2,
      sym_comment,
      aux_sym_glimmer_template_repeat1,
  [188985] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5888), 1,
      sym_comment,
    ACTIONS(9648), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189000] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5889), 1,
      sym_comment,
    ACTIONS(6694), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189015] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5890), 1,
      sym_comment,
    ACTIONS(9402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189030] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5891), 1,
      sym_comment,
    ACTIONS(9489), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189045] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5892), 1,
      sym_comment,
    ACTIONS(9526), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189060] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5893), 1,
      sym_comment,
    ACTIONS(9526), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189075] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5894), 1,
      sym_comment,
    ACTIONS(9370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189090] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5895), 1,
      sym_comment,
    ACTIONS(9526), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189105] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5896), 1,
      sym_comment,
    ACTIONS(9526), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189120] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5897), 1,
      sym_comment,
    ACTIONS(9526), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189135] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4178), 1,
      anon_sym_COLON,
    ACTIONS(9650), 1,
      anon_sym_RPAREN,
    STATE(5898), 1,
      sym_comment,
    STATE(7180), 1,
      sym_type_annotation,
  [189154] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5899), 1,
      sym_comment,
    ACTIONS(9489), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189169] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7901), 1,
      anon_sym_DOT,
    STATE(5900), 1,
      sym_comment,
    ACTIONS(9652), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [189186] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4178), 1,
      anon_sym_COLON,
    ACTIONS(9654), 1,
      anon_sym_RPAREN,
    STATE(5901), 1,
      sym_comment,
    STATE(7210), 1,
      sym_type_annotation,
  [189205] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5902), 1,
      sym_comment,
    ACTIONS(9526), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189220] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5903), 1,
      sym_comment,
    ACTIONS(9526), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189235] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5904), 1,
      sym_comment,
    ACTIONS(9526), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189250] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5905), 1,
      sym_comment,
    ACTIONS(9370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189265] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5906), 1,
      sym_comment,
    ACTIONS(9402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189280] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5907), 1,
      sym_comment,
    ACTIONS(9370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189295] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5908), 1,
      sym_comment,
    ACTIONS(9526), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189310] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5909), 1,
      sym_comment,
    ACTIONS(9474), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189325] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5910), 1,
      sym_comment,
    ACTIONS(9370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189340] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5911), 1,
      sym_comment,
    ACTIONS(9631), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189355] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7881), 1,
      anon_sym_DOT,
    STATE(5912), 1,
      sym_comment,
    ACTIONS(9652), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [189372] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5913), 1,
      sym_comment,
    ACTIONS(9474), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189387] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5914), 1,
      sym_comment,
    ACTIONS(9639), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189402] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9656), 1,
      anon_sym_LBRACE,
    ACTIONS(9658), 1,
      anon_sym_LPAREN,
    STATE(1369), 1,
      sym_statement_block,
    STATE(5915), 1,
      sym_comment,
  [189421] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5916), 1,
      sym_comment,
    ACTIONS(9639), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189436] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5917), 1,
      sym_comment,
    ACTIONS(9370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189451] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8828), 1,
      anon_sym_COMMA,
    ACTIONS(9660), 1,
      anon_sym_RBRACE,
    STATE(5918), 1,
      sym_comment,
    STATE(6332), 1,
      aux_sym_object_pattern_repeat1,
  [189470] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5919), 1,
      sym_comment,
    ACTIONS(9402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189485] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5920), 1,
      sym_comment,
    ACTIONS(9402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189500] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5921), 1,
      sym_comment,
    ACTIONS(9370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189515] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9662), 1,
      sym_identifier,
    ACTIONS(9664), 1,
      anon_sym_require,
    STATE(5922), 1,
      sym_comment,
    STATE(6345), 1,
      sym_nested_identifier,
  [189534] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5923), 1,
      sym_comment,
    ACTIONS(9370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189549] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5924), 1,
      sym_comment,
    ACTIONS(9526), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189564] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5925), 1,
      sym_comment,
    ACTIONS(9378), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189579] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5926), 1,
      sym_comment,
    ACTIONS(9474), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189594] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5927), 1,
      sym_comment,
    ACTIONS(9526), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189609] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5928), 1,
      sym_comment,
    ACTIONS(9526), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189624] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9666), 1,
      anon_sym_COMMA,
    ACTIONS(9668), 1,
      anon_sym_RBRACE,
    STATE(5929), 1,
      sym_comment,
    STATE(6353), 1,
      aux_sym_object_repeat1,
  [189643] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9670), 1,
      anon_sym_LPAREN,
    ACTIONS(9672), 1,
      anon_sym_await,
    STATE(88), 1,
      sym__for_header,
    STATE(5930), 1,
      sym_comment,
  [189662] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5931), 1,
      sym_comment,
    ACTIONS(9378), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189677] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5932), 1,
      sym_comment,
    ACTIONS(9526), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189692] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5933), 1,
      sym_comment,
    ACTIONS(9639), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189707] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5934), 1,
      sym_comment,
    ACTIONS(9674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189722] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9676), 1,
      sym_identifier,
    ACTIONS(9678), 1,
      anon_sym_SEMI,
    ACTIONS(9680), 1,
      sym__automatic_semicolon,
    STATE(5935), 1,
      sym_comment,
  [189741] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9682), 1,
      sym_identifier,
    ACTIONS(9684), 1,
      anon_sym_SEMI,
    ACTIONS(9686), 1,
      sym__automatic_semicolon,
    STATE(5936), 1,
      sym_comment,
  [189760] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9501), 1,
      anon_sym_LBRACE,
    ACTIONS(9688), 1,
      sym_identifier,
    STATE(5532), 1,
      sym_export_clause,
    STATE(5937), 1,
      sym_comment,
  [189779] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9047), 1,
      anon_sym_from,
    ACTIONS(9497), 1,
      anon_sym_as,
    STATE(5938), 1,
      sym_comment,
    STATE(6674), 1,
      sym__from_clause,
  [189798] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5939), 1,
      sym_comment,
    ACTIONS(9282), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189813] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_LPAREN,
    ACTIONS(9690), 1,
      anon_sym_DOT,
    STATE(4429), 1,
      sym_arguments,
    STATE(5940), 1,
      sym_comment,
  [189832] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5941), 1,
      sym_comment,
    ACTIONS(9495), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189847] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5942), 1,
      sym_comment,
    ACTIONS(9648), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189862] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5943), 1,
      sym_comment,
    ACTIONS(9378), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189877] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5944), 1,
      sym_comment,
    ACTIONS(9378), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189892] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5945), 1,
      sym_comment,
    ACTIONS(9648), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189907] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5946), 1,
      sym_comment,
    ACTIONS(9402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189922] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9692), 1,
      anon_sym_COMMA,
    ACTIONS(9694), 1,
      anon_sym_RPAREN,
    STATE(5947), 1,
      sym_comment,
    STATE(5997), 1,
      aux_sym_formal_parameters_repeat1,
  [189941] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5784), 1,
      anon_sym_COMMA,
    ACTIONS(5790), 1,
      anon_sym_RPAREN,
    STATE(5683), 1,
      aux_sym_array_repeat1,
    STATE(5948), 1,
      sym_comment,
  [189960] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5949), 1,
      sym_comment,
    ACTIONS(9370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189975] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9666), 1,
      anon_sym_COMMA,
    ACTIONS(9668), 1,
      anon_sym_RBRACE,
    STATE(5950), 1,
      sym_comment,
    STATE(6379), 1,
      aux_sym_object_repeat1,
  [189994] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8828), 1,
      anon_sym_COMMA,
    ACTIONS(9660), 1,
      anon_sym_RBRACE,
    STATE(5951), 1,
      sym_comment,
    STATE(6382), 1,
      aux_sym_object_pattern_repeat1,
  [190013] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5952), 1,
      sym_comment,
    ACTIONS(9495), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190028] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5784), 1,
      anon_sym_COMMA,
    ACTIONS(5790), 1,
      anon_sym_RPAREN,
    STATE(5953), 1,
      sym_comment,
    STATE(6362), 1,
      aux_sym_array_repeat1,
  [190047] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5954), 1,
      sym_comment,
    ACTIONS(9503), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190062] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5955), 1,
      sym_comment,
    ACTIONS(8080), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [190077] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5956), 1,
      sym_comment,
    ACTIONS(9648), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190092] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5957), 1,
      sym_comment,
    ACTIONS(9370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190107] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5958), 1,
      sym_comment,
    ACTIONS(9489), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190122] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_AMP,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    ACTIONS(7028), 1,
      anon_sym_extends,
    STATE(5959), 1,
      sym_comment,
  [190141] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5960), 1,
      sym_comment,
    ACTIONS(9378), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190156] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5961), 1,
      sym_comment,
    ACTIONS(9378), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190171] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5962), 1,
      sym_comment,
    ACTIONS(9402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190186] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5963), 1,
      sym_comment,
    ACTIONS(9474), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190201] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5964), 1,
      sym_comment,
    ACTIONS(9648), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190216] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4178), 1,
      anon_sym_COLON,
    ACTIONS(9696), 1,
      anon_sym_RPAREN,
    STATE(5965), 1,
      sym_comment,
    STATE(7144), 1,
      sym_type_annotation,
  [190235] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5966), 1,
      sym_comment,
    ACTIONS(9370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190250] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9698), 1,
      sym_identifier,
    STATE(3563), 1,
      sym_decorator_member_expression,
    STATE(3670), 1,
      sym_decorator_call_expression,
    STATE(5967), 1,
      sym_comment,
  [190269] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5968), 1,
      sym_comment,
    ACTIONS(9370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190284] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5969), 1,
      sym_comment,
    ACTIONS(9648), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190299] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8104), 1,
      anon_sym_LBRACE,
    ACTIONS(8106), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1656), 1,
      sym_object_type,
    STATE(5970), 1,
      sym_comment,
  [190318] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5971), 1,
      sym_comment,
    ACTIONS(9370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190333] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5972), 1,
      sym_comment,
    ACTIONS(9648), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190348] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5973), 1,
      sym_comment,
    ACTIONS(9700), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190363] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5974), 1,
      sym_comment,
    ACTIONS(9702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190378] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5975), 1,
      sym_comment,
    ACTIONS(9702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190393] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5976), 1,
      sym_comment,
    ACTIONS(9370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190408] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5977), 1,
      sym_comment,
    ACTIONS(9489), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190423] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5978), 1,
      sym_comment,
    ACTIONS(9402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190438] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9664), 1,
      anon_sym_require,
    ACTIONS(9704), 1,
      sym_identifier,
    STATE(5979), 1,
      sym_comment,
    STATE(6321), 1,
      sym_nested_identifier,
  [190457] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5980), 1,
      sym_comment,
    ACTIONS(9370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190472] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5981), 1,
      sym_comment,
    ACTIONS(9648), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190487] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9706), 1,
      anon_sym_LPAREN,
    ACTIONS(9708), 1,
      anon_sym_await,
    STATE(121), 1,
      sym__for_header,
    STATE(5982), 1,
      sym_comment,
  [190506] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5983), 1,
      sym_comment,
    ACTIONS(9710), 3,
      anon_sym_default,
      anon_sym_RBRACE,
      anon_sym_case,
  [190521] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9712), 1,
      sym_identifier,
    ACTIONS(9714), 1,
      anon_sym_SEMI,
    ACTIONS(9716), 1,
      sym__automatic_semicolon,
    STATE(5984), 1,
      sym_comment,
  [190540] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5985), 1,
      sym_comment,
    ACTIONS(9370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190555] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9718), 1,
      sym_identifier,
    ACTIONS(9720), 1,
      anon_sym_SEMI,
    ACTIONS(9722), 1,
      sym__automatic_semicolon,
    STATE(5986), 1,
      sym_comment,
  [190574] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5987), 1,
      sym_comment,
    ACTIONS(9370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190589] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9724), 1,
      anon_sym_EQ,
    STATE(5988), 1,
      sym_comment,
    ACTIONS(4293), 2,
      anon_sym_in,
      anon_sym_of,
  [190606] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5989), 1,
      sym_comment,
    ACTIONS(9402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190621] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5990), 1,
      sym_comment,
    ACTIONS(9474), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190636] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5991), 1,
      sym_comment,
    ACTIONS(9495), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190651] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5992), 1,
      sym_comment,
    ACTIONS(9648), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190666] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9501), 1,
      anon_sym_LBRACE,
    ACTIONS(9726), 1,
      sym_identifier,
    STATE(5621), 1,
      sym_export_clause,
    STATE(5993), 1,
      sym_comment,
  [190685] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9728), 1,
      anon_sym_LBRACE,
    STATE(5994), 1,
      sym_comment,
    ACTIONS(8672), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [190702] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9047), 1,
      anon_sym_from,
    ACTIONS(9497), 1,
      anon_sym_as,
    STATE(5995), 1,
      sym_comment,
    STATE(7064), 1,
      sym__from_clause,
  [190721] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5996), 1,
      sym_comment,
    ACTIONS(9700), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190736] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9733), 1,
      anon_sym_RPAREN,
    STATE(5997), 2,
      sym_comment,
      aux_sym_formal_parameters_repeat1,
  [190753] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9735), 1,
      sym_identifier,
    ACTIONS(9737), 1,
      anon_sym_SEMI,
    ACTIONS(9739), 1,
      sym__automatic_semicolon,
    STATE(5998), 1,
      sym_comment,
  [190772] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(5999), 1,
      sym_comment,
    ACTIONS(9741), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190787] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6000), 1,
      sym_comment,
    ACTIONS(9495), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190802] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6001), 1,
      sym_comment,
    ACTIONS(9702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190817] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6002), 1,
      sym_comment,
    ACTIONS(9503), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190832] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9743), 1,
      sym_identifier,
    STATE(2038), 1,
      sym_decorator_member_expression,
    STATE(2130), 1,
      sym_decorator_call_expression,
    STATE(6003), 1,
      sym_comment,
  [190851] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9745), 1,
      sym_identifier,
    ACTIONS(9747), 1,
      anon_sym_SEMI,
    ACTIONS(9749), 1,
      sym__automatic_semicolon,
    STATE(6004), 1,
      sym_comment,
  [190870] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6005), 1,
      sym_comment,
    ACTIONS(9702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190885] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6006), 1,
      sym_comment,
    ACTIONS(9378), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190900] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6007), 1,
      sym_comment,
    ACTIONS(8144), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [190915] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6008), 1,
      sym_comment,
    ACTIONS(9378), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190930] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6009), 1,
      sym_comment,
    ACTIONS(9648), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190945] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6010), 1,
      sym_comment,
    ACTIONS(9402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190960] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6011), 1,
      sym_comment,
    ACTIONS(9648), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190975] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6012), 1,
      sym_comment,
    ACTIONS(9751), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [190990] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6013), 1,
      sym_comment,
    ACTIONS(9370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191005] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6014), 1,
      sym_comment,
    ACTIONS(9700), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191020] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9753), 1,
      anon_sym_EQ,
    STATE(6015), 1,
      sym_comment,
    ACTIONS(9406), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [191037] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6016), 1,
      sym_comment,
    ACTIONS(9702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191052] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9755), 1,
      anon_sym_COMMA,
    ACTIONS(9757), 1,
      anon_sym_GT,
    STATE(6017), 1,
      sym_comment,
    STATE(6108), 1,
      aux_sym_type_parameters_repeat1,
  [191071] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6018), 1,
      sym_comment,
    ACTIONS(9759), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191086] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6019), 1,
      sym_comment,
    ACTIONS(8017), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [191101] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9761), 1,
      anon_sym_COMMA,
    ACTIONS(9763), 1,
      anon_sym_RPAREN,
    STATE(5947), 1,
      aux_sym_formal_parameters_repeat1,
    STATE(6020), 1,
      sym_comment,
  [191120] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6021), 1,
      sym_comment,
    ACTIONS(9489), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191135] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6022), 1,
      sym_comment,
    ACTIONS(9402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191150] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9765), 1,
      anon_sym_LPAREN,
    ACTIONS(9767), 1,
      anon_sym_await,
    STATE(100), 1,
      sym__for_header,
    STATE(6023), 1,
      sym_comment,
  [191169] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6024), 1,
      sym_comment,
    ACTIONS(9700), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191184] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6025), 1,
      sym_comment,
    ACTIONS(9702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191199] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4178), 1,
      anon_sym_COLON,
    ACTIONS(9769), 1,
      anon_sym_RPAREN,
    STATE(6026), 1,
      sym_comment,
    STATE(7108), 1,
      sym_type_annotation,
  [191218] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6027), 1,
      sym_comment,
    ACTIONS(9702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191233] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9771), 1,
      anon_sym_LBRACE,
    ACTIONS(9773), 1,
      anon_sym_LPAREN,
    STATE(1024), 1,
      sym_statement_block,
    STATE(6028), 1,
      sym_comment,
  [191252] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8828), 1,
      anon_sym_COMMA,
    ACTIONS(9775), 1,
      anon_sym_RBRACE,
    STATE(6029), 1,
      sym_comment,
    STATE(6173), 1,
      aux_sym_object_pattern_repeat1,
  [191271] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9666), 1,
      anon_sym_COMMA,
    ACTIONS(9777), 1,
      anon_sym_RBRACE,
    STATE(6030), 1,
      sym_comment,
    STATE(6174), 1,
      aux_sym_object_repeat1,
  [191290] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9666), 1,
      anon_sym_COMMA,
    ACTIONS(9777), 1,
      anon_sym_RBRACE,
    STATE(6031), 1,
      sym_comment,
    STATE(6379), 1,
      aux_sym_object_repeat1,
  [191309] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8828), 1,
      anon_sym_COMMA,
    ACTIONS(9775), 1,
      anon_sym_RBRACE,
    STATE(6032), 1,
      sym_comment,
    STATE(6382), 1,
      aux_sym_object_pattern_repeat1,
  [191328] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6033), 1,
      sym_comment,
    ACTIONS(9370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191343] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6034), 1,
      sym_comment,
    ACTIONS(9779), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191358] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6035), 1,
      sym_comment,
    ACTIONS(9378), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191373] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9664), 1,
      anon_sym_require,
    ACTIONS(9781), 1,
      sym_identifier,
    STATE(5793), 1,
      sym_nested_identifier,
    STATE(6036), 1,
      sym_comment,
  [191392] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9501), 1,
      anon_sym_LBRACE,
    ACTIONS(9783), 1,
      sym_identifier,
    STATE(5694), 1,
      sym_export_clause,
    STATE(6037), 1,
      sym_comment,
  [191411] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9047), 1,
      anon_sym_from,
    ACTIONS(9497), 1,
      anon_sym_as,
    STATE(6038), 1,
      sym_comment,
    STATE(6428), 1,
      sym__from_clause,
  [191430] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6039), 1,
      sym_comment,
    ACTIONS(9648), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191445] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9785), 1,
      anon_sym_COMMA,
    ACTIONS(9788), 1,
      anon_sym_RBRACE,
    STATE(6040), 2,
      sym_comment,
      aux_sym_enum_body_repeat1,
  [191462] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6041), 1,
      sym_comment,
    ACTIONS(9648), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191477] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5110), 1,
      anon_sym_LBRACE,
    STATE(6042), 1,
      sym_comment,
    ACTIONS(5112), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [191494] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6043), 1,
      sym_comment,
    ACTIONS(9474), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191509] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5142), 1,
      anon_sym_LBRACE,
    STATE(6044), 1,
      sym_comment,
    ACTIONS(5144), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [191526] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9790), 1,
      anon_sym_COMMA,
    ACTIONS(9792), 1,
      anon_sym_RPAREN,
    STATE(6045), 1,
      sym_comment,
    STATE(6178), 1,
      aux_sym_formal_parameters_repeat1,
  [191545] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6367), 1,
      sym__automatic_semicolon,
    STATE(6046), 1,
      sym_comment,
    ACTIONS(2351), 2,
      anon_sym_else,
      anon_sym_while,
  [191562] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6390), 1,
      sym__automatic_semicolon,
    STATE(6047), 1,
      sym_comment,
    ACTIONS(2355), 2,
      anon_sym_else,
      anon_sym_while,
  [191579] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6392), 1,
      sym__automatic_semicolon,
    STATE(6048), 1,
      sym_comment,
    ACTIONS(2363), 2,
      anon_sym_else,
      anon_sym_while,
  [191596] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1352), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8033), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5086), 1,
      sym_object_type,
    STATE(6049), 1,
      sym_comment,
  [191615] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6050), 1,
      sym_comment,
    ACTIONS(9700), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191630] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6051), 1,
      sym_comment,
    ACTIONS(9378), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191645] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6052), 1,
      sym_comment,
    ACTIONS(9378), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191660] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5784), 1,
      anon_sym_COMMA,
    ACTIONS(5823), 1,
      anon_sym_RPAREN,
    STATE(6053), 1,
      sym_comment,
    STATE(6103), 1,
      aux_sym_array_repeat1,
  [191679] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5784), 1,
      anon_sym_COMMA,
    ACTIONS(5823), 1,
      anon_sym_RPAREN,
    STATE(5683), 1,
      aux_sym_array_repeat1,
    STATE(6054), 1,
      sym_comment,
  [191698] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6434), 1,
      sym__automatic_semicolon,
    STATE(6055), 1,
      sym_comment,
    ACTIONS(2367), 2,
      anon_sym_else,
      anon_sym_while,
  [191715] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6056), 1,
      sym_comment,
    ACTIONS(9474), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191730] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6165), 1,
      sym__automatic_semicolon,
    STATE(6057), 1,
      sym_comment,
    ACTIONS(2371), 2,
      anon_sym_else,
      anon_sym_while,
  [191747] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6058), 1,
      sym_comment,
    ACTIONS(9378), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191762] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6059), 1,
      sym_comment,
    ACTIONS(9794), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191777] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6060), 1,
      sym_comment,
    ACTIONS(9402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191792] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6061), 1,
      sym_comment,
    ACTIONS(9370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191807] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6062), 1,
      sym_comment,
    ACTIONS(9796), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191822] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6063), 1,
      sym_comment,
    ACTIONS(9702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191837] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8923), 1,
      anon_sym_DOT,
    ACTIONS(9491), 1,
      anon_sym_COLON,
    ACTIONS(9798), 1,
      anon_sym_GT,
    STATE(6064), 1,
      sym_comment,
  [191856] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6065), 1,
      sym_comment,
    ACTIONS(9796), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191871] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6066), 1,
      sym_comment,
    ACTIONS(9800), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191886] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6067), 1,
      sym_comment,
    ACTIONS(9370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191901] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6068), 1,
      sym_comment,
    ACTIONS(9802), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191916] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6069), 1,
      sym_comment,
    ACTIONS(9702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191931] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6070), 1,
      sym_comment,
    ACTIONS(9648), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191946] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6071), 1,
      sym_comment,
    ACTIONS(9804), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191961] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9211), 1,
      anon_sym_COMMA,
    ACTIONS(9215), 1,
      anon_sym_RBRACK,
    STATE(6072), 1,
      sym_comment,
    STATE(6191), 1,
      aux_sym_array_pattern_repeat1,
  [191980] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6073), 1,
      sym_comment,
    ACTIONS(9402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191995] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6074), 1,
      sym_comment,
    ACTIONS(9806), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192010] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5784), 1,
      anon_sym_COMMA,
    ACTIONS(5829), 1,
      anon_sym_RBRACK,
    STATE(6075), 1,
      sym_comment,
    STATE(6186), 1,
      aux_sym_array_repeat1,
  [192029] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6076), 1,
      sym_comment,
    ACTIONS(9802), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192044] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7901), 1,
      anon_sym_DOT,
    STATE(6077), 1,
      sym_comment,
    ACTIONS(9808), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [192061] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7881), 1,
      anon_sym_DOT,
    STATE(6078), 1,
      sym_comment,
    ACTIONS(9808), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [192078] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9211), 1,
      anon_sym_COMMA,
    ACTIONS(9213), 1,
      anon_sym_RBRACK,
    STATE(5821), 1,
      aux_sym_array_pattern_repeat1,
    STATE(6079), 1,
      sym_comment,
  [192097] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5784), 1,
      anon_sym_COMMA,
    ACTIONS(5829), 1,
      anon_sym_RBRACK,
    STATE(5683), 1,
      aux_sym_array_repeat1,
    STATE(6080), 1,
      sym_comment,
  [192116] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6081), 1,
      sym_comment,
    ACTIONS(9810), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192131] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6082), 1,
      sym_comment,
    ACTIONS(9366), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192146] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9211), 1,
      anon_sym_COMMA,
    ACTIONS(9215), 1,
      anon_sym_RBRACK,
    STATE(5795), 1,
      aux_sym_array_pattern_repeat1,
    STATE(6083), 1,
      sym_comment,
  [192165] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6084), 1,
      sym_comment,
    ACTIONS(9474), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192180] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5784), 1,
      anon_sym_COMMA,
    ACTIONS(5807), 1,
      anon_sym_RBRACK,
    STATE(5827), 1,
      aux_sym_array_repeat1,
    STATE(6085), 1,
      sym_comment,
  [192199] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9812), 1,
      anon_sym_COMMA,
    ACTIONS(9814), 1,
      anon_sym_RBRACK,
    STATE(6086), 1,
      sym_comment,
    STATE(6133), 1,
      aux_sym_tuple_type_repeat1,
  [192218] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6087), 1,
      sym_comment,
    ACTIONS(9648), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192233] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6088), 1,
      sym_comment,
    ACTIONS(9370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192248] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6089), 1,
      sym_comment,
    ACTIONS(9366), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192263] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4914), 1,
      anon_sym_extends,
    ACTIONS(9816), 1,
      anon_sym_AMP,
    ACTIONS(9818), 1,
      anon_sym_PIPE,
    STATE(6090), 1,
      sym_comment,
  [192282] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6091), 1,
      sym_comment,
    ACTIONS(9368), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192297] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6092), 1,
      sym_comment,
    ACTIONS(9370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192312] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5784), 1,
      anon_sym_COMMA,
    ACTIONS(5807), 1,
      anon_sym_RBRACK,
    STATE(5683), 1,
      aux_sym_array_repeat1,
    STATE(6093), 1,
      sym_comment,
  [192331] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6094), 1,
      sym_comment,
    ACTIONS(9370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192346] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9211), 1,
      anon_sym_COMMA,
    ACTIONS(9213), 1,
      anon_sym_RBRACK,
    STATE(5795), 1,
      aux_sym_array_pattern_repeat1,
    STATE(6095), 1,
      sym_comment,
  [192365] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6096), 1,
      sym_comment,
    ACTIONS(9402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192380] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6097), 1,
      sym_comment,
    ACTIONS(9820), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192395] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6098), 1,
      sym_comment,
    ACTIONS(9820), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192410] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6099), 1,
      sym_comment,
    ACTIONS(9378), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192425] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1352), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8033), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5212), 1,
      sym_object_type,
    STATE(6100), 1,
      sym_comment,
  [192444] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6101), 1,
      sym_comment,
    ACTIONS(9378), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192459] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9822), 1,
      anon_sym_COMMA,
    ACTIONS(9824), 1,
      anon_sym_RBRACE,
    STATE(6102), 1,
      sym_comment,
    STATE(6142), 1,
      aux_sym_enum_body_repeat1,
  [192478] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5784), 1,
      anon_sym_COMMA,
    ACTIONS(9826), 1,
      anon_sym_RPAREN,
    STATE(5683), 1,
      aux_sym_array_repeat1,
    STATE(6103), 1,
      sym_comment,
  [192497] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6104), 1,
      sym_comment,
    ACTIONS(3358), 3,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_while,
  [192512] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9828), 1,
      anon_sym_COMMA,
    ACTIONS(9830), 1,
      anon_sym_GT,
    STATE(5858), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6105), 1,
      sym_comment,
  [192531] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7829), 1,
      anon_sym_const,
    ACTIONS(9107), 1,
      sym_identifier,
    STATE(6106), 1,
      sym_comment,
    STATE(6135), 1,
      sym_type_parameter,
  [192550] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9832), 1,
      anon_sym_COMMA,
    ACTIONS(9834), 1,
      anon_sym_GT,
    STATE(5858), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6107), 1,
      sym_comment,
  [192569] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9836), 1,
      anon_sym_COMMA,
    ACTIONS(9839), 1,
      anon_sym_GT,
    STATE(6108), 2,
      sym_comment,
      aux_sym_type_parameters_repeat1,
  [192586] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9841), 1,
      anon_sym_COMMA,
    ACTIONS(9843), 1,
      anon_sym_GT,
    STATE(5858), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6109), 1,
      sym_comment,
  [192605] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6110), 1,
      sym_comment,
    ACTIONS(9702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192620] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6111), 1,
      sym_comment,
    ACTIONS(9366), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192635] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7471), 1,
      anon_sym_implements,
    ACTIONS(9845), 1,
      anon_sym_LBRACE,
    STATE(6112), 1,
      sym_comment,
    STATE(7484), 1,
      sym_implements_clause,
  [192654] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6113), 1,
      sym_comment,
    ACTIONS(9370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192669] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6114), 1,
      sym_comment,
    ACTIONS(9648), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192684] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6115), 1,
      sym_comment,
    ACTIONS(9648), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192699] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6116), 1,
      sym_comment,
    ACTIONS(9700), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192714] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6117), 1,
      sym_comment,
    ACTIONS(9368), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192729] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6118), 1,
      sym_comment,
    ACTIONS(9474), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192744] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6119), 1,
      sym_comment,
    ACTIONS(9366), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192759] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6120), 1,
      sym_comment,
    ACTIONS(9702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192774] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6121), 1,
      sym_comment,
    ACTIONS(9370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192789] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6122), 1,
      sym_comment,
    ACTIONS(9370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192804] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6123), 1,
      sym_comment,
    ACTIONS(9378), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192819] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6124), 1,
      sym_comment,
    ACTIONS(9702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192834] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8104), 1,
      anon_sym_LBRACE,
    ACTIONS(8106), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1557), 1,
      sym_object_type,
    STATE(6125), 1,
      sym_comment,
  [192853] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6126), 1,
      sym_comment,
    ACTIONS(9378), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192868] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6127), 1,
      sym_comment,
    ACTIONS(9402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192883] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6128), 1,
      sym_comment,
    ACTIONS(9366), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192898] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6129), 1,
      sym_comment,
    ACTIONS(9368), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192913] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6130), 1,
      sym_comment,
    ACTIONS(9820), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192928] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6131), 1,
      sym_comment,
    ACTIONS(9820), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192943] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6132), 1,
      sym_comment,
    ACTIONS(9648), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192958] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9847), 1,
      anon_sym_COMMA,
    ACTIONS(9849), 1,
      anon_sym_RBRACK,
    STATE(5773), 1,
      aux_sym_tuple_type_repeat1,
    STATE(6133), 1,
      sym_comment,
  [192977] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9851), 1,
      anon_sym_COMMA,
    ACTIONS(9853), 1,
      anon_sym_GT,
    STATE(6134), 1,
      sym_comment,
    STATE(6209), 1,
      aux_sym_type_parameters_repeat1,
  [192996] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9855), 1,
      anon_sym_COMMA,
    ACTIONS(9857), 1,
      anon_sym_GT,
    STATE(6017), 1,
      aux_sym_type_parameters_repeat1,
    STATE(6135), 1,
      sym_comment,
  [193015] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6136), 1,
      sym_comment,
    ACTIONS(9370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193030] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6137), 1,
      sym_comment,
    ACTIONS(9859), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193045] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6138), 1,
      sym_comment,
    ACTIONS(9648), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193060] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6139), 1,
      sym_comment,
    ACTIONS(9861), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193075] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9863), 1,
      anon_sym_COMMA,
    ACTIONS(9865), 1,
      anon_sym_RBRACE,
    STATE(6040), 1,
      aux_sym_enum_body_repeat1,
    STATE(6140), 1,
      sym_comment,
  [193094] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6141), 1,
      sym_comment,
    ACTIONS(9867), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193109] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9869), 1,
      anon_sym_COMMA,
    ACTIONS(9871), 1,
      anon_sym_RBRACE,
    STATE(6040), 1,
      aux_sym_enum_body_repeat1,
    STATE(6142), 1,
      sym_comment,
  [193128] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6143), 1,
      sym_comment,
    ACTIONS(9366), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193143] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6144), 1,
      sym_comment,
    ACTIONS(8872), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193158] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6145), 1,
      sym_comment,
    ACTIONS(9370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193173] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6146), 1,
      sym_comment,
    ACTIONS(9366), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193188] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6147), 1,
      sym_comment,
    ACTIONS(9368), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193203] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9873), 1,
      anon_sym_COMMA,
    ACTIONS(9875), 1,
      anon_sym_RBRACE,
    STATE(5811), 1,
      aux_sym_enum_body_repeat1,
    STATE(6148), 1,
      sym_comment,
  [193222] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6149), 1,
      sym_comment,
    ACTIONS(9648), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193237] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6150), 1,
      sym_comment,
    ACTIONS(9859), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193252] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6151), 1,
      sym_comment,
    ACTIONS(9648), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193267] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6152), 1,
      sym_comment,
    ACTIONS(8090), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [193282] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6153), 1,
      sym_comment,
    ACTIONS(9378), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193297] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6154), 1,
      sym_comment,
    ACTIONS(9859), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193312] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9877), 1,
      sym_identifier,
    ACTIONS(9879), 1,
      anon_sym_LBRACK,
    ACTIONS(9881), 1,
      sym_private_property_identifier,
    STATE(6155), 1,
      sym_comment,
  [193331] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6156), 1,
      sym_comment,
    ACTIONS(9366), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193346] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6157), 1,
      sym_comment,
    ACTIONS(9648), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193361] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6158), 1,
      sym_comment,
    ACTIONS(9366), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193376] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6159), 1,
      sym_comment,
    ACTIONS(9648), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193391] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4178), 1,
      anon_sym_COLON,
    ACTIONS(9883), 1,
      anon_sym_RPAREN,
    STATE(6160), 1,
      sym_comment,
    STATE(7219), 1,
      sym_type_annotation,
  [193410] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6161), 1,
      sym_comment,
    ACTIONS(9700), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193425] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6162), 1,
      sym_comment,
    ACTIONS(9702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193440] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6163), 1,
      sym_comment,
    ACTIONS(9368), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193455] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6164), 1,
      sym_comment,
    ACTIONS(9702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193470] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6165), 1,
      sym_comment,
    ACTIONS(9859), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193485] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6166), 1,
      sym_comment,
    ACTIONS(9378), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193500] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6167), 1,
      sym_comment,
    ACTIONS(9648), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193515] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6168), 1,
      sym_comment,
    ACTIONS(9378), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193530] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6169), 1,
      sym_comment,
    ACTIONS(9366), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193545] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9666), 1,
      anon_sym_COMMA,
    ACTIONS(9885), 1,
      anon_sym_RBRACE,
    STATE(6170), 1,
      sym_comment,
    STATE(6379), 1,
      aux_sym_object_repeat1,
  [193564] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6171), 1,
      sym_comment,
    ACTIONS(9887), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193579] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8828), 1,
      anon_sym_COMMA,
    ACTIONS(9889), 1,
      anon_sym_RBRACE,
    STATE(6172), 1,
      sym_comment,
    STATE(6382), 1,
      aux_sym_object_pattern_repeat1,
  [193598] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8828), 1,
      anon_sym_COMMA,
    ACTIONS(9891), 1,
      anon_sym_RBRACE,
    STATE(6173), 1,
      sym_comment,
    STATE(6382), 1,
      aux_sym_object_pattern_repeat1,
  [193617] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9666), 1,
      anon_sym_COMMA,
    ACTIONS(9893), 1,
      anon_sym_RBRACE,
    STATE(6174), 1,
      sym_comment,
    STATE(6379), 1,
      aux_sym_object_repeat1,
  [193636] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9895), 1,
      anon_sym_SQUOTE,
    STATE(6175), 1,
      sym_comment,
    ACTIONS(9897), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [193653] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6176), 1,
      sym_comment,
    ACTIONS(9366), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193668] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6177), 1,
      sym_comment,
    ACTIONS(9648), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193683] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9899), 1,
      anon_sym_COMMA,
    ACTIONS(9901), 1,
      anon_sym_RPAREN,
    STATE(5997), 1,
      aux_sym_formal_parameters_repeat1,
    STATE(6178), 1,
      sym_comment,
  [193702] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9664), 1,
      anon_sym_require,
    ACTIONS(9903), 1,
      sym_identifier,
    STATE(6179), 1,
      sym_comment,
    STATE(6265), 1,
      sym_nested_identifier,
  [193721] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    ACTIONS(9905), 1,
      anon_sym_LPAREN,
    STATE(5810), 1,
      sym_statement_block,
    STATE(6180), 1,
      sym_comment,
  [193740] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6181), 1,
      sym_comment,
    ACTIONS(9368), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193755] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6182), 1,
      sym_comment,
    ACTIONS(9370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193770] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6183), 1,
      sym_comment,
    ACTIONS(9859), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193785] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6184), 1,
      sym_comment,
    ACTIONS(9700), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193800] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6185), 1,
      sym_comment,
    ACTIONS(8872), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193815] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5784), 1,
      anon_sym_COMMA,
    ACTIONS(9907), 1,
      anon_sym_RBRACK,
    STATE(5683), 1,
      aux_sym_array_repeat1,
    STATE(6186), 1,
      sym_comment,
  [193834] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8054), 1,
      sym_identifier,
    STATE(6187), 1,
      sym_comment,
    ACTIONS(8058), 2,
      anon_sym_LBRACK,
      sym_private_property_identifier,
  [193851] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6188), 1,
      sym_comment,
    ACTIONS(9909), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193866] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6189), 1,
      sym_comment,
    ACTIONS(9370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193881] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6190), 1,
      sym_comment,
    ACTIONS(9820), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193896] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9211), 1,
      anon_sym_COMMA,
    ACTIONS(9911), 1,
      anon_sym_RBRACK,
    STATE(5795), 1,
      aux_sym_array_pattern_repeat1,
    STATE(6191), 1,
      sym_comment,
  [193915] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6192), 1,
      sym_comment,
    ACTIONS(9867), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193930] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9913), 1,
      anon_sym_LPAREN,
    ACTIONS(9915), 1,
      anon_sym_await,
    STATE(73), 1,
      sym__for_header,
    STATE(6193), 1,
      sym_comment,
  [193949] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6194), 1,
      sym_comment,
    ACTIONS(9402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193964] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6195), 1,
      sym_comment,
    ACTIONS(9917), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193979] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6196), 1,
      sym_comment,
    ACTIONS(9702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193994] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6197), 1,
      sym_comment,
    ACTIONS(9859), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194009] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9919), 1,
      sym_identifier,
    ACTIONS(9921), 1,
      anon_sym_SEMI,
    ACTIONS(9923), 1,
      sym__automatic_semicolon,
    STATE(6198), 1,
      sym_comment,
  [194028] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9925), 1,
      sym_identifier,
    ACTIONS(9927), 1,
      anon_sym_SEMI,
    ACTIONS(9929), 1,
      sym__automatic_semicolon,
    STATE(6199), 1,
      sym_comment,
  [194047] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9931), 1,
      sym_identifier,
    ACTIONS(9933), 1,
      anon_sym_LBRACK,
    ACTIONS(9935), 1,
      sym_private_property_identifier,
    STATE(6200), 1,
      sym_comment,
  [194066] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6201), 1,
      sym_comment,
    ACTIONS(9378), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194081] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9937), 1,
      anon_sym_DQUOTE,
    STATE(6202), 1,
      sym_comment,
    ACTIONS(9939), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [194098] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9664), 1,
      anon_sym_require,
    ACTIONS(9941), 1,
      sym_identifier,
    STATE(5912), 1,
      sym_nested_identifier,
    STATE(6203), 1,
      sym_comment,
  [194117] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7829), 1,
      anon_sym_const,
    ACTIONS(9107), 1,
      sym_identifier,
    STATE(6134), 1,
      sym_type_parameter,
    STATE(6204), 1,
      sym_comment,
  [194136] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6205), 1,
      sym_comment,
    ACTIONS(9378), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194151] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6206), 1,
      sym_comment,
    ACTIONS(9378), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194166] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9943), 1,
      anon_sym_LBRACE,
    STATE(6207), 1,
      sym_comment,
    ACTIONS(8764), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [194183] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6208), 1,
      sym_comment,
    ACTIONS(9859), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194198] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_COMMA,
    ACTIONS(9947), 1,
      anon_sym_GT,
    STATE(6108), 1,
      aux_sym_type_parameters_repeat1,
    STATE(6209), 1,
      sym_comment,
  [194217] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9949), 1,
      anon_sym_COMMA,
    ACTIONS(9951), 1,
      anon_sym_RBRACE,
    STATE(5880), 1,
      aux_sym_named_imports_repeat1,
    STATE(6210), 1,
      sym_comment,
  [194236] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6211), 1,
      sym_comment,
    ACTIONS(9953), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194251] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6212), 1,
      sym_comment,
    ACTIONS(9702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194266] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6213), 1,
      sym_comment,
    ACTIONS(9648), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194281] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6214), 1,
      sym_comment,
    ACTIONS(9648), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194296] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6215), 1,
      sym_comment,
    ACTIONS(9955), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194311] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8052), 1,
      anon_sym_LBRACE_PIPE,
    STATE(6216), 1,
      sym_comment,
    STATE(6614), 1,
      sym_object_type,
  [194330] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6217), 1,
      sym_comment,
    ACTIONS(9859), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194345] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9957), 1,
      anon_sym_COMMA,
    ACTIONS(9959), 1,
      anon_sym_GT,
    STATE(5858), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6218), 1,
      sym_comment,
  [194364] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6219), 1,
      sym_comment,
    ACTIONS(9700), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194379] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5784), 1,
      anon_sym_COMMA,
    ACTIONS(5849), 1,
      anon_sym_RPAREN,
    STATE(6220), 1,
      sym_comment,
    STATE(6309), 1,
      aux_sym_array_repeat1,
  [194398] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5784), 1,
      anon_sym_COMMA,
    ACTIONS(5849), 1,
      anon_sym_RPAREN,
    STATE(5683), 1,
      aux_sym_array_repeat1,
    STATE(6221), 1,
      sym_comment,
  [194417] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9171), 1,
      anon_sym_as,
    STATE(6222), 1,
      sym_comment,
    ACTIONS(9406), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [194434] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9961), 1,
      anon_sym_COMMA,
    ACTIONS(9963), 1,
      anon_sym_GT,
    STATE(5858), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6223), 1,
      sym_comment,
  [194453] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9501), 1,
      anon_sym_LBRACE,
    ACTIONS(9965), 1,
      sym_identifier,
    STATE(5612), 1,
      sym_export_clause,
    STATE(6224), 1,
      sym_comment,
  [194472] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9047), 1,
      anon_sym_from,
    ACTIONS(9497), 1,
      anon_sym_as,
    STATE(6225), 1,
      sym_comment,
    STATE(6847), 1,
      sym__from_clause,
  [194491] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4101), 1,
      anon_sym_LPAREN,
    ACTIONS(9967), 1,
      anon_sym_DOT,
    STATE(4418), 1,
      sym_arguments,
    STATE(6226), 1,
      sym_comment,
  [194510] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6227), 1,
      sym_comment,
    ACTIONS(9702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194525] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9969), 1,
      anon_sym_DQUOTE,
    ACTIONS(9971), 1,
      anon_sym_SQUOTE,
    STATE(6228), 1,
      sym_comment,
    STATE(6756), 1,
      sym_string,
  [194544] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6229), 1,
      sym_comment,
    ACTIONS(9955), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194559] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6230), 1,
      sym_comment,
    ACTIONS(9973), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194574] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6231), 1,
      sym_comment,
    ACTIONS(9366), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194589] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9975), 1,
      anon_sym_COMMA,
    ACTIONS(9977), 1,
      anon_sym_GT,
    STATE(5858), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6232), 1,
      sym_comment,
  [194608] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6233), 1,
      sym_comment,
    ACTIONS(9702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194623] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6234), 1,
      sym_comment,
    ACTIONS(9917), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194638] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6235), 1,
      sym_comment,
    ACTIONS(9366), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194653] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6236), 1,
      sym_comment,
    ACTIONS(9368), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194668] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6237), 1,
      sym_comment,
    ACTIONS(9700), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194683] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6238), 1,
      sym_comment,
    ACTIONS(9702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194698] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6239), 1,
      sym_comment,
    ACTIONS(9702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194713] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6240), 1,
      sym_comment,
    ACTIONS(9779), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194728] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6241), 1,
      sym_comment,
    ACTIONS(9979), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [194743] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6242), 1,
      sym_comment,
    ACTIONS(9648), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194758] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9981), 1,
      anon_sym_COMMA,
    ACTIONS(9983), 1,
      anon_sym_RBRACE,
    STATE(5825), 1,
      aux_sym_export_clause_repeat1,
    STATE(6243), 1,
      sym_comment,
  [194777] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9985), 1,
      anon_sym_as,
    STATE(6244), 1,
      sym_comment,
    ACTIONS(9987), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [194794] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6245), 1,
      sym_comment,
    ACTIONS(9648), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194809] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6246), 1,
      sym_comment,
    ACTIONS(9989), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194824] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6247), 1,
      sym_comment,
    ACTIONS(9700), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194839] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6248), 1,
      sym_comment,
    ACTIONS(9859), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194854] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6249), 1,
      sym_comment,
    ACTIONS(9820), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194869] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6250), 1,
      sym_comment,
    ACTIONS(9702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194884] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6251), 1,
      sym_comment,
    ACTIONS(9859), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194899] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8923), 1,
      anon_sym_DOT,
    ACTIONS(9491), 1,
      anon_sym_COLON,
    ACTIONS(9991), 1,
      anon_sym_GT,
    STATE(6252), 1,
      sym_comment,
  [194918] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6253), 1,
      sym_comment,
    ACTIONS(9366), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194933] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6254), 1,
      sym_comment,
    ACTIONS(9702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194948] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6255), 1,
      sym_comment,
    ACTIONS(9648), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194963] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6256), 1,
      sym_comment,
    ACTIONS(9366), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194978] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6257), 1,
      sym_comment,
    ACTIONS(9368), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194993] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6258), 1,
      sym_comment,
    ACTIONS(9648), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195008] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6432), 1,
      sym__automatic_semicolon,
    STATE(6259), 1,
      sym_comment,
    ACTIONS(2393), 2,
      anon_sym_else,
      anon_sym_while,
  [195025] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6260), 1,
      sym_comment,
    ACTIONS(9366), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195040] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6261), 1,
      sym_comment,
    ACTIONS(9366), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195055] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9666), 1,
      anon_sym_COMMA,
    ACTIONS(9993), 1,
      anon_sym_RBRACE,
    STATE(6262), 1,
      sym_comment,
    STATE(6379), 1,
      aux_sym_object_repeat1,
  [195074] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8828), 1,
      anon_sym_COMMA,
    ACTIONS(9995), 1,
      anon_sym_RBRACE,
    STATE(6263), 1,
      sym_comment,
    STATE(6382), 1,
      aux_sym_object_pattern_repeat1,
  [195093] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6264), 1,
      sym_comment,
    ACTIONS(3344), 3,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_while,
  [195108] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7881), 1,
      anon_sym_DOT,
    STATE(6265), 1,
      sym_comment,
    ACTIONS(9997), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [195125] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6266), 1,
      sym_comment,
    ACTIONS(9368), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195140] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6473), 1,
      sym__automatic_semicolon,
    STATE(6267), 1,
      sym_comment,
    ACTIONS(2389), 2,
      anon_sym_else,
      anon_sym_while,
  [195157] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6268), 1,
      sym_comment,
    ACTIONS(9820), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195172] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6269), 1,
      sym_comment,
    ACTIONS(9999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195187] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6270), 1,
      sym_comment,
    ACTIONS(9820), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195202] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6271), 1,
      sym_comment,
    ACTIONS(10001), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195217] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6272), 1,
      sym_comment,
    ACTIONS(9955), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195232] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6273), 1,
      sym_comment,
    ACTIONS(10003), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195247] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6274), 1,
      sym_comment,
    ACTIONS(9999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195262] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6275), 1,
      sym_comment,
    ACTIONS(9917), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195277] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6276), 1,
      sym_comment,
    ACTIONS(9859), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195292] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6305), 1,
      sym__automatic_semicolon,
    STATE(6277), 1,
      sym_comment,
    ACTIONS(2271), 2,
      anon_sym_else,
      anon_sym_while,
  [195309] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6278), 1,
      sym_comment,
    ACTIONS(9366), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195324] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10005), 1,
      anon_sym_COMMA,
    ACTIONS(10007), 1,
      anon_sym_RBRACK,
    STATE(6279), 1,
      sym_comment,
    STATE(6363), 1,
      aux_sym_tuple_type_repeat1,
  [195343] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6280), 1,
      sym_comment,
    ACTIONS(9366), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195358] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10009), 1,
      anon_sym_LBRACE,
    ACTIONS(10011), 1,
      anon_sym_LPAREN,
    STATE(945), 1,
      sym_statement_block,
    STATE(6281), 1,
      sym_comment,
  [195377] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5939), 1,
      anon_sym_extends,
    ACTIONS(10013), 1,
      anon_sym_AMP,
    ACTIONS(10015), 1,
      anon_sym_PIPE,
    STATE(6282), 1,
      sym_comment,
  [195396] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6283), 1,
      sym_comment,
    ACTIONS(9368), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195411] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6996), 1,
      anon_sym_DQUOTE,
    ACTIONS(6998), 1,
      anon_sym_SQUOTE,
    STATE(6284), 1,
      sym_comment,
    STATE(7132), 1,
      sym_string,
  [195430] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10017), 1,
      anon_sym_COMMA,
    ACTIONS(10020), 1,
      anon_sym_RBRACE,
    STATE(6285), 2,
      sym_comment,
      aux_sym_named_imports_repeat1,
  [195447] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6286), 1,
      sym_comment,
    ACTIONS(9648), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195462] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6287), 1,
      sym_comment,
    ACTIONS(3262), 3,
      anon_sym_else,
      anon_sym_while,
      anon_sym_finally,
  [195477] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6288), 1,
      sym_comment,
    ACTIONS(9648), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195492] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6289), 1,
      sym_comment,
    ACTIONS(9859), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195507] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6290), 1,
      sym_comment,
    ACTIONS(9648), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195522] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6291), 1,
      sym_comment,
    ACTIONS(10022), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195537] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6292), 1,
      sym_comment,
    ACTIONS(9700), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195552] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6293), 1,
      sym_comment,
    ACTIONS(9806), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195567] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6294), 1,
      sym_comment,
    ACTIONS(9859), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195582] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6295), 1,
      sym_comment,
    ACTIONS(9366), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195597] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7923), 1,
      anon_sym_LBRACE,
    ACTIONS(7929), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1231), 1,
      sym_object_type,
    STATE(6296), 1,
      sym_comment,
  [195616] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10024), 1,
      anon_sym_COMMA,
    ACTIONS(10026), 1,
      anon_sym_GT,
    STATE(5858), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6297), 1,
      sym_comment,
  [195635] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACE,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8052), 1,
      anon_sym_LBRACE_PIPE,
    STATE(6298), 1,
      sym_comment,
    STATE(7042), 1,
      sym_object_type,
  [195654] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10028), 1,
      anon_sym_COMMA,
    ACTIONS(10030), 1,
      anon_sym_GT,
    STATE(5858), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6299), 1,
      sym_comment,
  [195673] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5784), 1,
      anon_sym_COMMA,
    ACTIONS(5786), 1,
      anon_sym_RPAREN,
    STATE(6300), 1,
      sym_comment,
    STATE(6344), 1,
      aux_sym_array_repeat1,
  [195692] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5784), 1,
      anon_sym_COMMA,
    ACTIONS(5786), 1,
      anon_sym_RPAREN,
    STATE(5683), 1,
      aux_sym_array_repeat1,
    STATE(6301), 1,
      sym_comment,
  [195711] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10032), 1,
      anon_sym_COMMA,
    ACTIONS(10034), 1,
      anon_sym_GT,
    STATE(5858), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6302), 1,
      sym_comment,
  [195730] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6303), 1,
      sym_comment,
    ACTIONS(9366), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195745] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5784), 1,
      anon_sym_COMMA,
    ACTIONS(10036), 1,
      anon_sym_RPAREN,
    STATE(5683), 1,
      aux_sym_array_repeat1,
    STATE(6304), 1,
      sym_comment,
  [195764] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7171), 1,
      anon_sym_type,
    ACTIONS(9614), 1,
      sym_identifier,
    STATE(6305), 1,
      sym_comment,
    STATE(6984), 1,
      sym__import_identifier,
  [195783] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10038), 1,
      anon_sym_COMMA,
    ACTIONS(10040), 1,
      anon_sym_RBRACE,
    STATE(6306), 1,
      sym_comment,
    STATE(6375), 1,
      aux_sym_enum_body_repeat1,
  [195802] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10042), 1,
      anon_sym_EQ,
    STATE(6307), 1,
      sym_comment,
    ACTIONS(9406), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [195819] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6308), 1,
      sym_comment,
    ACTIONS(9368), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195834] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5784), 1,
      anon_sym_COMMA,
    ACTIONS(10044), 1,
      anon_sym_RPAREN,
    STATE(5683), 1,
      aux_sym_array_repeat1,
    STATE(6309), 1,
      sym_comment,
  [195853] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7171), 1,
      anon_sym_type,
    ACTIONS(9614), 1,
      sym_identifier,
    STATE(6310), 1,
      sym_comment,
    STATE(6988), 1,
      sym__import_identifier,
  [195872] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5784), 1,
      anon_sym_COMMA,
    ACTIONS(5825), 1,
      anon_sym_RPAREN,
    STATE(5683), 1,
      aux_sym_array_repeat1,
    STATE(6311), 1,
      sym_comment,
  [195891] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5784), 1,
      anon_sym_COMMA,
    ACTIONS(5825), 1,
      anon_sym_RPAREN,
    STATE(6304), 1,
      aux_sym_array_repeat1,
    STATE(6312), 1,
      sym_comment,
  [195910] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10046), 1,
      anon_sym_COMMA,
    ACTIONS(10048), 1,
      anon_sym_GT,
    STATE(5858), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6313), 1,
      sym_comment,
  [195929] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6314), 1,
      sym_comment,
    ACTIONS(9859), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195944] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6315), 1,
      sym_comment,
    ACTIONS(3252), 3,
      anon_sym_else,
      anon_sym_while,
      anon_sym_finally,
  [195959] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7901), 1,
      anon_sym_DOT,
    STATE(6316), 1,
      sym_comment,
    ACTIONS(9997), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [195976] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10050), 1,
      anon_sym_COMMA,
    ACTIONS(10052), 1,
      anon_sym_GT,
    STATE(5858), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6317), 1,
      sym_comment,
  [195995] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6318), 1,
      sym_comment,
    ACTIONS(9702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196010] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6319), 1,
      sym_comment,
    ACTIONS(9806), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196025] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7901), 1,
      anon_sym_DOT,
    STATE(6320), 1,
      sym_comment,
    ACTIONS(10054), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [196042] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7881), 1,
      anon_sym_DOT,
    STATE(6321), 1,
      sym_comment,
    ACTIONS(10054), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [196059] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6322), 1,
      sym_comment,
    ACTIONS(9859), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196074] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6323), 1,
      sym_comment,
    ACTIONS(9580), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
  [196089] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6324), 1,
      sym_comment,
    ACTIONS(9859), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196104] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6325), 1,
      sym_comment,
    ACTIONS(9366), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196119] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10056), 1,
      anon_sym_COMMA,
    ACTIONS(10058), 1,
      anon_sym_RBRACE,
    STATE(6040), 1,
      aux_sym_enum_body_repeat1,
    STATE(6326), 1,
      sym_comment,
  [196138] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6327), 1,
      sym_comment,
    ACTIONS(9366), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196153] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10060), 1,
      anon_sym_COMMA,
    ACTIONS(10062), 1,
      anon_sym_RBRACE,
    STATE(6040), 1,
      aux_sym_enum_body_repeat1,
    STATE(6328), 1,
      sym_comment,
  [196172] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10064), 1,
      anon_sym_COMMA,
    ACTIONS(10066), 1,
      anon_sym_RBRACK,
    STATE(6329), 1,
      sym_comment,
    STATE(6378), 1,
      aux_sym_tuple_type_repeat1,
  [196191] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10068), 1,
      anon_sym_COMMA,
    ACTIONS(10070), 1,
      anon_sym_GT,
    STATE(5858), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6330), 1,
      sym_comment,
  [196210] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10072), 1,
      anon_sym_COMMA,
    ACTIONS(10074), 1,
      anon_sym_GT,
    STATE(5858), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6331), 1,
      sym_comment,
  [196229] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8828), 1,
      anon_sym_COMMA,
    ACTIONS(10076), 1,
      anon_sym_RBRACE,
    STATE(6332), 1,
      sym_comment,
    STATE(6382), 1,
      aux_sym_object_pattern_repeat1,
  [196248] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7487), 1,
      anon_sym_AMP,
    ACTIONS(7489), 1,
      anon_sym_PIPE,
    ACTIONS(7491), 1,
      anon_sym_extends,
    STATE(6333), 1,
      sym_comment,
  [196267] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10078), 1,
      anon_sym_COMMA,
    ACTIONS(10080), 1,
      anon_sym_GT,
    STATE(5858), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6334), 1,
      sym_comment,
  [196286] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6335), 1,
      sym_comment,
    ACTIONS(9820), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196301] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6336), 1,
      sym_comment,
    ACTIONS(9806), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196316] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6337), 1,
      sym_comment,
    ACTIONS(10082), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196331] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10084), 1,
      anon_sym_COMMA,
    ACTIONS(10086), 1,
      anon_sym_GT,
    STATE(5858), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6338), 1,
      sym_comment,
  [196350] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5784), 1,
      anon_sym_COMMA,
    ACTIONS(10088), 1,
      anon_sym_RPAREN,
    STATE(5683), 1,
      aux_sym_array_repeat1,
    STATE(6339), 1,
      sym_comment,
  [196369] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10090), 1,
      anon_sym_COMMA,
    ACTIONS(10092), 1,
      anon_sym_RBRACE,
    STATE(6326), 1,
      aux_sym_enum_body_repeat1,
    STATE(6340), 1,
      sym_comment,
  [196388] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7923), 1,
      anon_sym_LBRACE,
    ACTIONS(7929), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1261), 1,
      sym_object_type,
    STATE(6341), 1,
      sym_comment,
  [196407] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8027), 1,
      anon_sym_LBRACE,
    ACTIONS(8029), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1019), 1,
      sym_object_type,
    STATE(6342), 1,
      sym_comment,
  [196426] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10094), 1,
      anon_sym_COMMA,
    ACTIONS(10096), 1,
      anon_sym_RBRACE,
    STATE(6343), 1,
      sym_comment,
    STATE(6387), 1,
      aux_sym_enum_body_repeat1,
  [196445] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5784), 1,
      anon_sym_COMMA,
    ACTIONS(10098), 1,
      anon_sym_RPAREN,
    STATE(5683), 1,
      aux_sym_array_repeat1,
    STATE(6344), 1,
      sym_comment,
  [196464] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7881), 1,
      anon_sym_DOT,
    STATE(6345), 1,
      sym_comment,
    ACTIONS(10100), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [196481] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10102), 1,
      anon_sym_COMMA,
    ACTIONS(10104), 1,
      anon_sym_GT,
    STATE(5858), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6346), 1,
      sym_comment,
  [196500] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7901), 1,
      anon_sym_DOT,
    STATE(6347), 1,
      sym_comment,
    ACTIONS(10100), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [196517] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10106), 1,
      anon_sym_COMMA,
    ACTIONS(10108), 1,
      anon_sym_GT,
    STATE(5858), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6348), 1,
      sym_comment,
  [196536] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6349), 1,
      sym_comment,
    ACTIONS(9702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196551] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10110), 1,
      anon_sym_COMMA,
    ACTIONS(10112), 1,
      anon_sym_GT,
    STATE(5858), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6350), 1,
      sym_comment,
  [196570] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6351), 1,
      sym_comment,
    ACTIONS(9648), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196585] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(10117), 1,
      anon_sym_RBRACE,
    STATE(6352), 2,
      sym_comment,
      aux_sym_export_clause_repeat1,
  [196602] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9666), 1,
      anon_sym_COMMA,
    ACTIONS(10119), 1,
      anon_sym_RBRACE,
    STATE(6353), 1,
      sym_comment,
    STATE(6379), 1,
      aux_sym_object_repeat1,
  [196621] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6354), 1,
      sym_comment,
    ACTIONS(9820), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196636] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6355), 1,
      sym_comment,
    ACTIONS(10121), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [196651] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6356), 1,
      sym_comment,
    ACTIONS(9806), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196666] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5784), 1,
      anon_sym_COMMA,
    ACTIONS(5831), 1,
      anon_sym_RPAREN,
    STATE(5683), 1,
      aux_sym_array_repeat1,
    STATE(6357), 1,
      sym_comment,
  [196685] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5784), 1,
      anon_sym_COMMA,
    ACTIONS(5831), 1,
      anon_sym_RPAREN,
    STATE(6339), 1,
      aux_sym_array_repeat1,
    STATE(6358), 1,
      sym_comment,
  [196704] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6359), 1,
      sym_comment,
    ACTIONS(9859), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196719] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6360), 1,
      sym_comment,
    ACTIONS(9648), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196734] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8027), 1,
      anon_sym_LBRACE,
    ACTIONS(8029), 1,
      anon_sym_LBRACE_PIPE,
    STATE(961), 1,
      sym_object_type,
    STATE(6361), 1,
      sym_comment,
  [196753] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5784), 1,
      anon_sym_COMMA,
    ACTIONS(10123), 1,
      anon_sym_RPAREN,
    STATE(5683), 1,
      aux_sym_array_repeat1,
    STATE(6362), 1,
      sym_comment,
  [196772] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10125), 1,
      anon_sym_COMMA,
    ACTIONS(10127), 1,
      anon_sym_RBRACK,
    STATE(5773), 1,
      aux_sym_tuple_type_repeat1,
    STATE(6363), 1,
      sym_comment,
  [196791] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6364), 1,
      sym_comment,
    ACTIONS(9368), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196806] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6365), 1,
      sym_comment,
    ACTIONS(9806), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196821] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6366), 1,
      sym_comment,
    ACTIONS(10129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196836] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6367), 1,
      sym_comment,
    ACTIONS(9859), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196851] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6368), 1,
      sym_comment,
    ACTIONS(9648), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196866] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6369), 1,
      sym_comment,
    ACTIONS(9366), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196881] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10131), 1,
      sym_identifier,
    ACTIONS(10133), 1,
      anon_sym_LBRACK,
    ACTIONS(10135), 1,
      sym_private_property_identifier,
    STATE(6370), 1,
      sym_comment,
  [196900] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10137), 1,
      anon_sym_COMMA,
    ACTIONS(10139), 1,
      anon_sym_RBRACE,
    STATE(6040), 1,
      aux_sym_enum_body_repeat1,
    STATE(6371), 1,
      sym_comment,
  [196919] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10141), 1,
      sym_identifier,
    ACTIONS(10143), 1,
      anon_sym_LBRACK,
    ACTIONS(10145), 1,
      sym_private_property_identifier,
    STATE(6372), 1,
      sym_comment,
  [196938] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6373), 1,
      sym_comment,
    ACTIONS(9648), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196953] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10147), 1,
      sym_identifier,
    ACTIONS(10149), 1,
      anon_sym_LBRACK,
    ACTIONS(10151), 1,
      sym_private_property_identifier,
    STATE(6374), 1,
      sym_comment,
  [196972] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10153), 1,
      anon_sym_COMMA,
    ACTIONS(10155), 1,
      anon_sym_RBRACE,
    STATE(6040), 1,
      aux_sym_enum_body_repeat1,
    STATE(6375), 1,
      sym_comment,
  [196991] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10157), 1,
      sym_identifier,
    ACTIONS(10159), 1,
      anon_sym_LBRACK,
    ACTIONS(10161), 1,
      sym_private_property_identifier,
    STATE(6376), 1,
      sym_comment,
  [197010] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6377), 1,
      sym_comment,
    ACTIONS(9366), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197025] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10163), 1,
      anon_sym_COMMA,
    ACTIONS(10165), 1,
      anon_sym_RBRACK,
    STATE(5773), 1,
      aux_sym_tuple_type_repeat1,
    STATE(6378), 1,
      sym_comment,
  [197044] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10167), 1,
      anon_sym_COMMA,
    ACTIONS(10170), 1,
      anon_sym_RBRACE,
    STATE(6379), 2,
      sym_comment,
      aux_sym_object_repeat1,
  [197061] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6380), 1,
      sym_comment,
    ACTIONS(10172), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197076] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6381), 1,
      sym_comment,
    ACTIONS(9368), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197091] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10174), 1,
      anon_sym_COMMA,
    ACTIONS(10177), 1,
      anon_sym_RBRACE,
    STATE(6382), 2,
      sym_comment,
      aux_sym_object_pattern_repeat1,
  [197108] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6383), 1,
      sym_comment,
    ACTIONS(10129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197123] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6384), 1,
      sym_comment,
    ACTIONS(9366), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197138] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10179), 1,
      anon_sym_COMMA,
    ACTIONS(10181), 1,
      anon_sym_RBRACE,
    STATE(6040), 1,
      aux_sym_enum_body_repeat1,
    STATE(6385), 1,
      sym_comment,
  [197157] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6386), 1,
      sym_comment,
    ACTIONS(9820), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197172] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10183), 1,
      anon_sym_COMMA,
    ACTIONS(10185), 1,
      anon_sym_RBRACE,
    STATE(6040), 1,
      aux_sym_enum_body_repeat1,
    STATE(6387), 1,
      sym_comment,
  [197191] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6388), 1,
      sym_comment,
    ACTIONS(10187), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197206] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6389), 1,
      sym_comment,
    ACTIONS(9820), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197221] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6390), 1,
      sym_comment,
    ACTIONS(9366), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197236] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6391), 1,
      sym_comment,
    ACTIONS(9859), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197251] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6392), 1,
      sym_comment,
    ACTIONS(9366), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197266] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6393), 1,
      sym_comment,
    ACTIONS(9366), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197281] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6394), 1,
      sym_comment,
    ACTIONS(9368), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197296] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3511), 1,
      sym_statement_block,
    STATE(6395), 1,
      sym_comment,
  [197312] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6396), 1,
      sym_comment,
    ACTIONS(8256), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [197326] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10009), 1,
      anon_sym_LBRACE,
    STATE(914), 1,
      sym_statement_block,
    STATE(6397), 1,
      sym_comment,
  [197342] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6398), 1,
      sym_comment,
    ACTIONS(3500), 2,
      anon_sym_else,
      anon_sym_while,
  [197356] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10189), 1,
      sym_identifier,
    ACTIONS(10191), 1,
      sym_private_property_identifier,
    STATE(6399), 1,
      sym_comment,
  [197372] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6400), 1,
      sym_comment,
    ACTIONS(3378), 2,
      anon_sym_else,
      anon_sym_while,
  [197386] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10193), 1,
      sym_identifier,
    ACTIONS(10195), 1,
      sym_private_property_identifier,
    STATE(6401), 1,
      sym_comment,
  [197402] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6402), 1,
      sym_comment,
    ACTIONS(3376), 2,
      anon_sym_else,
      anon_sym_while,
  [197416] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6403), 1,
      sym_comment,
    ACTIONS(3374), 2,
      anon_sym_else,
      anon_sym_while,
  [197430] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    STATE(6404), 1,
      sym_comment,
    STATE(7002), 1,
      sym_statement_block,
  [197446] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9656), 1,
      anon_sym_LBRACE,
    STATE(1186), 1,
      sym_statement_block,
    STATE(6405), 1,
      sym_comment,
  [197462] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6406), 1,
      sym_comment,
    ACTIONS(6671), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [197476] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10197), 1,
      sym_identifier,
    ACTIONS(10199), 1,
      sym_private_property_identifier,
    STATE(6407), 1,
      sym_comment,
  [197492] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10201), 1,
      sym_identifier,
    ACTIONS(10203), 1,
      anon_sym_STAR,
    STATE(6408), 1,
      sym_comment,
  [197508] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9386), 1,
      sym_identifier,
    ACTIONS(9390), 1,
      sym_private_property_identifier,
    STATE(6409), 1,
      sym_comment,
  [197524] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    STATE(6410), 1,
      sym_comment,
    STATE(6555), 1,
      sym_statement_block,
  [197540] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6411), 1,
      sym_comment,
    ACTIONS(3462), 2,
      anon_sym_else,
      anon_sym_while,
  [197554] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9006), 1,
      anon_sym_LBRACE,
    STATE(1051), 1,
      sym_statement_block,
    STATE(6412), 1,
      sym_comment,
  [197570] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3500), 1,
      sym_statement_block,
    STATE(6413), 1,
      sym_comment,
  [197586] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7493), 1,
      anon_sym_LBRACE,
    STATE(1323), 1,
      sym_class_body,
    STATE(6414), 1,
      sym_comment,
  [197602] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10009), 1,
      anon_sym_LBRACE,
    STATE(927), 1,
      sym_statement_block,
    STATE(6415), 1,
      sym_comment,
  [197618] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    STATE(6287), 1,
      sym_statement_block,
    STATE(6416), 1,
      sym_comment,
  [197634] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6417), 1,
      sym_comment,
    ACTIONS(3540), 2,
      anon_sym_else,
      anon_sym_while,
  [197648] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4178), 1,
      anon_sym_COLON,
    STATE(6418), 1,
      sym_comment,
    STATE(6465), 1,
      sym_type_annotation,
  [197664] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10205), 1,
      sym_identifier,
    ACTIONS(10207), 1,
      anon_sym_STAR,
    STATE(6419), 1,
      sym_comment,
  [197680] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6420), 1,
      sym_comment,
    ACTIONS(9394), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [197694] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6421), 1,
      sym_comment,
    ACTIONS(3538), 2,
      anon_sym_else,
      anon_sym_while,
  [197708] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10209), 1,
      anon_sym_LBRACE,
    STATE(1393), 1,
      sym_statement_block,
    STATE(6422), 1,
      sym_comment,
  [197724] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6423), 1,
      sym_comment,
    ACTIONS(8232), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [197738] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10211), 1,
      sym_identifier,
    ACTIONS(10213), 1,
      anon_sym_STAR,
    STATE(6424), 1,
      sym_comment,
  [197754] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    STATE(4683), 1,
      sym_formal_parameters,
    STATE(6425), 1,
      sym_comment,
  [197770] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10215), 1,
      anon_sym_LBRACE,
    STATE(1397), 1,
      sym_enum_body,
    STATE(6426), 1,
      sym_comment,
  [197786] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7473), 1,
      anon_sym_LBRACE,
    STATE(2549), 1,
      sym_class_body,
    STATE(6427), 1,
      sym_comment,
  [197802] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10217), 1,
      anon_sym_SEMI,
    ACTIONS(10219), 1,
      sym__automatic_semicolon,
    STATE(6428), 1,
      sym_comment,
  [197818] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5298), 1,
      anon_sym_LBRACE,
    STATE(2551), 1,
      sym_statement_block,
    STATE(6429), 1,
      sym_comment,
  [197834] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7493), 1,
      anon_sym_LBRACE,
    STATE(1316), 1,
      sym_class_body,
    STATE(6430), 1,
      sym_comment,
  [197850] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3506), 1,
      sym_statement_block,
    STATE(6431), 1,
      sym_comment,
  [197866] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3492), 1,
      sym_statement_block,
    STATE(6432), 1,
      sym_comment,
  [197882] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3490), 1,
      sym_statement_block,
    STATE(6433), 1,
      sym_comment,
  [197898] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7467), 1,
      anon_sym_LBRACE,
    STATE(6259), 1,
      sym_class_body,
    STATE(6434), 1,
      sym_comment,
  [197914] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7879), 1,
      anon_sym_LBRACE,
    STATE(6267), 1,
      sym_statement_block,
    STATE(6435), 1,
      sym_comment,
  [197930] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7495), 1,
      anon_sym_LBRACE,
    STATE(3050), 1,
      sym_class_body,
    STATE(6436), 1,
      sym_comment,
  [197946] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6437), 1,
      sym_comment,
    ACTIONS(5698), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [197960] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10221), 1,
      sym_identifier,
    ACTIONS(10223), 1,
      sym_private_property_identifier,
    STATE(6438), 1,
      sym_comment,
  [197976] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6439), 1,
      sym_comment,
    ACTIONS(3480), 2,
      anon_sym_else,
      anon_sym_while,
  [197990] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10225), 1,
      anon_sym_SEMI,
    ACTIONS(10227), 1,
      sym__automatic_semicolon,
    STATE(6440), 1,
      sym_comment,
  [198006] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3497), 1,
      sym_statement_block,
    STATE(6441), 1,
      sym_comment,
  [198022] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7483), 1,
      anon_sym_LBRACE,
    STATE(6442), 1,
      sym_comment,
    STATE(6668), 1,
      sym_class_body,
  [198038] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7493), 1,
      anon_sym_LBRACE,
    STATE(1279), 1,
      sym_class_body,
    STATE(6443), 1,
      sym_comment,
  [198054] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4819), 1,
      anon_sym_LBRACE,
    STATE(3060), 1,
      sym_statement_block,
    STATE(6444), 1,
      sym_comment,
  [198070] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7495), 1,
      anon_sym_LBRACE,
    STATE(3236), 1,
      sym_class_body,
    STATE(6445), 1,
      sym_comment,
  [198086] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10229), 1,
      anon_sym_SEMI,
    ACTIONS(10231), 1,
      sym__automatic_semicolon,
    STATE(6446), 1,
      sym_comment,
  [198102] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6447), 1,
      sym_comment,
    ACTIONS(3474), 2,
      anon_sym_else,
      anon_sym_while,
  [198116] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10233), 1,
      sym_identifier,
    ACTIONS(10235), 1,
      anon_sym_STAR,
    STATE(6448), 1,
      sym_comment,
  [198132] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6449), 1,
      sym_comment,
    ACTIONS(10237), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [198146] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6450), 1,
      sym_comment,
    ACTIONS(10239), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [198160] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4178), 1,
      anon_sym_COLON,
    STATE(6451), 1,
      sym_comment,
    STATE(6603), 1,
      sym_type_annotation,
  [198176] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7495), 1,
      anon_sym_LBRACE,
    STATE(3158), 1,
      sym_class_body,
    STATE(6452), 1,
      sym_comment,
  [198192] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10241), 1,
      anon_sym_SEMI,
    ACTIONS(10243), 1,
      sym__automatic_semicolon,
    STATE(6453), 1,
      sym_comment,
  [198208] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10245), 1,
      sym_identifier,
    ACTIONS(10247), 1,
      sym_private_property_identifier,
    STATE(6454), 1,
      sym_comment,
  [198224] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10249), 1,
      anon_sym_LBRACE,
    STATE(975), 1,
      sym_statement_block,
    STATE(6455), 1,
      sym_comment,
  [198240] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10215), 1,
      anon_sym_LBRACE,
    STATE(1455), 1,
      sym_enum_body,
    STATE(6456), 1,
      sym_comment,
  [198256] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10251), 1,
      anon_sym_LBRACE,
    STATE(973), 1,
      sym_enum_body,
    STATE(6457), 1,
      sym_comment,
  [198272] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10253), 1,
      sym_identifier,
    ACTIONS(10255), 1,
      sym_private_property_identifier,
    STATE(6458), 1,
      sym_comment,
  [198288] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10257), 1,
      sym_identifier,
    ACTIONS(10259), 1,
      sym_private_property_identifier,
    STATE(6459), 1,
      sym_comment,
  [198304] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10261), 1,
      anon_sym_SEMI,
    ACTIONS(10263), 1,
      sym__automatic_semicolon,
    STATE(6460), 1,
      sym_comment,
  [198320] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    STATE(6406), 1,
      sym_statement_block,
    STATE(6461), 1,
      sym_comment,
  [198336] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10131), 1,
      sym_identifier,
    ACTIONS(10135), 1,
      sym_private_property_identifier,
    STATE(6462), 1,
      sym_comment,
  [198352] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    STATE(5032), 1,
      sym_formal_parameters,
    STATE(6463), 1,
      sym_comment,
  [198368] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7483), 1,
      anon_sym_LBRACE,
    STATE(6464), 1,
      sym_comment,
    STATE(6728), 1,
      sym_class_body,
  [198384] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6465), 1,
      sym_comment,
    ACTIONS(10265), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [198398] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10267), 1,
      anon_sym_SEMI,
    ACTIONS(10269), 1,
      sym__automatic_semicolon,
    STATE(6466), 1,
      sym_comment,
  [198414] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10271), 1,
      anon_sym_SEMI,
    ACTIONS(10273), 1,
      sym__automatic_semicolon,
    STATE(6467), 1,
      sym_comment,
  [198430] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6468), 1,
      sym_comment,
    ACTIONS(10275), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [198444] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10277), 1,
      sym_identifier,
    ACTIONS(10279), 1,
      anon_sym_STAR,
    STATE(6469), 1,
      sym_comment,
  [198460] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4819), 1,
      anon_sym_LBRACE,
    STATE(3289), 1,
      sym_statement_block,
    STATE(6470), 1,
      sym_comment,
  [198476] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10281), 1,
      anon_sym_LPAREN,
    STATE(98), 1,
      sym_parenthesized_expression,
    STATE(6471), 1,
      sym_comment,
  [198492] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10251), 1,
      anon_sym_LBRACE,
    STATE(958), 1,
      sym_enum_body,
    STATE(6472), 1,
      sym_comment,
  [198508] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6473), 1,
      sym_comment,
    ACTIONS(3536), 2,
      anon_sym_else,
      anon_sym_while,
  [198522] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10283), 1,
      anon_sym_LPAREN,
    STATE(6474), 1,
      sym_comment,
    STATE(7054), 1,
      sym_parenthesized_expression,
  [198538] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7791), 1,
      anon_sym_LBRACE,
    STATE(316), 1,
      sym_class_body,
    STATE(6475), 1,
      sym_comment,
  [198554] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7515), 1,
      anon_sym_LBRACE,
    STATE(452), 1,
      sym_class_body,
    STATE(6476), 1,
      sym_comment,
  [198570] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10285), 1,
      anon_sym_LPAREN,
    STATE(1517), 1,
      sym_parenthesized_expression,
    STATE(6477), 1,
      sym_comment,
  [198586] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6478), 1,
      sym_comment,
    ACTIONS(3372), 2,
      anon_sym_else,
      anon_sym_while,
  [198600] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7495), 1,
      anon_sym_LBRACE,
    STATE(3292), 1,
      sym_class_body,
    STATE(6479), 1,
      sym_comment,
  [198616] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10287), 1,
      sym_identifier,
    ACTIONS(10289), 1,
      anon_sym_STAR,
    STATE(6480), 1,
      sym_comment,
  [198632] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    STATE(1034), 1,
      sym_class_body,
    STATE(6481), 1,
      sym_comment,
  [198648] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10291), 1,
      sym_identifier,
    ACTIONS(10293), 1,
      sym_private_property_identifier,
    STATE(6482), 1,
      sym_comment,
  [198664] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9006), 1,
      anon_sym_LBRACE,
    STATE(1046), 1,
      sym_statement_block,
    STATE(6483), 1,
      sym_comment,
  [198680] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6484), 1,
      sym_comment,
    ACTIONS(3370), 2,
      anon_sym_else,
      anon_sym_while,
  [198694] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    STATE(1037), 1,
      sym_class_body,
    STATE(6485), 1,
      sym_comment,
  [198710] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10295), 1,
      sym_identifier,
    ACTIONS(10297), 1,
      sym_private_property_identifier,
    STATE(6486), 1,
      sym_comment,
  [198726] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10299), 1,
      sym_identifier,
    ACTIONS(10301), 1,
      sym_private_property_identifier,
    STATE(6487), 1,
      sym_comment,
  [198742] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3473), 1,
      sym_statement_block,
    STATE(6488), 1,
      sym_comment,
  [198758] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10303), 1,
      sym_identifier,
    ACTIONS(10305), 1,
      sym_private_property_identifier,
    STATE(6489), 1,
      sym_comment,
  [198774] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7495), 1,
      anon_sym_LBRACE,
    STATE(3116), 1,
      sym_class_body,
    STATE(6490), 1,
      sym_comment,
  [198790] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6491), 1,
      sym_comment,
    ACTIONS(10117), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [198804] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10209), 1,
      anon_sym_LBRACE,
    STATE(1514), 1,
      sym_statement_block,
    STATE(6492), 1,
      sym_comment,
  [198820] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10307), 1,
      anon_sym_SEMI,
    ACTIONS(10309), 1,
      sym__automatic_semicolon,
    STATE(6493), 1,
      sym_comment,
  [198836] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6494), 1,
      sym_comment,
    ACTIONS(10311), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [198850] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7789), 1,
      anon_sym_LBRACE,
    STATE(937), 1,
      sym_class_body,
    STATE(6495), 1,
      sym_comment,
  [198866] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10313), 1,
      sym_identifier,
    ACTIONS(10315), 1,
      sym_private_property_identifier,
    STATE(6496), 1,
      sym_comment,
  [198882] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6497), 1,
      sym_comment,
    ACTIONS(3468), 2,
      anon_sym_else,
      anon_sym_while,
  [198896] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6498), 1,
      sym_comment,
    ACTIONS(3368), 2,
      anon_sym_else,
      anon_sym_while,
  [198910] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7483), 1,
      anon_sym_LBRACE,
    STATE(6499), 1,
      sym_comment,
    STATE(6582), 1,
      sym_class_body,
  [198926] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7555), 1,
      anon_sym_LBRACE,
    STATE(358), 1,
      sym_class_body,
    STATE(6500), 1,
      sym_comment,
  [198942] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6501), 1,
      sym_comment,
    ACTIONS(6683), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [198956] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7791), 1,
      anon_sym_LBRACE,
    STATE(322), 1,
      sym_class_body,
    STATE(6502), 1,
      sym_comment,
  [198972] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6503), 1,
      sym_comment,
    ACTIONS(10317), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [198986] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6504), 1,
      sym_comment,
    ACTIONS(2091), 2,
      anon_sym_else,
      anon_sym_while,
  [199000] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10281), 1,
      anon_sym_LPAREN,
    STATE(101), 1,
      sym_parenthesized_expression,
    STATE(6505), 1,
      sym_comment,
  [199016] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6506), 1,
      sym_comment,
    ACTIONS(3468), 2,
      anon_sym_else,
      anon_sym_while,
  [199030] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8987), 1,
      anon_sym_LBRACE,
    STATE(329), 1,
      sym_statement_block,
    STATE(6507), 1,
      sym_comment,
  [199046] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7757), 1,
      anon_sym_LBRACE,
    STATE(1017), 1,
      sym_class_body,
    STATE(6508), 1,
      sym_comment,
  [199062] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7673), 1,
      anon_sym_LBRACE,
    STATE(1516), 1,
      sym_class_body,
    STATE(6509), 1,
      sym_comment,
  [199078] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10319), 1,
      anon_sym_LBRACE,
    STATE(898), 1,
      sym_statement_block,
    STATE(6510), 1,
      sym_comment,
  [199094] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7473), 1,
      anon_sym_LBRACE,
    STATE(2660), 1,
      sym_class_body,
    STATE(6511), 1,
      sym_comment,
  [199110] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    STATE(6512), 1,
      sym_comment,
    STATE(7378), 1,
      sym_formal_parameters,
  [199126] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6513), 1,
      sym_comment,
    ACTIONS(6698), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [199140] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6514), 1,
      sym_comment,
    ACTIONS(3430), 2,
      anon_sym_else,
      anon_sym_while,
  [199154] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7493), 1,
      anon_sym_LBRACE,
    STATE(1259), 1,
      sym_class_body,
    STATE(6515), 1,
      sym_comment,
  [199170] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4819), 1,
      anon_sym_LBRACE,
    STATE(3155), 1,
      sym_statement_block,
    STATE(6516), 1,
      sym_comment,
  [199186] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10321), 1,
      sym_identifier,
    ACTIONS(10323), 1,
      anon_sym_STAR,
    STATE(6517), 1,
      sym_comment,
  [199202] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10281), 1,
      anon_sym_LPAREN,
    STATE(113), 1,
      sym_parenthesized_expression,
    STATE(6518), 1,
      sym_comment,
  [199218] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6519), 1,
      sym_comment,
    ACTIONS(10325), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [199232] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5298), 1,
      anon_sym_LBRACE,
    STATE(2659), 1,
      sym_statement_block,
    STATE(6520), 1,
      sym_comment,
  [199248] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5298), 1,
      anon_sym_LBRACE,
    STATE(2658), 1,
      sym_statement_block,
    STATE(6521), 1,
      sym_comment,
  [199264] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7791), 1,
      anon_sym_LBRACE,
    STATE(331), 1,
      sym_class_body,
    STATE(6522), 1,
      sym_comment,
  [199280] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6523), 1,
      sym_comment,
    ACTIONS(2129), 2,
      anon_sym_else,
      anon_sym_while,
  [199294] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8704), 1,
      anon_sym_LBRACE,
    STATE(1519), 1,
      sym_statement_block,
    STATE(6524), 1,
      sym_comment,
  [199310] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7789), 1,
      anon_sym_LBRACE,
    STATE(926), 1,
      sym_class_body,
    STATE(6525), 1,
      sym_comment,
  [199326] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7473), 1,
      anon_sym_LBRACE,
    STATE(2654), 1,
      sym_class_body,
    STATE(6526), 1,
      sym_comment,
  [199342] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8975), 1,
      anon_sym_LBRACE,
    STATE(922), 1,
      sym_statement_block,
    STATE(6527), 1,
      sym_comment,
  [199358] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7789), 1,
      anon_sym_LBRACE,
    STATE(931), 1,
      sym_class_body,
    STATE(6528), 1,
      sym_comment,
  [199374] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3484), 1,
      sym_statement_block,
    STATE(6529), 1,
      sym_comment,
  [199390] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3464), 1,
      sym_statement_block,
    STATE(6530), 1,
      sym_comment,
  [199406] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7673), 1,
      anon_sym_LBRACE,
    STATE(1520), 1,
      sym_class_body,
    STATE(6531), 1,
      sym_comment,
  [199422] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6532), 1,
      sym_comment,
    ACTIONS(3438), 2,
      anon_sym_else,
      anon_sym_while,
  [199436] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7467), 1,
      anon_sym_LBRACE,
    STATE(6055), 1,
      sym_class_body,
    STATE(6533), 1,
      sym_comment,
  [199452] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8987), 1,
      anon_sym_LBRACE,
    STATE(341), 1,
      sym_statement_block,
    STATE(6534), 1,
      sym_comment,
  [199468] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7757), 1,
      anon_sym_LBRACE,
    STATE(1065), 1,
      sym_class_body,
    STATE(6535), 1,
      sym_comment,
  [199484] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7879), 1,
      anon_sym_LBRACE,
    STATE(6048), 1,
      sym_statement_block,
    STATE(6536), 1,
      sym_comment,
  [199500] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6537), 1,
      sym_comment,
    ACTIONS(3534), 2,
      anon_sym_else,
      anon_sym_while,
  [199514] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6538), 1,
      sym_comment,
    ACTIONS(3534), 2,
      anon_sym_else,
      anon_sym_while,
  [199528] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3503), 1,
      sym_statement_block,
    STATE(6539), 1,
      sym_comment,
  [199544] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4819), 1,
      anon_sym_LBRACE,
    STATE(3189), 1,
      sym_statement_block,
    STATE(6540), 1,
      sym_comment,
  [199560] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7467), 1,
      anon_sym_LBRACE,
    STATE(6046), 1,
      sym_class_body,
    STATE(6541), 1,
      sym_comment,
  [199576] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3504), 1,
      sym_statement_block,
    STATE(6542), 1,
      sym_comment,
  [199592] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7791), 1,
      anon_sym_LBRACE,
    STATE(343), 1,
      sym_class_body,
    STATE(6543), 1,
      sym_comment,
  [199608] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7757), 1,
      anon_sym_LBRACE,
    STATE(1082), 1,
      sym_class_body,
    STATE(6544), 1,
      sym_comment,
  [199624] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6545), 1,
      sym_comment,
    ACTIONS(6651), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [199638] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8975), 1,
      anon_sym_LBRACE,
    STATE(912), 1,
      sym_statement_block,
    STATE(6546), 1,
      sym_comment,
  [199654] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7789), 1,
      anon_sym_LBRACE,
    STATE(944), 1,
      sym_class_body,
    STATE(6547), 1,
      sym_comment,
  [199670] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6548), 1,
      sym_comment,
    ACTIONS(3460), 2,
      anon_sym_else,
      anon_sym_while,
  [199684] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7473), 1,
      anon_sym_LBRACE,
    STATE(2650), 1,
      sym_class_body,
    STATE(6549), 1,
      sym_comment,
  [199700] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7515), 1,
      anon_sym_LBRACE,
    STATE(424), 1,
      sym_class_body,
    STATE(6550), 1,
      sym_comment,
  [199716] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6551), 1,
      sym_comment,
    ACTIONS(6655), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [199730] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    STATE(6552), 1,
      sym_comment,
    STATE(7038), 1,
      sym_statement_block,
  [199746] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7757), 1,
      anon_sym_LBRACE,
    STATE(1122), 1,
      sym_class_body,
    STATE(6553), 1,
      sym_comment,
  [199762] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3485), 1,
      sym_statement_block,
    STATE(6554), 1,
      sym_comment,
  [199778] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6555), 1,
      sym_comment,
    ACTIONS(6687), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [199792] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7495), 1,
      anon_sym_LBRACE,
    STATE(3243), 1,
      sym_class_body,
    STATE(6556), 1,
      sym_comment,
  [199808] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7495), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_class_body,
    STATE(6557), 1,
      sym_comment,
  [199824] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6558), 1,
      sym_comment,
    ACTIONS(6659), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [199838] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6559), 1,
      sym_comment,
    ACTIONS(3380), 2,
      anon_sym_else,
      anon_sym_while,
  [199852] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10327), 1,
      sym_identifier,
    ACTIONS(10329), 1,
      anon_sym_STAR,
    STATE(6560), 1,
      sym_comment,
  [199868] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10331), 1,
      anon_sym_SEMI,
    ACTIONS(10333), 1,
      sym__automatic_semicolon,
    STATE(6561), 1,
      sym_comment,
  [199884] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7495), 1,
      anon_sym_LBRACE,
    STATE(3194), 1,
      sym_class_body,
    STATE(6562), 1,
      sym_comment,
  [199900] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10335), 1,
      sym_identifier,
    ACTIONS(10337), 1,
      sym_private_property_identifier,
    STATE(6563), 1,
      sym_comment,
  [199916] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6564), 1,
      sym_comment,
    ACTIONS(3414), 2,
      anon_sym_else,
      anon_sym_while,
  [199930] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3498), 1,
      sym_statement_block,
    STATE(6565), 1,
      sym_comment,
  [199946] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6566), 1,
      sym_comment,
    ACTIONS(10339), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [199960] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    STATE(6315), 1,
      sym_statement_block,
    STATE(6567), 1,
      sym_comment,
  [199976] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6568), 1,
      sym_comment,
    ACTIONS(6634), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [199990] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10341), 1,
      sym_identifier,
    ACTIONS(10343), 1,
      sym_private_property_identifier,
    STATE(6569), 1,
      sym_comment,
  [200006] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4819), 1,
      anon_sym_LBRACE,
    STATE(3173), 1,
      sym_statement_block,
    STATE(6570), 1,
      sym_comment,
  [200022] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6571), 1,
      sym_comment,
    ACTIONS(3508), 2,
      anon_sym_else,
      anon_sym_while,
  [200036] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(6572), 1,
      sym_comment,
    ACTIONS(10345), 2,
      sym__glimmer_template_content,
      anon_sym_LT_SLASHtemplate_GT,
  [200050] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8754), 1,
      anon_sym_LBRACE,
    STATE(458), 1,
      sym_statement_block,
    STATE(6573), 1,
      sym_comment,
  [200066] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    STATE(1064), 1,
      sym_class_body,
    STATE(6574), 1,
      sym_comment,
  [200082] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10347), 1,
      sym_identifier,
    ACTIONS(10349), 1,
      sym_private_property_identifier,
    STATE(6575), 1,
      sym_comment,
  [200098] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6576), 1,
      sym_comment,
    ACTIONS(10351), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [200112] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4819), 1,
      anon_sym_LBRACE,
    STATE(3190), 1,
      sym_statement_block,
    STATE(6577), 1,
      sym_comment,
  [200128] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10353), 1,
      sym_identifier,
    ACTIONS(10355), 1,
      sym_private_property_identifier,
    STATE(6578), 1,
      sym_comment,
  [200144] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7495), 1,
      anon_sym_LBRACE,
    STATE(3187), 1,
      sym_class_body,
    STATE(6579), 1,
      sym_comment,
  [200160] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6580), 1,
      sym_comment,
    ACTIONS(10357), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200174] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10359), 1,
      anon_sym_SEMI,
    ACTIONS(10361), 1,
      sym__automatic_semicolon,
    STATE(6581), 1,
      sym_comment,
  [200190] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6582), 1,
      sym_comment,
    ACTIONS(3420), 2,
      anon_sym_else,
      anon_sym_while,
  [200204] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6583), 1,
      sym_comment,
    ACTIONS(3366), 2,
      anon_sym_else,
      anon_sym_while,
  [200218] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6584), 1,
      sym_comment,
    ACTIONS(9406), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [200232] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6585), 1,
      sym_comment,
    ACTIONS(3422), 2,
      anon_sym_else,
      anon_sym_while,
  [200246] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6586), 1,
      sym_comment,
    ACTIONS(3424), 2,
      anon_sym_else,
      anon_sym_while,
  [200260] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6587), 1,
      sym_comment,
    ACTIONS(10363), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [200274] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9047), 1,
      anon_sym_from,
    STATE(6588), 1,
      sym_comment,
    STATE(6846), 1,
      sym__from_clause,
  [200290] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6589), 1,
      sym_comment,
    ACTIONS(3532), 2,
      anon_sym_else,
      anon_sym_while,
  [200304] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6590), 1,
      sym_comment,
    ACTIONS(3426), 2,
      anon_sym_else,
      anon_sym_while,
  [200318] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6591), 1,
      sym_comment,
    ACTIONS(3364), 2,
      anon_sym_else,
      anon_sym_while,
  [200332] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3487), 1,
      sym_statement_block,
    STATE(6592), 1,
      sym_comment,
  [200348] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6593), 1,
      sym_comment,
    ACTIONS(3428), 2,
      anon_sym_else,
      anon_sym_while,
  [200362] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6594), 1,
      sym_comment,
    ACTIONS(2103), 2,
      anon_sym_else,
      anon_sym_while,
  [200376] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6595), 1,
      sym_comment,
    ACTIONS(6630), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [200390] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6596), 1,
      sym_comment,
    ACTIONS(10365), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [200404] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6597), 1,
      sym_comment,
    ACTIONS(3362), 2,
      anon_sym_else,
      anon_sym_while,
  [200418] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6598), 1,
      sym_comment,
    ACTIONS(3414), 2,
      anon_sym_else,
      anon_sym_while,
  [200432] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7483), 1,
      anon_sym_LBRACE,
    STATE(6599), 1,
      sym_comment,
    STATE(7035), 1,
      sym_class_body,
  [200448] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6600), 1,
      sym_comment,
    ACTIONS(3414), 2,
      anon_sym_else,
      anon_sym_while,
  [200462] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6601), 1,
      sym_comment,
    ACTIONS(3414), 2,
      anon_sym_else,
      anon_sym_while,
  [200476] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6602), 1,
      sym_comment,
    ACTIONS(6667), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [200490] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6603), 1,
      sym_comment,
    ACTIONS(10367), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [200504] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6604), 1,
      sym_comment,
    ACTIONS(3360), 2,
      anon_sym_else,
      anon_sym_while,
  [200518] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6605), 1,
      sym_comment,
    ACTIONS(10020), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [200532] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6606), 1,
      sym_comment,
    ACTIONS(3356), 2,
      anon_sym_else,
      anon_sym_while,
  [200546] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4819), 1,
      anon_sym_LBRACE,
    STATE(3211), 1,
      sym_statement_block,
    STATE(6607), 1,
      sym_comment,
  [200562] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6608), 1,
      sym_comment,
    ACTIONS(10170), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [200576] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6609), 1,
      sym_comment,
    ACTIONS(3354), 2,
      anon_sym_else,
      anon_sym_while,
  [200590] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6610), 1,
      sym_comment,
    ACTIONS(10369), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200604] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6611), 1,
      sym_comment,
    ACTIONS(3352), 2,
      anon_sym_else,
      anon_sym_while,
  [200618] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5298), 1,
      anon_sym_LBRACE,
    STATE(2584), 1,
      sym_statement_block,
    STATE(6612), 1,
      sym_comment,
  [200634] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6613), 1,
      sym_comment,
    ACTIONS(3514), 2,
      anon_sym_else,
      anon_sym_while,
  [200648] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6614), 1,
      sym_comment,
    ACTIONS(3530), 2,
      anon_sym_else,
      anon_sym_while,
  [200662] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6615), 1,
      sym_comment,
    ACTIONS(5536), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200676] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3472), 1,
      sym_statement_block,
    STATE(6616), 1,
      sym_comment,
  [200692] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6617), 1,
      sym_comment,
    ACTIONS(10177), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [200706] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6618), 1,
      sym_comment,
    ACTIONS(3528), 2,
      anon_sym_else,
      anon_sym_while,
  [200720] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6619), 1,
      sym_comment,
    ACTIONS(3382), 2,
      anon_sym_else,
      anon_sym_while,
  [200734] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6620), 1,
      sym_comment,
    ACTIONS(10371), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200748] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6621), 1,
      sym_comment,
    ACTIONS(9485), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [200762] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6622), 1,
      sym_comment,
    ACTIONS(3432), 2,
      anon_sym_else,
      anon_sym_while,
  [200776] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3512), 1,
      sym_statement_block,
    STATE(6623), 1,
      sym_comment,
  [200792] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7495), 1,
      anon_sym_LBRACE,
    STATE(3252), 1,
      sym_class_body,
    STATE(6624), 1,
      sym_comment,
  [200808] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6625), 1,
      sym_comment,
    ACTIONS(3526), 2,
      anon_sym_else,
      anon_sym_while,
  [200822] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9491), 1,
      anon_sym_COLON,
    ACTIONS(9493), 1,
      anon_sym_GT,
    STATE(6626), 1,
      sym_comment,
  [200838] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3489), 1,
      sym_statement_block,
    STATE(6627), 1,
      sym_comment,
  [200854] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8925), 1,
      anon_sym_DOT,
    ACTIONS(10373), 1,
      anon_sym_GT,
    STATE(6628), 1,
      sym_comment,
  [200870] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10249), 1,
      anon_sym_LBRACE,
    STATE(1085), 1,
      sym_statement_block,
    STATE(6629), 1,
      sym_comment,
  [200886] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3499), 1,
      sym_statement_block,
    STATE(6630), 1,
      sym_comment,
  [200902] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6631), 1,
      sym_comment,
    ACTIONS(3384), 2,
      anon_sym_else,
      anon_sym_while,
  [200916] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10375), 1,
      anon_sym_LPAREN,
    STATE(1087), 1,
      sym_parenthesized_expression,
    STATE(6632), 1,
      sym_comment,
  [200932] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6633), 1,
      sym_comment,
    ACTIONS(3534), 2,
      anon_sym_else,
      anon_sym_while,
  [200946] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6634), 1,
      sym_comment,
    ACTIONS(5471), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200960] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6635), 1,
      sym_comment,
    ACTIONS(3384), 2,
      anon_sym_else,
      anon_sym_while,
  [200974] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10377), 1,
      anon_sym_SEMI,
    ACTIONS(10379), 1,
      sym__automatic_semicolon,
    STATE(6636), 1,
      sym_comment,
  [200990] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    STATE(4773), 1,
      sym_formal_parameters,
    STATE(6637), 1,
      sym_comment,
  [201006] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10381), 1,
      anon_sym_LBRACE,
    STATE(1212), 1,
      sym_enum_body,
    STATE(6638), 1,
      sym_comment,
  [201022] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3494), 1,
      sym_statement_block,
    STATE(6639), 1,
      sym_comment,
  [201038] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7689), 1,
      anon_sym_LBRACE,
    STATE(1556), 1,
      sym_class_body,
    STATE(6640), 1,
      sym_comment,
  [201054] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6641), 1,
      sym_comment,
    ACTIONS(3384), 2,
      anon_sym_else,
      anon_sym_while,
  [201068] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6642), 1,
      sym_comment,
    ACTIONS(3488), 2,
      anon_sym_else,
      anon_sym_while,
  [201082] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10383), 1,
      anon_sym_SEMI,
    ACTIONS(10385), 1,
      sym__automatic_semicolon,
    STATE(6643), 1,
      sym_comment,
  [201098] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6644), 1,
      sym_comment,
    ACTIONS(10387), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201112] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6645), 1,
      sym_comment,
    ACTIONS(10389), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201126] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3501), 1,
      sym_statement_block,
    STATE(6646), 1,
      sym_comment,
  [201142] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7495), 1,
      anon_sym_LBRACE,
    STATE(3180), 1,
      sym_class_body,
    STATE(6647), 1,
      sym_comment,
  [201158] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6648), 1,
      sym_comment,
    ACTIONS(3418), 2,
      anon_sym_else,
      anon_sym_while,
  [201172] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4819), 1,
      anon_sym_LBRACE,
    STATE(3181), 1,
      sym_statement_block,
    STATE(6649), 1,
      sym_comment,
  [201188] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6650), 1,
      sym_comment,
    ACTIONS(10391), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201202] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10393), 1,
      anon_sym_SEMI,
    ACTIONS(10395), 1,
      sym__automatic_semicolon,
    STATE(6651), 1,
      sym_comment,
  [201218] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    STATE(6652), 1,
      sym_comment,
    STATE(7288), 1,
      sym_formal_parameters,
  [201234] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6653), 1,
      sym_comment,
    ACTIONS(3416), 2,
      anon_sym_else,
      anon_sym_while,
  [201248] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7575), 1,
      anon_sym_LBRACE,
    STATE(1066), 1,
      sym_class_body,
    STATE(6654), 1,
      sym_comment,
  [201264] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6655), 1,
      sym_comment,
    ACTIONS(2341), 2,
      anon_sym_else,
      anon_sym_while,
  [201278] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10397), 1,
      anon_sym_SEMI,
    ACTIONS(10399), 1,
      sym__automatic_semicolon,
    STATE(6656), 1,
      sym_comment,
  [201294] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6657), 1,
      sym_comment,
    ACTIONS(10401), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201308] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3509), 1,
      sym_statement_block,
    STATE(6658), 1,
      sym_comment,
  [201324] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6659), 1,
      sym_comment,
    ACTIONS(3402), 2,
      anon_sym_else,
      anon_sym_while,
  [201338] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10403), 1,
      anon_sym_SEMI,
    ACTIONS(10405), 1,
      sym__automatic_semicolon,
    STATE(6660), 1,
      sym_comment,
  [201354] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6661), 1,
      sym_comment,
    ACTIONS(3508), 2,
      anon_sym_else,
      anon_sym_while,
  [201368] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3515), 1,
      sym_statement_block,
    STATE(6662), 1,
      sym_comment,
  [201384] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6663), 1,
      sym_comment,
    ACTIONS(3414), 2,
      anon_sym_else,
      anon_sym_while,
  [201398] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5298), 1,
      anon_sym_LBRACE,
    STATE(2557), 1,
      sym_statement_block,
    STATE(6664), 1,
      sym_comment,
  [201414] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6665), 1,
      sym_comment,
    ACTIONS(3504), 2,
      anon_sym_else,
      anon_sym_while,
  [201428] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6666), 1,
      sym_comment,
    ACTIONS(3524), 2,
      anon_sym_else,
      anon_sym_while,
  [201442] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6667), 1,
      sym_comment,
    ACTIONS(5527), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201456] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6668), 1,
      sym_comment,
    ACTIONS(3440), 2,
      anon_sym_else,
      anon_sym_while,
  [201470] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7473), 1,
      anon_sym_LBRACE,
    STATE(2560), 1,
      sym_class_body,
    STATE(6669), 1,
      sym_comment,
  [201486] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3493), 1,
      sym_statement_block,
    STATE(6670), 1,
      sym_comment,
  [201502] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3486), 1,
      sym_statement_block,
    STATE(6671), 1,
      sym_comment,
  [201518] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6672), 1,
      sym_comment,
    ACTIONS(3384), 2,
      anon_sym_else,
      anon_sym_while,
  [201532] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6673), 1,
      sym_comment,
    ACTIONS(3350), 2,
      anon_sym_else,
      anon_sym_while,
  [201546] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10407), 1,
      anon_sym_SEMI,
    ACTIONS(10409), 1,
      sym__automatic_semicolon,
    STATE(6674), 1,
      sym_comment,
  [201562] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3476), 1,
      sym_statement_block,
    STATE(6675), 1,
      sym_comment,
  [201578] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6676), 1,
      sym_comment,
    ACTIONS(3412), 2,
      anon_sym_else,
      anon_sym_while,
  [201592] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3477), 1,
      sym_statement_block,
    STATE(6677), 1,
      sym_comment,
  [201608] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6678), 1,
      sym_comment,
    ACTIONS(3340), 2,
      anon_sym_else,
      anon_sym_while,
  [201622] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10381), 1,
      anon_sym_LBRACE,
    STATE(1485), 1,
      sym_enum_body,
    STATE(6679), 1,
      sym_comment,
  [201638] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10411), 1,
      anon_sym_SEMI,
    ACTIONS(10413), 1,
      sym__automatic_semicolon,
    STATE(6680), 1,
      sym_comment,
  [201654] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7467), 1,
      anon_sym_LBRACE,
    STATE(5813), 1,
      sym_class_body,
    STATE(6681), 1,
      sym_comment,
  [201670] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6682), 1,
      sym_comment,
    ACTIONS(10415), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201684] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10417), 1,
      anon_sym_SEMI,
    ACTIONS(10419), 1,
      sym__automatic_semicolon,
    STATE(6683), 1,
      sym_comment,
  [201700] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6684), 1,
      sym_comment,
    ACTIONS(3444), 2,
      anon_sym_else,
      anon_sym_while,
  [201714] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7473), 1,
      anon_sym_LBRACE,
    STATE(2587), 1,
      sym_class_body,
    STATE(6685), 1,
      sym_comment,
  [201730] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10421), 1,
      anon_sym_LBRACE,
    STATE(1187), 1,
      sym_statement_block,
    STATE(6686), 1,
      sym_comment,
  [201746] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6687), 1,
      sym_comment,
    ACTIONS(3446), 2,
      anon_sym_else,
      anon_sym_while,
  [201760] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6688), 1,
      sym_comment,
    ACTIONS(3340), 2,
      anon_sym_else,
      anon_sym_while,
  [201774] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6689), 1,
      sym_comment,
    ACTIONS(3384), 2,
      anon_sym_else,
      anon_sym_while,
  [201788] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6690), 1,
      sym_comment,
    ACTIONS(3508), 2,
      anon_sym_else,
      anon_sym_while,
  [201802] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3471), 1,
      sym_statement_block,
    STATE(6691), 1,
      sym_comment,
  [201818] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8925), 1,
      anon_sym_DOT,
    ACTIONS(10423), 1,
      anon_sym_GT,
    STATE(6692), 1,
      sym_comment,
  [201834] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4819), 1,
      anon_sym_LBRACE,
    STATE(3052), 1,
      sym_statement_block,
    STATE(6693), 1,
      sym_comment,
  [201850] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10425), 1,
      anon_sym_SEMI,
    ACTIONS(10427), 1,
      sym__automatic_semicolon,
    STATE(6694), 1,
      sym_comment,
  [201866] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3513), 1,
      sym_statement_block,
    STATE(6695), 1,
      sym_comment,
  [201882] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9491), 1,
      anon_sym_COLON,
    ACTIONS(9991), 1,
      anon_sym_GT,
    STATE(6696), 1,
      sym_comment,
  [201898] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7555), 1,
      anon_sym_LBRACE,
    STATE(396), 1,
      sym_class_body,
    STATE(6697), 1,
      sym_comment,
  [201914] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6698), 1,
      sym_comment,
    ACTIONS(2341), 2,
      anon_sym_else,
      anon_sym_while,
  [201928] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10429), 1,
      anon_sym_SEMI,
    ACTIONS(10431), 1,
      sym__automatic_semicolon,
    STATE(6699), 1,
      sym_comment,
  [201944] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3481), 1,
      sym_statement_block,
    STATE(6700), 1,
      sym_comment,
  [201960] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6701), 1,
      sym_comment,
    ACTIONS(3348), 2,
      anon_sym_else,
      anon_sym_while,
  [201974] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6702), 1,
      sym_comment,
    ACTIONS(3448), 2,
      anon_sym_else,
      anon_sym_while,
  [201988] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6703), 1,
      sym_comment,
    ACTIONS(6663), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [202002] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4747), 1,
      anon_sym_LPAREN,
    STATE(2632), 1,
      sym_arguments,
    STATE(6704), 1,
      sym_comment,
  [202018] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6705), 1,
      sym_comment,
    ACTIONS(3450), 2,
      anon_sym_else,
      anon_sym_while,
  [202032] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6706), 1,
      sym_comment,
    ACTIONS(10433), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202046] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6707), 1,
      sym_comment,
    ACTIONS(3384), 2,
      anon_sym_else,
      anon_sym_while,
  [202060] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10435), 1,
      sym_identifier,
    ACTIONS(10437), 1,
      anon_sym_STAR,
    STATE(6708), 1,
      sym_comment,
  [202076] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6709), 1,
      sym_comment,
    ACTIONS(10439), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [202090] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6710), 1,
      sym_comment,
    ACTIONS(3384), 2,
      anon_sym_else,
      anon_sym_while,
  [202104] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6711), 1,
      sym_comment,
    ACTIONS(6683), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [202118] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    STATE(6712), 1,
      sym_comment,
    STATE(6738), 1,
      sym_statement_block,
  [202134] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8630), 1,
      anon_sym_LBRACE,
    STATE(401), 1,
      sym_statement_block,
    STATE(6713), 1,
      sym_comment,
  [202150] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7673), 1,
      anon_sym_LBRACE,
    STATE(1193), 1,
      sym_class_body,
    STATE(6714), 1,
      sym_comment,
  [202166] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6715), 1,
      sym_comment,
    ACTIONS(3520), 2,
      anon_sym_else,
      anon_sym_while,
  [202180] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7675), 1,
      anon_sym_LBRACE,
    STATE(1458), 1,
      sym_class_body,
    STATE(6716), 1,
      sym_comment,
  [202196] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10441), 1,
      sym_identifier,
    STATE(5912), 1,
      sym_nested_identifier,
    STATE(6717), 1,
      sym_comment,
  [202212] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6718), 1,
      sym_comment,
    ACTIONS(3452), 2,
      anon_sym_else,
      anon_sym_while,
  [202226] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6719), 1,
      sym_comment,
    ACTIONS(6702), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [202240] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6720), 1,
      sym_comment,
    ACTIONS(5694), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202254] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    STATE(6721), 1,
      sym_comment,
    STATE(6930), 1,
      sym_statement_block,
  [202270] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    STATE(6722), 1,
      sym_comment,
    STATE(7467), 1,
      sym_formal_parameters,
  [202286] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6723), 1,
      sym_comment,
    ACTIONS(5688), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202300] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    STATE(6703), 1,
      sym_statement_block,
    STATE(6724), 1,
      sym_comment,
  [202316] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6725), 1,
      sym_comment,
    ACTIONS(10443), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202330] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6726), 1,
      sym_comment,
    ACTIONS(10445), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202344] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6727), 1,
      sym_comment,
    ACTIONS(3384), 2,
      anon_sym_else,
      anon_sym_while,
  [202358] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6728), 1,
      sym_comment,
    ACTIONS(3454), 2,
      anon_sym_else,
      anon_sym_while,
  [202372] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10281), 1,
      anon_sym_LPAREN,
    STATE(77), 1,
      sym_parenthesized_expression,
    STATE(6729), 1,
      sym_comment,
  [202388] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10283), 1,
      anon_sym_LPAREN,
    STATE(6730), 1,
      sym_comment,
    STATE(6966), 1,
      sym_parenthesized_expression,
  [202404] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10447), 1,
      anon_sym_SEMI,
    ACTIONS(10449), 1,
      sym__automatic_semicolon,
    STATE(6731), 1,
      sym_comment,
  [202420] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10451), 1,
      anon_sym_LPAREN,
    STATE(97), 1,
      sym__for_header,
    STATE(6732), 1,
      sym_comment,
  [202436] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10453), 1,
      anon_sym_LBRACE,
    STATE(1179), 1,
      sym_switch_body,
    STATE(6733), 1,
      sym_comment,
  [202452] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6734), 1,
      sym_comment,
    ACTIONS(3384), 2,
      anon_sym_else,
      anon_sym_while,
  [202466] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10451), 1,
      anon_sym_LPAREN,
    STATE(92), 1,
      sym__for_header,
    STATE(6735), 1,
      sym_comment,
  [202482] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10455), 1,
      sym_identifier,
    ACTIONS(10457), 1,
      sym_private_property_identifier,
    STATE(6736), 1,
      sym_comment,
  [202498] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10459), 1,
      sym_identifier,
    ACTIONS(10461), 1,
      sym_private_property_identifier,
    STATE(6737), 1,
      sym_comment,
  [202514] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6738), 1,
      sym_comment,
    ACTIONS(6710), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [202528] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6739), 1,
      sym_comment,
    ACTIONS(3508), 2,
      anon_sym_else,
      anon_sym_while,
  [202542] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6740), 1,
      sym_comment,
    ACTIONS(10463), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202556] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6741), 1,
      sym_comment,
    ACTIONS(3464), 2,
      anon_sym_else,
      anon_sym_while,
  [202570] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10465), 1,
      sym_identifier,
    ACTIONS(10467), 1,
      sym_private_property_identifier,
    STATE(6742), 1,
      sym_comment,
  [202586] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10469), 1,
      sym_identifier,
    ACTIONS(10471), 1,
      sym_private_property_identifier,
    STATE(6743), 1,
      sym_comment,
  [202602] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7555), 1,
      anon_sym_LBRACE,
    STATE(402), 1,
      sym_class_body,
    STATE(6744), 1,
      sym_comment,
  [202618] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9047), 1,
      anon_sym_from,
    STATE(6745), 1,
      sym_comment,
    STATE(6839), 1,
      sym__from_clause,
  [202634] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6746), 1,
      sym_comment,
    ACTIONS(3508), 2,
      anon_sym_else,
      anon_sym_while,
  [202648] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10473), 1,
      sym_identifier,
    ACTIONS(10475), 1,
      sym_private_property_identifier,
    STATE(6747), 1,
      sym_comment,
  [202664] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6748), 1,
      sym_comment,
    ACTIONS(3456), 2,
      anon_sym_else,
      anon_sym_while,
  [202678] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6749), 1,
      sym_comment,
    ACTIONS(3518), 2,
      anon_sym_else,
      anon_sym_while,
  [202692] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6750), 1,
      sym_comment,
    ACTIONS(5686), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202706] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6751), 1,
      sym_comment,
    ACTIONS(3410), 2,
      anon_sym_else,
      anon_sym_while,
  [202720] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6752), 1,
      sym_comment,
    ACTIONS(8427), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [202734] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6753), 1,
      sym_comment,
    ACTIONS(10477), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202748] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10479), 1,
      anon_sym_SEMI,
    ACTIONS(10481), 1,
      sym__automatic_semicolon,
    STATE(6754), 1,
      sym_comment,
  [202764] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6755), 1,
      sym_comment,
    ACTIONS(3508), 2,
      anon_sym_else,
      anon_sym_while,
  [202778] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6756), 1,
      sym_comment,
    ACTIONS(10483), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202792] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9047), 1,
      anon_sym_from,
    STATE(6757), 1,
      sym_comment,
    STATE(6816), 1,
      sym__from_clause,
  [202808] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7495), 1,
      anon_sym_LBRACE,
    STATE(3086), 1,
      sym_class_body,
    STATE(6758), 1,
      sym_comment,
  [202824] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10485), 1,
      sym_identifier,
    ACTIONS(10487), 1,
      sym_private_property_identifier,
    STATE(6759), 1,
      sym_comment,
  [202840] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6760), 1,
      sym_comment,
    ACTIONS(3406), 2,
      anon_sym_else,
      anon_sym_while,
  [202854] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6761), 1,
      sym_comment,
    ACTIONS(3508), 2,
      anon_sym_else,
      anon_sym_while,
  [202868] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7575), 1,
      anon_sym_LBRACE,
    STATE(1043), 1,
      sym_class_body,
    STATE(6762), 1,
      sym_comment,
  [202884] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6763), 1,
      sym_comment,
    ACTIONS(3404), 2,
      anon_sym_else,
      anon_sym_while,
  [202898] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10489), 1,
      anon_sym_LBRACE,
    STATE(1253), 1,
      sym_switch_body,
    STATE(6764), 1,
      sym_comment,
  [202914] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3508), 1,
      sym_statement_block,
    STATE(6765), 1,
      sym_comment,
  [202930] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    STATE(4700), 1,
      sym_formal_parameters,
    STATE(6766), 1,
      sym_comment,
  [202946] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(6767), 1,
      sym_comment,
    ACTIONS(10491), 2,
      sym_jsx_identifier,
      sym_identifier,
  [202960] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5298), 1,
      anon_sym_LBRACE,
    STATE(2639), 1,
      sym_statement_block,
    STATE(6768), 1,
      sym_comment,
  [202976] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5298), 1,
      anon_sym_LBRACE,
    STATE(2596), 1,
      sym_statement_block,
    STATE(6769), 1,
      sym_comment,
  [202992] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7473), 1,
      anon_sym_LBRACE,
    STATE(2590), 1,
      sym_class_body,
    STATE(6770), 1,
      sym_comment,
  [203008] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10493), 1,
      sym_identifier,
    ACTIONS(10495), 1,
      anon_sym_STAR,
    STATE(6771), 1,
      sym_comment,
  [203024] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6772), 1,
      sym_comment,
    ACTIONS(10497), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [203038] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8674), 1,
      anon_sym_LBRACE,
    STATE(1156), 1,
      sym_statement_block,
    STATE(6773), 1,
      sym_comment,
  [203054] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6774), 1,
      sym_comment,
    ACTIONS(3542), 2,
      anon_sym_else,
      anon_sym_while,
  [203068] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(6775), 1,
      sym_comment,
    ACTIONS(10499), 2,
      sym__glimmer_template_content,
      anon_sym_LT_SLASHtemplate_GT,
  [203082] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6776), 1,
      sym_comment,
    ACTIONS(10501), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [203096] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10503), 1,
      sym_identifier,
    ACTIONS(10505), 1,
      anon_sym_STAR,
    STATE(6777), 1,
      sym_comment,
  [203112] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6778), 1,
      sym_comment,
    ACTIONS(3516), 2,
      anon_sym_else,
      anon_sym_while,
  [203126] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10507), 1,
      anon_sym_SEMI,
    ACTIONS(10509), 1,
      sym__automatic_semicolon,
    STATE(6779), 1,
      sym_comment,
  [203142] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6780), 1,
      sym_comment,
    ACTIONS(10511), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [203156] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10281), 1,
      anon_sym_LPAREN,
    STATE(102), 1,
      sym_parenthesized_expression,
    STATE(6781), 1,
      sym_comment,
  [203172] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10513), 1,
      anon_sym_LBRACE,
    STATE(864), 1,
      sym_statement_block,
    STATE(6782), 1,
      sym_comment,
  [203188] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10281), 1,
      anon_sym_LPAREN,
    STATE(103), 1,
      sym_parenthesized_expression,
    STATE(6783), 1,
      sym_comment,
  [203204] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7495), 1,
      anon_sym_LBRACE,
    STATE(3057), 1,
      sym_class_body,
    STATE(6784), 1,
      sym_comment,
  [203220] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10515), 1,
      sym_identifier,
    ACTIONS(10517), 1,
      sym_private_property_identifier,
    STATE(6785), 1,
      sym_comment,
  [203236] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9931), 1,
      sym_identifier,
    ACTIONS(9935), 1,
      sym_private_property_identifier,
    STATE(6786), 1,
      sym_comment,
  [203252] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6787), 1,
      sym_comment,
    ACTIONS(8250), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [203266] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9582), 1,
      sym_identifier,
    ACTIONS(9586), 1,
      sym_private_property_identifier,
    STATE(6788), 1,
      sym_comment,
  [203282] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3470), 1,
      sym_statement_block,
    STATE(6789), 1,
      sym_comment,
  [203298] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10519), 1,
      sym_identifier,
    ACTIONS(10521), 1,
      sym_private_property_identifier,
    STATE(6790), 1,
      sym_comment,
  [203314] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(6018), 1,
      sym_type_annotation,
    STATE(6791), 1,
      sym_comment,
  [203330] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6792), 1,
      sym_comment,
    ACTIONS(8222), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [203344] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3480), 1,
      sym_statement_block,
    STATE(6793), 1,
      sym_comment,
  [203360] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10523), 1,
      sym_identifier,
    ACTIONS(10525), 1,
      sym_private_property_identifier,
    STATE(6794), 1,
      sym_comment,
  [203376] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    STATE(6417), 1,
      sym_statement_block,
    STATE(6795), 1,
      sym_comment,
  [203392] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6796), 1,
      sym_comment,
    ACTIONS(3466), 2,
      anon_sym_else,
      anon_sym_while,
  [203406] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10527), 1,
      anon_sym_in,
    ACTIONS(10529), 1,
      anon_sym_COLON,
    STATE(6797), 1,
      sym_comment,
  [203422] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10531), 1,
      sym_identifier,
    ACTIONS(10533), 1,
      sym_private_property_identifier,
    STATE(6798), 1,
      sym_comment,
  [203438] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10283), 1,
      anon_sym_LPAREN,
    STATE(6774), 1,
      sym_parenthesized_expression,
    STATE(6799), 1,
      sym_comment,
  [203454] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9047), 1,
      anon_sym_from,
    STATE(6660), 1,
      sym__from_clause,
    STATE(6800), 1,
      sym_comment,
  [203470] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10535), 1,
      sym_identifier,
    ACTIONS(10537), 1,
      sym_private_property_identifier,
    STATE(6801), 1,
      sym_comment,
  [203486] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10539), 1,
      anon_sym_LBRACE,
    STATE(1551), 1,
      sym_enum_body,
    STATE(6802), 1,
      sym_comment,
  [203502] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6803), 1,
      sym_comment,
    ACTIONS(10541), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [203516] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10543), 1,
      sym_identifier,
    ACTIONS(10545), 1,
      anon_sym_STAR,
    STATE(6804), 1,
      sym_comment,
  [203532] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3518), 1,
      sym_statement_block,
    STATE(6805), 1,
      sym_comment,
  [203548] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8630), 1,
      anon_sym_LBRACE,
    STATE(417), 1,
      sym_statement_block,
    STATE(6806), 1,
      sym_comment,
  [203564] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    STATE(6807), 1,
      sym_comment,
    STATE(7389), 1,
      sym_formal_parameters,
  [203580] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACE,
    STATE(1016), 1,
      sym_class_body,
    STATE(6808), 1,
      sym_comment,
  [203596] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6809), 1,
      sym_comment,
    ACTIONS(3400), 2,
      anon_sym_else,
      anon_sym_while,
  [203610] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10547), 1,
      anon_sym_LBRACE,
    STATE(1545), 1,
      sym_statement_block,
    STATE(6810), 1,
      sym_comment,
  [203626] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6811), 1,
      sym_comment,
    ACTIONS(3398), 2,
      anon_sym_else,
      anon_sym_while,
  [203640] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10549), 1,
      anon_sym_LBRACE,
    STATE(6642), 1,
      sym_enum_body,
    STATE(6812), 1,
      sym_comment,
  [203656] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9047), 1,
      anon_sym_from,
    STATE(6699), 1,
      sym__from_clause,
    STATE(6813), 1,
      sym_comment,
  [203672] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(6814), 1,
      sym_comment,
    ACTIONS(3992), 2,
      sym_jsx_identifier,
      sym_identifier,
  [203686] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7495), 1,
      anon_sym_LBRACE,
    STATE(3033), 1,
      sym_class_body,
    STATE(6815), 1,
      sym_comment,
  [203702] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10551), 1,
      anon_sym_SEMI,
    ACTIONS(10553), 1,
      sym__automatic_semicolon,
    STATE(6816), 1,
      sym_comment,
  [203718] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6817), 1,
      sym_comment,
    ACTIONS(10555), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [203732] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6818), 1,
      sym_comment,
    ACTIONS(10557), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [203746] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6819), 1,
      sym_comment,
    ACTIONS(10559), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [203760] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6820), 1,
      sym_comment,
    ACTIONS(3396), 2,
      anon_sym_else,
      anon_sym_while,
  [203774] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    STATE(5435), 1,
      sym_formal_parameters,
    STATE(6821), 1,
      sym_comment,
  [203790] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7675), 1,
      anon_sym_LBRACE,
    STATE(1424), 1,
      sym_class_body,
    STATE(6822), 1,
      sym_comment,
  [203806] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6823), 1,
      sym_comment,
    ACTIONS(9512), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [203820] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10561), 1,
      sym_identifier,
    STATE(6265), 1,
      sym_nested_identifier,
    STATE(6824), 1,
      sym_comment,
  [203836] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6825), 1,
      sym_comment,
    ACTIONS(3394), 2,
      anon_sym_else,
      anon_sym_while,
  [203850] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3482), 1,
      sym_statement_block,
    STATE(6826), 1,
      sym_comment,
  [203866] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10281), 1,
      anon_sym_LPAREN,
    STATE(94), 1,
      sym_parenthesized_expression,
    STATE(6827), 1,
      sym_comment,
  [203882] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7555), 1,
      anon_sym_LBRACE,
    STATE(422), 1,
      sym_class_body,
    STATE(6828), 1,
      sym_comment,
  [203898] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7675), 1,
      anon_sym_LBRACE,
    STATE(1415), 1,
      sym_class_body,
    STATE(6829), 1,
      sym_comment,
  [203914] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6830), 1,
      sym_comment,
    ACTIONS(3516), 2,
      anon_sym_else,
      anon_sym_while,
  [203928] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8674), 1,
      anon_sym_LBRACE,
    STATE(1124), 1,
      sym_statement_block,
    STATE(6831), 1,
      sym_comment,
  [203944] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7575), 1,
      anon_sym_LBRACE,
    STATE(1123), 1,
      sym_class_body,
    STATE(6832), 1,
      sym_comment,
  [203960] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9771), 1,
      anon_sym_LBRACE,
    STATE(1054), 1,
      sym_statement_block,
    STATE(6833), 1,
      sym_comment,
  [203976] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7467), 1,
      anon_sym_LBRACE,
    STATE(5357), 1,
      sym_class_body,
    STATE(6834), 1,
      sym_comment,
  [203992] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10563), 1,
      sym_identifier,
    ACTIONS(10565), 1,
      sym_private_property_identifier,
    STATE(6835), 1,
      sym_comment,
  [204008] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6836), 1,
      sym_comment,
    ACTIONS(7451), 2,
      anon_sym_in,
      anon_sym_of,
  [204022] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    STATE(6837), 1,
      sym_comment,
    STATE(7466), 1,
      sym_formal_parameters,
  [204038] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10567), 1,
      anon_sym_SEMI,
    ACTIONS(10569), 1,
      sym__automatic_semicolon,
    STATE(6838), 1,
      sym_comment,
  [204054] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10571), 1,
      anon_sym_SEMI,
    ACTIONS(10573), 1,
      sym__automatic_semicolon,
    STATE(6839), 1,
      sym_comment,
  [204070] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9428), 1,
      anon_sym_LBRACE,
    STATE(1088), 1,
      sym_statement_block,
    STATE(6840), 1,
      sym_comment,
  [204086] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6841), 1,
      sym_comment,
    ACTIONS(3392), 2,
      anon_sym_else,
      anon_sym_while,
  [204100] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6842), 1,
      sym_comment,
    ACTIONS(6651), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [204114] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    STATE(5484), 1,
      sym_formal_parameters,
    STATE(6843), 1,
      sym_comment,
  [204130] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6844), 1,
      sym_comment,
    ACTIONS(3512), 2,
      anon_sym_else,
      anon_sym_while,
  [204144] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3507), 1,
      sym_statement_block,
    STATE(6845), 1,
      sym_comment,
  [204160] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10575), 1,
      anon_sym_SEMI,
    ACTIONS(10577), 1,
      sym__automatic_semicolon,
    STATE(6846), 1,
      sym_comment,
  [204176] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10579), 1,
      anon_sym_SEMI,
    ACTIONS(10581), 1,
      sym__automatic_semicolon,
    STATE(6847), 1,
      sym_comment,
  [204192] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10583), 1,
      sym_identifier,
    STATE(6345), 1,
      sym_nested_identifier,
    STATE(6848), 1,
      sym_comment,
  [204208] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8925), 1,
      anon_sym_DOT,
    ACTIONS(10585), 1,
      anon_sym_GT,
    STATE(6849), 1,
      sym_comment,
  [204224] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9491), 1,
      anon_sym_COLON,
    ACTIONS(9637), 1,
      anon_sym_GT,
    STATE(6850), 1,
      sym_comment,
  [204240] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9047), 1,
      anon_sym_from,
    STATE(6466), 1,
      sym__from_clause,
    STATE(6851), 1,
      sym_comment,
  [204256] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3514), 1,
      sym_statement_block,
    STATE(6852), 1,
      sym_comment,
  [204272] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    STATE(6853), 1,
      sym_comment,
    STATE(7446), 1,
      sym_formal_parameters,
  [204288] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6854), 1,
      sym_comment,
    ACTIONS(3414), 2,
      anon_sym_else,
      anon_sym_while,
  [204302] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6855), 1,
      sym_comment,
    ACTIONS(3508), 2,
      anon_sym_else,
      anon_sym_while,
  [204316] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7515), 1,
      anon_sym_LBRACE,
    STATE(433), 1,
      sym_class_body,
    STATE(6856), 1,
      sym_comment,
  [204332] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7675), 1,
      anon_sym_LBRACE,
    STATE(1404), 1,
      sym_class_body,
    STATE(6857), 1,
      sym_comment,
  [204348] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    STATE(3129), 1,
      sym_arguments,
    STATE(6858), 1,
      sym_comment,
  [204364] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9428), 1,
      anon_sym_LBRACE,
    STATE(1083), 1,
      sym_statement_block,
    STATE(6859), 1,
      sym_comment,
  [204380] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    STATE(6860), 1,
      sym_comment,
    STATE(7043), 1,
      sym_statement_block,
  [204396] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6861), 1,
      sym_comment,
    ACTIONS(3442), 2,
      anon_sym_else,
      anon_sym_while,
  [204410] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9771), 1,
      anon_sym_LBRACE,
    STATE(1052), 1,
      sym_statement_block,
    STATE(6862), 1,
      sym_comment,
  [204426] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6863), 1,
      sym_comment,
    ACTIONS(3390), 2,
      anon_sym_else,
      anon_sym_while,
  [204440] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7467), 1,
      anon_sym_LBRACE,
    STATE(5331), 1,
      sym_class_body,
    STATE(6864), 1,
      sym_comment,
  [204456] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9877), 1,
      sym_identifier,
    ACTIONS(9881), 1,
      sym_private_property_identifier,
    STATE(6865), 1,
      sym_comment,
  [204472] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10587), 1,
      sym_identifier,
    ACTIONS(10589), 1,
      sym_private_property_identifier,
    STATE(6866), 1,
      sym_comment,
  [204488] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6867), 1,
      sym_comment,
    ACTIONS(10591), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [204502] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7879), 1,
      anon_sym_LBRACE,
    STATE(5335), 1,
      sym_statement_block,
    STATE(6868), 1,
      sym_comment,
  [204518] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10549), 1,
      anon_sym_LBRACE,
    STATE(6751), 1,
      sym_enum_body,
    STATE(6869), 1,
      sym_comment,
  [204534] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7467), 1,
      anon_sym_LBRACE,
    STATE(5326), 1,
      sym_class_body,
    STATE(6870), 1,
      sym_comment,
  [204550] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6871), 1,
      sym_comment,
    ACTIONS(3384), 2,
      anon_sym_else,
      anon_sym_while,
  [204564] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    STATE(6763), 1,
      sym_statement_block,
    STATE(6872), 1,
      sym_comment,
  [204580] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6873), 1,
      sym_comment,
    ACTIONS(3384), 2,
      anon_sym_else,
      anon_sym_while,
  [204594] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7677), 1,
      anon_sym_LBRACE,
    STATE(355), 1,
      sym_class_body,
    STATE(6874), 1,
      sym_comment,
  [204610] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6875), 1,
      sym_comment,
    ACTIONS(3384), 2,
      anon_sym_else,
      anon_sym_while,
  [204624] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6876), 1,
      sym_comment,
    ACTIONS(3508), 2,
      anon_sym_else,
      anon_sym_while,
  [204638] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7467), 1,
      anon_sym_LBRACE,
    STATE(5310), 1,
      sym_class_body,
    STATE(6877), 1,
      sym_comment,
  [204654] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8800), 1,
      anon_sym_LBRACE,
    STATE(356), 1,
      sym_statement_block,
    STATE(6878), 1,
      sym_comment,
  [204670] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    STATE(6879), 1,
      sym_comment,
    STATE(7518), 1,
      sym_formal_parameters,
  [204686] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6880), 1,
      sym_comment,
    ACTIONS(3384), 2,
      anon_sym_else,
      anon_sym_while,
  [204700] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    STATE(5496), 1,
      sym_formal_parameters,
    STATE(6881), 1,
      sym_comment,
  [204716] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    STATE(6882), 1,
      sym_comment,
    STATE(7485), 1,
      sym_formal_parameters,
  [204732] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6883), 1,
      sym_comment,
    ACTIONS(10593), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [204746] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10595), 1,
      sym_identifier,
    ACTIONS(10597), 1,
      sym_private_property_identifier,
    STATE(6884), 1,
      sym_comment,
  [204762] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10599), 1,
      sym_identifier,
    ACTIONS(10601), 1,
      sym_private_property_identifier,
    STATE(6885), 1,
      sym_comment,
  [204778] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6886), 1,
      sym_comment,
    ACTIONS(3508), 2,
      anon_sym_else,
      anon_sym_while,
  [204792] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10603), 1,
      sym_identifier,
    ACTIONS(10605), 1,
      sym_private_property_identifier,
    STATE(6887), 1,
      sym_comment,
  [204808] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10607), 1,
      sym_identifier,
    ACTIONS(10609), 1,
      sym_private_property_identifier,
    STATE(6888), 1,
      sym_comment,
  [204824] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3488), 1,
      sym_statement_block,
    STATE(6889), 1,
      sym_comment,
  [204840] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6890), 1,
      sym_comment,
    ACTIONS(3510), 2,
      anon_sym_else,
      anon_sym_while,
  [204854] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7515), 1,
      anon_sym_LBRACE,
    STATE(427), 1,
      sym_class_body,
    STATE(6891), 1,
      sym_comment,
  [204870] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10611), 1,
      sym_identifier,
    STATE(6321), 1,
      sym_nested_identifier,
    STATE(6892), 1,
      sym_comment,
  [204886] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10547), 1,
      anon_sym_LBRACE,
    STATE(1611), 1,
      sym_statement_block,
    STATE(6893), 1,
      sym_comment,
  [204902] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7467), 1,
      anon_sym_LBRACE,
    STATE(5248), 1,
      sym_class_body,
    STATE(6894), 1,
      sym_comment,
  [204918] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7879), 1,
      anon_sym_LBRACE,
    STATE(5347), 1,
      sym_statement_block,
    STATE(6895), 1,
      sym_comment,
  [204934] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7467), 1,
      anon_sym_LBRACE,
    STATE(5246), 1,
      sym_class_body,
    STATE(6896), 1,
      sym_comment,
  [204950] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7495), 1,
      anon_sym_LBRACE,
    STATE(3073), 1,
      sym_class_body,
    STATE(6897), 1,
      sym_comment,
  [204966] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3465), 1,
      sym_statement_block,
    STATE(6898), 1,
      sym_comment,
  [204982] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7689), 1,
      anon_sym_LBRACE,
    STATE(1559), 1,
      sym_class_body,
    STATE(6899), 1,
      sym_comment,
  [204998] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6900), 1,
      sym_comment,
    ACTIONS(10613), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [205012] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    STATE(6901), 1,
      sym_comment,
    STATE(7440), 1,
      sym_formal_parameters,
  [205028] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4819), 1,
      anon_sym_LBRACE,
    STATE(3267), 1,
      sym_statement_block,
    STATE(6902), 1,
      sym_comment,
  [205044] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6903), 1,
      sym_comment,
    ACTIONS(3508), 2,
      anon_sym_else,
      anon_sym_while,
  [205058] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4819), 1,
      anon_sym_LBRACE,
    STATE(3154), 1,
      sym_statement_block,
    STATE(6904), 1,
      sym_comment,
  [205074] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6905), 1,
      sym_comment,
    ACTIONS(3508), 2,
      anon_sym_else,
      anon_sym_while,
  [205088] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10281), 1,
      anon_sym_LPAREN,
    STATE(1610), 1,
      sym_parenthesized_expression,
    STATE(6906), 1,
      sym_comment,
  [205104] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5298), 1,
      anon_sym_LBRACE,
    STATE(2601), 1,
      sym_statement_block,
    STATE(6907), 1,
      sym_comment,
  [205120] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9047), 1,
      anon_sym_from,
    STATE(6561), 1,
      sym__from_clause,
    STATE(6908), 1,
      sym_comment,
  [205136] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6909), 1,
      sym_comment,
    ACTIONS(3384), 2,
      anon_sym_else,
      anon_sym_while,
  [205150] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6910), 1,
      sym_comment,
    ACTIONS(3508), 2,
      anon_sym_else,
      anon_sym_while,
  [205164] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7677), 1,
      anon_sym_LBRACE,
    STATE(364), 1,
      sym_class_body,
    STATE(6911), 1,
      sym_comment,
  [205180] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    STATE(4152), 1,
      sym_formal_parameters,
    STATE(6912), 1,
      sym_comment,
  [205196] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7495), 1,
      anon_sym_LBRACE,
    STATE(3202), 1,
      sym_class_body,
    STATE(6913), 1,
      sym_comment,
  [205212] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6914), 1,
      sym_comment,
    ACTIONS(3506), 2,
      anon_sym_else,
      anon_sym_while,
  [205226] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10281), 1,
      anon_sym_LPAREN,
    STATE(90), 1,
      sym_parenthesized_expression,
    STATE(6915), 1,
      sym_comment,
  [205242] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8800), 1,
      anon_sym_LBRACE,
    STATE(366), 1,
      sym_statement_block,
    STATE(6916), 1,
      sym_comment,
  [205258] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3475), 1,
      sym_statement_block,
    STATE(6917), 1,
      sym_comment,
  [205274] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10615), 1,
      anon_sym_LBRACE,
    STATE(885), 1,
      sym_statement_block,
    STATE(6918), 1,
      sym_comment,
  [205290] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6919), 1,
      sym_comment,
    ACTIONS(3384), 2,
      anon_sym_else,
      anon_sym_while,
  [205304] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6920), 1,
      sym_comment,
    ACTIONS(2095), 2,
      anon_sym_else,
      anon_sym_while,
  [205318] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3510), 1,
      sym_statement_block,
    STATE(6921), 1,
      sym_comment,
  [205334] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7467), 1,
      anon_sym_LBRACE,
    STATE(5204), 1,
      sym_class_body,
    STATE(6922), 1,
      sym_comment,
  [205350] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6923), 1,
      sym_comment,
    ACTIONS(9839), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [205364] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6924), 1,
      sym_comment,
    ACTIONS(3508), 2,
      anon_sym_else,
      anon_sym_while,
  [205378] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9047), 1,
      anon_sym_from,
    STATE(6643), 1,
      sym__from_clause,
    STATE(6925), 1,
      sym_comment,
  [205394] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10281), 1,
      anon_sym_LPAREN,
    STATE(91), 1,
      sym_parenthesized_expression,
    STATE(6926), 1,
      sym_comment,
  [205410] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9047), 1,
      anon_sym_from,
    STATE(6656), 1,
      sym__from_clause,
    STATE(6927), 1,
      sym_comment,
  [205426] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7575), 1,
      anon_sym_LBRACE,
    STATE(1155), 1,
      sym_class_body,
    STATE(6928), 1,
      sym_comment,
  [205442] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7473), 1,
      anon_sym_LBRACE,
    STATE(2612), 1,
      sym_class_body,
    STATE(6929), 1,
      sym_comment,
  [205458] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6930), 1,
      sym_comment,
    ACTIONS(6706), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [205472] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6931), 1,
      sym_comment,
    ACTIONS(3502), 2,
      anon_sym_else,
      anon_sym_while,
  [205486] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6932), 1,
      sym_comment,
    ACTIONS(5479), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [205500] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    STATE(6545), 1,
      sym_statement_block,
    STATE(6933), 1,
      sym_comment,
  [205516] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3474), 1,
      sym_statement_block,
    STATE(6934), 1,
      sym_comment,
  [205532] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6935), 1,
      sym_comment,
    ACTIONS(10617), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [205546] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8754), 1,
      anon_sym_LBRACE,
    STATE(425), 1,
      sym_statement_block,
    STATE(6936), 1,
      sym_comment,
  [205562] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10283), 1,
      anon_sym_LPAREN,
    STATE(6733), 1,
      sym_parenthesized_expression,
    STATE(6937), 1,
      sym_comment,
  [205578] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6938), 1,
      sym_comment,
    ACTIONS(3508), 2,
      anon_sym_else,
      anon_sym_while,
  [205592] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3495), 1,
      sym_statement_block,
    STATE(6939), 1,
      sym_comment,
  [205608] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6940), 1,
      sym_comment,
    ACTIONS(3508), 2,
      anon_sym_else,
      anon_sym_while,
  [205622] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7677), 1,
      anon_sym_LBRACE,
    STATE(369), 1,
      sym_class_body,
    STATE(6941), 1,
      sym_comment,
  [205638] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6942), 1,
      sym_comment,
    ACTIONS(5652), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [205652] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6943), 1,
      sym_comment,
    ACTIONS(3508), 2,
      anon_sym_else,
      anon_sym_while,
  [205666] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10619), 1,
      anon_sym_SEMI,
    ACTIONS(10621), 1,
      sym__automatic_semicolon,
    STATE(6944), 1,
      sym_comment,
  [205682] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6945), 1,
      sym_comment,
    ACTIONS(3498), 2,
      anon_sym_else,
      anon_sym_while,
  [205696] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6946), 1,
      sym_comment,
    ACTIONS(3498), 2,
      anon_sym_else,
      anon_sym_while,
  [205710] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7467), 1,
      anon_sym_LBRACE,
    STATE(5128), 1,
      sym_class_body,
    STATE(6947), 1,
      sym_comment,
  [205726] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6948), 1,
      sym_comment,
    ACTIONS(10623), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [205740] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10625), 1,
      anon_sym_SEMI,
    ACTIONS(10627), 1,
      sym__automatic_semicolon,
    STATE(6949), 1,
      sym_comment,
  [205756] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6950), 1,
      sym_comment,
    ACTIONS(5648), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [205770] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6951), 1,
      sym_comment,
    ACTIONS(5650), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [205784] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7473), 1,
      anon_sym_LBRACE,
    STATE(3387), 1,
      sym_class_body,
    STATE(6952), 1,
      sym_comment,
  [205800] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6953), 1,
      sym_comment,
    ACTIONS(10629), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [205814] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7689), 1,
      anon_sym_LBRACE,
    STATE(1579), 1,
      sym_class_body,
    STATE(6954), 1,
      sym_comment,
  [205830] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9656), 1,
      anon_sym_LBRACE,
    STATE(1183), 1,
      sym_statement_block,
    STATE(6955), 1,
      sym_comment,
  [205846] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8925), 1,
      anon_sym_DOT,
    ACTIONS(10631), 1,
      anon_sym_GT,
    STATE(6956), 1,
      sym_comment,
  [205862] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9491), 1,
      anon_sym_COLON,
    ACTIONS(9798), 1,
      anon_sym_GT,
    STATE(6957), 1,
      sym_comment,
  [205878] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6958), 1,
      sym_comment,
    ACTIONS(10633), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [205892] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6959), 1,
      sym_comment,
    ACTIONS(3470), 2,
      anon_sym_else,
      anon_sym_while,
  [205906] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6960), 1,
      sym_comment,
    ACTIONS(10635), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [205920] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6961), 1,
      sym_comment,
    ACTIONS(3472), 2,
      anon_sym_else,
      anon_sym_while,
  [205934] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3516), 1,
      sym_statement_block,
    STATE(6962), 1,
      sym_comment,
  [205950] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6963), 1,
      sym_comment,
    ACTIONS(3508), 2,
      anon_sym_else,
      anon_sym_while,
  [205964] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6964), 1,
      sym_comment,
    ACTIONS(3476), 2,
      anon_sym_else,
      anon_sym_while,
  [205978] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10451), 1,
      anon_sym_LPAREN,
    STATE(111), 1,
      sym__for_header,
    STATE(6965), 1,
      sym_comment,
  [205994] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10637), 1,
      anon_sym_LBRACE,
    STATE(6619), 1,
      sym_switch_body,
    STATE(6966), 1,
      sym_comment,
  [206010] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6967), 1,
      sym_comment,
    ACTIONS(3384), 2,
      anon_sym_else,
      anon_sym_while,
  [206024] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6968), 1,
      sym_comment,
    ACTIONS(3384), 2,
      anon_sym_else,
      anon_sym_while,
  [206038] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6969), 1,
      sym_comment,
    ACTIONS(10639), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [206052] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6970), 1,
      sym_comment,
    ACTIONS(10641), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [206066] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7473), 1,
      anon_sym_LBRACE,
    STATE(3379), 1,
      sym_class_body,
    STATE(6971), 1,
      sym_comment,
  [206082] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10281), 1,
      anon_sym_LPAREN,
    STATE(114), 1,
      sym_parenthesized_expression,
    STATE(6972), 1,
      sym_comment,
  [206098] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10283), 1,
      anon_sym_LPAREN,
    STATE(6764), 1,
      sym_parenthesized_expression,
    STATE(6973), 1,
      sym_comment,
  [206114] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    STATE(6974), 1,
      sym_comment,
    STATE(7254), 1,
      sym_formal_parameters,
  [206130] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8945), 1,
      anon_sym_in,
    ACTIONS(8947), 1,
      anon_sym_of,
    STATE(6975), 1,
      sym_comment,
  [206146] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6976), 1,
      sym_comment,
    ACTIONS(10643), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [206160] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10451), 1,
      anon_sym_LPAREN,
    STATE(115), 1,
      sym__for_header,
    STATE(6977), 1,
      sym_comment,
  [206176] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6978), 1,
      sym_comment,
    ACTIONS(10645), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [206190] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    STATE(6979), 1,
      sym_comment,
    STATE(7206), 1,
      sym_formal_parameters,
  [206206] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10647), 1,
      sym_identifier,
    STATE(6078), 1,
      sym_nested_identifier,
    STATE(6980), 1,
      sym_comment,
  [206222] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6981), 1,
      sym_comment,
    ACTIONS(10649), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [206236] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6982), 1,
      sym_comment,
    ACTIONS(10651), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [206250] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    STATE(6983), 1,
      sym_comment,
    STATE(7171), 1,
      sym_formal_parameters,
  [206266] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6984), 1,
      sym_comment,
    ACTIONS(10653), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [206280] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6985), 1,
      sym_comment,
    ACTIONS(5657), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [206294] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9047), 1,
      anon_sym_from,
    STATE(6440), 1,
      sym__from_clause,
    STATE(6986), 1,
      sym_comment,
  [206310] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    STATE(6719), 1,
      sym_statement_block,
    STATE(6987), 1,
      sym_comment,
  [206326] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6988), 1,
      sym_comment,
    ACTIONS(10655), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [206340] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9047), 1,
      anon_sym_from,
    STATE(6453), 1,
      sym__from_clause,
    STATE(6989), 1,
      sym_comment,
  [206356] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(3502), 1,
      sym_statement_block,
    STATE(6990), 1,
      sym_comment,
  [206372] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6991), 1,
      sym_comment,
    ACTIONS(5728), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [206386] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6992), 1,
      sym_comment,
    ACTIONS(5666), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [206400] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6993), 1,
      sym_comment,
    ACTIONS(10657), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [206414] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6994), 1,
      sym_comment,
    ACTIONS(3498), 2,
      anon_sym_else,
      anon_sym_while,
  [206428] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6995), 1,
      sym_comment,
    ACTIONS(10659), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [206442] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(6996), 1,
      sym_comment,
    ACTIONS(5730), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [206456] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4819), 1,
      anon_sym_LBRACE,
    STATE(3163), 1,
      sym_statement_block,
    STATE(6997), 1,
      sym_comment,
  [206472] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7473), 1,
      anon_sym_LBRACE,
    STATE(3388), 1,
      sym_class_body,
    STATE(6998), 1,
      sym_comment,
  [206488] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9047), 1,
      anon_sym_from,
    STATE(6944), 1,
      sym__from_clause,
    STATE(6999), 1,
      sym_comment,
  [206504] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7000), 1,
      sym_comment,
    ACTIONS(10661), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [206518] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10281), 1,
      anon_sym_LPAREN,
    STATE(112), 1,
      sym_parenthesized_expression,
    STATE(7001), 1,
      sym_comment,
  [206534] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7002), 1,
      sym_comment,
    ACTIONS(6698), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [206548] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9047), 1,
      anon_sym_from,
    STATE(6680), 1,
      sym__from_clause,
    STATE(7003), 1,
      sym_comment,
  [206564] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7004), 1,
      sym_comment,
    ACTIONS(3508), 2,
      anon_sym_else,
      anon_sym_while,
  [206578] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    STATE(6711), 1,
      sym_statement_block,
    STATE(7005), 1,
      sym_comment,
  [206594] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7006), 1,
      sym_comment,
    ACTIONS(10663), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [206608] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7007), 1,
      sym_comment,
    ACTIONS(3384), 2,
      anon_sym_else,
      anon_sym_while,
  [206622] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    STATE(4886), 1,
      sym_statement_block,
    STATE(7008), 1,
      sym_comment,
  [206638] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    STATE(7009), 1,
      sym_comment,
    STATE(7335), 1,
      sym_formal_parameters,
  [206654] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7010), 1,
      sym_comment,
    ACTIONS(10665), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [206668] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7011), 1,
      sym_comment,
    ACTIONS(3478), 2,
      anon_sym_else,
      anon_sym_while,
  [206682] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10281), 1,
      anon_sym_LPAREN,
    STATE(106), 1,
      sym_parenthesized_expression,
    STATE(7012), 1,
      sym_comment,
  [206698] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10667), 1,
      sym_identifier,
    STATE(5793), 1,
      sym_nested_identifier,
    STATE(7013), 1,
      sym_comment,
  [206714] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7014), 1,
      sym_comment,
    ACTIONS(3482), 2,
      anon_sym_else,
      anon_sym_while,
  [206728] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7677), 1,
      anon_sym_LBRACE,
    STATE(376), 1,
      sym_class_body,
    STATE(7015), 1,
      sym_comment,
  [206744] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7016), 1,
      sym_comment,
    ACTIONS(6655), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [206758] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    STATE(7017), 1,
      sym_comment,
    STATE(7029), 1,
      sym_statement_block,
  [206774] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    STATE(7018), 1,
      sym_comment,
    STATE(7276), 1,
      sym_formal_parameters,
  [206790] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7019), 1,
      sym_comment,
    ACTIONS(3482), 2,
      anon_sym_else,
      anon_sym_while,
  [206804] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10421), 1,
      anon_sym_LBRACE,
    STATE(1283), 1,
      sym_statement_block,
    STATE(7020), 1,
      sym_comment,
  [206820] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7021), 1,
      sym_comment,
    ACTIONS(3384), 2,
      anon_sym_else,
      anon_sym_while,
  [206834] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10669), 1,
      anon_sym_LPAREN,
    STATE(1285), 1,
      sym_parenthesized_expression,
    STATE(7022), 1,
      sym_comment,
  [206850] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7096), 1,
      anon_sym_LPAREN,
    STATE(7023), 1,
      sym_comment,
    STATE(7222), 1,
      sym_formal_parameters,
  [206866] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7024), 1,
      sym_comment,
    ACTIONS(3508), 2,
      anon_sym_else,
      anon_sym_while,
  [206880] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9047), 1,
      anon_sym_from,
    STATE(7025), 1,
      sym_comment,
    STATE(7045), 1,
      sym__from_clause,
  [206896] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7689), 1,
      anon_sym_LBRACE,
    STATE(1617), 1,
      sym_class_body,
    STATE(7026), 1,
      sym_comment,
  [206912] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7027), 1,
      sym_comment,
    ACTIONS(10671), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [206926] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    STATE(7016), 1,
      sym_statement_block,
    STATE(7028), 1,
      sym_comment,
  [206942] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7029), 1,
      sym_comment,
    ACTIONS(6659), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [206956] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7030), 1,
      sym_comment,
    ACTIONS(10673), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [206970] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7031), 1,
      sym_comment,
    ACTIONS(6634), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [206984] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7032), 1,
      sym_comment,
    ACTIONS(3496), 2,
      anon_sym_else,
      anon_sym_while,
  [206998] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9047), 1,
      anon_sym_from,
    STATE(7033), 1,
      sym_comment,
    STATE(7070), 1,
      sym__from_clause,
  [207014] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7034), 1,
      sym_comment,
    ACTIONS(10675), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [207028] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7035), 1,
      sym_comment,
    ACTIONS(3494), 2,
      anon_sym_else,
      anon_sym_while,
  [207042] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7036), 1,
      sym_comment,
    ACTIONS(3492), 2,
      anon_sym_else,
      anon_sym_while,
  [207056] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7037), 1,
      sym_comment,
    ACTIONS(10677), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [207070] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7038), 1,
      sym_comment,
    ACTIONS(6667), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [207084] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7039), 1,
      sym_comment,
    ACTIONS(10679), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [207098] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_LBRACE,
    STATE(7031), 1,
      sym_statement_block,
    STATE(7040), 1,
      sym_comment,
  [207114] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10681), 1,
      anon_sym_LBRACE,
    STATE(1360), 1,
      sym_switch_body,
    STATE(7041), 1,
      sym_comment,
  [207130] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7042), 1,
      sym_comment,
    ACTIONS(3490), 2,
      anon_sym_else,
      anon_sym_while,
  [207144] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7043), 1,
      sym_comment,
    ACTIONS(6630), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [207158] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10683), 1,
      anon_sym_LBRACE,
    STATE(5027), 1,
      sym_enum_body,
    STATE(7044), 1,
      sym_comment,
  [207174] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10685), 1,
      anon_sym_SEMI,
    ACTIONS(10687), 1,
      sym__automatic_semicolon,
    STATE(7045), 1,
      sym_comment,
  [207190] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10283), 1,
      anon_sym_LPAREN,
    STATE(7041), 1,
      sym_parenthesized_expression,
    STATE(7046), 1,
      sym_comment,
  [207206] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10281), 1,
      anon_sym_LPAREN,
    STATE(84), 1,
      sym_parenthesized_expression,
    STATE(7047), 1,
      sym_comment,
  [207222] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7879), 1,
      anon_sym_LBRACE,
    STATE(4964), 1,
      sym_statement_block,
    STATE(7048), 1,
      sym_comment,
  [207238] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7049), 1,
      sym_comment,
    ACTIONS(3486), 2,
      anon_sym_else,
      anon_sym_while,
  [207252] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7050), 1,
      sym_comment,
    ACTIONS(10689), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [207266] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7051), 1,
      sym_comment,
    ACTIONS(10691), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [207280] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10683), 1,
      anon_sym_LBRACE,
    STATE(4967), 1,
      sym_enum_body,
    STATE(7052), 1,
      sym_comment,
  [207296] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10451), 1,
      anon_sym_LPAREN,
    STATE(105), 1,
      sym__for_header,
    STATE(7053), 1,
      sym_comment,
  [207312] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10693), 1,
      anon_sym_LBRACE,
    STATE(1678), 1,
      sym_switch_body,
    STATE(7054), 1,
      sym_comment,
  [207328] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7055), 1,
      sym_comment,
    ACTIONS(3484), 2,
      anon_sym_else,
      anon_sym_while,
  [207342] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7056), 1,
      sym_comment,
    ACTIONS(3384), 2,
      anon_sym_else,
      anon_sym_while,
  [207356] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7673), 1,
      anon_sym_LBRACE,
    STATE(1184), 1,
      sym_class_body,
    STATE(7057), 1,
      sym_comment,
  [207372] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7058), 1,
      sym_comment,
    ACTIONS(10695), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [207386] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7473), 1,
      anon_sym_LBRACE,
    STATE(3382), 1,
      sym_class_body,
    STATE(7059), 1,
      sym_comment,
  [207402] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8704), 1,
      anon_sym_LBRACE,
    STATE(1185), 1,
      sym_statement_block,
    STATE(7060), 1,
      sym_comment,
  [207418] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7061), 1,
      sym_comment,
    ACTIONS(10697), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [207432] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10699), 1,
      anon_sym_COMMA,
    ACTIONS(10701), 1,
      anon_sym_from,
    STATE(7062), 1,
      sym_comment,
  [207448] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7063), 1,
      sym_comment,
    ACTIONS(10703), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [207462] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10705), 1,
      anon_sym_SEMI,
    ACTIONS(10707), 1,
      sym__automatic_semicolon,
    STATE(7064), 1,
      sym_comment,
  [207478] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    STATE(4180), 1,
      sym_formal_parameters,
    STATE(7065), 1,
      sym_comment,
  [207494] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7066), 1,
      sym_comment,
    ACTIONS(5696), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [207508] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9047), 1,
      anon_sym_from,
    STATE(6779), 1,
      sym__from_clause,
    STATE(7067), 1,
      sym_comment,
  [207524] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10709), 1,
      anon_sym_SEMI,
    ACTIONS(10711), 1,
      sym__automatic_semicolon,
    STATE(7068), 1,
      sym_comment,
  [207540] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10539), 1,
      anon_sym_LBRACE,
    STATE(1574), 1,
      sym_enum_body,
    STATE(7069), 1,
      sym_comment,
  [207556] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10713), 1,
      anon_sym_SEMI,
    ACTIONS(10715), 1,
      sym__automatic_semicolon,
    STATE(7070), 1,
      sym_comment,
  [207572] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10281), 1,
      anon_sym_LPAREN,
    STATE(81), 1,
      sym_parenthesized_expression,
    STATE(7071), 1,
      sym_comment,
  [207588] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10717), 1,
      anon_sym_LBRACE,
    STATE(882), 1,
      sym_statement_block,
    STATE(7072), 1,
      sym_comment,
  [207604] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10281), 1,
      anon_sym_LPAREN,
    STATE(83), 1,
      sym_parenthesized_expression,
    STATE(7073), 1,
      sym_comment,
  [207620] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    STATE(7074), 1,
      sym_comment,
    ACTIONS(9733), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [207634] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10719), 1,
      anon_sym_COLON,
    STATE(7075), 1,
      sym_comment,
  [207647] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5857), 1,
      anon_sym_RBRACE,
    STATE(7076), 1,
      sym_comment,
  [207660] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10721), 1,
      anon_sym_EQ_GT,
    STATE(7077), 1,
      sym_comment,
  [207673] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10723), 1,
      anon_sym_EQ_GT,
    STATE(7078), 1,
      sym_comment,
  [207686] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5973), 1,
      anon_sym_in,
    STATE(7079), 1,
      sym_comment,
  [207699] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10725), 1,
      anon_sym_EQ_GT,
    STATE(7080), 1,
      sym_comment,
  [207712] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10727), 1,
      anon_sym_as,
    STATE(7081), 1,
      sym_comment,
  [207725] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8046), 1,
      anon_sym_EQ,
    STATE(7082), 1,
      sym_comment,
  [207738] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10701), 1,
      anon_sym_from,
    STATE(7083), 1,
      sym_comment,
  [207751] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10729), 1,
      sym_identifier,
    STATE(7084), 1,
      sym_comment,
  [207764] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10731), 1,
      anon_sym_EQ,
    STATE(7085), 1,
      sym_comment,
  [207777] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10733), 1,
      sym_identifier,
    STATE(7086), 1,
      sym_comment,
  [207790] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10735), 1,
      sym_identifier,
    STATE(7087), 1,
      sym_comment,
  [207803] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10737), 1,
      anon_sym_RBRACK,
    STATE(7088), 1,
      sym_comment,
  [207816] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4884), 1,
      anon_sym_in,
    STATE(7089), 1,
      sym_comment,
  [207829] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10739), 1,
      anon_sym_RBRACK,
    STATE(7090), 1,
      sym_comment,
  [207842] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10741), 1,
      anon_sym_RBRACK,
    STATE(7091), 1,
      sym_comment,
  [207855] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10743), 1,
      anon_sym_RBRACK,
    STATE(7092), 1,
      sym_comment,
  [207868] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5232), 1,
      anon_sym_RPAREN,
    STATE(7093), 1,
      sym_comment,
  [207881] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10745), 1,
      anon_sym_RBRACK,
    STATE(7094), 1,
      sym_comment,
  [207894] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10747), 1,
      anon_sym_EQ_GT,
    STATE(7095), 1,
      sym_comment,
  [207907] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10749), 1,
      sym_regex_pattern,
    STATE(7096), 1,
      sym_comment,
  [207920] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10751), 1,
      sym_identifier,
    STATE(7097), 1,
      sym_comment,
  [207933] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10753), 1,
      sym_identifier,
    STATE(7098), 1,
      sym_comment,
  [207946] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5809), 1,
      anon_sym_RBRACE,
    STATE(7099), 1,
      sym_comment,
  [207959] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10755), 1,
      anon_sym_RBRACK,
    STATE(7100), 1,
      sym_comment,
  [207972] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10757), 1,
      anon_sym_RBRACK,
    STATE(7101), 1,
      sym_comment,
  [207985] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10759), 1,
      anon_sym_SLASH2,
    STATE(7102), 1,
      sym_comment,
  [207998] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10761), 1,
      anon_sym_RBRACK,
    STATE(7103), 1,
      sym_comment,
  [208011] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10763), 1,
      sym_identifier,
    STATE(7104), 1,
      sym_comment,
  [208024] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10765), 1,
      anon_sym_RBRACK,
    STATE(7105), 1,
      sym_comment,
  [208037] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10767), 1,
      anon_sym_EQ,
    STATE(7106), 1,
      sym_comment,
  [208050] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10769), 1,
      anon_sym_while,
    STATE(7107), 1,
      sym_comment,
  [208063] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10771), 1,
      anon_sym_RPAREN,
    STATE(7108), 1,
      sym_comment,
  [208076] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10773), 1,
      sym_identifier,
    STATE(7109), 1,
      sym_comment,
  [208089] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10775), 1,
      anon_sym_RPAREN,
    STATE(7110), 1,
      sym_comment,
  [208102] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10777), 1,
      anon_sym_while,
    STATE(7111), 1,
      sym_comment,
  [208115] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10779), 1,
      sym_identifier,
    STATE(7112), 1,
      sym_comment,
  [208128] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10781), 1,
      sym_identifier,
    STATE(7113), 1,
      sym_comment,
  [208141] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10783), 1,
      sym_number,
    STATE(7114), 1,
      sym_comment,
  [208154] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10785), 1,
      anon_sym_DOT,
    STATE(7115), 1,
      sym_comment,
  [208167] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10787), 1,
      sym_identifier,
    STATE(7116), 1,
      sym_comment,
  [208180] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10789), 1,
      anon_sym_EQ_GT,
    STATE(7117), 1,
      sym_comment,
  [208193] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10791), 1,
      sym_identifier,
    STATE(7118), 1,
      sym_comment,
  [208206] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10793), 1,
      anon_sym_EQ_GT,
    STATE(7119), 1,
      sym_comment,
  [208219] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10795), 1,
      sym_identifier,
    STATE(7120), 1,
      sym_comment,
  [208232] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10797), 1,
      anon_sym_EQ_GT,
    STATE(7121), 1,
      sym_comment,
  [208245] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10799), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_comment,
  [208258] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10801), 1,
      sym_identifier,
    STATE(7123), 1,
      sym_comment,
  [208271] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10803), 1,
      anon_sym_while,
    STATE(7124), 1,
      sym_comment,
  [208284] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10805), 1,
      sym_identifier,
    STATE(7125), 1,
      sym_comment,
  [208297] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10807), 1,
      sym_identifier,
    STATE(7126), 1,
      sym_comment,
  [208310] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10809), 1,
      anon_sym_DOT,
    STATE(7127), 1,
      sym_comment,
  [208323] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10811), 1,
      anon_sym_from,
    STATE(7128), 1,
      sym_comment,
  [208336] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10813), 1,
      sym_identifier,
    STATE(7129), 1,
      sym_comment,
  [208349] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10815), 1,
      anon_sym_symbol,
    STATE(7130), 1,
      sym_comment,
  [208362] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10817), 1,
      sym_identifier,
    STATE(7131), 1,
      sym_comment,
  [208375] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10819), 1,
      anon_sym_RPAREN,
    STATE(7132), 1,
      sym_comment,
  [208388] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5772), 1,
      anon_sym_in,
    STATE(7133), 1,
      sym_comment,
  [208401] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10821), 1,
      sym_identifier,
    STATE(7134), 1,
      sym_comment,
  [208414] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10823), 1,
      sym_identifier,
    STATE(7135), 1,
      sym_comment,
  [208427] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10825), 1,
      anon_sym_COLON,
    STATE(7136), 1,
      sym_comment,
  [208440] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10827), 1,
      sym_identifier,
    STATE(7137), 1,
      sym_comment,
  [208453] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10829), 1,
      sym_identifier,
    STATE(7138), 1,
      sym_comment,
  [208466] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4962), 1,
      anon_sym_RPAREN,
    STATE(7139), 1,
      sym_comment,
  [208479] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10831), 1,
      sym_regex_pattern,
    STATE(7140), 1,
      sym_comment,
  [208492] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5843), 1,
      anon_sym_RPAREN,
    STATE(7141), 1,
      sym_comment,
  [208505] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10833), 1,
      anon_sym_RBRACK,
    STATE(7142), 1,
      sym_comment,
  [208518] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10835), 1,
      anon_sym_EQ_GT,
    STATE(7143), 1,
      sym_comment,
  [208531] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10837), 1,
      anon_sym_RPAREN,
    STATE(7144), 1,
      sym_comment,
  [208544] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10839), 1,
      sym_number,
    STATE(7145), 1,
      sym_comment,
  [208557] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4958), 1,
      anon_sym_RPAREN,
    STATE(7146), 1,
      sym_comment,
  [208570] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9798), 1,
      anon_sym_GT,
    STATE(7147), 1,
      sym_comment,
  [208583] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10841), 1,
      anon_sym_new,
    STATE(7148), 1,
      sym_comment,
  [208596] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10843), 1,
      sym_identifier,
    STATE(7149), 1,
      sym_comment,
  [208609] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10845), 1,
      anon_sym_symbol,
    STATE(7150), 1,
      sym_comment,
  [208622] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10847), 1,
      anon_sym_EQ,
    STATE(7151), 1,
      sym_comment,
  [208635] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10849), 1,
      anon_sym_EQ,
    STATE(7152), 1,
      sym_comment,
  [208648] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10851), 1,
      anon_sym_EQ_GT,
    STATE(7153), 1,
      sym_comment,
  [208661] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10853), 1,
      anon_sym_DOT,
    STATE(7154), 1,
      sym_comment,
  [208674] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10855), 1,
      anon_sym_EQ_GT,
    STATE(7155), 1,
      sym_comment,
  [208687] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10857), 1,
      anon_sym_EQ_GT,
    STATE(7156), 1,
      sym_comment,
  [208700] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5445), 1,
      anon_sym_in,
    STATE(7157), 1,
      sym_comment,
  [208713] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9814), 1,
      anon_sym_RBRACK,
    STATE(7158), 1,
      sym_comment,
  [208726] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10859), 1,
      anon_sym_EQ,
    STATE(7159), 1,
      sym_comment,
  [208739] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10861), 1,
      anon_sym_EQ_GT,
    STATE(7160), 1,
      sym_comment,
  [208752] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10863), 1,
      sym_identifier,
    STATE(7161), 1,
      sym_comment,
  [208765] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10865), 1,
      sym_regex_pattern,
    STATE(7162), 1,
      sym_comment,
  [208778] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10867), 1,
      sym_identifier,
    STATE(7163), 1,
      sym_comment,
  [208791] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10869), 1,
      sym_identifier,
    STATE(7164), 1,
      sym_comment,
  [208804] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10871), 1,
      sym_identifier,
    STATE(7165), 1,
      sym_comment,
  [208817] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10873), 1,
      anon_sym_EQ_GT,
    STATE(7166), 1,
      sym_comment,
  [208830] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10875), 1,
      anon_sym_EQ_GT,
    STATE(7167), 1,
      sym_comment,
  [208843] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10877), 1,
      anon_sym_EQ_GT,
    STATE(7168), 1,
      sym_comment,
  [208856] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(8962), 1,
      anon_sym_EQ,
    STATE(7169), 1,
      sym_comment,
  [208869] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10879), 1,
      sym_identifier,
    STATE(7170), 1,
      sym_comment,
  [208882] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10881), 1,
      anon_sym_EQ_GT,
    STATE(7171), 1,
      sym_comment,
  [208895] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10883), 1,
      anon_sym_EQ_GT,
    STATE(7172), 1,
      sym_comment,
  [208908] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5748), 1,
      anon_sym_RBRACK,
    STATE(7173), 1,
      sym_comment,
  [208921] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6505), 1,
      anon_sym_in,
    STATE(7174), 1,
      sym_comment,
  [208934] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10885), 1,
      sym_identifier,
    STATE(7175), 1,
      sym_comment,
  [208947] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10887), 1,
      anon_sym_RBRACK,
    STATE(7176), 1,
      sym_comment,
  [208960] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10889), 1,
      anon_sym_while,
    STATE(7177), 1,
      sym_comment,
  [208973] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10891), 1,
      anon_sym_new,
    STATE(7178), 1,
      sym_comment,
  [208986] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10893), 1,
      sym_identifier,
    STATE(7179), 1,
      sym_comment,
  [208999] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10895), 1,
      anon_sym_RPAREN,
    STATE(7180), 1,
      sym_comment,
  [209012] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10897), 1,
      anon_sym_EQ,
    STATE(7181), 1,
      sym_comment,
  [209025] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10899), 1,
      anon_sym_EQ_GT,
    STATE(7182), 1,
      sym_comment,
  [209038] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7327), 1,
      anon_sym_is,
    STATE(7183), 1,
      sym_comment,
  [209051] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10901), 1,
      sym_identifier,
    STATE(7184), 1,
      sym_comment,
  [209064] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9845), 1,
      anon_sym_LBRACE,
    STATE(7185), 1,
      sym_comment,
  [209077] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10903), 1,
      sym_identifier,
    STATE(7186), 1,
      sym_comment,
  [209090] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10905), 1,
      anon_sym_EQ_GT,
    STATE(7187), 1,
      sym_comment,
  [209103] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9113), 1,
      anon_sym_EQ_GT,
    STATE(7188), 1,
      sym_comment,
  [209116] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9111), 1,
      anon_sym_EQ_GT,
    STATE(7189), 1,
      sym_comment,
  [209129] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10907), 1,
      anon_sym_EQ_GT,
    STATE(7190), 1,
      sym_comment,
  [209142] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10909), 1,
      anon_sym_target,
    STATE(7191), 1,
      sym_comment,
  [209155] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10911), 1,
      anon_sym_COLON,
    STATE(7192), 1,
      sym_comment,
  [209168] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10913), 1,
      anon_sym_DOT,
    STATE(7193), 1,
      sym_comment,
  [209181] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10915), 1,
      anon_sym_target,
    STATE(7194), 1,
      sym_comment,
  [209194] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10917), 1,
      anon_sym_from,
    STATE(7195), 1,
      sym_comment,
  [209207] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10919), 1,
      anon_sym_EQ,
    STATE(7196), 1,
      sym_comment,
  [209220] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10921), 1,
      sym_identifier,
    STATE(7197), 1,
      sym_comment,
  [209233] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10923), 1,
      anon_sym_SLASH2,
    STATE(7198), 1,
      sym_comment,
  [209246] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10925), 1,
      sym_identifier,
    STATE(7199), 1,
      sym_comment,
  [209259] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5817), 1,
      anon_sym_RPAREN,
    STATE(7200), 1,
      sym_comment,
  [209272] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10927), 1,
      anon_sym_EQ,
    STATE(7201), 1,
      sym_comment,
  [209285] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10929), 1,
      anon_sym_RBRACK,
    STATE(7202), 1,
      sym_comment,
  [209298] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10931), 1,
      anon_sym_SLASH2,
    STATE(7203), 1,
      sym_comment,
  [209311] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10933), 1,
      anon_sym_RBRACK,
    STATE(7204), 1,
      sym_comment,
  [209324] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10935), 1,
      anon_sym_LPAREN,
    STATE(7205), 1,
      sym_comment,
  [209337] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10937), 1,
      anon_sym_EQ_GT,
    STATE(7206), 1,
      sym_comment,
  [209350] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10939), 1,
      anon_sym_RBRACK,
    STATE(7207), 1,
      sym_comment,
  [209363] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10941), 1,
      anon_sym_EQ_GT,
    STATE(7208), 1,
      sym_comment,
  [209376] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10943), 1,
      anon_sym_RBRACK,
    STATE(7209), 1,
      sym_comment,
  [209389] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10945), 1,
      anon_sym_RPAREN,
    STATE(7210), 1,
      sym_comment,
  [209402] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10947), 1,
      anon_sym_RBRACK,
    STATE(7211), 1,
      sym_comment,
  [209415] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10949), 1,
      anon_sym_RBRACK,
    STATE(7212), 1,
      sym_comment,
  [209428] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10951), 1,
      anon_sym_RBRACK,
    STATE(7213), 1,
      sym_comment,
  [209441] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10953), 1,
      anon_sym_RBRACK,
    STATE(7214), 1,
      sym_comment,
  [209454] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10955), 1,
      anon_sym_RBRACK,
    STATE(7215), 1,
      sym_comment,
  [209467] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10957), 1,
      anon_sym_RBRACK,
    STATE(7216), 1,
      sym_comment,
  [209480] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10959), 1,
      anon_sym_RBRACK,
    STATE(7217), 1,
      sym_comment,
  [209493] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10961), 1,
      anon_sym_RBRACK,
    STATE(7218), 1,
      sym_comment,
  [209506] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10963), 1,
      anon_sym_RPAREN,
    STATE(7219), 1,
      sym_comment,
  [209519] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10965), 1,
      anon_sym_RBRACK,
    STATE(7220), 1,
      sym_comment,
  [209532] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10967), 1,
      anon_sym_RBRACK,
    STATE(7221), 1,
      sym_comment,
  [209545] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10969), 1,
      anon_sym_EQ_GT,
    STATE(7222), 1,
      sym_comment,
  [209558] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10971), 1,
      anon_sym_RBRACK,
    STATE(7223), 1,
      sym_comment,
  [209571] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10973), 1,
      sym_identifier,
    STATE(7224), 1,
      sym_comment,
  [209584] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10975), 1,
      sym_identifier,
    STATE(7225), 1,
      sym_comment,
  [209597] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10977), 1,
      anon_sym_RPAREN,
    STATE(7226), 1,
      sym_comment,
  [209610] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10979), 1,
      anon_sym_RBRACK,
    STATE(7227), 1,
      sym_comment,
  [209623] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10981), 1,
      anon_sym_RBRACK,
    STATE(7228), 1,
      sym_comment,
  [209636] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10983), 1,
      sym_identifier,
    STATE(7229), 1,
      sym_comment,
  [209649] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10985), 1,
      anon_sym_RBRACK,
    STATE(7230), 1,
      sym_comment,
  [209662] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10987), 1,
      sym_identifier,
    STATE(7231), 1,
      sym_comment,
  [209675] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10989), 1,
      anon_sym_RBRACK,
    STATE(7232), 1,
      sym_comment,
  [209688] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10991), 1,
      sym_identifier,
    STATE(7233), 1,
      sym_comment,
  [209701] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5750), 1,
      anon_sym_RBRACE,
    STATE(7234), 1,
      sym_comment,
  [209714] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10993), 1,
      anon_sym_RBRACK,
    STATE(7235), 1,
      sym_comment,
  [209727] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10995), 1,
      anon_sym_RBRACK,
    STATE(7236), 1,
      sym_comment,
  [209740] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10997), 1,
      sym_identifier,
    STATE(7237), 1,
      sym_comment,
  [209753] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10999), 1,
      anon_sym_RBRACK,
    STATE(7238), 1,
      sym_comment,
  [209766] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11001), 1,
      sym_identifier,
    STATE(7239), 1,
      sym_comment,
  [209779] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11003), 1,
      anon_sym_RBRACK,
    STATE(7240), 1,
      sym_comment,
  [209792] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11005), 1,
      anon_sym_DOT,
    STATE(7241), 1,
      sym_comment,
  [209805] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9637), 1,
      anon_sym_GT,
    STATE(7242), 1,
      sym_comment,
  [209818] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11007), 1,
      anon_sym_RBRACK,
    STATE(7243), 1,
      sym_comment,
  [209831] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11009), 1,
      sym_identifier,
    STATE(7244), 1,
      sym_comment,
  [209844] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11011), 1,
      anon_sym_RBRACK,
    STATE(7245), 1,
      sym_comment,
  [209857] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11013), 1,
      anon_sym_RBRACK,
    STATE(7246), 1,
      sym_comment,
  [209870] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11015), 1,
      anon_sym_RBRACK,
    STATE(7247), 1,
      sym_comment,
  [209883] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11017), 1,
      anon_sym_from,
    STATE(7248), 1,
      sym_comment,
  [209896] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11019), 1,
      anon_sym_RBRACK,
    STATE(7249), 1,
      sym_comment,
  [209909] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11021), 1,
      anon_sym_RBRACK,
    STATE(7250), 1,
      sym_comment,
  [209922] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11023), 1,
      anon_sym_RBRACK,
    STATE(7251), 1,
      sym_comment,
  [209935] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11025), 1,
      anon_sym_LBRACK,
    STATE(7252), 1,
      sym_comment,
  [209948] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11027), 1,
      anon_sym_RBRACK,
    STATE(7253), 1,
      sym_comment,
  [209961] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11029), 1,
      anon_sym_EQ_GT,
    STATE(7254), 1,
      sym_comment,
  [209974] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11031), 1,
      sym_identifier,
    STATE(7255), 1,
      sym_comment,
  [209987] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11033), 1,
      sym_identifier,
    STATE(7256), 1,
      sym_comment,
  [210000] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11035), 1,
      anon_sym_RBRACK,
    STATE(7257), 1,
      sym_comment,
  [210013] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11037), 1,
      anon_sym_RBRACK,
    STATE(7258), 1,
      sym_comment,
  [210026] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11039), 1,
      anon_sym_RBRACK,
    STATE(7259), 1,
      sym_comment,
  [210039] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11041), 1,
      anon_sym_RBRACK,
    STATE(7260), 1,
      sym_comment,
  [210052] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11043), 1,
      sym_identifier,
    STATE(7261), 1,
      sym_comment,
  [210065] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11045), 1,
      anon_sym_RBRACK,
    STATE(7262), 1,
      sym_comment,
  [210078] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11047), 1,
      anon_sym_RBRACK,
    STATE(7263), 1,
      sym_comment,
  [210091] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11049), 1,
      anon_sym_as,
    STATE(7264), 1,
      sym_comment,
  [210104] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9499), 1,
      sym_identifier,
    STATE(7265), 1,
      sym_comment,
  [210117] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5922), 1,
      anon_sym_in,
    STATE(7266), 1,
      sym_comment,
  [210130] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11051), 1,
      sym_identifier,
    STATE(7267), 1,
      sym_comment,
  [210143] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11053), 1,
      anon_sym_EQ_GT,
    STATE(7268), 1,
      sym_comment,
  [210156] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11055), 1,
      anon_sym_DOT,
    STATE(7269), 1,
      sym_comment,
  [210169] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11057), 1,
      anon_sym_EQ_GT,
    STATE(7270), 1,
      sym_comment,
  [210182] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11059), 1,
      anon_sym_RPAREN,
    STATE(7271), 1,
      sym_comment,
  [210195] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11061), 1,
      anon_sym_EQ,
    STATE(7272), 1,
      sym_comment,
  [210208] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11063), 1,
      anon_sym_namespace,
    STATE(7273), 1,
      sym_comment,
  [210221] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11065), 1,
      anon_sym_RBRACK,
    STATE(7274), 1,
      sym_comment,
  [210234] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11067), 1,
      anon_sym_EQ_GT,
    STATE(7275), 1,
      sym_comment,
  [210247] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11069), 1,
      anon_sym_EQ_GT,
    STATE(7276), 1,
      sym_comment,
  [210260] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11071), 1,
      anon_sym_RBRACK,
    STATE(7277), 1,
      sym_comment,
  [210273] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11073), 1,
      anon_sym_RBRACK,
    STATE(7278), 1,
      sym_comment,
  [210286] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11075), 1,
      anon_sym_RBRACK,
    STATE(7279), 1,
      sym_comment,
  [210299] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11077), 1,
      sym_identifier,
    STATE(7280), 1,
      sym_comment,
  [210312] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11079), 1,
      sym_identifier,
    STATE(7281), 1,
      sym_comment,
  [210325] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11081), 1,
      anon_sym_EQ_GT,
    STATE(7282), 1,
      sym_comment,
  [210338] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11083), 1,
      anon_sym_EQ_GT,
    STATE(7283), 1,
      sym_comment,
  [210351] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11085), 1,
      anon_sym_EQ_GT,
    STATE(7284), 1,
      sym_comment,
  [210364] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11087), 1,
      anon_sym_EQ_GT,
    STATE(7285), 1,
      sym_comment,
  [210377] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11089), 1,
      anon_sym_COLON,
    STATE(7286), 1,
      sym_comment,
  [210390] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11091), 1,
      sym_number,
    STATE(7287), 1,
      sym_comment,
  [210403] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11093), 1,
      anon_sym_EQ_GT,
    STATE(7288), 1,
      sym_comment,
  [210416] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5833), 1,
      anon_sym_RPAREN,
    STATE(7289), 1,
      sym_comment,
  [210429] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11095), 1,
      sym_identifier,
    STATE(7290), 1,
      sym_comment,
  [210442] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5853), 1,
      anon_sym_RPAREN,
    STATE(7291), 1,
      sym_comment,
  [210455] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11097), 1,
      anon_sym_symbol,
    STATE(7292), 1,
      sym_comment,
  [210468] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11099), 1,
      anon_sym_EQ_GT,
    STATE(7293), 1,
      sym_comment,
  [210481] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11101), 1,
      anon_sym_EQ,
    STATE(7294), 1,
      sym_comment,
  [210494] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9965), 1,
      sym_identifier,
    STATE(7295), 1,
      sym_comment,
  [210507] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11103), 1,
      anon_sym_class,
    STATE(7296), 1,
      sym_comment,
  [210520] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11105), 1,
      anon_sym_GT,
    STATE(7297), 1,
      sym_comment,
  [210533] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11107), 1,
      anon_sym_function,
    STATE(7298), 1,
      sym_comment,
  [210546] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11109), 1,
      anon_sym_EQ,
    STATE(7299), 1,
      sym_comment,
  [210559] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11111), 1,
      sym_identifier,
    STATE(7300), 1,
      sym_comment,
  [210572] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11113), 1,
      sym_identifier,
    STATE(7301), 1,
      sym_comment,
  [210585] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11115), 1,
      anon_sym_EQ,
    STATE(7302), 1,
      sym_comment,
  [210598] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6195), 1,
      anon_sym_in,
    STATE(7303), 1,
      sym_comment,
  [210611] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11117), 1,
      anon_sym_RBRACK,
    STATE(7304), 1,
      sym_comment,
  [210624] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11119), 1,
      anon_sym_while,
    STATE(7305), 1,
      sym_comment,
  [210637] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11121), 1,
      sym_identifier,
    STATE(7306), 1,
      sym_comment,
  [210650] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11123), 1,
      sym_identifier,
    STATE(7307), 1,
      sym_comment,
  [210663] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11125), 1,
      anon_sym_require,
    STATE(7308), 1,
      sym_comment,
  [210676] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11127), 1,
      sym_identifier,
    STATE(7309), 1,
      sym_comment,
  [210689] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11129), 1,
      anon_sym_new,
    STATE(7310), 1,
      sym_comment,
  [210702] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11131), 1,
      anon_sym_from,
    STATE(7311), 1,
      sym_comment,
  [210715] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11133), 1,
      anon_sym_EQ_GT,
    STATE(7312), 1,
      sym_comment,
  [210728] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11135), 1,
      sym_identifier,
    STATE(7313), 1,
      sym_comment,
  [210741] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11137), 1,
      anon_sym_EQ,
    STATE(7314), 1,
      sym_comment,
  [210754] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11139), 1,
      sym_identifier,
    STATE(7315), 1,
      sym_comment,
  [210767] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11141), 1,
      anon_sym_EQ_GT,
    STATE(7316), 1,
      sym_comment,
  [210780] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11143), 1,
      anon_sym_class,
    STATE(7317), 1,
      sym_comment,
  [210793] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11145), 1,
      anon_sym_class,
    STATE(7318), 1,
      sym_comment,
  [210806] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5740), 1,
      anon_sym_is,
    STATE(7319), 1,
      sym_comment,
  [210819] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11147), 1,
      anon_sym_RBRACK,
    STATE(7320), 1,
      sym_comment,
  [210832] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11149), 1,
      sym_identifier,
    STATE(7321), 1,
      sym_comment,
  [210845] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5815), 1,
      anon_sym_RPAREN,
    STATE(7322), 1,
      sym_comment,
  [210858] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11151), 1,
      sym_identifier,
    STATE(7323), 1,
      sym_comment,
  [210871] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11153), 1,
      sym_identifier,
    STATE(7324), 1,
      sym_comment,
  [210884] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11155), 1,
      sym_regex_pattern,
    STATE(7325), 1,
      sym_comment,
  [210897] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8302), 1,
      sym_identifier,
    STATE(7326), 1,
      sym_comment,
  [210910] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4858), 1,
      anon_sym_RPAREN,
    STATE(7327), 1,
      sym_comment,
  [210923] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5851), 1,
      anon_sym_RBRACK,
    STATE(7328), 1,
      sym_comment,
  [210936] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11157), 1,
      sym_identifier,
    STATE(7329), 1,
      sym_comment,
  [210949] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11159), 1,
      anon_sym_EQ_GT,
    STATE(7330), 1,
      sym_comment,
  [210962] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9983), 1,
      anon_sym_RBRACE,
    STATE(7331), 1,
      sym_comment,
  [210975] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11161), 1,
      anon_sym_EQ_GT,
    STATE(7332), 1,
      sym_comment,
  [210988] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11163), 1,
      anon_sym_EQ_GT,
    STATE(7333), 1,
      sym_comment,
  [211001] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11165), 1,
      anon_sym_EQ,
    STATE(7334), 1,
      sym_comment,
  [211014] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11167), 1,
      anon_sym_EQ_GT,
    STATE(7335), 1,
      sym_comment,
  [211027] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11169), 1,
      anon_sym_EQ,
    STATE(7336), 1,
      sym_comment,
  [211040] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11171), 1,
      sym_identifier,
    STATE(7337), 1,
      sym_comment,
  [211053] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11173), 1,
      sym_identifier,
    STATE(7338), 1,
      sym_comment,
  [211066] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11175), 1,
      anon_sym_from,
    STATE(7339), 1,
      sym_comment,
  [211079] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11177), 1,
      sym_identifier,
    STATE(7340), 1,
      sym_comment,
  [211092] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5226), 1,
      anon_sym_RPAREN,
    STATE(7341), 1,
      sym_comment,
  [211105] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11179), 1,
      sym_identifier,
    STATE(7342), 1,
      sym_comment,
  [211118] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11181), 1,
      anon_sym_EQ_GT,
    STATE(7343), 1,
      sym_comment,
  [211131] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9520), 1,
      anon_sym_RBRACK,
    STATE(7344), 1,
      sym_comment,
  [211144] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9951), 1,
      anon_sym_RBRACE,
    STATE(7345), 1,
      sym_comment,
  [211157] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11183), 1,
      anon_sym_EQ,
    STATE(7346), 1,
      sym_comment,
  [211170] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11185), 1,
      sym_identifier,
    STATE(7347), 1,
      sym_comment,
  [211183] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11187), 1,
      anon_sym_RBRACK,
    STATE(7348), 1,
      sym_comment,
  [211196] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11189), 1,
      anon_sym_SLASH2,
    STATE(7349), 1,
      sym_comment,
  [211209] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11191), 1,
      anon_sym_as,
    STATE(7350), 1,
      sym_comment,
  [211222] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11193), 1,
      sym_identifier,
    STATE(7351), 1,
      sym_comment,
  [211235] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9991), 1,
      anon_sym_GT,
    STATE(7352), 1,
      sym_comment,
  [211248] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11195), 1,
      sym_identifier,
    STATE(7353), 1,
      sym_comment,
  [211261] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11197), 1,
      sym_identifier,
    STATE(7354), 1,
      sym_comment,
  [211274] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11199), 1,
      anon_sym_EQ,
    STATE(7355), 1,
      sym_comment,
  [211287] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11201), 1,
      sym_identifier,
    STATE(7356), 1,
      sym_comment,
  [211300] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11203), 1,
      sym_identifier,
    STATE(7357), 1,
      sym_comment,
  [211313] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11205), 1,
      sym_identifier,
    STATE(7358), 1,
      sym_comment,
  [211326] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11207), 1,
      sym_identifier,
    STATE(7359), 1,
      sym_comment,
  [211339] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11209), 1,
      sym_identifier,
    STATE(7360), 1,
      sym_comment,
  [211352] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11211), 1,
      anon_sym_namespace,
    STATE(7361), 1,
      sym_comment,
  [211365] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11213), 1,
      sym_identifier,
    STATE(7362), 1,
      sym_comment,
  [211378] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11215), 1,
      sym_identifier,
    STATE(7363), 1,
      sym_comment,
  [211391] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11217), 1,
      sym_identifier,
    STATE(7364), 1,
      sym_comment,
  [211404] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11219), 1,
      sym_identifier,
    STATE(7365), 1,
      sym_comment,
  [211417] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11221), 1,
      sym_identifier,
    STATE(7366), 1,
      sym_comment,
  [211430] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11223), 1,
      anon_sym_RBRACK,
    STATE(7367), 1,
      sym_comment,
  [211443] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5837), 1,
      anon_sym_RPAREN,
    STATE(7368), 1,
      sym_comment,
  [211456] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5861), 1,
      anon_sym_RBRACK,
    STATE(7369), 1,
      sym_comment,
  [211469] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11225), 1,
      anon_sym_RPAREN,
    STATE(7370), 1,
      sym_comment,
  [211482] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11227), 1,
      sym_identifier,
    STATE(7371), 1,
      sym_comment,
  [211495] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11229), 1,
      sym_identifier,
    STATE(7372), 1,
      sym_comment,
  [211508] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9724), 1,
      anon_sym_EQ,
    STATE(7373), 1,
      sym_comment,
  [211521] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10007), 1,
      anon_sym_RBRACK,
    STATE(7374), 1,
      sym_comment,
  [211534] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11231), 1,
      anon_sym_EQ_GT,
    STATE(7375), 1,
      sym_comment,
  [211547] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11233), 1,
      anon_sym_EQ_GT,
    STATE(7376), 1,
      sym_comment,
  [211560] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11235), 1,
      anon_sym_RBRACK,
    STATE(7377), 1,
      sym_comment,
  [211573] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11237), 1,
      anon_sym_EQ_GT,
    STATE(7378), 1,
      sym_comment,
  [211586] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9493), 1,
      anon_sym_GT,
    STATE(7379), 1,
      sym_comment,
  [211599] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11239), 1,
      sym_identifier,
    STATE(7380), 1,
      sym_comment,
  [211612] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11241), 1,
      anon_sym_RBRACK,
    STATE(7381), 1,
      sym_comment,
  [211625] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11243), 1,
      sym_identifier,
    STATE(7382), 1,
      sym_comment,
  [211638] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5841), 1,
      anon_sym_COLON,
    STATE(7383), 1,
      sym_comment,
  [211651] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11245), 1,
      ts_builtin_sym_end,
    STATE(7384), 1,
      sym_comment,
  [211664] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11247), 1,
      sym_identifier,
    STATE(7385), 1,
      sym_comment,
  [211677] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11249), 1,
      sym_identifier,
    STATE(7386), 1,
      sym_comment,
  [211690] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11251), 1,
      anon_sym_class,
    STATE(7387), 1,
      sym_comment,
  [211703] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11253), 1,
      anon_sym_RBRACK,
    STATE(7388), 1,
      sym_comment,
  [211716] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11255), 1,
      anon_sym_EQ_GT,
    STATE(7389), 1,
      sym_comment,
  [211729] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11257), 1,
      sym_number,
    STATE(7390), 1,
      sym_comment,
  [211742] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11259), 1,
      anon_sym_RBRACK,
    STATE(7391), 1,
      sym_comment,
  [211755] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5358), 1,
      anon_sym_in,
    STATE(7392), 1,
      sym_comment,
  [211768] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11261), 1,
      sym_identifier,
    STATE(7393), 1,
      sym_comment,
  [211781] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11263), 1,
      anon_sym_EQ_GT,
    STATE(7394), 1,
      sym_comment,
  [211794] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11265), 1,
      sym_identifier,
    STATE(7395), 1,
      sym_comment,
  [211807] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11267), 1,
      sym_identifier,
    STATE(7396), 1,
      sym_comment,
  [211820] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6277), 1,
      anon_sym_in,
    STATE(7397), 1,
      sym_comment,
  [211833] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11269), 1,
      anon_sym_EQ_GT,
    STATE(7398), 1,
      sym_comment,
  [211846] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11271), 1,
      anon_sym_EQ_GT,
    STATE(7399), 1,
      sym_comment,
  [211859] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11273), 1,
      anon_sym_EQ_GT,
    STATE(7400), 1,
      sym_comment,
  [211872] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11275), 1,
      anon_sym_EQ_GT,
    STATE(7401), 1,
      sym_comment,
  [211885] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11277), 1,
      anon_sym_EQ_GT,
    STATE(7402), 1,
      sym_comment,
  [211898] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11279), 1,
      anon_sym_from,
    STATE(7403), 1,
      sym_comment,
  [211911] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11281), 1,
      anon_sym_symbol,
    STATE(7404), 1,
      sym_comment,
  [211924] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11283), 1,
      anon_sym_EQ,
    STATE(7405), 1,
      sym_comment,
  [211937] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11285), 1,
      anon_sym_EQ_GT,
    STATE(7406), 1,
      sym_comment,
  [211950] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11287), 1,
      anon_sym_from,
    STATE(7407), 1,
      sym_comment,
  [211963] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11289), 1,
      anon_sym_RBRACK,
    STATE(7408), 1,
      sym_comment,
  [211976] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11291), 1,
      anon_sym_RBRACK,
    STATE(7409), 1,
      sym_comment,
  [211989] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11293), 1,
      anon_sym_EQ,
    STATE(7410), 1,
      sym_comment,
  [212002] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11295), 1,
      anon_sym_RBRACK,
    STATE(7411), 1,
      sym_comment,
  [212015] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11297), 1,
      anon_sym_RBRACK,
    STATE(7412), 1,
      sym_comment,
  [212028] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11299), 1,
      anon_sym_RBRACK,
    STATE(7413), 1,
      sym_comment,
  [212041] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11301), 1,
      sym_identifier,
    STATE(7414), 1,
      sym_comment,
  [212054] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11303), 1,
      sym_regex_pattern,
    STATE(7415), 1,
      sym_comment,
  [212067] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11305), 1,
      anon_sym_RBRACK,
    STATE(7416), 1,
      sym_comment,
  [212080] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11307), 1,
      anon_sym_RBRACK,
    STATE(7417), 1,
      sym_comment,
  [212093] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11309), 1,
      anon_sym_RPAREN,
    STATE(7418), 1,
      sym_comment,
  [212106] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11311), 1,
      sym_identifier,
    STATE(7419), 1,
      sym_comment,
  [212119] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11313), 1,
      sym_identifier,
    STATE(7420), 1,
      sym_comment,
  [212132] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4999), 1,
      anon_sym_RPAREN,
    STATE(7421), 1,
      sym_comment,
  [212145] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11315), 1,
      anon_sym_RBRACK,
    STATE(7422), 1,
      sym_comment,
  [212158] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11317), 1,
      sym_identifier,
    STATE(7423), 1,
      sym_comment,
  [212171] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11319), 1,
      sym_identifier,
    STATE(7424), 1,
      sym_comment,
  [212184] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11321), 1,
      anon_sym_class,
    STATE(7425), 1,
      sym_comment,
  [212197] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11323), 1,
      anon_sym_namespace,
    STATE(7426), 1,
      sym_comment,
  [212210] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5863), 1,
      anon_sym_RBRACK,
    STATE(7427), 1,
      sym_comment,
  [212223] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(7387), 1,
      anon_sym_is,
    STATE(7428), 1,
      sym_comment,
  [212236] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11325), 1,
      anon_sym_COLON,
    STATE(7429), 1,
      sym_comment,
  [212249] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(10066), 1,
      anon_sym_RBRACK,
    STATE(7430), 1,
      sym_comment,
  [212262] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11327), 1,
      anon_sym_EQ_GT,
    STATE(7431), 1,
      sym_comment,
  [212275] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11329), 1,
      anon_sym_EQ_GT,
    STATE(7432), 1,
      sym_comment,
  [212288] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11331), 1,
      anon_sym_symbol,
    STATE(7433), 1,
      sym_comment,
  [212301] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11333), 1,
      anon_sym_RBRACK,
    STATE(7434), 1,
      sym_comment,
  [212314] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9783), 1,
      sym_identifier,
    STATE(7435), 1,
      sym_comment,
  [212327] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11335), 1,
      anon_sym_class,
    STATE(7436), 1,
      sym_comment,
  [212340] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11337), 1,
      sym_identifier,
    STATE(7437), 1,
      sym_comment,
  [212353] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11339), 1,
      sym_identifier,
    STATE(7438), 1,
      sym_comment,
  [212366] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11341), 1,
      anon_sym_EQ,
    STATE(7439), 1,
      sym_comment,
  [212379] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11343), 1,
      anon_sym_EQ_GT,
    STATE(7440), 1,
      sym_comment,
  [212392] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11345), 1,
      sym_identifier,
    STATE(7441), 1,
      sym_comment,
  [212405] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11347), 1,
      anon_sym_EQ,
    STATE(7442), 1,
      sym_comment,
  [212418] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11349), 1,
      anon_sym_new,
    STATE(7443), 1,
      sym_comment,
  [212431] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11351), 1,
      anon_sym_EQ_GT,
    STATE(7444), 1,
      sym_comment,
  [212444] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11353), 1,
      sym_identifier,
    STATE(7445), 1,
      sym_comment,
  [212457] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11355), 1,
      anon_sym_EQ_GT,
    STATE(7446), 1,
      sym_comment,
  [212470] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11357), 1,
      anon_sym_COLON,
    STATE(7447), 1,
      sym_comment,
  [212483] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11359), 1,
      anon_sym_RBRACK,
    STATE(7448), 1,
      sym_comment,
  [212496] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11361), 1,
      sym_identifier,
    STATE(7449), 1,
      sym_comment,
  [212509] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11363), 1,
      sym_identifier,
    STATE(7450), 1,
      sym_comment,
  [212522] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11365), 1,
      sym_identifier,
    STATE(7451), 1,
      sym_comment,
  [212535] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11367), 1,
      sym_number,
    STATE(7452), 1,
      sym_comment,
  [212548] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11369), 1,
      anon_sym_RBRACK,
    STATE(7453), 1,
      sym_comment,
  [212561] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11371), 1,
      sym_identifier,
    STATE(7454), 1,
      sym_comment,
  [212574] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11373), 1,
      anon_sym_RBRACK,
    STATE(7455), 1,
      sym_comment,
  [212587] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5865), 1,
      anon_sym_RPAREN,
    STATE(7456), 1,
      sym_comment,
  [212600] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11375), 1,
      anon_sym_EQ,
    STATE(7457), 1,
      sym_comment,
  [212613] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4805), 1,
      anon_sym_is,
    STATE(7458), 1,
      sym_comment,
  [212626] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11377), 1,
      anon_sym_RBRACK,
    STATE(7459), 1,
      sym_comment,
  [212639] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11379), 1,
      anon_sym_class,
    STATE(7460), 1,
      sym_comment,
  [212652] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11381), 1,
      anon_sym_namespace,
    STATE(7461), 1,
      sym_comment,
  [212665] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11383), 1,
      anon_sym_RBRACK,
    STATE(7462), 1,
      sym_comment,
  [212678] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(5803), 1,
      anon_sym_RPAREN,
    STATE(7463), 1,
      sym_comment,
  [212691] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11385), 1,
      anon_sym_RBRACK,
    STATE(7464), 1,
      sym_comment,
  [212704] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11387), 1,
      anon_sym_readonly,
    STATE(7465), 1,
      sym_comment,
  [212717] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11389), 1,
      anon_sym_EQ_GT,
    STATE(7466), 1,
      sym_comment,
  [212730] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11391), 1,
      anon_sym_EQ_GT,
    STATE(7467), 1,
      sym_comment,
  [212743] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11393), 1,
      anon_sym_RPAREN,
    STATE(7468), 1,
      sym_comment,
  [212756] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9726), 1,
      sym_identifier,
    STATE(7469), 1,
      sym_comment,
  [212769] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11395), 1,
      anon_sym_class,
    STATE(7470), 1,
      sym_comment,
  [212782] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11397), 1,
      anon_sym_RPAREN,
    STATE(7471), 1,
      sym_comment,
  [212795] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11399), 1,
      anon_sym_EQ_GT,
    STATE(7472), 1,
      sym_comment,
  [212808] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11401), 1,
      anon_sym_EQ,
    STATE(7473), 1,
      sym_comment,
  [212821] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11403), 1,
      sym_identifier,
    STATE(7474), 1,
      sym_comment,
  [212834] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11405), 1,
      sym_identifier,
    STATE(7475), 1,
      sym_comment,
  [212847] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11407), 1,
      anon_sym_EQ,
    STATE(7476), 1,
      sym_comment,
  [212860] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11409), 1,
      anon_sym_new,
    STATE(7477), 1,
      sym_comment,
  [212873] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11411), 1,
      sym_identifier,
    STATE(7478), 1,
      sym_comment,
  [212886] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11413), 1,
      sym_identifier,
    STATE(7479), 1,
      sym_comment,
  [212899] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11415), 1,
      anon_sym_RBRACK,
    STATE(7480), 1,
      sym_comment,
  [212912] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11417), 1,
      anon_sym_COLON,
    STATE(7481), 1,
      sym_comment,
  [212925] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(6992), 1,
      anon_sym_is,
    STATE(7482), 1,
      sym_comment,
  [212938] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11419), 1,
      anon_sym_RBRACK,
    STATE(7483), 1,
      sym_comment,
  [212951] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11421), 1,
      anon_sym_LBRACE,
    STATE(7484), 1,
      sym_comment,
  [212964] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11423), 1,
      anon_sym_EQ_GT,
    STATE(7485), 1,
      sym_comment,
  [212977] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11425), 1,
      anon_sym_EQ_GT,
    STATE(7486), 1,
      sym_comment,
  [212990] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11427), 1,
      sym_identifier,
    STATE(7487), 1,
      sym_comment,
  [213003] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11429), 1,
      anon_sym_class,
    STATE(7488), 1,
      sym_comment,
  [213016] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11431), 1,
      anon_sym_namespace,
    STATE(7489), 1,
      sym_comment,
  [213029] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(4960), 1,
      anon_sym_RPAREN,
    STATE(7490), 1,
      sym_comment,
  [213042] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11433), 1,
      sym_identifier,
    STATE(7491), 1,
      sym_comment,
  [213055] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11435), 1,
      anon_sym_RBRACK,
    STATE(7492), 1,
      sym_comment,
  [213068] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11437), 1,
      anon_sym_RBRACK,
    STATE(7493), 1,
      sym_comment,
  [213081] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11439), 1,
      anon_sym_EQ_GT,
    STATE(7494), 1,
      sym_comment,
  [213094] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11441), 1,
      anon_sym_RBRACK,
    STATE(7495), 1,
      sym_comment,
  [213107] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11443), 1,
      anon_sym_RBRACK,
    STATE(7496), 1,
      sym_comment,
  [213120] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9688), 1,
      sym_identifier,
    STATE(7497), 1,
      sym_comment,
  [213133] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11445), 1,
      anon_sym_class,
    STATE(7498), 1,
      sym_comment,
  [213146] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11447), 1,
      anon_sym_RBRACK,
    STATE(7499), 1,
      sym_comment,
  [213159] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11449), 1,
      anon_sym_RBRACK,
    STATE(7500), 1,
      sym_comment,
  [213172] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11451), 1,
      anon_sym_EQ,
    STATE(7501), 1,
      sym_comment,
  [213185] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11453), 1,
      anon_sym_RBRACK,
    STATE(7502), 1,
      sym_comment,
  [213198] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11455), 1,
      sym_identifier,
    STATE(7503), 1,
      sym_comment,
  [213211] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11457), 1,
      anon_sym_EQ,
    STATE(7504), 1,
      sym_comment,
  [213224] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11459), 1,
      anon_sym_new,
    STATE(7505), 1,
      sym_comment,
  [213237] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11461), 1,
      anon_sym_RBRACK,
    STATE(7506), 1,
      sym_comment,
  [213250] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11463), 1,
      sym_identifier,
    STATE(7507), 1,
      sym_comment,
  [213263] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11465), 1,
      anon_sym_RBRACK,
    STATE(7508), 1,
      sym_comment,
  [213276] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11467), 1,
      anon_sym_COLON,
    STATE(7509), 1,
      sym_comment,
  [213289] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11469), 1,
      anon_sym_RBRACK,
    STATE(7510), 1,
      sym_comment,
  [213302] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11471), 1,
      anon_sym_RBRACK,
    STATE(7511), 1,
      sym_comment,
  [213315] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11473), 1,
      anon_sym_RBRACK,
    STATE(7512), 1,
      sym_comment,
  [213328] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11475), 1,
      anon_sym_class,
    STATE(7513), 1,
      sym_comment,
  [213341] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11477), 1,
      anon_sym_namespace,
    STATE(7514), 1,
      sym_comment,
  [213354] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11479), 1,
      anon_sym_RBRACK,
    STATE(7515), 1,
      sym_comment,
  [213367] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11481), 1,
      anon_sym_RBRACK,
    STATE(7516), 1,
      sym_comment,
  [213380] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11483), 1,
      anon_sym_RBRACK,
    STATE(7517), 1,
      sym_comment,
  [213393] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11485), 1,
      anon_sym_EQ_GT,
    STATE(7518), 1,
      sym_comment,
  [213406] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11487), 1,
      anon_sym_RBRACK,
    STATE(7519), 1,
      sym_comment,
  [213419] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9641), 1,
      sym_identifier,
    STATE(7520), 1,
      sym_comment,
  [213432] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11489), 1,
      anon_sym_class,
    STATE(7521), 1,
      sym_comment,
  [213445] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(9400), 1,
      anon_sym_RBRACK,
    STATE(7522), 1,
      sym_comment,
  [213458] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11491), 1,
      anon_sym_EQ,
    STATE(7523), 1,
      sym_comment,
  [213471] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11493), 1,
      anon_sym_RBRACK,
    STATE(7524), 1,
      sym_comment,
  [213484] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11495), 1,
      sym_identifier,
    STATE(7525), 1,
      sym_comment,
  [213497] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11497), 1,
      anon_sym_EQ,
    STATE(7526), 1,
      sym_comment,
  [213510] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11499), 1,
      anon_sym_RBRACK,
    STATE(7527), 1,
      sym_comment,
  [213523] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11501), 1,
      sym_identifier,
    STATE(7528), 1,
      sym_comment,
  [213536] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11503), 1,
      anon_sym_COLON,
    STATE(7529), 1,
      sym_comment,
  [213549] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11505), 1,
      anon_sym_RBRACK,
    STATE(7530), 1,
      sym_comment,
  [213562] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11507), 1,
      anon_sym_RBRACK,
    STATE(7531), 1,
      sym_comment,
  [213575] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11509), 1,
      anon_sym_RBRACK,
    STATE(7532), 1,
      sym_comment,
  [213588] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8590), 1,
      sym_identifier,
    STATE(7533), 1,
      sym_comment,
  [213601] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11511), 1,
      anon_sym_function,
    STATE(7534), 1,
      sym_comment,
  [213614] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11513), 1,
      anon_sym_RBRACK,
    STATE(7535), 1,
      sym_comment,
  [213627] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11515), 1,
      anon_sym_SLASH2,
    STATE(7536), 1,
      sym_comment,
  [213640] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11517), 1,
      sym_identifier,
    STATE(7537), 1,
      sym_comment,
  [213653] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11519), 1,
      anon_sym_RPAREN,
    STATE(7538), 1,
      sym_comment,
  [213666] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11521), 1,
      anon_sym_RPAREN,
    STATE(7539), 1,
      sym_comment,
  [213679] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8592), 1,
      sym_identifier,
    STATE(7540), 1,
      sym_comment,
  [213692] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11523), 1,
      anon_sym_function,
    STATE(7541), 1,
      sym_comment,
  [213705] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11525), 1,
      anon_sym_RBRACK,
    STATE(7542), 1,
      sym_comment,
  [213718] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11527), 1,
      sym_identifier,
    STATE(7543), 1,
      sym_comment,
  [213731] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11529), 1,
      anon_sym_RPAREN,
    STATE(7544), 1,
      sym_comment,
  [213744] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8596), 1,
      sym_identifier,
    STATE(7545), 1,
      sym_comment,
  [213757] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11531), 1,
      anon_sym_function,
    STATE(7546), 1,
      sym_comment,
  [213770] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11533), 1,
      anon_sym_RBRACK,
    STATE(7547), 1,
      sym_comment,
  [213783] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11535), 1,
      sym_identifier,
    STATE(7548), 1,
      sym_comment,
  [213796] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11537), 1,
      anon_sym_RPAREN,
    STATE(7549), 1,
      sym_comment,
  [213809] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8598), 1,
      sym_identifier,
    STATE(7550), 1,
      sym_comment,
  [213822] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11539), 1,
      anon_sym_function,
    STATE(7551), 1,
      sym_comment,
  [213835] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11541), 1,
      anon_sym_EQ,
    STATE(7552), 1,
      sym_comment,
  [213848] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11543), 1,
      sym_identifier,
    STATE(7553), 1,
      sym_comment,
  [213861] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11545), 1,
      anon_sym_RBRACK,
    STATE(7554), 1,
      sym_comment,
  [213874] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8323), 1,
      sym_identifier,
    STATE(7555), 1,
      sym_comment,
  [213887] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11547), 1,
      anon_sym_function,
    STATE(7556), 1,
      sym_comment,
  [213900] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2696), 1,
      aux_sym_comment_token1,
    ACTIONS(11549), 1,
      anon_sym_RBRACK,
    STATE(7557), 1,
      sym_comment,
  [213913] = 1,
    ACTIONS(11551), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(1964)] = 0,
  [SMALL_STATE(1965)] = 93,
  [SMALL_STATE(1966)] = 190,
  [SMALL_STATE(1967)] = 283,
  [SMALL_STATE(1968)] = 378,
  [SMALL_STATE(1969)] = 471,
  [SMALL_STATE(1970)] = 566,
  [SMALL_STATE(1971)] = 659,
  [SMALL_STATE(1972)] = 752,
  [SMALL_STATE(1973)] = 847,
  [SMALL_STATE(1974)] = 940,
  [SMALL_STATE(1975)] = 1037,
  [SMALL_STATE(1976)] = 1130,
  [SMALL_STATE(1977)] = 1223,
  [SMALL_STATE(1978)] = 1316,
  [SMALL_STATE(1979)] = 1413,
  [SMALL_STATE(1980)] = 1506,
  [SMALL_STATE(1981)] = 1601,
  [SMALL_STATE(1982)] = 1694,
  [SMALL_STATE(1983)] = 1769,
  [SMALL_STATE(1984)] = 1864,
  [SMALL_STATE(1985)] = 1957,
  [SMALL_STATE(1986)] = 2032,
  [SMALL_STATE(1987)] = 2125,
  [SMALL_STATE(1988)] = 2200,
  [SMALL_STATE(1989)] = 2275,
  [SMALL_STATE(1990)] = 2350,
  [SMALL_STATE(1991)] = 2425,
  [SMALL_STATE(1992)] = 2520,
  [SMALL_STATE(1993)] = 2615,
  [SMALL_STATE(1994)] = 2708,
  [SMALL_STATE(1995)] = 2783,
  [SMALL_STATE(1996)] = 2876,
  [SMALL_STATE(1997)] = 2971,
  [SMALL_STATE(1998)] = 3064,
  [SMALL_STATE(1999)] = 3157,
  [SMALL_STATE(2000)] = 3250,
  [SMALL_STATE(2001)] = 3343,
  [SMALL_STATE(2002)] = 3436,
  [SMALL_STATE(2003)] = 3528,
  [SMALL_STATE(2004)] = 3620,
  [SMALL_STATE(2005)] = 3714,
  [SMALL_STATE(2006)] = 3808,
  [SMALL_STATE(2007)] = 3900,
  [SMALL_STATE(2008)] = 3996,
  [SMALL_STATE(2009)] = 4088,
  [SMALL_STATE(2010)] = 4188,
  [SMALL_STATE(2011)] = 4280,
  [SMALL_STATE(2012)] = 4376,
  [SMALL_STATE(2013)] = 4472,
  [SMALL_STATE(2014)] = 4546,
  [SMALL_STATE(2015)] = 4620,
  [SMALL_STATE(2016)] = 4698,
  [SMALL_STATE(2017)] = 4794,
  [SMALL_STATE(2018)] = 4891,
  [SMALL_STATE(2019)] = 4986,
  [SMALL_STATE(2020)] = 5081,
  [SMALL_STATE(2021)] = 5164,
  [SMALL_STATE(2022)] = 5255,
  [SMALL_STATE(2023)] = 5350,
  [SMALL_STATE(2024)] = 5433,
  [SMALL_STATE(2025)] = 5516,
  [SMALL_STATE(2026)] = 5611,
  [SMALL_STATE(2027)] = 5696,
  [SMALL_STATE(2028)] = 5769,
  [SMALL_STATE(2029)] = 5860,
  [SMALL_STATE(2030)] = 5951,
  [SMALL_STATE(2031)] = 6034,
  [SMALL_STATE(2032)] = 6131,
  [SMALL_STATE(2033)] = 6214,
  [SMALL_STATE(2034)] = 6289,
  [SMALL_STATE(2035)] = 6380,
  [SMALL_STATE(2036)] = 6453,
  [SMALL_STATE(2037)] = 6546,
  [SMALL_STATE(2038)] = 6637,
  [SMALL_STATE(2039)] = 6714,
  [SMALL_STATE(2040)] = 6797,
  [SMALL_STATE(2041)] = 6882,
  [SMALL_STATE(2042)] = 6973,
  [SMALL_STATE(2043)] = 7052,
  [SMALL_STATE(2044)] = 7143,
  [SMALL_STATE(2045)] = 7234,
  [SMALL_STATE(2046)] = 7325,
  [SMALL_STATE(2047)] = 7416,
  [SMALL_STATE(2048)] = 7507,
  [SMALL_STATE(2049)] = 7598,
  [SMALL_STATE(2050)] = 7680,
  [SMALL_STATE(2051)] = 7762,
  [SMALL_STATE(2052)] = 7856,
  [SMALL_STATE(2053)] = 7944,
  [SMALL_STATE(2054)] = 8028,
  [SMALL_STATE(2055)] = 8098,
  [SMALL_STATE(2056)] = 8176,
  [SMALL_STATE(2057)] = 8258,
  [SMALL_STATE(2058)] = 8336,
  [SMALL_STATE(2059)] = 8430,
  [SMALL_STATE(2060)] = 8508,
  [SMALL_STATE(2061)] = 8590,
  [SMALL_STATE(2062)] = 8678,
  [SMALL_STATE(2063)] = 8762,
  [SMALL_STATE(2064)] = 8832,
  [SMALL_STATE(2065)] = 8912,
  [SMALL_STATE(2066)] = 9004,
  [SMALL_STATE(2067)] = 9098,
  [SMALL_STATE(2068)] = 9178,
  [SMALL_STATE(2069)] = 9248,
  [SMALL_STATE(2070)] = 9328,
  [SMALL_STATE(2071)] = 9410,
  [SMALL_STATE(2072)] = 9504,
  [SMALL_STATE(2073)] = 9594,
  [SMALL_STATE(2074)] = 9684,
  [SMALL_STATE(2075)] = 9762,
  [SMALL_STATE(2076)] = 9852,
  [SMALL_STATE(2077)] = 9927,
  [SMALL_STATE(2078)] = 10004,
  [SMALL_STATE(2079)] = 10075,
  [SMALL_STATE(2080)] = 10146,
  [SMALL_STATE(2081)] = 10223,
  [SMALL_STATE(2082)] = 10296,
  [SMALL_STATE(2083)] = 10369,
  [SMALL_STATE(2084)] = 10440,
  [SMALL_STATE(2085)] = 10519,
  [SMALL_STATE(2086)] = 10596,
  [SMALL_STATE(2087)] = 10671,
  [SMALL_STATE(2088)] = 10742,
  [SMALL_STATE(2089)] = 10811,
  [SMALL_STATE(2090)] = 10882,
  [SMALL_STATE(2091)] = 10959,
  [SMALL_STATE(2092)] = 11042,
  [SMALL_STATE(2093)] = 11113,
  [SMALL_STATE(2094)] = 11202,
  [SMALL_STATE(2095)] = 11281,
  [SMALL_STATE(2096)] = 11360,
  [SMALL_STATE(2097)] = 11439,
  [SMALL_STATE(2098)] = 11518,
  [SMALL_STATE(2099)] = 11587,
  [SMALL_STATE(2100)] = 11666,
  [SMALL_STATE(2101)] = 11743,
  [SMALL_STATE(2102)] = 11836,
  [SMALL_STATE(2103)] = 11913,
  [SMALL_STATE(2104)] = 11994,
  [SMALL_STATE(2105)] = 12087,
  [SMALL_STATE(2106)] = 12158,
  [SMALL_STATE(2107)] = 12247,
  [SMALL_STATE(2108)] = 12328,
  [SMALL_STATE(2109)] = 12397,
  [SMALL_STATE(2110)] = 12468,
  [SMALL_STATE(2111)] = 12537,
  [SMALL_STATE(2112)] = 12608,
  [SMALL_STATE(2113)] = 12677,
  [SMALL_STATE(2114)] = 12756,
  [SMALL_STATE(2115)] = 12839,
  [SMALL_STATE(2116)] = 12910,
  [SMALL_STATE(2117)] = 12983,
  [SMALL_STATE(2118)] = 13062,
  [SMALL_STATE(2119)] = 13133,
  [SMALL_STATE(2120)] = 13212,
  [SMALL_STATE(2121)] = 13301,
  [SMALL_STATE(2122)] = 13378,
  [SMALL_STATE(2123)] = 13447,
  [SMALL_STATE(2124)] = 13516,
  [SMALL_STATE(2125)] = 13601,
  [SMALL_STATE(2126)] = 13686,
  [SMALL_STATE(2127)] = 13767,
  [SMALL_STATE(2128)] = 13840,
  [SMALL_STATE(2129)] = 13923,
  [SMALL_STATE(2130)] = 13992,
  [SMALL_STATE(2131)] = 14061,
  [SMALL_STATE(2132)] = 14140,
  [SMALL_STATE(2133)] = 14217,
  [SMALL_STATE(2134)] = 14286,
  [SMALL_STATE(2135)] = 14373,
  [SMALL_STATE(2136)] = 14455,
  [SMALL_STATE(2137)] = 14531,
  [SMALL_STATE(2138)] = 14609,
  [SMALL_STATE(2139)] = 14697,
  [SMALL_STATE(2140)] = 14779,
  [SMALL_STATE(2141)] = 14853,
  [SMALL_STATE(2142)] = 14937,
  [SMALL_STATE(2143)] = 15019,
  [SMALL_STATE(2144)] = 15093,
  [SMALL_STATE(2145)] = 15171,
  [SMALL_STATE(2146)] = 15249,
  [SMALL_STATE(2147)] = 15327,
  [SMALL_STATE(2148)] = 15405,
  [SMALL_STATE(2149)] = 15483,
  [SMALL_STATE(2150)] = 15565,
  [SMALL_STATE(2151)] = 15643,
  [SMALL_STATE(2152)] = 15719,
  [SMALL_STATE(2153)] = 15795,
  [SMALL_STATE(2154)] = 15873,
  [SMALL_STATE(2155)] = 15949,
  [SMALL_STATE(2156)] = 16027,
  [SMALL_STATE(2157)] = 16102,
  [SMALL_STATE(2158)] = 16229,
  [SMALL_STATE(2159)] = 16304,
  [SMALL_STATE(2160)] = 16431,
  [SMALL_STATE(2161)] = 16506,
  [SMALL_STATE(2162)] = 16633,
  [SMALL_STATE(2163)] = 16708,
  [SMALL_STATE(2164)] = 16783,
  [SMALL_STATE(2165)] = 16910,
  [SMALL_STATE(2166)] = 16985,
  [SMALL_STATE(2167)] = 17056,
  [SMALL_STATE(2168)] = 17183,
  [SMALL_STATE(2169)] = 17310,
  [SMALL_STATE(2170)] = 17381,
  [SMALL_STATE(2171)] = 17458,
  [SMALL_STATE(2172)] = 17585,
  [SMALL_STATE(2173)] = 17664,
  [SMALL_STATE(2174)] = 17745,
  [SMALL_STATE(2175)] = 17824,
  [SMALL_STATE(2176)] = 17897,
  [SMALL_STATE(2177)] = 18024,
  [SMALL_STATE(2178)] = 18099,
  [SMALL_STATE(2179)] = 18178,
  [SMALL_STATE(2180)] = 18305,
  [SMALL_STATE(2181)] = 18384,
  [SMALL_STATE(2182)] = 18459,
  [SMALL_STATE(2183)] = 18536,
  [SMALL_STATE(2184)] = 18610,
  [SMALL_STATE(2185)] = 18686,
  [SMALL_STATE(2186)] = 18760,
  [SMALL_STATE(2187)] = 18834,
  [SMALL_STATE(2188)] = 18908,
  [SMALL_STATE(2189)] = 18986,
  [SMALL_STATE(2190)] = 19060,
  [SMALL_STATE(2191)] = 19132,
  [SMALL_STATE(2192)] = 19210,
  [SMALL_STATE(2193)] = 19284,
  [SMALL_STATE(2194)] = 19356,
  [SMALL_STATE(2195)] = 19430,
  [SMALL_STATE(2196)] = 19506,
  [SMALL_STATE(2197)] = 19580,
  [SMALL_STATE(2198)] = 19703,
  [SMALL_STATE(2199)] = 19826,
  [SMALL_STATE(2200)] = 19949,
  [SMALL_STATE(2201)] = 20022,
  [SMALL_STATE(2202)] = 20095,
  [SMALL_STATE(2203)] = 20218,
  [SMALL_STATE(2204)] = 20291,
  [SMALL_STATE(2205)] = 20414,
  [SMALL_STATE(2206)] = 20537,
  [SMALL_STATE(2207)] = 20660,
  [SMALL_STATE(2208)] = 20783,
  [SMALL_STATE(2209)] = 20906,
  [SMALL_STATE(2210)] = 21029,
  [SMALL_STATE(2211)] = 21102,
  [SMALL_STATE(2212)] = 21175,
  [SMALL_STATE(2213)] = 21248,
  [SMALL_STATE(2214)] = 21371,
  [SMALL_STATE(2215)] = 21494,
  [SMALL_STATE(2216)] = 21617,
  [SMALL_STATE(2217)] = 21740,
  [SMALL_STATE(2218)] = 21863,
  [SMALL_STATE(2219)] = 21986,
  [SMALL_STATE(2220)] = 22059,
  [SMALL_STATE(2221)] = 22132,
  [SMALL_STATE(2222)] = 22255,
  [SMALL_STATE(2223)] = 22328,
  [SMALL_STATE(2224)] = 22451,
  [SMALL_STATE(2225)] = 22574,
  [SMALL_STATE(2226)] = 22697,
  [SMALL_STATE(2227)] = 22820,
  [SMALL_STATE(2228)] = 22943,
  [SMALL_STATE(2229)] = 23016,
  [SMALL_STATE(2230)] = 23139,
  [SMALL_STATE(2231)] = 23212,
  [SMALL_STATE(2232)] = 23287,
  [SMALL_STATE(2233)] = 23410,
  [SMALL_STATE(2234)] = 23483,
  [SMALL_STATE(2235)] = 23606,
  [SMALL_STATE(2236)] = 23679,
  [SMALL_STATE(2237)] = 23752,
  [SMALL_STATE(2238)] = 23825,
  [SMALL_STATE(2239)] = 23948,
  [SMALL_STATE(2240)] = 24021,
  [SMALL_STATE(2241)] = 24144,
  [SMALL_STATE(2242)] = 24215,
  [SMALL_STATE(2243)] = 24288,
  [SMALL_STATE(2244)] = 24361,
  [SMALL_STATE(2245)] = 24434,
  [SMALL_STATE(2246)] = 24507,
  [SMALL_STATE(2247)] = 24580,
  [SMALL_STATE(2248)] = 24651,
  [SMALL_STATE(2249)] = 24721,
  [SMALL_STATE(2250)] = 24791,
  [SMALL_STATE(2251)] = 24861,
  [SMALL_STATE(2252)] = 24931,
  [SMALL_STATE(2253)] = 25001,
  [SMALL_STATE(2254)] = 25071,
  [SMALL_STATE(2255)] = 25141,
  [SMALL_STATE(2256)] = 25211,
  [SMALL_STATE(2257)] = 25281,
  [SMALL_STATE(2258)] = 25400,
  [SMALL_STATE(2259)] = 25519,
  [SMALL_STATE(2260)] = 25638,
  [SMALL_STATE(2261)] = 25757,
  [SMALL_STATE(2262)] = 25876,
  [SMALL_STATE(2263)] = 25995,
  [SMALL_STATE(2264)] = 26114,
  [SMALL_STATE(2265)] = 26233,
  [SMALL_STATE(2266)] = 26352,
  [SMALL_STATE(2267)] = 26471,
  [SMALL_STATE(2268)] = 26595,
  [SMALL_STATE(2269)] = 26719,
  [SMALL_STATE(2270)] = 26843,
  [SMALL_STATE(2271)] = 26967,
  [SMALL_STATE(2272)] = 27091,
  [SMALL_STATE(2273)] = 27208,
  [SMALL_STATE(2274)] = 27325,
  [SMALL_STATE(2275)] = 27442,
  [SMALL_STATE(2276)] = 27559,
  [SMALL_STATE(2277)] = 27676,
  [SMALL_STATE(2278)] = 27793,
  [SMALL_STATE(2279)] = 27910,
  [SMALL_STATE(2280)] = 28027,
  [SMALL_STATE(2281)] = 28144,
  [SMALL_STATE(2282)] = 28261,
  [SMALL_STATE(2283)] = 28378,
  [SMALL_STATE(2284)] = 28495,
  [SMALL_STATE(2285)] = 28612,
  [SMALL_STATE(2286)] = 28729,
  [SMALL_STATE(2287)] = 28846,
  [SMALL_STATE(2288)] = 28963,
  [SMALL_STATE(2289)] = 29080,
  [SMALL_STATE(2290)] = 29197,
  [SMALL_STATE(2291)] = 29312,
  [SMALL_STATE(2292)] = 29429,
  [SMALL_STATE(2293)] = 29546,
  [SMALL_STATE(2294)] = 29663,
  [SMALL_STATE(2295)] = 29774,
  [SMALL_STATE(2296)] = 29891,
  [SMALL_STATE(2297)] = 30008,
  [SMALL_STATE(2298)] = 30125,
  [SMALL_STATE(2299)] = 30242,
  [SMALL_STATE(2300)] = 30353,
  [SMALL_STATE(2301)] = 30470,
  [SMALL_STATE(2302)] = 30587,
  [SMALL_STATE(2303)] = 30704,
  [SMALL_STATE(2304)] = 30821,
  [SMALL_STATE(2305)] = 30938,
  [SMALL_STATE(2306)] = 31055,
  [SMALL_STATE(2307)] = 31166,
  [SMALL_STATE(2308)] = 31277,
  [SMALL_STATE(2309)] = 31388,
  [SMALL_STATE(2310)] = 31499,
  [SMALL_STATE(2311)] = 31616,
  [SMALL_STATE(2312)] = 31727,
  [SMALL_STATE(2313)] = 31789,
  [SMALL_STATE(2314)] = 31851,
  [SMALL_STATE(2315)] = 31967,
  [SMALL_STATE(2316)] = 32081,
  [SMALL_STATE(2317)] = 32152,
  [SMALL_STATE(2318)] = 32223,
  [SMALL_STATE(2319)] = 32292,
  [SMALL_STATE(2320)] = 32369,
  [SMALL_STATE(2321)] = 32472,
  [SMALL_STATE(2322)] = 32543,
  [SMALL_STATE(2323)] = 32603,
  [SMALL_STATE(2324)] = 32665,
  [SMALL_STATE(2325)] = 32727,
  [SMALL_STATE(2326)] = 32793,
  [SMALL_STATE(2327)] = 32853,
  [SMALL_STATE(2328)] = 32913,
  [SMALL_STATE(2329)] = 32973,
  [SMALL_STATE(2330)] = 33037,
  [SMALL_STATE(2331)] = 33101,
  [SMALL_STATE(2332)] = 33167,
  [SMALL_STATE(2333)] = 33233,
  [SMALL_STATE(2334)] = 33293,
  [SMALL_STATE(2335)] = 33357,
  [SMALL_STATE(2336)] = 33423,
  [SMALL_STATE(2337)] = 33483,
  [SMALL_STATE(2338)] = 33543,
  [SMALL_STATE(2339)] = 33605,
  [SMALL_STATE(2340)] = 33682,
  [SMALL_STATE(2341)] = 33741,
  [SMALL_STATE(2342)] = 33800,
  [SMALL_STATE(2343)] = 33925,
  [SMALL_STATE(2344)] = 33984,
  [SMALL_STATE(2345)] = 34043,
  [SMALL_STATE(2346)] = 34102,
  [SMALL_STATE(2347)] = 34161,
  [SMALL_STATE(2348)] = 34220,
  [SMALL_STATE(2349)] = 34287,
  [SMALL_STATE(2350)] = 34346,
  [SMALL_STATE(2351)] = 34405,
  [SMALL_STATE(2352)] = 34470,
  [SMALL_STATE(2353)] = 34529,
  [SMALL_STATE(2354)] = 34588,
  [SMALL_STATE(2355)] = 34653,
  [SMALL_STATE(2356)] = 34712,
  [SMALL_STATE(2357)] = 34771,
  [SMALL_STATE(2358)] = 34830,
  [SMALL_STATE(2359)] = 34889,
  [SMALL_STATE(2360)] = 34948,
  [SMALL_STATE(2361)] = 35007,
  [SMALL_STATE(2362)] = 35066,
  [SMALL_STATE(2363)] = 35125,
  [SMALL_STATE(2364)] = 35184,
  [SMALL_STATE(2365)] = 35247,
  [SMALL_STATE(2366)] = 35306,
  [SMALL_STATE(2367)] = 35423,
  [SMALL_STATE(2368)] = 35548,
  [SMALL_STATE(2369)] = 35673,
  [SMALL_STATE(2370)] = 35798,
  [SMALL_STATE(2371)] = 35877,
  [SMALL_STATE(2372)] = 35936,
  [SMALL_STATE(2373)] = 35995,
  [SMALL_STATE(2374)] = 36054,
  [SMALL_STATE(2375)] = 36113,
  [SMALL_STATE(2376)] = 36172,
  [SMALL_STATE(2377)] = 36231,
  [SMALL_STATE(2378)] = 36290,
  [SMALL_STATE(2379)] = 36349,
  [SMALL_STATE(2380)] = 36408,
  [SMALL_STATE(2381)] = 36467,
  [SMALL_STATE(2382)] = 36526,
  [SMALL_STATE(2383)] = 36585,
  [SMALL_STATE(2384)] = 36710,
  [SMALL_STATE(2385)] = 36769,
  [SMALL_STATE(2386)] = 36830,
  [SMALL_STATE(2387)] = 36889,
  [SMALL_STATE(2388)] = 36954,
  [SMALL_STATE(2389)] = 37013,
  [SMALL_STATE(2390)] = 37072,
  [SMALL_STATE(2391)] = 37167,
  [SMALL_STATE(2392)] = 37228,
  [SMALL_STATE(2393)] = 37289,
  [SMALL_STATE(2394)] = 37348,
  [SMALL_STATE(2395)] = 37433,
  [SMALL_STATE(2396)] = 37492,
  [SMALL_STATE(2397)] = 37551,
  [SMALL_STATE(2398)] = 37610,
  [SMALL_STATE(2399)] = 37669,
  [SMALL_STATE(2400)] = 37728,
  [SMALL_STATE(2401)] = 37787,
  [SMALL_STATE(2402)] = 37846,
  [SMALL_STATE(2403)] = 37905,
  [SMALL_STATE(2404)] = 37964,
  [SMALL_STATE(2405)] = 38023,
  [SMALL_STATE(2406)] = 38082,
  [SMALL_STATE(2407)] = 38141,
  [SMALL_STATE(2408)] = 38200,
  [SMALL_STATE(2409)] = 38259,
  [SMALL_STATE(2410)] = 38318,
  [SMALL_STATE(2411)] = 38377,
  [SMALL_STATE(2412)] = 38436,
  [SMALL_STATE(2413)] = 38495,
  [SMALL_STATE(2414)] = 38554,
  [SMALL_STATE(2415)] = 38671,
  [SMALL_STATE(2416)] = 38730,
  [SMALL_STATE(2417)] = 38791,
  [SMALL_STATE(2418)] = 38856,
  [SMALL_STATE(2419)] = 38917,
  [SMALL_STATE(2420)] = 38976,
  [SMALL_STATE(2421)] = 39041,
  [SMALL_STATE(2422)] = 39106,
  [SMALL_STATE(2423)] = 39165,
  [SMALL_STATE(2424)] = 39282,
  [SMALL_STATE(2425)] = 39341,
  [SMALL_STATE(2426)] = 39400,
  [SMALL_STATE(2427)] = 39517,
  [SMALL_STATE(2428)] = 39578,
  [SMALL_STATE(2429)] = 39643,
  [SMALL_STATE(2430)] = 39706,
  [SMALL_STATE(2431)] = 39767,
  [SMALL_STATE(2432)] = 39832,
  [SMALL_STATE(2433)] = 39899,
  [SMALL_STATE(2434)] = 39958,
  [SMALL_STATE(2435)] = 40017,
  [SMALL_STATE(2436)] = 40076,
  [SMALL_STATE(2437)] = 40171,
  [SMALL_STATE(2438)] = 40238,
  [SMALL_STATE(2439)] = 40297,
  [SMALL_STATE(2440)] = 40356,
  [SMALL_STATE(2441)] = 40451,
  [SMALL_STATE(2442)] = 40510,
  [SMALL_STATE(2443)] = 40571,
  [SMALL_STATE(2444)] = 40688,
  [SMALL_STATE(2445)] = 40813,
  [SMALL_STATE(2446)] = 40930,
  [SMALL_STATE(2447)] = 41047,
  [SMALL_STATE(2448)] = 41172,
  [SMALL_STATE(2449)] = 41231,
  [SMALL_STATE(2450)] = 41348,
  [SMALL_STATE(2451)] = 41465,
  [SMALL_STATE(2452)] = 41528,
  [SMALL_STATE(2453)] = 41587,
  [SMALL_STATE(2454)] = 41646,
  [SMALL_STATE(2455)] = 41763,
  [SMALL_STATE(2456)] = 41880,
  [SMALL_STATE(2457)] = 41997,
  [SMALL_STATE(2458)] = 42088,
  [SMALL_STATE(2459)] = 42147,
  [SMALL_STATE(2460)] = 42206,
  [SMALL_STATE(2461)] = 42265,
  [SMALL_STATE(2462)] = 42360,
  [SMALL_STATE(2463)] = 42419,
  [SMALL_STATE(2464)] = 42478,
  [SMALL_STATE(2465)] = 42559,
  [SMALL_STATE(2466)] = 42620,
  [SMALL_STATE(2467)] = 42685,
  [SMALL_STATE(2468)] = 42802,
  [SMALL_STATE(2469)] = 42907,
  [SMALL_STATE(2470)] = 43014,
  [SMALL_STATE(2471)] = 43101,
  [SMALL_STATE(2472)] = 43200,
  [SMALL_STATE(2473)] = 43301,
  [SMALL_STATE(2474)] = 43404,
  [SMALL_STATE(2475)] = 43489,
  [SMALL_STATE(2476)] = 43550,
  [SMALL_STATE(2477)] = 43609,
  [SMALL_STATE(2478)] = 43670,
  [SMALL_STATE(2479)] = 43729,
  [SMALL_STATE(2480)] = 43788,
  [SMALL_STATE(2481)] = 43847,
  [SMALL_STATE(2482)] = 43906,
  [SMALL_STATE(2483)] = 43993,
  [SMALL_STATE(2484)] = 44052,
  [SMALL_STATE(2485)] = 44111,
  [SMALL_STATE(2486)] = 44170,
  [SMALL_STATE(2487)] = 44231,
  [SMALL_STATE(2488)] = 44290,
  [SMALL_STATE(2489)] = 44385,
  [SMALL_STATE(2490)] = 44450,
  [SMALL_STATE(2491)] = 44515,
  [SMALL_STATE(2492)] = 44578,
  [SMALL_STATE(2493)] = 44687,
  [SMALL_STATE(2494)] = 44752,
  [SMALL_STATE(2495)] = 44869,
  [SMALL_STATE(2496)] = 44986,
  [SMALL_STATE(2497)] = 45045,
  [SMALL_STATE(2498)] = 45140,
  [SMALL_STATE(2499)] = 45260,
  [SMALL_STATE(2500)] = 45318,
  [SMALL_STATE(2501)] = 45378,
  [SMALL_STATE(2502)] = 45436,
  [SMALL_STATE(2503)] = 45494,
  [SMALL_STATE(2504)] = 45552,
  [SMALL_STATE(2505)] = 45610,
  [SMALL_STATE(2506)] = 45698,
  [SMALL_STATE(2507)] = 45784,
  [SMALL_STATE(2508)] = 45860,
  [SMALL_STATE(2509)] = 45976,
  [SMALL_STATE(2510)] = 46092,
  [SMALL_STATE(2511)] = 46208,
  [SMALL_STATE(2512)] = 46268,
  [SMALL_STATE(2513)] = 46326,
  [SMALL_STATE(2514)] = 46386,
  [SMALL_STATE(2515)] = 46444,
  [SMALL_STATE(2516)] = 46502,
  [SMALL_STATE(2517)] = 46560,
  [SMALL_STATE(2518)] = 46618,
  [SMALL_STATE(2519)] = 46676,
  [SMALL_STATE(2520)] = 46744,
  [SMALL_STATE(2521)] = 46860,
  [SMALL_STATE(2522)] = 46948,
  [SMALL_STATE(2523)] = 47064,
  [SMALL_STATE(2524)] = 47132,
  [SMALL_STATE(2525)] = 47200,
  [SMALL_STATE(2526)] = 47258,
  [SMALL_STATE(2527)] = 47374,
  [SMALL_STATE(2528)] = 47432,
  [SMALL_STATE(2529)] = 47548,
  [SMALL_STATE(2530)] = 47608,
  [SMALL_STATE(2531)] = 47724,
  [SMALL_STATE(2532)] = 47782,
  [SMALL_STATE(2533)] = 47842,
  [SMALL_STATE(2534)] = 47962,
  [SMALL_STATE(2535)] = 48020,
  [SMALL_STATE(2536)] = 48078,
  [SMALL_STATE(2537)] = 48136,
  [SMALL_STATE(2538)] = 48194,
  [SMALL_STATE(2539)] = 48310,
  [SMALL_STATE(2540)] = 48430,
  [SMALL_STATE(2541)] = 48546,
  [SMALL_STATE(2542)] = 48604,
  [SMALL_STATE(2543)] = 48662,
  [SMALL_STATE(2544)] = 48748,
  [SMALL_STATE(2545)] = 48806,
  [SMALL_STATE(2546)] = 48864,
  [SMALL_STATE(2547)] = 48922,
  [SMALL_STATE(2548)] = 48980,
  [SMALL_STATE(2549)] = 49038,
  [SMALL_STATE(2550)] = 49096,
  [SMALL_STATE(2551)] = 49212,
  [SMALL_STATE(2552)] = 49270,
  [SMALL_STATE(2553)] = 49328,
  [SMALL_STATE(2554)] = 49390,
  [SMALL_STATE(2555)] = 49448,
  [SMALL_STATE(2556)] = 49512,
  [SMALL_STATE(2557)] = 49570,
  [SMALL_STATE(2558)] = 49628,
  [SMALL_STATE(2559)] = 49692,
  [SMALL_STATE(2560)] = 49750,
  [SMALL_STATE(2561)] = 49808,
  [SMALL_STATE(2562)] = 49924,
  [SMALL_STATE(2563)] = 50040,
  [SMALL_STATE(2564)] = 50130,
  [SMALL_STATE(2565)] = 50210,
  [SMALL_STATE(2566)] = 50330,
  [SMALL_STATE(2567)] = 50434,
  [SMALL_STATE(2568)] = 50554,
  [SMALL_STATE(2569)] = 50660,
  [SMALL_STATE(2570)] = 50746,
  [SMALL_STATE(2571)] = 50820,
  [SMALL_STATE(2572)] = 50918,
  [SMALL_STATE(2573)] = 51018,
  [SMALL_STATE(2574)] = 51138,
  [SMALL_STATE(2575)] = 51196,
  [SMALL_STATE(2576)] = 51254,
  [SMALL_STATE(2577)] = 51356,
  [SMALL_STATE(2578)] = 51440,
  [SMALL_STATE(2579)] = 51498,
  [SMALL_STATE(2580)] = 51560,
  [SMALL_STATE(2581)] = 51618,
  [SMALL_STATE(2582)] = 51712,
  [SMALL_STATE(2583)] = 51820,
  [SMALL_STATE(2584)] = 51936,
  [SMALL_STATE(2585)] = 51994,
  [SMALL_STATE(2586)] = 52110,
  [SMALL_STATE(2587)] = 52168,
  [SMALL_STATE(2588)] = 52226,
  [SMALL_STATE(2589)] = 52342,
  [SMALL_STATE(2590)] = 52400,
  [SMALL_STATE(2591)] = 52458,
  [SMALL_STATE(2592)] = 52516,
  [SMALL_STATE(2593)] = 52574,
  [SMALL_STATE(2594)] = 52632,
  [SMALL_STATE(2595)] = 52720,
  [SMALL_STATE(2596)] = 52778,
  [SMALL_STATE(2597)] = 52836,
  [SMALL_STATE(2598)] = 52914,
  [SMALL_STATE(2599)] = 52972,
  [SMALL_STATE(2600)] = 53088,
  [SMALL_STATE(2601)] = 53146,
  [SMALL_STATE(2602)] = 53204,
  [SMALL_STATE(2603)] = 53320,
  [SMALL_STATE(2604)] = 53378,
  [SMALL_STATE(2605)] = 53436,
  [SMALL_STATE(2606)] = 53554,
  [SMALL_STATE(2607)] = 53612,
  [SMALL_STATE(2608)] = 53688,
  [SMALL_STATE(2609)] = 53804,
  [SMALL_STATE(2610)] = 53920,
  [SMALL_STATE(2611)] = 53978,
  [SMALL_STATE(2612)] = 54036,
  [SMALL_STATE(2613)] = 54094,
  [SMALL_STATE(2614)] = 54152,
  [SMALL_STATE(2615)] = 54268,
  [SMALL_STATE(2616)] = 54354,
  [SMALL_STATE(2617)] = 54442,
  [SMALL_STATE(2618)] = 54500,
  [SMALL_STATE(2619)] = 54616,
  [SMALL_STATE(2620)] = 54678,
  [SMALL_STATE(2621)] = 54798,
  [SMALL_STATE(2622)] = 54914,
  [SMALL_STATE(2623)] = 55034,
  [SMALL_STATE(2624)] = 55154,
  [SMALL_STATE(2625)] = 55274,
  [SMALL_STATE(2626)] = 55358,
  [SMALL_STATE(2627)] = 55478,
  [SMALL_STATE(2628)] = 55536,
  [SMALL_STATE(2629)] = 55614,
  [SMALL_STATE(2630)] = 55734,
  [SMALL_STATE(2631)] = 55854,
  [SMALL_STATE(2632)] = 55912,
  [SMALL_STATE(2633)] = 55970,
  [SMALL_STATE(2634)] = 56034,
  [SMALL_STATE(2635)] = 56100,
  [SMALL_STATE(2636)] = 56186,
  [SMALL_STATE(2637)] = 56244,
  [SMALL_STATE(2638)] = 56364,
  [SMALL_STATE(2639)] = 56484,
  [SMALL_STATE(2640)] = 56542,
  [SMALL_STATE(2641)] = 56662,
  [SMALL_STATE(2642)] = 56720,
  [SMALL_STATE(2643)] = 56840,
  [SMALL_STATE(2644)] = 56928,
  [SMALL_STATE(2645)] = 57044,
  [SMALL_STATE(2646)] = 57164,
  [SMALL_STATE(2647)] = 57282,
  [SMALL_STATE(2648)] = 57340,
  [SMALL_STATE(2649)] = 57426,
  [SMALL_STATE(2650)] = 57510,
  [SMALL_STATE(2651)] = 57568,
  [SMALL_STATE(2652)] = 57684,
  [SMALL_STATE(2653)] = 57742,
  [SMALL_STATE(2654)] = 57858,
  [SMALL_STATE(2655)] = 57916,
  [SMALL_STATE(2656)] = 58032,
  [SMALL_STATE(2657)] = 58122,
  [SMALL_STATE(2658)] = 58180,
  [SMALL_STATE(2659)] = 58238,
  [SMALL_STATE(2660)] = 58296,
  [SMALL_STATE(2661)] = 58354,
  [SMALL_STATE(2662)] = 58470,
  [SMALL_STATE(2663)] = 58528,
  [SMALL_STATE(2664)] = 58644,
  [SMALL_STATE(2665)] = 58702,
  [SMALL_STATE(2666)] = 58760,
  [SMALL_STATE(2667)] = 58818,
  [SMALL_STATE(2668)] = 58898,
  [SMALL_STATE(2669)] = 58956,
  [SMALL_STATE(2670)] = 59014,
  [SMALL_STATE(2671)] = 59134,
  [SMALL_STATE(2672)] = 59254,
  [SMALL_STATE(2673)] = 59358,
  [SMALL_STATE(2674)] = 59464,
  [SMALL_STATE(2675)] = 59550,
  [SMALL_STATE(2676)] = 59648,
  [SMALL_STATE(2677)] = 59748,
  [SMALL_STATE(2678)] = 59850,
  [SMALL_STATE(2679)] = 59934,
  [SMALL_STATE(2680)] = 60020,
  [SMALL_STATE(2681)] = 60078,
  [SMALL_STATE(2682)] = 60164,
  [SMALL_STATE(2683)] = 60222,
  [SMALL_STATE(2684)] = 60280,
  [SMALL_STATE(2685)] = 60368,
  [SMALL_STATE(2686)] = 60462,
  [SMALL_STATE(2687)] = 60570,
  [SMALL_STATE(2688)] = 60629,
  [SMALL_STATE(2689)] = 60714,
  [SMALL_STATE(2690)] = 60829,
  [SMALL_STATE(2691)] = 60948,
  [SMALL_STATE(2692)] = 61067,
  [SMALL_STATE(2693)] = 61182,
  [SMALL_STATE(2694)] = 61297,
  [SMALL_STATE(2695)] = 61378,
  [SMALL_STATE(2696)] = 61477,
  [SMALL_STATE(2697)] = 61534,
  [SMALL_STATE(2698)] = 61639,
  [SMALL_STATE(2699)] = 61758,
  [SMALL_STATE(2700)] = 61861,
  [SMALL_STATE(2701)] = 61978,
  [SMALL_STATE(2702)] = 62097,
  [SMALL_STATE(2703)] = 62154,
  [SMALL_STATE(2704)] = 62233,
  [SMALL_STATE(2705)] = 62292,
  [SMALL_STATE(2706)] = 62381,
  [SMALL_STATE(2707)] = 62482,
  [SMALL_STATE(2708)] = 62549,
  [SMALL_STATE(2709)] = 62616,
  [SMALL_STATE(2710)] = 62735,
  [SMALL_STATE(2711)] = 62818,
  [SMALL_STATE(2712)] = 62903,
  [SMALL_STATE(2713)] = 62966,
  [SMALL_STATE(2714)] = 63059,
  [SMALL_STATE(2715)] = 63166,
  [SMALL_STATE(2716)] = 63285,
  [SMALL_STATE(2717)] = 63404,
  [SMALL_STATE(2718)] = 63469,
  [SMALL_STATE(2719)] = 63584,
  [SMALL_STATE(2720)] = 63699,
  [SMALL_STATE(2721)] = 63814,
  [SMALL_STATE(2722)] = 63933,
  [SMALL_STATE(2723)] = 64048,
  [SMALL_STATE(2724)] = 64163,
  [SMALL_STATE(2725)] = 64282,
  [SMALL_STATE(2726)] = 64363,
  [SMALL_STATE(2727)] = 64450,
  [SMALL_STATE(2728)] = 64569,
  [SMALL_STATE(2729)] = 64688,
  [SMALL_STATE(2730)] = 64805,
  [SMALL_STATE(2731)] = 64862,
  [SMALL_STATE(2732)] = 64921,
  [SMALL_STATE(2733)] = 65036,
  [SMALL_STATE(2734)] = 65099,
  [SMALL_STATE(2735)] = 65218,
  [SMALL_STATE(2736)] = 65337,
  [SMALL_STATE(2737)] = 65418,
  [SMALL_STATE(2738)] = 65479,
  [SMALL_STATE(2739)] = 65598,
  [SMALL_STATE(2740)] = 65683,
  [SMALL_STATE(2741)] = 65780,
  [SMALL_STATE(2742)] = 65837,
  [SMALL_STATE(2743)] = 65956,
  [SMALL_STATE(2744)] = 66075,
  [SMALL_STATE(2745)] = 66194,
  [SMALL_STATE(2746)] = 66313,
  [SMALL_STATE(2747)] = 66432,
  [SMALL_STATE(2748)] = 66495,
  [SMALL_STATE(2749)] = 66612,
  [SMALL_STATE(2750)] = 66729,
  [SMALL_STATE(2751)] = 66848,
  [SMALL_STATE(2752)] = 66905,
  [SMALL_STATE(2753)] = 67022,
  [SMALL_STATE(2754)] = 67141,
  [SMALL_STATE(2755)] = 67204,
  [SMALL_STATE(2756)] = 67319,
  [SMALL_STATE(2757)] = 67378,
  [SMALL_STATE(2758)] = 67497,
  [SMALL_STATE(2759)] = 67612,
  [SMALL_STATE(2760)] = 67673,
  [SMALL_STATE(2761)] = 67792,
  [SMALL_STATE(2762)] = 67853,
  [SMALL_STATE(2763)] = 67968,
  [SMALL_STATE(2764)] = 68087,
  [SMALL_STATE(2765)] = 68144,
  [SMALL_STATE(2766)] = 68263,
  [SMALL_STATE(2767)] = 68382,
  [SMALL_STATE(2768)] = 68447,
  [SMALL_STATE(2769)] = 68510,
  [SMALL_STATE(2770)] = 68625,
  [SMALL_STATE(2771)] = 68740,
  [SMALL_STATE(2772)] = 68805,
  [SMALL_STATE(2773)] = 68920,
  [SMALL_STATE(2774)] = 68981,
  [SMALL_STATE(2775)] = 69046,
  [SMALL_STATE(2776)] = 69111,
  [SMALL_STATE(2777)] = 69188,
  [SMALL_STATE(2778)] = 69271,
  [SMALL_STATE(2779)] = 69386,
  [SMALL_STATE(2780)] = 69461,
  [SMALL_STATE(2781)] = 69576,
  [SMALL_STATE(2782)] = 69661,
  [SMALL_STATE(2783)] = 69742,
  [SMALL_STATE(2784)] = 69857,
  [SMALL_STATE(2785)] = 69976,
  [SMALL_STATE(2786)] = 70041,
  [SMALL_STATE(2787)] = 70160,
  [SMALL_STATE(2788)] = 70241,
  [SMALL_STATE(2789)] = 70356,
  [SMALL_STATE(2790)] = 70471,
  [SMALL_STATE(2791)] = 70590,
  [SMALL_STATE(2792)] = 70709,
  [SMALL_STATE(2793)] = 70765,
  [SMALL_STATE(2794)] = 70821,
  [SMALL_STATE(2795)] = 70935,
  [SMALL_STATE(2796)] = 70991,
  [SMALL_STATE(2797)] = 71047,
  [SMALL_STATE(2798)] = 71103,
  [SMALL_STATE(2799)] = 71159,
  [SMALL_STATE(2800)] = 71217,
  [SMALL_STATE(2801)] = 71273,
  [SMALL_STATE(2802)] = 71333,
  [SMALL_STATE(2803)] = 71395,
  [SMALL_STATE(2804)] = 71451,
  [SMALL_STATE(2805)] = 71507,
  [SMALL_STATE(2806)] = 71563,
  [SMALL_STATE(2807)] = 71619,
  [SMALL_STATE(2808)] = 71675,
  [SMALL_STATE(2809)] = 71733,
  [SMALL_STATE(2810)] = 71807,
  [SMALL_STATE(2811)] = 71921,
  [SMALL_STATE(2812)] = 71979,
  [SMALL_STATE(2813)] = 72041,
  [SMALL_STATE(2814)] = 72097,
  [SMALL_STATE(2815)] = 72179,
  [SMALL_STATE(2816)] = 72255,
  [SMALL_STATE(2817)] = 72369,
  [SMALL_STATE(2818)] = 72483,
  [SMALL_STATE(2819)] = 72597,
  [SMALL_STATE(2820)] = 72711,
  [SMALL_STATE(2821)] = 72769,
  [SMALL_STATE(2822)] = 72883,
  [SMALL_STATE(2823)] = 72997,
  [SMALL_STATE(2824)] = 73085,
  [SMALL_STATE(2825)] = 73141,
  [SMALL_STATE(2826)] = 73203,
  [SMALL_STATE(2827)] = 73281,
  [SMALL_STATE(2828)] = 73383,
  [SMALL_STATE(2829)] = 73497,
  [SMALL_STATE(2830)] = 73601,
  [SMALL_STATE(2831)] = 73685,
  [SMALL_STATE(2832)] = 73747,
  [SMALL_STATE(2833)] = 73843,
  [SMALL_STATE(2834)] = 73901,
  [SMALL_STATE(2835)] = 73999,
  [SMALL_STATE(2836)] = 74099,
  [SMALL_STATE(2837)] = 74181,
  [SMALL_STATE(2838)] = 74239,
  [SMALL_STATE(2839)] = 74323,
  [SMALL_STATE(2840)] = 74387,
  [SMALL_STATE(2841)] = 74449,
  [SMALL_STATE(2842)] = 74541,
  [SMALL_STATE(2843)] = 74631,
  [SMALL_STATE(2844)] = 74747,
  [SMALL_STATE(2845)] = 74815,
  [SMALL_STATE(2846)] = 74921,
  [SMALL_STATE(2847)] = 75035,
  [SMALL_STATE(2848)] = 75103,
  [SMALL_STATE(2849)] = 75217,
  [SMALL_STATE(2850)] = 75279,
  [SMALL_STATE(2851)] = 75335,
  [SMALL_STATE(2852)] = 75449,
  [SMALL_STATE(2853)] = 75563,
  [SMALL_STATE(2854)] = 75677,
  [SMALL_STATE(2855)] = 75791,
  [SMALL_STATE(2856)] = 75905,
  [SMALL_STATE(2857)] = 76019,
  [SMALL_STATE(2858)] = 76133,
  [SMALL_STATE(2859)] = 76189,
  [SMALL_STATE(2860)] = 76245,
  [SMALL_STATE(2861)] = 76303,
  [SMALL_STATE(2862)] = 76359,
  [SMALL_STATE(2863)] = 76417,
  [SMALL_STATE(2864)] = 76473,
  [SMALL_STATE(2865)] = 76531,
  [SMALL_STATE(2866)] = 76621,
  [SMALL_STATE(2867)] = 76711,
  [SMALL_STATE(2868)] = 76773,
  [SMALL_STATE(2869)] = 76889,
  [SMALL_STATE(2870)] = 76945,
  [SMALL_STATE(2871)] = 77001,
  [SMALL_STATE(2872)] = 77083,
  [SMALL_STATE(2873)] = 77139,
  [SMALL_STATE(2874)] = 77207,
  [SMALL_STATE(2875)] = 77263,
  [SMALL_STATE(2876)] = 77319,
  [SMALL_STATE(2877)] = 77375,
  [SMALL_STATE(2878)] = 77431,
  [SMALL_STATE(2879)] = 77493,
  [SMALL_STATE(2880)] = 77557,
  [SMALL_STATE(2881)] = 77619,
  [SMALL_STATE(2882)] = 77681,
  [SMALL_STATE(2883)] = 77743,
  [SMALL_STATE(2884)] = 77801,
  [SMALL_STATE(2885)] = 77869,
  [SMALL_STATE(2886)] = 77925,
  [SMALL_STATE(2887)] = 78001,
  [SMALL_STATE(2888)] = 78057,
  [SMALL_STATE(2889)] = 78113,
  [SMALL_STATE(2890)] = 78195,
  [SMALL_STATE(2891)] = 78251,
  [SMALL_STATE(2892)] = 78365,
  [SMALL_STATE(2893)] = 78435,
  [SMALL_STATE(2894)] = 78491,
  [SMALL_STATE(2895)] = 78561,
  [SMALL_STATE(2896)] = 78675,
  [SMALL_STATE(2897)] = 78749,
  [SMALL_STATE(2898)] = 78805,
  [SMALL_STATE(2899)] = 78861,
  [SMALL_STATE(2900)] = 78919,
  [SMALL_STATE(2901)] = 79033,
  [SMALL_STATE(2902)] = 79089,
  [SMALL_STATE(2903)] = 79145,
  [SMALL_STATE(2904)] = 79201,
  [SMALL_STATE(2905)] = 79281,
  [SMALL_STATE(2906)] = 79397,
  [SMALL_STATE(2907)] = 79453,
  [SMALL_STATE(2908)] = 79509,
  [SMALL_STATE(2909)] = 79569,
  [SMALL_STATE(2910)] = 79625,
  [SMALL_STATE(2911)] = 79703,
  [SMALL_STATE(2912)] = 79785,
  [SMALL_STATE(2913)] = 79867,
  [SMALL_STATE(2914)] = 79923,
  [SMALL_STATE(2915)] = 79979,
  [SMALL_STATE(2916)] = 80037,
  [SMALL_STATE(2917)] = 80093,
  [SMALL_STATE(2918)] = 80149,
  [SMALL_STATE(2919)] = 80265,
  [SMALL_STATE(2920)] = 80321,
  [SMALL_STATE(2921)] = 80377,
  [SMALL_STATE(2922)] = 80439,
  [SMALL_STATE(2923)] = 80495,
  [SMALL_STATE(2924)] = 80609,
  [SMALL_STATE(2925)] = 80723,
  [SMALL_STATE(2926)] = 80837,
  [SMALL_STATE(2927)] = 80951,
  [SMALL_STATE(2928)] = 81007,
  [SMALL_STATE(2929)] = 81065,
  [SMALL_STATE(2930)] = 81179,
  [SMALL_STATE(2931)] = 81257,
  [SMALL_STATE(2932)] = 81317,
  [SMALL_STATE(2933)] = 81431,
  [SMALL_STATE(2934)] = 81545,
  [SMALL_STATE(2935)] = 81633,
  [SMALL_STATE(2936)] = 81695,
  [SMALL_STATE(2937)] = 81785,
  [SMALL_STATE(2938)] = 81863,
  [SMALL_STATE(2939)] = 81965,
  [SMALL_STATE(2940)] = 82069,
  [SMALL_STATE(2941)] = 82153,
  [SMALL_STATE(2942)] = 82209,
  [SMALL_STATE(2943)] = 82305,
  [SMALL_STATE(2944)] = 82367,
  [SMALL_STATE(2945)] = 82429,
  [SMALL_STATE(2946)] = 82491,
  [SMALL_STATE(2947)] = 82581,
  [SMALL_STATE(2948)] = 82679,
  [SMALL_STATE(2949)] = 82779,
  [SMALL_STATE(2950)] = 82861,
  [SMALL_STATE(2951)] = 82945,
  [SMALL_STATE(2952)] = 83037,
  [SMALL_STATE(2953)] = 83143,
  [SMALL_STATE(2954)] = 83257,
  [SMALL_STATE(2955)] = 83371,
  [SMALL_STATE(2956)] = 83427,
  [SMALL_STATE(2957)] = 83483,
  [SMALL_STATE(2958)] = 83597,
  [SMALL_STATE(2959)] = 83711,
  [SMALL_STATE(2960)] = 83825,
  [SMALL_STATE(2961)] = 83939,
  [SMALL_STATE(2962)] = 83997,
  [SMALL_STATE(2963)] = 84055,
  [SMALL_STATE(2964)] = 84137,
  [SMALL_STATE(2965)] = 84251,
  [SMALL_STATE(2966)] = 84307,
  [SMALL_STATE(2967)] = 84423,
  [SMALL_STATE(2968)] = 84479,
  [SMALL_STATE(2969)] = 84541,
  [SMALL_STATE(2970)] = 84619,
  [SMALL_STATE(2971)] = 84675,
  [SMALL_STATE(2972)] = 84731,
  [SMALL_STATE(2973)] = 84845,
  [SMALL_STATE(2974)] = 84923,
  [SMALL_STATE(2975)] = 85037,
  [SMALL_STATE(2976)] = 85151,
  [SMALL_STATE(2977)] = 85231,
  [SMALL_STATE(2978)] = 85321,
  [SMALL_STATE(2979)] = 85437,
  [SMALL_STATE(2980)] = 85493,
  [SMALL_STATE(2981)] = 85557,
  [SMALL_STATE(2982)] = 85613,
  [SMALL_STATE(2983)] = 85675,
  [SMALL_STATE(2984)] = 85731,
  [SMALL_STATE(2985)] = 85813,
  [SMALL_STATE(2986)] = 85891,
  [SMALL_STATE(2987)] = 85947,
  [SMALL_STATE(2988)] = 86015,
  [SMALL_STATE(2989)] = 86071,
  [SMALL_STATE(2990)] = 86129,
  [SMALL_STATE(2991)] = 86185,
  [SMALL_STATE(2992)] = 86241,
  [SMALL_STATE(2993)] = 86297,
  [SMALL_STATE(2994)] = 86353,
  [SMALL_STATE(2995)] = 86409,
  [SMALL_STATE(2996)] = 86465,
  [SMALL_STATE(2997)] = 86547,
  [SMALL_STATE(2998)] = 86615,
  [SMALL_STATE(2999)] = 86683,
  [SMALL_STATE(3000)] = 86763,
  [SMALL_STATE(3001)] = 86819,
  [SMALL_STATE(3002)] = 86875,
  [SMALL_STATE(3003)] = 86931,
  [SMALL_STATE(3004)] = 86987,
  [SMALL_STATE(3005)] = 87045,
  [SMALL_STATE(3006)] = 87101,
  [SMALL_STATE(3007)] = 87157,
  [SMALL_STATE(3008)] = 87213,
  [SMALL_STATE(3009)] = 87269,
  [SMALL_STATE(3010)] = 87325,
  [SMALL_STATE(3011)] = 87381,
  [SMALL_STATE(3012)] = 87437,
  [SMALL_STATE(3013)] = 87493,
  [SMALL_STATE(3014)] = 87549,
  [SMALL_STATE(3015)] = 87605,
  [SMALL_STATE(3016)] = 87695,
  [SMALL_STATE(3017)] = 87751,
  [SMALL_STATE(3018)] = 87819,
  [SMALL_STATE(3019)] = 87875,
  [SMALL_STATE(3020)] = 87931,
  [SMALL_STATE(3021)] = 87999,
  [SMALL_STATE(3022)] = 88055,
  [SMALL_STATE(3023)] = 88111,
  [SMALL_STATE(3024)] = 88173,
  [SMALL_STATE(3025)] = 88233,
  [SMALL_STATE(3026)] = 88315,
  [SMALL_STATE(3027)] = 88397,
  [SMALL_STATE(3028)] = 88459,
  [SMALL_STATE(3029)] = 88514,
  [SMALL_STATE(3030)] = 88573,
  [SMALL_STATE(3031)] = 88646,
  [SMALL_STATE(3032)] = 88729,
  [SMALL_STATE(3033)] = 88804,
  [SMALL_STATE(3034)] = 88859,
  [SMALL_STATE(3035)] = 88940,
  [SMALL_STATE(3036)] = 89053,
  [SMALL_STATE(3037)] = 89134,
  [SMALL_STATE(3038)] = 89209,
  [SMALL_STATE(3039)] = 89264,
  [SMALL_STATE(3040)] = 89339,
  [SMALL_STATE(3041)] = 89452,
  [SMALL_STATE(3042)] = 89527,
  [SMALL_STATE(3043)] = 89640,
  [SMALL_STATE(3044)] = 89713,
  [SMALL_STATE(3045)] = 89770,
  [SMALL_STATE(3046)] = 89845,
  [SMALL_STATE(3047)] = 89900,
  [SMALL_STATE(3048)] = 89981,
  [SMALL_STATE(3049)] = 90064,
  [SMALL_STATE(3050)] = 90125,
  [SMALL_STATE(3051)] = 90182,
  [SMALL_STATE(3052)] = 90237,
  [SMALL_STATE(3053)] = 90292,
  [SMALL_STATE(3054)] = 90365,
  [SMALL_STATE(3055)] = 90420,
  [SMALL_STATE(3056)] = 90477,
  [SMALL_STATE(3057)] = 90550,
  [SMALL_STATE(3058)] = 90609,
  [SMALL_STATE(3059)] = 90684,
  [SMALL_STATE(3060)] = 90743,
  [SMALL_STATE(3061)] = 90802,
  [SMALL_STATE(3062)] = 90869,
  [SMALL_STATE(3063)] = 90942,
  [SMALL_STATE(3064)] = 91025,
  [SMALL_STATE(3065)] = 91092,
  [SMALL_STATE(3066)] = 91155,
  [SMALL_STATE(3067)] = 91236,
  [SMALL_STATE(3068)] = 91291,
  [SMALL_STATE(3069)] = 91356,
  [SMALL_STATE(3070)] = 91429,
  [SMALL_STATE(3071)] = 91542,
  [SMALL_STATE(3072)] = 91623,
  [SMALL_STATE(3073)] = 91698,
  [SMALL_STATE(3074)] = 91753,
  [SMALL_STATE(3075)] = 91866,
  [SMALL_STATE(3076)] = 91979,
  [SMALL_STATE(3077)] = 92092,
  [SMALL_STATE(3078)] = 92153,
  [SMALL_STATE(3079)] = 92226,
  [SMALL_STATE(3080)] = 92339,
  [SMALL_STATE(3081)] = 92412,
  [SMALL_STATE(3082)] = 92473,
  [SMALL_STATE(3083)] = 92554,
  [SMALL_STATE(3084)] = 92637,
  [SMALL_STATE(3085)] = 92692,
  [SMALL_STATE(3086)] = 92747,
  [SMALL_STATE(3087)] = 92802,
  [SMALL_STATE(3088)] = 92915,
  [SMALL_STATE(3089)] = 93028,
  [SMALL_STATE(3090)] = 93141,
  [SMALL_STATE(3091)] = 93196,
  [SMALL_STATE(3092)] = 93271,
  [SMALL_STATE(3093)] = 93384,
  [SMALL_STATE(3094)] = 93497,
  [SMALL_STATE(3095)] = 93610,
  [SMALL_STATE(3096)] = 93669,
  [SMALL_STATE(3097)] = 93728,
  [SMALL_STATE(3098)] = 93833,
  [SMALL_STATE(3099)] = 93924,
  [SMALL_STATE(3100)] = 93983,
  [SMALL_STATE(3101)] = 94066,
  [SMALL_STATE(3102)] = 94139,
  [SMALL_STATE(3103)] = 94214,
  [SMALL_STATE(3104)] = 94287,
  [SMALL_STATE(3105)] = 94368,
  [SMALL_STATE(3106)] = 94467,
  [SMALL_STATE(3107)] = 94564,
  [SMALL_STATE(3108)] = 94659,
  [SMALL_STATE(3109)] = 94714,
  [SMALL_STATE(3110)] = 94773,
  [SMALL_STATE(3111)] = 94832,
  [SMALL_STATE(3112)] = 94915,
  [SMALL_STATE(3113)] = 94974,
  [SMALL_STATE(3114)] = 95077,
  [SMALL_STATE(3115)] = 95134,
  [SMALL_STATE(3116)] = 95235,
  [SMALL_STATE(3117)] = 95292,
  [SMALL_STATE(3118)] = 95353,
  [SMALL_STATE(3119)] = 95430,
  [SMALL_STATE(3120)] = 95517,
  [SMALL_STATE(3121)] = 95630,
  [SMALL_STATE(3122)] = 95689,
  [SMALL_STATE(3123)] = 95748,
  [SMALL_STATE(3124)] = 95805,
  [SMALL_STATE(3125)] = 95860,
  [SMALL_STATE(3126)] = 95973,
  [SMALL_STATE(3127)] = 96054,
  [SMALL_STATE(3128)] = 96137,
  [SMALL_STATE(3129)] = 96250,
  [SMALL_STATE(3130)] = 96305,
  [SMALL_STATE(3131)] = 96378,
  [SMALL_STATE(3132)] = 96491,
  [SMALL_STATE(3133)] = 96604,
  [SMALL_STATE(3134)] = 96659,
  [SMALL_STATE(3135)] = 96722,
  [SMALL_STATE(3136)] = 96777,
  [SMALL_STATE(3137)] = 96890,
  [SMALL_STATE(3138)] = 97003,
  [SMALL_STATE(3139)] = 97116,
  [SMALL_STATE(3140)] = 97173,
  [SMALL_STATE(3141)] = 97248,
  [SMALL_STATE(3142)] = 97331,
  [SMALL_STATE(3143)] = 97414,
  [SMALL_STATE(3144)] = 97495,
  [SMALL_STATE(3145)] = 97558,
  [SMALL_STATE(3146)] = 97639,
  [SMALL_STATE(3147)] = 97694,
  [SMALL_STATE(3148)] = 97753,
  [SMALL_STATE(3149)] = 97826,
  [SMALL_STATE(3150)] = 97889,
  [SMALL_STATE(3151)] = 98002,
  [SMALL_STATE(3152)] = 98065,
  [SMALL_STATE(3153)] = 98142,
  [SMALL_STATE(3154)] = 98201,
  [SMALL_STATE(3155)] = 98256,
  [SMALL_STATE(3156)] = 98315,
  [SMALL_STATE(3157)] = 98374,
  [SMALL_STATE(3158)] = 98487,
  [SMALL_STATE(3159)] = 98542,
  [SMALL_STATE(3160)] = 98617,
  [SMALL_STATE(3161)] = 98730,
  [SMALL_STATE(3162)] = 98803,
  [SMALL_STATE(3163)] = 98860,
  [SMALL_STATE(3164)] = 98915,
  [SMALL_STATE(3165)] = 99002,
  [SMALL_STATE(3166)] = 99079,
  [SMALL_STATE(3167)] = 99134,
  [SMALL_STATE(3168)] = 99209,
  [SMALL_STATE(3169)] = 99310,
  [SMALL_STATE(3170)] = 99365,
  [SMALL_STATE(3171)] = 99420,
  [SMALL_STATE(3172)] = 99477,
  [SMALL_STATE(3173)] = 99532,
  [SMALL_STATE(3174)] = 99587,
  [SMALL_STATE(3175)] = 99642,
  [SMALL_STATE(3176)] = 99745,
  [SMALL_STATE(3177)] = 99858,
  [SMALL_STATE(3178)] = 99941,
  [SMALL_STATE(3179)] = 99996,
  [SMALL_STATE(3180)] = 100091,
  [SMALL_STATE(3181)] = 100150,
  [SMALL_STATE(3182)] = 100205,
  [SMALL_STATE(3183)] = 100302,
  [SMALL_STATE(3184)] = 100401,
  [SMALL_STATE(3185)] = 100482,
  [SMALL_STATE(3186)] = 100565,
  [SMALL_STATE(3187)] = 100620,
  [SMALL_STATE(3188)] = 100675,
  [SMALL_STATE(3189)] = 100750,
  [SMALL_STATE(3190)] = 100805,
  [SMALL_STATE(3191)] = 100860,
  [SMALL_STATE(3192)] = 100915,
  [SMALL_STATE(3193)] = 100978,
  [SMALL_STATE(3194)] = 101045,
  [SMALL_STATE(3195)] = 101100,
  [SMALL_STATE(3196)] = 101155,
  [SMALL_STATE(3197)] = 101216,
  [SMALL_STATE(3198)] = 101279,
  [SMALL_STATE(3199)] = 101334,
  [SMALL_STATE(3200)] = 101399,
  [SMALL_STATE(3201)] = 101464,
  [SMALL_STATE(3202)] = 101527,
  [SMALL_STATE(3203)] = 101582,
  [SMALL_STATE(3204)] = 101697,
  [SMALL_STATE(3205)] = 101752,
  [SMALL_STATE(3206)] = 101807,
  [SMALL_STATE(3207)] = 101862,
  [SMALL_STATE(3208)] = 101921,
  [SMALL_STATE(3209)] = 102034,
  [SMALL_STATE(3210)] = 102091,
  [SMALL_STATE(3211)] = 102150,
  [SMALL_STATE(3212)] = 102209,
  [SMALL_STATE(3213)] = 102264,
  [SMALL_STATE(3214)] = 102377,
  [SMALL_STATE(3215)] = 102452,
  [SMALL_STATE(3216)] = 102525,
  [SMALL_STATE(3217)] = 102616,
  [SMALL_STATE(3218)] = 102673,
  [SMALL_STATE(3219)] = 102734,
  [SMALL_STATE(3220)] = 102839,
  [SMALL_STATE(3221)] = 102898,
  [SMALL_STATE(3222)] = 102961,
  [SMALL_STATE(3223)] = 103034,
  [SMALL_STATE(3224)] = 103101,
  [SMALL_STATE(3225)] = 103168,
  [SMALL_STATE(3226)] = 103281,
  [SMALL_STATE(3227)] = 103394,
  [SMALL_STATE(3228)] = 103451,
  [SMALL_STATE(3229)] = 103526,
  [SMALL_STATE(3230)] = 103585,
  [SMALL_STATE(3231)] = 103640,
  [SMALL_STATE(3232)] = 103753,
  [SMALL_STATE(3233)] = 103808,
  [SMALL_STATE(3234)] = 103921,
  [SMALL_STATE(3235)] = 103980,
  [SMALL_STATE(3236)] = 104093,
  [SMALL_STATE(3237)] = 104152,
  [SMALL_STATE(3238)] = 104225,
  [SMALL_STATE(3239)] = 104292,
  [SMALL_STATE(3240)] = 104405,
  [SMALL_STATE(3241)] = 104518,
  [SMALL_STATE(3242)] = 104585,
  [SMALL_STATE(3243)] = 104660,
  [SMALL_STATE(3244)] = 104719,
  [SMALL_STATE(3245)] = 104776,
  [SMALL_STATE(3246)] = 104849,
  [SMALL_STATE(3247)] = 104904,
  [SMALL_STATE(3248)] = 104967,
  [SMALL_STATE(3249)] = 105026,
  [SMALL_STATE(3250)] = 105093,
  [SMALL_STATE(3251)] = 105150,
  [SMALL_STATE(3252)] = 105225,
  [SMALL_STATE(3253)] = 105282,
  [SMALL_STATE(3254)] = 105337,
  [SMALL_STATE(3255)] = 105412,
  [SMALL_STATE(3256)] = 105525,
  [SMALL_STATE(3257)] = 105638,
  [SMALL_STATE(3258)] = 105711,
  [SMALL_STATE(3259)] = 105778,
  [SMALL_STATE(3260)] = 105833,
  [SMALL_STATE(3261)] = 105888,
  [SMALL_STATE(3262)] = 105947,
  [SMALL_STATE(3263)] = 106006,
  [SMALL_STATE(3264)] = 106061,
  [SMALL_STATE(3265)] = 106116,
  [SMALL_STATE(3266)] = 106171,
  [SMALL_STATE(3267)] = 106226,
  [SMALL_STATE(3268)] = 106281,
  [SMALL_STATE(3269)] = 106336,
  [SMALL_STATE(3270)] = 106403,
  [SMALL_STATE(3271)] = 106458,
  [SMALL_STATE(3272)] = 106525,
  [SMALL_STATE(3273)] = 106580,
  [SMALL_STATE(3274)] = 106635,
  [SMALL_STATE(3275)] = 106690,
  [SMALL_STATE(3276)] = 106745,
  [SMALL_STATE(3277)] = 106800,
  [SMALL_STATE(3278)] = 106913,
  [SMALL_STATE(3279)] = 106972,
  [SMALL_STATE(3280)] = 107085,
  [SMALL_STATE(3281)] = 107140,
  [SMALL_STATE(3282)] = 107213,
  [SMALL_STATE(3283)] = 107286,
  [SMALL_STATE(3284)] = 107341,
  [SMALL_STATE(3285)] = 107396,
  [SMALL_STATE(3286)] = 107451,
  [SMALL_STATE(3287)] = 107524,
  [SMALL_STATE(3288)] = 107579,
  [SMALL_STATE(3289)] = 107644,
  [SMALL_STATE(3290)] = 107703,
  [SMALL_STATE(3291)] = 107760,
  [SMALL_STATE(3292)] = 107833,
  [SMALL_STATE(3293)] = 107888,
  [SMALL_STATE(3294)] = 107943,
  [SMALL_STATE(3295)] = 108056,
  [SMALL_STATE(3296)] = 108114,
  [SMALL_STATE(3297)] = 108224,
  [SMALL_STATE(3298)] = 108334,
  [SMALL_STATE(3299)] = 108402,
  [SMALL_STATE(3300)] = 108476,
  [SMALL_STATE(3301)] = 108556,
  [SMALL_STATE(3302)] = 108624,
  [SMALL_STATE(3303)] = 108734,
  [SMALL_STATE(3304)] = 108802,
  [SMALL_STATE(3305)] = 108874,
  [SMALL_STATE(3306)] = 108936,
  [SMALL_STATE(3307)] = 109004,
  [SMALL_STATE(3308)] = 109072,
  [SMALL_STATE(3309)] = 109134,
  [SMALL_STATE(3310)] = 109196,
  [SMALL_STATE(3311)] = 109254,
  [SMALL_STATE(3312)] = 109330,
  [SMALL_STATE(3313)] = 109398,
  [SMALL_STATE(3314)] = 109474,
  [SMALL_STATE(3315)] = 109542,
  [SMALL_STATE(3316)] = 109610,
  [SMALL_STATE(3317)] = 109670,
  [SMALL_STATE(3318)] = 109732,
  [SMALL_STATE(3319)] = 109800,
  [SMALL_STATE(3320)] = 109860,
  [SMALL_STATE(3321)] = 109936,
  [SMALL_STATE(3322)] = 110004,
  [SMALL_STATE(3323)] = 110072,
  [SMALL_STATE(3324)] = 110134,
  [SMALL_STATE(3325)] = 110194,
  [SMALL_STATE(3326)] = 110262,
  [SMALL_STATE(3327)] = 110318,
  [SMALL_STATE(3328)] = 110374,
  [SMALL_STATE(3329)] = 110442,
  [SMALL_STATE(3330)] = 110518,
  [SMALL_STATE(3331)] = 110580,
  [SMALL_STATE(3332)] = 110668,
  [SMALL_STATE(3333)] = 110736,
  [SMALL_STATE(3334)] = 110804,
  [SMALL_STATE(3335)] = 110914,
  [SMALL_STATE(3336)] = 111024,
  [SMALL_STATE(3337)] = 111134,
  [SMALL_STATE(3338)] = 111244,
  [SMALL_STATE(3339)] = 111354,
  [SMALL_STATE(3340)] = 111436,
  [SMALL_STATE(3341)] = 111522,
  [SMALL_STATE(3342)] = 111598,
  [SMALL_STATE(3343)] = 111674,
  [SMALL_STATE(3344)] = 111784,
  [SMALL_STATE(3345)] = 111852,
  [SMALL_STATE(3346)] = 111962,
  [SMALL_STATE(3347)] = 112030,
  [SMALL_STATE(3348)] = 112106,
  [SMALL_STATE(3349)] = 112174,
  [SMALL_STATE(3350)] = 112250,
  [SMALL_STATE(3351)] = 112360,
  [SMALL_STATE(3352)] = 112428,
  [SMALL_STATE(3353)] = 112484,
  [SMALL_STATE(3354)] = 112594,
  [SMALL_STATE(3355)] = 112694,
  [SMALL_STATE(3356)] = 112796,
  [SMALL_STATE(3357)] = 112906,
  [SMALL_STATE(3358)] = 112974,
  [SMALL_STATE(3359)] = 113034,
  [SMALL_STATE(3360)] = 113102,
  [SMALL_STATE(3361)] = 113212,
  [SMALL_STATE(3362)] = 113294,
  [SMALL_STATE(3363)] = 113388,
  [SMALL_STATE(3364)] = 113484,
  [SMALL_STATE(3365)] = 113582,
  [SMALL_STATE(3366)] = 113662,
  [SMALL_STATE(3367)] = 113744,
  [SMALL_STATE(3368)] = 113812,
  [SMALL_STATE(3369)] = 113880,
  [SMALL_STATE(3370)] = 113970,
  [SMALL_STATE(3371)] = 114074,
  [SMALL_STATE(3372)] = 114184,
  [SMALL_STATE(3373)] = 114240,
  [SMALL_STATE(3374)] = 114350,
  [SMALL_STATE(3375)] = 114409,
  [SMALL_STATE(3376)] = 114478,
  [SMALL_STATE(3377)] = 114551,
  [SMALL_STATE(3378)] = 114606,
  [SMALL_STATE(3379)] = 114665,
  [SMALL_STATE(3380)] = 114720,
  [SMALL_STATE(3381)] = 114775,
  [SMALL_STATE(3382)] = 114830,
  [SMALL_STATE(3383)] = 114885,
  [SMALL_STATE(3384)] = 114940,
  [SMALL_STATE(3385)] = 114999,
  [SMALL_STATE(3386)] = 115058,
  [SMALL_STATE(3387)] = 115113,
  [SMALL_STATE(3388)] = 115168,
  [SMALL_STATE(3389)] = 115223,
  [SMALL_STATE(3390)] = 115296,
  [SMALL_STATE(3391)] = 115365,
  [SMALL_STATE(3392)] = 115424,
  [SMALL_STATE(3393)] = 115485,
  [SMALL_STATE(3394)] = 115544,
  [SMALL_STATE(3395)] = 115603,
  [SMALL_STATE(3396)] = 115662,
  [SMALL_STATE(3397)] = 115731,
  [SMALL_STATE(3398)] = 115790,
  [SMALL_STATE(3399)] = 115863,
  [SMALL_STATE(3400)] = 115938,
  [SMALL_STATE(3401)] = 116007,
  [SMALL_STATE(3402)] = 116100,
  [SMALL_STATE(3403)] = 116173,
  [SMALL_STATE(3404)] = 116228,
  [SMALL_STATE(3405)] = 116297,
  [SMALL_STATE(3406)] = 116370,
  [SMALL_STATE(3407)] = 116443,
  [SMALL_STATE(3408)] = 116498,
  [SMALL_STATE(3409)] = 116553,
  [SMALL_STATE(3410)] = 116612,
  [SMALL_STATE(3411)] = 116691,
  [SMALL_STATE(3412)] = 116746,
  [SMALL_STATE(3413)] = 116812,
  [SMALL_STATE(3414)] = 116878,
  [SMALL_STATE(3415)] = 116944,
  [SMALL_STATE(3416)] = 117016,
  [SMALL_STATE(3417)] = 117074,
  [SMALL_STATE(3418)] = 117132,
  [SMALL_STATE(3419)] = 117190,
  [SMALL_STATE(3420)] = 117256,
  [SMALL_STATE(3421)] = 117310,
  [SMALL_STATE(3422)] = 117364,
  [SMALL_STATE(3423)] = 117430,
  [SMALL_STATE(3424)] = 117492,
  [SMALL_STATE(3425)] = 117558,
  [SMALL_STATE(3426)] = 117624,
  [SMALL_STATE(3427)] = 117686,
  [SMALL_STATE(3428)] = 117748,
  [SMALL_STATE(3429)] = 117814,
  [SMALL_STATE(3430)] = 117868,
  [SMALL_STATE(3431)] = 117934,
  [SMALL_STATE(3432)] = 117996,
  [SMALL_STATE(3433)] = 118058,
  [SMALL_STATE(3434)] = 118116,
  [SMALL_STATE(3435)] = 118182,
  [SMALL_STATE(3436)] = 118244,
  [SMALL_STATE(3437)] = 118314,
  [SMALL_STATE(3438)] = 118372,
  [SMALL_STATE(3439)] = 118434,
  [SMALL_STATE(3440)] = 118500,
  [SMALL_STATE(3441)] = 118566,
  [SMALL_STATE(3442)] = 118632,
  [SMALL_STATE(3443)] = 118694,
  [SMALL_STATE(3444)] = 118756,
  [SMALL_STATE(3445)] = 118810,
  [SMALL_STATE(3446)] = 118872,
  [SMALL_STATE(3447)] = 118934,
  [SMALL_STATE(3448)] = 118996,
  [SMALL_STATE(3449)] = 119064,
  [SMALL_STATE(3450)] = 119130,
  [SMALL_STATE(3451)] = 119196,
  [SMALL_STATE(3452)] = 119262,
  [SMALL_STATE(3453)] = 119324,
  [SMALL_STATE(3454)] = 119386,
  [SMALL_STATE(3455)] = 119439,
  [SMALL_STATE(3456)] = 119492,
  [SMALL_STATE(3457)] = 119545,
  [SMALL_STATE(3458)] = 119610,
  [SMALL_STATE(3459)] = 119663,
  [SMALL_STATE(3460)] = 119716,
  [SMALL_STATE(3461)] = 119769,
  [SMALL_STATE(3462)] = 119822,
  [SMALL_STATE(3463)] = 119875,
  [SMALL_STATE(3464)] = 119928,
  [SMALL_STATE(3465)] = 119978,
  [SMALL_STATE(3466)] = 120028,
  [SMALL_STATE(3467)] = 120078,
  [SMALL_STATE(3468)] = 120128,
  [SMALL_STATE(3469)] = 120178,
  [SMALL_STATE(3470)] = 120230,
  [SMALL_STATE(3471)] = 120280,
  [SMALL_STATE(3472)] = 120330,
  [SMALL_STATE(3473)] = 120380,
  [SMALL_STATE(3474)] = 120430,
  [SMALL_STATE(3475)] = 120480,
  [SMALL_STATE(3476)] = 120530,
  [SMALL_STATE(3477)] = 120580,
  [SMALL_STATE(3478)] = 120630,
  [SMALL_STATE(3479)] = 120680,
  [SMALL_STATE(3480)] = 120730,
  [SMALL_STATE(3481)] = 120780,
  [SMALL_STATE(3482)] = 120830,
  [SMALL_STATE(3483)] = 120880,
  [SMALL_STATE(3484)] = 120954,
  [SMALL_STATE(3485)] = 121004,
  [SMALL_STATE(3486)] = 121054,
  [SMALL_STATE(3487)] = 121104,
  [SMALL_STATE(3488)] = 121154,
  [SMALL_STATE(3489)] = 121204,
  [SMALL_STATE(3490)] = 121254,
  [SMALL_STATE(3491)] = 121304,
  [SMALL_STATE(3492)] = 121358,
  [SMALL_STATE(3493)] = 121408,
  [SMALL_STATE(3494)] = 121458,
  [SMALL_STATE(3495)] = 121508,
  [SMALL_STATE(3496)] = 121558,
  [SMALL_STATE(3497)] = 121610,
  [SMALL_STATE(3498)] = 121660,
  [SMALL_STATE(3499)] = 121710,
  [SMALL_STATE(3500)] = 121760,
  [SMALL_STATE(3501)] = 121810,
  [SMALL_STATE(3502)] = 121860,
  [SMALL_STATE(3503)] = 121910,
  [SMALL_STATE(3504)] = 121960,
  [SMALL_STATE(3505)] = 122010,
  [SMALL_STATE(3506)] = 122064,
  [SMALL_STATE(3507)] = 122114,
  [SMALL_STATE(3508)] = 122164,
  [SMALL_STATE(3509)] = 122214,
  [SMALL_STATE(3510)] = 122264,
  [SMALL_STATE(3511)] = 122314,
  [SMALL_STATE(3512)] = 122364,
  [SMALL_STATE(3513)] = 122414,
  [SMALL_STATE(3514)] = 122464,
  [SMALL_STATE(3515)] = 122514,
  [SMALL_STATE(3516)] = 122564,
  [SMALL_STATE(3517)] = 122614,
  [SMALL_STATE(3518)] = 122664,
  [SMALL_STATE(3519)] = 122714,
  [SMALL_STATE(3520)] = 122761,
  [SMALL_STATE(3521)] = 122826,
  [SMALL_STATE(3522)] = 122893,
  [SMALL_STATE(3523)] = 122940,
  [SMALL_STATE(3524)] = 122987,
  [SMALL_STATE(3525)] = 123034,
  [SMALL_STATE(3526)] = 123097,
  [SMALL_STATE(3527)] = 123164,
  [SMALL_STATE(3528)] = 123211,
  [SMALL_STATE(3529)] = 123276,
  [SMALL_STATE(3530)] = 123341,
  [SMALL_STATE(3531)] = 123392,
  [SMALL_STATE(3532)] = 123443,
  [SMALL_STATE(3533)] = 123510,
  [SMALL_STATE(3534)] = 123575,
  [SMALL_STATE(3535)] = 123622,
  [SMALL_STATE(3536)] = 123669,
  [SMALL_STATE(3537)] = 123729,
  [SMALL_STATE(3538)] = 123789,
  [SMALL_STATE(3539)] = 123849,
  [SMALL_STATE(3540)] = 123909,
  [SMALL_STATE(3541)] = 123969,
  [SMALL_STATE(3542)] = 124045,
  [SMALL_STATE(3543)] = 124105,
  [SMALL_STATE(3544)] = 124165,
  [SMALL_STATE(3545)] = 124225,
  [SMALL_STATE(3546)] = 124285,
  [SMALL_STATE(3547)] = 124345,
  [SMALL_STATE(3548)] = 124421,
  [SMALL_STATE(3549)] = 124481,
  [SMALL_STATE(3550)] = 124541,
  [SMALL_STATE(3551)] = 124601,
  [SMALL_STATE(3552)] = 124661,
  [SMALL_STATE(3553)] = 124721,
  [SMALL_STATE(3554)] = 124781,
  [SMALL_STATE(3555)] = 124841,
  [SMALL_STATE(3556)] = 124901,
  [SMALL_STATE(3557)] = 124961,
  [SMALL_STATE(3558)] = 125021,
  [SMALL_STATE(3559)] = 125081,
  [SMALL_STATE(3560)] = 125141,
  [SMALL_STATE(3561)] = 125201,
  [SMALL_STATE(3562)] = 125261,
  [SMALL_STATE(3563)] = 125321,
  [SMALL_STATE(3564)] = 125373,
  [SMALL_STATE(3565)] = 125433,
  [SMALL_STATE(3566)] = 125493,
  [SMALL_STATE(3567)] = 125554,
  [SMALL_STATE(3568)] = 125639,
  [SMALL_STATE(3569)] = 125710,
  [SMALL_STATE(3570)] = 125795,
  [SMALL_STATE(3571)] = 125862,
  [SMALL_STATE(3572)] = 125923,
  [SMALL_STATE(3573)] = 126008,
  [SMALL_STATE(3574)] = 126069,
  [SMALL_STATE(3575)] = 126130,
  [SMALL_STATE(3576)] = 126191,
  [SMALL_STATE(3577)] = 126252,
  [SMALL_STATE(3578)] = 126313,
  [SMALL_STATE(3579)] = 126374,
  [SMALL_STATE(3580)] = 126435,
  [SMALL_STATE(3581)] = 126496,
  [SMALL_STATE(3582)] = 126557,
  [SMALL_STATE(3583)] = 126642,
  [SMALL_STATE(3584)] = 126727,
  [SMALL_STATE(3585)] = 126788,
  [SMALL_STATE(3586)] = 126849,
  [SMALL_STATE(3587)] = 126910,
  [SMALL_STATE(3588)] = 126977,
  [SMALL_STATE(3589)] = 127038,
  [SMALL_STATE(3590)] = 127099,
  [SMALL_STATE(3591)] = 127160,
  [SMALL_STATE(3592)] = 127227,
  [SMALL_STATE(3593)] = 127288,
  [SMALL_STATE(3594)] = 127373,
  [SMALL_STATE(3595)] = 127434,
  [SMALL_STATE(3596)] = 127495,
  [SMALL_STATE(3597)] = 127566,
  [SMALL_STATE(3598)] = 127651,
  [SMALL_STATE(3599)] = 127712,
  [SMALL_STATE(3600)] = 127783,
  [SMALL_STATE(3601)] = 127844,
  [SMALL_STATE(3602)] = 127905,
  [SMALL_STATE(3603)] = 127990,
  [SMALL_STATE(3604)] = 128051,
  [SMALL_STATE(3605)] = 128112,
  [SMALL_STATE(3606)] = 128173,
  [SMALL_STATE(3607)] = 128258,
  [SMALL_STATE(3608)] = 128319,
  [SMALL_STATE(3609)] = 128386,
  [SMALL_STATE(3610)] = 128471,
  [SMALL_STATE(3611)] = 128516,
  [SMALL_STATE(3612)] = 128577,
  [SMALL_STATE(3613)] = 128638,
  [SMALL_STATE(3614)] = 128699,
  [SMALL_STATE(3615)] = 128748,
  [SMALL_STATE(3616)] = 128833,
  [SMALL_STATE(3617)] = 128918,
  [SMALL_STATE(3618)] = 128982,
  [SMALL_STATE(3619)] = 129046,
  [SMALL_STATE(3620)] = 129110,
  [SMALL_STATE(3621)] = 129174,
  [SMALL_STATE(3622)] = 129238,
  [SMALL_STATE(3623)] = 129302,
  [SMALL_STATE(3624)] = 129366,
  [SMALL_STATE(3625)] = 129430,
  [SMALL_STATE(3626)] = 129494,
  [SMALL_STATE(3627)] = 129558,
  [SMALL_STATE(3628)] = 129604,
  [SMALL_STATE(3629)] = 129668,
  [SMALL_STATE(3630)] = 129728,
  [SMALL_STATE(3631)] = 129792,
  [SMALL_STATE(3632)] = 129856,
  [SMALL_STATE(3633)] = 129914,
  [SMALL_STATE(3634)] = 129974,
  [SMALL_STATE(3635)] = 130038,
  [SMALL_STATE(3636)] = 130102,
  [SMALL_STATE(3637)] = 130166,
  [SMALL_STATE(3638)] = 130221,
  [SMALL_STATE(3639)] = 130276,
  [SMALL_STATE(3640)] = 130331,
  [SMALL_STATE(3641)] = 130386,
  [SMALL_STATE(3642)] = 130441,
  [SMALL_STATE(3643)] = 130498,
  [SMALL_STATE(3644)] = 130553,
  [SMALL_STATE(3645)] = 130608,
  [SMALL_STATE(3646)] = 130651,
  [SMALL_STATE(3647)] = 130706,
  [SMALL_STATE(3648)] = 130763,
  [SMALL_STATE(3649)] = 130820,
  [SMALL_STATE(3650)] = 130875,
  [SMALL_STATE(3651)] = 130932,
  [SMALL_STATE(3652)] = 130987,
  [SMALL_STATE(3653)] = 131042,
  [SMALL_STATE(3654)] = 131097,
  [SMALL_STATE(3655)] = 131152,
  [SMALL_STATE(3656)] = 131195,
  [SMALL_STATE(3657)] = 131250,
  [SMALL_STATE(3658)] = 131305,
  [SMALL_STATE(3659)] = 131360,
  [SMALL_STATE(3660)] = 131415,
  [SMALL_STATE(3661)] = 131470,
  [SMALL_STATE(3662)] = 131527,
  [SMALL_STATE(3663)] = 131582,
  [SMALL_STATE(3664)] = 131639,
  [SMALL_STATE(3665)] = 131694,
  [SMALL_STATE(3666)] = 131749,
  [SMALL_STATE(3667)] = 131804,
  [SMALL_STATE(3668)] = 131859,
  [SMALL_STATE(3669)] = 131916,
  [SMALL_STATE(3670)] = 131971,
  [SMALL_STATE(3671)] = 132014,
  [SMALL_STATE(3672)] = 132069,
  [SMALL_STATE(3673)] = 132124,
  [SMALL_STATE(3674)] = 132181,
  [SMALL_STATE(3675)] = 132224,
  [SMALL_STATE(3676)] = 132281,
  [SMALL_STATE(3677)] = 132338,
  [SMALL_STATE(3678)] = 132393,
  [SMALL_STATE(3679)] = 132448,
  [SMALL_STATE(3680)] = 132503,
  [SMALL_STATE(3681)] = 132560,
  [SMALL_STATE(3682)] = 132615,
  [SMALL_STATE(3683)] = 132670,
  [SMALL_STATE(3684)] = 132713,
  [SMALL_STATE(3685)] = 132768,
  [SMALL_STATE(3686)] = 132823,
  [SMALL_STATE(3687)] = 132878,
  [SMALL_STATE(3688)] = 132933,
  [SMALL_STATE(3689)] = 132990,
  [SMALL_STATE(3690)] = 133045,
  [SMALL_STATE(3691)] = 133100,
  [SMALL_STATE(3692)] = 133155,
  [SMALL_STATE(3693)] = 133210,
  [SMALL_STATE(3694)] = 133267,
  [SMALL_STATE(3695)] = 133322,
  [SMALL_STATE(3696)] = 133379,
  [SMALL_STATE(3697)] = 133422,
  [SMALL_STATE(3698)] = 133477,
  [SMALL_STATE(3699)] = 133517,
  [SMALL_STATE(3700)] = 133564,
  [SMALL_STATE(3701)] = 133599,
  [SMALL_STATE(3702)] = 133634,
  [SMALL_STATE(3703)] = 133669,
  [SMALL_STATE(3704)] = 133716,
  [SMALL_STATE(3705)] = 133763,
  [SMALL_STATE(3706)] = 133797,
  [SMALL_STATE(3707)] = 133831,
  [SMALL_STATE(3708)] = 133864,
  [SMALL_STATE(3709)] = 133897,
  [SMALL_STATE(3710)] = 133930,
  [SMALL_STATE(3711)] = 133963,
  [SMALL_STATE(3712)] = 133996,
  [SMALL_STATE(3713)] = 134029,
  [SMALL_STATE(3714)] = 134062,
  [SMALL_STATE(3715)] = 134095,
  [SMALL_STATE(3716)] = 134128,
  [SMALL_STATE(3717)] = 134161,
  [SMALL_STATE(3718)] = 134194,
  [SMALL_STATE(3719)] = 134227,
  [SMALL_STATE(3720)] = 134268,
  [SMALL_STATE(3721)] = 134301,
  [SMALL_STATE(3722)] = 134334,
  [SMALL_STATE(3723)] = 134367,
  [SMALL_STATE(3724)] = 134400,
  [SMALL_STATE(3725)] = 134433,
  [SMALL_STATE(3726)] = 134466,
  [SMALL_STATE(3727)] = 134499,
  [SMALL_STATE(3728)] = 134532,
  [SMALL_STATE(3729)] = 134565,
  [SMALL_STATE(3730)] = 134598,
  [SMALL_STATE(3731)] = 134631,
  [SMALL_STATE(3732)] = 134664,
  [SMALL_STATE(3733)] = 134697,
  [SMALL_STATE(3734)] = 134730,
  [SMALL_STATE(3735)] = 134763,
  [SMALL_STATE(3736)] = 134796,
  [SMALL_STATE(3737)] = 134829,
  [SMALL_STATE(3738)] = 134862,
  [SMALL_STATE(3739)] = 134895,
  [SMALL_STATE(3740)] = 134928,
  [SMALL_STATE(3741)] = 134961,
  [SMALL_STATE(3742)] = 134994,
  [SMALL_STATE(3743)] = 135048,
  [SMALL_STATE(3744)] = 135102,
  [SMALL_STATE(3745)] = 135156,
  [SMALL_STATE(3746)] = 135194,
  [SMALL_STATE(3747)] = 135254,
  [SMALL_STATE(3748)] = 135308,
  [SMALL_STATE(3749)] = 135362,
  [SMALL_STATE(3750)] = 135422,
  [SMALL_STATE(3751)] = 135453,
  [SMALL_STATE(3752)] = 135496,
  [SMALL_STATE(3753)] = 135527,
  [SMALL_STATE(3754)] = 135558,
  [SMALL_STATE(3755)] = 135589,
  [SMALL_STATE(3756)] = 135622,
  [SMALL_STATE(3757)] = 135653,
  [SMALL_STATE(3758)] = 135684,
  [SMALL_STATE(3759)] = 135717,
  [SMALL_STATE(3760)] = 135752,
  [SMALL_STATE(3761)] = 135783,
  [SMALL_STATE(3762)] = 135814,
  [SMALL_STATE(3763)] = 135845,
  [SMALL_STATE(3764)] = 135876,
  [SMALL_STATE(3765)] = 135911,
  [SMALL_STATE(3766)] = 135942,
  [SMALL_STATE(3767)] = 135973,
  [SMALL_STATE(3768)] = 136004,
  [SMALL_STATE(3769)] = 136035,
  [SMALL_STATE(3770)] = 136066,
  [SMALL_STATE(3771)] = 136109,
  [SMALL_STATE(3772)] = 136140,
  [SMALL_STATE(3773)] = 136183,
  [SMALL_STATE(3774)] = 136214,
  [SMALL_STATE(3775)] = 136245,
  [SMALL_STATE(3776)] = 136276,
  [SMALL_STATE(3777)] = 136306,
  [SMALL_STATE(3778)] = 136338,
  [SMALL_STATE(3779)] = 136370,
  [SMALL_STATE(3780)] = 136400,
  [SMALL_STATE(3781)] = 136430,
  [SMALL_STATE(3782)] = 136460,
  [SMALL_STATE(3783)] = 136492,
  [SMALL_STATE(3784)] = 136521,
  [SMALL_STATE(3785)] = 136550,
  [SMALL_STATE(3786)] = 136589,
  [SMALL_STATE(3787)] = 136628,
  [SMALL_STATE(3788)] = 136657,
  [SMALL_STATE(3789)] = 136696,
  [SMALL_STATE(3790)] = 136735,
  [SMALL_STATE(3791)] = 136774,
  [SMALL_STATE(3792)] = 136801,
  [SMALL_STATE(3793)] = 136828,
  [SMALL_STATE(3794)] = 136867,
  [SMALL_STATE(3795)] = 136902,
  [SMALL_STATE(3796)] = 136937,
  [SMALL_STATE(3797)] = 136976,
  [SMALL_STATE(3798)] = 137015,
  [SMALL_STATE(3799)] = 137044,
  [SMALL_STATE(3800)] = 137073,
  [SMALL_STATE(3801)] = 137102,
  [SMALL_STATE(3802)] = 137131,
  [SMALL_STATE(3803)] = 137160,
  [SMALL_STATE(3804)] = 137189,
  [SMALL_STATE(3805)] = 137218,
  [SMALL_STATE(3806)] = 137247,
  [SMALL_STATE(3807)] = 137276,
  [SMALL_STATE(3808)] = 137305,
  [SMALL_STATE(3809)] = 137334,
  [SMALL_STATE(3810)] = 137363,
  [SMALL_STATE(3811)] = 137392,
  [SMALL_STATE(3812)] = 137421,
  [SMALL_STATE(3813)] = 137460,
  [SMALL_STATE(3814)] = 137497,
  [SMALL_STATE(3815)] = 137526,
  [SMALL_STATE(3816)] = 137553,
  [SMALL_STATE(3817)] = 137582,
  [SMALL_STATE(3818)] = 137609,
  [SMALL_STATE(3819)] = 137638,
  [SMALL_STATE(3820)] = 137665,
  [SMALL_STATE(3821)] = 137694,
  [SMALL_STATE(3822)] = 137723,
  [SMALL_STATE(3823)] = 137758,
  [SMALL_STATE(3824)] = 137795,
  [SMALL_STATE(3825)] = 137830,
  [SMALL_STATE(3826)] = 137861,
  [SMALL_STATE(3827)] = 137890,
  [SMALL_STATE(3828)] = 137927,
  [SMALL_STATE(3829)] = 137954,
  [SMALL_STATE(3830)] = 137983,
  [SMALL_STATE(3831)] = 138010,
  [SMALL_STATE(3832)] = 138039,
  [SMALL_STATE(3833)] = 138068,
  [SMALL_STATE(3834)] = 138099,
  [SMALL_STATE(3835)] = 138128,
  [SMALL_STATE(3836)] = 138157,
  [SMALL_STATE(3837)] = 138186,
  [SMALL_STATE(3838)] = 138215,
  [SMALL_STATE(3839)] = 138244,
  [SMALL_STATE(3840)] = 138273,
  [SMALL_STATE(3841)] = 138302,
  [SMALL_STATE(3842)] = 138331,
  [SMALL_STATE(3843)] = 138360,
  [SMALL_STATE(3844)] = 138389,
  [SMALL_STATE(3845)] = 138420,
  [SMALL_STATE(3846)] = 138455,
  [SMALL_STATE(3847)] = 138488,
  [SMALL_STATE(3848)] = 138523,
  [SMALL_STATE(3849)] = 138560,
  [SMALL_STATE(3850)] = 138589,
  [SMALL_STATE(3851)] = 138628,
  [SMALL_STATE(3852)] = 138657,
  [SMALL_STATE(3853)] = 138686,
  [SMALL_STATE(3854)] = 138715,
  [SMALL_STATE(3855)] = 138746,
  [SMALL_STATE(3856)] = 138785,
  [SMALL_STATE(3857)] = 138814,
  [SMALL_STATE(3858)] = 138843,
  [SMALL_STATE(3859)] = 138882,
  [SMALL_STATE(3860)] = 138911,
  [SMALL_STATE(3861)] = 138940,
  [SMALL_STATE(3862)] = 138969,
  [SMALL_STATE(3863)] = 138998,
  [SMALL_STATE(3864)] = 139027,
  [SMALL_STATE(3865)] = 139056,
  [SMALL_STATE(3866)] = 139085,
  [SMALL_STATE(3867)] = 139114,
  [SMALL_STATE(3868)] = 139141,
  [SMALL_STATE(3869)] = 139178,
  [SMALL_STATE(3870)] = 139207,
  [SMALL_STATE(3871)] = 139236,
  [SMALL_STATE(3872)] = 139265,
  [SMALL_STATE(3873)] = 139294,
  [SMALL_STATE(3874)] = 139333,
  [SMALL_STATE(3875)] = 139362,
  [SMALL_STATE(3876)] = 139391,
  [SMALL_STATE(3877)] = 139430,
  [SMALL_STATE(3878)] = 139459,
  [SMALL_STATE(3879)] = 139498,
  [SMALL_STATE(3880)] = 139529,
  [SMALL_STATE(3881)] = 139568,
  [SMALL_STATE(3882)] = 139597,
  [SMALL_STATE(3883)] = 139636,
  [SMALL_STATE(3884)] = 139665,
  [SMALL_STATE(3885)] = 139694,
  [SMALL_STATE(3886)] = 139733,
  [SMALL_STATE(3887)] = 139762,
  [SMALL_STATE(3888)] = 139789,
  [SMALL_STATE(3889)] = 139818,
  [SMALL_STATE(3890)] = 139847,
  [SMALL_STATE(3891)] = 139884,
  [SMALL_STATE(3892)] = 139913,
  [SMALL_STATE(3893)] = 139948,
  [SMALL_STATE(3894)] = 139977,
  [SMALL_STATE(3895)] = 140025,
  [SMALL_STATE(3896)] = 140073,
  [SMALL_STATE(3897)] = 140109,
  [SMALL_STATE(3898)] = 140157,
  [SMALL_STATE(3899)] = 140205,
  [SMALL_STATE(3900)] = 140239,
  [SMALL_STATE(3901)] = 140287,
  [SMALL_STATE(3902)] = 140331,
  [SMALL_STATE(3903)] = 140379,
  [SMALL_STATE(3904)] = 140427,
  [SMALL_STATE(3905)] = 140475,
  [SMALL_STATE(3906)] = 140523,
  [SMALL_STATE(3907)] = 140571,
  [SMALL_STATE(3908)] = 140619,
  [SMALL_STATE(3909)] = 140663,
  [SMALL_STATE(3910)] = 140711,
  [SMALL_STATE(3911)] = 140759,
  [SMALL_STATE(3912)] = 140807,
  [SMALL_STATE(3913)] = 140841,
  [SMALL_STATE(3914)] = 140875,
  [SMALL_STATE(3915)] = 140923,
  [SMALL_STATE(3916)] = 140967,
  [SMALL_STATE(3917)] = 141015,
  [SMALL_STATE(3918)] = 141063,
  [SMALL_STATE(3919)] = 141111,
  [SMALL_STATE(3920)] = 141159,
  [SMALL_STATE(3921)] = 141207,
  [SMALL_STATE(3922)] = 141251,
  [SMALL_STATE(3923)] = 141299,
  [SMALL_STATE(3924)] = 141343,
  [SMALL_STATE(3925)] = 141375,
  [SMALL_STATE(3926)] = 141423,
  [SMALL_STATE(3927)] = 141457,
  [SMALL_STATE(3928)] = 141505,
  [SMALL_STATE(3929)] = 141539,
  [SMALL_STATE(3930)] = 141587,
  [SMALL_STATE(3931)] = 141635,
  [SMALL_STATE(3932)] = 141683,
  [SMALL_STATE(3933)] = 141731,
  [SMALL_STATE(3934)] = 141779,
  [SMALL_STATE(3935)] = 141813,
  [SMALL_STATE(3936)] = 141838,
  [SMALL_STATE(3937)] = 141863,
  [SMALL_STATE(3938)] = 141904,
  [SMALL_STATE(3939)] = 141929,
  [SMALL_STATE(3940)] = 141954,
  [SMALL_STATE(3941)] = 141995,
  [SMALL_STATE(3942)] = 142036,
  [SMALL_STATE(3943)] = 142077,
  [SMALL_STATE(3944)] = 142104,
  [SMALL_STATE(3945)] = 142129,
  [SMALL_STATE(3946)] = 142170,
  [SMALL_STATE(3947)] = 142195,
  [SMALL_STATE(3948)] = 142236,
  [SMALL_STATE(3949)] = 142261,
  [SMALL_STATE(3950)] = 142286,
  [SMALL_STATE(3951)] = 142311,
  [SMALL_STATE(3952)] = 142336,
  [SMALL_STATE(3953)] = 142367,
  [SMALL_STATE(3954)] = 142392,
  [SMALL_STATE(3955)] = 142417,
  [SMALL_STATE(3956)] = 142458,
  [SMALL_STATE(3957)] = 142503,
  [SMALL_STATE(3958)] = 142536,
  [SMALL_STATE(3959)] = 142577,
  [SMALL_STATE(3960)] = 142602,
  [SMALL_STATE(3961)] = 142627,
  [SMALL_STATE(3962)] = 142652,
  [SMALL_STATE(3963)] = 142693,
  [SMALL_STATE(3964)] = 142726,
  [SMALL_STATE(3965)] = 142751,
  [SMALL_STATE(3966)] = 142778,
  [SMALL_STATE(3967)] = 142805,
  [SMALL_STATE(3968)] = 142846,
  [SMALL_STATE(3969)] = 142873,
  [SMALL_STATE(3970)] = 142900,
  [SMALL_STATE(3971)] = 142925,
  [SMALL_STATE(3972)] = 142950,
  [SMALL_STATE(3973)] = 142975,
  [SMALL_STATE(3974)] = 143000,
  [SMALL_STATE(3975)] = 143025,
  [SMALL_STATE(3976)] = 143052,
  [SMALL_STATE(3977)] = 143079,
  [SMALL_STATE(3978)] = 143106,
  [SMALL_STATE(3979)] = 143133,
  [SMALL_STATE(3980)] = 143162,
  [SMALL_STATE(3981)] = 143191,
  [SMALL_STATE(3982)] = 143218,
  [SMALL_STATE(3983)] = 143245,
  [SMALL_STATE(3984)] = 143270,
  [SMALL_STATE(3985)] = 143295,
  [SMALL_STATE(3986)] = 143320,
  [SMALL_STATE(3987)] = 143345,
  [SMALL_STATE(3988)] = 143372,
  [SMALL_STATE(3989)] = 143397,
  [SMALL_STATE(3990)] = 143428,
  [SMALL_STATE(3991)] = 143473,
  [SMALL_STATE(3992)] = 143500,
  [SMALL_STATE(3993)] = 143525,
  [SMALL_STATE(3994)] = 143552,
  [SMALL_STATE(3995)] = 143577,
  [SMALL_STATE(3996)] = 143604,
  [SMALL_STATE(3997)] = 143631,
  [SMALL_STATE(3998)] = 143658,
  [SMALL_STATE(3999)] = 143683,
  [SMALL_STATE(4000)] = 143708,
  [SMALL_STATE(4001)] = 143733,
  [SMALL_STATE(4002)] = 143758,
  [SMALL_STATE(4003)] = 143783,
  [SMALL_STATE(4004)] = 143808,
  [SMALL_STATE(4005)] = 143846,
  [SMALL_STATE(4006)] = 143888,
  [SMALL_STATE(4007)] = 143930,
  [SMALL_STATE(4008)] = 143968,
  [SMALL_STATE(4009)] = 144002,
  [SMALL_STATE(4010)] = 144040,
  [SMALL_STATE(4011)] = 144068,
  [SMALL_STATE(4012)] = 144110,
  [SMALL_STATE(4013)] = 144152,
  [SMALL_STATE(4014)] = 144194,
  [SMALL_STATE(4015)] = 144238,
  [SMALL_STATE(4016)] = 144280,
  [SMALL_STATE(4017)] = 144322,
  [SMALL_STATE(4018)] = 144352,
  [SMALL_STATE(4019)] = 144394,
  [SMALL_STATE(4020)] = 144436,
  [SMALL_STATE(4021)] = 144478,
  [SMALL_STATE(4022)] = 144516,
  [SMALL_STATE(4023)] = 144558,
  [SMALL_STATE(4024)] = 144602,
  [SMALL_STATE(4025)] = 144640,
  [SMALL_STATE(4026)] = 144676,
  [SMALL_STATE(4027)] = 144718,
  [SMALL_STATE(4028)] = 144756,
  [SMALL_STATE(4029)] = 144798,
  [SMALL_STATE(4030)] = 144840,
  [SMALL_STATE(4031)] = 144878,
  [SMALL_STATE(4032)] = 144904,
  [SMALL_STATE(4033)] = 144930,
  [SMALL_STATE(4034)] = 144972,
  [SMALL_STATE(4035)] = 145014,
  [SMALL_STATE(4036)] = 145048,
  [SMALL_STATE(4037)] = 145092,
  [SMALL_STATE(4038)] = 145130,
  [SMALL_STATE(4039)] = 145172,
  [SMALL_STATE(4040)] = 145210,
  [SMALL_STATE(4041)] = 145248,
  [SMALL_STATE(4042)] = 145290,
  [SMALL_STATE(4043)] = 145318,
  [SMALL_STATE(4044)] = 145346,
  [SMALL_STATE(4045)] = 145390,
  [SMALL_STATE(4046)] = 145428,
  [SMALL_STATE(4047)] = 145466,
  [SMALL_STATE(4048)] = 145508,
  [SMALL_STATE(4049)] = 145550,
  [SMALL_STATE(4050)] = 145592,
  [SMALL_STATE(4051)] = 145634,
  [SMALL_STATE(4052)] = 145670,
  [SMALL_STATE(4053)] = 145712,
  [SMALL_STATE(4054)] = 145756,
  [SMALL_STATE(4055)] = 145794,
  [SMALL_STATE(4056)] = 145832,
  [SMALL_STATE(4057)] = 145870,
  [SMALL_STATE(4058)] = 145908,
  [SMALL_STATE(4059)] = 145950,
  [SMALL_STATE(4060)] = 145988,
  [SMALL_STATE(4061)] = 146022,
  [SMALL_STATE(4062)] = 146064,
  [SMALL_STATE(4063)] = 146098,
  [SMALL_STATE(4064)] = 146132,
  [SMALL_STATE(4065)] = 146174,
  [SMALL_STATE(4066)] = 146210,
  [SMALL_STATE(4067)] = 146252,
  [SMALL_STATE(4068)] = 146279,
  [SMALL_STATE(4069)] = 146304,
  [SMALL_STATE(4070)] = 146329,
  [SMALL_STATE(4071)] = 146354,
  [SMALL_STATE(4072)] = 146379,
  [SMALL_STATE(4073)] = 146408,
  [SMALL_STATE(4074)] = 146431,
  [SMALL_STATE(4075)] = 146454,
  [SMALL_STATE(4076)] = 146479,
  [SMALL_STATE(4077)] = 146508,
  [SMALL_STATE(4078)] = 146533,
  [SMALL_STATE(4079)] = 146558,
  [SMALL_STATE(4080)] = 146583,
  [SMALL_STATE(4081)] = 146608,
  [SMALL_STATE(4082)] = 146631,
  [SMALL_STATE(4083)] = 146656,
  [SMALL_STATE(4084)] = 146679,
  [SMALL_STATE(4085)] = 146706,
  [SMALL_STATE(4086)] = 146731,
  [SMALL_STATE(4087)] = 146764,
  [SMALL_STATE(4088)] = 146807,
  [SMALL_STATE(4089)] = 146832,
  [SMALL_STATE(4090)] = 146857,
  [SMALL_STATE(4091)] = 146882,
  [SMALL_STATE(4092)] = 146909,
  [SMALL_STATE(4093)] = 146934,
  [SMALL_STATE(4094)] = 146963,
  [SMALL_STATE(4095)] = 146988,
  [SMALL_STATE(4096)] = 147017,
  [SMALL_STATE(4097)] = 147042,
  [SMALL_STATE(4098)] = 147073,
  [SMALL_STATE(4099)] = 147098,
  [SMALL_STATE(4100)] = 147123,
  [SMALL_STATE(4101)] = 147148,
  [SMALL_STATE(4102)] = 147173,
  [SMALL_STATE(4103)] = 147198,
  [SMALL_STATE(4104)] = 147223,
  [SMALL_STATE(4105)] = 147248,
  [SMALL_STATE(4106)] = 147275,
  [SMALL_STATE(4107)] = 147302,
  [SMALL_STATE(4108)] = 147331,
  [SMALL_STATE(4109)] = 147360,
  [SMALL_STATE(4110)] = 147385,
  [SMALL_STATE(4111)] = 147410,
  [SMALL_STATE(4112)] = 147433,
  [SMALL_STATE(4113)] = 147458,
  [SMALL_STATE(4114)] = 147483,
  [SMALL_STATE(4115)] = 147508,
  [SMALL_STATE(4116)] = 147533,
  [SMALL_STATE(4117)] = 147560,
  [SMALL_STATE(4118)] = 147583,
  [SMALL_STATE(4119)] = 147608,
  [SMALL_STATE(4120)] = 147633,
  [SMALL_STATE(4121)] = 147660,
  [SMALL_STATE(4122)] = 147689,
  [SMALL_STATE(4123)] = 147714,
  [SMALL_STATE(4124)] = 147739,
  [SMALL_STATE(4125)] = 147764,
  [SMALL_STATE(4126)] = 147789,
  [SMALL_STATE(4127)] = 147814,
  [SMALL_STATE(4128)] = 147837,
  [SMALL_STATE(4129)] = 147866,
  [SMALL_STATE(4130)] = 147889,
  [SMALL_STATE(4131)] = 147914,
  [SMALL_STATE(4132)] = 147937,
  [SMALL_STATE(4133)] = 147975,
  [SMALL_STATE(4134)] = 147997,
  [SMALL_STATE(4135)] = 148021,
  [SMALL_STATE(4136)] = 148049,
  [SMALL_STATE(4137)] = 148085,
  [SMALL_STATE(4138)] = 148109,
  [SMALL_STATE(4139)] = 148149,
  [SMALL_STATE(4140)] = 148177,
  [SMALL_STATE(4141)] = 148217,
  [SMALL_STATE(4142)] = 148239,
  [SMALL_STATE(4143)] = 148279,
  [SMALL_STATE(4144)] = 148319,
  [SMALL_STATE(4145)] = 148347,
  [SMALL_STATE(4146)] = 148387,
  [SMALL_STATE(4147)] = 148427,
  [SMALL_STATE(4148)] = 148463,
  [SMALL_STATE(4149)] = 148489,
  [SMALL_STATE(4150)] = 148529,
  [SMALL_STATE(4151)] = 148569,
  [SMALL_STATE(4152)] = 148609,
  [SMALL_STATE(4153)] = 148635,
  [SMALL_STATE(4154)] = 148675,
  [SMALL_STATE(4155)] = 148715,
  [SMALL_STATE(4156)] = 148751,
  [SMALL_STATE(4157)] = 148791,
  [SMALL_STATE(4158)] = 148831,
  [SMALL_STATE(4159)] = 148869,
  [SMALL_STATE(4160)] = 148895,
  [SMALL_STATE(4161)] = 148935,
  [SMALL_STATE(4162)] = 148971,
  [SMALL_STATE(4163)] = 149011,
  [SMALL_STATE(4164)] = 149051,
  [SMALL_STATE(4165)] = 149091,
  [SMALL_STATE(4166)] = 149115,
  [SMALL_STATE(4167)] = 149149,
  [SMALL_STATE(4168)] = 149183,
  [SMALL_STATE(4169)] = 149223,
  [SMALL_STATE(4170)] = 149263,
  [SMALL_STATE(4171)] = 149294,
  [SMALL_STATE(4172)] = 149327,
  [SMALL_STATE(4173)] = 149364,
  [SMALL_STATE(4174)] = 149401,
  [SMALL_STATE(4175)] = 149434,
  [SMALL_STATE(4176)] = 149467,
  [SMALL_STATE(4177)] = 149504,
  [SMALL_STATE(4178)] = 149525,
  [SMALL_STATE(4179)] = 149562,
  [SMALL_STATE(4180)] = 149583,
  [SMALL_STATE(4181)] = 149608,
  [SMALL_STATE(4182)] = 149635,
  [SMALL_STATE(4183)] = 149656,
  [SMALL_STATE(4184)] = 149693,
  [SMALL_STATE(4185)] = 149730,
  [SMALL_STATE(4186)] = 149751,
  [SMALL_STATE(4187)] = 149788,
  [SMALL_STATE(4188)] = 149825,
  [SMALL_STATE(4189)] = 149856,
  [SMALL_STATE(4190)] = 149893,
  [SMALL_STATE(4191)] = 149930,
  [SMALL_STATE(4192)] = 149963,
  [SMALL_STATE(4193)] = 150000,
  [SMALL_STATE(4194)] = 150033,
  [SMALL_STATE(4195)] = 150066,
  [SMALL_STATE(4196)] = 150103,
  [SMALL_STATE(4197)] = 150124,
  [SMALL_STATE(4198)] = 150145,
  [SMALL_STATE(4199)] = 150166,
  [SMALL_STATE(4200)] = 150203,
  [SMALL_STATE(4201)] = 150240,
  [SMALL_STATE(4202)] = 150273,
  [SMALL_STATE(4203)] = 150306,
  [SMALL_STATE(4204)] = 150339,
  [SMALL_STATE(4205)] = 150372,
  [SMALL_STATE(4206)] = 150409,
  [SMALL_STATE(4207)] = 150446,
  [SMALL_STATE(4208)] = 150479,
  [SMALL_STATE(4209)] = 150512,
  [SMALL_STATE(4210)] = 150545,
  [SMALL_STATE(4211)] = 150578,
  [SMALL_STATE(4212)] = 150611,
  [SMALL_STATE(4213)] = 150632,
  [SMALL_STATE(4214)] = 150655,
  [SMALL_STATE(4215)] = 150676,
  [SMALL_STATE(4216)] = 150713,
  [SMALL_STATE(4217)] = 150744,
  [SMALL_STATE(4218)] = 150777,
  [SMALL_STATE(4219)] = 150810,
  [SMALL_STATE(4220)] = 150843,
  [SMALL_STATE(4221)] = 150876,
  [SMALL_STATE(4222)] = 150909,
  [SMALL_STATE(4223)] = 150930,
  [SMALL_STATE(4224)] = 150953,
  [SMALL_STATE(4225)] = 150974,
  [SMALL_STATE(4226)] = 151011,
  [SMALL_STATE(4227)] = 151038,
  [SMALL_STATE(4228)] = 151059,
  [SMALL_STATE(4229)] = 151090,
  [SMALL_STATE(4230)] = 151111,
  [SMALL_STATE(4231)] = 151138,
  [SMALL_STATE(4232)] = 151171,
  [SMALL_STATE(4233)] = 151192,
  [SMALL_STATE(4234)] = 151213,
  [SMALL_STATE(4235)] = 151234,
  [SMALL_STATE(4236)] = 151257,
  [SMALL_STATE(4237)] = 151280,
  [SMALL_STATE(4238)] = 151317,
  [SMALL_STATE(4239)] = 151354,
  [SMALL_STATE(4240)] = 151387,
  [SMALL_STATE(4241)] = 151420,
  [SMALL_STATE(4242)] = 151441,
  [SMALL_STATE(4243)] = 151474,
  [SMALL_STATE(4244)] = 151507,
  [SMALL_STATE(4245)] = 151540,
  [SMALL_STATE(4246)] = 151573,
  [SMALL_STATE(4247)] = 151596,
  [SMALL_STATE(4248)] = 151629,
  [SMALL_STATE(4249)] = 151662,
  [SMALL_STATE(4250)] = 151695,
  [SMALL_STATE(4251)] = 151732,
  [SMALL_STATE(4252)] = 151765,
  [SMALL_STATE(4253)] = 151798,
  [SMALL_STATE(4254)] = 151821,
  [SMALL_STATE(4255)] = 151854,
  [SMALL_STATE(4256)] = 151891,
  [SMALL_STATE(4257)] = 151924,
  [SMALL_STATE(4258)] = 151957,
  [SMALL_STATE(4259)] = 151990,
  [SMALL_STATE(4260)] = 152023,
  [SMALL_STATE(4261)] = 152056,
  [SMALL_STATE(4262)] = 152087,
  [SMALL_STATE(4263)] = 152108,
  [SMALL_STATE(4264)] = 152141,
  [SMALL_STATE(4265)] = 152162,
  [SMALL_STATE(4266)] = 152183,
  [SMALL_STATE(4267)] = 152204,
  [SMALL_STATE(4268)] = 152225,
  [SMALL_STATE(4269)] = 152258,
  [SMALL_STATE(4270)] = 152291,
  [SMALL_STATE(4271)] = 152324,
  [SMALL_STATE(4272)] = 152357,
  [SMALL_STATE(4273)] = 152390,
  [SMALL_STATE(4274)] = 152423,
  [SMALL_STATE(4275)] = 152456,
  [SMALL_STATE(4276)] = 152489,
  [SMALL_STATE(4277)] = 152522,
  [SMALL_STATE(4278)] = 152559,
  [SMALL_STATE(4279)] = 152596,
  [SMALL_STATE(4280)] = 152633,
  [SMALL_STATE(4281)] = 152670,
  [SMALL_STATE(4282)] = 152707,
  [SMALL_STATE(4283)] = 152744,
  [SMALL_STATE(4284)] = 152777,
  [SMALL_STATE(4285)] = 152812,
  [SMALL_STATE(4286)] = 152843,
  [SMALL_STATE(4287)] = 152864,
  [SMALL_STATE(4288)] = 152901,
  [SMALL_STATE(4289)] = 152938,
  [SMALL_STATE(4290)] = 152975,
  [SMALL_STATE(4291)] = 153006,
  [SMALL_STATE(4292)] = 153037,
  [SMALL_STATE(4293)] = 153058,
  [SMALL_STATE(4294)] = 153093,
  [SMALL_STATE(4295)] = 153130,
  [SMALL_STATE(4296)] = 153151,
  [SMALL_STATE(4297)] = 153182,
  [SMALL_STATE(4298)] = 153215,
  [SMALL_STATE(4299)] = 153248,
  [SMALL_STATE(4300)] = 153269,
  [SMALL_STATE(4301)] = 153306,
  [SMALL_STATE(4302)] = 153327,
  [SMALL_STATE(4303)] = 153364,
  [SMALL_STATE(4304)] = 153385,
  [SMALL_STATE(4305)] = 153406,
  [SMALL_STATE(4306)] = 153439,
  [SMALL_STATE(4307)] = 153460,
  [SMALL_STATE(4308)] = 153497,
  [SMALL_STATE(4309)] = 153520,
  [SMALL_STATE(4310)] = 153541,
  [SMALL_STATE(4311)] = 153568,
  [SMALL_STATE(4312)] = 153589,
  [SMALL_STATE(4313)] = 153610,
  [SMALL_STATE(4314)] = 153631,
  [SMALL_STATE(4315)] = 153654,
  [SMALL_STATE(4316)] = 153675,
  [SMALL_STATE(4317)] = 153696,
  [SMALL_STATE(4318)] = 153729,
  [SMALL_STATE(4319)] = 153750,
  [SMALL_STATE(4320)] = 153783,
  [SMALL_STATE(4321)] = 153804,
  [SMALL_STATE(4322)] = 153833,
  [SMALL_STATE(4323)] = 153862,
  [SMALL_STATE(4324)] = 153883,
  [SMALL_STATE(4325)] = 153916,
  [SMALL_STATE(4326)] = 153949,
  [SMALL_STATE(4327)] = 153986,
  [SMALL_STATE(4328)] = 154019,
  [SMALL_STATE(4329)] = 154052,
  [SMALL_STATE(4330)] = 154083,
  [SMALL_STATE(4331)] = 154118,
  [SMALL_STATE(4332)] = 154155,
  [SMALL_STATE(4333)] = 154188,
  [SMALL_STATE(4334)] = 154225,
  [SMALL_STATE(4335)] = 154262,
  [SMALL_STATE(4336)] = 154283,
  [SMALL_STATE(4337)] = 154304,
  [SMALL_STATE(4338)] = 154337,
  [SMALL_STATE(4339)] = 154370,
  [SMALL_STATE(4340)] = 154391,
  [SMALL_STATE(4341)] = 154412,
  [SMALL_STATE(4342)] = 154433,
  [SMALL_STATE(4343)] = 154454,
  [SMALL_STATE(4344)] = 154487,
  [SMALL_STATE(4345)] = 154520,
  [SMALL_STATE(4346)] = 154557,
  [SMALL_STATE(4347)] = 154582,
  [SMALL_STATE(4348)] = 154615,
  [SMALL_STATE(4349)] = 154648,
  [SMALL_STATE(4350)] = 154685,
  [SMALL_STATE(4351)] = 154722,
  [SMALL_STATE(4352)] = 154743,
  [SMALL_STATE(4353)] = 154774,
  [SMALL_STATE(4354)] = 154805,
  [SMALL_STATE(4355)] = 154836,
  [SMALL_STATE(4356)] = 154857,
  [SMALL_STATE(4357)] = 154890,
  [SMALL_STATE(4358)] = 154923,
  [SMALL_STATE(4359)] = 154956,
  [SMALL_STATE(4360)] = 154977,
  [SMALL_STATE(4361)] = 154998,
  [SMALL_STATE(4362)] = 155035,
  [SMALL_STATE(4363)] = 155072,
  [SMALL_STATE(4364)] = 155109,
  [SMALL_STATE(4365)] = 155142,
  [SMALL_STATE(4366)] = 155177,
  [SMALL_STATE(4367)] = 155198,
  [SMALL_STATE(4368)] = 155227,
  [SMALL_STATE(4369)] = 155264,
  [SMALL_STATE(4370)] = 155301,
  [SMALL_STATE(4371)] = 155328,
  [SMALL_STATE(4372)] = 155355,
  [SMALL_STATE(4373)] = 155392,
  [SMALL_STATE(4374)] = 155413,
  [SMALL_STATE(4375)] = 155436,
  [SMALL_STATE(4376)] = 155473,
  [SMALL_STATE(4377)] = 155496,
  [SMALL_STATE(4378)] = 155521,
  [SMALL_STATE(4379)] = 155558,
  [SMALL_STATE(4380)] = 155585,
  [SMALL_STATE(4381)] = 155618,
  [SMALL_STATE(4382)] = 155649,
  [SMALL_STATE(4383)] = 155670,
  [SMALL_STATE(4384)] = 155701,
  [SMALL_STATE(4385)] = 155722,
  [SMALL_STATE(4386)] = 155745,
  [SMALL_STATE(4387)] = 155778,
  [SMALL_STATE(4388)] = 155799,
  [SMALL_STATE(4389)] = 155836,
  [SMALL_STATE(4390)] = 155857,
  [SMALL_STATE(4391)] = 155890,
  [SMALL_STATE(4392)] = 155911,
  [SMALL_STATE(4393)] = 155932,
  [SMALL_STATE(4394)] = 155965,
  [SMALL_STATE(4395)] = 155998,
  [SMALL_STATE(4396)] = 156019,
  [SMALL_STATE(4397)] = 156056,
  [SMALL_STATE(4398)] = 156089,
  [SMALL_STATE(4399)] = 156110,
  [SMALL_STATE(4400)] = 156131,
  [SMALL_STATE(4401)] = 156168,
  [SMALL_STATE(4402)] = 156199,
  [SMALL_STATE(4403)] = 156220,
  [SMALL_STATE(4404)] = 156254,
  [SMALL_STATE(4405)] = 156282,
  [SMALL_STATE(4406)] = 156308,
  [SMALL_STATE(4407)] = 156336,
  [SMALL_STATE(4408)] = 156370,
  [SMALL_STATE(4409)] = 156402,
  [SMALL_STATE(4410)] = 156428,
  [SMALL_STATE(4411)] = 156456,
  [SMALL_STATE(4412)] = 156490,
  [SMALL_STATE(4413)] = 156524,
  [SMALL_STATE(4414)] = 156558,
  [SMALL_STATE(4415)] = 156592,
  [SMALL_STATE(4416)] = 156626,
  [SMALL_STATE(4417)] = 156660,
  [SMALL_STATE(4418)] = 156680,
  [SMALL_STATE(4419)] = 156700,
  [SMALL_STATE(4420)] = 156726,
  [SMALL_STATE(4421)] = 156758,
  [SMALL_STATE(4422)] = 156784,
  [SMALL_STATE(4423)] = 156810,
  [SMALL_STATE(4424)] = 156838,
  [SMALL_STATE(4425)] = 156870,
  [SMALL_STATE(4426)] = 156904,
  [SMALL_STATE(4427)] = 156930,
  [SMALL_STATE(4428)] = 156952,
  [SMALL_STATE(4429)] = 156980,
  [SMALL_STATE(4430)] = 157002,
  [SMALL_STATE(4431)] = 157034,
  [SMALL_STATE(4432)] = 157062,
  [SMALL_STATE(4433)] = 157096,
  [SMALL_STATE(4434)] = 157118,
  [SMALL_STATE(4435)] = 157146,
  [SMALL_STATE(4436)] = 157174,
  [SMALL_STATE(4437)] = 157202,
  [SMALL_STATE(4438)] = 157228,
  [SMALL_STATE(4439)] = 157260,
  [SMALL_STATE(4440)] = 157290,
  [SMALL_STATE(4441)] = 157322,
  [SMALL_STATE(4442)] = 157354,
  [SMALL_STATE(4443)] = 157383,
  [SMALL_STATE(4444)] = 157410,
  [SMALL_STATE(4445)] = 157433,
  [SMALL_STATE(4446)] = 157456,
  [SMALL_STATE(4447)] = 157487,
  [SMALL_STATE(4448)] = 157506,
  [SMALL_STATE(4449)] = 157537,
  [SMALL_STATE(4450)] = 157568,
  [SMALL_STATE(4451)] = 157599,
  [SMALL_STATE(4452)] = 157626,
  [SMALL_STATE(4453)] = 157657,
  [SMALL_STATE(4454)] = 157680,
  [SMALL_STATE(4455)] = 157711,
  [SMALL_STATE(4456)] = 157734,
  [SMALL_STATE(4457)] = 157755,
  [SMALL_STATE(4458)] = 157774,
  [SMALL_STATE(4459)] = 157805,
  [SMALL_STATE(4460)] = 157824,
  [SMALL_STATE(4461)] = 157843,
  [SMALL_STATE(4462)] = 157874,
  [SMALL_STATE(4463)] = 157893,
  [SMALL_STATE(4464)] = 157912,
  [SMALL_STATE(4465)] = 157939,
  [SMALL_STATE(4466)] = 157970,
  [SMALL_STATE(4467)] = 157993,
  [SMALL_STATE(4468)] = 158022,
  [SMALL_STATE(4469)] = 158041,
  [SMALL_STATE(4470)] = 158064,
  [SMALL_STATE(4471)] = 158087,
  [SMALL_STATE(4472)] = 158118,
  [SMALL_STATE(4473)] = 158147,
  [SMALL_STATE(4474)] = 158178,
  [SMALL_STATE(4475)] = 158209,
  [SMALL_STATE(4476)] = 158232,
  [SMALL_STATE(4477)] = 158255,
  [SMALL_STATE(4478)] = 158286,
  [SMALL_STATE(4479)] = 158317,
  [SMALL_STATE(4480)] = 158348,
  [SMALL_STATE(4481)] = 158379,
  [SMALL_STATE(4482)] = 158410,
  [SMALL_STATE(4483)] = 158441,
  [SMALL_STATE(4484)] = 158472,
  [SMALL_STATE(4485)] = 158495,
  [SMALL_STATE(4486)] = 158518,
  [SMALL_STATE(4487)] = 158545,
  [SMALL_STATE(4488)] = 158572,
  [SMALL_STATE(4489)] = 158601,
  [SMALL_STATE(4490)] = 158624,
  [SMALL_STATE(4491)] = 158643,
  [SMALL_STATE(4492)] = 158666,
  [SMALL_STATE(4493)] = 158689,
  [SMALL_STATE(4494)] = 158712,
  [SMALL_STATE(4495)] = 158743,
  [SMALL_STATE(4496)] = 158774,
  [SMALL_STATE(4497)] = 158797,
  [SMALL_STATE(4498)] = 158828,
  [SMALL_STATE(4499)] = 158851,
  [SMALL_STATE(4500)] = 158880,
  [SMALL_STATE(4501)] = 158911,
  [SMALL_STATE(4502)] = 158942,
  [SMALL_STATE(4503)] = 158965,
  [SMALL_STATE(4504)] = 158988,
  [SMALL_STATE(4505)] = 159019,
  [SMALL_STATE(4506)] = 159042,
  [SMALL_STATE(4507)] = 159073,
  [SMALL_STATE(4508)] = 159104,
  [SMALL_STATE(4509)] = 159135,
  [SMALL_STATE(4510)] = 159162,
  [SMALL_STATE(4511)] = 159193,
  [SMALL_STATE(4512)] = 159214,
  [SMALL_STATE(4513)] = 159245,
  [SMALL_STATE(4514)] = 159272,
  [SMALL_STATE(4515)] = 159291,
  [SMALL_STATE(4516)] = 159318,
  [SMALL_STATE(4517)] = 159349,
  [SMALL_STATE(4518)] = 159368,
  [SMALL_STATE(4519)] = 159399,
  [SMALL_STATE(4520)] = 159430,
  [SMALL_STATE(4521)] = 159457,
  [SMALL_STATE(4522)] = 159488,
  [SMALL_STATE(4523)] = 159519,
  [SMALL_STATE(4524)] = 159550,
  [SMALL_STATE(4525)] = 159569,
  [SMALL_STATE(4526)] = 159588,
  [SMALL_STATE(4527)] = 159619,
  [SMALL_STATE(4528)] = 159646,
  [SMALL_STATE(4529)] = 159673,
  [SMALL_STATE(4530)] = 159700,
  [SMALL_STATE(4531)] = 159727,
  [SMALL_STATE(4532)] = 159758,
  [SMALL_STATE(4533)] = 159785,
  [SMALL_STATE(4534)] = 159812,
  [SMALL_STATE(4535)] = 159843,
  [SMALL_STATE(4536)] = 159870,
  [SMALL_STATE(4537)] = 159897,
  [SMALL_STATE(4538)] = 159924,
  [SMALL_STATE(4539)] = 159951,
  [SMALL_STATE(4540)] = 159978,
  [SMALL_STATE(4541)] = 160009,
  [SMALL_STATE(4542)] = 160040,
  [SMALL_STATE(4543)] = 160067,
  [SMALL_STATE(4544)] = 160098,
  [SMALL_STATE(4545)] = 160125,
  [SMALL_STATE(4546)] = 160144,
  [SMALL_STATE(4547)] = 160175,
  [SMALL_STATE(4548)] = 160206,
  [SMALL_STATE(4549)] = 160233,
  [SMALL_STATE(4550)] = 160260,
  [SMALL_STATE(4551)] = 160291,
  [SMALL_STATE(4552)] = 160318,
  [SMALL_STATE(4553)] = 160337,
  [SMALL_STATE(4554)] = 160356,
  [SMALL_STATE(4555)] = 160383,
  [SMALL_STATE(4556)] = 160402,
  [SMALL_STATE(4557)] = 160421,
  [SMALL_STATE(4558)] = 160448,
  [SMALL_STATE(4559)] = 160475,
  [SMALL_STATE(4560)] = 160502,
  [SMALL_STATE(4561)] = 160525,
  [SMALL_STATE(4562)] = 160548,
  [SMALL_STATE(4563)] = 160571,
  [SMALL_STATE(4564)] = 160598,
  [SMALL_STATE(4565)] = 160625,
  [SMALL_STATE(4566)] = 160652,
  [SMALL_STATE(4567)] = 160671,
  [SMALL_STATE(4568)] = 160698,
  [SMALL_STATE(4569)] = 160725,
  [SMALL_STATE(4570)] = 160744,
  [SMALL_STATE(4571)] = 160771,
  [SMALL_STATE(4572)] = 160798,
  [SMALL_STATE(4573)] = 160825,
  [SMALL_STATE(4574)] = 160852,
  [SMALL_STATE(4575)] = 160879,
  [SMALL_STATE(4576)] = 160910,
  [SMALL_STATE(4577)] = 160937,
  [SMALL_STATE(4578)] = 160958,
  [SMALL_STATE(4579)] = 160985,
  [SMALL_STATE(4580)] = 161016,
  [SMALL_STATE(4581)] = 161047,
  [SMALL_STATE(4582)] = 161074,
  [SMALL_STATE(4583)] = 161101,
  [SMALL_STATE(4584)] = 161130,
  [SMALL_STATE(4585)] = 161161,
  [SMALL_STATE(4586)] = 161188,
  [SMALL_STATE(4587)] = 161215,
  [SMALL_STATE(4588)] = 161242,
  [SMALL_STATE(4589)] = 161263,
  [SMALL_STATE(4590)] = 161294,
  [SMALL_STATE(4591)] = 161321,
  [SMALL_STATE(4592)] = 161348,
  [SMALL_STATE(4593)] = 161379,
  [SMALL_STATE(4594)] = 161406,
  [SMALL_STATE(4595)] = 161433,
  [SMALL_STATE(4596)] = 161464,
  [SMALL_STATE(4597)] = 161495,
  [SMALL_STATE(4598)] = 161522,
  [SMALL_STATE(4599)] = 161553,
  [SMALL_STATE(4600)] = 161582,
  [SMALL_STATE(4601)] = 161609,
  [SMALL_STATE(4602)] = 161632,
  [SMALL_STATE(4603)] = 161663,
  [SMALL_STATE(4604)] = 161690,
  [SMALL_STATE(4605)] = 161711,
  [SMALL_STATE(4606)] = 161738,
  [SMALL_STATE(4607)] = 161757,
  [SMALL_STATE(4608)] = 161788,
  [SMALL_STATE(4609)] = 161811,
  [SMALL_STATE(4610)] = 161842,
  [SMALL_STATE(4611)] = 161861,
  [SMALL_STATE(4612)] = 161882,
  [SMALL_STATE(4613)] = 161913,
  [SMALL_STATE(4614)] = 161940,
  [SMALL_STATE(4615)] = 161967,
  [SMALL_STATE(4616)] = 161994,
  [SMALL_STATE(4617)] = 162021,
  [SMALL_STATE(4618)] = 162044,
  [SMALL_STATE(4619)] = 162071,
  [SMALL_STATE(4620)] = 162098,
  [SMALL_STATE(4621)] = 162125,
  [SMALL_STATE(4622)] = 162156,
  [SMALL_STATE(4623)] = 162185,
  [SMALL_STATE(4624)] = 162204,
  [SMALL_STATE(4625)] = 162231,
  [SMALL_STATE(4626)] = 162258,
  [SMALL_STATE(4627)] = 162289,
  [SMALL_STATE(4628)] = 162318,
  [SMALL_STATE(4629)] = 162345,
  [SMALL_STATE(4630)] = 162374,
  [SMALL_STATE(4631)] = 162405,
  [SMALL_STATE(4632)] = 162432,
  [SMALL_STATE(4633)] = 162459,
  [SMALL_STATE(4634)] = 162486,
  [SMALL_STATE(4635)] = 162515,
  [SMALL_STATE(4636)] = 162544,
  [SMALL_STATE(4637)] = 162571,
  [SMALL_STATE(4638)] = 162598,
  [SMALL_STATE(4639)] = 162625,
  [SMALL_STATE(4640)] = 162652,
  [SMALL_STATE(4641)] = 162679,
  [SMALL_STATE(4642)] = 162706,
  [SMALL_STATE(4643)] = 162737,
  [SMALL_STATE(4644)] = 162756,
  [SMALL_STATE(4645)] = 162783,
  [SMALL_STATE(4646)] = 162810,
  [SMALL_STATE(4647)] = 162837,
  [SMALL_STATE(4648)] = 162864,
  [SMALL_STATE(4649)] = 162895,
  [SMALL_STATE(4650)] = 162926,
  [SMALL_STATE(4651)] = 162957,
  [SMALL_STATE(4652)] = 162986,
  [SMALL_STATE(4653)] = 163005,
  [SMALL_STATE(4654)] = 163028,
  [SMALL_STATE(4655)] = 163047,
  [SMALL_STATE(4656)] = 163078,
  [SMALL_STATE(4657)] = 163109,
  [SMALL_STATE(4658)] = 163140,
  [SMALL_STATE(4659)] = 163165,
  [SMALL_STATE(4660)] = 163194,
  [SMALL_STATE(4661)] = 163225,
  [SMALL_STATE(4662)] = 163252,
  [SMALL_STATE(4663)] = 163279,
  [SMALL_STATE(4664)] = 163310,
  [SMALL_STATE(4665)] = 163337,
  [SMALL_STATE(4666)] = 163364,
  [SMALL_STATE(4667)] = 163395,
  [SMALL_STATE(4668)] = 163422,
  [SMALL_STATE(4669)] = 163453,
  [SMALL_STATE(4670)] = 163480,
  [SMALL_STATE(4671)] = 163507,
  [SMALL_STATE(4672)] = 163534,
  [SMALL_STATE(4673)] = 163561,
  [SMALL_STATE(4674)] = 163588,
  [SMALL_STATE(4675)] = 163619,
  [SMALL_STATE(4676)] = 163650,
  [SMALL_STATE(4677)] = 163673,
  [SMALL_STATE(4678)] = 163702,
  [SMALL_STATE(4679)] = 163729,
  [SMALL_STATE(4680)] = 163760,
  [SMALL_STATE(4681)] = 163787,
  [SMALL_STATE(4682)] = 163806,
  [SMALL_STATE(4683)] = 163837,
  [SMALL_STATE(4684)] = 163860,
  [SMALL_STATE(4685)] = 163891,
  [SMALL_STATE(4686)] = 163920,
  [SMALL_STATE(4687)] = 163939,
  [SMALL_STATE(4688)] = 163966,
  [SMALL_STATE(4689)] = 163993,
  [SMALL_STATE(4690)] = 164020,
  [SMALL_STATE(4691)] = 164051,
  [SMALL_STATE(4692)] = 164078,
  [SMALL_STATE(4693)] = 164097,
  [SMALL_STATE(4694)] = 164124,
  [SMALL_STATE(4695)] = 164155,
  [SMALL_STATE(4696)] = 164186,
  [SMALL_STATE(4697)] = 164217,
  [SMALL_STATE(4698)] = 164248,
  [SMALL_STATE(4699)] = 164275,
  [SMALL_STATE(4700)] = 164306,
  [SMALL_STATE(4701)] = 164329,
  [SMALL_STATE(4702)] = 164358,
  [SMALL_STATE(4703)] = 164377,
  [SMALL_STATE(4704)] = 164404,
  [SMALL_STATE(4705)] = 164433,
  [SMALL_STATE(4706)] = 164460,
  [SMALL_STATE(4707)] = 164487,
  [SMALL_STATE(4708)] = 164514,
  [SMALL_STATE(4709)] = 164541,
  [SMALL_STATE(4710)] = 164568,
  [SMALL_STATE(4711)] = 164587,
  [SMALL_STATE(4712)] = 164614,
  [SMALL_STATE(4713)] = 164641,
  [SMALL_STATE(4714)] = 164662,
  [SMALL_STATE(4715)] = 164690,
  [SMALL_STATE(4716)] = 164712,
  [SMALL_STATE(4717)] = 164740,
  [SMALL_STATE(4718)] = 164768,
  [SMALL_STATE(4719)] = 164786,
  [SMALL_STATE(4720)] = 164814,
  [SMALL_STATE(4721)] = 164842,
  [SMALL_STATE(4722)] = 164870,
  [SMALL_STATE(4723)] = 164898,
  [SMALL_STATE(4724)] = 164920,
  [SMALL_STATE(4725)] = 164942,
  [SMALL_STATE(4726)] = 164970,
  [SMALL_STATE(4727)] = 164998,
  [SMALL_STATE(4728)] = 165020,
  [SMALL_STATE(4729)] = 165042,
  [SMALL_STATE(4730)] = 165064,
  [SMALL_STATE(4731)] = 165092,
  [SMALL_STATE(4732)] = 165120,
  [SMALL_STATE(4733)] = 165142,
  [SMALL_STATE(4734)] = 165164,
  [SMALL_STATE(4735)] = 165192,
  [SMALL_STATE(4736)] = 165220,
  [SMALL_STATE(4737)] = 165238,
  [SMALL_STATE(4738)] = 165260,
  [SMALL_STATE(4739)] = 165282,
  [SMALL_STATE(4740)] = 165310,
  [SMALL_STATE(4741)] = 165338,
  [SMALL_STATE(4742)] = 165366,
  [SMALL_STATE(4743)] = 165394,
  [SMALL_STATE(4744)] = 165422,
  [SMALL_STATE(4745)] = 165444,
  [SMALL_STATE(4746)] = 165466,
  [SMALL_STATE(4747)] = 165494,
  [SMALL_STATE(4748)] = 165520,
  [SMALL_STATE(4749)] = 165538,
  [SMALL_STATE(4750)] = 165566,
  [SMALL_STATE(4751)] = 165584,
  [SMALL_STATE(4752)] = 165612,
  [SMALL_STATE(4753)] = 165640,
  [SMALL_STATE(4754)] = 165668,
  [SMALL_STATE(4755)] = 165694,
  [SMALL_STATE(4756)] = 165722,
  [SMALL_STATE(4757)] = 165750,
  [SMALL_STATE(4758)] = 165778,
  [SMALL_STATE(4759)] = 165796,
  [SMALL_STATE(4760)] = 165822,
  [SMALL_STATE(4761)] = 165850,
  [SMALL_STATE(4762)] = 165868,
  [SMALL_STATE(4763)] = 165888,
  [SMALL_STATE(4764)] = 165908,
  [SMALL_STATE(4765)] = 165936,
  [SMALL_STATE(4766)] = 165958,
  [SMALL_STATE(4767)] = 165986,
  [SMALL_STATE(4768)] = 166008,
  [SMALL_STATE(4769)] = 166036,
  [SMALL_STATE(4770)] = 166064,
  [SMALL_STATE(4771)] = 166086,
  [SMALL_STATE(4772)] = 166114,
  [SMALL_STATE(4773)] = 166142,
  [SMALL_STATE(4774)] = 166164,
  [SMALL_STATE(4775)] = 166182,
  [SMALL_STATE(4776)] = 166200,
  [SMALL_STATE(4777)] = 166222,
  [SMALL_STATE(4778)] = 166244,
  [SMALL_STATE(4779)] = 166272,
  [SMALL_STATE(4780)] = 166294,
  [SMALL_STATE(4781)] = 166322,
  [SMALL_STATE(4782)] = 166342,
  [SMALL_STATE(4783)] = 166370,
  [SMALL_STATE(4784)] = 166392,
  [SMALL_STATE(4785)] = 166420,
  [SMALL_STATE(4786)] = 166440,
  [SMALL_STATE(4787)] = 166468,
  [SMALL_STATE(4788)] = 166496,
  [SMALL_STATE(4789)] = 166524,
  [SMALL_STATE(4790)] = 166544,
  [SMALL_STATE(4791)] = 166566,
  [SMALL_STATE(4792)] = 166592,
  [SMALL_STATE(4793)] = 166614,
  [SMALL_STATE(4794)] = 166642,
  [SMALL_STATE(4795)] = 166670,
  [SMALL_STATE(4796)] = 166698,
  [SMALL_STATE(4797)] = 166720,
  [SMALL_STATE(4798)] = 166742,
  [SMALL_STATE(4799)] = 166770,
  [SMALL_STATE(4800)] = 166792,
  [SMALL_STATE(4801)] = 166812,
  [SMALL_STATE(4802)] = 166838,
  [SMALL_STATE(4803)] = 166856,
  [SMALL_STATE(4804)] = 166878,
  [SMALL_STATE(4805)] = 166906,
  [SMALL_STATE(4806)] = 166934,
  [SMALL_STATE(4807)] = 166958,
  [SMALL_STATE(4808)] = 166980,
  [SMALL_STATE(4809)] = 167006,
  [SMALL_STATE(4810)] = 167028,
  [SMALL_STATE(4811)] = 167050,
  [SMALL_STATE(4812)] = 167072,
  [SMALL_STATE(4813)] = 167100,
  [SMALL_STATE(4814)] = 167122,
  [SMALL_STATE(4815)] = 167148,
  [SMALL_STATE(4816)] = 167170,
  [SMALL_STATE(4817)] = 167192,
  [SMALL_STATE(4818)] = 167214,
  [SMALL_STATE(4819)] = 167236,
  [SMALL_STATE(4820)] = 167264,
  [SMALL_STATE(4821)] = 167290,
  [SMALL_STATE(4822)] = 167312,
  [SMALL_STATE(4823)] = 167340,
  [SMALL_STATE(4824)] = 167362,
  [SMALL_STATE(4825)] = 167380,
  [SMALL_STATE(4826)] = 167406,
  [SMALL_STATE(4827)] = 167434,
  [SMALL_STATE(4828)] = 167462,
  [SMALL_STATE(4829)] = 167490,
  [SMALL_STATE(4830)] = 167512,
  [SMALL_STATE(4831)] = 167534,
  [SMALL_STATE(4832)] = 167562,
  [SMALL_STATE(4833)] = 167590,
  [SMALL_STATE(4834)] = 167608,
  [SMALL_STATE(4835)] = 167630,
  [SMALL_STATE(4836)] = 167658,
  [SMALL_STATE(4837)] = 167680,
  [SMALL_STATE(4838)] = 167706,
  [SMALL_STATE(4839)] = 167732,
  [SMALL_STATE(4840)] = 167758,
  [SMALL_STATE(4841)] = 167776,
  [SMALL_STATE(4842)] = 167798,
  [SMALL_STATE(4843)] = 167826,
  [SMALL_STATE(4844)] = 167848,
  [SMALL_STATE(4845)] = 167874,
  [SMALL_STATE(4846)] = 167902,
  [SMALL_STATE(4847)] = 167930,
  [SMALL_STATE(4848)] = 167958,
  [SMALL_STATE(4849)] = 167986,
  [SMALL_STATE(4850)] = 168014,
  [SMALL_STATE(4851)] = 168042,
  [SMALL_STATE(4852)] = 168064,
  [SMALL_STATE(4853)] = 168086,
  [SMALL_STATE(4854)] = 168114,
  [SMALL_STATE(4855)] = 168140,
  [SMALL_STATE(4856)] = 168162,
  [SMALL_STATE(4857)] = 168190,
  [SMALL_STATE(4858)] = 168218,
  [SMALL_STATE(4859)] = 168240,
  [SMALL_STATE(4860)] = 168268,
  [SMALL_STATE(4861)] = 168290,
  [SMALL_STATE(4862)] = 168318,
  [SMALL_STATE(4863)] = 168346,
  [SMALL_STATE(4864)] = 168372,
  [SMALL_STATE(4865)] = 168394,
  [SMALL_STATE(4866)] = 168416,
  [SMALL_STATE(4867)] = 168444,
  [SMALL_STATE(4868)] = 168472,
  [SMALL_STATE(4869)] = 168500,
  [SMALL_STATE(4870)] = 168524,
  [SMALL_STATE(4871)] = 168552,
  [SMALL_STATE(4872)] = 168574,
  [SMALL_STATE(4873)] = 168596,
  [SMALL_STATE(4874)] = 168624,
  [SMALL_STATE(4875)] = 168650,
  [SMALL_STATE(4876)] = 168676,
  [SMALL_STATE(4877)] = 168698,
  [SMALL_STATE(4878)] = 168724,
  [SMALL_STATE(4879)] = 168746,
  [SMALL_STATE(4880)] = 168774,
  [SMALL_STATE(4881)] = 168800,
  [SMALL_STATE(4882)] = 168826,
  [SMALL_STATE(4883)] = 168854,
  [SMALL_STATE(4884)] = 168882,
  [SMALL_STATE(4885)] = 168904,
  [SMALL_STATE(4886)] = 168922,
  [SMALL_STATE(4887)] = 168948,
  [SMALL_STATE(4888)] = 168966,
  [SMALL_STATE(4889)] = 168994,
  [SMALL_STATE(4890)] = 169014,
  [SMALL_STATE(4891)] = 169042,
  [SMALL_STATE(4892)] = 169064,
  [SMALL_STATE(4893)] = 169086,
  [SMALL_STATE(4894)] = 169114,
  [SMALL_STATE(4895)] = 169140,
  [SMALL_STATE(4896)] = 169162,
  [SMALL_STATE(4897)] = 169184,
  [SMALL_STATE(4898)] = 169202,
  [SMALL_STATE(4899)] = 169230,
  [SMALL_STATE(4900)] = 169258,
  [SMALL_STATE(4901)] = 169286,
  [SMALL_STATE(4902)] = 169308,
  [SMALL_STATE(4903)] = 169336,
  [SMALL_STATE(4904)] = 169364,
  [SMALL_STATE(4905)] = 169392,
  [SMALL_STATE(4906)] = 169420,
  [SMALL_STATE(4907)] = 169442,
  [SMALL_STATE(4908)] = 169462,
  [SMALL_STATE(4909)] = 169482,
  [SMALL_STATE(4910)] = 169504,
  [SMALL_STATE(4911)] = 169524,
  [SMALL_STATE(4912)] = 169544,
  [SMALL_STATE(4913)] = 169572,
  [SMALL_STATE(4914)] = 169600,
  [SMALL_STATE(4915)] = 169621,
  [SMALL_STATE(4916)] = 169638,
  [SMALL_STATE(4917)] = 169663,
  [SMALL_STATE(4918)] = 169680,
  [SMALL_STATE(4919)] = 169697,
  [SMALL_STATE(4920)] = 169714,
  [SMALL_STATE(4921)] = 169731,
  [SMALL_STATE(4922)] = 169748,
  [SMALL_STATE(4923)] = 169765,
  [SMALL_STATE(4924)] = 169790,
  [SMALL_STATE(4925)] = 169807,
  [SMALL_STATE(4926)] = 169824,
  [SMALL_STATE(4927)] = 169841,
  [SMALL_STATE(4928)] = 169858,
  [SMALL_STATE(4929)] = 169879,
  [SMALL_STATE(4930)] = 169904,
  [SMALL_STATE(4931)] = 169921,
  [SMALL_STATE(4932)] = 169942,
  [SMALL_STATE(4933)] = 169965,
  [SMALL_STATE(4934)] = 169986,
  [SMALL_STATE(4935)] = 170003,
  [SMALL_STATE(4936)] = 170028,
  [SMALL_STATE(4937)] = 170049,
  [SMALL_STATE(4938)] = 170066,
  [SMALL_STATE(4939)] = 170091,
  [SMALL_STATE(4940)] = 170108,
  [SMALL_STATE(4941)] = 170125,
  [SMALL_STATE(4942)] = 170142,
  [SMALL_STATE(4943)] = 170163,
  [SMALL_STATE(4944)] = 170188,
  [SMALL_STATE(4945)] = 170209,
  [SMALL_STATE(4946)] = 170226,
  [SMALL_STATE(4947)] = 170251,
  [SMALL_STATE(4948)] = 170274,
  [SMALL_STATE(4949)] = 170295,
  [SMALL_STATE(4950)] = 170318,
  [SMALL_STATE(4951)] = 170343,
  [SMALL_STATE(4952)] = 170364,
  [SMALL_STATE(4953)] = 170381,
  [SMALL_STATE(4954)] = 170398,
  [SMALL_STATE(4955)] = 170423,
  [SMALL_STATE(4956)] = 170444,
  [SMALL_STATE(4957)] = 170465,
  [SMALL_STATE(4958)] = 170490,
  [SMALL_STATE(4959)] = 170507,
  [SMALL_STATE(4960)] = 170532,
  [SMALL_STATE(4961)] = 170553,
  [SMALL_STATE(4962)] = 170570,
  [SMALL_STATE(4963)] = 170587,
  [SMALL_STATE(4964)] = 170612,
  [SMALL_STATE(4965)] = 170629,
  [SMALL_STATE(4966)] = 170650,
  [SMALL_STATE(4967)] = 170667,
  [SMALL_STATE(4968)] = 170684,
  [SMALL_STATE(4969)] = 170701,
  [SMALL_STATE(4970)] = 170722,
  [SMALL_STATE(4971)] = 170739,
  [SMALL_STATE(4972)] = 170756,
  [SMALL_STATE(4973)] = 170773,
  [SMALL_STATE(4974)] = 170798,
  [SMALL_STATE(4975)] = 170819,
  [SMALL_STATE(4976)] = 170842,
  [SMALL_STATE(4977)] = 170863,
  [SMALL_STATE(4978)] = 170886,
  [SMALL_STATE(4979)] = 170911,
  [SMALL_STATE(4980)] = 170932,
  [SMALL_STATE(4981)] = 170955,
  [SMALL_STATE(4982)] = 170976,
  [SMALL_STATE(4983)] = 171001,
  [SMALL_STATE(4984)] = 171026,
  [SMALL_STATE(4985)] = 171051,
  [SMALL_STATE(4986)] = 171072,
  [SMALL_STATE(4987)] = 171097,
  [SMALL_STATE(4988)] = 171118,
  [SMALL_STATE(4989)] = 171139,
  [SMALL_STATE(4990)] = 171164,
  [SMALL_STATE(4991)] = 171189,
  [SMALL_STATE(4992)] = 171210,
  [SMALL_STATE(4993)] = 171233,
  [SMALL_STATE(4994)] = 171254,
  [SMALL_STATE(4995)] = 171279,
  [SMALL_STATE(4996)] = 171304,
  [SMALL_STATE(4997)] = 171329,
  [SMALL_STATE(4998)] = 171346,
  [SMALL_STATE(4999)] = 171363,
  [SMALL_STATE(5000)] = 171384,
  [SMALL_STATE(5001)] = 171401,
  [SMALL_STATE(5002)] = 171418,
  [SMALL_STATE(5003)] = 171435,
  [SMALL_STATE(5004)] = 171452,
  [SMALL_STATE(5005)] = 171473,
  [SMALL_STATE(5006)] = 171494,
  [SMALL_STATE(5007)] = 171517,
  [SMALL_STATE(5008)] = 171542,
  [SMALL_STATE(5009)] = 171559,
  [SMALL_STATE(5010)] = 171576,
  [SMALL_STATE(5011)] = 171597,
  [SMALL_STATE(5012)] = 171618,
  [SMALL_STATE(5013)] = 171635,
  [SMALL_STATE(5014)] = 171652,
  [SMALL_STATE(5015)] = 171669,
  [SMALL_STATE(5016)] = 171694,
  [SMALL_STATE(5017)] = 171711,
  [SMALL_STATE(5018)] = 171728,
  [SMALL_STATE(5019)] = 171745,
  [SMALL_STATE(5020)] = 171762,
  [SMALL_STATE(5021)] = 171779,
  [SMALL_STATE(5022)] = 171800,
  [SMALL_STATE(5023)] = 171817,
  [SMALL_STATE(5024)] = 171838,
  [SMALL_STATE(5025)] = 171861,
  [SMALL_STATE(5026)] = 171882,
  [SMALL_STATE(5027)] = 171905,
  [SMALL_STATE(5028)] = 171922,
  [SMALL_STATE(5029)] = 171939,
  [SMALL_STATE(5030)] = 171960,
  [SMALL_STATE(5031)] = 171985,
  [SMALL_STATE(5032)] = 172006,
  [SMALL_STATE(5033)] = 172027,
  [SMALL_STATE(5034)] = 172048,
  [SMALL_STATE(5035)] = 172073,
  [SMALL_STATE(5036)] = 172094,
  [SMALL_STATE(5037)] = 172111,
  [SMALL_STATE(5038)] = 172128,
  [SMALL_STATE(5039)] = 172153,
  [SMALL_STATE(5040)] = 172178,
  [SMALL_STATE(5041)] = 172199,
  [SMALL_STATE(5042)] = 172224,
  [SMALL_STATE(5043)] = 172249,
  [SMALL_STATE(5044)] = 172270,
  [SMALL_STATE(5045)] = 172295,
  [SMALL_STATE(5046)] = 172316,
  [SMALL_STATE(5047)] = 172341,
  [SMALL_STATE(5048)] = 172362,
  [SMALL_STATE(5049)] = 172387,
  [SMALL_STATE(5050)] = 172404,
  [SMALL_STATE(5051)] = 172421,
  [SMALL_STATE(5052)] = 172438,
  [SMALL_STATE(5053)] = 172463,
  [SMALL_STATE(5054)] = 172480,
  [SMALL_STATE(5055)] = 172497,
  [SMALL_STATE(5056)] = 172514,
  [SMALL_STATE(5057)] = 172531,
  [SMALL_STATE(5058)] = 172550,
  [SMALL_STATE(5059)] = 172571,
  [SMALL_STATE(5060)] = 172596,
  [SMALL_STATE(5061)] = 172613,
  [SMALL_STATE(5062)] = 172634,
  [SMALL_STATE(5063)] = 172651,
  [SMALL_STATE(5064)] = 172668,
  [SMALL_STATE(5065)] = 172689,
  [SMALL_STATE(5066)] = 172714,
  [SMALL_STATE(5067)] = 172739,
  [SMALL_STATE(5068)] = 172760,
  [SMALL_STATE(5069)] = 172781,
  [SMALL_STATE(5070)] = 172798,
  [SMALL_STATE(5071)] = 172815,
  [SMALL_STATE(5072)] = 172840,
  [SMALL_STATE(5073)] = 172865,
  [SMALL_STATE(5074)] = 172890,
  [SMALL_STATE(5075)] = 172915,
  [SMALL_STATE(5076)] = 172936,
  [SMALL_STATE(5077)] = 172959,
  [SMALL_STATE(5078)] = 172976,
  [SMALL_STATE(5079)] = 172997,
  [SMALL_STATE(5080)] = 173014,
  [SMALL_STATE(5081)] = 173039,
  [SMALL_STATE(5082)] = 173064,
  [SMALL_STATE(5083)] = 173081,
  [SMALL_STATE(5084)] = 173106,
  [SMALL_STATE(5085)] = 173123,
  [SMALL_STATE(5086)] = 173144,
  [SMALL_STATE(5087)] = 173161,
  [SMALL_STATE(5088)] = 173178,
  [SMALL_STATE(5089)] = 173195,
  [SMALL_STATE(5090)] = 173212,
  [SMALL_STATE(5091)] = 173229,
  [SMALL_STATE(5092)] = 173250,
  [SMALL_STATE(5093)] = 173267,
  [SMALL_STATE(5094)] = 173292,
  [SMALL_STATE(5095)] = 173309,
  [SMALL_STATE(5096)] = 173326,
  [SMALL_STATE(5097)] = 173347,
  [SMALL_STATE(5098)] = 173368,
  [SMALL_STATE(5099)] = 173385,
  [SMALL_STATE(5100)] = 173402,
  [SMALL_STATE(5101)] = 173423,
  [SMALL_STATE(5102)] = 173444,
  [SMALL_STATE(5103)] = 173461,
  [SMALL_STATE(5104)] = 173482,
  [SMALL_STATE(5105)] = 173507,
  [SMALL_STATE(5106)] = 173532,
  [SMALL_STATE(5107)] = 173557,
  [SMALL_STATE(5108)] = 173578,
  [SMALL_STATE(5109)] = 173595,
  [SMALL_STATE(5110)] = 173612,
  [SMALL_STATE(5111)] = 173637,
  [SMALL_STATE(5112)] = 173658,
  [SMALL_STATE(5113)] = 173683,
  [SMALL_STATE(5114)] = 173708,
  [SMALL_STATE(5115)] = 173733,
  [SMALL_STATE(5116)] = 173754,
  [SMALL_STATE(5117)] = 173771,
  [SMALL_STATE(5118)] = 173792,
  [SMALL_STATE(5119)] = 173813,
  [SMALL_STATE(5120)] = 173838,
  [SMALL_STATE(5121)] = 173863,
  [SMALL_STATE(5122)] = 173880,
  [SMALL_STATE(5123)] = 173897,
  [SMALL_STATE(5124)] = 173922,
  [SMALL_STATE(5125)] = 173939,
  [SMALL_STATE(5126)] = 173956,
  [SMALL_STATE(5127)] = 173973,
  [SMALL_STATE(5128)] = 173994,
  [SMALL_STATE(5129)] = 174011,
  [SMALL_STATE(5130)] = 174028,
  [SMALL_STATE(5131)] = 174049,
  [SMALL_STATE(5132)] = 174070,
  [SMALL_STATE(5133)] = 174087,
  [SMALL_STATE(5134)] = 174112,
  [SMALL_STATE(5135)] = 174133,
  [SMALL_STATE(5136)] = 174150,
  [SMALL_STATE(5137)] = 174171,
  [SMALL_STATE(5138)] = 174192,
  [SMALL_STATE(5139)] = 174209,
  [SMALL_STATE(5140)] = 174234,
  [SMALL_STATE(5141)] = 174255,
  [SMALL_STATE(5142)] = 174280,
  [SMALL_STATE(5143)] = 174297,
  [SMALL_STATE(5144)] = 174314,
  [SMALL_STATE(5145)] = 174331,
  [SMALL_STATE(5146)] = 174348,
  [SMALL_STATE(5147)] = 174369,
  [SMALL_STATE(5148)] = 174386,
  [SMALL_STATE(5149)] = 174403,
  [SMALL_STATE(5150)] = 174420,
  [SMALL_STATE(5151)] = 174437,
  [SMALL_STATE(5152)] = 174454,
  [SMALL_STATE(5153)] = 174475,
  [SMALL_STATE(5154)] = 174496,
  [SMALL_STATE(5155)] = 174517,
  [SMALL_STATE(5156)] = 174542,
  [SMALL_STATE(5157)] = 174559,
  [SMALL_STATE(5158)] = 174576,
  [SMALL_STATE(5159)] = 174593,
  [SMALL_STATE(5160)] = 174614,
  [SMALL_STATE(5161)] = 174631,
  [SMALL_STATE(5162)] = 174652,
  [SMALL_STATE(5163)] = 174669,
  [SMALL_STATE(5164)] = 174686,
  [SMALL_STATE(5165)] = 174707,
  [SMALL_STATE(5166)] = 174724,
  [SMALL_STATE(5167)] = 174749,
  [SMALL_STATE(5168)] = 174770,
  [SMALL_STATE(5169)] = 174795,
  [SMALL_STATE(5170)] = 174812,
  [SMALL_STATE(5171)] = 174837,
  [SMALL_STATE(5172)] = 174858,
  [SMALL_STATE(5173)] = 174879,
  [SMALL_STATE(5174)] = 174904,
  [SMALL_STATE(5175)] = 174929,
  [SMALL_STATE(5176)] = 174950,
  [SMALL_STATE(5177)] = 174975,
  [SMALL_STATE(5178)] = 175000,
  [SMALL_STATE(5179)] = 175021,
  [SMALL_STATE(5180)] = 175042,
  [SMALL_STATE(5181)] = 175067,
  [SMALL_STATE(5182)] = 175092,
  [SMALL_STATE(5183)] = 175117,
  [SMALL_STATE(5184)] = 175142,
  [SMALL_STATE(5185)] = 175159,
  [SMALL_STATE(5186)] = 175176,
  [SMALL_STATE(5187)] = 175193,
  [SMALL_STATE(5188)] = 175214,
  [SMALL_STATE(5189)] = 175235,
  [SMALL_STATE(5190)] = 175252,
  [SMALL_STATE(5191)] = 175273,
  [SMALL_STATE(5192)] = 175294,
  [SMALL_STATE(5193)] = 175311,
  [SMALL_STATE(5194)] = 175328,
  [SMALL_STATE(5195)] = 175353,
  [SMALL_STATE(5196)] = 175370,
  [SMALL_STATE(5197)] = 175391,
  [SMALL_STATE(5198)] = 175408,
  [SMALL_STATE(5199)] = 175429,
  [SMALL_STATE(5200)] = 175446,
  [SMALL_STATE(5201)] = 175463,
  [SMALL_STATE(5202)] = 175484,
  [SMALL_STATE(5203)] = 175505,
  [SMALL_STATE(5204)] = 175522,
  [SMALL_STATE(5205)] = 175539,
  [SMALL_STATE(5206)] = 175556,
  [SMALL_STATE(5207)] = 175581,
  [SMALL_STATE(5208)] = 175606,
  [SMALL_STATE(5209)] = 175627,
  [SMALL_STATE(5210)] = 175648,
  [SMALL_STATE(5211)] = 175669,
  [SMALL_STATE(5212)] = 175686,
  [SMALL_STATE(5213)] = 175703,
  [SMALL_STATE(5214)] = 175720,
  [SMALL_STATE(5215)] = 175741,
  [SMALL_STATE(5216)] = 175758,
  [SMALL_STATE(5217)] = 175775,
  [SMALL_STATE(5218)] = 175792,
  [SMALL_STATE(5219)] = 175817,
  [SMALL_STATE(5220)] = 175838,
  [SMALL_STATE(5221)] = 175859,
  [SMALL_STATE(5222)] = 175876,
  [SMALL_STATE(5223)] = 175897,
  [SMALL_STATE(5224)] = 175914,
  [SMALL_STATE(5225)] = 175935,
  [SMALL_STATE(5226)] = 175956,
  [SMALL_STATE(5227)] = 175977,
  [SMALL_STATE(5228)] = 175994,
  [SMALL_STATE(5229)] = 176011,
  [SMALL_STATE(5230)] = 176028,
  [SMALL_STATE(5231)] = 176053,
  [SMALL_STATE(5232)] = 176070,
  [SMALL_STATE(5233)] = 176087,
  [SMALL_STATE(5234)] = 176108,
  [SMALL_STATE(5235)] = 176133,
  [SMALL_STATE(5236)] = 176158,
  [SMALL_STATE(5237)] = 176183,
  [SMALL_STATE(5238)] = 176204,
  [SMALL_STATE(5239)] = 176221,
  [SMALL_STATE(5240)] = 176246,
  [SMALL_STATE(5241)] = 176267,
  [SMALL_STATE(5242)] = 176292,
  [SMALL_STATE(5243)] = 176317,
  [SMALL_STATE(5244)] = 176334,
  [SMALL_STATE(5245)] = 176351,
  [SMALL_STATE(5246)] = 176372,
  [SMALL_STATE(5247)] = 176389,
  [SMALL_STATE(5248)] = 176410,
  [SMALL_STATE(5249)] = 176427,
  [SMALL_STATE(5250)] = 176452,
  [SMALL_STATE(5251)] = 176473,
  [SMALL_STATE(5252)] = 176490,
  [SMALL_STATE(5253)] = 176515,
  [SMALL_STATE(5254)] = 176532,
  [SMALL_STATE(5255)] = 176553,
  [SMALL_STATE(5256)] = 176574,
  [SMALL_STATE(5257)] = 176599,
  [SMALL_STATE(5258)] = 176616,
  [SMALL_STATE(5259)] = 176641,
  [SMALL_STATE(5260)] = 176666,
  [SMALL_STATE(5261)] = 176687,
  [SMALL_STATE(5262)] = 176704,
  [SMALL_STATE(5263)] = 176729,
  [SMALL_STATE(5264)] = 176750,
  [SMALL_STATE(5265)] = 176773,
  [SMALL_STATE(5266)] = 176798,
  [SMALL_STATE(5267)] = 176823,
  [SMALL_STATE(5268)] = 176844,
  [SMALL_STATE(5269)] = 176869,
  [SMALL_STATE(5270)] = 176894,
  [SMALL_STATE(5271)] = 176915,
  [SMALL_STATE(5272)] = 176932,
  [SMALL_STATE(5273)] = 176957,
  [SMALL_STATE(5274)] = 176978,
  [SMALL_STATE(5275)] = 177003,
  [SMALL_STATE(5276)] = 177028,
  [SMALL_STATE(5277)] = 177045,
  [SMALL_STATE(5278)] = 177066,
  [SMALL_STATE(5279)] = 177083,
  [SMALL_STATE(5280)] = 177104,
  [SMALL_STATE(5281)] = 177129,
  [SMALL_STATE(5282)] = 177150,
  [SMALL_STATE(5283)] = 177175,
  [SMALL_STATE(5284)] = 177200,
  [SMALL_STATE(5285)] = 177217,
  [SMALL_STATE(5286)] = 177242,
  [SMALL_STATE(5287)] = 177263,
  [SMALL_STATE(5288)] = 177288,
  [SMALL_STATE(5289)] = 177311,
  [SMALL_STATE(5290)] = 177328,
  [SMALL_STATE(5291)] = 177349,
  [SMALL_STATE(5292)] = 177374,
  [SMALL_STATE(5293)] = 177391,
  [SMALL_STATE(5294)] = 177408,
  [SMALL_STATE(5295)] = 177433,
  [SMALL_STATE(5296)] = 177458,
  [SMALL_STATE(5297)] = 177475,
  [SMALL_STATE(5298)] = 177492,
  [SMALL_STATE(5299)] = 177513,
  [SMALL_STATE(5300)] = 177530,
  [SMALL_STATE(5301)] = 177551,
  [SMALL_STATE(5302)] = 177572,
  [SMALL_STATE(5303)] = 177589,
  [SMALL_STATE(5304)] = 177610,
  [SMALL_STATE(5305)] = 177627,
  [SMALL_STATE(5306)] = 177652,
  [SMALL_STATE(5307)] = 177669,
  [SMALL_STATE(5308)] = 177686,
  [SMALL_STATE(5309)] = 177703,
  [SMALL_STATE(5310)] = 177728,
  [SMALL_STATE(5311)] = 177745,
  [SMALL_STATE(5312)] = 177770,
  [SMALL_STATE(5313)] = 177795,
  [SMALL_STATE(5314)] = 177820,
  [SMALL_STATE(5315)] = 177837,
  [SMALL_STATE(5316)] = 177854,
  [SMALL_STATE(5317)] = 177871,
  [SMALL_STATE(5318)] = 177888,
  [SMALL_STATE(5319)] = 177909,
  [SMALL_STATE(5320)] = 177926,
  [SMALL_STATE(5321)] = 177943,
  [SMALL_STATE(5322)] = 177960,
  [SMALL_STATE(5323)] = 177977,
  [SMALL_STATE(5324)] = 177994,
  [SMALL_STATE(5325)] = 178011,
  [SMALL_STATE(5326)] = 178028,
  [SMALL_STATE(5327)] = 178045,
  [SMALL_STATE(5328)] = 178066,
  [SMALL_STATE(5329)] = 178091,
  [SMALL_STATE(5330)] = 178108,
  [SMALL_STATE(5331)] = 178129,
  [SMALL_STATE(5332)] = 178146,
  [SMALL_STATE(5333)] = 178167,
  [SMALL_STATE(5334)] = 178192,
  [SMALL_STATE(5335)] = 178213,
  [SMALL_STATE(5336)] = 178232,
  [SMALL_STATE(5337)] = 178249,
  [SMALL_STATE(5338)] = 178270,
  [SMALL_STATE(5339)] = 178291,
  [SMALL_STATE(5340)] = 178312,
  [SMALL_STATE(5341)] = 178337,
  [SMALL_STATE(5342)] = 178358,
  [SMALL_STATE(5343)] = 178379,
  [SMALL_STATE(5344)] = 178396,
  [SMALL_STATE(5345)] = 178417,
  [SMALL_STATE(5346)] = 178442,
  [SMALL_STATE(5347)] = 178463,
  [SMALL_STATE(5348)] = 178482,
  [SMALL_STATE(5349)] = 178499,
  [SMALL_STATE(5350)] = 178516,
  [SMALL_STATE(5351)] = 178533,
  [SMALL_STATE(5352)] = 178550,
  [SMALL_STATE(5353)] = 178567,
  [SMALL_STATE(5354)] = 178588,
  [SMALL_STATE(5355)] = 178609,
  [SMALL_STATE(5356)] = 178634,
  [SMALL_STATE(5357)] = 178655,
  [SMALL_STATE(5358)] = 178672,
  [SMALL_STATE(5359)] = 178691,
  [SMALL_STATE(5360)] = 178712,
  [SMALL_STATE(5361)] = 178733,
  [SMALL_STATE(5362)] = 178752,
  [SMALL_STATE(5363)] = 178777,
  [SMALL_STATE(5364)] = 178798,
  [SMALL_STATE(5365)] = 178815,
  [SMALL_STATE(5366)] = 178836,
  [SMALL_STATE(5367)] = 178861,
  [SMALL_STATE(5368)] = 178882,
  [SMALL_STATE(5369)] = 178899,
  [SMALL_STATE(5370)] = 178920,
  [SMALL_STATE(5371)] = 178937,
  [SMALL_STATE(5372)] = 178954,
  [SMALL_STATE(5373)] = 178979,
  [SMALL_STATE(5374)] = 179000,
  [SMALL_STATE(5375)] = 179017,
  [SMALL_STATE(5376)] = 179042,
  [SMALL_STATE(5377)] = 179063,
  [SMALL_STATE(5378)] = 179086,
  [SMALL_STATE(5379)] = 179111,
  [SMALL_STATE(5380)] = 179132,
  [SMALL_STATE(5381)] = 179153,
  [SMALL_STATE(5382)] = 179174,
  [SMALL_STATE(5383)] = 179197,
  [SMALL_STATE(5384)] = 179218,
  [SMALL_STATE(5385)] = 179243,
  [SMALL_STATE(5386)] = 179264,
  [SMALL_STATE(5387)] = 179289,
  [SMALL_STATE(5388)] = 179310,
  [SMALL_STATE(5389)] = 179327,
  [SMALL_STATE(5390)] = 179350,
  [SMALL_STATE(5391)] = 179371,
  [SMALL_STATE(5392)] = 179392,
  [SMALL_STATE(5393)] = 179413,
  [SMALL_STATE(5394)] = 179434,
  [SMALL_STATE(5395)] = 179455,
  [SMALL_STATE(5396)] = 179476,
  [SMALL_STATE(5397)] = 179501,
  [SMALL_STATE(5398)] = 179522,
  [SMALL_STATE(5399)] = 179539,
  [SMALL_STATE(5400)] = 179564,
  [SMALL_STATE(5401)] = 179589,
  [SMALL_STATE(5402)] = 179610,
  [SMALL_STATE(5403)] = 179633,
  [SMALL_STATE(5404)] = 179656,
  [SMALL_STATE(5405)] = 179673,
  [SMALL_STATE(5406)] = 179690,
  [SMALL_STATE(5407)] = 179707,
  [SMALL_STATE(5408)] = 179732,
  [SMALL_STATE(5409)] = 179753,
  [SMALL_STATE(5410)] = 179770,
  [SMALL_STATE(5411)] = 179787,
  [SMALL_STATE(5412)] = 179812,
  [SMALL_STATE(5413)] = 179833,
  [SMALL_STATE(5414)] = 179854,
  [SMALL_STATE(5415)] = 179871,
  [SMALL_STATE(5416)] = 179888,
  [SMALL_STATE(5417)] = 179909,
  [SMALL_STATE(5418)] = 179930,
  [SMALL_STATE(5419)] = 179951,
  [SMALL_STATE(5420)] = 179976,
  [SMALL_STATE(5421)] = 180001,
  [SMALL_STATE(5422)] = 180022,
  [SMALL_STATE(5423)] = 180039,
  [SMALL_STATE(5424)] = 180064,
  [SMALL_STATE(5425)] = 180089,
  [SMALL_STATE(5426)] = 180106,
  [SMALL_STATE(5427)] = 180131,
  [SMALL_STATE(5428)] = 180152,
  [SMALL_STATE(5429)] = 180177,
  [SMALL_STATE(5430)] = 180202,
  [SMALL_STATE(5431)] = 180219,
  [SMALL_STATE(5432)] = 180236,
  [SMALL_STATE(5433)] = 180253,
  [SMALL_STATE(5434)] = 180274,
  [SMALL_STATE(5435)] = 180293,
  [SMALL_STATE(5436)] = 180314,
  [SMALL_STATE(5437)] = 180339,
  [SMALL_STATE(5438)] = 180356,
  [SMALL_STATE(5439)] = 180377,
  [SMALL_STATE(5440)] = 180398,
  [SMALL_STATE(5441)] = 180421,
  [SMALL_STATE(5442)] = 180446,
  [SMALL_STATE(5443)] = 180467,
  [SMALL_STATE(5444)] = 180488,
  [SMALL_STATE(5445)] = 180509,
  [SMALL_STATE(5446)] = 180534,
  [SMALL_STATE(5447)] = 180557,
  [SMALL_STATE(5448)] = 180578,
  [SMALL_STATE(5449)] = 180601,
  [SMALL_STATE(5450)] = 180624,
  [SMALL_STATE(5451)] = 180641,
  [SMALL_STATE(5452)] = 180666,
  [SMALL_STATE(5453)] = 180691,
  [SMALL_STATE(5454)] = 180716,
  [SMALL_STATE(5455)] = 180741,
  [SMALL_STATE(5456)] = 180766,
  [SMALL_STATE(5457)] = 180789,
  [SMALL_STATE(5458)] = 180806,
  [SMALL_STATE(5459)] = 180831,
  [SMALL_STATE(5460)] = 180856,
  [SMALL_STATE(5461)] = 180873,
  [SMALL_STATE(5462)] = 180890,
  [SMALL_STATE(5463)] = 180915,
  [SMALL_STATE(5464)] = 180936,
  [SMALL_STATE(5465)] = 180953,
  [SMALL_STATE(5466)] = 180978,
  [SMALL_STATE(5467)] = 180999,
  [SMALL_STATE(5468)] = 181024,
  [SMALL_STATE(5469)] = 181049,
  [SMALL_STATE(5470)] = 181070,
  [SMALL_STATE(5471)] = 181095,
  [SMALL_STATE(5472)] = 181120,
  [SMALL_STATE(5473)] = 181145,
  [SMALL_STATE(5474)] = 181162,
  [SMALL_STATE(5475)] = 181183,
  [SMALL_STATE(5476)] = 181204,
  [SMALL_STATE(5477)] = 181221,
  [SMALL_STATE(5478)] = 181246,
  [SMALL_STATE(5479)] = 181263,
  [SMALL_STATE(5480)] = 181284,
  [SMALL_STATE(5481)] = 181305,
  [SMALL_STATE(5482)] = 181322,
  [SMALL_STATE(5483)] = 181347,
  [SMALL_STATE(5484)] = 181372,
  [SMALL_STATE(5485)] = 181393,
  [SMALL_STATE(5486)] = 181418,
  [SMALL_STATE(5487)] = 181439,
  [SMALL_STATE(5488)] = 181462,
  [SMALL_STATE(5489)] = 181487,
  [SMALL_STATE(5490)] = 181504,
  [SMALL_STATE(5491)] = 181525,
  [SMALL_STATE(5492)] = 181546,
  [SMALL_STATE(5493)] = 181569,
  [SMALL_STATE(5494)] = 181590,
  [SMALL_STATE(5495)] = 181613,
  [SMALL_STATE(5496)] = 181638,
  [SMALL_STATE(5497)] = 181659,
  [SMALL_STATE(5498)] = 181680,
  [SMALL_STATE(5499)] = 181701,
  [SMALL_STATE(5500)] = 181722,
  [SMALL_STATE(5501)] = 181747,
  [SMALL_STATE(5502)] = 181768,
  [SMALL_STATE(5503)] = 181789,
  [SMALL_STATE(5504)] = 181810,
  [SMALL_STATE(5505)] = 181833,
  [SMALL_STATE(5506)] = 181858,
  [SMALL_STATE(5507)] = 181879,
  [SMALL_STATE(5508)] = 181904,
  [SMALL_STATE(5509)] = 181929,
  [SMALL_STATE(5510)] = 181947,
  [SMALL_STATE(5511)] = 181969,
  [SMALL_STATE(5512)] = 181991,
  [SMALL_STATE(5513)] = 182011,
  [SMALL_STATE(5514)] = 182033,
  [SMALL_STATE(5515)] = 182055,
  [SMALL_STATE(5516)] = 182077,
  [SMALL_STATE(5517)] = 182097,
  [SMALL_STATE(5518)] = 182117,
  [SMALL_STATE(5519)] = 182137,
  [SMALL_STATE(5520)] = 182157,
  [SMALL_STATE(5521)] = 182177,
  [SMALL_STATE(5522)] = 182197,
  [SMALL_STATE(5523)] = 182219,
  [SMALL_STATE(5524)] = 182239,
  [SMALL_STATE(5525)] = 182261,
  [SMALL_STATE(5526)] = 182281,
  [SMALL_STATE(5527)] = 182301,
  [SMALL_STATE(5528)] = 182323,
  [SMALL_STATE(5529)] = 182343,
  [SMALL_STATE(5530)] = 182363,
  [SMALL_STATE(5531)] = 182383,
  [SMALL_STATE(5532)] = 182405,
  [SMALL_STATE(5533)] = 182425,
  [SMALL_STATE(5534)] = 182445,
  [SMALL_STATE(5535)] = 182465,
  [SMALL_STATE(5536)] = 182485,
  [SMALL_STATE(5537)] = 182505,
  [SMALL_STATE(5538)] = 182525,
  [SMALL_STATE(5539)] = 182545,
  [SMALL_STATE(5540)] = 182565,
  [SMALL_STATE(5541)] = 182585,
  [SMALL_STATE(5542)] = 182605,
  [SMALL_STATE(5543)] = 182625,
  [SMALL_STATE(5544)] = 182647,
  [SMALL_STATE(5545)] = 182667,
  [SMALL_STATE(5546)] = 182687,
  [SMALL_STATE(5547)] = 182707,
  [SMALL_STATE(5548)] = 182729,
  [SMALL_STATE(5549)] = 182747,
  [SMALL_STATE(5550)] = 182765,
  [SMALL_STATE(5551)] = 182785,
  [SMALL_STATE(5552)] = 182805,
  [SMALL_STATE(5553)] = 182825,
  [SMALL_STATE(5554)] = 182845,
  [SMALL_STATE(5555)] = 182865,
  [SMALL_STATE(5556)] = 182885,
  [SMALL_STATE(5557)] = 182905,
  [SMALL_STATE(5558)] = 182925,
  [SMALL_STATE(5559)] = 182945,
  [SMALL_STATE(5560)] = 182965,
  [SMALL_STATE(5561)] = 182985,
  [SMALL_STATE(5562)] = 183007,
  [SMALL_STATE(5563)] = 183029,
  [SMALL_STATE(5564)] = 183049,
  [SMALL_STATE(5565)] = 183071,
  [SMALL_STATE(5566)] = 183091,
  [SMALL_STATE(5567)] = 183111,
  [SMALL_STATE(5568)] = 183133,
  [SMALL_STATE(5569)] = 183153,
  [SMALL_STATE(5570)] = 183173,
  [SMALL_STATE(5571)] = 183193,
  [SMALL_STATE(5572)] = 183213,
  [SMALL_STATE(5573)] = 183233,
  [SMALL_STATE(5574)] = 183255,
  [SMALL_STATE(5575)] = 183275,
  [SMALL_STATE(5576)] = 183295,
  [SMALL_STATE(5577)] = 183315,
  [SMALL_STATE(5578)] = 183337,
  [SMALL_STATE(5579)] = 183357,
  [SMALL_STATE(5580)] = 183377,
  [SMALL_STATE(5581)] = 183397,
  [SMALL_STATE(5582)] = 183413,
  [SMALL_STATE(5583)] = 183433,
  [SMALL_STATE(5584)] = 183453,
  [SMALL_STATE(5585)] = 183475,
  [SMALL_STATE(5586)] = 183495,
  [SMALL_STATE(5587)] = 183515,
  [SMALL_STATE(5588)] = 183535,
  [SMALL_STATE(5589)] = 183555,
  [SMALL_STATE(5590)] = 183575,
  [SMALL_STATE(5591)] = 183595,
  [SMALL_STATE(5592)] = 183617,
  [SMALL_STATE(5593)] = 183637,
  [SMALL_STATE(5594)] = 183653,
  [SMALL_STATE(5595)] = 183673,
  [SMALL_STATE(5596)] = 183695,
  [SMALL_STATE(5597)] = 183717,
  [SMALL_STATE(5598)] = 183739,
  [SMALL_STATE(5599)] = 183761,
  [SMALL_STATE(5600)] = 183781,
  [SMALL_STATE(5601)] = 183801,
  [SMALL_STATE(5602)] = 183823,
  [SMALL_STATE(5603)] = 183843,
  [SMALL_STATE(5604)] = 183863,
  [SMALL_STATE(5605)] = 183879,
  [SMALL_STATE(5606)] = 183895,
  [SMALL_STATE(5607)] = 183911,
  [SMALL_STATE(5608)] = 183931,
  [SMALL_STATE(5609)] = 183953,
  [SMALL_STATE(5610)] = 183973,
  [SMALL_STATE(5611)] = 183995,
  [SMALL_STATE(5612)] = 184015,
  [SMALL_STATE(5613)] = 184035,
  [SMALL_STATE(5614)] = 184057,
  [SMALL_STATE(5615)] = 184077,
  [SMALL_STATE(5616)] = 184097,
  [SMALL_STATE(5617)] = 184117,
  [SMALL_STATE(5618)] = 184139,
  [SMALL_STATE(5619)] = 184159,
  [SMALL_STATE(5620)] = 184179,
  [SMALL_STATE(5621)] = 184199,
  [SMALL_STATE(5622)] = 184219,
  [SMALL_STATE(5623)] = 184241,
  [SMALL_STATE(5624)] = 184263,
  [SMALL_STATE(5625)] = 184283,
  [SMALL_STATE(5626)] = 184303,
  [SMALL_STATE(5627)] = 184325,
  [SMALL_STATE(5628)] = 184347,
  [SMALL_STATE(5629)] = 184369,
  [SMALL_STATE(5630)] = 184389,
  [SMALL_STATE(5631)] = 184409,
  [SMALL_STATE(5632)] = 184429,
  [SMALL_STATE(5633)] = 184449,
  [SMALL_STATE(5634)] = 184471,
  [SMALL_STATE(5635)] = 184493,
  [SMALL_STATE(5636)] = 184513,
  [SMALL_STATE(5637)] = 184533,
  [SMALL_STATE(5638)] = 184553,
  [SMALL_STATE(5639)] = 184575,
  [SMALL_STATE(5640)] = 184595,
  [SMALL_STATE(5641)] = 184615,
  [SMALL_STATE(5642)] = 184637,
  [SMALL_STATE(5643)] = 184659,
  [SMALL_STATE(5644)] = 184679,
  [SMALL_STATE(5645)] = 184699,
  [SMALL_STATE(5646)] = 184719,
  [SMALL_STATE(5647)] = 184739,
  [SMALL_STATE(5648)] = 184759,
  [SMALL_STATE(5649)] = 184779,
  [SMALL_STATE(5650)] = 184799,
  [SMALL_STATE(5651)] = 184819,
  [SMALL_STATE(5652)] = 184841,
  [SMALL_STATE(5653)] = 184861,
  [SMALL_STATE(5654)] = 184879,
  [SMALL_STATE(5655)] = 184899,
  [SMALL_STATE(5656)] = 184919,
  [SMALL_STATE(5657)] = 184937,
  [SMALL_STATE(5658)] = 184959,
  [SMALL_STATE(5659)] = 184981,
  [SMALL_STATE(5660)] = 184997,
  [SMALL_STATE(5661)] = 185019,
  [SMALL_STATE(5662)] = 185041,
  [SMALL_STATE(5663)] = 185059,
  [SMALL_STATE(5664)] = 185081,
  [SMALL_STATE(5665)] = 185103,
  [SMALL_STATE(5666)] = 185119,
  [SMALL_STATE(5667)] = 185141,
  [SMALL_STATE(5668)] = 185159,
  [SMALL_STATE(5669)] = 185181,
  [SMALL_STATE(5670)] = 185201,
  [SMALL_STATE(5671)] = 185223,
  [SMALL_STATE(5672)] = 185245,
  [SMALL_STATE(5673)] = 185267,
  [SMALL_STATE(5674)] = 185289,
  [SMALL_STATE(5675)] = 185309,
  [SMALL_STATE(5676)] = 185329,
  [SMALL_STATE(5677)] = 185349,
  [SMALL_STATE(5678)] = 185369,
  [SMALL_STATE(5679)] = 185391,
  [SMALL_STATE(5680)] = 185413,
  [SMALL_STATE(5681)] = 185435,
  [SMALL_STATE(5682)] = 185457,
  [SMALL_STATE(5683)] = 185479,
  [SMALL_STATE(5684)] = 185497,
  [SMALL_STATE(5685)] = 185519,
  [SMALL_STATE(5686)] = 185535,
  [SMALL_STATE(5687)] = 185557,
  [SMALL_STATE(5688)] = 185579,
  [SMALL_STATE(5689)] = 185601,
  [SMALL_STATE(5690)] = 185621,
  [SMALL_STATE(5691)] = 185643,
  [SMALL_STATE(5692)] = 185663,
  [SMALL_STATE(5693)] = 185683,
  [SMALL_STATE(5694)] = 185705,
  [SMALL_STATE(5695)] = 185725,
  [SMALL_STATE(5696)] = 185747,
  [SMALL_STATE(5697)] = 185769,
  [SMALL_STATE(5698)] = 185791,
  [SMALL_STATE(5699)] = 185813,
  [SMALL_STATE(5700)] = 185831,
  [SMALL_STATE(5701)] = 185851,
  [SMALL_STATE(5702)] = 185871,
  [SMALL_STATE(5703)] = 185893,
  [SMALL_STATE(5704)] = 185911,
  [SMALL_STATE(5705)] = 185933,
  [SMALL_STATE(5706)] = 185955,
  [SMALL_STATE(5707)] = 185975,
  [SMALL_STATE(5708)] = 185995,
  [SMALL_STATE(5709)] = 186010,
  [SMALL_STATE(5710)] = 186025,
  [SMALL_STATE(5711)] = 186040,
  [SMALL_STATE(5712)] = 186059,
  [SMALL_STATE(5713)] = 186074,
  [SMALL_STATE(5714)] = 186089,
  [SMALL_STATE(5715)] = 186104,
  [SMALL_STATE(5716)] = 186123,
  [SMALL_STATE(5717)] = 186142,
  [SMALL_STATE(5718)] = 186161,
  [SMALL_STATE(5719)] = 186178,
  [SMALL_STATE(5720)] = 186195,
  [SMALL_STATE(5721)] = 186212,
  [SMALL_STATE(5722)] = 186229,
  [SMALL_STATE(5723)] = 186246,
  [SMALL_STATE(5724)] = 186261,
  [SMALL_STATE(5725)] = 186276,
  [SMALL_STATE(5726)] = 186295,
  [SMALL_STATE(5727)] = 186310,
  [SMALL_STATE(5728)] = 186327,
  [SMALL_STATE(5729)] = 186342,
  [SMALL_STATE(5730)] = 186357,
  [SMALL_STATE(5731)] = 186372,
  [SMALL_STATE(5732)] = 186389,
  [SMALL_STATE(5733)] = 186408,
  [SMALL_STATE(5734)] = 186425,
  [SMALL_STATE(5735)] = 186440,
  [SMALL_STATE(5736)] = 186457,
  [SMALL_STATE(5737)] = 186474,
  [SMALL_STATE(5738)] = 186491,
  [SMALL_STATE(5739)] = 186508,
  [SMALL_STATE(5740)] = 186525,
  [SMALL_STATE(5741)] = 186544,
  [SMALL_STATE(5742)] = 186561,
  [SMALL_STATE(5743)] = 186580,
  [SMALL_STATE(5744)] = 186599,
  [SMALL_STATE(5745)] = 186618,
  [SMALL_STATE(5746)] = 186637,
  [SMALL_STATE(5747)] = 186652,
  [SMALL_STATE(5748)] = 186667,
  [SMALL_STATE(5749)] = 186682,
  [SMALL_STATE(5750)] = 186697,
  [SMALL_STATE(5751)] = 186712,
  [SMALL_STATE(5752)] = 186727,
  [SMALL_STATE(5753)] = 186746,
  [SMALL_STATE(5754)] = 186763,
  [SMALL_STATE(5755)] = 186782,
  [SMALL_STATE(5756)] = 186799,
  [SMALL_STATE(5757)] = 186818,
  [SMALL_STATE(5758)] = 186835,
  [SMALL_STATE(5759)] = 186854,
  [SMALL_STATE(5760)] = 186871,
  [SMALL_STATE(5761)] = 186886,
  [SMALL_STATE(5762)] = 186901,
  [SMALL_STATE(5763)] = 186920,
  [SMALL_STATE(5764)] = 186935,
  [SMALL_STATE(5765)] = 186954,
  [SMALL_STATE(5766)] = 186969,
  [SMALL_STATE(5767)] = 186988,
  [SMALL_STATE(5768)] = 187007,
  [SMALL_STATE(5769)] = 187026,
  [SMALL_STATE(5770)] = 187041,
  [SMALL_STATE(5771)] = 187056,
  [SMALL_STATE(5772)] = 187071,
  [SMALL_STATE(5773)] = 187090,
  [SMALL_STATE(5774)] = 187107,
  [SMALL_STATE(5775)] = 187122,
  [SMALL_STATE(5776)] = 187137,
  [SMALL_STATE(5777)] = 187152,
  [SMALL_STATE(5778)] = 187167,
  [SMALL_STATE(5779)] = 187182,
  [SMALL_STATE(5780)] = 187201,
  [SMALL_STATE(5781)] = 187218,
  [SMALL_STATE(5782)] = 187233,
  [SMALL_STATE(5783)] = 187248,
  [SMALL_STATE(5784)] = 187267,
  [SMALL_STATE(5785)] = 187286,
  [SMALL_STATE(5786)] = 187301,
  [SMALL_STATE(5787)] = 187320,
  [SMALL_STATE(5788)] = 187335,
  [SMALL_STATE(5789)] = 187350,
  [SMALL_STATE(5790)] = 187367,
  [SMALL_STATE(5791)] = 187382,
  [SMALL_STATE(5792)] = 187397,
  [SMALL_STATE(5793)] = 187414,
  [SMALL_STATE(5794)] = 187431,
  [SMALL_STATE(5795)] = 187446,
  [SMALL_STATE(5796)] = 187463,
  [SMALL_STATE(5797)] = 187478,
  [SMALL_STATE(5798)] = 187493,
  [SMALL_STATE(5799)] = 187508,
  [SMALL_STATE(5800)] = 187523,
  [SMALL_STATE(5801)] = 187538,
  [SMALL_STATE(5802)] = 187553,
  [SMALL_STATE(5803)] = 187572,
  [SMALL_STATE(5804)] = 187587,
  [SMALL_STATE(5805)] = 187606,
  [SMALL_STATE(5806)] = 187621,
  [SMALL_STATE(5807)] = 187640,
  [SMALL_STATE(5808)] = 187655,
  [SMALL_STATE(5809)] = 187674,
  [SMALL_STATE(5810)] = 187689,
  [SMALL_STATE(5811)] = 187704,
  [SMALL_STATE(5812)] = 187723,
  [SMALL_STATE(5813)] = 187738,
  [SMALL_STATE(5814)] = 187755,
  [SMALL_STATE(5815)] = 187770,
  [SMALL_STATE(5816)] = 187785,
  [SMALL_STATE(5817)] = 187804,
  [SMALL_STATE(5818)] = 187819,
  [SMALL_STATE(5819)] = 187838,
  [SMALL_STATE(5820)] = 187857,
  [SMALL_STATE(5821)] = 187872,
  [SMALL_STATE(5822)] = 187891,
  [SMALL_STATE(5823)] = 187906,
  [SMALL_STATE(5824)] = 187925,
  [SMALL_STATE(5825)] = 187942,
  [SMALL_STATE(5826)] = 187961,
  [SMALL_STATE(5827)] = 187980,
  [SMALL_STATE(5828)] = 187999,
  [SMALL_STATE(5829)] = 188018,
  [SMALL_STATE(5830)] = 188035,
  [SMALL_STATE(5831)] = 188050,
  [SMALL_STATE(5832)] = 188065,
  [SMALL_STATE(5833)] = 188080,
  [SMALL_STATE(5834)] = 188097,
  [SMALL_STATE(5835)] = 188114,
  [SMALL_STATE(5836)] = 188129,
  [SMALL_STATE(5837)] = 188144,
  [SMALL_STATE(5838)] = 188159,
  [SMALL_STATE(5839)] = 188176,
  [SMALL_STATE(5840)] = 188191,
  [SMALL_STATE(5841)] = 188210,
  [SMALL_STATE(5842)] = 188225,
  [SMALL_STATE(5843)] = 188240,
  [SMALL_STATE(5844)] = 188255,
  [SMALL_STATE(5845)] = 188272,
  [SMALL_STATE(5846)] = 188287,
  [SMALL_STATE(5847)] = 188302,
  [SMALL_STATE(5848)] = 188317,
  [SMALL_STATE(5849)] = 188336,
  [SMALL_STATE(5850)] = 188353,
  [SMALL_STATE(5851)] = 188372,
  [SMALL_STATE(5852)] = 188387,
  [SMALL_STATE(5853)] = 188406,
  [SMALL_STATE(5854)] = 188421,
  [SMALL_STATE(5855)] = 188440,
  [SMALL_STATE(5856)] = 188459,
  [SMALL_STATE(5857)] = 188478,
  [SMALL_STATE(5858)] = 188497,
  [SMALL_STATE(5859)] = 188514,
  [SMALL_STATE(5860)] = 188529,
  [SMALL_STATE(5861)] = 188544,
  [SMALL_STATE(5862)] = 188563,
  [SMALL_STATE(5863)] = 188578,
  [SMALL_STATE(5864)] = 188597,
  [SMALL_STATE(5865)] = 188612,
  [SMALL_STATE(5866)] = 188631,
  [SMALL_STATE(5867)] = 188648,
  [SMALL_STATE(5868)] = 188663,
  [SMALL_STATE(5869)] = 188678,
  [SMALL_STATE(5870)] = 188693,
  [SMALL_STATE(5871)] = 188708,
  [SMALL_STATE(5872)] = 188723,
  [SMALL_STATE(5873)] = 188738,
  [SMALL_STATE(5874)] = 188753,
  [SMALL_STATE(5875)] = 188768,
  [SMALL_STATE(5876)] = 188783,
  [SMALL_STATE(5877)] = 188798,
  [SMALL_STATE(5878)] = 188813,
  [SMALL_STATE(5879)] = 188828,
  [SMALL_STATE(5880)] = 188847,
  [SMALL_STATE(5881)] = 188866,
  [SMALL_STATE(5882)] = 188885,
  [SMALL_STATE(5883)] = 188900,
  [SMALL_STATE(5884)] = 188915,
  [SMALL_STATE(5885)] = 188930,
  [SMALL_STATE(5886)] = 188949,
  [SMALL_STATE(5887)] = 188968,
  [SMALL_STATE(5888)] = 188985,
  [SMALL_STATE(5889)] = 189000,
  [SMALL_STATE(5890)] = 189015,
  [SMALL_STATE(5891)] = 189030,
  [SMALL_STATE(5892)] = 189045,
  [SMALL_STATE(5893)] = 189060,
  [SMALL_STATE(5894)] = 189075,
  [SMALL_STATE(5895)] = 189090,
  [SMALL_STATE(5896)] = 189105,
  [SMALL_STATE(5897)] = 189120,
  [SMALL_STATE(5898)] = 189135,
  [SMALL_STATE(5899)] = 189154,
  [SMALL_STATE(5900)] = 189169,
  [SMALL_STATE(5901)] = 189186,
  [SMALL_STATE(5902)] = 189205,
  [SMALL_STATE(5903)] = 189220,
  [SMALL_STATE(5904)] = 189235,
  [SMALL_STATE(5905)] = 189250,
  [SMALL_STATE(5906)] = 189265,
  [SMALL_STATE(5907)] = 189280,
  [SMALL_STATE(5908)] = 189295,
  [SMALL_STATE(5909)] = 189310,
  [SMALL_STATE(5910)] = 189325,
  [SMALL_STATE(5911)] = 189340,
  [SMALL_STATE(5912)] = 189355,
  [SMALL_STATE(5913)] = 189372,
  [SMALL_STATE(5914)] = 189387,
  [SMALL_STATE(5915)] = 189402,
  [SMALL_STATE(5916)] = 189421,
  [SMALL_STATE(5917)] = 189436,
  [SMALL_STATE(5918)] = 189451,
  [SMALL_STATE(5919)] = 189470,
  [SMALL_STATE(5920)] = 189485,
  [SMALL_STATE(5921)] = 189500,
  [SMALL_STATE(5922)] = 189515,
  [SMALL_STATE(5923)] = 189534,
  [SMALL_STATE(5924)] = 189549,
  [SMALL_STATE(5925)] = 189564,
  [SMALL_STATE(5926)] = 189579,
  [SMALL_STATE(5927)] = 189594,
  [SMALL_STATE(5928)] = 189609,
  [SMALL_STATE(5929)] = 189624,
  [SMALL_STATE(5930)] = 189643,
  [SMALL_STATE(5931)] = 189662,
  [SMALL_STATE(5932)] = 189677,
  [SMALL_STATE(5933)] = 189692,
  [SMALL_STATE(5934)] = 189707,
  [SMALL_STATE(5935)] = 189722,
  [SMALL_STATE(5936)] = 189741,
  [SMALL_STATE(5937)] = 189760,
  [SMALL_STATE(5938)] = 189779,
  [SMALL_STATE(5939)] = 189798,
  [SMALL_STATE(5940)] = 189813,
  [SMALL_STATE(5941)] = 189832,
  [SMALL_STATE(5942)] = 189847,
  [SMALL_STATE(5943)] = 189862,
  [SMALL_STATE(5944)] = 189877,
  [SMALL_STATE(5945)] = 189892,
  [SMALL_STATE(5946)] = 189907,
  [SMALL_STATE(5947)] = 189922,
  [SMALL_STATE(5948)] = 189941,
  [SMALL_STATE(5949)] = 189960,
  [SMALL_STATE(5950)] = 189975,
  [SMALL_STATE(5951)] = 189994,
  [SMALL_STATE(5952)] = 190013,
  [SMALL_STATE(5953)] = 190028,
  [SMALL_STATE(5954)] = 190047,
  [SMALL_STATE(5955)] = 190062,
  [SMALL_STATE(5956)] = 190077,
  [SMALL_STATE(5957)] = 190092,
  [SMALL_STATE(5958)] = 190107,
  [SMALL_STATE(5959)] = 190122,
  [SMALL_STATE(5960)] = 190141,
  [SMALL_STATE(5961)] = 190156,
  [SMALL_STATE(5962)] = 190171,
  [SMALL_STATE(5963)] = 190186,
  [SMALL_STATE(5964)] = 190201,
  [SMALL_STATE(5965)] = 190216,
  [SMALL_STATE(5966)] = 190235,
  [SMALL_STATE(5967)] = 190250,
  [SMALL_STATE(5968)] = 190269,
  [SMALL_STATE(5969)] = 190284,
  [SMALL_STATE(5970)] = 190299,
  [SMALL_STATE(5971)] = 190318,
  [SMALL_STATE(5972)] = 190333,
  [SMALL_STATE(5973)] = 190348,
  [SMALL_STATE(5974)] = 190363,
  [SMALL_STATE(5975)] = 190378,
  [SMALL_STATE(5976)] = 190393,
  [SMALL_STATE(5977)] = 190408,
  [SMALL_STATE(5978)] = 190423,
  [SMALL_STATE(5979)] = 190438,
  [SMALL_STATE(5980)] = 190457,
  [SMALL_STATE(5981)] = 190472,
  [SMALL_STATE(5982)] = 190487,
  [SMALL_STATE(5983)] = 190506,
  [SMALL_STATE(5984)] = 190521,
  [SMALL_STATE(5985)] = 190540,
  [SMALL_STATE(5986)] = 190555,
  [SMALL_STATE(5987)] = 190574,
  [SMALL_STATE(5988)] = 190589,
  [SMALL_STATE(5989)] = 190606,
  [SMALL_STATE(5990)] = 190621,
  [SMALL_STATE(5991)] = 190636,
  [SMALL_STATE(5992)] = 190651,
  [SMALL_STATE(5993)] = 190666,
  [SMALL_STATE(5994)] = 190685,
  [SMALL_STATE(5995)] = 190702,
  [SMALL_STATE(5996)] = 190721,
  [SMALL_STATE(5997)] = 190736,
  [SMALL_STATE(5998)] = 190753,
  [SMALL_STATE(5999)] = 190772,
  [SMALL_STATE(6000)] = 190787,
  [SMALL_STATE(6001)] = 190802,
  [SMALL_STATE(6002)] = 190817,
  [SMALL_STATE(6003)] = 190832,
  [SMALL_STATE(6004)] = 190851,
  [SMALL_STATE(6005)] = 190870,
  [SMALL_STATE(6006)] = 190885,
  [SMALL_STATE(6007)] = 190900,
  [SMALL_STATE(6008)] = 190915,
  [SMALL_STATE(6009)] = 190930,
  [SMALL_STATE(6010)] = 190945,
  [SMALL_STATE(6011)] = 190960,
  [SMALL_STATE(6012)] = 190975,
  [SMALL_STATE(6013)] = 190990,
  [SMALL_STATE(6014)] = 191005,
  [SMALL_STATE(6015)] = 191020,
  [SMALL_STATE(6016)] = 191037,
  [SMALL_STATE(6017)] = 191052,
  [SMALL_STATE(6018)] = 191071,
  [SMALL_STATE(6019)] = 191086,
  [SMALL_STATE(6020)] = 191101,
  [SMALL_STATE(6021)] = 191120,
  [SMALL_STATE(6022)] = 191135,
  [SMALL_STATE(6023)] = 191150,
  [SMALL_STATE(6024)] = 191169,
  [SMALL_STATE(6025)] = 191184,
  [SMALL_STATE(6026)] = 191199,
  [SMALL_STATE(6027)] = 191218,
  [SMALL_STATE(6028)] = 191233,
  [SMALL_STATE(6029)] = 191252,
  [SMALL_STATE(6030)] = 191271,
  [SMALL_STATE(6031)] = 191290,
  [SMALL_STATE(6032)] = 191309,
  [SMALL_STATE(6033)] = 191328,
  [SMALL_STATE(6034)] = 191343,
  [SMALL_STATE(6035)] = 191358,
  [SMALL_STATE(6036)] = 191373,
  [SMALL_STATE(6037)] = 191392,
  [SMALL_STATE(6038)] = 191411,
  [SMALL_STATE(6039)] = 191430,
  [SMALL_STATE(6040)] = 191445,
  [SMALL_STATE(6041)] = 191462,
  [SMALL_STATE(6042)] = 191477,
  [SMALL_STATE(6043)] = 191494,
  [SMALL_STATE(6044)] = 191509,
  [SMALL_STATE(6045)] = 191526,
  [SMALL_STATE(6046)] = 191545,
  [SMALL_STATE(6047)] = 191562,
  [SMALL_STATE(6048)] = 191579,
  [SMALL_STATE(6049)] = 191596,
  [SMALL_STATE(6050)] = 191615,
  [SMALL_STATE(6051)] = 191630,
  [SMALL_STATE(6052)] = 191645,
  [SMALL_STATE(6053)] = 191660,
  [SMALL_STATE(6054)] = 191679,
  [SMALL_STATE(6055)] = 191698,
  [SMALL_STATE(6056)] = 191715,
  [SMALL_STATE(6057)] = 191730,
  [SMALL_STATE(6058)] = 191747,
  [SMALL_STATE(6059)] = 191762,
  [SMALL_STATE(6060)] = 191777,
  [SMALL_STATE(6061)] = 191792,
  [SMALL_STATE(6062)] = 191807,
  [SMALL_STATE(6063)] = 191822,
  [SMALL_STATE(6064)] = 191837,
  [SMALL_STATE(6065)] = 191856,
  [SMALL_STATE(6066)] = 191871,
  [SMALL_STATE(6067)] = 191886,
  [SMALL_STATE(6068)] = 191901,
  [SMALL_STATE(6069)] = 191916,
  [SMALL_STATE(6070)] = 191931,
  [SMALL_STATE(6071)] = 191946,
  [SMALL_STATE(6072)] = 191961,
  [SMALL_STATE(6073)] = 191980,
  [SMALL_STATE(6074)] = 191995,
  [SMALL_STATE(6075)] = 192010,
  [SMALL_STATE(6076)] = 192029,
  [SMALL_STATE(6077)] = 192044,
  [SMALL_STATE(6078)] = 192061,
  [SMALL_STATE(6079)] = 192078,
  [SMALL_STATE(6080)] = 192097,
  [SMALL_STATE(6081)] = 192116,
  [SMALL_STATE(6082)] = 192131,
  [SMALL_STATE(6083)] = 192146,
  [SMALL_STATE(6084)] = 192165,
  [SMALL_STATE(6085)] = 192180,
  [SMALL_STATE(6086)] = 192199,
  [SMALL_STATE(6087)] = 192218,
  [SMALL_STATE(6088)] = 192233,
  [SMALL_STATE(6089)] = 192248,
  [SMALL_STATE(6090)] = 192263,
  [SMALL_STATE(6091)] = 192282,
  [SMALL_STATE(6092)] = 192297,
  [SMALL_STATE(6093)] = 192312,
  [SMALL_STATE(6094)] = 192331,
  [SMALL_STATE(6095)] = 192346,
  [SMALL_STATE(6096)] = 192365,
  [SMALL_STATE(6097)] = 192380,
  [SMALL_STATE(6098)] = 192395,
  [SMALL_STATE(6099)] = 192410,
  [SMALL_STATE(6100)] = 192425,
  [SMALL_STATE(6101)] = 192444,
  [SMALL_STATE(6102)] = 192459,
  [SMALL_STATE(6103)] = 192478,
  [SMALL_STATE(6104)] = 192497,
  [SMALL_STATE(6105)] = 192512,
  [SMALL_STATE(6106)] = 192531,
  [SMALL_STATE(6107)] = 192550,
  [SMALL_STATE(6108)] = 192569,
  [SMALL_STATE(6109)] = 192586,
  [SMALL_STATE(6110)] = 192605,
  [SMALL_STATE(6111)] = 192620,
  [SMALL_STATE(6112)] = 192635,
  [SMALL_STATE(6113)] = 192654,
  [SMALL_STATE(6114)] = 192669,
  [SMALL_STATE(6115)] = 192684,
  [SMALL_STATE(6116)] = 192699,
  [SMALL_STATE(6117)] = 192714,
  [SMALL_STATE(6118)] = 192729,
  [SMALL_STATE(6119)] = 192744,
  [SMALL_STATE(6120)] = 192759,
  [SMALL_STATE(6121)] = 192774,
  [SMALL_STATE(6122)] = 192789,
  [SMALL_STATE(6123)] = 192804,
  [SMALL_STATE(6124)] = 192819,
  [SMALL_STATE(6125)] = 192834,
  [SMALL_STATE(6126)] = 192853,
  [SMALL_STATE(6127)] = 192868,
  [SMALL_STATE(6128)] = 192883,
  [SMALL_STATE(6129)] = 192898,
  [SMALL_STATE(6130)] = 192913,
  [SMALL_STATE(6131)] = 192928,
  [SMALL_STATE(6132)] = 192943,
  [SMALL_STATE(6133)] = 192958,
  [SMALL_STATE(6134)] = 192977,
  [SMALL_STATE(6135)] = 192996,
  [SMALL_STATE(6136)] = 193015,
  [SMALL_STATE(6137)] = 193030,
  [SMALL_STATE(6138)] = 193045,
  [SMALL_STATE(6139)] = 193060,
  [SMALL_STATE(6140)] = 193075,
  [SMALL_STATE(6141)] = 193094,
  [SMALL_STATE(6142)] = 193109,
  [SMALL_STATE(6143)] = 193128,
  [SMALL_STATE(6144)] = 193143,
  [SMALL_STATE(6145)] = 193158,
  [SMALL_STATE(6146)] = 193173,
  [SMALL_STATE(6147)] = 193188,
  [SMALL_STATE(6148)] = 193203,
  [SMALL_STATE(6149)] = 193222,
  [SMALL_STATE(6150)] = 193237,
  [SMALL_STATE(6151)] = 193252,
  [SMALL_STATE(6152)] = 193267,
  [SMALL_STATE(6153)] = 193282,
  [SMALL_STATE(6154)] = 193297,
  [SMALL_STATE(6155)] = 193312,
  [SMALL_STATE(6156)] = 193331,
  [SMALL_STATE(6157)] = 193346,
  [SMALL_STATE(6158)] = 193361,
  [SMALL_STATE(6159)] = 193376,
  [SMALL_STATE(6160)] = 193391,
  [SMALL_STATE(6161)] = 193410,
  [SMALL_STATE(6162)] = 193425,
  [SMALL_STATE(6163)] = 193440,
  [SMALL_STATE(6164)] = 193455,
  [SMALL_STATE(6165)] = 193470,
  [SMALL_STATE(6166)] = 193485,
  [SMALL_STATE(6167)] = 193500,
  [SMALL_STATE(6168)] = 193515,
  [SMALL_STATE(6169)] = 193530,
  [SMALL_STATE(6170)] = 193545,
  [SMALL_STATE(6171)] = 193564,
  [SMALL_STATE(6172)] = 193579,
  [SMALL_STATE(6173)] = 193598,
  [SMALL_STATE(6174)] = 193617,
  [SMALL_STATE(6175)] = 193636,
  [SMALL_STATE(6176)] = 193653,
  [SMALL_STATE(6177)] = 193668,
  [SMALL_STATE(6178)] = 193683,
  [SMALL_STATE(6179)] = 193702,
  [SMALL_STATE(6180)] = 193721,
  [SMALL_STATE(6181)] = 193740,
  [SMALL_STATE(6182)] = 193755,
  [SMALL_STATE(6183)] = 193770,
  [SMALL_STATE(6184)] = 193785,
  [SMALL_STATE(6185)] = 193800,
  [SMALL_STATE(6186)] = 193815,
  [SMALL_STATE(6187)] = 193834,
  [SMALL_STATE(6188)] = 193851,
  [SMALL_STATE(6189)] = 193866,
  [SMALL_STATE(6190)] = 193881,
  [SMALL_STATE(6191)] = 193896,
  [SMALL_STATE(6192)] = 193915,
  [SMALL_STATE(6193)] = 193930,
  [SMALL_STATE(6194)] = 193949,
  [SMALL_STATE(6195)] = 193964,
  [SMALL_STATE(6196)] = 193979,
  [SMALL_STATE(6197)] = 193994,
  [SMALL_STATE(6198)] = 194009,
  [SMALL_STATE(6199)] = 194028,
  [SMALL_STATE(6200)] = 194047,
  [SMALL_STATE(6201)] = 194066,
  [SMALL_STATE(6202)] = 194081,
  [SMALL_STATE(6203)] = 194098,
  [SMALL_STATE(6204)] = 194117,
  [SMALL_STATE(6205)] = 194136,
  [SMALL_STATE(6206)] = 194151,
  [SMALL_STATE(6207)] = 194166,
  [SMALL_STATE(6208)] = 194183,
  [SMALL_STATE(6209)] = 194198,
  [SMALL_STATE(6210)] = 194217,
  [SMALL_STATE(6211)] = 194236,
  [SMALL_STATE(6212)] = 194251,
  [SMALL_STATE(6213)] = 194266,
  [SMALL_STATE(6214)] = 194281,
  [SMALL_STATE(6215)] = 194296,
  [SMALL_STATE(6216)] = 194311,
  [SMALL_STATE(6217)] = 194330,
  [SMALL_STATE(6218)] = 194345,
  [SMALL_STATE(6219)] = 194364,
  [SMALL_STATE(6220)] = 194379,
  [SMALL_STATE(6221)] = 194398,
  [SMALL_STATE(6222)] = 194417,
  [SMALL_STATE(6223)] = 194434,
  [SMALL_STATE(6224)] = 194453,
  [SMALL_STATE(6225)] = 194472,
  [SMALL_STATE(6226)] = 194491,
  [SMALL_STATE(6227)] = 194510,
  [SMALL_STATE(6228)] = 194525,
  [SMALL_STATE(6229)] = 194544,
  [SMALL_STATE(6230)] = 194559,
  [SMALL_STATE(6231)] = 194574,
  [SMALL_STATE(6232)] = 194589,
  [SMALL_STATE(6233)] = 194608,
  [SMALL_STATE(6234)] = 194623,
  [SMALL_STATE(6235)] = 194638,
  [SMALL_STATE(6236)] = 194653,
  [SMALL_STATE(6237)] = 194668,
  [SMALL_STATE(6238)] = 194683,
  [SMALL_STATE(6239)] = 194698,
  [SMALL_STATE(6240)] = 194713,
  [SMALL_STATE(6241)] = 194728,
  [SMALL_STATE(6242)] = 194743,
  [SMALL_STATE(6243)] = 194758,
  [SMALL_STATE(6244)] = 194777,
  [SMALL_STATE(6245)] = 194794,
  [SMALL_STATE(6246)] = 194809,
  [SMALL_STATE(6247)] = 194824,
  [SMALL_STATE(6248)] = 194839,
  [SMALL_STATE(6249)] = 194854,
  [SMALL_STATE(6250)] = 194869,
  [SMALL_STATE(6251)] = 194884,
  [SMALL_STATE(6252)] = 194899,
  [SMALL_STATE(6253)] = 194918,
  [SMALL_STATE(6254)] = 194933,
  [SMALL_STATE(6255)] = 194948,
  [SMALL_STATE(6256)] = 194963,
  [SMALL_STATE(6257)] = 194978,
  [SMALL_STATE(6258)] = 194993,
  [SMALL_STATE(6259)] = 195008,
  [SMALL_STATE(6260)] = 195025,
  [SMALL_STATE(6261)] = 195040,
  [SMALL_STATE(6262)] = 195055,
  [SMALL_STATE(6263)] = 195074,
  [SMALL_STATE(6264)] = 195093,
  [SMALL_STATE(6265)] = 195108,
  [SMALL_STATE(6266)] = 195125,
  [SMALL_STATE(6267)] = 195140,
  [SMALL_STATE(6268)] = 195157,
  [SMALL_STATE(6269)] = 195172,
  [SMALL_STATE(6270)] = 195187,
  [SMALL_STATE(6271)] = 195202,
  [SMALL_STATE(6272)] = 195217,
  [SMALL_STATE(6273)] = 195232,
  [SMALL_STATE(6274)] = 195247,
  [SMALL_STATE(6275)] = 195262,
  [SMALL_STATE(6276)] = 195277,
  [SMALL_STATE(6277)] = 195292,
  [SMALL_STATE(6278)] = 195309,
  [SMALL_STATE(6279)] = 195324,
  [SMALL_STATE(6280)] = 195343,
  [SMALL_STATE(6281)] = 195358,
  [SMALL_STATE(6282)] = 195377,
  [SMALL_STATE(6283)] = 195396,
  [SMALL_STATE(6284)] = 195411,
  [SMALL_STATE(6285)] = 195430,
  [SMALL_STATE(6286)] = 195447,
  [SMALL_STATE(6287)] = 195462,
  [SMALL_STATE(6288)] = 195477,
  [SMALL_STATE(6289)] = 195492,
  [SMALL_STATE(6290)] = 195507,
  [SMALL_STATE(6291)] = 195522,
  [SMALL_STATE(6292)] = 195537,
  [SMALL_STATE(6293)] = 195552,
  [SMALL_STATE(6294)] = 195567,
  [SMALL_STATE(6295)] = 195582,
  [SMALL_STATE(6296)] = 195597,
  [SMALL_STATE(6297)] = 195616,
  [SMALL_STATE(6298)] = 195635,
  [SMALL_STATE(6299)] = 195654,
  [SMALL_STATE(6300)] = 195673,
  [SMALL_STATE(6301)] = 195692,
  [SMALL_STATE(6302)] = 195711,
  [SMALL_STATE(6303)] = 195730,
  [SMALL_STATE(6304)] = 195745,
  [SMALL_STATE(6305)] = 195764,
  [SMALL_STATE(6306)] = 195783,
  [SMALL_STATE(6307)] = 195802,
  [SMALL_STATE(6308)] = 195819,
  [SMALL_STATE(6309)] = 195834,
  [SMALL_STATE(6310)] = 195853,
  [SMALL_STATE(6311)] = 195872,
  [SMALL_STATE(6312)] = 195891,
  [SMALL_STATE(6313)] = 195910,
  [SMALL_STATE(6314)] = 195929,
  [SMALL_STATE(6315)] = 195944,
  [SMALL_STATE(6316)] = 195959,
  [SMALL_STATE(6317)] = 195976,
  [SMALL_STATE(6318)] = 195995,
  [SMALL_STATE(6319)] = 196010,
  [SMALL_STATE(6320)] = 196025,
  [SMALL_STATE(6321)] = 196042,
  [SMALL_STATE(6322)] = 196059,
  [SMALL_STATE(6323)] = 196074,
  [SMALL_STATE(6324)] = 196089,
  [SMALL_STATE(6325)] = 196104,
  [SMALL_STATE(6326)] = 196119,
  [SMALL_STATE(6327)] = 196138,
  [SMALL_STATE(6328)] = 196153,
  [SMALL_STATE(6329)] = 196172,
  [SMALL_STATE(6330)] = 196191,
  [SMALL_STATE(6331)] = 196210,
  [SMALL_STATE(6332)] = 196229,
  [SMALL_STATE(6333)] = 196248,
  [SMALL_STATE(6334)] = 196267,
  [SMALL_STATE(6335)] = 196286,
  [SMALL_STATE(6336)] = 196301,
  [SMALL_STATE(6337)] = 196316,
  [SMALL_STATE(6338)] = 196331,
  [SMALL_STATE(6339)] = 196350,
  [SMALL_STATE(6340)] = 196369,
  [SMALL_STATE(6341)] = 196388,
  [SMALL_STATE(6342)] = 196407,
  [SMALL_STATE(6343)] = 196426,
  [SMALL_STATE(6344)] = 196445,
  [SMALL_STATE(6345)] = 196464,
  [SMALL_STATE(6346)] = 196481,
  [SMALL_STATE(6347)] = 196500,
  [SMALL_STATE(6348)] = 196517,
  [SMALL_STATE(6349)] = 196536,
  [SMALL_STATE(6350)] = 196551,
  [SMALL_STATE(6351)] = 196570,
  [SMALL_STATE(6352)] = 196585,
  [SMALL_STATE(6353)] = 196602,
  [SMALL_STATE(6354)] = 196621,
  [SMALL_STATE(6355)] = 196636,
  [SMALL_STATE(6356)] = 196651,
  [SMALL_STATE(6357)] = 196666,
  [SMALL_STATE(6358)] = 196685,
  [SMALL_STATE(6359)] = 196704,
  [SMALL_STATE(6360)] = 196719,
  [SMALL_STATE(6361)] = 196734,
  [SMALL_STATE(6362)] = 196753,
  [SMALL_STATE(6363)] = 196772,
  [SMALL_STATE(6364)] = 196791,
  [SMALL_STATE(6365)] = 196806,
  [SMALL_STATE(6366)] = 196821,
  [SMALL_STATE(6367)] = 196836,
  [SMALL_STATE(6368)] = 196851,
  [SMALL_STATE(6369)] = 196866,
  [SMALL_STATE(6370)] = 196881,
  [SMALL_STATE(6371)] = 196900,
  [SMALL_STATE(6372)] = 196919,
  [SMALL_STATE(6373)] = 196938,
  [SMALL_STATE(6374)] = 196953,
  [SMALL_STATE(6375)] = 196972,
  [SMALL_STATE(6376)] = 196991,
  [SMALL_STATE(6377)] = 197010,
  [SMALL_STATE(6378)] = 197025,
  [SMALL_STATE(6379)] = 197044,
  [SMALL_STATE(6380)] = 197061,
  [SMALL_STATE(6381)] = 197076,
  [SMALL_STATE(6382)] = 197091,
  [SMALL_STATE(6383)] = 197108,
  [SMALL_STATE(6384)] = 197123,
  [SMALL_STATE(6385)] = 197138,
  [SMALL_STATE(6386)] = 197157,
  [SMALL_STATE(6387)] = 197172,
  [SMALL_STATE(6388)] = 197191,
  [SMALL_STATE(6389)] = 197206,
  [SMALL_STATE(6390)] = 197221,
  [SMALL_STATE(6391)] = 197236,
  [SMALL_STATE(6392)] = 197251,
  [SMALL_STATE(6393)] = 197266,
  [SMALL_STATE(6394)] = 197281,
  [SMALL_STATE(6395)] = 197296,
  [SMALL_STATE(6396)] = 197312,
  [SMALL_STATE(6397)] = 197326,
  [SMALL_STATE(6398)] = 197342,
  [SMALL_STATE(6399)] = 197356,
  [SMALL_STATE(6400)] = 197372,
  [SMALL_STATE(6401)] = 197386,
  [SMALL_STATE(6402)] = 197402,
  [SMALL_STATE(6403)] = 197416,
  [SMALL_STATE(6404)] = 197430,
  [SMALL_STATE(6405)] = 197446,
  [SMALL_STATE(6406)] = 197462,
  [SMALL_STATE(6407)] = 197476,
  [SMALL_STATE(6408)] = 197492,
  [SMALL_STATE(6409)] = 197508,
  [SMALL_STATE(6410)] = 197524,
  [SMALL_STATE(6411)] = 197540,
  [SMALL_STATE(6412)] = 197554,
  [SMALL_STATE(6413)] = 197570,
  [SMALL_STATE(6414)] = 197586,
  [SMALL_STATE(6415)] = 197602,
  [SMALL_STATE(6416)] = 197618,
  [SMALL_STATE(6417)] = 197634,
  [SMALL_STATE(6418)] = 197648,
  [SMALL_STATE(6419)] = 197664,
  [SMALL_STATE(6420)] = 197680,
  [SMALL_STATE(6421)] = 197694,
  [SMALL_STATE(6422)] = 197708,
  [SMALL_STATE(6423)] = 197724,
  [SMALL_STATE(6424)] = 197738,
  [SMALL_STATE(6425)] = 197754,
  [SMALL_STATE(6426)] = 197770,
  [SMALL_STATE(6427)] = 197786,
  [SMALL_STATE(6428)] = 197802,
  [SMALL_STATE(6429)] = 197818,
  [SMALL_STATE(6430)] = 197834,
  [SMALL_STATE(6431)] = 197850,
  [SMALL_STATE(6432)] = 197866,
  [SMALL_STATE(6433)] = 197882,
  [SMALL_STATE(6434)] = 197898,
  [SMALL_STATE(6435)] = 197914,
  [SMALL_STATE(6436)] = 197930,
  [SMALL_STATE(6437)] = 197946,
  [SMALL_STATE(6438)] = 197960,
  [SMALL_STATE(6439)] = 197976,
  [SMALL_STATE(6440)] = 197990,
  [SMALL_STATE(6441)] = 198006,
  [SMALL_STATE(6442)] = 198022,
  [SMALL_STATE(6443)] = 198038,
  [SMALL_STATE(6444)] = 198054,
  [SMALL_STATE(6445)] = 198070,
  [SMALL_STATE(6446)] = 198086,
  [SMALL_STATE(6447)] = 198102,
  [SMALL_STATE(6448)] = 198116,
  [SMALL_STATE(6449)] = 198132,
  [SMALL_STATE(6450)] = 198146,
  [SMALL_STATE(6451)] = 198160,
  [SMALL_STATE(6452)] = 198176,
  [SMALL_STATE(6453)] = 198192,
  [SMALL_STATE(6454)] = 198208,
  [SMALL_STATE(6455)] = 198224,
  [SMALL_STATE(6456)] = 198240,
  [SMALL_STATE(6457)] = 198256,
  [SMALL_STATE(6458)] = 198272,
  [SMALL_STATE(6459)] = 198288,
  [SMALL_STATE(6460)] = 198304,
  [SMALL_STATE(6461)] = 198320,
  [SMALL_STATE(6462)] = 198336,
  [SMALL_STATE(6463)] = 198352,
  [SMALL_STATE(6464)] = 198368,
  [SMALL_STATE(6465)] = 198384,
  [SMALL_STATE(6466)] = 198398,
  [SMALL_STATE(6467)] = 198414,
  [SMALL_STATE(6468)] = 198430,
  [SMALL_STATE(6469)] = 198444,
  [SMALL_STATE(6470)] = 198460,
  [SMALL_STATE(6471)] = 198476,
  [SMALL_STATE(6472)] = 198492,
  [SMALL_STATE(6473)] = 198508,
  [SMALL_STATE(6474)] = 198522,
  [SMALL_STATE(6475)] = 198538,
  [SMALL_STATE(6476)] = 198554,
  [SMALL_STATE(6477)] = 198570,
  [SMALL_STATE(6478)] = 198586,
  [SMALL_STATE(6479)] = 198600,
  [SMALL_STATE(6480)] = 198616,
  [SMALL_STATE(6481)] = 198632,
  [SMALL_STATE(6482)] = 198648,
  [SMALL_STATE(6483)] = 198664,
  [SMALL_STATE(6484)] = 198680,
  [SMALL_STATE(6485)] = 198694,
  [SMALL_STATE(6486)] = 198710,
  [SMALL_STATE(6487)] = 198726,
  [SMALL_STATE(6488)] = 198742,
  [SMALL_STATE(6489)] = 198758,
  [SMALL_STATE(6490)] = 198774,
  [SMALL_STATE(6491)] = 198790,
  [SMALL_STATE(6492)] = 198804,
  [SMALL_STATE(6493)] = 198820,
  [SMALL_STATE(6494)] = 198836,
  [SMALL_STATE(6495)] = 198850,
  [SMALL_STATE(6496)] = 198866,
  [SMALL_STATE(6497)] = 198882,
  [SMALL_STATE(6498)] = 198896,
  [SMALL_STATE(6499)] = 198910,
  [SMALL_STATE(6500)] = 198926,
  [SMALL_STATE(6501)] = 198942,
  [SMALL_STATE(6502)] = 198956,
  [SMALL_STATE(6503)] = 198972,
  [SMALL_STATE(6504)] = 198986,
  [SMALL_STATE(6505)] = 199000,
  [SMALL_STATE(6506)] = 199016,
  [SMALL_STATE(6507)] = 199030,
  [SMALL_STATE(6508)] = 199046,
  [SMALL_STATE(6509)] = 199062,
  [SMALL_STATE(6510)] = 199078,
  [SMALL_STATE(6511)] = 199094,
  [SMALL_STATE(6512)] = 199110,
  [SMALL_STATE(6513)] = 199126,
  [SMALL_STATE(6514)] = 199140,
  [SMALL_STATE(6515)] = 199154,
  [SMALL_STATE(6516)] = 199170,
  [SMALL_STATE(6517)] = 199186,
  [SMALL_STATE(6518)] = 199202,
  [SMALL_STATE(6519)] = 199218,
  [SMALL_STATE(6520)] = 199232,
  [SMALL_STATE(6521)] = 199248,
  [SMALL_STATE(6522)] = 199264,
  [SMALL_STATE(6523)] = 199280,
  [SMALL_STATE(6524)] = 199294,
  [SMALL_STATE(6525)] = 199310,
  [SMALL_STATE(6526)] = 199326,
  [SMALL_STATE(6527)] = 199342,
  [SMALL_STATE(6528)] = 199358,
  [SMALL_STATE(6529)] = 199374,
  [SMALL_STATE(6530)] = 199390,
  [SMALL_STATE(6531)] = 199406,
  [SMALL_STATE(6532)] = 199422,
  [SMALL_STATE(6533)] = 199436,
  [SMALL_STATE(6534)] = 199452,
  [SMALL_STATE(6535)] = 199468,
  [SMALL_STATE(6536)] = 199484,
  [SMALL_STATE(6537)] = 199500,
  [SMALL_STATE(6538)] = 199514,
  [SMALL_STATE(6539)] = 199528,
  [SMALL_STATE(6540)] = 199544,
  [SMALL_STATE(6541)] = 199560,
  [SMALL_STATE(6542)] = 199576,
  [SMALL_STATE(6543)] = 199592,
  [SMALL_STATE(6544)] = 199608,
  [SMALL_STATE(6545)] = 199624,
  [SMALL_STATE(6546)] = 199638,
  [SMALL_STATE(6547)] = 199654,
  [SMALL_STATE(6548)] = 199670,
  [SMALL_STATE(6549)] = 199684,
  [SMALL_STATE(6550)] = 199700,
  [SMALL_STATE(6551)] = 199716,
  [SMALL_STATE(6552)] = 199730,
  [SMALL_STATE(6553)] = 199746,
  [SMALL_STATE(6554)] = 199762,
  [SMALL_STATE(6555)] = 199778,
  [SMALL_STATE(6556)] = 199792,
  [SMALL_STATE(6557)] = 199808,
  [SMALL_STATE(6558)] = 199824,
  [SMALL_STATE(6559)] = 199838,
  [SMALL_STATE(6560)] = 199852,
  [SMALL_STATE(6561)] = 199868,
  [SMALL_STATE(6562)] = 199884,
  [SMALL_STATE(6563)] = 199900,
  [SMALL_STATE(6564)] = 199916,
  [SMALL_STATE(6565)] = 199930,
  [SMALL_STATE(6566)] = 199946,
  [SMALL_STATE(6567)] = 199960,
  [SMALL_STATE(6568)] = 199976,
  [SMALL_STATE(6569)] = 199990,
  [SMALL_STATE(6570)] = 200006,
  [SMALL_STATE(6571)] = 200022,
  [SMALL_STATE(6572)] = 200036,
  [SMALL_STATE(6573)] = 200050,
  [SMALL_STATE(6574)] = 200066,
  [SMALL_STATE(6575)] = 200082,
  [SMALL_STATE(6576)] = 200098,
  [SMALL_STATE(6577)] = 200112,
  [SMALL_STATE(6578)] = 200128,
  [SMALL_STATE(6579)] = 200144,
  [SMALL_STATE(6580)] = 200160,
  [SMALL_STATE(6581)] = 200174,
  [SMALL_STATE(6582)] = 200190,
  [SMALL_STATE(6583)] = 200204,
  [SMALL_STATE(6584)] = 200218,
  [SMALL_STATE(6585)] = 200232,
  [SMALL_STATE(6586)] = 200246,
  [SMALL_STATE(6587)] = 200260,
  [SMALL_STATE(6588)] = 200274,
  [SMALL_STATE(6589)] = 200290,
  [SMALL_STATE(6590)] = 200304,
  [SMALL_STATE(6591)] = 200318,
  [SMALL_STATE(6592)] = 200332,
  [SMALL_STATE(6593)] = 200348,
  [SMALL_STATE(6594)] = 200362,
  [SMALL_STATE(6595)] = 200376,
  [SMALL_STATE(6596)] = 200390,
  [SMALL_STATE(6597)] = 200404,
  [SMALL_STATE(6598)] = 200418,
  [SMALL_STATE(6599)] = 200432,
  [SMALL_STATE(6600)] = 200448,
  [SMALL_STATE(6601)] = 200462,
  [SMALL_STATE(6602)] = 200476,
  [SMALL_STATE(6603)] = 200490,
  [SMALL_STATE(6604)] = 200504,
  [SMALL_STATE(6605)] = 200518,
  [SMALL_STATE(6606)] = 200532,
  [SMALL_STATE(6607)] = 200546,
  [SMALL_STATE(6608)] = 200562,
  [SMALL_STATE(6609)] = 200576,
  [SMALL_STATE(6610)] = 200590,
  [SMALL_STATE(6611)] = 200604,
  [SMALL_STATE(6612)] = 200618,
  [SMALL_STATE(6613)] = 200634,
  [SMALL_STATE(6614)] = 200648,
  [SMALL_STATE(6615)] = 200662,
  [SMALL_STATE(6616)] = 200676,
  [SMALL_STATE(6617)] = 200692,
  [SMALL_STATE(6618)] = 200706,
  [SMALL_STATE(6619)] = 200720,
  [SMALL_STATE(6620)] = 200734,
  [SMALL_STATE(6621)] = 200748,
  [SMALL_STATE(6622)] = 200762,
  [SMALL_STATE(6623)] = 200776,
  [SMALL_STATE(6624)] = 200792,
  [SMALL_STATE(6625)] = 200808,
  [SMALL_STATE(6626)] = 200822,
  [SMALL_STATE(6627)] = 200838,
  [SMALL_STATE(6628)] = 200854,
  [SMALL_STATE(6629)] = 200870,
  [SMALL_STATE(6630)] = 200886,
  [SMALL_STATE(6631)] = 200902,
  [SMALL_STATE(6632)] = 200916,
  [SMALL_STATE(6633)] = 200932,
  [SMALL_STATE(6634)] = 200946,
  [SMALL_STATE(6635)] = 200960,
  [SMALL_STATE(6636)] = 200974,
  [SMALL_STATE(6637)] = 200990,
  [SMALL_STATE(6638)] = 201006,
  [SMALL_STATE(6639)] = 201022,
  [SMALL_STATE(6640)] = 201038,
  [SMALL_STATE(6641)] = 201054,
  [SMALL_STATE(6642)] = 201068,
  [SMALL_STATE(6643)] = 201082,
  [SMALL_STATE(6644)] = 201098,
  [SMALL_STATE(6645)] = 201112,
  [SMALL_STATE(6646)] = 201126,
  [SMALL_STATE(6647)] = 201142,
  [SMALL_STATE(6648)] = 201158,
  [SMALL_STATE(6649)] = 201172,
  [SMALL_STATE(6650)] = 201188,
  [SMALL_STATE(6651)] = 201202,
  [SMALL_STATE(6652)] = 201218,
  [SMALL_STATE(6653)] = 201234,
  [SMALL_STATE(6654)] = 201248,
  [SMALL_STATE(6655)] = 201264,
  [SMALL_STATE(6656)] = 201278,
  [SMALL_STATE(6657)] = 201294,
  [SMALL_STATE(6658)] = 201308,
  [SMALL_STATE(6659)] = 201324,
  [SMALL_STATE(6660)] = 201338,
  [SMALL_STATE(6661)] = 201354,
  [SMALL_STATE(6662)] = 201368,
  [SMALL_STATE(6663)] = 201384,
  [SMALL_STATE(6664)] = 201398,
  [SMALL_STATE(6665)] = 201414,
  [SMALL_STATE(6666)] = 201428,
  [SMALL_STATE(6667)] = 201442,
  [SMALL_STATE(6668)] = 201456,
  [SMALL_STATE(6669)] = 201470,
  [SMALL_STATE(6670)] = 201486,
  [SMALL_STATE(6671)] = 201502,
  [SMALL_STATE(6672)] = 201518,
  [SMALL_STATE(6673)] = 201532,
  [SMALL_STATE(6674)] = 201546,
  [SMALL_STATE(6675)] = 201562,
  [SMALL_STATE(6676)] = 201578,
  [SMALL_STATE(6677)] = 201592,
  [SMALL_STATE(6678)] = 201608,
  [SMALL_STATE(6679)] = 201622,
  [SMALL_STATE(6680)] = 201638,
  [SMALL_STATE(6681)] = 201654,
  [SMALL_STATE(6682)] = 201670,
  [SMALL_STATE(6683)] = 201684,
  [SMALL_STATE(6684)] = 201700,
  [SMALL_STATE(6685)] = 201714,
  [SMALL_STATE(6686)] = 201730,
  [SMALL_STATE(6687)] = 201746,
  [SMALL_STATE(6688)] = 201760,
  [SMALL_STATE(6689)] = 201774,
  [SMALL_STATE(6690)] = 201788,
  [SMALL_STATE(6691)] = 201802,
  [SMALL_STATE(6692)] = 201818,
  [SMALL_STATE(6693)] = 201834,
  [SMALL_STATE(6694)] = 201850,
  [SMALL_STATE(6695)] = 201866,
  [SMALL_STATE(6696)] = 201882,
  [SMALL_STATE(6697)] = 201898,
  [SMALL_STATE(6698)] = 201914,
  [SMALL_STATE(6699)] = 201928,
  [SMALL_STATE(6700)] = 201944,
  [SMALL_STATE(6701)] = 201960,
  [SMALL_STATE(6702)] = 201974,
  [SMALL_STATE(6703)] = 201988,
  [SMALL_STATE(6704)] = 202002,
  [SMALL_STATE(6705)] = 202018,
  [SMALL_STATE(6706)] = 202032,
  [SMALL_STATE(6707)] = 202046,
  [SMALL_STATE(6708)] = 202060,
  [SMALL_STATE(6709)] = 202076,
  [SMALL_STATE(6710)] = 202090,
  [SMALL_STATE(6711)] = 202104,
  [SMALL_STATE(6712)] = 202118,
  [SMALL_STATE(6713)] = 202134,
  [SMALL_STATE(6714)] = 202150,
  [SMALL_STATE(6715)] = 202166,
  [SMALL_STATE(6716)] = 202180,
  [SMALL_STATE(6717)] = 202196,
  [SMALL_STATE(6718)] = 202212,
  [SMALL_STATE(6719)] = 202226,
  [SMALL_STATE(6720)] = 202240,
  [SMALL_STATE(6721)] = 202254,
  [SMALL_STATE(6722)] = 202270,
  [SMALL_STATE(6723)] = 202286,
  [SMALL_STATE(6724)] = 202300,
  [SMALL_STATE(6725)] = 202316,
  [SMALL_STATE(6726)] = 202330,
  [SMALL_STATE(6727)] = 202344,
  [SMALL_STATE(6728)] = 202358,
  [SMALL_STATE(6729)] = 202372,
  [SMALL_STATE(6730)] = 202388,
  [SMALL_STATE(6731)] = 202404,
  [SMALL_STATE(6732)] = 202420,
  [SMALL_STATE(6733)] = 202436,
  [SMALL_STATE(6734)] = 202452,
  [SMALL_STATE(6735)] = 202466,
  [SMALL_STATE(6736)] = 202482,
  [SMALL_STATE(6737)] = 202498,
  [SMALL_STATE(6738)] = 202514,
  [SMALL_STATE(6739)] = 202528,
  [SMALL_STATE(6740)] = 202542,
  [SMALL_STATE(6741)] = 202556,
  [SMALL_STATE(6742)] = 202570,
  [SMALL_STATE(6743)] = 202586,
  [SMALL_STATE(6744)] = 202602,
  [SMALL_STATE(6745)] = 202618,
  [SMALL_STATE(6746)] = 202634,
  [SMALL_STATE(6747)] = 202648,
  [SMALL_STATE(6748)] = 202664,
  [SMALL_STATE(6749)] = 202678,
  [SMALL_STATE(6750)] = 202692,
  [SMALL_STATE(6751)] = 202706,
  [SMALL_STATE(6752)] = 202720,
  [SMALL_STATE(6753)] = 202734,
  [SMALL_STATE(6754)] = 202748,
  [SMALL_STATE(6755)] = 202764,
  [SMALL_STATE(6756)] = 202778,
  [SMALL_STATE(6757)] = 202792,
  [SMALL_STATE(6758)] = 202808,
  [SMALL_STATE(6759)] = 202824,
  [SMALL_STATE(6760)] = 202840,
  [SMALL_STATE(6761)] = 202854,
  [SMALL_STATE(6762)] = 202868,
  [SMALL_STATE(6763)] = 202884,
  [SMALL_STATE(6764)] = 202898,
  [SMALL_STATE(6765)] = 202914,
  [SMALL_STATE(6766)] = 202930,
  [SMALL_STATE(6767)] = 202946,
  [SMALL_STATE(6768)] = 202960,
  [SMALL_STATE(6769)] = 202976,
  [SMALL_STATE(6770)] = 202992,
  [SMALL_STATE(6771)] = 203008,
  [SMALL_STATE(6772)] = 203024,
  [SMALL_STATE(6773)] = 203038,
  [SMALL_STATE(6774)] = 203054,
  [SMALL_STATE(6775)] = 203068,
  [SMALL_STATE(6776)] = 203082,
  [SMALL_STATE(6777)] = 203096,
  [SMALL_STATE(6778)] = 203112,
  [SMALL_STATE(6779)] = 203126,
  [SMALL_STATE(6780)] = 203142,
  [SMALL_STATE(6781)] = 203156,
  [SMALL_STATE(6782)] = 203172,
  [SMALL_STATE(6783)] = 203188,
  [SMALL_STATE(6784)] = 203204,
  [SMALL_STATE(6785)] = 203220,
  [SMALL_STATE(6786)] = 203236,
  [SMALL_STATE(6787)] = 203252,
  [SMALL_STATE(6788)] = 203266,
  [SMALL_STATE(6789)] = 203282,
  [SMALL_STATE(6790)] = 203298,
  [SMALL_STATE(6791)] = 203314,
  [SMALL_STATE(6792)] = 203330,
  [SMALL_STATE(6793)] = 203344,
  [SMALL_STATE(6794)] = 203360,
  [SMALL_STATE(6795)] = 203376,
  [SMALL_STATE(6796)] = 203392,
  [SMALL_STATE(6797)] = 203406,
  [SMALL_STATE(6798)] = 203422,
  [SMALL_STATE(6799)] = 203438,
  [SMALL_STATE(6800)] = 203454,
  [SMALL_STATE(6801)] = 203470,
  [SMALL_STATE(6802)] = 203486,
  [SMALL_STATE(6803)] = 203502,
  [SMALL_STATE(6804)] = 203516,
  [SMALL_STATE(6805)] = 203532,
  [SMALL_STATE(6806)] = 203548,
  [SMALL_STATE(6807)] = 203564,
  [SMALL_STATE(6808)] = 203580,
  [SMALL_STATE(6809)] = 203596,
  [SMALL_STATE(6810)] = 203610,
  [SMALL_STATE(6811)] = 203626,
  [SMALL_STATE(6812)] = 203640,
  [SMALL_STATE(6813)] = 203656,
  [SMALL_STATE(6814)] = 203672,
  [SMALL_STATE(6815)] = 203686,
  [SMALL_STATE(6816)] = 203702,
  [SMALL_STATE(6817)] = 203718,
  [SMALL_STATE(6818)] = 203732,
  [SMALL_STATE(6819)] = 203746,
  [SMALL_STATE(6820)] = 203760,
  [SMALL_STATE(6821)] = 203774,
  [SMALL_STATE(6822)] = 203790,
  [SMALL_STATE(6823)] = 203806,
  [SMALL_STATE(6824)] = 203820,
  [SMALL_STATE(6825)] = 203836,
  [SMALL_STATE(6826)] = 203850,
  [SMALL_STATE(6827)] = 203866,
  [SMALL_STATE(6828)] = 203882,
  [SMALL_STATE(6829)] = 203898,
  [SMALL_STATE(6830)] = 203914,
  [SMALL_STATE(6831)] = 203928,
  [SMALL_STATE(6832)] = 203944,
  [SMALL_STATE(6833)] = 203960,
  [SMALL_STATE(6834)] = 203976,
  [SMALL_STATE(6835)] = 203992,
  [SMALL_STATE(6836)] = 204008,
  [SMALL_STATE(6837)] = 204022,
  [SMALL_STATE(6838)] = 204038,
  [SMALL_STATE(6839)] = 204054,
  [SMALL_STATE(6840)] = 204070,
  [SMALL_STATE(6841)] = 204086,
  [SMALL_STATE(6842)] = 204100,
  [SMALL_STATE(6843)] = 204114,
  [SMALL_STATE(6844)] = 204130,
  [SMALL_STATE(6845)] = 204144,
  [SMALL_STATE(6846)] = 204160,
  [SMALL_STATE(6847)] = 204176,
  [SMALL_STATE(6848)] = 204192,
  [SMALL_STATE(6849)] = 204208,
  [SMALL_STATE(6850)] = 204224,
  [SMALL_STATE(6851)] = 204240,
  [SMALL_STATE(6852)] = 204256,
  [SMALL_STATE(6853)] = 204272,
  [SMALL_STATE(6854)] = 204288,
  [SMALL_STATE(6855)] = 204302,
  [SMALL_STATE(6856)] = 204316,
  [SMALL_STATE(6857)] = 204332,
  [SMALL_STATE(6858)] = 204348,
  [SMALL_STATE(6859)] = 204364,
  [SMALL_STATE(6860)] = 204380,
  [SMALL_STATE(6861)] = 204396,
  [SMALL_STATE(6862)] = 204410,
  [SMALL_STATE(6863)] = 204426,
  [SMALL_STATE(6864)] = 204440,
  [SMALL_STATE(6865)] = 204456,
  [SMALL_STATE(6866)] = 204472,
  [SMALL_STATE(6867)] = 204488,
  [SMALL_STATE(6868)] = 204502,
  [SMALL_STATE(6869)] = 204518,
  [SMALL_STATE(6870)] = 204534,
  [SMALL_STATE(6871)] = 204550,
  [SMALL_STATE(6872)] = 204564,
  [SMALL_STATE(6873)] = 204580,
  [SMALL_STATE(6874)] = 204594,
  [SMALL_STATE(6875)] = 204610,
  [SMALL_STATE(6876)] = 204624,
  [SMALL_STATE(6877)] = 204638,
  [SMALL_STATE(6878)] = 204654,
  [SMALL_STATE(6879)] = 204670,
  [SMALL_STATE(6880)] = 204686,
  [SMALL_STATE(6881)] = 204700,
  [SMALL_STATE(6882)] = 204716,
  [SMALL_STATE(6883)] = 204732,
  [SMALL_STATE(6884)] = 204746,
  [SMALL_STATE(6885)] = 204762,
  [SMALL_STATE(6886)] = 204778,
  [SMALL_STATE(6887)] = 204792,
  [SMALL_STATE(6888)] = 204808,
  [SMALL_STATE(6889)] = 204824,
  [SMALL_STATE(6890)] = 204840,
  [SMALL_STATE(6891)] = 204854,
  [SMALL_STATE(6892)] = 204870,
  [SMALL_STATE(6893)] = 204886,
  [SMALL_STATE(6894)] = 204902,
  [SMALL_STATE(6895)] = 204918,
  [SMALL_STATE(6896)] = 204934,
  [SMALL_STATE(6897)] = 204950,
  [SMALL_STATE(6898)] = 204966,
  [SMALL_STATE(6899)] = 204982,
  [SMALL_STATE(6900)] = 204998,
  [SMALL_STATE(6901)] = 205012,
  [SMALL_STATE(6902)] = 205028,
  [SMALL_STATE(6903)] = 205044,
  [SMALL_STATE(6904)] = 205058,
  [SMALL_STATE(6905)] = 205074,
  [SMALL_STATE(6906)] = 205088,
  [SMALL_STATE(6907)] = 205104,
  [SMALL_STATE(6908)] = 205120,
  [SMALL_STATE(6909)] = 205136,
  [SMALL_STATE(6910)] = 205150,
  [SMALL_STATE(6911)] = 205164,
  [SMALL_STATE(6912)] = 205180,
  [SMALL_STATE(6913)] = 205196,
  [SMALL_STATE(6914)] = 205212,
  [SMALL_STATE(6915)] = 205226,
  [SMALL_STATE(6916)] = 205242,
  [SMALL_STATE(6917)] = 205258,
  [SMALL_STATE(6918)] = 205274,
  [SMALL_STATE(6919)] = 205290,
  [SMALL_STATE(6920)] = 205304,
  [SMALL_STATE(6921)] = 205318,
  [SMALL_STATE(6922)] = 205334,
  [SMALL_STATE(6923)] = 205350,
  [SMALL_STATE(6924)] = 205364,
  [SMALL_STATE(6925)] = 205378,
  [SMALL_STATE(6926)] = 205394,
  [SMALL_STATE(6927)] = 205410,
  [SMALL_STATE(6928)] = 205426,
  [SMALL_STATE(6929)] = 205442,
  [SMALL_STATE(6930)] = 205458,
  [SMALL_STATE(6931)] = 205472,
  [SMALL_STATE(6932)] = 205486,
  [SMALL_STATE(6933)] = 205500,
  [SMALL_STATE(6934)] = 205516,
  [SMALL_STATE(6935)] = 205532,
  [SMALL_STATE(6936)] = 205546,
  [SMALL_STATE(6937)] = 205562,
  [SMALL_STATE(6938)] = 205578,
  [SMALL_STATE(6939)] = 205592,
  [SMALL_STATE(6940)] = 205608,
  [SMALL_STATE(6941)] = 205622,
  [SMALL_STATE(6942)] = 205638,
  [SMALL_STATE(6943)] = 205652,
  [SMALL_STATE(6944)] = 205666,
  [SMALL_STATE(6945)] = 205682,
  [SMALL_STATE(6946)] = 205696,
  [SMALL_STATE(6947)] = 205710,
  [SMALL_STATE(6948)] = 205726,
  [SMALL_STATE(6949)] = 205740,
  [SMALL_STATE(6950)] = 205756,
  [SMALL_STATE(6951)] = 205770,
  [SMALL_STATE(6952)] = 205784,
  [SMALL_STATE(6953)] = 205800,
  [SMALL_STATE(6954)] = 205814,
  [SMALL_STATE(6955)] = 205830,
  [SMALL_STATE(6956)] = 205846,
  [SMALL_STATE(6957)] = 205862,
  [SMALL_STATE(6958)] = 205878,
  [SMALL_STATE(6959)] = 205892,
  [SMALL_STATE(6960)] = 205906,
  [SMALL_STATE(6961)] = 205920,
  [SMALL_STATE(6962)] = 205934,
  [SMALL_STATE(6963)] = 205950,
  [SMALL_STATE(6964)] = 205964,
  [SMALL_STATE(6965)] = 205978,
  [SMALL_STATE(6966)] = 205994,
  [SMALL_STATE(6967)] = 206010,
  [SMALL_STATE(6968)] = 206024,
  [SMALL_STATE(6969)] = 206038,
  [SMALL_STATE(6970)] = 206052,
  [SMALL_STATE(6971)] = 206066,
  [SMALL_STATE(6972)] = 206082,
  [SMALL_STATE(6973)] = 206098,
  [SMALL_STATE(6974)] = 206114,
  [SMALL_STATE(6975)] = 206130,
  [SMALL_STATE(6976)] = 206146,
  [SMALL_STATE(6977)] = 206160,
  [SMALL_STATE(6978)] = 206176,
  [SMALL_STATE(6979)] = 206190,
  [SMALL_STATE(6980)] = 206206,
  [SMALL_STATE(6981)] = 206222,
  [SMALL_STATE(6982)] = 206236,
  [SMALL_STATE(6983)] = 206250,
  [SMALL_STATE(6984)] = 206266,
  [SMALL_STATE(6985)] = 206280,
  [SMALL_STATE(6986)] = 206294,
  [SMALL_STATE(6987)] = 206310,
  [SMALL_STATE(6988)] = 206326,
  [SMALL_STATE(6989)] = 206340,
  [SMALL_STATE(6990)] = 206356,
  [SMALL_STATE(6991)] = 206372,
  [SMALL_STATE(6992)] = 206386,
  [SMALL_STATE(6993)] = 206400,
  [SMALL_STATE(6994)] = 206414,
  [SMALL_STATE(6995)] = 206428,
  [SMALL_STATE(6996)] = 206442,
  [SMALL_STATE(6997)] = 206456,
  [SMALL_STATE(6998)] = 206472,
  [SMALL_STATE(6999)] = 206488,
  [SMALL_STATE(7000)] = 206504,
  [SMALL_STATE(7001)] = 206518,
  [SMALL_STATE(7002)] = 206534,
  [SMALL_STATE(7003)] = 206548,
  [SMALL_STATE(7004)] = 206564,
  [SMALL_STATE(7005)] = 206578,
  [SMALL_STATE(7006)] = 206594,
  [SMALL_STATE(7007)] = 206608,
  [SMALL_STATE(7008)] = 206622,
  [SMALL_STATE(7009)] = 206638,
  [SMALL_STATE(7010)] = 206654,
  [SMALL_STATE(7011)] = 206668,
  [SMALL_STATE(7012)] = 206682,
  [SMALL_STATE(7013)] = 206698,
  [SMALL_STATE(7014)] = 206714,
  [SMALL_STATE(7015)] = 206728,
  [SMALL_STATE(7016)] = 206744,
  [SMALL_STATE(7017)] = 206758,
  [SMALL_STATE(7018)] = 206774,
  [SMALL_STATE(7019)] = 206790,
  [SMALL_STATE(7020)] = 206804,
  [SMALL_STATE(7021)] = 206820,
  [SMALL_STATE(7022)] = 206834,
  [SMALL_STATE(7023)] = 206850,
  [SMALL_STATE(7024)] = 206866,
  [SMALL_STATE(7025)] = 206880,
  [SMALL_STATE(7026)] = 206896,
  [SMALL_STATE(7027)] = 206912,
  [SMALL_STATE(7028)] = 206926,
  [SMALL_STATE(7029)] = 206942,
  [SMALL_STATE(7030)] = 206956,
  [SMALL_STATE(7031)] = 206970,
  [SMALL_STATE(7032)] = 206984,
  [SMALL_STATE(7033)] = 206998,
  [SMALL_STATE(7034)] = 207014,
  [SMALL_STATE(7035)] = 207028,
  [SMALL_STATE(7036)] = 207042,
  [SMALL_STATE(7037)] = 207056,
  [SMALL_STATE(7038)] = 207070,
  [SMALL_STATE(7039)] = 207084,
  [SMALL_STATE(7040)] = 207098,
  [SMALL_STATE(7041)] = 207114,
  [SMALL_STATE(7042)] = 207130,
  [SMALL_STATE(7043)] = 207144,
  [SMALL_STATE(7044)] = 207158,
  [SMALL_STATE(7045)] = 207174,
  [SMALL_STATE(7046)] = 207190,
  [SMALL_STATE(7047)] = 207206,
  [SMALL_STATE(7048)] = 207222,
  [SMALL_STATE(7049)] = 207238,
  [SMALL_STATE(7050)] = 207252,
  [SMALL_STATE(7051)] = 207266,
  [SMALL_STATE(7052)] = 207280,
  [SMALL_STATE(7053)] = 207296,
  [SMALL_STATE(7054)] = 207312,
  [SMALL_STATE(7055)] = 207328,
  [SMALL_STATE(7056)] = 207342,
  [SMALL_STATE(7057)] = 207356,
  [SMALL_STATE(7058)] = 207372,
  [SMALL_STATE(7059)] = 207386,
  [SMALL_STATE(7060)] = 207402,
  [SMALL_STATE(7061)] = 207418,
  [SMALL_STATE(7062)] = 207432,
  [SMALL_STATE(7063)] = 207448,
  [SMALL_STATE(7064)] = 207462,
  [SMALL_STATE(7065)] = 207478,
  [SMALL_STATE(7066)] = 207494,
  [SMALL_STATE(7067)] = 207508,
  [SMALL_STATE(7068)] = 207524,
  [SMALL_STATE(7069)] = 207540,
  [SMALL_STATE(7070)] = 207556,
  [SMALL_STATE(7071)] = 207572,
  [SMALL_STATE(7072)] = 207588,
  [SMALL_STATE(7073)] = 207604,
  [SMALL_STATE(7074)] = 207620,
  [SMALL_STATE(7075)] = 207634,
  [SMALL_STATE(7076)] = 207647,
  [SMALL_STATE(7077)] = 207660,
  [SMALL_STATE(7078)] = 207673,
  [SMALL_STATE(7079)] = 207686,
  [SMALL_STATE(7080)] = 207699,
  [SMALL_STATE(7081)] = 207712,
  [SMALL_STATE(7082)] = 207725,
  [SMALL_STATE(7083)] = 207738,
  [SMALL_STATE(7084)] = 207751,
  [SMALL_STATE(7085)] = 207764,
  [SMALL_STATE(7086)] = 207777,
  [SMALL_STATE(7087)] = 207790,
  [SMALL_STATE(7088)] = 207803,
  [SMALL_STATE(7089)] = 207816,
  [SMALL_STATE(7090)] = 207829,
  [SMALL_STATE(7091)] = 207842,
  [SMALL_STATE(7092)] = 207855,
  [SMALL_STATE(7093)] = 207868,
  [SMALL_STATE(7094)] = 207881,
  [SMALL_STATE(7095)] = 207894,
  [SMALL_STATE(7096)] = 207907,
  [SMALL_STATE(7097)] = 207920,
  [SMALL_STATE(7098)] = 207933,
  [SMALL_STATE(7099)] = 207946,
  [SMALL_STATE(7100)] = 207959,
  [SMALL_STATE(7101)] = 207972,
  [SMALL_STATE(7102)] = 207985,
  [SMALL_STATE(7103)] = 207998,
  [SMALL_STATE(7104)] = 208011,
  [SMALL_STATE(7105)] = 208024,
  [SMALL_STATE(7106)] = 208037,
  [SMALL_STATE(7107)] = 208050,
  [SMALL_STATE(7108)] = 208063,
  [SMALL_STATE(7109)] = 208076,
  [SMALL_STATE(7110)] = 208089,
  [SMALL_STATE(7111)] = 208102,
  [SMALL_STATE(7112)] = 208115,
  [SMALL_STATE(7113)] = 208128,
  [SMALL_STATE(7114)] = 208141,
  [SMALL_STATE(7115)] = 208154,
  [SMALL_STATE(7116)] = 208167,
  [SMALL_STATE(7117)] = 208180,
  [SMALL_STATE(7118)] = 208193,
  [SMALL_STATE(7119)] = 208206,
  [SMALL_STATE(7120)] = 208219,
  [SMALL_STATE(7121)] = 208232,
  [SMALL_STATE(7122)] = 208245,
  [SMALL_STATE(7123)] = 208258,
  [SMALL_STATE(7124)] = 208271,
  [SMALL_STATE(7125)] = 208284,
  [SMALL_STATE(7126)] = 208297,
  [SMALL_STATE(7127)] = 208310,
  [SMALL_STATE(7128)] = 208323,
  [SMALL_STATE(7129)] = 208336,
  [SMALL_STATE(7130)] = 208349,
  [SMALL_STATE(7131)] = 208362,
  [SMALL_STATE(7132)] = 208375,
  [SMALL_STATE(7133)] = 208388,
  [SMALL_STATE(7134)] = 208401,
  [SMALL_STATE(7135)] = 208414,
  [SMALL_STATE(7136)] = 208427,
  [SMALL_STATE(7137)] = 208440,
  [SMALL_STATE(7138)] = 208453,
  [SMALL_STATE(7139)] = 208466,
  [SMALL_STATE(7140)] = 208479,
  [SMALL_STATE(7141)] = 208492,
  [SMALL_STATE(7142)] = 208505,
  [SMALL_STATE(7143)] = 208518,
  [SMALL_STATE(7144)] = 208531,
  [SMALL_STATE(7145)] = 208544,
  [SMALL_STATE(7146)] = 208557,
  [SMALL_STATE(7147)] = 208570,
  [SMALL_STATE(7148)] = 208583,
  [SMALL_STATE(7149)] = 208596,
  [SMALL_STATE(7150)] = 208609,
  [SMALL_STATE(7151)] = 208622,
  [SMALL_STATE(7152)] = 208635,
  [SMALL_STATE(7153)] = 208648,
  [SMALL_STATE(7154)] = 208661,
  [SMALL_STATE(7155)] = 208674,
  [SMALL_STATE(7156)] = 208687,
  [SMALL_STATE(7157)] = 208700,
  [SMALL_STATE(7158)] = 208713,
  [SMALL_STATE(7159)] = 208726,
  [SMALL_STATE(7160)] = 208739,
  [SMALL_STATE(7161)] = 208752,
  [SMALL_STATE(7162)] = 208765,
  [SMALL_STATE(7163)] = 208778,
  [SMALL_STATE(7164)] = 208791,
  [SMALL_STATE(7165)] = 208804,
  [SMALL_STATE(7166)] = 208817,
  [SMALL_STATE(7167)] = 208830,
  [SMALL_STATE(7168)] = 208843,
  [SMALL_STATE(7169)] = 208856,
  [SMALL_STATE(7170)] = 208869,
  [SMALL_STATE(7171)] = 208882,
  [SMALL_STATE(7172)] = 208895,
  [SMALL_STATE(7173)] = 208908,
  [SMALL_STATE(7174)] = 208921,
  [SMALL_STATE(7175)] = 208934,
  [SMALL_STATE(7176)] = 208947,
  [SMALL_STATE(7177)] = 208960,
  [SMALL_STATE(7178)] = 208973,
  [SMALL_STATE(7179)] = 208986,
  [SMALL_STATE(7180)] = 208999,
  [SMALL_STATE(7181)] = 209012,
  [SMALL_STATE(7182)] = 209025,
  [SMALL_STATE(7183)] = 209038,
  [SMALL_STATE(7184)] = 209051,
  [SMALL_STATE(7185)] = 209064,
  [SMALL_STATE(7186)] = 209077,
  [SMALL_STATE(7187)] = 209090,
  [SMALL_STATE(7188)] = 209103,
  [SMALL_STATE(7189)] = 209116,
  [SMALL_STATE(7190)] = 209129,
  [SMALL_STATE(7191)] = 209142,
  [SMALL_STATE(7192)] = 209155,
  [SMALL_STATE(7193)] = 209168,
  [SMALL_STATE(7194)] = 209181,
  [SMALL_STATE(7195)] = 209194,
  [SMALL_STATE(7196)] = 209207,
  [SMALL_STATE(7197)] = 209220,
  [SMALL_STATE(7198)] = 209233,
  [SMALL_STATE(7199)] = 209246,
  [SMALL_STATE(7200)] = 209259,
  [SMALL_STATE(7201)] = 209272,
  [SMALL_STATE(7202)] = 209285,
  [SMALL_STATE(7203)] = 209298,
  [SMALL_STATE(7204)] = 209311,
  [SMALL_STATE(7205)] = 209324,
  [SMALL_STATE(7206)] = 209337,
  [SMALL_STATE(7207)] = 209350,
  [SMALL_STATE(7208)] = 209363,
  [SMALL_STATE(7209)] = 209376,
  [SMALL_STATE(7210)] = 209389,
  [SMALL_STATE(7211)] = 209402,
  [SMALL_STATE(7212)] = 209415,
  [SMALL_STATE(7213)] = 209428,
  [SMALL_STATE(7214)] = 209441,
  [SMALL_STATE(7215)] = 209454,
  [SMALL_STATE(7216)] = 209467,
  [SMALL_STATE(7217)] = 209480,
  [SMALL_STATE(7218)] = 209493,
  [SMALL_STATE(7219)] = 209506,
  [SMALL_STATE(7220)] = 209519,
  [SMALL_STATE(7221)] = 209532,
  [SMALL_STATE(7222)] = 209545,
  [SMALL_STATE(7223)] = 209558,
  [SMALL_STATE(7224)] = 209571,
  [SMALL_STATE(7225)] = 209584,
  [SMALL_STATE(7226)] = 209597,
  [SMALL_STATE(7227)] = 209610,
  [SMALL_STATE(7228)] = 209623,
  [SMALL_STATE(7229)] = 209636,
  [SMALL_STATE(7230)] = 209649,
  [SMALL_STATE(7231)] = 209662,
  [SMALL_STATE(7232)] = 209675,
  [SMALL_STATE(7233)] = 209688,
  [SMALL_STATE(7234)] = 209701,
  [SMALL_STATE(7235)] = 209714,
  [SMALL_STATE(7236)] = 209727,
  [SMALL_STATE(7237)] = 209740,
  [SMALL_STATE(7238)] = 209753,
  [SMALL_STATE(7239)] = 209766,
  [SMALL_STATE(7240)] = 209779,
  [SMALL_STATE(7241)] = 209792,
  [SMALL_STATE(7242)] = 209805,
  [SMALL_STATE(7243)] = 209818,
  [SMALL_STATE(7244)] = 209831,
  [SMALL_STATE(7245)] = 209844,
  [SMALL_STATE(7246)] = 209857,
  [SMALL_STATE(7247)] = 209870,
  [SMALL_STATE(7248)] = 209883,
  [SMALL_STATE(7249)] = 209896,
  [SMALL_STATE(7250)] = 209909,
  [SMALL_STATE(7251)] = 209922,
  [SMALL_STATE(7252)] = 209935,
  [SMALL_STATE(7253)] = 209948,
  [SMALL_STATE(7254)] = 209961,
  [SMALL_STATE(7255)] = 209974,
  [SMALL_STATE(7256)] = 209987,
  [SMALL_STATE(7257)] = 210000,
  [SMALL_STATE(7258)] = 210013,
  [SMALL_STATE(7259)] = 210026,
  [SMALL_STATE(7260)] = 210039,
  [SMALL_STATE(7261)] = 210052,
  [SMALL_STATE(7262)] = 210065,
  [SMALL_STATE(7263)] = 210078,
  [SMALL_STATE(7264)] = 210091,
  [SMALL_STATE(7265)] = 210104,
  [SMALL_STATE(7266)] = 210117,
  [SMALL_STATE(7267)] = 210130,
  [SMALL_STATE(7268)] = 210143,
  [SMALL_STATE(7269)] = 210156,
  [SMALL_STATE(7270)] = 210169,
  [SMALL_STATE(7271)] = 210182,
  [SMALL_STATE(7272)] = 210195,
  [SMALL_STATE(7273)] = 210208,
  [SMALL_STATE(7274)] = 210221,
  [SMALL_STATE(7275)] = 210234,
  [SMALL_STATE(7276)] = 210247,
  [SMALL_STATE(7277)] = 210260,
  [SMALL_STATE(7278)] = 210273,
  [SMALL_STATE(7279)] = 210286,
  [SMALL_STATE(7280)] = 210299,
  [SMALL_STATE(7281)] = 210312,
  [SMALL_STATE(7282)] = 210325,
  [SMALL_STATE(7283)] = 210338,
  [SMALL_STATE(7284)] = 210351,
  [SMALL_STATE(7285)] = 210364,
  [SMALL_STATE(7286)] = 210377,
  [SMALL_STATE(7287)] = 210390,
  [SMALL_STATE(7288)] = 210403,
  [SMALL_STATE(7289)] = 210416,
  [SMALL_STATE(7290)] = 210429,
  [SMALL_STATE(7291)] = 210442,
  [SMALL_STATE(7292)] = 210455,
  [SMALL_STATE(7293)] = 210468,
  [SMALL_STATE(7294)] = 210481,
  [SMALL_STATE(7295)] = 210494,
  [SMALL_STATE(7296)] = 210507,
  [SMALL_STATE(7297)] = 210520,
  [SMALL_STATE(7298)] = 210533,
  [SMALL_STATE(7299)] = 210546,
  [SMALL_STATE(7300)] = 210559,
  [SMALL_STATE(7301)] = 210572,
  [SMALL_STATE(7302)] = 210585,
  [SMALL_STATE(7303)] = 210598,
  [SMALL_STATE(7304)] = 210611,
  [SMALL_STATE(7305)] = 210624,
  [SMALL_STATE(7306)] = 210637,
  [SMALL_STATE(7307)] = 210650,
  [SMALL_STATE(7308)] = 210663,
  [SMALL_STATE(7309)] = 210676,
  [SMALL_STATE(7310)] = 210689,
  [SMALL_STATE(7311)] = 210702,
  [SMALL_STATE(7312)] = 210715,
  [SMALL_STATE(7313)] = 210728,
  [SMALL_STATE(7314)] = 210741,
  [SMALL_STATE(7315)] = 210754,
  [SMALL_STATE(7316)] = 210767,
  [SMALL_STATE(7317)] = 210780,
  [SMALL_STATE(7318)] = 210793,
  [SMALL_STATE(7319)] = 210806,
  [SMALL_STATE(7320)] = 210819,
  [SMALL_STATE(7321)] = 210832,
  [SMALL_STATE(7322)] = 210845,
  [SMALL_STATE(7323)] = 210858,
  [SMALL_STATE(7324)] = 210871,
  [SMALL_STATE(7325)] = 210884,
  [SMALL_STATE(7326)] = 210897,
  [SMALL_STATE(7327)] = 210910,
  [SMALL_STATE(7328)] = 210923,
  [SMALL_STATE(7329)] = 210936,
  [SMALL_STATE(7330)] = 210949,
  [SMALL_STATE(7331)] = 210962,
  [SMALL_STATE(7332)] = 210975,
  [SMALL_STATE(7333)] = 210988,
  [SMALL_STATE(7334)] = 211001,
  [SMALL_STATE(7335)] = 211014,
  [SMALL_STATE(7336)] = 211027,
  [SMALL_STATE(7337)] = 211040,
  [SMALL_STATE(7338)] = 211053,
  [SMALL_STATE(7339)] = 211066,
  [SMALL_STATE(7340)] = 211079,
  [SMALL_STATE(7341)] = 211092,
  [SMALL_STATE(7342)] = 211105,
  [SMALL_STATE(7343)] = 211118,
  [SMALL_STATE(7344)] = 211131,
  [SMALL_STATE(7345)] = 211144,
  [SMALL_STATE(7346)] = 211157,
  [SMALL_STATE(7347)] = 211170,
  [SMALL_STATE(7348)] = 211183,
  [SMALL_STATE(7349)] = 211196,
  [SMALL_STATE(7350)] = 211209,
  [SMALL_STATE(7351)] = 211222,
  [SMALL_STATE(7352)] = 211235,
  [SMALL_STATE(7353)] = 211248,
  [SMALL_STATE(7354)] = 211261,
  [SMALL_STATE(7355)] = 211274,
  [SMALL_STATE(7356)] = 211287,
  [SMALL_STATE(7357)] = 211300,
  [SMALL_STATE(7358)] = 211313,
  [SMALL_STATE(7359)] = 211326,
  [SMALL_STATE(7360)] = 211339,
  [SMALL_STATE(7361)] = 211352,
  [SMALL_STATE(7362)] = 211365,
  [SMALL_STATE(7363)] = 211378,
  [SMALL_STATE(7364)] = 211391,
  [SMALL_STATE(7365)] = 211404,
  [SMALL_STATE(7366)] = 211417,
  [SMALL_STATE(7367)] = 211430,
  [SMALL_STATE(7368)] = 211443,
  [SMALL_STATE(7369)] = 211456,
  [SMALL_STATE(7370)] = 211469,
  [SMALL_STATE(7371)] = 211482,
  [SMALL_STATE(7372)] = 211495,
  [SMALL_STATE(7373)] = 211508,
  [SMALL_STATE(7374)] = 211521,
  [SMALL_STATE(7375)] = 211534,
  [SMALL_STATE(7376)] = 211547,
  [SMALL_STATE(7377)] = 211560,
  [SMALL_STATE(7378)] = 211573,
  [SMALL_STATE(7379)] = 211586,
  [SMALL_STATE(7380)] = 211599,
  [SMALL_STATE(7381)] = 211612,
  [SMALL_STATE(7382)] = 211625,
  [SMALL_STATE(7383)] = 211638,
  [SMALL_STATE(7384)] = 211651,
  [SMALL_STATE(7385)] = 211664,
  [SMALL_STATE(7386)] = 211677,
  [SMALL_STATE(7387)] = 211690,
  [SMALL_STATE(7388)] = 211703,
  [SMALL_STATE(7389)] = 211716,
  [SMALL_STATE(7390)] = 211729,
  [SMALL_STATE(7391)] = 211742,
  [SMALL_STATE(7392)] = 211755,
  [SMALL_STATE(7393)] = 211768,
  [SMALL_STATE(7394)] = 211781,
  [SMALL_STATE(7395)] = 211794,
  [SMALL_STATE(7396)] = 211807,
  [SMALL_STATE(7397)] = 211820,
  [SMALL_STATE(7398)] = 211833,
  [SMALL_STATE(7399)] = 211846,
  [SMALL_STATE(7400)] = 211859,
  [SMALL_STATE(7401)] = 211872,
  [SMALL_STATE(7402)] = 211885,
  [SMALL_STATE(7403)] = 211898,
  [SMALL_STATE(7404)] = 211911,
  [SMALL_STATE(7405)] = 211924,
  [SMALL_STATE(7406)] = 211937,
  [SMALL_STATE(7407)] = 211950,
  [SMALL_STATE(7408)] = 211963,
  [SMALL_STATE(7409)] = 211976,
  [SMALL_STATE(7410)] = 211989,
  [SMALL_STATE(7411)] = 212002,
  [SMALL_STATE(7412)] = 212015,
  [SMALL_STATE(7413)] = 212028,
  [SMALL_STATE(7414)] = 212041,
  [SMALL_STATE(7415)] = 212054,
  [SMALL_STATE(7416)] = 212067,
  [SMALL_STATE(7417)] = 212080,
  [SMALL_STATE(7418)] = 212093,
  [SMALL_STATE(7419)] = 212106,
  [SMALL_STATE(7420)] = 212119,
  [SMALL_STATE(7421)] = 212132,
  [SMALL_STATE(7422)] = 212145,
  [SMALL_STATE(7423)] = 212158,
  [SMALL_STATE(7424)] = 212171,
  [SMALL_STATE(7425)] = 212184,
  [SMALL_STATE(7426)] = 212197,
  [SMALL_STATE(7427)] = 212210,
  [SMALL_STATE(7428)] = 212223,
  [SMALL_STATE(7429)] = 212236,
  [SMALL_STATE(7430)] = 212249,
  [SMALL_STATE(7431)] = 212262,
  [SMALL_STATE(7432)] = 212275,
  [SMALL_STATE(7433)] = 212288,
  [SMALL_STATE(7434)] = 212301,
  [SMALL_STATE(7435)] = 212314,
  [SMALL_STATE(7436)] = 212327,
  [SMALL_STATE(7437)] = 212340,
  [SMALL_STATE(7438)] = 212353,
  [SMALL_STATE(7439)] = 212366,
  [SMALL_STATE(7440)] = 212379,
  [SMALL_STATE(7441)] = 212392,
  [SMALL_STATE(7442)] = 212405,
  [SMALL_STATE(7443)] = 212418,
  [SMALL_STATE(7444)] = 212431,
  [SMALL_STATE(7445)] = 212444,
  [SMALL_STATE(7446)] = 212457,
  [SMALL_STATE(7447)] = 212470,
  [SMALL_STATE(7448)] = 212483,
  [SMALL_STATE(7449)] = 212496,
  [SMALL_STATE(7450)] = 212509,
  [SMALL_STATE(7451)] = 212522,
  [SMALL_STATE(7452)] = 212535,
  [SMALL_STATE(7453)] = 212548,
  [SMALL_STATE(7454)] = 212561,
  [SMALL_STATE(7455)] = 212574,
  [SMALL_STATE(7456)] = 212587,
  [SMALL_STATE(7457)] = 212600,
  [SMALL_STATE(7458)] = 212613,
  [SMALL_STATE(7459)] = 212626,
  [SMALL_STATE(7460)] = 212639,
  [SMALL_STATE(7461)] = 212652,
  [SMALL_STATE(7462)] = 212665,
  [SMALL_STATE(7463)] = 212678,
  [SMALL_STATE(7464)] = 212691,
  [SMALL_STATE(7465)] = 212704,
  [SMALL_STATE(7466)] = 212717,
  [SMALL_STATE(7467)] = 212730,
  [SMALL_STATE(7468)] = 212743,
  [SMALL_STATE(7469)] = 212756,
  [SMALL_STATE(7470)] = 212769,
  [SMALL_STATE(7471)] = 212782,
  [SMALL_STATE(7472)] = 212795,
  [SMALL_STATE(7473)] = 212808,
  [SMALL_STATE(7474)] = 212821,
  [SMALL_STATE(7475)] = 212834,
  [SMALL_STATE(7476)] = 212847,
  [SMALL_STATE(7477)] = 212860,
  [SMALL_STATE(7478)] = 212873,
  [SMALL_STATE(7479)] = 212886,
  [SMALL_STATE(7480)] = 212899,
  [SMALL_STATE(7481)] = 212912,
  [SMALL_STATE(7482)] = 212925,
  [SMALL_STATE(7483)] = 212938,
  [SMALL_STATE(7484)] = 212951,
  [SMALL_STATE(7485)] = 212964,
  [SMALL_STATE(7486)] = 212977,
  [SMALL_STATE(7487)] = 212990,
  [SMALL_STATE(7488)] = 213003,
  [SMALL_STATE(7489)] = 213016,
  [SMALL_STATE(7490)] = 213029,
  [SMALL_STATE(7491)] = 213042,
  [SMALL_STATE(7492)] = 213055,
  [SMALL_STATE(7493)] = 213068,
  [SMALL_STATE(7494)] = 213081,
  [SMALL_STATE(7495)] = 213094,
  [SMALL_STATE(7496)] = 213107,
  [SMALL_STATE(7497)] = 213120,
  [SMALL_STATE(7498)] = 213133,
  [SMALL_STATE(7499)] = 213146,
  [SMALL_STATE(7500)] = 213159,
  [SMALL_STATE(7501)] = 213172,
  [SMALL_STATE(7502)] = 213185,
  [SMALL_STATE(7503)] = 213198,
  [SMALL_STATE(7504)] = 213211,
  [SMALL_STATE(7505)] = 213224,
  [SMALL_STATE(7506)] = 213237,
  [SMALL_STATE(7507)] = 213250,
  [SMALL_STATE(7508)] = 213263,
  [SMALL_STATE(7509)] = 213276,
  [SMALL_STATE(7510)] = 213289,
  [SMALL_STATE(7511)] = 213302,
  [SMALL_STATE(7512)] = 213315,
  [SMALL_STATE(7513)] = 213328,
  [SMALL_STATE(7514)] = 213341,
  [SMALL_STATE(7515)] = 213354,
  [SMALL_STATE(7516)] = 213367,
  [SMALL_STATE(7517)] = 213380,
  [SMALL_STATE(7518)] = 213393,
  [SMALL_STATE(7519)] = 213406,
  [SMALL_STATE(7520)] = 213419,
  [SMALL_STATE(7521)] = 213432,
  [SMALL_STATE(7522)] = 213445,
  [SMALL_STATE(7523)] = 213458,
  [SMALL_STATE(7524)] = 213471,
  [SMALL_STATE(7525)] = 213484,
  [SMALL_STATE(7526)] = 213497,
  [SMALL_STATE(7527)] = 213510,
  [SMALL_STATE(7528)] = 213523,
  [SMALL_STATE(7529)] = 213536,
  [SMALL_STATE(7530)] = 213549,
  [SMALL_STATE(7531)] = 213562,
  [SMALL_STATE(7532)] = 213575,
  [SMALL_STATE(7533)] = 213588,
  [SMALL_STATE(7534)] = 213601,
  [SMALL_STATE(7535)] = 213614,
  [SMALL_STATE(7536)] = 213627,
  [SMALL_STATE(7537)] = 213640,
  [SMALL_STATE(7538)] = 213653,
  [SMALL_STATE(7539)] = 213666,
  [SMALL_STATE(7540)] = 213679,
  [SMALL_STATE(7541)] = 213692,
  [SMALL_STATE(7542)] = 213705,
  [SMALL_STATE(7543)] = 213718,
  [SMALL_STATE(7544)] = 213731,
  [SMALL_STATE(7545)] = 213744,
  [SMALL_STATE(7546)] = 213757,
  [SMALL_STATE(7547)] = 213770,
  [SMALL_STATE(7548)] = 213783,
  [SMALL_STATE(7549)] = 213796,
  [SMALL_STATE(7550)] = 213809,
  [SMALL_STATE(7551)] = 213822,
  [SMALL_STATE(7552)] = 213835,
  [SMALL_STATE(7553)] = 213848,
  [SMALL_STATE(7554)] = 213861,
  [SMALL_STATE(7555)] = 213874,
  [SMALL_STATE(7556)] = 213887,
  [SMALL_STATE(7557)] = 213900,
  [SMALL_STATE(7558)] = 213913,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7558),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2113),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(71),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(816),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2060),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1940),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3742),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4472),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1949),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4408),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6471),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6474),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5744),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6505),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6510),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6518),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5754),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5758),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6566),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1584),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6572),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4168),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4516),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7415),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4403),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5692),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5691),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4850),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3051),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7392),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3055),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5772),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2117),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(832),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1944),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7387),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7386),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7385),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2031),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2024),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3818),
  [115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(785),
  [118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1),
  [120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1929),
  [122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1787),
  [124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5122),
  [130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3891),
  [132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(779),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(228),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4162),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(846),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4630),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(776),
  [155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__augmented_assignment_lhs, 1, .production_id = 1),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1925),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1891),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(605),
  [165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(7325),
  [168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4415),
  [170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(784),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5644),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5643),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4416),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3134),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7174),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2987),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2647),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3017),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1867),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2061),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7148),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7149),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1864),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7150),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3781),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2179),
  [211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1),
  [213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(675),
  [216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(498),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1996),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3667),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1962),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1802),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2320),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2840),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1801),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3192),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5057),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(819),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(827),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(840),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1800),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2908),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1967),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(805),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1961),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2334),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1798),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(810),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(820),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(822),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(825),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(812),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1791),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1969),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1992),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1960),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1795),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1796),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(809),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(821),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(823),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(834),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(835),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1792),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1983),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2096),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(817),
  [341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 3, .production_id = 52),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2056),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3743),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4659),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1955),
  [355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4430),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6972),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7046),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5930),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6915),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6918),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6926),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5935),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5936),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6976),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4151),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(854),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4501),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2094),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(831),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1956),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7488),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7163),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7164),
  [403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 3, .production_id = 90),
  [405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 4, .production_id = 240),
  [407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 2),
  [409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2096),
  [412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(817),
  [415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2),
  [417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2056),
  [420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1947),
  [423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(11),
  [426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(560),
  [429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3743),
  [432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4659),
  [435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1955),
  [438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4430),
  [441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6972),
  [444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7046),
  [447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5930),
  [450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(249),
  [453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(563),
  [456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6915),
  [459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(107),
  [462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6918),
  [465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6926),
  [468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5935),
  [471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5936),
  [474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6976),
  [477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(442),
  [480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(476),
  [483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1248),
  [486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(221),
  [489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(266),
  [492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6572),
  [495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4151),
  [498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(854),
  [501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4501),
  [504] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(161),
  [507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(572),
  [510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7415),
  [513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4403),
  [516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(574),
  [519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5692),
  [522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5691),
  [525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4850),
  [528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3051),
  [531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7392),
  [534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3055),
  [537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5772),
  [540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2094),
  [543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(831),
  [546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1956),
  [549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7488),
  [552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7163),
  [555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7164),
  [558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2),
  [560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2113),
  [563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(816),
  [566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2060),
  [569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1940),
  [572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6),
  [575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3742),
  [578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4472),
  [581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1949),
  [584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4408),
  [587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6471),
  [590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6474),
  [593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5744),
  [596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6505),
  [599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(110),
  [602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6510),
  [605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6518),
  [608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5754),
  [611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5758),
  [614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6566),
  [617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(431),
  [620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(539),
  [623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1584),
  [626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4168),
  [629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(859),
  [632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4516),
  [635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(156),
  [638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2117),
  [641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(832),
  [644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1944),
  [647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7387),
  [650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7386),
  [653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7385),
  [656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1111),
  [658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(955),
  [662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1013),
  [668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1188),
  [670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2430),
  [680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(880),
  [690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4456),
  [692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4611),
  [696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2486),
  [698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4713),
  [702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(938),
  [706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1113),
  [710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4511),
  [712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1143),
  [714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3467),
  [716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1040),
  [718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3517),
  [720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(996),
  [722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(317),
  [724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3468),
  [732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1486),
  [738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2511),
  [746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2),
  [748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2529),
  [750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1039),
  [756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1428),
  [758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3466),
  [760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1),
  [764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2084),
  [766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(814),
  [768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2049),
  [770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1948),
  [772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9),
  [774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3748),
  [776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4634),
  [778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1954),
  [780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4424),
  [782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7047),
  [784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6937),
  [786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6193),
  [788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6783),
  [790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6782),
  [794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6781),
  [796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6198),
  [798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6199),
  [800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6780),
  [802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4142),
  [810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4465),
  [814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2099),
  [818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(828),
  [820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1957),
  [822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7513),
  [824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7224),
  [826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7225),
  [828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2095),
  [830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(815),
  [832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2050),
  [834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1942),
  [836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4),
  [838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3747),
  [840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4622),
  [842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1946),
  [844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4420),
  [846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6729),
  [848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6730),
  [850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5982),
  [852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7001),
  [854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(95),
  [856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7008),
  [858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7012),
  [860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5984),
  [862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5986),
  [864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7034),
  [866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(516),
  [870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6701),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4164),
  [874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4621),
  [878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2097),
  [882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(829),
  [884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1953),
  [886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7317),
  [888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7324),
  [890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7323),
  [892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2131),
  [894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(818),
  [896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2070),
  [898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1941),
  [900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8),
  [902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3744),
  [904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4442),
  [906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1939),
  [908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4438),
  [910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6827),
  [912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6973),
  [914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6023),
  [916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7073),
  [918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(75),
  [920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7072),
  [922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7071),
  [924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6004),
  [926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5998),
  [928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7037),
  [930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4153),
  [938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4510),
  [942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(830),
  [948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1938),
  [950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7425),
  [952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7138),
  [954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7137),
  [956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2009),
  [958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2039),
  [960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1931),
  [962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1779),
  [964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(659),
  [970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2432),
  [978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7325),
  [990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7089),
  [996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3323),
  [998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3288),
  [1000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [1002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2124),
  [1004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2080),
  [1006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2100),
  [1008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [1010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1951),
  [1012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2307),
  [1014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2837),
  [1016] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(87),
  [1019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7194),
  [1021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4146),
  [1023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4675),
  [1027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(499),
  [1029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [1031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(784),
  [1033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2899),
  [1035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2785),
  [1039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2884),
  [1041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2892),
  [1043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3149),
  [1045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2513),
  [1047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2844),
  [1049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [1051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2707),
  [1053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3308),
  [1055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2579),
  [1057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3200),
  [1059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2774),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2020),
  [1063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2311),
  [1065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(248),
  [1068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(265),
  [1071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [1073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(4415),
  [1076] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(4835),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3261),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2754),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3278),
  [1085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3122),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3153),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3121),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3112),
  [1093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3220),
  [1095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2074),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2059),
  [1099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1933),
  [1101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2306),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [1105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [1107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7191),
  [1109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(848),
  [1111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4835),
  [1115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2475),
  [1117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2233),
  [1119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2228),
  [1121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2044),
  [1123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2294),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [1127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [1133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rest_pattern, 2, .production_id = 29),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2017),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1785),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(351),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6019),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(555),
  [1149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4432),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3196),
  [1153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2998),
  [1155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2997),
  [1157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6003),
  [1159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3),
  [1161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [1163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2052),
  [1167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3020),
  [1169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [1171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [1173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [1175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [1177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [1179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2090),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2102),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(772),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1945),
  [1187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(853),
  [1189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(538),
  [1191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [1193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7096),
  [1195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [1197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [1199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [1201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(528),
  [1204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [1206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [1208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_rest_pattern, 2, .production_id = 29),
  [1211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2186),
  [1213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2194),
  [1215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(653),
  [1218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2008),
  [1220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1910),
  [1222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [1224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(501),
  [1226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [1228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2151),
  [1230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2154),
  [1232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [1234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1958),
  [1236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [1238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [1240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [1242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7140),
  [1244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(526),
  [1246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2158),
  [1248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2160),
  [1250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(771),
  [1252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2000),
  [1254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(875),
  [1256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [1258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(653),
  [1260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1823),
  [1262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2165),
  [1264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2181),
  [1266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(706),
  [1268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1998),
  [1270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [1272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(532),
  [1274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [1276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2185),
  [1278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2192),
  [1280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(620),
  [1282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2006),
  [1284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [1286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [1288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [1290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7162),
  [1292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [1294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(623),
  [1296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [1298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [1300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(703),
  [1302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [1304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2005),
  [1306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4112),
  [1308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1781),
  [1310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [1312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4110),
  [1314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [1316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [1318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [1320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1927),
  [1322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1894),
  [1324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [1326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [1328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4412),
  [1330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2849),
  [1332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2802),
  [1334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2717),
  [1336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [1338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1884),
  [1340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2040),
  [1342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7443),
  [1344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7451),
  [1346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1806),
  [1348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7433),
  [1350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4032),
  [1352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2167),
  [1354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(673),
  [1356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [1358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [1360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2138),
  [1362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1780),
  [1364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [1366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [1368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [1370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(781),
  [1372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4413),
  [1374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2945),
  [1376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2867),
  [1378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3392),
  [1380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [1382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2173),
  [1384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2043),
  [1386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2121),
  [1388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1943),
  [1390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1786),
  [1392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [1394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [1396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [1398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [1400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [1402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [1404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [1406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4414),
  [1408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2881),
  [1410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2880),
  [1412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2879),
  [1414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(242),
  [1416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2053),
  [1418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2073),
  [1420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2156),
  [1422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1995),
  [1424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1784),
  [1426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [1428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(666),
  [1430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [1432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [1434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [1436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [1438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [1440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [1442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [1444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [1446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [1448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4407),
  [1450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3316),
  [1452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7266),
  [1454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3319),
  [1456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3197),
  [1458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [1460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2091),
  [1462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2003),
  [1464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2057),
  [1466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1934),
  [1468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1783),
  [1470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [1472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [1474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(849),
  [1476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [1478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [1480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4425),
  [1482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2558),
  [1484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2555),
  [1486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2767),
  [1488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [1490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2026),
  [1492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [1494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2177),
  [1496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1976),
  [1498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1789),
  [1500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [1502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [1504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [1506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [1508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [1510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [1512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [1514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [1516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [1518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [1520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7079),
  [1522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3151),
  [1524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [1526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2128),
  [1528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2075),
  [1530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2136),
  [1532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1959),
  [1534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [1536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [1538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(587),
  [1540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [1542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [1544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [1546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [1548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [1550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [1552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [1554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7133),
  [1556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3201),
  [1558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [1560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2114),
  [1562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2093),
  [1564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2196),
  [1566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2002),
  [1568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [1570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(602),
  [1572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [1574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [1576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [1578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [1580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [1582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [1584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [1586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [1588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7397),
  [1590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3305),
  [1592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [1594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2149),
  [1596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2034),
  [1598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2085),
  [1600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1950),
  [1602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [1604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [1606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [1608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [1610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(855),
  [1612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [1614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [1616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(665),
  [1618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [1620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(777),
  [1622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7157),
  [1624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2839),
  [1626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [1628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2062),
  [1630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [1632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2187),
  [1634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2010),
  [1636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(348),
  [1638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [1640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [1642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [1644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [1646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [1648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [1650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [1652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [1654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [1656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7303),
  [1658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3330),
  [1660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [1662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2135),
  [1664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2106),
  [1666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1782),
  [1668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [1670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3394),
  [1672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3317),
  [1674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2142),
  [1676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2065),
  [1678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2184),
  [1680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [1682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1790),
  [1684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [1686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [1688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(881),
  [1690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [1692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [1694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4411),
  [1696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3395),
  [1698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3391),
  [1700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3068),
  [1702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [1704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2125),
  [1706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2071),
  [1708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2107),
  [1710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1952),
  [1712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1788),
  [1714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(852),
  [1716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [1718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3193),
  [1720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [1722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2134),
  [1724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2055),
  [1726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [1728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1),
  [1730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [1732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2862),
  [1734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1),
  [1736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2132),
  [1738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(775),
  [1740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [1742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2077),
  [1744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(741),
  [1746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [1748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3123),
  [1750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2162),
  [1752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(756),
  [1754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [1756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3380),
  [1758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2163),
  [1760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [1762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [1764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3407),
  [1766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2152),
  [1768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(596),
  [1770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [1772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3326),
  [1774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2189),
  [1776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [1778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [1780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3444),
  [1782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2183),
  [1784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(604),
  [1786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [1788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3429),
  [1790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(790),
  [1792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2146),
  [1794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1970),
  [1796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4908),
  [1798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1977),
  [1800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [1802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [1804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1971),
  [1806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2155),
  [1808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1975),
  [1810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4789),
  [1812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [1814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(876),
  [1816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [1818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1973),
  [1820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2150),
  [1822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4910),
  [1824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4685),
  [1826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1986),
  [1828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4441),
  [1830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4145),
  [1832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [1834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4482),
  [1836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(844),
  [1838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1993),
  [1840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7460),
  [1842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7097),
  [1844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7098),
  [1846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2147),
  [1848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2001),
  [1850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4781),
  [1852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1997),
  [1854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [1856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(836),
  [1858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1999),
  [1860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2153),
  [1862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1964),
  [1864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4911),
  [1866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1979),
  [1868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [1870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [1872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [1874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2148),
  [1876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4907),
  [1878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1981),
  [1880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [1882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(839),
  [1884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1968),
  [1886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3745),
  [1888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4690),
  [1890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [1892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1689),
  [1894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5627),
  [1896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7145),
  [1898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6106),
  [1900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5512),
  [1902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5516),
  [1904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5262),
  [1906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3877),
  [1908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3872),
  [1910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1869),
  [1912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3912),
  [1914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4626),
  [1916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [1918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1690),
  [1920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5634),
  [1922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7452),
  [1924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5631),
  [1926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5632),
  [1928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5311),
  [1930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4104),
  [1932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4103),
  [1934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1878),
  [1936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2032),
  [1938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(144),
  [1940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3234),
  [1942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2712),
  [1944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [1946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6152),
  [1948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [1950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3207),
  [1952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [1954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4514),
  [1956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4623),
  [1958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4750),
  [1960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6007),
  [1962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4824),
  [1964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4702),
  [1966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4885),
  [1968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [1970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2773),
  [1972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2799),
  [1974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_predefined_type, 1),
  [1976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2553),
  [1978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3378),
  [1980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2532),
  [1982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3418),
  [1984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3049),
  [1986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2103),
  [1988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2126),
  [1990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1936),
  [1992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2308),
  [1994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4488),
  [1996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1937),
  [1998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4499),
  [2000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2068),
  [2002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [2004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(850),
  [2006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [2008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3117),
  [2010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2141),
  [2012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2139),
  [2014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1963),
  [2016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2299),
  [2018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [2020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [2022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4918),
  [2024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [2026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [2028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3409),
  [2030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_predefined_type, 1),
  [2032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2174),
  [2034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2180),
  [2036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1965),
  [2038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [2040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [2042] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 1), REDUCE(aux_sym_array_pattern_repeat1, 1),
  [2045] = {.entry = {.count = 3, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 1), REDUCE(aux_sym_array_pattern_repeat1, 1), SHIFT(4071),
  [2049] = {.entry = {.count = 3, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 1), REDUCE(aux_sym_array_pattern_repeat1, 1), SHIFT(3888),
  [2053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4463),
  [2055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module, 1, .production_id = 5),
  [2057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(53),
  [2059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7356),
  [2061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module, 1, .production_id = 5),
  [2063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7357),
  [2065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 2),
  [2067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 2),
  [2069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 2),
  [2071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [2073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 2),
  [2075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_pattern_repeat1, 1),
  [2077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 177),
  [2079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 5, .production_id = 177),
  [2081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [2083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 5, .production_id = 177),
  [2085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [2087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [2089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 2),
  [2091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 2),
  [2093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_internal_module, 2, .production_id = 6),
  [2095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_internal_module, 2, .production_id = 6),
  [2097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [2099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7393),
  [2101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 3, .production_id = 107),
  [2103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 3, .production_id = 107),
  [2105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7395),
  [2107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 1),
  [2109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1),
  [2111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1),
  [2113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [2115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2129),
  [2117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [2119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3, .production_id = 84),
  [2121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3, .production_id = 84),
  [2123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [2125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 2),
  [2127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module, 2, .production_id = 26),
  [2129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module, 2, .production_id = 26),
  [2131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3, .production_id = 85),
  [2133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3, .production_id = 85),
  [2135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2),
  [2137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2),
  [2139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3655),
  [2141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 3),
  [2143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 3),
  [2145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2702),
  [2147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, .production_id = 46),
  [2149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 46),
  [2151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [2153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 46),
  [2155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 108),
  [2157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 108),
  [2159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [2161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 108),
  [2163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [2165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 4),
  [2167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 4),
  [2169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 109),
  [2171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 109),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [2175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 109),
  [2177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, .production_id = 125),
  [2179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, .production_id = 125),
  [2181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [2183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, .production_id = 125),
  [2185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 147),
  [2187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 147),
  [2189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [2191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 147),
  [2193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 166),
  [2195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 166),
  [2197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [2199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 166),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [2203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 1),
  [2205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 5, .production_id = 177),
  [2207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, .production_id = 177),
  [2209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [2211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, .production_id = 177),
  [2213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 194),
  [2215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 194),
  [2217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [2219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 194),
  [2221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4131),
  [2223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 195),
  [2225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 195),
  [2227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [2229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 195),
  [2231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [2233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(31),
  [2235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7363),
  [2237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7315),
  [2239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3943),
  [2241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4154),
  [2243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3096),
  [2245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [2247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3702),
  [2249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 229),
  [2251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 6, .production_id = 229),
  [2253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [2255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 6, .production_id = 229),
  [2257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2326),
  [2259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 235),
  [2261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 6, .production_id = 235),
  [2263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [2265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 6, .production_id = 235),
  [2267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22),
  [2269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7359),
  [2271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, .production_id = 46),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [2275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 109),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [2279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2066),
  [2281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [2283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2011),
  [2285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2012),
  [2287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3110),
  [2289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [2293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [2295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 108),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [2299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5055),
  [2301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(770),
  [2303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [2307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [2311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [2315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [2317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [2323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, .production_id = 125),
  [2325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [2329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [2331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7358),
  [2333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2016),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [2337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 147),
  [2339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [2341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [2345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2022),
  [2347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2101),
  [2349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2104),
  [2351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 166),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [2355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 177),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [2359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2058),
  [2361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2018),
  [2363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 5, .production_id = 177),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [2367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 194),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [2371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 195),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [2375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [2377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2025),
  [2379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2019),
  [2381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1978),
  [2383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [2385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5364),
  [2387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2051),
  [2389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 229),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [2393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 235),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [2397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [2399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [2401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [2405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [2409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1618),
  [2411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [2413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [2417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [2419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3109),
  [2421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [2425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1383),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [2431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [2433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_override_modifier, 1),
  [2435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1221),
  [2437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [2439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_accessibility_modifier, 1),
  [2441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [2443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1078),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [2447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6604),
  [2449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6604),
  [2451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [2453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [2455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3262),
  [2457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [2459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2191),
  [2461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2188),
  [2463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2007),
  [2465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2309),
  [2467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4839),
  [2469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2036),
  [2471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4837),
  [2473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [2475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [2477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [2479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3437),
  [2481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [2483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [2485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [2487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(76),
  [2489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [2491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5),
  [2493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10),
  [2495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7),
  [2497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2178),
  [2499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2182),
  [2501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [2503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [2505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [2507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2172),
  [2509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2170),
  [2511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1991),
  [2513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [2515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [2517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3248),
  [2519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2242),
  [2521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2244),
  [2523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2028),
  [2525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [2527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [2529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3459),
  [2531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2429),
  [2533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2212),
  [2535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2210),
  [2537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2041),
  [2539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [2541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [2543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3455),
  [2545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2219),
  [2547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2222),
  [2549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [2551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [2553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [2555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3463),
  [2557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3310),
  [2559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2801),
  [2561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3024),
  [2563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2203),
  [2565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2201),
  [2567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2045),
  [2569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [2571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [2573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3461),
  [2575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2144),
  [2577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [2579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3295),
  [2581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [2583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2243),
  [2585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2021),
  [2587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [2589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [2591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3460),
  [2593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2245),
  [2595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2237),
  [2597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2037),
  [2599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [2601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [2603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3454),
  [2605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2246),
  [2607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2230),
  [2609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2047),
  [2611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [2613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [2615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3456),
  [2617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2220),
  [2619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2200),
  [2621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2046),
  [2623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [2625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [2627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3458),
  [2629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2030),
  [2631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2023),
  [2633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1930),
  [2635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(845),
  [2637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(146),
  [2639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2747),
  [2641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2239),
  [2643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2236),
  [2645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2048),
  [2647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [2649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [2651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3462),
  [2653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5784),
  [2655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [2657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5786),
  [2659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [2661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7361),
  [2663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4822),
  [2665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4132),
  [2667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [2669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7326),
  [2671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4472),
  [2673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4583),
  [2675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4408),
  [2677] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 7),
  [2680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(87),
  [2683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7306),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7298),
  [2687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6777),
  [2689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [2691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, .production_id = 1),
  [2693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 7),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7558),
  [2698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5772),
  [2700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3597),
  [2702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4788),
  [2704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7387),
  [2706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7386),
  [2708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7385),
  [2710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [2712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [2714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5548),
  [2716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5549),
  [2718] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(3684),
  [2721] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(263),
  [2725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(674),
  [2728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4682),
  [2730] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(6106),
  [2734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4652),
  [2736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3525),
  [2738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7265),
  [2740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4655),
  [2742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6810),
  [2744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5886),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [2748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5885),
  [2750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [2752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7514),
  [2754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4857),
  [2756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7555),
  [2758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4634),
  [2760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4629),
  [2762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4424),
  [2764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [2766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7229),
  [2768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7556),
  [2770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6419),
  [2772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3582),
  [2774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4856),
  [2776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7513),
  [2778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7224),
  [2780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7225),
  [2782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6225),
  [2784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [2786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6224),
  [2788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [2790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7273),
  [2792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4832),
  [2794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7533),
  [2796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4622),
  [2798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4627),
  [2800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4420),
  [2802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [2804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7321),
  [2806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7534),
  [2808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6804),
  [2810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3602),
  [2812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4831),
  [2814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7317),
  [2816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7324),
  [2818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7323),
  [2820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(655),
  [2822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [2824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5938),
  [2826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [2828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5937),
  [2830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [2832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7489),
  [2834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4905),
  [2836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7550),
  [2838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4659),
  [2840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4651),
  [2842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4430),
  [2844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [2846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7170),
  [2848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7551),
  [2850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6448),
  [2852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3606),
  [2854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4912),
  [2856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7488),
  [2858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7163),
  [2860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7164),
  [2862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6038),
  [2864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [2866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6037),
  [2868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [2870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7426),
  [2872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4740),
  [2874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7540),
  [2876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4442),
  [2878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4701),
  [2880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4438),
  [2882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [2884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7126),
  [2886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7541),
  [2888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6560),
  [2890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [2892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4741),
  [2894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7425),
  [2896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7138),
  [2898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7137),
  [2900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4718),
  [2902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3520),
  [2904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3521),
  [2906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3562),
  [2908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3627),
  [2910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7520),
  [2912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4518),
  [2914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6455),
  [2916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7295),
  [2918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4596),
  [2920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6872),
  [2922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7435),
  [2924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4660),
  [2926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6422),
  [2928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7497),
  [2930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4450),
  [2932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6686),
  [2934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [2936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7469),
  [2938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4827),
  [2940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7545),
  [2942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4685),
  [2944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4677),
  [2946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4441),
  [2948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7104),
  [2950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7546),
  [2952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6480),
  [2954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3567),
  [2956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4547),
  [2958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7460),
  [2960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7048),
  [2962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7097),
  [2964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7098),
  [2966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7167),
  [2968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7168),
  [2970] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(263),
  [2973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4642),
  [2975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(6106),
  [2978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7182),
  [2980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7283),
  [2982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7189),
  [2984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7188),
  [2986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4448),
  [2988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4602),
  [2990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7119),
  [2992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7121),
  [2994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4497),
  [2996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4461),
  [2998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4508),
  [3000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7399),
  [3002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7394),
  [3004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7401),
  [3006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7400),
  [3008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 2, .production_id = 11),
  [3010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6281),
  [3012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6629),
  [3014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7284),
  [3016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7282),
  [3018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4481),
  [3020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7316),
  [3022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7268),
  [3024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7332),
  [3026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7330),
  [3028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [3030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 2, .production_id = 11),
  [3032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5745),
  [3034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6492),
  [3036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [3038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6028),
  [3040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7020),
  [3042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [3044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [3046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [3048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(57),
  [3050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7353),
  [3052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7354),
  [3054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5915),
  [3056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6893),
  [3058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [3060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [3062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [3064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 42),
  [3066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, .production_id = 243),
  [3068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [3070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [3072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 6, .production_id = 274),
  [3074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [3076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 42),
  [3078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [3080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 34),
  [3082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [3084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [3086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(33),
  [3088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7360),
  [3090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(82),
  [3092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7362),
  [3094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 2, .production_id = 11),
  [3096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [3098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [3100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(67),
  [3102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7372),
  [3104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7371),
  [3106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [3108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [3110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2),
  [3112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, .production_id = 58),
  [3114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, .production_id = 93),
  [3116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(24),
  [3118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7487),
  [3120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, .production_id = 142),
  [3122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, .production_id = 141),
  [3124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 82),
  [3126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 4, .production_id = 138),
  [3128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4),
  [3130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 83),
  [3132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, .production_id = 80),
  [3134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, .production_id = 67),
  [3136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, .production_id = 66),
  [3138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 3),
  [3140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, .production_id = 150),
  [3142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7491),
  [3144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 4, .production_id = 124),
  [3146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5),
  [3148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [3150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 46),
  [3152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 146),
  [3154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3),
  [3156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, .production_id = 22),
  [3158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module, 2, .production_id = 6),
  [3160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 2),
  [3162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias_declaration, 5, .production_id = 152),
  [3164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_alias, 5),
  [3166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [3168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 108),
  [3170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 2, .production_id = 4),
  [3172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1),
  [3174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 109),
  [3176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 5, .production_id = 176),
  [3178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [3180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 125),
  [3182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 242),
  [3184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 181),
  [3186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 182),
  [3188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, .production_id = 185),
  [3190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 3, .production_id = 58),
  [3192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 3),
  [3194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, .production_id = 193),
  [3196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 147),
  [3198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 197),
  [3200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, .production_id = 204),
  [3202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, .production_id = 11),
  [3204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [3206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias_declaration, 6, .production_id = 199),
  [3208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3),
  [3210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 166),
  [3212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 177),
  [3214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 3),
  [3216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2),
  [3218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 34),
  [3220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [3222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, .production_id = 150),
  [3224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 177),
  [3226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 230),
  [3228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 2),
  [3230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, .production_id = 232),
  [3232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [3234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4),
  [3236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2),
  [3238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2),
  [3240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_debugger_statement, 2),
  [3242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2),
  [3244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, .production_id = 234),
  [3246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 194),
  [3248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 195),
  [3250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 236),
  [3252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 6, .production_id = 274),
  [3254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, .production_id = 103),
  [3256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, .production_id = 11),
  [3258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 237),
  [3260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 4, .production_id = 102),
  [3262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, .production_id = 243),
  [3264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 4, .production_id = 95),
  [3266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 7, .production_id = 229),
  [3268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 2),
  [3270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [3272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 94),
  [3274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [3276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 7, .production_id = 269),
  [3278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 5, .production_id = 232),
  [3280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, .production_id = 82),
  [3282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4),
  [3284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, .production_id = 89),
  [3286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 5, .production_id = 234),
  [3288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 235),
  [3290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 7, .production_id = 270),
  [3292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 6),
  [3294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 5),
  [3296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 4),
  [3298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 24),
  [3300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3),
  [3302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 3, .production_id = 33),
  [3304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 3),
  [3306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3, .production_id = 30),
  [3308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [3310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 2),
  [3312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4),
  [3314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 4, .production_id = 33),
  [3316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 4, .production_id = 96),
  [3318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [3320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [3322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3),
  [3324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3),
  [3326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, .production_id = 45),
  [3328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, .production_id = 45),
  [3330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 3, .production_id = 44),
  [3332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 43),
  [3334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 41),
  [3336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 3, .production_id = 36),
  [3338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, .production_id = 35),
  [3340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, .production_id = 150),
  [3342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 1),
  [3344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [3346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [3348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1),
  [3350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 2, .production_id = 4),
  [3352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2),
  [3354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2),
  [3356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_debugger_statement, 2),
  [3358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 4, .production_id = 96),
  [3360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [3362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 2),
  [3364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 2, .production_id = 6),
  [3366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [3368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, .production_id = 22),
  [3370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 24),
  [3372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3),
  [3374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3, .production_id = 30),
  [3376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3),
  [3378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3),
  [3380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 3, .production_id = 33),
  [3382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, .production_id = 35),
  [3384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 3, .production_id = 36),
  [3386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 3),
  [3388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 2),
  [3390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 41),
  [3392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 43),
  [3394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 3, .production_id = 44),
  [3396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, .production_id = 45),
  [3398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, .production_id = 45),
  [3400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3),
  [3402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3),
  [3404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 3),
  [3406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, .production_id = 66),
  [3408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 4),
  [3410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, .production_id = 67),
  [3412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, .production_id = 80),
  [3414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 82),
  [3416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 83),
  [3418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4),
  [3420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 7, .production_id = 270),
  [3422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 235),
  [3424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 5, .production_id = 234),
  [3426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 5, .production_id = 232),
  [3428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 7, .production_id = 269),
  [3430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 7, .production_id = 229),
  [3432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 242),
  [3434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 5),
  [3436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 6),
  [3438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 237),
  [3440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 236),
  [3442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 195),
  [3444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 194),
  [3446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, .production_id = 234),
  [3448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4),
  [3450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, .production_id = 232),
  [3452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, .production_id = 58),
  [3454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 230),
  [3456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 177),
  [3458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [3460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, .production_id = 89),
  [3462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4),
  [3464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 177),
  [3466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 166),
  [3468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, .production_id = 82),
  [3470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, .production_id = 204),
  [3472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias_declaration, 6, .production_id = 199),
  [3474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4),
  [3476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 197),
  [3478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 147),
  [3480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 4, .production_id = 33),
  [3482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, .production_id = 193),
  [3484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3),
  [3486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3, .production_id = 58),
  [3488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, .production_id = 93),
  [3490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, .production_id = 185),
  [3492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 182),
  [3494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 181),
  [3496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 125),
  [3498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 5, .production_id = 176),
  [3500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 94),
  [3502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 109),
  [3504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 2),
  [3506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 108),
  [3508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 4, .production_id = 95),
  [3510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 3),
  [3512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2),
  [3514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_alias, 5),
  [3516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, .production_id = 150),
  [3518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias_declaration, 5, .production_id = 152),
  [3520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5),
  [3522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [3524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 146),
  [3526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 2),
  [3528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, .production_id = 142),
  [3530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, .production_id = 141),
  [3532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 4, .production_id = 138),
  [3534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 4, .production_id = 124),
  [3536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 46),
  [3538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, .production_id = 103),
  [3540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, .production_id = 11),
  [3542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 4, .production_id = 102),
  [3544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 1),
  [3546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4065),
  [3548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7158),
  [3550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2389),
  [3552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [3554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7374),
  [3556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2992),
  [3558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7522),
  [3560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3870),
  [3562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7344),
  [3564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4123),
  [3566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7430),
  [3568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4389),
  [3570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 7, .production_id = 273),
  [3572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2356),
  [3574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4089),
  [3576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4118),
  [3578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 6, .production_id = 241),
  [3580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3849),
  [3582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4233),
  [3584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, .production_id = 202),
  [3586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4198),
  [3588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3006),
  [3590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2917),
  [3592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2363),
  [3594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3783),
  [3596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, .production_id = 203),
  [3598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3957),
  [3600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4398),
  [3602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2168),
  [3604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4452),
  [3606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4399),
  [3608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [3610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1691),
  [3612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5664),
  [3614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [3616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1836),
  [3618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7390),
  [3620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4133),
  [3622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5555),
  [3624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5556),
  [3626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5470),
  [3628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4402),
  [3630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4137),
  [3632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1880),
  [3634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1862),
  [3636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7505),
  [3638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3926),
  [3640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7396),
  [3642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1861),
  [3644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7404),
  [3646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3848),
  [3648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4042),
  [3650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3913),
  [3652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3719),
  [3654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3777),
  [3656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3934),
  [3658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4303),
  [3660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2458),
  [3662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3756),
  [3664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4262),
  [3666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4265),
  [3668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4267),
  [3670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4295),
  [3672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5324),
  [3674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5325),
  [3676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3774),
  [3678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3757),
  [3680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3753),
  [3682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2850),
  [3684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2859),
  [3686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2863),
  [3688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5217),
  [3690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2955),
  [3692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5227),
  [3694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2967),
  [3696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2971),
  [3698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5215),
  [3700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4301),
  [3702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3997),
  [3704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3991),
  [3706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3995),
  [3708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2460),
  [3710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2434),
  [3712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3754),
  [3714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3982),
  [3716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3981),
  [3718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3978),
  [3720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2478),
  [3722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2479),
  [3724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2480),
  [3726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3763),
  [3728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5737),
  [3730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5739),
  [3732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5322),
  [3734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5722),
  [3736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5733),
  [3738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5736),
  [3740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5738),
  [3742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2634),
  [3744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2902),
  [3746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2161),
  [3748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4612),
  [3750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2903),
  [3752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [3754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1688),
  [3756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5601),
  [3758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1900),
  [3760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1902),
  [3762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7287),
  [3764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2730),
  [3766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5305),
  [3768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2907),
  [3770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2731),
  [3772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1903),
  [3774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1909),
  [3776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7310),
  [3778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3928),
  [3780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7290),
  [3782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1922),
  [3784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7292),
  [3786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2318),
  [3788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2487),
  [3790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2157),
  [3792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4522),
  [3794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2485),
  [3796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [3798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1687),
  [3800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5658),
  [3802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1871),
  [3804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [3806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7114),
  [3808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2333),
  [3810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5235),
  [3812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2484),
  [3814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2323),
  [3816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1879),
  [3818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1858),
  [3820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7477),
  [3822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3899),
  [3824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7129),
  [3826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1883),
  [3828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7130),
  [3830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4062),
  [3832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2268),
  [3834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3658),
  [3836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2912),
  [3838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1935),
  [3840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2894),
  [3842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [3844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2260),
  [3846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [3848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2681),
  [3850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3908),
  [3852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7465),
  [3854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4111),
  [3856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2440),
  [3858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2684),
  [3860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2694),
  [3862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3249),
  [3864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3258),
  [3866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7178),
  [3868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3768),
  [3870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2775),
  [3872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1932),
  [3874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2708),
  [3876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2263),
  [3878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4088),
  [3880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4035),
  [3882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2269),
  [3884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3309),
  [3886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2648),
  [3888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3915),
  [3890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2436),
  [3892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2643),
  [3894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2725),
  [3896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3223),
  [3898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3224),
  [3900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2437),
  [3902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4063),
  [3904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2271),
  [3906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3144),
  [3908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2543),
  [3910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3921),
  [3912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2461),
  [3914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2521),
  [3916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2782),
  [3918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3061),
  [3920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3064),
  [3922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2847),
  [3924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2771),
  [3926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4060),
  [3928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2267),
  [3930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2873),
  [3932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2506),
  [3934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3901),
  [3936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2497),
  [3938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2505),
  [3940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2787),
  [3942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3238),
  [3944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3241),
  [3946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4008),
  [3948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2270),
  [3950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2615),
  [3952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3923),
  [3954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2390),
  [3956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2616),
  [3958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2736),
  [3960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3269),
  [3962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3271),
  [3964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3199),
  [3966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [3968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5558),
  [3970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5557),
  [3972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3820),
  [3974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2806),
  [3976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [3978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5655),
  [3980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5654),
  [3982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4439),
  [3984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2911),
  [3986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [3988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4085),
  [3990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3896),
  [3992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4840),
  [3994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2384),
  [3996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4304),
  [3998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4017),
  [4000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4373),
  [4002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2733),
  [4004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2909),
  [4006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2331),
  [4008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2483),
  [4010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2883),
  [4012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2465),
  [4014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2489),
  [4016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4159),
  [4018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2314),
  [4020] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 1), REDUCE(aux_sym_object_pattern_repeat1, 1),
  [4023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2910),
  [4025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4051),
  [4027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2726),
  [4029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2904),
  [4031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3237),
  [4033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3397),
  [4035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3374),
  [4037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2335),
  [4039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4166),
  [4041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [4043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5550),
  [4045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5551),
  [4047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [4049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5533),
  [4051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5534),
  [4053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [4055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5572),
  [4057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5574),
  [4059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [4061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5583),
  [4063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5585),
  [4065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5402),
  [4067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [4069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5578),
  [4071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5579),
  [4073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [4075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5588),
  [4077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5589),
  [4079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5861),
  [4081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1),
  [4083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [4085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1),
  [4087] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1, .production_id = 7),
  [4090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [4092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1),
  [4094] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1, .production_id = 7),
  [4097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [4099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2),
  [4101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [4103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6788),
  [4105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [4107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5848),
  [4109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2),
  [4111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1766),
  [4113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [4115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6409),
  [4117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5716),
  [4119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1762),
  [4121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, .production_id = 144),
  [4123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, .production_id = 144),
  [4125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_non_null_expression, 2),
  [4127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_non_null_expression, 2),
  [4129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 68),
  [4131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 68),
  [4133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 5, .production_id = 191),
  [4135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 5, .production_id = 191),
  [4137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 69),
  [4139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 69),
  [4141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 70),
  [4143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 70),
  [4145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4437),
  [4147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 71),
  [4149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 71),
  [4151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 49),
  [4154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 49),
  [4157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), SHIFT(7424),
  [4160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), SHIFT(1762),
  [4163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 49),
  [4165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(692),
  [4168] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1), REDUCE(sym__primary_type, 1, .production_id = 49),
  [4172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), SHIFT(7338),
  [4175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), SHIFT(1766),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [4180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_type, 1, .production_id = 49), SHIFT(6451),
  [4183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(769),
  [4185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [4187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [4189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [4191] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [4194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [4196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [4198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [4200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(792),
  [4203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [4205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [4207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [4209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [4211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2, .production_id = 29),
  [4213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [4215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [4217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(595),
  [4219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [4221] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_predefined_type, 1),
  [4224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_predefined_type, 1),
  [4227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [4229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2),
  [4231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rest_pattern, 2),
  [4233] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), REDUCE(sym__primary_type, 1, .production_id = 49),
  [4236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 21),
  [4238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 21), SHIFT_REPEAT(6003),
  [4241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6836),
  [4243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(284),
  [4246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator, 2),
  [4248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [4250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7364),
  [4252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [4255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 21), SHIFT(4156),
  [4258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5717),
  [4260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5855),
  [4262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5732),
  [4264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [4266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [4268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [4270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_member_expression, 3, .production_id = 68),
  [4272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(603),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [4276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5756),
  [4278] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 49), REDUCE(sym_rest_pattern, 2),
  [4282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 69),
  [4284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 68),
  [4286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 1, .production_id = 2),
  [4288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_call_expression, 2, .production_id = 15),
  [4290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), SHIFT(523),
  [4293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [4295] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_rest_pattern, 2, .production_id = 29),
  [4298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [4306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2),
  [4308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3),
  [4310] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_predefined_type, 1), REDUCE(sym_rest_pattern, 2, .production_id = 29),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [4320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(648),
  [4323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1921),
  [4325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [4327] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_rest_pattern, 2),
  [4330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5742),
  [4332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4117),
  [4334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2315),
  [4336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3687),
  [4338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2262),
  [4340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2357),
  [4342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [4344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3030),
  [4346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4097),
  [4348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3026),
  [4350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3032),
  [4352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3298),
  [4354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3420),
  [4356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3352),
  [4358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2258),
  [4360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1681),
  [4362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2265),
  [4364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2795),
  [4366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2261),
  [4368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [4370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2266),
  [4372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4179),
  [4374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2257),
  [4376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1440),
  [4378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2259),
  [4380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [4382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [4384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [4386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1674),
  [4388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3750),
  [4390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [4392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2463),
  [4394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [4396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1673),
  [4398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1448),
  [4400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1446),
  [4402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2965),
  [4404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [4406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4115),
  [4408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [4410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4318),
  [4412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4177),
  [4414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2448),
  [4416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4185),
  [4418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2970),
  [4420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1675),
  [4422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [4424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(622),
  [4426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2956),
  [4428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1126),
  [4430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2496),
  [4432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4099),
  [4434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3760),
  [4436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1128),
  [4438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4100),
  [4440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1413),
  [4442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1412),
  [4444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [4446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1396),
  [4448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(783),
  [4450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3765),
  [4452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [4454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [4456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [4458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5995),
  [4460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [4462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5993),
  [4464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [4466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7461),
  [4468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2320),
  [4471] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2761),
  [4474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7),
  [4476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4828),
  [4478] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2579),
  [4481] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2513),
  [4484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(3358),
  [4487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2837),
  [4490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3653),
  [4492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [4494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3527),
  [4496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3043),
  [4498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5967),
  [4500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2594),
  [4502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2930),
  [4504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3306),
  [4506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2781),
  [4508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3403),
  [4510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3608),
  [4512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4468),
  [4514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1515),
  [4516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [4518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [4520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1487),
  [4522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1489),
  [4524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [4526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(353),
  [4528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1038),
  [4530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1036),
  [4532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [4534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [4536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [4538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [4540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(923),
  [4542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [4544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1005),
  [4546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 21), SHIFT_REPEAT(4117),
  [4549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 21), SHIFT_REPEAT(3653),
  [4552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 21),
  [4554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 21), SHIFT_REPEAT(3527),
  [4557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 21), SHIFT_REPEAT(542),
  [4560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 21), SHIFT_REPEAT(3043),
  [4563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 21), SHIFT_REPEAT(7465),
  [4566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 21), SHIFT_REPEAT(5631),
  [4569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 21), SHIFT_REPEAT(5632),
  [4572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 21), SHIFT_REPEAT(4111),
  [4575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 21), SHIFT_REPEAT(5967),
  [4578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 21), SHIFT_REPEAT(2594),
  [4581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 21), SHIFT_REPEAT(2930),
  [4584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 21), SHIFT_REPEAT(3306),
  [4587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 21), SHIFT_REPEAT(2781),
  [4590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 21), SHIFT_REPEAT(3403),
  [4593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 21), SHIFT_REPEAT(3352),
  [4596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 21), SHIFT_REPEAT(3608),
  [4599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1654),
  [4601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2641),
  [4603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6594),
  [4605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4228),
  [4607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2619),
  [4609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [4611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3143),
  [4613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2842),
  [4615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3142),
  [4617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3349),
  [4619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3447),
  [4621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3438),
  [4623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4457),
  [4625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2610),
  [4627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1326),
  [4629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2518),
  [4631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4383),
  [4633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3385),
  [4635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3047),
  [4637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3015),
  [4639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3048),
  [4641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3311),
  [4643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3423),
  [4645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3431),
  [4647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6504),
  [4649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2527),
  [4651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [4653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [4655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [4657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [4659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4401),
  [4661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2500),
  [4663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3034),
  [4665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2946),
  [4667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3031),
  [4669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3342),
  [4671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3435),
  [4673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3442),
  [4675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4381),
  [4677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2864),
  [4679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3145),
  [4681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2866),
  [4683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3141),
  [4685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3347),
  [4687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3443),
  [4689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3432),
  [4691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4352),
  [4693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3081),
  [4695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3082),
  [4697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2977),
  [4699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3083),
  [4701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3320),
  [4703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3427),
  [4705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3426),
  [4707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4261),
  [4709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3416),
  [4711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3126),
  [4713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2865),
  [4715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3127),
  [4717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3329),
  [4719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3453),
  [4721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3452),
  [4723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1547),
  [4725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4329),
  [4727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2759),
  [4729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3066),
  [4731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2936),
  [4733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3063),
  [4735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3313),
  [4737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3445),
  [4739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3446),
  [4741] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), REDUCE(aux_sym_object_repeat1, 2, .production_id = 27), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 28),
  [4745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [4747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [4749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6888),
  [4751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1767),
  [4753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, .production_id = 113),
  [4755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, .production_id = 113),
  [4757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6885),
  [4759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_type, 1, .production_id = 49),
  [4761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7161),
  [4763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [4765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, .production_id = 12),
  [4767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, .production_id = 12),
  [4769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [4771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6866),
  [4773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4599),
  [4775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4608),
  [4777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3376),
  [4779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3339),
  [4781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3399),
  [4783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3448),
  [4785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3505),
  [4787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3491),
  [4789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, .production_id = 77),
  [4791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, .production_id = 77),
  [4793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6887),
  [4795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4),
  [4797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_type, 1, .production_id = 50),
  [4799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 50),
  [4801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_type, 1),
  [4803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_type, 1),
  [4805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [4807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiation_expression, 2, .production_id = 17),
  [4809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiation_expression, 2, .production_id = 17),
  [4811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4835),
  [4813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2),
  [4815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_predefined_type, 2, .production_id = 117),
  [4817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_predefined_type, 2, .production_id = 117),
  [4819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [4821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7087),
  [4823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [4825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7084),
  [4827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3),
  [4829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_asserts, 2),
  [4831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asserts, 2),
  [4833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8),
  [4835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 8),
  [4837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6187),
  [4839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(211),
  [4842] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 264),
  [4844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 264),
  [4846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 144),
  [4848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 144),
  [4850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [4852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [4854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [4856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1985),
  [4858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [4860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [4862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [4864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [4866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(583),
  [4868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [4870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(657),
  [4872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [4874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [4876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(652),
  [4878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [4880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [4882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [4884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [4886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [4888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [4890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [4892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [4894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [4896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [4898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 265),
  [4900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 265),
  [4902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 266),
  [4904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 266),
  [4906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 4, .production_id = 228),
  [4908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 4, .production_id = 228),
  [4910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1918),
  [4912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1920),
  [4914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [4916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lookup_type, 4),
  [4918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lookup_type, 4),
  [4920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infer_type, 4, .production_id = 116),
  [4922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infer_type, 4, .production_id = 116),
  [4924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 4, .production_id = 227),
  [4926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 4, .production_id = 227),
  [4928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 4),
  [4930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 4),
  [4932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 189),
  [4934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 189),
  [4936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 188),
  [4938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 188),
  [4940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 5),
  [4942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 5),
  [4944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, .production_id = 15),
  [4946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, .production_id = 15),
  [4948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 15),
  [4950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 15),
  [4952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 226),
  [4954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 226),
  [4956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, .production_id = 190),
  [4958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [4960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [4962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [4964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8),
  [4966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, .production_id = 8),
  [4968] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(211),
  [4971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 225),
  [4973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 225),
  [4975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 187),
  [4977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 187),
  [4979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 186),
  [4981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 186),
  [4983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 5, .production_id = 267),
  [4985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 5, .production_id = 267),
  [4987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 69),
  [4989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 69),
  [4991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 5, .production_id = 268),
  [4993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 5, .production_id = 268),
  [4995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 68),
  [4997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 68),
  [4999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [5001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 3),
  [5003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 3),
  [5005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 3),
  [5007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 3),
  [5009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 3),
  [5011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 3),
  [5013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, .production_id = 174),
  [5015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, .production_id = 174),
  [5017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 2),
  [5019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 2),
  [5021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3652),
  [5023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(798),
  [5025] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2320),
  [5028] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(3358),
  [5031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(765),
  [5033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3291),
  [5035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3242),
  [5037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3368),
  [5039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_type_identifier, 3, .production_id = 173),
  [5041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_type_identifier, 3, .production_id = 173),
  [5043] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_nested_identifier, 3, .production_id = 85), REDUCE(sym_nested_type_identifier, 3, .production_id = 173),
  [5046] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_nested_identifier, 3, .production_id = 84), REDUCE(sym_nested_type_identifier, 3, .production_id = 173),
  [5049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_literal_type, 3),
  [5051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_literal_type, 3),
  [5053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await_expression, 2),
  [5055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 2),
  [5057] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(211),
  [5060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 296),
  [5062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 296),
  [5064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 297),
  [5066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 297),
  [5068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 3),
  [5070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 3),
  [5072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type, 3),
  [5074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type, 3),
  [5076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 298),
  [5078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 298),
  [5080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_instantiation_expression, 2, .production_id = 172),
  [5082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_instantiation_expression, 2, .production_id = 172),
  [5084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 171),
  [5086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 171),
  [5088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 299),
  [5090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 299),
  [5092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_instantiation_expression, 2, .production_id = 170),
  [5094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_instantiation_expression, 2, .production_id = 170),
  [5096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 143),
  [5098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 143),
  [5100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_instantiation_expression, 2, .production_id = 169),
  [5102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_instantiation_expression, 2, .production_id = 169),
  [5104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 6, .production_id = 300),
  [5106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 6, .production_id = 300),
  [5108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2),
  [5110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, .production_id = 118),
  [5112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, .production_id = 118),
  [5114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_type_query, 2),
  [5116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_type_query, 2),
  [5118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [5120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_type, 7, .production_id = 320),
  [5122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_type, 7, .production_id = 320),
  [5124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infer_type, 2, .production_id = 116),
  [5126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infer_type, 2, .production_id = 116),
  [5128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [5130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_flow_maybe_type, 2),
  [5132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_flow_maybe_type, 2),
  [5134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1),
  [5136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1),
  [5138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readonly_type, 2),
  [5140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readonly_type, 2),
  [5142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, .production_id = 115),
  [5144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, .production_id = 115),
  [5146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 25),
  [5148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_literal_type, 2),
  [5150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_literal_type, 2),
  [5152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__number, 2, .production_id = 8),
  [5154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__number, 2, .production_id = 8),
  [5156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 23),
  [5158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 2),
  [5160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 2),
  [5162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_predicate, 3, .production_id = 91),
  [5164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate, 3, .production_id = 91),
  [5166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_predicate, 3, .production_id = 192),
  [5168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate, 3, .production_id = 192),
  [5170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2),
  [5172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2),
  [5174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2),
  [5176] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2), REDUCE(sym_tuple_type, 2),
  [5179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2), REDUCE(sym_tuple_type, 2),
  [5182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 2),
  [5184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 2),
  [5186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4),
  [5188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4),
  [5190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3, .production_id = 77),
  [5192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3, .production_id = 77),
  [5194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2513),
  [5197] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2), REDUCE(sym_object_type, 2),
  [5200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2), REDUCE(sym_object_type, 2),
  [5203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3, .production_id = 78),
  [5205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3, .production_id = 78),
  [5207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3),
  [5209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3),
  [5211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2579),
  [5214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, .production_id = 114),
  [5216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, .production_id = 114),
  [5218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, .production_id = 78),
  [5220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, .production_id = 78),
  [5222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6884),
  [5224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 4, .production_id = 128),
  [5226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6264),
  [5228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 4, .production_id = 127),
  [5230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3),
  [5232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [5234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 123),
  [5236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 122),
  [5238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .production_id = 56),
  [5240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .production_id = 56),
  [5242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 120),
  [5244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 63),
  [5246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 64),
  [5248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 65),
  [5250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 65),
  [5252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4, .production_id = 77),
  [5254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4, .production_id = 77),
  [5256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4, .production_id = 78),
  [5258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4, .production_id = 78),
  [5260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2837),
  [5263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 65), SHIFT(211),
  [5266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_expression, 3),
  [5268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_expression, 3),
  [5270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2),
  [5272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_type, 1, .production_id = 51),
  [5274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_type, 1, .production_id = 51),
  [5276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5, .production_id = 77),
  [5278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5, .production_id = 77),
  [5280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5, .production_id = 78),
  [5282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5, .production_id = 78),
  [5284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5),
  [5286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5),
  [5288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_type, 1),
  [5290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_type, 1),
  [5292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [5294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_existential_type, 1),
  [5296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_existential_type, 1),
  [5298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [5300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7365),
  [5302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7366),
  [5304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_satisfies_expression, 3),
  [5306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_satisfies_expression, 3),
  [5308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 76),
  [5310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, .production_id = 65),
  [5312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2761),
  [5315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(758),
  [5317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [5319] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 86), REDUCE(sym_assignment_expression, 3, .production_id = 23),
  [5322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 86),
  [5324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2087),
  [5326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [5328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [5330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [5332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [5334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6794),
  [5336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [5338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [5340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [5342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [5344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(748),
  [5346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [5348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(742),
  [5350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [5352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [5354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [5356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [5358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [5360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [5362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [5364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [5366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3204),
  [5368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4850),
  [5370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [5372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [5374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3),
  [5376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3),
  [5378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 2, .production_id = 18),
  [5380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 2, .production_id = 18),
  [5382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_closing_tag, 1),
  [5384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_closing_tag, 1),
  [5386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 16),
  [5388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 16),
  [5390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [5392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [5394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3558),
  [5396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(209),
  [5399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [5401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, .production_id = 27),
  [5403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 3, .production_id = 28),
  [5405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, .production_id = 27),
  [5407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4),
  [5409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4),
  [5411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4),
  [5413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4),
  [5415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6489),
  [5417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1764),
  [5419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(732),
  [5421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [5423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [5425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [5427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(726),
  [5429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [5431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [5433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [5435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [5437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [5439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [5441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [5443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [5445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [5447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [5449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [5451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [5453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [5455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6487),
  [5457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6486),
  [5459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, .production_id = 27),
  [5461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, .production_id = 27),
  [5463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [5465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 81),
  [5467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 81),
  [5469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [5471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [5473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 76),
  [5475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 3, .production_id = 75),
  [5477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 3, .production_id = 75),
  [5479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [5481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 2),
  [5483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 2),
  [5485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 2, .dynamic_precedence = -1),
  [5487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 2, .dynamic_precedence = -1),
  [5489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 2),
  [5491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 2),
  [5493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 2, .production_id = 18),
  [5495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 2, .production_id = 18),
  [5497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 3, .production_id = 74),
  [5499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 3, .production_id = 74),
  [5501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, .production_id = 73),
  [5503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, .production_id = 73),
  [5505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 2, .production_id = 11),
  [5507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 2, .production_id = 11),
  [5509] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2),
  [5512] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 50),
  [5515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 50),
  [5518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_literal_type, 1),
  [5521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_literal_type, 1),
  [5524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 65), SHIFT(215),
  [5527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [5529] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 63), REDUCE(sym_assignment_expression, 3, .production_id = 63),
  [5532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 63),
  [5534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4635),
  [5536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [5538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 25),
  [5540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, .production_id = 72),
  [5542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, .production_id = 72),
  [5544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 3, .production_id = 27), REDUCE(sym_object_pattern, 3, .production_id = 28),
  [5547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 149),
  [5549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 149),
  [5551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, .production_id = 175),
  [5553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, .production_id = 175),
  [5555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 64),
  [5557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 148),
  [5559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 148),
  [5561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 3),
  [5563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 3),
  [5565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 119),
  [5567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 119),
  [5569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 120),
  [5571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 3, .dynamic_precedence = -1, .production_id = 62),
  [5573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 3, .dynamic_precedence = -1, .production_id = 62),
  [5575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 3, .dynamic_precedence = -1, .production_id = 58),
  [5577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 3, .dynamic_precedence = -1, .production_id = 58),
  [5579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3681),
  [5581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(47),
  [5583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3103),
  [5585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3102),
  [5587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3312),
  [5589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, .production_id = 121),
  [5591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, .production_id = 121),
  [5593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(209),
  [5596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .production_id = 55),
  [5598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .production_id = 55),
  [5600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_meta_property, 3),
  [5602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_meta_property, 3),
  [5604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 3, .production_id = 54),
  [5606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 3, .production_id = 54),
  [5608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 122),
  [5610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 123),
  [5612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__initializer, 2, .production_id = 90),
  [5614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, .production_id = 90), SHIFT(737),
  [5617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 5, .dynamic_precedence = -1, .production_id = 179),
  [5619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 5, .dynamic_precedence = -1, .production_id = 179),
  [5621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(215),
  [5624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_element, 2),
  [5626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 53),
  [5628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 53),
  [5630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 52),
  [5632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 52),
  [5634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3),
  [5636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3),
  [5638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 5, .dynamic_precedence = -1, .production_id = 180),
  [5640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 5, .dynamic_precedence = -1, .production_id = 180),
  [5642] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2),
  [5645] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 86), REDUCE(sym_assignment_expression, 3, .production_id = 63),
  [5648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6659),
  [5650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6809),
  [5652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [5654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(215),
  [5657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [5659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 3, .production_id = 62),
  [5661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 3, .production_id = 62),
  [5663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(215),
  [5666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [5668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 3, .production_id = 58),
  [5670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 3, .production_id = 58),
  [5672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 4, .production_id = 145),
  [5674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 4, .production_id = 145),
  [5676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_template_string, 2), REDUCE(sym_template_literal_type, 2),
  [5679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_template_string, 2), REDUCE(sym_template_literal_type, 2),
  [5682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7380),
  [5684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [5686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [5688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [5690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 4, .production_id = 121),
  [5692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 4, .production_id = 121),
  [5694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [5696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6583),
  [5698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [5700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5012),
  [5702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(209),
  [5705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 196),
  [5707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 196),
  [5709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, .production_id = 126),
  [5711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, .production_id = 126),
  [5713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 4, .production_id = 129),
  [5715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 4, .production_id = 129),
  [5717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 4, .dynamic_precedence = -1, .production_id = 132),
  [5719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 4, .dynamic_precedence = -1, .production_id = 132),
  [5721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 4, .dynamic_precedence = -1, .production_id = 134),
  [5723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 4, .dynamic_precedence = -1, .production_id = 134),
  [5725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 65), SHIFT(209),
  [5728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [5730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [5732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 4, .dynamic_precedence = -1, .production_id = 136),
  [5734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 4, .dynamic_precedence = -1, .production_id = 136),
  [5736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 4, .dynamic_precedence = -1, .production_id = 137),
  [5738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 4, .dynamic_precedence = -1, .production_id = 137),
  [5740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [5742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3402),
  [5744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3396),
  [5746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3647),
  [5748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [5750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5489),
  [5752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_pattern, 3, .production_id = 63),
  [5754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [5756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [5758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(584),
  [5760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [5762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [5764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(553),
  [5766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [5768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [5770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [5772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [5774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [5776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [5778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [5780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [5782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [5784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [5786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3965),
  [5788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [5790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [5792] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 65), SHIFT(213),
  [5795] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2), REDUCE(sym_tuple_type, 2),
  [5799] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2), REDUCE(sym_object_type, 2),
  [5803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [5805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [5807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3038),
  [5809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5581),
  [5811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [5813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [5815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [5817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [5819] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), REDUCE(aux_sym_object_repeat1, 2, .production_id = 27), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 28),
  [5823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [5825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4129),
  [5827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [5829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [5831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3683),
  [5833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [5835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3701),
  [5837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [5839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [5841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [5843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [5845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [5847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6648),
  [5849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [5851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [5853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [5855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 2),
  [5857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5163),
  [5859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, .production_id = 28),
  [5861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [5863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [5865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [5867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extends_clause_single, 1, .production_id = 47),
  [5869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2),
  [5871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(213),
  [5874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(213),
  [5877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(213),
  [5880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2),
  [5882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3405),
  [5884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3404),
  [5886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3695),
  [5888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [5890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [5892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [5894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [5896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [5898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [5900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [5902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [5904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(728),
  [5906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [5908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [5910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [5912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [5914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [5916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [5918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [5920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [5922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [5924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(761),
  [5926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [5928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [5930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [5932] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(210),
  [5935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1893),
  [5937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1886),
  [5939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [5941] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(210),
  [5944] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(210),
  [5947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [5949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [5951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [5953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [5955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [5957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [5959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [5961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [5963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [5965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [5967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [5969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [5971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [5973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [5975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [5977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [5979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [5981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [5983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, .production_id = 87),
  [5985] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 65), SHIFT(212),
  [5988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [5990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4897),
  [5992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3684),
  [5994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [5996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [5998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [6000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3417),
  [6002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [6004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [6006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3639),
  [6008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3286),
  [6010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3254),
  [6012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3344),
  [6014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_pattern, 2), REDUCE(sym_object_type, 2),
  [6017] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_pattern, 2), REDUCE(sym_tuple_type, 2),
  [6020] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(212),
  [6023] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(212),
  [6026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [6028] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(212),
  [6031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5008),
  [6033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5238),
  [6035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5231),
  [6037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5396),
  [6039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3152),
  [6041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4462),
  [6043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5282),
  [6045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4919),
  [6047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [6049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [6051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [6053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [6055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6653),
  [6057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 3, .production_id = 37),
  [6059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 3, .production_id = 37),
  [6061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2657),
  [6063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3691),
  [6065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2761),
  [6067] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 65), SHIFT(210),
  [6070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [6072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3697),
  [6074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3215),
  [6076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3214),
  [6078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3351),
  [6080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7014),
  [6082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7019),
  [6084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3649),
  [6086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3062),
  [6088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3315),
  [6090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3685),
  [6092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3692),
  [6094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3389),
  [6096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3390),
  [6098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3693),
  [6100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3077),
  [6102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [6104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [6106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3662),
  [6108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3148),
  [6110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3159),
  [6112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3367),
  [6114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3679),
  [6116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 2, .production_id = 37),
  [6118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 2, .production_id = 37),
  [6120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 50), REDUCE(sym__parameter_name, 2, .production_id = 37),
  [6123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3686),
  [6125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3080),
  [6127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3167),
  [6129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3301),
  [6131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 1, .production_id = 9),
  [6133] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__parameter_name, 1, .production_id = 9),
  [6136] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__parameter_name, 1, .production_id = 9), REDUCE(sym__primary_type, 1, .production_id = 50),
  [6140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3406),
  [6142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3375),
  [6144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3642),
  [6146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6482),
  [6148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3384),
  [6150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 1, .production_id = 9),
  [6152] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__parameter_name, 1, .production_id = 9), REDUCE(sym__primary_type, 1, .production_id = 50),
  [6155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3091),
  [6157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3638),
  [6159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3056),
  [6161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3058),
  [6163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3346),
  [6165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6861),
  [6167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3545),
  [6169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [6171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(601),
  [6173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [6175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [6177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [6179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [6181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [6183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [6185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [6187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [6189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [6191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [6193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [6195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [6197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [6199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [6201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [6203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [6205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(216),
  [6208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(216),
  [6211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3677),
  [6213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3053),
  [6215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3325),
  [6217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [6219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [6221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3565),
  [6223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3664),
  [6225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3161),
  [6227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3357),
  [6229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2),
  [6232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3672),
  [6234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3542),
  [6236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3550),
  [6238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6914),
  [6240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6931),
  [6242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5343),
  [6244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3555),
  [6246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extends_clause_single, 2, .production_id = 110),
  [6248] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(214),
  [6251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [6253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [6255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [6257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [6259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [6261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [6263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [6265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [6267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [6269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [6271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [6273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [6275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [6277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [6279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [6281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [6283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [6285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [6287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(214),
  [6290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(214),
  [6293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 3, .production_id = 27), REDUCE(sym_object_pattern, 3, .production_id = 28),
  [6296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3546),
  [6298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3671),
  [6300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3552),
  [6302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2),
  [6305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6473),
  [6307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 2, .production_id = 40),
  [6309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 2, .production_id = 40),
  [6311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7032),
  [6313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 65), SHIFT(214),
  [6316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3560),
  [6318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3538),
  [6320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 3, .production_id = 101),
  [6322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 3, .production_id = 101),
  [6324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 3, .production_id = 97),
  [6326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 3, .production_id = 97),
  [6328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [6330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3666),
  [6332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3537),
  [6334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [6336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7011),
  [6338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3551),
  [6340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5689),
  [6342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_object_pattern_repeat1, 1),
  [6344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 5, .production_id = 205),
  [6346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 5, .production_id = 205),
  [6348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5307),
  [6350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5306),
  [6352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3643),
  [6354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3556),
  [6356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3212),
  [6358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 65), SHIFT(216),
  [6361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3222),
  [6363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3328),
  [6365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [6367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6796),
  [6369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3257),
  [6371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3307),
  [6373] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1),
  [6376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1),
  [6378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1),
  [6381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_name, 1),
  [6383] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_literal_type, 1), REDUCE(sym_rest_pattern, 2),
  [6387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, .production_id = 90), SHIFT(601),
  [6390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6741),
  [6392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6748),
  [6394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [6396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3678),
  [6398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3101),
  [6400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3303),
  [6402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3564),
  [6404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, .production_id = 15),
  [6406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 4, .production_id = 155),
  [6408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 4, .production_id = 155),
  [6410] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 3), REDUCE(sym_computed_property_name, 3),
  [6413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_property_name, 3),
  [6415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 3), REDUCE(sym_computed_property_name, 3),
  [6418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_computed_property_name, 3),
  [6420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3640),
  [6422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3557),
  [6424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3130),
  [6426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3359),
  [6428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5199),
  [6430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4545),
  [6432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6585),
  [6434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6684),
  [6436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(216),
  [6439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3651),
  [6441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3281),
  [6443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3332),
  [6445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3644),
  [6447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3282),
  [6449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3333),
  [6451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [6453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3637),
  [6455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3559),
  [6457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 4, .production_id = 157),
  [6459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 4, .production_id = 157),
  [6461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [6463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [6465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3654),
  [6467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3548),
  [6469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3549),
  [6471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3536),
  [6473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6514),
  [6475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3554),
  [6477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4073),
  [6479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [6481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(796),
  [6483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [6485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [6487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(803),
  [6489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [6491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(804),
  [6493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [6495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [6497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(794),
  [6499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [6501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [6503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [6505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [6507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [6509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [6511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [6513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [6515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(208),
  [6518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(208),
  [6521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(208),
  [6524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4889),
  [6526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 1),
  [6528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3436),
  [6530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3410),
  [6532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3415),
  [6534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3457),
  [6536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3531),
  [6538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3530),
  [6540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 27), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 28),
  [6543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 65), SHIFT(208),
  [6546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3669),
  [6548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 46), REDUCE(sym_class, 4, .production_id = 147),
  [6551] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 46), REDUCE(sym_class, 4, .production_id = 147),
  [6554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 166), REDUCE(sym_class, 6, .production_id = 235),
  [6557] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 166), REDUCE(sym_class, 6, .production_id = 235),
  [6560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 119), REDUCE(sym_class, 5, .production_id = 196),
  [6563] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 119), REDUCE(sym_class, 5, .production_id = 196),
  [6566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 109), REDUCE(sym_class, 5, .production_id = 195),
  [6569] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 109), REDUCE(sym_class, 5, .production_id = 195),
  [6572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 53), REDUCE(sym_class, 4, .production_id = 149),
  [6575] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 53), REDUCE(sym_class, 4, .production_id = 149),
  [6578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 108), REDUCE(sym_class, 5, .production_id = 194),
  [6581] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 108), REDUCE(sym_class, 5, .production_id = 194),
  [6584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 52), REDUCE(sym_class, 4, .production_id = 148),
  [6587] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 52), REDUCE(sym_class, 4, .production_id = 148),
  [6590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3419),
  [6592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3660),
  [6594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3656),
  [6596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3451),
  [6598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3657),
  [6600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3682),
  [6602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3078),
  [6604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2984),
  [6606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2985),
  [6608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3318),
  [6610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2688),
  [6612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3661),
  [6614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3440),
  [6616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3314),
  [6618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3424),
  [6620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 2, .production_id = 11), REDUCE(sym_class, 3, .production_id = 81),
  [6623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 2, .production_id = 11), REDUCE(sym_class, 3, .production_id = 81),
  [6626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 27),
  [6628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, .production_id = 200),
  [6630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, .production_id = 200),
  [6632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, .production_id = 238),
  [6634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, .production_id = 238),
  [6636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3479),
  [6638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [6640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3535),
  [6642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 105),
  [6644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 105), SHIFT_REPEAT(3519),
  [6647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3522),
  [6649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, .production_id = 125),
  [6651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, .production_id = 125),
  [6653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, .production_id = 271),
  [6655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, .production_id = 271),
  [6657] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, .production_id = 229),
  [6659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, .production_id = 229),
  [6661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 9, .production_id = 322),
  [6663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, .production_id = 322),
  [6665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, .production_id = 177),
  [6667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, .production_id = 177),
  [6669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, .production_id = 88),
  [6671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, .production_id = 88),
  [6673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3694),
  [6675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3533),
  [6677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3532),
  [6679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3539),
  [6681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 8, .production_id = 301),
  [6683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, .production_id = 301),
  [6685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, .production_id = 153),
  [6687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, .production_id = 153),
  [6689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1),
  [6691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1), SHIFT_REPEAT(3523),
  [6694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3523),
  [6696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, .production_id = 272),
  [6698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, .production_id = 272),
  [6700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 8, .production_id = 302),
  [6702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, .production_id = 302),
  [6704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 10, .production_id = 337),
  [6706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 10, .production_id = 337),
  [6708] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 9, .production_id = 321),
  [6710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, .production_id = 321),
  [6712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3478),
  [6714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 3, .production_id = 105),
  [6716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2),
  [6718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_static_block, 2, .production_id = 11),
  [6720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [6722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3659),
  [6724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3528),
  [6726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3561),
  [6728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3690),
  [6730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3543),
  [6732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3665),
  [6734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3529),
  [6736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3544),
  [6738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2963),
  [6740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2973),
  [6742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2976),
  [6744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3587),
  [6746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3025),
  [6748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2969),
  [6750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2999),
  [6752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3680),
  [6754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [6756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7423),
  [6758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1407),
  [6760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2996),
  [6762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [6764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1280),
  [6766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [6768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1233),
  [6770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5319),
  [6772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5351),
  [6774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1320),
  [6776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1321),
  [6778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5352),
  [6780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1494),
  [6782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6625),
  [6784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [6786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [6788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(957),
  [6790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1074),
  [6792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3689),
  [6794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3348),
  [6796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1115),
  [6798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [6800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6718),
  [6802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3398),
  [6804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3400),
  [6806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3676),
  [6808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5088),
  [6810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [6812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1422),
  [6814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1667),
  [6816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2871),
  [6818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1420),
  [6820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3483),
  [6822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1633),
  [6824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6702),
  [6826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4915),
  [6828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1587),
  [6830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1578),
  [6832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6590),
  [6834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3646),
  [6836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3322),
  [6838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3321),
  [6840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [6842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1533),
  [6844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6586),
  [6846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1406),
  [6848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 21), SHIFT_REPEAT(5967),
  [6851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [6853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [6855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3041),
  [6857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3526),
  [6859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3228),
  [6861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3140),
  [6863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3188),
  [6865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3251),
  [6867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3641),
  [6869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3553),
  [6871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3039),
  [6873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3540),
  [6875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3045),
  [6877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3428),
  [6879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3439),
  [6881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3422),
  [6883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3425),
  [6885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3450),
  [6887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3441),
  [6889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3414),
  [6891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3449),
  [6893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3412),
  [6895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3413),
  [6897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3434),
  [6899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3430),
  [6901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6797),
  [6903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7429),
  [6905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [6907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6407),
  [6909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5715),
  [6911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6401),
  [6913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5711),
  [6915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7424),
  [6917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [6919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6015),
  [6921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7081),
  [6923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3927),
  [6925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4087),
  [6927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4053),
  [6929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 1),
  [6931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5741),
  [6933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3916),
  [6935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4036),
  [6937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5755),
  [6939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3910),
  [6941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4014),
  [6943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4601),
  [6945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1926),
  [6947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [6949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameter, 1, .production_id = 13),
  [6951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1803),
  [6953] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_parameter, 1, .production_id = 13), SHIFT(5276),
  [6956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7255),
  [6958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2593),
  [6960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1768),
  [6962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1815),
  [6964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5849),
  [6966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3909),
  [6968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4044),
  [6970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5731),
  [6972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3911),
  [6974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4023),
  [6976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3293),
  [6978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6798),
  [6980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5852),
  [6982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [6984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6399),
  [6986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5752),
  [6988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6790),
  [6990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5850),
  [6992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [6994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3781),
  [6996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5512),
  [6998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5516),
  [7000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7511),
  [7002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7150),
  [7004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7502),
  [7006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7101),
  [7008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [7010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6458),
  [7012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6374),
  [7014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [7016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7090),
  [7018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [7020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [7022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7142),
  [7024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [7026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [7028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [7030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7388),
  [7032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7409),
  [7034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7413),
  [7036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7416),
  [7038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [7040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [7042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [7044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7088),
  [7046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7517),
  [7048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [7050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [7052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [7054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [7056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7338),
  [7058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [7060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7277),
  [7062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6459),
  [7064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6372),
  [7066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7516),
  [7068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [7070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7216),
  [7072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7215),
  [7074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7212),
  [7076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7262),
  [7078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7258),
  [7080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7207),
  [7082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6462),
  [7084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6370),
  [7086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [7088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7257),
  [7090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [7092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 163),
  [7094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4487),
  [7096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [7098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [7100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6106),
  [7102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4047),
  [7104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 58),
  [7106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4618),
  [7108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [7110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4058),
  [7112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_namespace_name, 3),
  [7114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_type, 1, .production_id = 49), REDUCE(sym_jsx_namespace_name, 3),
  [7117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7424),
  [7119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 253),
  [7121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4693),
  [7123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [7125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4020),
  [7127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 259),
  [7129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4691),
  [7131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4028),
  [7133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2338),
  [7135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4528),
  [7137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4005),
  [7139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [7141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 158),
  [7143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4639),
  [7145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4052),
  [7147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 216),
  [7149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4661),
  [7151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4018),
  [7153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4662),
  [7155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4012),
  [7157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4064),
  [7159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4515),
  [7161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4033),
  [7163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 294),
  [7165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4667),
  [7167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4061),
  [7169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6307),
  [7171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6323),
  [7173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import_identifier, 1, .production_id = 1),
  [7175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4010),
  [7177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 106),
  [7179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4486),
  [7181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4041),
  [7183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4625),
  [7185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4038),
  [7187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4624),
  [7189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4049),
  [7191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4509),
  [7193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4019),
  [7195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 214),
  [7197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4513),
  [7199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4011),
  [7201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4597),
  [7203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4013),
  [7205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 1, .production_id = 5),
  [7207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4638),
  [7209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4034),
  [7211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4165),
  [7213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2704),
  [7215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4529),
  [7217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4022),
  [7219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4015),
  [7221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4530),
  [7223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4026),
  [7225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4605),
  [7227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4016),
  [7229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4593),
  [7231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4006),
  [7233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3782),
  [7235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, .production_id = 214),
  [7237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4021),
  [7239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, .production_id = 253),
  [7241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4027),
  [7243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4040),
  [7245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 1, .production_id = 5),
  [7247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4054),
  [7249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [7251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4045),
  [7253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4007),
  [7255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6801),
  [7257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5854),
  [7259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, .production_id = 58),
  [7261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4039),
  [7263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6814),
  [7265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5276),
  [7267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4961),
  [7269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7454),
  [7271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [7273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, .production_id = 158),
  [7275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4009),
  [7277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4057),
  [7279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4056),
  [7281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5299),
  [7283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(359),
  [7285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5308),
  [7287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5252),
  [7289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4771),
  [7291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 163),
  [7293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 259),
  [7295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, .production_id = 214),
  [7297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, .production_id = 158),
  [7299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 214),
  [7301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 216),
  [7303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 158),
  [7305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 253),
  [7307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5309),
  [7309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4943),
  [7311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, .production_id = 253),
  [7313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5169),
  [7315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7256),
  [7317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3287),
  [7319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 5),
  [7321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5207),
  [7323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, .production_id = 58),
  [7325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 106),
  [7327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [7329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, .production_id = 5),
  [7331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2592),
  [7333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4962),
  [7335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 58),
  [7337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 294),
  [7339] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 49), SHIFT(6451),
  [7342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5296),
  [7344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [7346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [7348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1887),
  [7350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [7352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(359),
  [7355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(5308),
  [7358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2),
  [7360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(4771),
  [7363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6222),
  [7365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4158),
  [7367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7345),
  [7369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7339),
  [7371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4454),
  [7373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [7375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6454),
  [7377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6376),
  [7379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5593),
  [7381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5345),
  [7383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7331),
  [7385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6241),
  [7387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [7389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4190),
  [7391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2296),
  [7393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [7395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1847),
  [7397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_annotation, 2, .production_id = 77),
  [7399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6575),
  [7401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4363),
  [7403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4378),
  [7405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4280),
  [7407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_annotation, 2),
  [7409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4186),
  [7411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4388),
  [7413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3),
  [7415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [7417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7407),
  [7419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4333),
  [7421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4334),
  [7423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 20),
  [7425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4215),
  [7427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4255),
  [7429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2292),
  [7431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4173),
  [7433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4372),
  [7435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5844),
  [7437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5857),
  [7439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4287),
  [7441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4237),
  [7443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4326),
  [7445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4250),
  [7447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 1, .production_id = 5),
  [7449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6791),
  [7451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [7453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [7455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4195),
  [7457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7128),
  [7459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 287),
  [7461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4464),
  [7463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5116),
  [7465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5069),
  [7467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [7469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [7471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [7473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [7475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4968),
  [7477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2606),
  [7479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4970),
  [7481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2617),
  [7483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [7485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [7487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [7489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [7491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [7493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [7495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2296),
  [7497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6496),
  [7499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [7501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 319),
  [7503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4443),
  [7505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4576),
  [7507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4527),
  [7509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4520),
  [7511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4538),
  [7513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4535),
  [7515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2303),
  [7517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6563),
  [7519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4563),
  [7521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4557),
  [7523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4571),
  [7525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4570),
  [7527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4574),
  [7529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4572),
  [7531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5320),
  [7533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2683),
  [7535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4587),
  [7537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4586),
  [7539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5304),
  [7541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2682),
  [7543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4542),
  [7545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4551),
  [7547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5297),
  [7549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2680),
  [7551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 188),
  [7553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 188),
  [7555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [7557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5284),
  [7559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2669),
  [7561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5278),
  [7563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2665),
  [7565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4620),
  [7567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4619),
  [7569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2662),
  [7571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 189),
  [7573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 189),
  [7575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [7577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [7579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5203),
  [7581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 187),
  [7583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 187),
  [7585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 186),
  [7587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 186),
  [7589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5200),
  [7591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4558),
  [7593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4559),
  [7595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4),
  [7597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4614),
  [7599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4613),
  [7601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4564),
  [7603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4565),
  [7605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4567),
  [7607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4568),
  [7609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 69),
  [7611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4631),
  [7613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4628),
  [7615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4633),
  [7617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4632),
  [7619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4637),
  [7621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4636),
  [7623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4578),
  [7625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4581),
  [7627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3253),
  [7629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 68),
  [7631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3230),
  [7633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4665),
  [7635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4664),
  [7637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5056),
  [7639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5054),
  [7641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5053),
  [7643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3263),
  [7645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3417),
  [7647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5051),
  [7649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3264),
  [7651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4671),
  [7653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4670),
  [7655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4673),
  [7657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4672),
  [7659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3265),
  [7661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3266),
  [7663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5050),
  [7665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5049),
  [7667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3172),
  [7669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4615),
  [7671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4616),
  [7673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [7675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [7677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [7679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6785),
  [7681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6743),
  [7683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4680),
  [7685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4678),
  [7687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__destructuring_pattern, 1),
  [7689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [7691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5028),
  [7693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5020),
  [7695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3),
  [7697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3169),
  [7699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6438),
  [7701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [7703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4688),
  [7705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4689),
  [7707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4532),
  [7709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4536),
  [7711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_annotation, 2, .production_id = 77),
  [7713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6759),
  [7715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_annotation, 2),
  [7717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4703),
  [7719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4705),
  [7721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4706),
  [7723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4707),
  [7725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4644),
  [7727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4641),
  [7729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4708),
  [7731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4709),
  [7733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2761),
  [7735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6355),
  [7737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4544),
  [7739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4548),
  [7741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, .production_id = 28),
  [7743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4549),
  [7745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4554),
  [7747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3),
  [7749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4539),
  [7751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4537),
  [7753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4533),
  [7755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4451),
  [7757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [7759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4573),
  [7761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4582),
  [7763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4711),
  [7765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4712),
  [7767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [7769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [7771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4798),
  [7773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5565),
  [7775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5566),
  [7777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4585),
  [7779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4590),
  [7781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4591),
  [7783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4594),
  [7785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4600),
  [7787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4687),
  [7789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [7791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [7793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5158),
  [7795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6012),
  [7797] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__jsx_start_opening_element_repeat1, 2, .production_id = 133), SHIFT_REPEAT(4601),
  [7800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__jsx_start_opening_element_repeat1, 2, .production_id = 133), SHIFT_REPEAT(414),
  [7803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_start_opening_element_repeat1, 2, .production_id = 133),
  [7805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [7807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5070),
  [7809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3384),
  [7811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4640),
  [7813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4645),
  [7815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4646),
  [7817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4647),
  [7819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5077),
  [7821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5079),
  [7823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4),
  [7825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5082),
  [7827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3749),
  [7829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7199),
  [7831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5221),
  [7833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4136),
  [7835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3275),
  [7837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [7839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [7841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [7843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opting_type_annotation, 2),
  [7845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5605),
  [7847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3324),
  [7849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [7851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5509),
  [7853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7086),
  [7855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_omitting_type_annotation, 2),
  [7857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3393),
  [7859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2825),
  [7861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [7863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3027),
  [7865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3746),
  [7867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4161),
  [7869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2542),
  [7871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3247),
  [7873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, .production_id = 143),
  [7875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6737),
  [7877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7307),
  [7879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [7881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7419),
  [7883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_adding_type_annotation, 2),
  [7885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7231),
  [7887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [7889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_annotation, 2, .production_id = 78),
  [7891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6569),
  [7893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, .production_id = 15),
  [7895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7175),
  [7897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [7899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, .production_id = 143),
  [7901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7420),
  [7903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7125),
  [7905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7109),
  [7907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4439),
  [7909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 319),
  [7911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [7913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 5, .production_id = 245),
  [7915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 5, .production_id = 244),
  [7917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4983),
  [7919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4879),
  [7921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [7923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2171),
  [7925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6204),
  [7927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5672),
  [7929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [7931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [7933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7553),
  [7935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3885),
  [7937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 4, .production_id = 176),
  [7939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4736),
  [7941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [7943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5462),
  [7945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5046),
  [7947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4903),
  [7949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 287),
  [7951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5052),
  [7953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4902),
  [7955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 4, .production_id = 206),
  [7957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 6, .production_id = 279),
  [7959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 6, .production_id = 280),
  [7961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 2, .production_id = 168),
  [7963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 2, .production_id = 139),
  [7965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5684),
  [7967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7437),
  [7969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [7971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 2, .production_id = 139),
  [7973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5074),
  [7975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4893),
  [7977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5083),
  [7979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4890),
  [7981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4167),
  [7983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 7, .production_id = 303),
  [7985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 7, .production_id = 304),
  [7987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5114),
  [7989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4873),
  [7991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 8, .production_id = 325),
  [7993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4166),
  [7995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5123),
  [7997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4870),
  [7999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_annotation, 2, .production_id = 78),
  [8001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6747),
  [8003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 8, .production_id = 330),
  [8005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 9, .production_id = 339),
  [8007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5177),
  [8009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4862),
  [8011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5183),
  [8013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4861),
  [8015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4524),
  [8017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2),
  [8019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5218),
  [8021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4742),
  [8023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [8025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7414),
  [8027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2176),
  [8029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [8031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2316),
  [8033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [8035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4437),
  [8037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7548),
  [8039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 3, .production_id = 162),
  [8041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 3, .production_id = 124),
  [8043] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(692),
  [8046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [8048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5402),
  [8050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7537),
  [8052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [8054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_chain, 1),
  [8056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [8058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_optional_chain, 1),
  [8060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1, .production_id = 7),
  [8062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4353),
  [8064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5287),
  [8066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4812),
  [8068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [8070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, .production_id = 57),
  [8072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [8074] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(792),
  [8077] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 27), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 28),
  [8080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3),
  [8082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2519),
  [8084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, .production_id = 224),
  [8086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5313),
  [8088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4795),
  [8090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5),
  [8092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3772),
  [8094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5291),
  [8096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4764),
  [8098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(313),
  [8100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5269),
  [8102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4753),
  [8104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2159),
  [8106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [8108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [8110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 2, .production_id = 104),
  [8112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [8114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7135),
  [8116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2164),
  [8118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [8120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 2),
  [8122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7134),
  [8124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [8126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7543),
  [8128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 1, .production_id = 13),
  [8130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5507),
  [8132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4859),
  [8134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5429),
  [8136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4739),
  [8138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, .production_id = 223),
  [8140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3699),
  [8142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, .production_id = 263),
  [8144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4),
  [8146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [8148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 1, .production_id = 10),
  [8150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4825),
  [8152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4525),
  [8154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5234),
  [8156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [8158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3771),
  [8160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5093),
  [8162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implements_clause, 2),
  [8164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [8166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5424),
  [8168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5426),
  [8170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5436),
  [8172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4916),
  [8174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [8176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [8178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [8180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5483),
  [8182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5420),
  [8184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [8186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [8188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [8190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4160),
  [8192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7436),
  [8194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5495),
  [8196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5477),
  [8198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5411),
  [8200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5141),
  [8202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5423),
  [8204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3569),
  [8206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4143),
  [8208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7498),
  [8210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [8212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [8214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5459),
  [8216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7136),
  [8218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6890),
  [8220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [8222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate_annotation, 2),
  [8224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5239),
  [8226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5241),
  [8228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5249),
  [8230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5256),
  [8232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_type_member, 1),
  [8234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6468),
  [8236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5258),
  [8238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3583),
  [8240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4140),
  [8242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7521),
  [8244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3284),
  [8246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [8248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5606),
  [8250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 3, .production_id = 79),
  [8252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [8254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5139),
  [8256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asserts_annotation, 2),
  [8258] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2), SHIFT_REPEAT(670),
  [8261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6742),
  [8263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5268),
  [8265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [8267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [8269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [8271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2869),
  [8273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5272),
  [8275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4935),
  [8277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3990),
  [8279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4155),
  [8281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5476),
  [8283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [8285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2875),
  [8287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [8289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 21),
  [8291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 21), SHIFT_REPEAT(5772),
  [8294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [8296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4157),
  [8298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7296),
  [8300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5280),
  [8302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7336),
  [8304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [8306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [8308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [8310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [8312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2), SHIFT_REPEAT(2264),
  [8315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2),
  [8317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [8319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4222),
  [8321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4984),
  [8323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7523),
  [8325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [8327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [8329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6665),
  [8331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [8333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [8335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5386),
  [8337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4963),
  [8339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5283),
  [8341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [8343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [8345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3956),
  [8347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4147),
  [8349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4917),
  [8351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [8353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [8355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1),
  [8357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4354),
  [8359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [8361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [8363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2920),
  [8365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5059),
  [8367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2589),
  [8369] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(7136),
  [8372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2),
  [8374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(536),
  [8377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [8379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [8381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5898),
  [8383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [8385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [8387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [8389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [8391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2956),
  [8393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5265),
  [8395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [8397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4177),
  [8399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6160),
  [8401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [8403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4185),
  [8405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [8407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4366),
  [8409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [8411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4234),
  [8413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [8415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [8417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2965),
  [8419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 2, .production_id = 10),
  [8421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5166),
  [8423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [8425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [8427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 19),
  [8429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [8431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [8433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [8435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6836),
  [8437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(5605),
  [8440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2),
  [8442] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(482),
  [8445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(5606),
  [8448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5609),
  [8450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [8452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [8454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3609),
  [8456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4163),
  [8458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7318),
  [8460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [8462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [8464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5721),
  [8466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [8468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3752),
  [8470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [8472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3762),
  [8474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5015),
  [8476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5206),
  [8478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3285),
  [8480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [8482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5719),
  [8484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [8486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [8488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [8490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4986),
  [8492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [8494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [8496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5176),
  [8498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5170),
  [8500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6026),
  [8502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5194),
  [8504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [8506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5095),
  [8508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [8510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5099),
  [8512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint, 2),
  [8514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5113),
  [8516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [8518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [8520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5105),
  [8522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [8524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5965),
  [8526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [8528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [8530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4098),
  [8532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5428),
  [8534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [8536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 139),
  [8538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 139),
  [8540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5133),
  [8542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5441),
  [8544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [8546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3760),
  [8548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6180),
  [8550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6795),
  [8552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_member_expression, 3, .production_id = 68),
  [8554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 2, .production_id = 140),
  [8556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 2, .production_id = 140),
  [8558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 27),
  [8560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5073),
  [8562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [8564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4100),
  [8566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5066),
  [8568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5901),
  [8570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [8572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4099),
  [8574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [8576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3969),
  [8578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5482),
  [8580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [8582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3966),
  [8584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5044),
  [8586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5039),
  [8588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5182),
  [8590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7299),
  [8592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7439),
  [8594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 2),
  [8596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7473),
  [8598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7501),
  [8600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5400),
  [8602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 315),
  [8604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, .production_id = 32),
  [8606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7239),
  [8608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 165),
  [8610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7186),
  [8612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_type, 2),
  [8614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 218),
  [8616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7120),
  [8618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7470),
  [8620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5776),
  [8622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5779),
  [8624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5292),
  [8626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6626),
  [8628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 247),
  [8630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [8632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [8634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [8636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [8638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2),
  [8640] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2), SHIFT_REPEAT(1875),
  [8643] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2), SHIFT_REPEAT(5749),
  [8646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 318),
  [8648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_implements_clause_repeat1, 2),
  [8650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7116),
  [8652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3, .production_id = 7),
  [8654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3),
  [8656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 251),
  [8658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3851),
  [8660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [8662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5749),
  [8664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 5, .production_id = 252),
  [8666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 5, .dynamic_precedence = -1, .production_id = 179),
  [8668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 255),
  [8670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 5, .dynamic_precedence = -1, .production_id = 180),
  [8672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 5),
  [8674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [8676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 257),
  [8678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [8680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [8682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [8684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4070),
  [8686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 140),
  [8688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 140),
  [8690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [8692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [8694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [8696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3594),
  [8698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [8700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 91),
  [8702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [8704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [8706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [8708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [8710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [8712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [8714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5593),
  [8716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2, .production_id = 77),
  [8718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2),
  [8720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 160),
  [8722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7280),
  [8724] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 20), SHIFT(1915),
  [8727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7351),
  [8729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, .production_id = 342),
  [8731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 2),
  [8733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3), SHIFT(1769),
  [8736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [8738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 7, .production_id = 309),
  [8740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 333),
  [8742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 4, .dynamic_precedence = -1, .production_id = 132),
  [8744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4138),
  [8746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 1),
  [8748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, .production_id = 261),
  [8750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, .production_id = 210),
  [8752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, .production_id = 212),
  [8754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [8756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [8758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [8760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [8762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, .production_id = 262),
  [8764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 3),
  [8766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 3),
  [8768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 3, .dynamic_precedence = -1, .production_id = 62),
  [8770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 336),
  [8772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, .production_id = 275),
  [8774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, .production_id = 277),
  [8776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, .production_id = 278),
  [8778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 283),
  [8780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 286),
  [8782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6064),
  [8784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4997),
  [8786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6957),
  [8788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 289),
  [8790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 293),
  [8792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 2, .dynamic_precedence = -1),
  [8794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [8796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mapped_type_clause, 3, .production_id = 207),
  [8798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [8800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [8802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [8804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [8806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [8808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_start_opening_element_repeat1, 1, .production_id = 59),
  [8810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6252),
  [8812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2544),
  [8814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6696),
  [8816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, .production_id = 91),
  [8818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3866),
  [8820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_type, 2),
  [8822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 4, .production_id = 208),
  [8824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 3, .dynamic_precedence = -1, .production_id = 58),
  [8826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 4, .dynamic_precedence = -1, .production_id = 134),
  [8828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [8830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5461),
  [8832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5063),
  [8834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5060),
  [8836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5062),
  [8838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5144),
  [8840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 4, .dynamic_precedence = -1, .production_id = 136),
  [8842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 210),
  [8844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 4, .dynamic_precedence = -1, .production_id = 137),
  [8846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2986),
  [8848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_text, 1),
  [8850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5881),
  [8852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3274),
  [8854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6850),
  [8856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4113),
  [8858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6538),
  [8860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6633),
  [8862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6537),
  [8864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 1),
  [8866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, .production_id = 222),
  [8868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_signature, 1, .production_id = 112),
  [8870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 212),
  [8872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, .production_id = 31),
  [8874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [8876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [8878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 32),
  [8880] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3), SHIFT(1774),
  [8883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [8885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [8887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [8889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [8891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4),
  [8893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3603),
  [8895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5293),
  [8897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6749),
  [8899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5197),
  [8901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5193),
  [8903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5195),
  [8905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5261),
  [8907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [8909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [8911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5350),
  [8913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 312),
  [8915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, .production_id = 32),
  [8917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 309),
  [8919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4517),
  [8921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [8923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7478),
  [8925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7474),
  [8927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 7, .production_id = 307),
  [8929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 7, .production_id = 306),
  [8931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6994),
  [8933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6945),
  [8935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6946),
  [8937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, .production_id = 283),
  [8939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, .production_id = 286),
  [8941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3590),
  [8943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7049),
  [8945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [8947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [8949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 8, .production_id = 323),
  [8951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, .production_id = 247),
  [8953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 5, .production_id = 295),
  [8955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, .production_id = 251),
  [8957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, .production_id = 160),
  [8959] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3), SHIFT(1924),
  [8962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [8964] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 20), SHIFT(1773),
  [8967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [8969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [8971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [8973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6961),
  [8975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [8977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [8979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [8981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [8983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [8985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [8987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [8989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [8991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [8993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [8995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [8997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4382),
  [8999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 8, .production_id = 324),
  [9001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 220),
  [9003] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 20), SHIFT(1899),
  [9006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [9008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [9010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4312),
  [9012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6593),
  [9014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [9016] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 20), SHIFT(1777),
  [9019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 328),
  [9021] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3), SHIFT(1865),
  [9024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [9026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3571),
  [9028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [9030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 1, .production_id = 14),
  [9032] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 1, .production_id = 14), REDUCE(aux_sym_template_literal_type_repeat1, 1),
  [9035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4229),
  [9037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [9039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3705),
  [9041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6202),
  [9043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4315),
  [9045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6175),
  [9047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6228),
  [9049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [9051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4467),
  [9053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [9055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [9057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3706),
  [9059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [9061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3968),
  [9063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [9065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [9067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [9069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [9071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5720),
  [9073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 3, .production_id = 111),
  [9075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [9077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5228),
  [9079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5388),
  [9081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [9083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [9085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [9087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [9089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1588),
  [9091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [9093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [9095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [9097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [9099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4224),
  [9101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5460),
  [9103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5457),
  [9105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [9107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4669),
  [9109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5994),
  [9111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [9113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [9115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1438),
  [9117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1439),
  [9119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4392),
  [9121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1647),
  [9123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7081),
  [9125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4087),
  [9127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4351),
  [9129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [9131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [9133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [9135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5000),
  [9137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6775),
  [9139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3198),
  [9141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5009),
  [9143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [9145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [9147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [9149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [9151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [9153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1510),
  [9155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1512),
  [9157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_substitution, 3),
  [9159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [9161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4972),
  [9163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [9165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1030),
  [9167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1027),
  [9169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [9171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_export_name, 1),
  [9173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [9175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2874),
  [9177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [9179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4156),
  [9181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5759),
  [9183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6439),
  [9185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6447),
  [9187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 1),
  [9189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2313),
  [9191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [9193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5098),
  [9195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [9197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3593),
  [9199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [9201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4428),
  [9203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [9205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [9207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, .production_id = 131),
  [9209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [9211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [9213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4299),
  [9215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4606),
  [9217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2327),
  [9219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4434),
  [9221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4435),
  [9223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6559),
  [9225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6400),
  [9227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3776),
  [9229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mapped_type_clause, 5, .production_id = 276),
  [9231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [9233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [9235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, .production_id = 61),
  [9237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4927),
  [9239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 3, .production_id = 99),
  [9241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5371),
  [9243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [9245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2336),
  [9247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 2, .production_id = 39),
  [9249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6478),
  [9251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [9253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 2, .production_id = 48),
  [9255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [9257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2503),
  [9259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [9261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2),
  [9263] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(6202),
  [9266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [9268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2),
  [9270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2), SHIFT_REPEAT(6175),
  [9273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4150),
  [9275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_call_expression, 2, .production_id = 15),
  [9277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [9279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2), SHIFT_REPEAT(4467),
  [9282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2),
  [9284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [9286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3773),
  [9288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2), SHIFT_REPEAT(755),
  [9291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4423),
  [9293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [9295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4125),
  [9297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [9299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4477),
  [9301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [9303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [9305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [9307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, .production_id = 58),
  [9309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 231),
  [9311] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 231), SHIFT_REPEAT(5684),
  [9314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 231),
  [9316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 3, .production_id = 184),
  [9318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 3, .production_id = 184),
  [9320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 3, .production_id = 183),
  [9322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 3, .production_id = 183),
  [9324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4077),
  [9326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(328),
  [9329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4881),
  [9331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 1, .production_id = 2),
  [9333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [9335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [9337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 28),
  [9339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3889),
  [9341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2312),
  [9343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4431),
  [9345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4436),
  [9347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3871),
  [9349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [9351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [9353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [9355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [9357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, .production_id = 167),
  [9359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, .production_id = 167), SHIFT_REPEAT(485),
  [9362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [9364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3780),
  [9366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 288),
  [9368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 290),
  [9370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 314),
  [9372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3712),
  [9374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3793),
  [9376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3721),
  [9378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 313),
  [9380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3726),
  [9382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3790),
  [9384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3730),
  [9386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3708),
  [9388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3823),
  [9390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3724),
  [9392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [9394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair_pattern, 3, .production_id = 87),
  [9396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, .production_id = 48),
  [9398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [9400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3888),
  [9402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 316),
  [9404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5922),
  [9406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_identifier, 1),
  [9408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [9410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 164),
  [9412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [9414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3783),
  [9416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5979),
  [9418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [9420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [9422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4702),
  [9424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [9426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7053),
  [9428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [9430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4863),
  [9432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 246),
  [9434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 1),
  [9436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 248),
  [9438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3732),
  [9440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3788),
  [9442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3735),
  [9444] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(648),
  [9447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6900),
  [9449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1621),
  [9451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [9453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6036),
  [9455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [9457] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_implements_clause_repeat1, 2), SHIFT_REPEAT(1813),
  [9460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7006),
  [9462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1590),
  [9464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [9466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 4),
  [9468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 250),
  [9470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 5, .production_id = 244),
  [9472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [9474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 317),
  [9476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6736),
  [9478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 5, .production_id = 245),
  [9480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4658),
  [9482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2), SHIFT_REPEAT(1715),
  [9485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2),
  [9487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_type, 3),
  [9489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 254),
  [9491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6767),
  [9493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5037),
  [9495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 256),
  [9497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5333),
  [9499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5861),
  [9501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4132),
  [9503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 258),
  [9505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 3),
  [9507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [9509] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2), SHIFT_REPEAT(294),
  [9512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2),
  [9514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 92),
  [9516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 161),
  [9518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [9520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4071),
  [9522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3605),
  [9524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [9526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, .production_id = 340),
  [9528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [9530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4610),
  [9532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3604),
  [9534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [9536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 10, .production_id = 344),
  [9538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3598),
  [9540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [9542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3700),
  [9544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4241),
  [9546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [9548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [9550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4365),
  [9552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6355),
  [9554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [9556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [9558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3108),
  [9560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [9562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [9564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5465),
  [9566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 2, .production_id = 58),
  [9568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 249),
  [9570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2, .production_id = 78),
  [9572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 159),
  [9574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implements_clause, 3),
  [9576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 3, .production_id = 124),
  [9578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6310),
  [9580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_identifier, 1, .production_id = 1),
  [9582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3798),
  [9584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3868),
  [9586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3799),
  [9588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6179),
  [9590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3802),
  [9592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3873),
  [9594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3803),
  [9596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3806),
  [9598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3876),
  [9600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3807),
  [9602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3810),
  [9604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3882),
  [9606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3811),
  [9608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [9610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [9612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4118),
  [9614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6584),
  [9616] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2), SHIFT_REPEAT(1760),
  [9619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [9621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3566),
  [9623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [9625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [9627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [9629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 260),
  [9631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, .production_id = 343),
  [9633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4169),
  [9635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7407),
  [9637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3124),
  [9639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, .production_id = 341),
  [9641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5717),
  [9643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2), SHIFT_REPEAT(6775),
  [9646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2),
  [9648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 331),
  [9650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6955),
  [9652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [9654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6397),
  [9656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [9658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4808),
  [9660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4339),
  [9662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6347),
  [9664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7205),
  [9666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3331),
  [9668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [9670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [9672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6977),
  [9674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, .production_id = 338),
  [9676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6981),
  [9678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1386),
  [9680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [9682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6982),
  [9684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [9686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [9688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5732),
  [9690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6835),
  [9692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [9694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6007),
  [9696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6862),
  [9698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3563),
  [9700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 334),
  [9702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 332),
  [9704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6320),
  [9706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [9708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6965),
  [9710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 1),
  [9712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6960),
  [9714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6611),
  [9716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6611),
  [9718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6958),
  [9720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6609),
  [9722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6609),
  [9724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [9726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5742),
  [9728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 5),
  [9730] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2), SHIFT_REPEAT(274),
  [9733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2),
  [9735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6610),
  [9737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [9739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [9741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 3, .production_id = 92),
  [9743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [9745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6706),
  [9747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [9749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [9751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 5),
  [9753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6203),
  [9755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5584),
  [9757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5371),
  [9759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 3, .production_id = 91),
  [9761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [9763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5955),
  [9765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [9767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6735),
  [9769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6840),
  [9771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [9773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4875),
  [9775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4447),
  [9777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [9779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 335),
  [9781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5792),
  [9783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5756),
  [9785] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, .production_id = 233), SHIFT_REPEAT(3632),
  [9788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, .production_id = 233),
  [9790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [9792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4802),
  [9794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 281),
  [9796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 282),
  [9798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5108),
  [9800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 284),
  [9802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 285),
  [9804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 6, .production_id = 279),
  [9806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 217),
  [9808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5148),
  [9810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 6, .production_id = 280),
  [9812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [9814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [9816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [9818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [9820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 291),
  [9822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3575),
  [9824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5213),
  [9826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [9828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [9830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5216),
  [9832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [9834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5223),
  [9836] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2), SHIFT_REPEAT(5783),
  [9839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2),
  [9841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [9843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5227),
  [9845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 1),
  [9847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [9849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [9851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5598),
  [9853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6207),
  [9855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5641),
  [9857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5162),
  [9859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 292),
  [9861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 7, .production_id = 303),
  [9863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3576),
  [9865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5315),
  [9867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 308),
  [9869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3579),
  [9871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5321),
  [9873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3600),
  [9875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [9877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [9879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [9881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1994),
  [9883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6416),
  [9885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [9887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 311),
  [9889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4686),
  [9891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4692),
  [9893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [9895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 1),
  [9897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 1),
  [9899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [9901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4750),
  [9903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6316),
  [9905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4814),
  [9907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [9909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 310),
  [9911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4654),
  [9913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [9915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6732),
  [9917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 209),
  [9919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6726),
  [9921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1075),
  [9923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [9925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6725),
  [9927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1076),
  [9929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [9931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [9933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [9935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2118),
  [9937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 1),
  [9939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 1),
  [9941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5900),
  [9943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 3),
  [9945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5547),
  [9947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5759),
  [9949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4149),
  [9951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7248),
  [9953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 305),
  [9955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 211),
  [9957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [9959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3761),
  [9961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [9963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3775),
  [9965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5855),
  [9967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6578),
  [9969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5631),
  [9971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5632),
  [9973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 213),
  [9975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [9977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
  [9979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 2),
  [9981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4330),
  [9983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5791),
  [9985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5007),
  [9987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 1, .production_id = 5),
  [9989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 31),
  [9991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2631),
  [9993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3232),
  [9995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4336),
  [9997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6613),
  [9999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 4, .production_id = 176),
  [10001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 4, .production_id = 206),
  [10003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 215),
  [10005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [10007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2797),
  [10009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [10011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4894),
  [10013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [10015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [10017] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2), SHIFT_REPEAT(4183),
  [10020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2),
  [10022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 327),
  [10024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [10026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4267),
  [10028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [10030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4266),
  [10032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [10034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4264),
  [10036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4127),
  [10038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3601),
  [10040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7055),
  [10042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7308),
  [10044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [10046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [10048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2858),
  [10050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [10052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2863),
  [10054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [10056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3589),
  [10058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [10060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3588),
  [10062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [10064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [10066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4313),
  [10068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [10070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2861),
  [10072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [10074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5736),
  [10076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4395),
  [10078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [10080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5735),
  [10082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 326),
  [10084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [10086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5727),
  [10088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3674),
  [10090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3586),
  [10092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [10094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3573),
  [10096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [10098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3996),
  [10100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [10102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [10104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3987),
  [10106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [10108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3993),
  [10110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [10112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3995),
  [10114] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2), SHIFT_REPEAT(4440),
  [10117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2),
  [10119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [10121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 4),
  [10123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [10125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [10127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2917),
  [10129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 219),
  [10131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4003),
  [10133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3827),
  [10135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3936),
  [10137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3607),
  [10139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6705),
  [10141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4002),
  [10143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3858),
  [10145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3992),
  [10147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3998),
  [10149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3785),
  [10151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3999),
  [10153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [10155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6687),
  [10157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3984),
  [10159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3786),
  [10161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3983),
  [10163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [10165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4233),
  [10167] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2), SHIFT_REPEAT(3331),
  [10170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2),
  [10172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 329),
  [10174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2), SHIFT_REPEAT(3152),
  [10177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2),
  [10179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3577),
  [10181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [10183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3578),
  [10185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [10187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 221),
  [10189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3722),
  [10191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3723),
  [10193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3741),
  [10195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3729),
  [10197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3710),
  [10199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3720),
  [10201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5042),
  [10203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7528),
  [10205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5048),
  [10207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7525),
  [10209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [10211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5072),
  [10213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7507),
  [10215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3580),
  [10217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [10219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [10221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [10223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2109),
  [10225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [10227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [10229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [10231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [10233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5080),
  [10235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7503),
  [10237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [10239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [10241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [10243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [10245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4000),
  [10247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3985),
  [10249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [10251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [10253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3994),
  [10255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4001),
  [10257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3986),
  [10259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3988),
  [10261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [10263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [10265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_parameter, 2, .production_id = 32),
  [10267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [10269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [10271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [10273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [10275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type, 2),
  [10277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5112),
  [10279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7479),
  [10281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [10283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [10285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [10287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5119),
  [10289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7475),
  [10291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2824),
  [10293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2901),
  [10295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [10297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2890),
  [10299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2876),
  [10301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2877),
  [10303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2870),
  [10305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2872),
  [10307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [10309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [10311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [10313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [10315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2081),
  [10317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 3, .production_id = 151),
  [10319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [10321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5174),
  [10323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7445),
  [10325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_require_clause, 6, .production_id = 239),
  [10327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5180),
  [10329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7441),
  [10331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [10333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [10335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [10337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2035),
  [10339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [10341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4359),
  [10343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4360),
  [10345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_opening_tag, 1),
  [10347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4342),
  [10349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4355),
  [10351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 4, .production_id = 178),
  [10353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4340),
  [10355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4341),
  [10357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [10359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [10361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [10363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 3, .production_id = 154),
  [10365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 3, .production_id = 151),
  [10367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_tuple_parameter, 3, .production_id = 91),
  [10369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [10371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [10373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5036),
  [10375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [10377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [10379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [10381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [10383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [10385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [10387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [10389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [10391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [10393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [10395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [10397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [10399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [10401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [10403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6830),
  [10405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6778),
  [10407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [10409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [10411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [10413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [10415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6715),
  [10417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6688),
  [10419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6678),
  [10421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [10423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2627),
  [10425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [10427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [10429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [10431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [10433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [10435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4996),
  [10437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7340),
  [10439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_assignment, 2, .production_id = 31),
  [10441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5900),
  [10443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [10445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [10447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [10449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [10451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [10453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4820),
  [10455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4569),
  [10457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4566),
  [10459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4556),
  [10461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4555),
  [10463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [10465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4553),
  [10467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4552),
  [10469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [10471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2127),
  [10473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4213),
  [10475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4223),
  [10477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [10479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [10481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [10483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__from_clause, 2, .production_id = 30),
  [10485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4236),
  [10487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4235),
  [10489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4759),
  [10491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7297),
  [10493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5275),
  [10495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7313),
  [10497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 1, .production_id = 5),
  [10499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 1),
  [10501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [10503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5355),
  [10505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7342),
  [10507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [10509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [10511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [10513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [10515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [10517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2166),
  [10519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3800),
  [10521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3801),
  [10523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [10525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2105),
  [10527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [10529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [10531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3804),
  [10533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3805),
  [10535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3808),
  [10537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3809),
  [10539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3595),
  [10541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [10543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5294),
  [10545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7301),
  [10547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [10549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3581),
  [10551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6497),
  [10553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6506),
  [10555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 2, .production_id = 58),
  [10557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6411),
  [10559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6548),
  [10561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6316),
  [10563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4253),
  [10565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4246),
  [10567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6564),
  [10569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6598),
  [10571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6600),
  [10573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6601),
  [10575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [10577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [10579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6663),
  [10581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6854),
  [10583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6347),
  [10585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3090),
  [10587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [10589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1989),
  [10591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 4, .production_id = 156),
  [10593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [10595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [10597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2361),
  [10599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [10601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2372),
  [10603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [10605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2378),
  [10607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [10609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2380),
  [10611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6320),
  [10613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [10615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [10617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 2, .production_id = 38),
  [10619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [10621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [10623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5126),
  [10625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5125),
  [10627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5124),
  [10629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, .production_id = 135),
  [10631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5109),
  [10633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6811),
  [10635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6820),
  [10637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4791),
  [10639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [10641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [10643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [10645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, .production_id = 60),
  [10647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6077),
  [10649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [10651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [10653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 4, .production_id = 198),
  [10655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 4, .production_id = 201),
  [10657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6402),
  [10659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6403),
  [10661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 3, .production_id = 100),
  [10663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [10665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 4, .production_id = 198),
  [10667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5792),
  [10669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [10671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2),
  [10673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 3, .production_id = 98),
  [10675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6606),
  [10677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [10679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__formal_parameter, 1),
  [10681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4854),
  [10683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3592),
  [10685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [10687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [10689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [10691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [10693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4880),
  [10695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, .production_id = 130),
  [10697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [10699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5559),
  [10701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 1),
  [10703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [10705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5003),
  [10707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5002),
  [10709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5019),
  [10711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5018),
  [10713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5017),
  [10715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5016),
  [10717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [10719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [10721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [10723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [10725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [10727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7449),
  [10729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2453),
  [10731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [10733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7069),
  [10735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [10737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3740),
  [10739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3739),
  [10741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3738),
  [10743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3736),
  [10745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3733),
  [10747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [10749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7102),
  [10751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4546),
  [10753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7052),
  [10755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3731),
  [10757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3707),
  [10759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3162),
  [10761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3718),
  [10763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4362),
  [10765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3725),
  [10767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [10769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6906),
  [10771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6859),
  [10773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7044),
  [10775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [10777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7022),
  [10779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4302),
  [10781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4349),
  [10783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [10785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7337),
  [10787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4288),
  [10789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [10791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6948),
  [10793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [10795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4279),
  [10797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [10799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6650),
  [10801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4278),
  [10803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6477),
  [10805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6456),
  [10807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4225),
  [10809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7165),
  [10811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 5),
  [10813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [10815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [10817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4192),
  [10819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6519),
  [10821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4887),
  [10823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7192),
  [10825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [10827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6426),
  [10829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4656),
  [10831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7536),
  [10833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3728),
  [10835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [10837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6833),
  [10839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3886),
  [10841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5687),
  [10843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3844),
  [10845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3779),
  [10847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [10849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [10851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [10853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7347),
  [10855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [10857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [10859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [10861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [10863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [10865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7349),
  [10867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4449),
  [10869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6679),
  [10871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [10873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [10875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [10877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [10879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4189),
  [10881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [10883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [10885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6638),
  [10887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4404),
  [10889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6632),
  [10891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5704),
  [10893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4184),
  [10895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6405),
  [10897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [10899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [10901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6580),
  [10903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4205),
  [10905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [10907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [10909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [10911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [10913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7438),
  [10915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3270),
  [10917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 3),
  [10919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [10921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4396),
  [10923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3290),
  [10925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4603),
  [10927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [10929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3865),
  [10931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2928),
  [10933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3864),
  [10935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6284),
  [10937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [10939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3863),
  [10941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [10943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3862),
  [10945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6415),
  [10947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3861),
  [10949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3860),
  [10951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3859),
  [10953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3784),
  [10955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3857),
  [10957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3856),
  [10959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [10961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [10963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6567),
  [10965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2347),
  [10967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4406),
  [10969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [10971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [10973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4519),
  [10975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6457),
  [10977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [10979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3843),
  [10981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3842),
  [10983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4375),
  [10985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [10987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6472),
  [10989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3841),
  [10991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4368),
  [10993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3840),
  [10995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [10997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6494),
  [10999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3839),
  [11001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4361),
  [11003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [11005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7450),
  [11007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3838),
  [11009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4345),
  [11011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [11013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [11015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3837),
  [11017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 3),
  [11019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3836),
  [11021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3835),
  [11023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3834),
  [11025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3698),
  [11027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [11029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [11031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4681),
  [11033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4643),
  [11035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [11037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [11039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [11041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [11043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4178),
  [11045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [11047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [11049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6305),
  [11051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4294),
  [11053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [11055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7382),
  [11057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [11059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [11061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [11063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7281),
  [11065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [11067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [11069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [11071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [11073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [11075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2408),
  [11077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4172),
  [11079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6682),
  [11081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [11083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [11085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [11087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [11089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [11091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2988),
  [11093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [11095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2962),
  [11097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2764),
  [11099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [11101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [11103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7261),
  [11105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_namespace_name, 3),
  [11107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6708),
  [11109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6824),
  [11111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4206),
  [11113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5274),
  [11115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [11117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3727),
  [11119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6799),
  [11121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4277),
  [11123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6812),
  [11125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7205),
  [11127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4369),
  [11129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5610),
  [11131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_export, 3),
  [11133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [11135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5259),
  [11137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [11139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [11141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [11143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7300),
  [11145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7309),
  [11147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3714),
  [11149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4238),
  [11151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6869),
  [11153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4598),
  [11155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7203),
  [11157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6753),
  [11159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [11161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [11163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [11165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [11167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [11169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6717),
  [11171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3980),
  [11173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3979),
  [11175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 2),
  [11177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5453),
  [11179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4995),
  [11181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [11183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [11185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [11187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4410),
  [11189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3421),
  [11191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5879),
  [11193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4331),
  [11195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [11197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [11199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [11201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [11203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [11205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [11207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [11209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [11211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7329),
  [11213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [11215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [11217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [11219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2668),
  [11221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [11223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3021),
  [11225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [11227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [11229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [11231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [11233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [11235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3717),
  [11237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [11239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [11241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3019),
  [11243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [11245] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [11247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6802),
  [11249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4648),
  [11251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7267),
  [11253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3018),
  [11255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [11257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4384),
  [11259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3016),
  [11261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [11263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [11265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [11267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4376),
  [11269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [11271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [11273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [11275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [11277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [11279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_import, 3),
  [11281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4141),
  [11283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [11285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [11287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 4),
  [11289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3014),
  [11291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3013),
  [11293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [11295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3012),
  [11297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3011),
  [11299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3010),
  [11301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7529),
  [11303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7198),
  [11305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3009),
  [11307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3737),
  [11309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [11311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4459),
  [11313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4460),
  [11315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [11317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [11319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3758),
  [11321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7123),
  [11323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7122),
  [11325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [11327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [11329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [11331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4031),
  [11333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3709),
  [11335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7112),
  [11337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5068),
  [11339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5047),
  [11341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7013),
  [11343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [11345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5173),
  [11347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [11349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5638),
  [11351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [11353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5168),
  [11355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [11357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [11359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3711),
  [11361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7403),
  [11363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4094),
  [11365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4106),
  [11367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4114),
  [11369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3713),
  [11371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4092),
  [11373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3005),
  [11375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [11377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3002),
  [11379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7113),
  [11381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7118),
  [11383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3000),
  [11385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2995),
  [11387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7252),
  [11389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [11391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [11393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6104),
  [11395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7131),
  [11397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [11399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [11401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6980),
  [11403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5348),
  [11405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5110),
  [11407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [11409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5660),
  [11411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5349),
  [11413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5104),
  [11415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2994),
  [11417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [11419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2993),
  [11421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 2),
  [11423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [11425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [11427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [11429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7179),
  [11431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7184),
  [11433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [11435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2990),
  [11437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2981),
  [11439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [11441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2979),
  [11443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3953),
  [11445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7197),
  [11447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3951),
  [11449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3715),
  [11451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6892),
  [11453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3950),
  [11455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5071),
  [11457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [11459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5666),
  [11461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3716),
  [11463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5065),
  [11465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3949),
  [11467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [11469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3939),
  [11471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3938),
  [11473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3948),
  [11475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7233),
  [11477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7237),
  [11479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3946),
  [11481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3944),
  [11483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3954),
  [11485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [11487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3003),
  [11489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7244),
  [11491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6848),
  [11493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3959),
  [11495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5041),
  [11497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [11499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3960),
  [11501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5038),
  [11503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [11505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3961),
  [11507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3964),
  [11509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3970),
  [11511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6771),
  [11513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3935),
  [11515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3327),
  [11517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7075),
  [11519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [11521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [11523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6517),
  [11525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3971),
  [11527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7447),
  [11529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [11531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6469),
  [11533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3972),
  [11535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7481),
  [11537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [11539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6424),
  [11541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [11543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7509),
  [11545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3973),
  [11547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6408),
  [11549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3974),
  [11551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comment, 1),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__template_chars = 1,
  ts_external_token__ternary_qmark = 2,
  ts_external_token_html_comment = 3,
  ts_external_token_PIPE_PIPE = 4,
  ts_external_token_escape_sequence = 5,
  ts_external_token__function_signature_automatic_semicolon = 6,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__template_chars] = sym__template_chars,
  [ts_external_token__ternary_qmark] = sym__ternary_qmark,
  [ts_external_token_html_comment] = sym_html_comment,
  [ts_external_token_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [ts_external_token_escape_sequence] = sym_escape_sequence,
  [ts_external_token__function_signature_automatic_semicolon] = sym__function_signature_automatic_semicolon,
};

static const bool ts_external_scanner_states[10][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__template_chars] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token__function_signature_automatic_semicolon] = true,
  },
  [2] = {
    [ts_external_token_html_comment] = true,
  },
  [3] = {
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [4] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [5] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_html_comment] = true,
  },
  [6] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token__function_signature_automatic_semicolon] = true,
  },
  [7] = {
    [ts_external_token__template_chars] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [8] = {
    [ts_external_token__template_chars] = true,
    [ts_external_token_html_comment] = true,
  },
  [9] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_tsx_external_scanner_create(void);
void tree_sitter_tsx_external_scanner_destroy(void *);
bool tree_sitter_tsx_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_tsx_external_scanner_serialize(void *, char *);
void tree_sitter_tsx_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_tsx(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_tsx_external_scanner_create,
      tree_sitter_tsx_external_scanner_destroy,
      tree_sitter_tsx_external_scanner_scan,
      tree_sitter_tsx_external_scanner_serialize,
      tree_sitter_tsx_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
